type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * https://www.w3.org/ns/activitystreams#actor
 */
export const actor = 'https://www.w3.org/ns/activitystreams#actor' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#attributedTo
 */
export const attributedTo = 'https://www.w3.org/ns/activitystreams#attributedTo' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#attachment
 */
export const attachment = 'https://www.w3.org/ns/activitystreams#attachment' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#attachments
 */
export const attachments = 'https://www.w3.org/ns/activitystreams#attachments' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#author
 */
export const author = 'https://www.w3.org/ns/activitystreams#author' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#bcc
 */
export const bcc = 'https://www.w3.org/ns/activitystreams#bcc' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#bto
 */
export const bto = 'https://www.w3.org/ns/activitystreams#bto' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#cc
 */
export const cc = 'https://www.w3.org/ns/activitystreams#cc' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#context
 */
export const context = 'https://www.w3.org/ns/activitystreams#context' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#generator
 */
export const generator = 'https://www.w3.org/ns/activitystreams#generator' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#icon
 */
export const icon = 'https://www.w3.org/ns/activitystreams#icon' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#image
 */
export const image = 'https://www.w3.org/ns/activitystreams#image' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#inReplyTo
 */
export const inReplyTo = 'https://www.w3.org/ns/activitystreams#inReplyTo' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#items
 */
export const items = 'https://www.w3.org/ns/activitystreams#items' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#location
 */
export const location = 'https://www.w3.org/ns/activitystreams#location' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#object
 */
export const object = 'https://www.w3.org/ns/activitystreams#object' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#oneOf
 */
export const oneOf = 'https://www.w3.org/ns/activitystreams#oneOf' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#anyOf
 */
export const anyOf = 'https://www.w3.org/ns/activitystreams#anyOf' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#preview
 */
export const preview = 'https://www.w3.org/ns/activitystreams#preview' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#provider
 */
export const provider = 'https://www.w3.org/ns/activitystreams#provider' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#replies
 */
export const replies = 'https://www.w3.org/ns/activitystreams#replies' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#result
 */
export const result = 'https://www.w3.org/ns/activitystreams#result' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#audience
 */
export const audience = 'https://www.w3.org/ns/activitystreams#audience' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#tag
 */
export const tag = 'https://www.w3.org/ns/activitystreams#tag' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#tags
 */
export const tags = 'https://www.w3.org/ns/activitystreams#tags' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#target
 */
export const target = 'https://www.w3.org/ns/activitystreams#target' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#origin
 */
export const origin = 'https://www.w3.org/ns/activitystreams#origin' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#instrument
 */
export const instrument = 'https://www.w3.org/ns/activitystreams#instrument' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#to
 */
export const to = 'https://www.w3.org/ns/activitystreams#to' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#url
 */
export const url = 'https://www.w3.org/ns/activitystreams#url' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#relationship
 */
export const relationship = 'https://www.w3.org/ns/activitystreams#relationship' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#describes
 */
export const describes = 'https://www.w3.org/ns/activitystreams#describes' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#formerType
 */
export const formerType = 'https://www.w3.org/ns/activitystreams#formerType' satisfies OwlObjectProperty;

/**
 * https://www.w3.org/ns/activitystreams#accuracy
 */
export const accuracy = 'https://www.w3.org/ns/activitystreams#accuracy' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#altitude
 */
export const altitude = 'https://www.w3.org/ns/activitystreams#altitude' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#content
 */
export const content = 'https://www.w3.org/ns/activitystreams#content' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#name
 */
export const name = 'https://www.w3.org/ns/activitystreams#name' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#downstreamDuplicates
 */
export const downstreamDuplicates = 'https://www.w3.org/ns/activitystreams#downstreamDuplicates' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#duration
 */
export const duration = 'https://www.w3.org/ns/activitystreams#duration' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#endTime
 */
export const endTime = 'https://www.w3.org/ns/activitystreams#endTime' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#height
 */
export const height = 'https://www.w3.org/ns/activitystreams#height' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#href
 */
export const href = 'https://www.w3.org/ns/activitystreams#href' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#hreflang
 */
export const hreflang = 'https://www.w3.org/ns/activitystreams#hreflang' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#id
 */
export const id = 'https://www.w3.org/ns/activitystreams#id' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#latitude
 */
export const latitude = 'https://www.w3.org/ns/activitystreams#latitude' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#longitude
 */
export const longitude = 'https://www.w3.org/ns/activitystreams#longitude' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#mediaType
 */
export const mediaType = 'https://www.w3.org/ns/activitystreams#mediaType' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#objectType
 */
export const objectType = 'https://www.w3.org/ns/activitystreams#objectType' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#published
 */
export const published = 'https://www.w3.org/ns/activitystreams#published' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#radius
 */
export const radius = 'https://www.w3.org/ns/activitystreams#radius' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#rating
 */
export const rating = 'https://www.w3.org/ns/activitystreams#rating' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#rel
 */
export const rel = 'https://www.w3.org/ns/activitystreams#rel' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#startIndex
 */
export const startIndex = 'https://www.w3.org/ns/activitystreams#startIndex' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#startTime
 */
export const startTime = 'https://www.w3.org/ns/activitystreams#startTime' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#summary
 */
export const summary = 'https://www.w3.org/ns/activitystreams#summary' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#totalItems
 */
export const totalItems = 'https://www.w3.org/ns/activitystreams#totalItems' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#units
 */
export const units = 'https://www.w3.org/ns/activitystreams#units' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#updated
 */
export const updated = 'https://www.w3.org/ns/activitystreams#updated' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#upstreamDuplicates
 */
export const upstreamDuplicates = 'https://www.w3.org/ns/activitystreams#upstreamDuplicates' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#verb
 */
export const verb = 'https://www.w3.org/ns/activitystreams#verb' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#width
 */
export const width = 'https://www.w3.org/ns/activitystreams#width' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#deleted
 */
export const deleted = 'https://www.w3.org/ns/activitystreams#deleted' satisfies OwlDatatypeProperty;

/**
 * https://www.w3.org/ns/activitystreams#Accept
 */
export const Accept = 'https://www.w3.org/ns/activitystreams#Accept' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Activity
 */
export const Activity = 'https://www.w3.org/ns/activitystreams#Activity' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Block
 */
export const Block = 'https://www.w3.org/ns/activitystreams#Block' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#IntransitiveActivity
 */
export const IntransitiveActivity = 'https://www.w3.org/ns/activitystreams#IntransitiveActivity' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Add
 */
export const Add = 'https://www.w3.org/ns/activitystreams#Add' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Announce
 */
export const Announce = 'https://www.w3.org/ns/activitystreams#Announce' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Application
 */
export const Application = 'https://www.w3.org/ns/activitystreams#Application' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Arrive
 */
export const Arrive = 'https://www.w3.org/ns/activitystreams#Arrive' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Article
 */
export const Article = 'https://www.w3.org/ns/activitystreams#Article' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Audio
 */
export const Audio = 'https://www.w3.org/ns/activitystreams#Audio' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Collection
 */
export const Collection = 'https://www.w3.org/ns/activitystreams#Collection' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#CollectionPage
 */
export const CollectionPage = 'https://www.w3.org/ns/activitystreams#CollectionPage' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#OrderedCollectionPage
 */
export const OrderedCollectionPage = 'https://www.w3.org/ns/activitystreams#OrderedCollectionPage' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Relationship
 */
export const Relationship = 'https://www.w3.org/ns/activitystreams#Relationship' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Create
 */
export const Create = 'https://www.w3.org/ns/activitystreams#Create' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Delete
 */
export const Delete = 'https://www.w3.org/ns/activitystreams#Delete' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Dislike
 */
export const Dislike = 'https://www.w3.org/ns/activitystreams#Dislike' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Document
 */
export const Document = 'https://www.w3.org/ns/activitystreams#Document' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Event
 */
export const Event = 'https://www.w3.org/ns/activitystreams#Event' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Flag
 */
export const Flag = 'https://www.w3.org/ns/activitystreams#Flag' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Follow
 */
export const Follow = 'https://www.w3.org/ns/activitystreams#Follow' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Group
 */
export const Group = 'https://www.w3.org/ns/activitystreams#Group' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Ignore
 */
export const Ignore = 'https://www.w3.org/ns/activitystreams#Ignore' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Image
 */
export const Image = 'https://www.w3.org/ns/activitystreams#Image' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Invite
 */
export const Invite = 'https://www.w3.org/ns/activitystreams#Invite' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Join
 */
export const Join = 'https://www.w3.org/ns/activitystreams#Join' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Leave
 */
export const Leave = 'https://www.w3.org/ns/activitystreams#Leave' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Like
 */
export const Like = 'https://www.w3.org/ns/activitystreams#Like' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#View
 */
export const View = 'https://www.w3.org/ns/activitystreams#View' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Listen
 */
export const Listen = 'https://www.w3.org/ns/activitystreams#Listen' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Read
 */
export const Read = 'https://www.w3.org/ns/activitystreams#Read' satisfies OwlClass;

/**
 * The actor is moving the object. The target specifies where the object is moving to. The origin specifies where the object is moving from.
 *
 * https://www.w3.org/ns/activitystreams#Move
 */
export const Move = 'https://www.w3.org/ns/activitystreams#Move' satisfies OwlClass;

/**
 * The actor is traveling to the target. The origin specifies where the actor is traveling from.
 *
 * https://www.w3.org/ns/activitystreams#Travel
 */
export const Travel = 'https://www.w3.org/ns/activitystreams#Travel' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Link
 */
export const Link = 'https://www.w3.org/ns/activitystreams#Link' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Mention
 */
export const Mention = 'https://www.w3.org/ns/activitystreams#Mention' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Note
 */
export const Note = 'https://www.w3.org/ns/activitystreams#Note' satisfies OwlClass;

/**
 * null
 * Note that `Object` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * https://www.w3.org/ns/activitystreams#Object
 */
export const Object__workaround = 'https://www.w3.org/ns/activitystreams#Object' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Offer
 */
export const Offer = 'https://www.w3.org/ns/activitystreams#Offer' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#OrderedCollection
 */
export const OrderedCollection = 'https://www.w3.org/ns/activitystreams#OrderedCollection' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#OrderedItems
 */
export const OrderedItems = 'https://www.w3.org/ns/activitystreams#OrderedItems' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Page
 */
export const Page = 'https://www.w3.org/ns/activitystreams#Page' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Person
 */
export const Person = 'https://www.w3.org/ns/activitystreams#Person' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Organization
 */
export const Organization = 'https://www.w3.org/ns/activitystreams#Organization' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Profile
 */
export const Profile = 'https://www.w3.org/ns/activitystreams#Profile' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Place
 */
export const Place = 'https://www.w3.org/ns/activitystreams#Place' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Question
 */
export const Question = 'https://www.w3.org/ns/activitystreams#Question' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Reject
 */
export const Reject = 'https://www.w3.org/ns/activitystreams#Reject' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Remove
 */
export const Remove = 'https://www.w3.org/ns/activitystreams#Remove' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Service
 */
export const Service = 'https://www.w3.org/ns/activitystreams#Service' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#TentativeAccept
 */
export const TentativeAccept = 'https://www.w3.org/ns/activitystreams#TentativeAccept' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#TentativeReject
 */
export const TentativeReject = 'https://www.w3.org/ns/activitystreams#TentativeReject' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Tombstone
 */
export const Tombstone = 'https://www.w3.org/ns/activitystreams#Tombstone' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Undo
 */
export const Undo = 'https://www.w3.org/ns/activitystreams#Undo' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Update
 */
export const Update = 'https://www.w3.org/ns/activitystreams#Update' satisfies OwlClass;

/**
 * https://www.w3.org/ns/activitystreams#Video
 */
export const Video = 'https://www.w3.org/ns/activitystreams#Video' satisfies OwlClass;
