/**
 * VEVENT
 *
 * Provide a grouping of component properties that describe an event.
 *
 * http://www.w3.org/2002/12/cal/ical#Vevent
 */
export declare const Vevent = "http://www.w3.org/2002/12/cal/ical#Vevent";
/**
 * VTODO
 *
 * Provide a grouping of calendar properties that describe a to-do.
 *
 * http://www.w3.org/2002/12/cal/ical#Vtodo
 */
export declare const Vtodo = "http://www.w3.org/2002/12/cal/ical#Vtodo";
/**
 * VJOURNAL
 *
 * Provide a grouping of component properties that describe a journal entry.
 *
 * http://www.w3.org/2002/12/cal/ical#Vjournal
 */
export declare const Vjournal = "http://www.w3.org/2002/12/cal/ical#Vjournal";
/**
 * VFREEBUSY
 *
 * Provide a grouping of component properties that describe either a request for free/busy time, describe a response to a request for free/busy time or describe a published set of busy time.
 *
 * http://www.w3.org/2002/12/cal/ical#Vfreebusy
 */
export declare const Vfreebusy = "http://www.w3.org/2002/12/cal/ical#Vfreebusy";
/**
 * VTIMEZONE
 *
 * Provide a grouping of component properties that defines a time zone.
 *
 * http://www.w3.org/2002/12/cal/ical#Vtimezone
 */
export declare const Vtimezone = "http://www.w3.org/2002/12/cal/ical#Vtimezone";
/**
 * VALARM
 *
 * Provide a grouping of component properties that define an alarm.
 *
 * http://www.w3.org/2002/12/cal/ical#Valarm
 */
export declare const Valarm = "http://www.w3.org/2002/12/cal/ical#Valarm";
/**
 * CALSCALE
 *
 * This property defines the calendar scale used for the calendar information specified in the iCalendar object.
 *
 * http://www.w3.org/2002/12/cal/ical#calscale
 */
export declare const calscale = "http://www.w3.org/2002/12/cal/ical#calscale";
/**
 * METHOD
 *
 * This property defines the iCalendar object method associated with the calendar object.
 *
 * http://www.w3.org/2002/12/cal/ical#method
 */
export declare const method = "http://www.w3.org/2002/12/cal/ical#method";
/**
 * PRODID
 *
 * This property specifies the identifier for the product that created the iCalendar object.
 *
 * http://www.w3.org/2002/12/cal/ical#prodid
 */
export declare const prodid = "http://www.w3.org/2002/12/cal/ical#prodid";
/**
 * VERSION
 *
 * This property specifies the identifier corresponding to the highest version number or the minimum and maximum range of the iCalendar specification that is required in order to interpret the iCalendar object.
 *
 * http://www.w3.org/2002/12/cal/ical#version
 */
export declare const version = "http://www.w3.org/2002/12/cal/ical#version";
/**
 * ATTACH
 *
 * The property provides the capability to associate a document object with a calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#attach
 */
export declare const attach = "http://www.w3.org/2002/12/cal/ical#attach";
/**
 * CATEGORIES
 *
 * This property defines the categories for a calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#categories
 */
export declare const categories = "http://www.w3.org/2002/12/cal/ical#categories";
/**
 * CLASS
 *
 * This property defines the access classification for a calendar component.
 * Note that `class` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://www.w3.org/2002/12/cal/ical#class
 */
export declare const class__workaround = "http://www.w3.org/2002/12/cal/ical#class";
/**
 * COMMENT
 *
 * This property specifies non-processing information intended to provide a comment to the calendar user.
 *
 * http://www.w3.org/2002/12/cal/ical#comment
 */
export declare const comment = "http://www.w3.org/2002/12/cal/ical#comment";
/**
 * DESCRIPTION
 *
 * This property provides a more complete description of the calendar component, than that provided by the "SUMMARY" property.
 *
 * http://www.w3.org/2002/12/cal/ical#description
 */
export declare const description = "http://www.w3.org/2002/12/cal/ical#description";
/**
 * GEO
 *
 * This property specifies information related to the global position for the activity specified by a calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#geo
 */
export declare const geo = "http://www.w3.org/2002/12/cal/ical#geo";
/**
 * http://www.w3.org/2002/12/cal/ical#List_of_Float
 */
export declare const List_of_Float = "http://www.w3.org/2002/12/cal/ical#List_of_Float";
/**
 * LOCATION
 *
 * The property defines the intended venue for the activity defined by a calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#location
 */
export declare const location = "http://www.w3.org/2002/12/cal/ical#location";
/**
 * PERCENT-COMPLETE
 *
 * This property is used by an assignee or delegatee of a to-do to convey the percent completion of a to-do to the Organizer.
 *
 * http://www.w3.org/2002/12/cal/ical#percentComplete
 */
export declare const percentComplete = "http://www.w3.org/2002/12/cal/ical#percentComplete";
/**
 * PRIORITY
 *
 * The property defines the relative priority for a calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#priority
 */
export declare const priority = "http://www.w3.org/2002/12/cal/ical#priority";
/**
 * RESOURCES
 *
 * This property defines the equipment or resources anticipated for an activity specified by a calendar entity..
 *
 * http://www.w3.org/2002/12/cal/ical#resources
 */
export declare const resources = "http://www.w3.org/2002/12/cal/ical#resources";
/**
 * STATUS
 *
 * This property defines the overall status or confirmation for the calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#status
 */
export declare const status = "http://www.w3.org/2002/12/cal/ical#status";
/**
 * SUMMARY
 *
 * This property defines a short summary or subject for the calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#summary
 */
export declare const summary = "http://www.w3.org/2002/12/cal/ical#summary";
/**
 * COMPLETED
 *
 * This property defines the date and time that a to-do was actually completed.
 *
 * http://www.w3.org/2002/12/cal/ical#completed
 */
export declare const completed = "http://www.w3.org/2002/12/cal/ical#completed";
/**
 * DTEND
 *
 * This property specifies the date and time that a calendar component ends.
 *
 * http://www.w3.org/2002/12/cal/ical#dtend
 */
export declare const dtend = "http://www.w3.org/2002/12/cal/ical#dtend";
/**
 * http://www.w3.org/2002/12/cal/ical#Value_DATE
 */
export declare const Value_DATE = "http://www.w3.org/2002/12/cal/ical#Value_DATE";
/**
 * DUE
 *
 * This property defines the date and time that a to-do is expected to be completed.
 *
 * http://www.w3.org/2002/12/cal/ical#due
 */
export declare const due = "http://www.w3.org/2002/12/cal/ical#due";
/**
 * DTSTART
 *
 * This property specifies when the calendar component begins.
 *
 * http://www.w3.org/2002/12/cal/ical#dtstart
 */
export declare const dtstart = "http://www.w3.org/2002/12/cal/ical#dtstart";
/**
 * DURATION
 *
 * The property specifies a positive duration of time.
 *
 * http://www.w3.org/2002/12/cal/ical#duration
 */
export declare const duration = "http://www.w3.org/2002/12/cal/ical#duration";
/**
 * http://www.w3.org/2002/12/cal/ical#Value_DURATION
 */
export declare const Value_DURATION = "http://www.w3.org/2002/12/cal/ical#Value_DURATION";
/**
 * FREEBUSY
 *
 * The property defines one or more free or busy time intervals.
 *
 * http://www.w3.org/2002/12/cal/ical#freebusy
 */
export declare const freebusy = "http://www.w3.org/2002/12/cal/ical#freebusy";
/**
 * http://www.w3.org/2002/12/cal/ical#Value_PERIOD
 */
export declare const Value_PERIOD = "http://www.w3.org/2002/12/cal/ical#Value_PERIOD";
/**
 * TRANSP
 *
 * This property defines whether an event is transparent or not to busy time searches.
 *
 * http://www.w3.org/2002/12/cal/ical#transp
 */
export declare const transp = "http://www.w3.org/2002/12/cal/ical#transp";
/**
 * TZID
 *
 * This property specifies the text value that uniquely identifies the "VTIMEZONE" calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#tzid
 */
export declare const tzid = "http://www.w3.org/2002/12/cal/ical#tzid";
/**
 * TZNAME
 *
 * This property specifies the customary designation for a time zone description.
 *
 * http://www.w3.org/2002/12/cal/ical#tzname
 */
export declare const tzname = "http://www.w3.org/2002/12/cal/ical#tzname";
/**
 * TZOFFSETFROM
 *
 * This property specifies the offset which is in use prior to this time zone observance.
 *
 * http://www.w3.org/2002/12/cal/ical#tzoffsetfrom
 */
export declare const tzoffsetfrom = "http://www.w3.org/2002/12/cal/ical#tzoffsetfrom";
/**
 * TZOFFSETTO
 *
 * This property specifies the offset which is in use in this time zone observance.
 *
 * http://www.w3.org/2002/12/cal/ical#tzoffsetto
 */
export declare const tzoffsetto = "http://www.w3.org/2002/12/cal/ical#tzoffsetto";
/**
 * TZURL
 *
 * The TZURL provides a means for a VTIMEZONE component to point to a network location that can be used to retrieve an up-to- date version of itself.
 *
 * http://www.w3.org/2002/12/cal/ical#tzurl
 */
export declare const tzurl = "http://www.w3.org/2002/12/cal/ical#tzurl";
/**
 * ATTENDEE
 *
 * The property defines an "Attendee" within a calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#attendee
 */
export declare const attendee = "http://www.w3.org/2002/12/cal/ical#attendee";
/**
 * CONTACT
 *
 * The property is used to represent contact information or alternately a reference to contact information associated with the calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#contact
 */
export declare const contact = "http://www.w3.org/2002/12/cal/ical#contact";
/**
 * ORGANIZER
 *
 * The property defines the organizer for a calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#organizer
 */
export declare const organizer = "http://www.w3.org/2002/12/cal/ical#organizer";
/**
 * RECURRENCE-ID
 *
 * This property is used in conjunction with the "UID" and "SEQUENCE" property to identify a specific instance of a recurring "VEVENT", "VTODO" or "VJOURNAL" calendar component. The property value is the effective value of the "DTSTART" property of the recurrence instance.
 *
 * http://www.w3.org/2002/12/cal/ical#recurrenceId
 */
export declare const recurrenceId = "http://www.w3.org/2002/12/cal/ical#recurrenceId";
/**
 * http://www.w3.org/2002/12/cal/ical#DomainOf_rrule
 */
export declare const DomainOf_rrule = "http://www.w3.org/2002/12/cal/ical#DomainOf_rrule";
/**
 * RELATED-TO
 *
 * The property is used to represent a relationship or reference between one calendar component and another.
 *
 * http://www.w3.org/2002/12/cal/ical#relatedTo
 */
export declare const relatedTo = "http://www.w3.org/2002/12/cal/ical#relatedTo";
/**
 * URL
 *
 * This property defines a Uniform Resource Locator (URL) associated with the iCalendar object.
 *
 * http://www.w3.org/2002/12/cal/ical#url
 */
export declare const url = "http://www.w3.org/2002/12/cal/ical#url";
/**
 * UID
 *
 * This property defines the persistent, globally unique identifier for the calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#uid
 */
export declare const uid = "http://www.w3.org/2002/12/cal/ical#uid";
/**
 * EXDATE
 *
 * This property defines the list of date/time exceptions for a recurring calendar component.
 *
 * http://www.w3.org/2002/12/cal/ical#exdate
 */
export declare const exdate = "http://www.w3.org/2002/12/cal/ical#exdate";
/**
 * EXRULE
 *
 * This property defines a rule or repeating pattern for an exception to a recurrence set.
 *
 * http://www.w3.org/2002/12/cal/ical#exrule
 */
export declare const exrule = "http://www.w3.org/2002/12/cal/ical#exrule";
/**
 * http://www.w3.org/2002/12/cal/ical#Value_RECUR
 */
export declare const Value_RECUR = "http://www.w3.org/2002/12/cal/ical#Value_RECUR";
/**
 * RDATE
 *
 * This property defines the list of date/times for a recurrence set.
 *
 * http://www.w3.org/2002/12/cal/ical#rdate
 */
export declare const rdate = "http://www.w3.org/2002/12/cal/ical#rdate";
/**
 * RRULE
 *
 * This property defines a rule or repeating pattern for recurring events, to-dos, or time zone definitions.
 *
 * http://www.w3.org/2002/12/cal/ical#rrule
 */
export declare const rrule = "http://www.w3.org/2002/12/cal/ical#rrule";
/**
 * ACTION
 *
 * This property defines the action to be invoked when an alarm is triggered.
 *
 * http://www.w3.org/2002/12/cal/ical#action
 */
export declare const action = "http://www.w3.org/2002/12/cal/ical#action";
/**
 * REPEAT
 *
 * This property defines the number of time the alarm should be repeated, after the initial trigger.
 *
 * http://www.w3.org/2002/12/cal/ical#repeat
 */
export declare const repeat = "http://www.w3.org/2002/12/cal/ical#repeat";
/**
 * TRIGGER
 *
 * This property specifies when an alarm will trigger.
 *
 * http://www.w3.org/2002/12/cal/ical#trigger
 */
export declare const trigger = "http://www.w3.org/2002/12/cal/ical#trigger";
/**
 * CREATED
 *
 * This property specifies the date and time that the calendar information was created by the calendar user agent in the calendar store. Note: This is analogous to the creation date and time for a file in the file system.
 *
 * http://www.w3.org/2002/12/cal/ical#created
 */
export declare const created = "http://www.w3.org/2002/12/cal/ical#created";
/**
 * DTSTAMP
 *
 * The property indicates the date/time that the instance of the iCalendar object was created.
 *
 * http://www.w3.org/2002/12/cal/ical#dtstamp
 */
export declare const dtstamp = "http://www.w3.org/2002/12/cal/ical#dtstamp";
/**
 * LAST-MODIFIED
 *
 * The property specifies the date and time that the information associated with the calendar component was last revised in the calendar store. Note: This is analogous to the modification date and time for a file in the file system.
 *
 * http://www.w3.org/2002/12/cal/ical#lastModified
 */
export declare const lastModified = "http://www.w3.org/2002/12/cal/ical#lastModified";
/**
 * SEQUENCE
 *
 * This property defines the revision sequence number of the calendar component within a sequence of revisions.
 *
 * http://www.w3.org/2002/12/cal/ical#sequence
 */
export declare const sequence = "http://www.w3.org/2002/12/cal/ical#sequence";
/**
 * REQUEST-STATUS
 *
 * This property defines the status code returned for a scheduling request.
 *
 * http://www.w3.org/2002/12/cal/ical#requestStatus
 */
export declare const requestStatus = "http://www.w3.org/2002/12/cal/ical#requestStatus";
//# sourceMappingURL=cal.d.ts.map