/**
 * http://www.w3.org/2000/10/swap/pim/contact#Address
 */
export declare const Address = "http://www.w3.org/2000/10/swap/pim/contact#Address";
/**
 * contact point
 *
 * A place, or mobile situation, with address, phone number, fax, etc.
 *     Related to a person by home, office, etc.
 *     Note one person's workplace may be another person's home.
 *     A person may have more than one home and more than one workplace.
 *     (In practice it sometimes maybe useful with restriucted datasets to
 *     assume that this is not the case, when extracting data from other ontologies
 *     with no concept of ContactLocation).  Strongly related to a person:
 *     in some ways a role that a person can be in.
 *
 * http://www.w3.org/2000/10/swap/pim/contact#ContactLocation
 */
export declare const ContactLocation = "http://www.w3.org/2000/10/swap/pim/contact#ContactLocation";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#Female
 */
export declare const Female = "http://www.w3.org/2000/10/swap/pim/contact#Female";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#LanguageCode
 */
export declare const LanguageCode = "http://www.w3.org/2000/10/swap/pim/contact#LanguageCode";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#Male
 */
export declare const Male = "http://www.w3.org/2000/10/swap/pim/contact#Male";
/**
 *
 *     An end-point in the public swiitched telephone system.
 *     Anything identified by a URI with tel: scheme is in this class.
 *
 *
 * http://www.w3.org/2000/10/swap/pim/contact#Phone
 */
export declare const Phone = "http://www.w3.org/2000/10/swap/pim/contact#Phone";
/**
 * The sort of thing which can have a phone number.
 *     Typically a person or an incorporated company, or unincorporated group.
 *
 * http://www.w3.org/2000/10/swap/pim/contact#SocialEntity
 */
export declare const SocialEntity = "http://www.w3.org/2000/10/swap/pim/contact#SocialEntity";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#_addressProperty
 */
export declare const _addressProperty = "http://www.w3.org/2000/10/swap/pim/contact#_addressProperty";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#address
 */
export declare const address = "http://www.w3.org/2000/10/swap/pim/contact#address";
/**
 * assistant
 *
 * A person (or other agent) who is an assistant to the subject.
 *
 * http://www.w3.org/2000/10/swap/pim/contact#assistant
 */
export declare const assistant = "http://www.w3.org/2000/10/swap/pim/contact#assistant";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#birthday
 */
export declare const birthday = "http://www.w3.org/2000/10/swap/pim/contact#birthday";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#child
 */
export declare const child = "http://www.w3.org/2000/10/swap/pim/contact#child";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#description
 */
export declare const description = "http://www.w3.org/2000/10/swap/pim/contact#description";
/**
 * emergency only
 *
 * http://www.w3.org/2000/10/swap/pim/contact#emergency
 */
export declare const emergency = "http://www.w3.org/2000/10/swap/pim/contact#emergency";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#fax
 */
export declare const fax = "http://www.w3.org/2000/10/swap/pim/contact#fax";
/**
 * full name
 *
 * http://www.w3.org/2000/10/swap/pim/contact#fullName
 */
export declare const fullName = "http://www.w3.org/2000/10/swap/pim/contact#fullName";
/**
 * home
 *
 * http://www.w3.org/2000/10/swap/pim/contact#home
 */
export declare const home = "http://www.w3.org/2000/10/swap/pim/contact#home";
/**
 * name
 *
 * A person may be known as various strings.
 * 	For example, an email friendly name string.
 * 	If you have an email from someone using a string as the human-readable phrase,
 * 	then it is reasonable to assume that there are :knownAs that.
 *
 * http://www.w3.org/2000/10/swap/pim/contact#knownAs
 */
export declare const knownAs = "http://www.w3.org/2000/10/swap/pim/contact#knownAs";
/**
 * mobile
 *
 * http://www.w3.org/2000/10/swap/pim/contact#mobile
 */
export declare const mobile = "http://www.w3.org/2000/10/swap/pim/contact#mobile";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#motherTongue
 */
export declare const motherTongue = "http://www.w3.org/2000/10/swap/pim/contact#motherTongue";
/**
 * nearest airport
 *
 * ?X nearestAirport ?Y locates ?X in an international
 *    context; for example, for the purpose of organizing a face-to-face
 *    meeting of a W3C working group. This property is intended to mitigate
 *    privacy risks of giving out detailed contact info.
 *
 * http://www.w3.org/2000/10/swap/pim/contact#nearestAirport
 */
export declare const nearestAirport = "http://www.w3.org/2000/10/swap/pim/contact#nearestAirport";
/**
 * work
 *
 * http://www.w3.org/2000/10/swap/pim/contact#office
 */
export declare const office = "http://www.w3.org/2000/10/swap/pim/contact#office";
/**
 * participant
 *
 * A person (or other agent) who  particpates in an event, meeting, etc.
 *
 * http://www.w3.org/2000/10/swap/pim/contact#participant
 */
export declare const participant = "http://www.w3.org/2000/10/swap/pim/contact#participant";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#partner
 */
export declare const partner = "http://www.w3.org/2000/10/swap/pim/contact#partner";
/**
 * http://www.w3.org/2000/10/swap/pim/contact#phone
 */
export declare const phone = "http://www.w3.org/2000/10/swap/pim/contact#phone";
/**
 * preferred
 *
 * A string which is the URI a person, organization, etc, prefers that people use for them.
 *
 * http://www.w3.org/2000/10/swap/pim/contact#preferredURI
 */
export declare const preferredURI = "http://www.w3.org/2000/10/swap/pim/contact#preferredURI";
/**
 * region
 *
 * The sub-national unit such as state (us),
 * province (ca), county (uk), département (fr), and so on
 *
 * http://www.w3.org/2000/10/swap/pim/contact#region
 */
export declare const region = "http://www.w3.org/2000/10/swap/pim/contact#region";
/**
 * sort name
 *
 * re-arranged for lexicographic ordering; ala Doe, John
 *
 * http://www.w3.org/2000/10/swap/pim/contact#sortName
 */
export declare const sortName = "http://www.w3.org/2000/10/swap/pim/contact#sortName";
/**
 * vacation
 *
 * http://www.w3.org/2000/10/swap/pim/contact#vacationHome
 */
export declare const vacationHome = "http://www.w3.org/2000/10/swap/pim/contact#vacationHome";
/**
 * web page
 *
 * A related web page
 *
 * http://www.w3.org/2000/10/swap/pim/contact#webPage
 */
export declare const webPage = "http://www.w3.org/2000/10/swap/pim/contact#webPage";
//# sourceMappingURL=contact.d.ts.map