type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://purl.org/dc/terms/AgentClass
 */
export const AgentClass = 'http://purl.org/dc/terms/AgentClass' satisfies Class;

/**
 * http://purl.org/dc/terms/BibliographicResource
 */
export const BibliographicResource = 'http://purl.org/dc/terms/BibliographicResource' satisfies Class;

/**
 * http://purl.org/dc/terms/Box
 */
export const Box = 'http://purl.org/dc/terms/Box' satisfies Datatype;

/**
 * http://purl.org/dc/terms/FileFormat
 */
export const FileFormat = 'http://purl.org/dc/terms/FileFormat' satisfies Class;

/**
 * http://purl.org/dc/terms/Frequency
 */
export const Frequency = 'http://purl.org/dc/terms/Frequency' satisfies Class;

/**
 * http://purl.org/dc/terms/ISO3166
 */
export const ISO3166 = 'http://purl.org/dc/terms/ISO3166' satisfies Datatype;

/**
 * http://purl.org/dc/terms/Jurisdiction
 */
export const Jurisdiction = 'http://purl.org/dc/terms/Jurisdiction' satisfies Class;

/**
 * http://purl.org/dc/terms/LicenseDocument
 */
export const LicenseDocument = 'http://purl.org/dc/terms/LicenseDocument' satisfies Class;

/**
 * http://purl.org/dc/terms/LinguisticSystem
 */
export const LinguisticSystem = 'http://purl.org/dc/terms/LinguisticSystem' satisfies Class;

/**
 * http://purl.org/dc/terms/Location
 */
export const Location = 'http://purl.org/dc/terms/Location' satisfies Class;

/**
 * http://purl.org/dc/terms/LocationPeriodOrJurisdiction
 */
export const LocationPeriodOrJurisdiction = 'http://purl.org/dc/terms/LocationPeriodOrJurisdiction' satisfies Class;

/**
 * http://purl.org/dc/terms/MediaType
 */
export const MediaType = 'http://purl.org/dc/terms/MediaType' satisfies Class;

/**
 * http://purl.org/dc/terms/MediaTypeOrExtent
 */
export const MediaTypeOrExtent = 'http://purl.org/dc/terms/MediaTypeOrExtent' satisfies Class;

/**
 * http://purl.org/dc/terms/MethodOfAccrual
 */
export const MethodOfAccrual = 'http://purl.org/dc/terms/MethodOfAccrual' satisfies Class;

/**
 * http://purl.org/dc/terms/MethodOfInstruction
 */
export const MethodOfInstruction = 'http://purl.org/dc/terms/MethodOfInstruction' satisfies Class;

/**
 * http://purl.org/dc/terms/Period
 */
export const Period = 'http://purl.org/dc/terms/Period' satisfies Datatype;

/**
 * http://purl.org/dc/terms/PeriodOfTime
 */
export const PeriodOfTime = 'http://purl.org/dc/terms/PeriodOfTime' satisfies Class;

/**
 * http://purl.org/dc/terms/PhysicalMedium
 */
export const PhysicalMedium = 'http://purl.org/dc/terms/PhysicalMedium' satisfies Class;

/**
 * http://purl.org/dc/terms/PhysicalResource
 */
export const PhysicalResource = 'http://purl.org/dc/terms/PhysicalResource' satisfies Class;

/**
 * http://purl.org/dc/terms/Point
 */
export const Point = 'http://purl.org/dc/terms/Point' satisfies Datatype;

/**
 * http://purl.org/dc/terms/Policy
 */
export const Policy = 'http://purl.org/dc/terms/Policy' satisfies Class;

/**
 * http://purl.org/dc/terms/ProvenanceStatement
 */
export const ProvenanceStatement = 'http://purl.org/dc/terms/ProvenanceStatement' satisfies Class;

/**
 * http://purl.org/dc/terms/RFC1766
 */
export const RFC1766 = 'http://purl.org/dc/terms/RFC1766' satisfies Datatype;

/**
 * http://purl.org/dc/terms/RFC3066
 */
export const RFC3066 = 'http://purl.org/dc/terms/RFC3066' satisfies Datatype;

/**
 * http://purl.org/dc/terms/RFC4646
 */
export const RFC4646 = 'http://purl.org/dc/terms/RFC4646' satisfies Datatype;

/**
 * http://purl.org/dc/terms/RFC5646
 */
export const RFC5646 = 'http://purl.org/dc/terms/RFC5646' satisfies Datatype;

/**
 * http://purl.org/dc/terms/RightsStatement
 */
export const RightsStatement = 'http://purl.org/dc/terms/RightsStatement' satisfies Class;

/**
 * http://purl.org/dc/terms/SizeOrDuration
 */
export const SizeOrDuration = 'http://purl.org/dc/terms/SizeOrDuration' satisfies Class;

/**
 * http://purl.org/dc/terms/Standard
 */
export const Standard = 'http://purl.org/dc/terms/Standard' satisfies Class;

/**
 * http://purl.org/dc/terms/URI
 */
export const URI = 'http://purl.org/dc/terms/URI' satisfies Datatype;

/**
 * http://purl.org/dc/terms/W3CDTF
 */
export const W3CDTF = 'http://purl.org/dc/terms/W3CDTF' satisfies Datatype;

/**
 * http://purl.org/dc/terms/abstract
 */
export const abstract = 'http://purl.org/dc/terms/abstract' satisfies Property;

/**
 * http://purl.org/dc/terms/accessRights
 */
export const accessRights = 'http://purl.org/dc/terms/accessRights' satisfies Property;

/**
 * http://purl.org/dc/terms/accrualMethod
 */
export const accrualMethod = 'http://purl.org/dc/terms/accrualMethod' satisfies Property;

/**
 * http://purl.org/dc/terms/accrualPeriodicity
 */
export const accrualPeriodicity = 'http://purl.org/dc/terms/accrualPeriodicity' satisfies Property;

/**
 * http://purl.org/dc/terms/accrualPolicy
 */
export const accrualPolicy = 'http://purl.org/dc/terms/accrualPolicy' satisfies Property;

/**
 * http://purl.org/dc/terms/alternative
 */
export const alternative = 'http://purl.org/dc/terms/alternative' satisfies Property;

/**
 * http://purl.org/dc/terms/audience
 */
export const audience = 'http://purl.org/dc/terms/audience' satisfies Property;

/**
 * http://purl.org/dc/terms/available
 */
export const available = 'http://purl.org/dc/terms/available' satisfies Property;

/**
 * http://purl.org/dc/terms/bibliographicCitation
 */
export const bibliographicCitation = 'http://purl.org/dc/terms/bibliographicCitation' satisfies Property;

/**
 * http://purl.org/dc/terms/conformsTo
 */
export const conformsTo = 'http://purl.org/dc/terms/conformsTo' satisfies Property;

/**
 * http://purl.org/dc/terms/contributor
 */
export const contributor = 'http://purl.org/dc/terms/contributor' satisfies Property;

/**
 * http://purl.org/dc/terms/coverage
 */
export const coverage = 'http://purl.org/dc/terms/coverage' satisfies Property;

/**
 * http://purl.org/dc/terms/created
 */
export const created = 'http://purl.org/dc/terms/created' satisfies Property;

/**
 * http://purl.org/dc/terms/creator
 */
export const creator = 'http://purl.org/dc/terms/creator' satisfies Property;

/**
 * http://purl.org/dc/terms/date
 */
export const date = 'http://purl.org/dc/terms/date' satisfies Property;

/**
 * http://purl.org/dc/terms/dateAccepted
 */
export const dateAccepted = 'http://purl.org/dc/terms/dateAccepted' satisfies Property;

/**
 * http://purl.org/dc/terms/dateCopyrighted
 */
export const dateCopyrighted = 'http://purl.org/dc/terms/dateCopyrighted' satisfies Property;

/**
 * http://purl.org/dc/terms/dateSubmitted
 */
export const dateSubmitted = 'http://purl.org/dc/terms/dateSubmitted' satisfies Property;

/**
 * http://purl.org/dc/terms/description
 */
export const description = 'http://purl.org/dc/terms/description' satisfies Property;

/**
 * http://purl.org/dc/terms/educationLevel
 */
export const educationLevel = 'http://purl.org/dc/terms/educationLevel' satisfies Property;

/**
 * http://purl.org/dc/terms/extent
 */
export const extent = 'http://purl.org/dc/terms/extent' satisfies Property;

/**
 * http://purl.org/dc/terms/format
 */
export const format = 'http://purl.org/dc/terms/format' satisfies Property;

/**
 * http://purl.org/dc/terms/hasFormat
 */
export const hasFormat = 'http://purl.org/dc/terms/hasFormat' satisfies Property;

/**
 * http://purl.org/dc/terms/hasPart
 */
export const hasPart = 'http://purl.org/dc/terms/hasPart' satisfies Property;

/**
 * http://purl.org/dc/terms/hasVersion
 */
export const hasVersion = 'http://purl.org/dc/terms/hasVersion' satisfies Property;

/**
 * http://purl.org/dc/terms/identifier
 */
export const identifier = 'http://purl.org/dc/terms/identifier' satisfies Property;

/**
 * http://purl.org/dc/terms/instructionalMethod
 */
export const instructionalMethod = 'http://purl.org/dc/terms/instructionalMethod' satisfies Property;

/**
 * http://purl.org/dc/terms/isFormatOf
 */
export const isFormatOf = 'http://purl.org/dc/terms/isFormatOf' satisfies Property;

/**
 * http://purl.org/dc/terms/isPartOf
 */
export const isPartOf = 'http://purl.org/dc/terms/isPartOf' satisfies Property;

/**
 * http://purl.org/dc/terms/isReferencedBy
 */
export const isReferencedBy = 'http://purl.org/dc/terms/isReferencedBy' satisfies Property;

/**
 * http://purl.org/dc/terms/isReplacedBy
 */
export const isReplacedBy = 'http://purl.org/dc/terms/isReplacedBy' satisfies Property;

/**
 * http://purl.org/dc/terms/isRequiredBy
 */
export const isRequiredBy = 'http://purl.org/dc/terms/isRequiredBy' satisfies Property;

/**
 * http://purl.org/dc/terms/isVersionOf
 */
export const isVersionOf = 'http://purl.org/dc/terms/isVersionOf' satisfies Property;

/**
 * http://purl.org/dc/terms/issued
 */
export const issued = 'http://purl.org/dc/terms/issued' satisfies Property;

/**
 * http://purl.org/dc/terms/language
 */
export const language = 'http://purl.org/dc/terms/language' satisfies Property;

/**
 * http://purl.org/dc/terms/license
 */
export const license = 'http://purl.org/dc/terms/license' satisfies Property;

/**
 * http://purl.org/dc/terms/mediator
 */
export const mediator = 'http://purl.org/dc/terms/mediator' satisfies Property;

/**
 * http://purl.org/dc/terms/medium
 */
export const medium = 'http://purl.org/dc/terms/medium' satisfies Property;

/**
 * http://purl.org/dc/terms/modified
 */
export const modified = 'http://purl.org/dc/terms/modified' satisfies Property;

/**
 * http://purl.org/dc/terms/provenance
 */
export const provenance = 'http://purl.org/dc/terms/provenance' satisfies Property;

/**
 * http://purl.org/dc/terms/publisher
 */
export const publisher = 'http://purl.org/dc/terms/publisher' satisfies Property;

/**
 * http://purl.org/dc/terms/references
 */
export const references = 'http://purl.org/dc/terms/references' satisfies Property;

/**
 * http://purl.org/dc/terms/relation
 */
export const relation = 'http://purl.org/dc/terms/relation' satisfies Property;

/**
 * http://purl.org/dc/terms/replaces
 */
export const replaces = 'http://purl.org/dc/terms/replaces' satisfies Property;

/**
 * http://purl.org/dc/terms/requires
 */
export const requires = 'http://purl.org/dc/terms/requires' satisfies Property;

/**
 * http://purl.org/dc/terms/rights
 */
export const rights = 'http://purl.org/dc/terms/rights' satisfies Property;

/**
 * http://purl.org/dc/terms/rightsHolder
 */
export const rightsHolder = 'http://purl.org/dc/terms/rightsHolder' satisfies Property;

/**
 * http://purl.org/dc/terms/source
 */
export const source = 'http://purl.org/dc/terms/source' satisfies Property;

/**
 * http://purl.org/dc/terms/spatial
 */
export const spatial = 'http://purl.org/dc/terms/spatial' satisfies Property;

/**
 * http://purl.org/dc/terms/subject
 */
export const subject = 'http://purl.org/dc/terms/subject' satisfies Property;

/**
 * http://purl.org/dc/terms/tableOfContents
 */
export const tableOfContents = 'http://purl.org/dc/terms/tableOfContents' satisfies Property;

/**
 * http://purl.org/dc/terms/temporal
 */
export const temporal = 'http://purl.org/dc/terms/temporal' satisfies Property;

/**
 * http://purl.org/dc/terms/title
 */
export const title = 'http://purl.org/dc/terms/title' satisfies Property;

/**
 * http://purl.org/dc/terms/type
 */
export const type = 'http://purl.org/dc/terms/type' satisfies Property;

/**
 * http://purl.org/dc/terms/valid
 */
export const valid = 'http://purl.org/dc/terms/valid' satisfies Property;
