'use strict';

/**
 * Agent
 *
 * An agent (eg. person, group, software or physical artifact).
 *
 * http://xmlns.com/foaf/0.1/Agent
 */
var Agent = 'http://xmlns.com/foaf/0.1/Agent';
/**
 * Document
 *
 * A document.
 *
 * http://xmlns.com/foaf/0.1/Document
 */
var Document = 'http://xmlns.com/foaf/0.1/Document';
/**
 * Group
 *
 * A class of Agents.
 *
 * http://xmlns.com/foaf/0.1/Group
 */
var Group = 'http://xmlns.com/foaf/0.1/Group';
/**
 * Image
 *
 * An image.
 *
 * http://xmlns.com/foaf/0.1/Image
 */
var Image = 'http://xmlns.com/foaf/0.1/Image';
/**
 * Label Property
 *
 * A foaf:LabelProperty is any RDF property with texual values that serve as labels.
 *
 * http://xmlns.com/foaf/0.1/LabelProperty
 */
var LabelProperty = 'http://xmlns.com/foaf/0.1/LabelProperty';
/**
 * Online Account
 *
 * An online account.
 *
 * http://xmlns.com/foaf/0.1/OnlineAccount
 */
var OnlineAccount = 'http://xmlns.com/foaf/0.1/OnlineAccount';
/**
 * Online Chat Account
 *
 * An online chat account.
 *
 * http://xmlns.com/foaf/0.1/OnlineChatAccount
 */
var OnlineChatAccount = 'http://xmlns.com/foaf/0.1/OnlineChatAccount';
/**
 * Online E-commerce Account
 *
 * An online e-commerce account.
 *
 * http://xmlns.com/foaf/0.1/OnlineEcommerceAccount
 */
var OnlineEcommerceAccount = 'http://xmlns.com/foaf/0.1/OnlineEcommerceAccount';
/**
 * Online Gaming Account
 *
 * An online gaming account.
 *
 * http://xmlns.com/foaf/0.1/OnlineGamingAccount
 */
var OnlineGamingAccount = 'http://xmlns.com/foaf/0.1/OnlineGamingAccount';
/**
 * Organization
 *
 * An organization.
 *
 * http://xmlns.com/foaf/0.1/Organization
 */
var Organization = 'http://xmlns.com/foaf/0.1/Organization';
/**
 * Person
 *
 * A person.
 *
 * http://xmlns.com/foaf/0.1/Person
 */
var Person = 'http://xmlns.com/foaf/0.1/Person';
/**
 * PersonalProfileDocument
 *
 * A personal profile RDF document.
 *
 * http://xmlns.com/foaf/0.1/PersonalProfileDocument
 */
var PersonalProfileDocument = 'http://xmlns.com/foaf/0.1/PersonalProfileDocument';
/**
 * Project
 *
 * A project (a collective endeavour of some kind).
 *
 * http://xmlns.com/foaf/0.1/Project
 */
var Project = 'http://xmlns.com/foaf/0.1/Project';
/**
 * account
 *
 * Indicates an account held by this agent.
 *
 * http://xmlns.com/foaf/0.1/account
 */
var account = 'http://xmlns.com/foaf/0.1/account';
/**
 * account name
 *
 * Indicates the name (identifier) associated with this online account.
 *
 * http://xmlns.com/foaf/0.1/accountName
 */
var accountName = 'http://xmlns.com/foaf/0.1/accountName';
/**
 * account service homepage
 *
 * Indicates a homepage of the service provide for this online account.
 *
 * http://xmlns.com/foaf/0.1/accountServiceHomepage
 */
var accountServiceHomepage = 'http://xmlns.com/foaf/0.1/accountServiceHomepage';
/**
 * age
 *
 * The age in years of some agent.
 *
 * http://xmlns.com/foaf/0.1/age
 */
var age = 'http://xmlns.com/foaf/0.1/age';
/**
 * AIM chat ID
 *
 * An AIM chat ID
 *
 * http://xmlns.com/foaf/0.1/aimChatID
 */
var aimChatID = 'http://xmlns.com/foaf/0.1/aimChatID';
/**
 * based near
 *
 * A location that something is based near, for some broadly human notion of near.
 *
 * http://xmlns.com/foaf/0.1/based_near
 */
var based_near = 'http://xmlns.com/foaf/0.1/based_near';
/**
 * birthday
 *
 * The birthday of this Agent, represented in mm-dd string form, eg. '12-31'.
 *
 * http://xmlns.com/foaf/0.1/birthday
 */
var birthday = 'http://xmlns.com/foaf/0.1/birthday';
/**
 * current project
 *
 * A current project this person works on.
 *
 * http://xmlns.com/foaf/0.1/currentProject
 */
var currentProject = 'http://xmlns.com/foaf/0.1/currentProject';
/**
 * depiction
 *
 * A depiction of some thing.
 *
 * http://xmlns.com/foaf/0.1/depiction
 */
var depiction = 'http://xmlns.com/foaf/0.1/depiction';
/**
 * depicts
 *
 * A thing depicted in this representation.
 *
 * http://xmlns.com/foaf/0.1/depicts
 */
var depicts = 'http://xmlns.com/foaf/0.1/depicts';
/**
 * DNA checksum
 *
 * A checksum for the DNA of some thing. Joke.
 *
 * http://xmlns.com/foaf/0.1/dnaChecksum
 */
var dnaChecksum = 'http://xmlns.com/foaf/0.1/dnaChecksum';
/**
 * familyName
 *
 * The family name of some person.
 *
 * http://xmlns.com/foaf/0.1/familyName
 */
var familyName = 'http://xmlns.com/foaf/0.1/familyName';
/**
 * family_name
 *
 * The family name of some person.
 *
 * http://xmlns.com/foaf/0.1/family_name
 */
var family_name = 'http://xmlns.com/foaf/0.1/family_name';
/**
 * firstName
 *
 * The first name of a person.
 *
 * http://xmlns.com/foaf/0.1/firstName
 */
var firstName = 'http://xmlns.com/foaf/0.1/firstName';
/**
 * focus
 *
 * The underlying or 'focal' entity associated with some SKOS-described concept.
 *
 * http://xmlns.com/foaf/0.1/focus
 */
var focus = 'http://xmlns.com/foaf/0.1/focus';
/**
 * funded by
 *
 * An organization funding a project or person.
 *
 * http://xmlns.com/foaf/0.1/fundedBy
 */
var fundedBy = 'http://xmlns.com/foaf/0.1/fundedBy';
/**
 * geekcode
 *
 * A textual geekcode for this person, see http://www.geekcode.com/geek.html
 *
 * http://xmlns.com/foaf/0.1/geekcode
 */
var geekcode = 'http://xmlns.com/foaf/0.1/geekcode';
/**
 * gender
 *
 * The gender of this Agent (typically but not necessarily 'male' or 'female').
 *
 * http://xmlns.com/foaf/0.1/gender
 */
var gender = 'http://xmlns.com/foaf/0.1/gender';
/**
 * Given name
 *
 * The given name of some person.
 *
 * http://xmlns.com/foaf/0.1/givenName
 */
var givenName = 'http://xmlns.com/foaf/0.1/givenName';
/**
 * Given name
 *
 * The given name of some person.
 *
 * http://xmlns.com/foaf/0.1/givenname
 */
var givenname = 'http://xmlns.com/foaf/0.1/givenname';
/**
 * account
 *
 * Indicates an account held by this agent.
 *
 * http://xmlns.com/foaf/0.1/holdsAccount
 */
var holdsAccount = 'http://xmlns.com/foaf/0.1/holdsAccount';
/**
 * homepage
 *
 * A homepage for some thing.
 *
 * http://xmlns.com/foaf/0.1/homepage
 */
var homepage = 'http://xmlns.com/foaf/0.1/homepage';
/**
 * ICQ chat ID
 *
 * An ICQ chat ID
 *
 * http://xmlns.com/foaf/0.1/icqChatID
 */
var icqChatID = 'http://xmlns.com/foaf/0.1/icqChatID';
/**
 * image
 *
 * An image that can be used to represent some thing (ie. those depictions which are particularly representative of something, eg. one's photo on a homepage).
 *
 * http://xmlns.com/foaf/0.1/img
 */
var img = 'http://xmlns.com/foaf/0.1/img';
/**
 * interest
 *
 * A page about a topic of interest to this person.
 *
 * http://xmlns.com/foaf/0.1/interest
 */
var interest = 'http://xmlns.com/foaf/0.1/interest';
/**
 * is primary topic of
 *
 * A document that this thing is the primary topic of.
 *
 * http://xmlns.com/foaf/0.1/isPrimaryTopicOf
 */
var isPrimaryTopicOf = 'http://xmlns.com/foaf/0.1/isPrimaryTopicOf';
/**
 * jabber ID
 *
 * A jabber ID for something.
 *
 * http://xmlns.com/foaf/0.1/jabberID
 */
var jabberID = 'http://xmlns.com/foaf/0.1/jabberID';
/**
 * knows
 *
 * A person known by this person (indicating some level of reciprocated interaction between the parties).
 *
 * http://xmlns.com/foaf/0.1/knows
 */
var knows = 'http://xmlns.com/foaf/0.1/knows';
/**
 * lastName
 *
 * The last name of a person.
 *
 * http://xmlns.com/foaf/0.1/lastName
 */
var lastName = 'http://xmlns.com/foaf/0.1/lastName';
/**
 * logo
 *
 * A logo representing some thing.
 *
 * http://xmlns.com/foaf/0.1/logo
 */
var logo = 'http://xmlns.com/foaf/0.1/logo';
/**
 * made
 *
 * Something that was made by this agent.
 *
 * http://xmlns.com/foaf/0.1/made
 */
var made = 'http://xmlns.com/foaf/0.1/made';
/**
 * maker
 *
 * An agent that made this thing.
 *
 * http://xmlns.com/foaf/0.1/maker
 */
var maker = 'http://xmlns.com/foaf/0.1/maker';
/**
 * personal mailbox
 *
 * A personal mailbox, ie. an Internet mailbox associated with exactly one owner, the first owner of this mailbox. This is a 'static inverse functional property', in that there is (across time and change) at most one individual that ever has any particular value for foaf:mbox.
 *
 * http://xmlns.com/foaf/0.1/mbox
 */
var mbox = 'http://xmlns.com/foaf/0.1/mbox';
/**
 * sha1sum of a personal mailbox URI name
 *
 * The sha1sum of the URI of an Internet mailbox associated with exactly one owner, the first owner of the mailbox.
 *
 * http://xmlns.com/foaf/0.1/mbox_sha1sum
 */
var mbox_sha1sum = 'http://xmlns.com/foaf/0.1/mbox_sha1sum';
/**
 * member
 *
 * Indicates a member of a Group
 *
 * http://xmlns.com/foaf/0.1/member
 */
var member = 'http://xmlns.com/foaf/0.1/member';
/**
 * membershipClass
 *
 * Indicates the class of individuals that are a member of a Group
 *
 * http://xmlns.com/foaf/0.1/membershipClass
 */
var membershipClass = 'http://xmlns.com/foaf/0.1/membershipClass';
/**
 * MSN chat ID
 *
 * An MSN chat ID
 *
 * http://xmlns.com/foaf/0.1/msnChatID
 */
var msnChatID = 'http://xmlns.com/foaf/0.1/msnChatID';
/**
 * myersBriggs
 *
 * A Myers Briggs (MBTI) personality classification.
 *
 * http://xmlns.com/foaf/0.1/myersBriggs
 */
var myersBriggs = 'http://xmlns.com/foaf/0.1/myersBriggs';
/**
 * name
 *
 * A name for some thing.
 *
 * http://xmlns.com/foaf/0.1/name
 */
var name = 'http://xmlns.com/foaf/0.1/name';
/**
 * nickname
 *
 * A short informal nickname characterising an agent (includes login identifiers, IRC and other chat nicknames).
 *
 * http://xmlns.com/foaf/0.1/nick
 */
var nick = 'http://xmlns.com/foaf/0.1/nick';
/**
 * openid
 *
 * An OpenID for an Agent.
 *
 * http://xmlns.com/foaf/0.1/openid
 */
var openid = 'http://xmlns.com/foaf/0.1/openid';
/**
 * page
 *
 * A page or document about this thing.
 *
 * http://xmlns.com/foaf/0.1/page
 */
var page = 'http://xmlns.com/foaf/0.1/page';
/**
 * past project
 *
 * A project this person has previously worked on.
 *
 * http://xmlns.com/foaf/0.1/pastProject
 */
var pastProject = 'http://xmlns.com/foaf/0.1/pastProject';
/**
 * phone
 *
 * A phone, specified using fully qualified tel: URI scheme (refs: http://www.w3.org/Addressing/schemes.html#tel).
 *
 * http://xmlns.com/foaf/0.1/phone
 */
var phone = 'http://xmlns.com/foaf/0.1/phone';
/**
 * plan
 *
 * A .plan comment, in the tradition of finger and '.plan' files.
 *
 * http://xmlns.com/foaf/0.1/plan
 */
var plan = 'http://xmlns.com/foaf/0.1/plan';
/**
 * primary topic
 *
 * The primary topic of some page or document.
 *
 * http://xmlns.com/foaf/0.1/primaryTopic
 */
var primaryTopic = 'http://xmlns.com/foaf/0.1/primaryTopic';
/**
 * publications
 *
 * A link to the publications of this person.
 *
 * http://xmlns.com/foaf/0.1/publications
 */
var publications = 'http://xmlns.com/foaf/0.1/publications';
/**
 * schoolHomepage
 *
 * A homepage of a school attended by the person.
 *
 * http://xmlns.com/foaf/0.1/schoolHomepage
 */
var schoolHomepage = 'http://xmlns.com/foaf/0.1/schoolHomepage';
/**
 * sha1sum (hex)
 *
 * A sha1sum hash, in hex.
 *
 * http://xmlns.com/foaf/0.1/sha1
 */
var sha1 = 'http://xmlns.com/foaf/0.1/sha1';
/**
 * Skype ID
 *
 * A Skype ID
 *
 * http://xmlns.com/foaf/0.1/skypeID
 */
var skypeID = 'http://xmlns.com/foaf/0.1/skypeID';
/**
 * status
 *
 * A string expressing what the user is happy for the general public (normally) to know about their current activity.
 *
 * http://xmlns.com/foaf/0.1/status
 */
var status = 'http://xmlns.com/foaf/0.1/status';
/**
 * Surname
 *
 * The surname of some person.
 *
 * http://xmlns.com/foaf/0.1/surname
 */
var surname = 'http://xmlns.com/foaf/0.1/surname';
/**
 * theme
 *
 * A theme.
 *
 * http://xmlns.com/foaf/0.1/theme
 */
var theme = 'http://xmlns.com/foaf/0.1/theme';
/**
 * thumbnail
 *
 * A derived thumbnail image.
 *
 * http://xmlns.com/foaf/0.1/thumbnail
 */
var thumbnail = 'http://xmlns.com/foaf/0.1/thumbnail';
/**
 * tipjar
 *
 * A tipjar document for this agent, describing means for payment and reward.
 *
 * http://xmlns.com/foaf/0.1/tipjar
 */
var tipjar = 'http://xmlns.com/foaf/0.1/tipjar';
/**
 * title
 *
 * Title (Mr, Mrs, Ms, Dr. etc)
 *
 * http://xmlns.com/foaf/0.1/title
 */
var title = 'http://xmlns.com/foaf/0.1/title';
/**
 * topic
 *
 * A topic of some page or document.
 *
 * http://xmlns.com/foaf/0.1/topic
 */
var topic = 'http://xmlns.com/foaf/0.1/topic';
/**
 * topic_interest
 *
 * A thing of interest to this person.
 *
 * http://xmlns.com/foaf/0.1/topic_interest
 */
var topic_interest = 'http://xmlns.com/foaf/0.1/topic_interest';
/**
 * weblog
 *
 * A weblog of some thing (whether person, group, company etc.).
 *
 * http://xmlns.com/foaf/0.1/weblog
 */
var weblog = 'http://xmlns.com/foaf/0.1/weblog';
/**
 * work info homepage
 *
 * A work info homepage of some person; a page about their work for some organization.
 *
 * http://xmlns.com/foaf/0.1/workInfoHomepage
 */
var workInfoHomepage = 'http://xmlns.com/foaf/0.1/workInfoHomepage';
/**
 * workplace homepage
 *
 * A workplace homepage of some person; the homepage of an organization they work for.
 *
 * http://xmlns.com/foaf/0.1/workplaceHomepage
 */
var workplaceHomepage = 'http://xmlns.com/foaf/0.1/workplaceHomepage';
/**
 * Yahoo chat ID
 *
 * A Yahoo chat ID
 *
 * http://xmlns.com/foaf/0.1/yahooChatID
 */
var yahooChatID = 'http://xmlns.com/foaf/0.1/yahooChatID';

var foafImport = /*#__PURE__*/Object.freeze({
	Agent: Agent,
	Document: Document,
	Group: Group,
	Image: Image,
	LabelProperty: LabelProperty,
	OnlineAccount: OnlineAccount,
	OnlineChatAccount: OnlineChatAccount,
	OnlineEcommerceAccount: OnlineEcommerceAccount,
	OnlineGamingAccount: OnlineGamingAccount,
	Organization: Organization,
	Person: Person,
	PersonalProfileDocument: PersonalProfileDocument,
	Project: Project,
	account: account,
	accountName: accountName,
	accountServiceHomepage: accountServiceHomepage,
	age: age,
	aimChatID: aimChatID,
	based_near: based_near,
	birthday: birthday,
	currentProject: currentProject,
	depiction: depiction,
	depicts: depicts,
	dnaChecksum: dnaChecksum,
	familyName: familyName,
	family_name: family_name,
	firstName: firstName,
	focus: focus,
	fundedBy: fundedBy,
	geekcode: geekcode,
	gender: gender,
	givenName: givenName,
	givenname: givenname,
	holdsAccount: holdsAccount,
	homepage: homepage,
	icqChatID: icqChatID,
	img: img,
	interest: interest,
	isPrimaryTopicOf: isPrimaryTopicOf,
	jabberID: jabberID,
	knows: knows,
	lastName: lastName,
	logo: logo,
	made: made,
	maker: maker,
	mbox: mbox,
	mbox_sha1sum: mbox_sha1sum,
	member: member,
	membershipClass: membershipClass,
	msnChatID: msnChatID,
	myersBriggs: myersBriggs,
	name: name,
	nick: nick,
	openid: openid,
	page: page,
	pastProject: pastProject,
	phone: phone,
	plan: plan,
	primaryTopic: primaryTopic,
	publications: publications,
	schoolHomepage: schoolHomepage,
	sha1: sha1,
	skypeID: skypeID,
	status: status,
	surname: surname,
	theme: theme,
	thumbnail: thumbnail,
	tipjar: tipjar,
	title: title,
	topic: topic,
	topic_interest: topic_interest,
	weblog: weblog,
	workInfoHomepage: workInfoHomepage,
	workplaceHomepage: workplaceHomepage,
	yahooChatID: yahooChatID
});

exports.Agent = Agent;
exports.Document = Document;
exports.Group = Group;
exports.Image = Image;
exports.LabelProperty = LabelProperty;
exports.OnlineAccount = OnlineAccount;
exports.OnlineChatAccount = OnlineChatAccount;
exports.OnlineEcommerceAccount = OnlineEcommerceAccount;
exports.OnlineGamingAccount = OnlineGamingAccount;
exports.Organization = Organization;
exports.Person = Person;
exports.PersonalProfileDocument = PersonalProfileDocument;
exports.Project = Project;
exports.account = account;
exports.accountName = accountName;
exports.accountServiceHomepage = accountServiceHomepage;
exports.age = age;
exports.aimChatID = aimChatID;
exports.based_near = based_near;
exports.birthday = birthday;
exports.currentProject = currentProject;
exports.depiction = depiction;
exports.depicts = depicts;
exports.dnaChecksum = dnaChecksum;
exports.familyName = familyName;
exports.family_name = family_name;
exports.firstName = firstName;
exports.foafImport = foafImport;
exports.focus = focus;
exports.fundedBy = fundedBy;
exports.geekcode = geekcode;
exports.gender = gender;
exports.givenName = givenName;
exports.givenname = givenname;
exports.holdsAccount = holdsAccount;
exports.homepage = homepage;
exports.icqChatID = icqChatID;
exports.img = img;
exports.interest = interest;
exports.isPrimaryTopicOf = isPrimaryTopicOf;
exports.jabberID = jabberID;
exports.knows = knows;
exports.lastName = lastName;
exports.logo = logo;
exports.made = made;
exports.maker = maker;
exports.mbox = mbox;
exports.mbox_sha1sum = mbox_sha1sum;
exports.member = member;
exports.membershipClass = membershipClass;
exports.msnChatID = msnChatID;
exports.myersBriggs = myersBriggs;
exports.name = name;
exports.nick = nick;
exports.openid = openid;
exports.page = page;
exports.pastProject = pastProject;
exports.phone = phone;
exports.plan = plan;
exports.primaryTopic = primaryTopic;
exports.publications = publications;
exports.schoolHomepage = schoolHomepage;
exports.sha1 = sha1;
exports.skypeID = skypeID;
exports.status = status;
exports.surname = surname;
exports.theme = theme;
exports.thumbnail = thumbnail;
exports.tipjar = tipjar;
exports.title = title;
exports.topic = topic;
exports.topic_interest = topic_interest;
exports.weblog = weblog;
exports.workInfoHomepage = workInfoHomepage;
exports.workplaceHomepage = workplaceHomepage;
exports.yahooChatID = yahooChatID;
