/**
 * Agent
 *
 * An agent (eg. person, group, software or physical artifact).
 *
 * http://xmlns.com/foaf/0.1/Agent
 */
export declare const Agent = "http://xmlns.com/foaf/0.1/Agent";
/**
 * Document
 *
 * A document.
 *
 * http://xmlns.com/foaf/0.1/Document
 */
export declare const Document = "http://xmlns.com/foaf/0.1/Document";
/**
 * Group
 *
 * A class of Agents.
 *
 * http://xmlns.com/foaf/0.1/Group
 */
export declare const Group = "http://xmlns.com/foaf/0.1/Group";
/**
 * Image
 *
 * An image.
 *
 * http://xmlns.com/foaf/0.1/Image
 */
export declare const Image = "http://xmlns.com/foaf/0.1/Image";
/**
 * Label Property
 *
 * A foaf:LabelProperty is any RDF property with texual values that serve as labels.
 *
 * http://xmlns.com/foaf/0.1/LabelProperty
 */
export declare const LabelProperty = "http://xmlns.com/foaf/0.1/LabelProperty";
/**
 * Online Account
 *
 * An online account.
 *
 * http://xmlns.com/foaf/0.1/OnlineAccount
 */
export declare const OnlineAccount = "http://xmlns.com/foaf/0.1/OnlineAccount";
/**
 * Online Chat Account
 *
 * An online chat account.
 *
 * http://xmlns.com/foaf/0.1/OnlineChatAccount
 */
export declare const OnlineChatAccount = "http://xmlns.com/foaf/0.1/OnlineChatAccount";
/**
 * Online E-commerce Account
 *
 * An online e-commerce account.
 *
 * http://xmlns.com/foaf/0.1/OnlineEcommerceAccount
 */
export declare const OnlineEcommerceAccount = "http://xmlns.com/foaf/0.1/OnlineEcommerceAccount";
/**
 * Online Gaming Account
 *
 * An online gaming account.
 *
 * http://xmlns.com/foaf/0.1/OnlineGamingAccount
 */
export declare const OnlineGamingAccount = "http://xmlns.com/foaf/0.1/OnlineGamingAccount";
/**
 * Organization
 *
 * An organization.
 *
 * http://xmlns.com/foaf/0.1/Organization
 */
export declare const Organization = "http://xmlns.com/foaf/0.1/Organization";
/**
 * Person
 *
 * A person.
 *
 * http://xmlns.com/foaf/0.1/Person
 */
export declare const Person = "http://xmlns.com/foaf/0.1/Person";
/**
 * PersonalProfileDocument
 *
 * A personal profile RDF document.
 *
 * http://xmlns.com/foaf/0.1/PersonalProfileDocument
 */
export declare const PersonalProfileDocument = "http://xmlns.com/foaf/0.1/PersonalProfileDocument";
/**
 * Project
 *
 * A project (a collective endeavour of some kind).
 *
 * http://xmlns.com/foaf/0.1/Project
 */
export declare const Project = "http://xmlns.com/foaf/0.1/Project";
/**
 * account
 *
 * Indicates an account held by this agent.
 *
 * http://xmlns.com/foaf/0.1/account
 */
export declare const account = "http://xmlns.com/foaf/0.1/account";
/**
 * account name
 *
 * Indicates the name (identifier) associated with this online account.
 *
 * http://xmlns.com/foaf/0.1/accountName
 */
export declare const accountName = "http://xmlns.com/foaf/0.1/accountName";
/**
 * account service homepage
 *
 * Indicates a homepage of the service provide for this online account.
 *
 * http://xmlns.com/foaf/0.1/accountServiceHomepage
 */
export declare const accountServiceHomepage = "http://xmlns.com/foaf/0.1/accountServiceHomepage";
/**
 * age
 *
 * The age in years of some agent.
 *
 * http://xmlns.com/foaf/0.1/age
 */
export declare const age = "http://xmlns.com/foaf/0.1/age";
/**
 * AIM chat ID
 *
 * An AIM chat ID
 *
 * http://xmlns.com/foaf/0.1/aimChatID
 */
export declare const aimChatID = "http://xmlns.com/foaf/0.1/aimChatID";
/**
 * based near
 *
 * A location that something is based near, for some broadly human notion of near.
 *
 * http://xmlns.com/foaf/0.1/based_near
 */
export declare const based_near = "http://xmlns.com/foaf/0.1/based_near";
/**
 * birthday
 *
 * The birthday of this Agent, represented in mm-dd string form, eg. '12-31'.
 *
 * http://xmlns.com/foaf/0.1/birthday
 */
export declare const birthday = "http://xmlns.com/foaf/0.1/birthday";
/**
 * current project
 *
 * A current project this person works on.
 *
 * http://xmlns.com/foaf/0.1/currentProject
 */
export declare const currentProject = "http://xmlns.com/foaf/0.1/currentProject";
/**
 * depiction
 *
 * A depiction of some thing.
 *
 * http://xmlns.com/foaf/0.1/depiction
 */
export declare const depiction = "http://xmlns.com/foaf/0.1/depiction";
/**
 * depicts
 *
 * A thing depicted in this representation.
 *
 * http://xmlns.com/foaf/0.1/depicts
 */
export declare const depicts = "http://xmlns.com/foaf/0.1/depicts";
/**
 * DNA checksum
 *
 * A checksum for the DNA of some thing. Joke.
 *
 * http://xmlns.com/foaf/0.1/dnaChecksum
 */
export declare const dnaChecksum = "http://xmlns.com/foaf/0.1/dnaChecksum";
/**
 * familyName
 *
 * The family name of some person.
 *
 * http://xmlns.com/foaf/0.1/familyName
 */
export declare const familyName = "http://xmlns.com/foaf/0.1/familyName";
/**
 * family_name
 *
 * The family name of some person.
 *
 * http://xmlns.com/foaf/0.1/family_name
 */
export declare const family_name = "http://xmlns.com/foaf/0.1/family_name";
/**
 * firstName
 *
 * The first name of a person.
 *
 * http://xmlns.com/foaf/0.1/firstName
 */
export declare const firstName = "http://xmlns.com/foaf/0.1/firstName";
/**
 * focus
 *
 * The underlying or 'focal' entity associated with some SKOS-described concept.
 *
 * http://xmlns.com/foaf/0.1/focus
 */
export declare const focus = "http://xmlns.com/foaf/0.1/focus";
/**
 * funded by
 *
 * An organization funding a project or person.
 *
 * http://xmlns.com/foaf/0.1/fundedBy
 */
export declare const fundedBy = "http://xmlns.com/foaf/0.1/fundedBy";
/**
 * geekcode
 *
 * A textual geekcode for this person, see http://www.geekcode.com/geek.html
 *
 * http://xmlns.com/foaf/0.1/geekcode
 */
export declare const geekcode = "http://xmlns.com/foaf/0.1/geekcode";
/**
 * gender
 *
 * The gender of this Agent (typically but not necessarily 'male' or 'female').
 *
 * http://xmlns.com/foaf/0.1/gender
 */
export declare const gender = "http://xmlns.com/foaf/0.1/gender";
/**
 * Given name
 *
 * The given name of some person.
 *
 * http://xmlns.com/foaf/0.1/givenName
 */
export declare const givenName = "http://xmlns.com/foaf/0.1/givenName";
/**
 * Given name
 *
 * The given name of some person.
 *
 * http://xmlns.com/foaf/0.1/givenname
 */
export declare const givenname = "http://xmlns.com/foaf/0.1/givenname";
/**
 * account
 *
 * Indicates an account held by this agent.
 *
 * http://xmlns.com/foaf/0.1/holdsAccount
 */
export declare const holdsAccount = "http://xmlns.com/foaf/0.1/holdsAccount";
/**
 * homepage
 *
 * A homepage for some thing.
 *
 * http://xmlns.com/foaf/0.1/homepage
 */
export declare const homepage = "http://xmlns.com/foaf/0.1/homepage";
/**
 * ICQ chat ID
 *
 * An ICQ chat ID
 *
 * http://xmlns.com/foaf/0.1/icqChatID
 */
export declare const icqChatID = "http://xmlns.com/foaf/0.1/icqChatID";
/**
 * image
 *
 * An image that can be used to represent some thing (ie. those depictions which are particularly representative of something, eg. one's photo on a homepage).
 *
 * http://xmlns.com/foaf/0.1/img
 */
export declare const img = "http://xmlns.com/foaf/0.1/img";
/**
 * interest
 *
 * A page about a topic of interest to this person.
 *
 * http://xmlns.com/foaf/0.1/interest
 */
export declare const interest = "http://xmlns.com/foaf/0.1/interest";
/**
 * is primary topic of
 *
 * A document that this thing is the primary topic of.
 *
 * http://xmlns.com/foaf/0.1/isPrimaryTopicOf
 */
export declare const isPrimaryTopicOf = "http://xmlns.com/foaf/0.1/isPrimaryTopicOf";
/**
 * jabber ID
 *
 * A jabber ID for something.
 *
 * http://xmlns.com/foaf/0.1/jabberID
 */
export declare const jabberID = "http://xmlns.com/foaf/0.1/jabberID";
/**
 * knows
 *
 * A person known by this person (indicating some level of reciprocated interaction between the parties).
 *
 * http://xmlns.com/foaf/0.1/knows
 */
export declare const knows = "http://xmlns.com/foaf/0.1/knows";
/**
 * lastName
 *
 * The last name of a person.
 *
 * http://xmlns.com/foaf/0.1/lastName
 */
export declare const lastName = "http://xmlns.com/foaf/0.1/lastName";
/**
 * logo
 *
 * A logo representing some thing.
 *
 * http://xmlns.com/foaf/0.1/logo
 */
export declare const logo = "http://xmlns.com/foaf/0.1/logo";
/**
 * made
 *
 * Something that was made by this agent.
 *
 * http://xmlns.com/foaf/0.1/made
 */
export declare const made = "http://xmlns.com/foaf/0.1/made";
/**
 * maker
 *
 * An agent that made this thing.
 *
 * http://xmlns.com/foaf/0.1/maker
 */
export declare const maker = "http://xmlns.com/foaf/0.1/maker";
/**
 * personal mailbox
 *
 * A personal mailbox, ie. an Internet mailbox associated with exactly one owner, the first owner of this mailbox. This is a 'static inverse functional property', in that there is (across time and change) at most one individual that ever has any particular value for foaf:mbox.
 *
 * http://xmlns.com/foaf/0.1/mbox
 */
export declare const mbox = "http://xmlns.com/foaf/0.1/mbox";
/**
 * sha1sum of a personal mailbox URI name
 *
 * The sha1sum of the URI of an Internet mailbox associated with exactly one owner, the first owner of the mailbox.
 *
 * http://xmlns.com/foaf/0.1/mbox_sha1sum
 */
export declare const mbox_sha1sum = "http://xmlns.com/foaf/0.1/mbox_sha1sum";
/**
 * member
 *
 * Indicates a member of a Group
 *
 * http://xmlns.com/foaf/0.1/member
 */
export declare const member = "http://xmlns.com/foaf/0.1/member";
/**
 * membershipClass
 *
 * Indicates the class of individuals that are a member of a Group
 *
 * http://xmlns.com/foaf/0.1/membershipClass
 */
export declare const membershipClass = "http://xmlns.com/foaf/0.1/membershipClass";
/**
 * MSN chat ID
 *
 * An MSN chat ID
 *
 * http://xmlns.com/foaf/0.1/msnChatID
 */
export declare const msnChatID = "http://xmlns.com/foaf/0.1/msnChatID";
/**
 * myersBriggs
 *
 * A Myers Briggs (MBTI) personality classification.
 *
 * http://xmlns.com/foaf/0.1/myersBriggs
 */
export declare const myersBriggs = "http://xmlns.com/foaf/0.1/myersBriggs";
/**
 * name
 *
 * A name for some thing.
 *
 * http://xmlns.com/foaf/0.1/name
 */
export declare const name = "http://xmlns.com/foaf/0.1/name";
/**
 * nickname
 *
 * A short informal nickname characterising an agent (includes login identifiers, IRC and other chat nicknames).
 *
 * http://xmlns.com/foaf/0.1/nick
 */
export declare const nick = "http://xmlns.com/foaf/0.1/nick";
/**
 * openid
 *
 * An OpenID for an Agent.
 *
 * http://xmlns.com/foaf/0.1/openid
 */
export declare const openid = "http://xmlns.com/foaf/0.1/openid";
/**
 * page
 *
 * A page or document about this thing.
 *
 * http://xmlns.com/foaf/0.1/page
 */
export declare const page = "http://xmlns.com/foaf/0.1/page";
/**
 * past project
 *
 * A project this person has previously worked on.
 *
 * http://xmlns.com/foaf/0.1/pastProject
 */
export declare const pastProject = "http://xmlns.com/foaf/0.1/pastProject";
/**
 * phone
 *
 * A phone, specified using fully qualified tel: URI scheme (refs: http://www.w3.org/Addressing/schemes.html#tel).
 *
 * http://xmlns.com/foaf/0.1/phone
 */
export declare const phone = "http://xmlns.com/foaf/0.1/phone";
/**
 * plan
 *
 * A .plan comment, in the tradition of finger and '.plan' files.
 *
 * http://xmlns.com/foaf/0.1/plan
 */
export declare const plan = "http://xmlns.com/foaf/0.1/plan";
/**
 * primary topic
 *
 * The primary topic of some page or document.
 *
 * http://xmlns.com/foaf/0.1/primaryTopic
 */
export declare const primaryTopic = "http://xmlns.com/foaf/0.1/primaryTopic";
/**
 * publications
 *
 * A link to the publications of this person.
 *
 * http://xmlns.com/foaf/0.1/publications
 */
export declare const publications = "http://xmlns.com/foaf/0.1/publications";
/**
 * schoolHomepage
 *
 * A homepage of a school attended by the person.
 *
 * http://xmlns.com/foaf/0.1/schoolHomepage
 */
export declare const schoolHomepage = "http://xmlns.com/foaf/0.1/schoolHomepage";
/**
 * sha1sum (hex)
 *
 * A sha1sum hash, in hex.
 *
 * http://xmlns.com/foaf/0.1/sha1
 */
export declare const sha1 = "http://xmlns.com/foaf/0.1/sha1";
/**
 * Skype ID
 *
 * A Skype ID
 *
 * http://xmlns.com/foaf/0.1/skypeID
 */
export declare const skypeID = "http://xmlns.com/foaf/0.1/skypeID";
/**
 * status
 *
 * A string expressing what the user is happy for the general public (normally) to know about their current activity.
 *
 * http://xmlns.com/foaf/0.1/status
 */
export declare const status = "http://xmlns.com/foaf/0.1/status";
/**
 * Surname
 *
 * The surname of some person.
 *
 * http://xmlns.com/foaf/0.1/surname
 */
export declare const surname = "http://xmlns.com/foaf/0.1/surname";
/**
 * theme
 *
 * A theme.
 *
 * http://xmlns.com/foaf/0.1/theme
 */
export declare const theme = "http://xmlns.com/foaf/0.1/theme";
/**
 * thumbnail
 *
 * A derived thumbnail image.
 *
 * http://xmlns.com/foaf/0.1/thumbnail
 */
export declare const thumbnail = "http://xmlns.com/foaf/0.1/thumbnail";
/**
 * tipjar
 *
 * A tipjar document for this agent, describing means for payment and reward.
 *
 * http://xmlns.com/foaf/0.1/tipjar
 */
export declare const tipjar = "http://xmlns.com/foaf/0.1/tipjar";
/**
 * title
 *
 * Title (Mr, Mrs, Ms, Dr. etc)
 *
 * http://xmlns.com/foaf/0.1/title
 */
export declare const title = "http://xmlns.com/foaf/0.1/title";
/**
 * topic
 *
 * A topic of some page or document.
 *
 * http://xmlns.com/foaf/0.1/topic
 */
export declare const topic = "http://xmlns.com/foaf/0.1/topic";
/**
 * topic_interest
 *
 * A thing of interest to this person.
 *
 * http://xmlns.com/foaf/0.1/topic_interest
 */
export declare const topic_interest = "http://xmlns.com/foaf/0.1/topic_interest";
/**
 * weblog
 *
 * A weblog of some thing (whether person, group, company etc.).
 *
 * http://xmlns.com/foaf/0.1/weblog
 */
export declare const weblog = "http://xmlns.com/foaf/0.1/weblog";
/**
 * work info homepage
 *
 * A work info homepage of some person; a page about their work for some organization.
 *
 * http://xmlns.com/foaf/0.1/workInfoHomepage
 */
export declare const workInfoHomepage = "http://xmlns.com/foaf/0.1/workInfoHomepage";
/**
 * workplace homepage
 *
 * A workplace homepage of some person; the homepage of an organization they work for.
 *
 * http://xmlns.com/foaf/0.1/workplaceHomepage
 */
export declare const workplaceHomepage = "http://xmlns.com/foaf/0.1/workplaceHomepage";
/**
 * Yahoo chat ID
 *
 * A Yahoo chat ID
 *
 * http://xmlns.com/foaf/0.1/yahooChatID
 */
export declare const yahooChatID = "http://xmlns.com/foaf/0.1/yahooChatID";
//# sourceMappingURL=foaf.d.ts.map