type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * Agent
 *
 * An agent (eg. person, group, software or physical artifact).
 *
 * http://xmlns.com/foaf/0.1/Agent
 */
export const Agent = 'http://xmlns.com/foaf/0.1/Agent' satisfies OwlClass;

/**
 * Document
 *
 * A document.
 *
 * http://xmlns.com/foaf/0.1/Document
 */
export const Document = 'http://xmlns.com/foaf/0.1/Document' satisfies Class;

/**
 * Group
 *
 * A class of Agents.
 *
 * http://xmlns.com/foaf/0.1/Group
 */
export const Group = 'http://xmlns.com/foaf/0.1/Group' satisfies Class;

/**
 * Image
 *
 * An image.
 *
 * http://xmlns.com/foaf/0.1/Image
 */
export const Image = 'http://xmlns.com/foaf/0.1/Image' satisfies Class;

/**
 * Label Property
 *
 * A foaf:LabelProperty is any RDF property with texual values that serve as labels.
 *
 * http://xmlns.com/foaf/0.1/LabelProperty
 */
export const LabelProperty = 'http://xmlns.com/foaf/0.1/LabelProperty' satisfies Class;

/**
 * Online Account
 *
 * An online account.
 *
 * http://xmlns.com/foaf/0.1/OnlineAccount
 */
export const OnlineAccount = 'http://xmlns.com/foaf/0.1/OnlineAccount' satisfies Class;

/**
 * Online Chat Account
 *
 * An online chat account.
 *
 * http://xmlns.com/foaf/0.1/OnlineChatAccount
 */
export const OnlineChatAccount = 'http://xmlns.com/foaf/0.1/OnlineChatAccount' satisfies Class;

/**
 * Online E-commerce Account
 *
 * An online e-commerce account.
 *
 * http://xmlns.com/foaf/0.1/OnlineEcommerceAccount
 */
export const OnlineEcommerceAccount = 'http://xmlns.com/foaf/0.1/OnlineEcommerceAccount' satisfies Class;

/**
 * Online Gaming Account
 *
 * An online gaming account.
 *
 * http://xmlns.com/foaf/0.1/OnlineGamingAccount
 */
export const OnlineGamingAccount = 'http://xmlns.com/foaf/0.1/OnlineGamingAccount' satisfies Class;

/**
 * Organization
 *
 * An organization.
 *
 * http://xmlns.com/foaf/0.1/Organization
 */
export const Organization = 'http://xmlns.com/foaf/0.1/Organization' satisfies Class;

/**
 * Person
 *
 * A person.
 *
 * http://xmlns.com/foaf/0.1/Person
 */
export const Person = 'http://xmlns.com/foaf/0.1/Person' satisfies Class;

/**
 * PersonalProfileDocument
 *
 * A personal profile RDF document.
 *
 * http://xmlns.com/foaf/0.1/PersonalProfileDocument
 */
export const PersonalProfileDocument = 'http://xmlns.com/foaf/0.1/PersonalProfileDocument' satisfies Class;

/**
 * Project
 *
 * A project (a collective endeavour of some kind).
 *
 * http://xmlns.com/foaf/0.1/Project
 */
export const Project = 'http://xmlns.com/foaf/0.1/Project' satisfies Class;

/**
 * account
 *
 * Indicates an account held by this agent.
 *
 * http://xmlns.com/foaf/0.1/account
 */
export const account = 'http://xmlns.com/foaf/0.1/account' satisfies Property;

/**
 * account name
 *
 * Indicates the name (identifier) associated with this online account.
 *
 * http://xmlns.com/foaf/0.1/accountName
 */
export const accountName = 'http://xmlns.com/foaf/0.1/accountName' satisfies Property;

/**
 * account service homepage
 *
 * Indicates a homepage of the service provide for this online account.
 *
 * http://xmlns.com/foaf/0.1/accountServiceHomepage
 */
export const accountServiceHomepage = 'http://xmlns.com/foaf/0.1/accountServiceHomepage' satisfies Property;

/**
 * age
 *
 * The age in years of some agent.
 *
 * http://xmlns.com/foaf/0.1/age
 */
export const age = 'http://xmlns.com/foaf/0.1/age' satisfies Property;

/**
 * AIM chat ID
 *
 * An AIM chat ID
 *
 * http://xmlns.com/foaf/0.1/aimChatID
 */
export const aimChatID = 'http://xmlns.com/foaf/0.1/aimChatID' satisfies Property;

/**
 * based near
 *
 * A location that something is based near, for some broadly human notion of near.
 *
 * http://xmlns.com/foaf/0.1/based_near
 */
export const based_near = 'http://xmlns.com/foaf/0.1/based_near' satisfies Property;

/**
 * birthday
 *
 * The birthday of this Agent, represented in mm-dd string form, eg. '12-31'.
 *
 * http://xmlns.com/foaf/0.1/birthday
 */
export const birthday = 'http://xmlns.com/foaf/0.1/birthday' satisfies Property;

/**
 * current project
 *
 * A current project this person works on.
 *
 * http://xmlns.com/foaf/0.1/currentProject
 */
export const currentProject = 'http://xmlns.com/foaf/0.1/currentProject' satisfies Property;

/**
 * depiction
 *
 * A depiction of some thing.
 *
 * http://xmlns.com/foaf/0.1/depiction
 */
export const depiction = 'http://xmlns.com/foaf/0.1/depiction' satisfies Property;

/**
 * depicts
 *
 * A thing depicted in this representation.
 *
 * http://xmlns.com/foaf/0.1/depicts
 */
export const depicts = 'http://xmlns.com/foaf/0.1/depicts' satisfies Property;

/**
 * DNA checksum
 *
 * A checksum for the DNA of some thing. Joke.
 *
 * http://xmlns.com/foaf/0.1/dnaChecksum
 */
export const dnaChecksum = 'http://xmlns.com/foaf/0.1/dnaChecksum' satisfies Property;

/**
 * familyName
 *
 * The family name of some person.
 *
 * http://xmlns.com/foaf/0.1/familyName
 */
export const familyName = 'http://xmlns.com/foaf/0.1/familyName' satisfies Property;

/**
 * family_name
 *
 * The family name of some person.
 *
 * http://xmlns.com/foaf/0.1/family_name
 */
export const family_name = 'http://xmlns.com/foaf/0.1/family_name' satisfies Property;

/**
 * firstName
 *
 * The first name of a person.
 *
 * http://xmlns.com/foaf/0.1/firstName
 */
export const firstName = 'http://xmlns.com/foaf/0.1/firstName' satisfies Property;

/**
 * focus
 *
 * The underlying or 'focal' entity associated with some SKOS-described concept.
 *
 * http://xmlns.com/foaf/0.1/focus
 */
export const focus = 'http://xmlns.com/foaf/0.1/focus' satisfies Property;

/**
 * funded by
 *
 * An organization funding a project or person.
 *
 * http://xmlns.com/foaf/0.1/fundedBy
 */
export const fundedBy = 'http://xmlns.com/foaf/0.1/fundedBy' satisfies Property;

/**
 * geekcode
 *
 * A textual geekcode for this person, see http://www.geekcode.com/geek.html
 *
 * http://xmlns.com/foaf/0.1/geekcode
 */
export const geekcode = 'http://xmlns.com/foaf/0.1/geekcode' satisfies Property;

/**
 * gender
 *
 * The gender of this Agent (typically but not necessarily 'male' or 'female').
 *
 * http://xmlns.com/foaf/0.1/gender
 */
export const gender = 'http://xmlns.com/foaf/0.1/gender' satisfies Property;

/**
 * Given name
 *
 * The given name of some person.
 *
 * http://xmlns.com/foaf/0.1/givenName
 */
export const givenName = 'http://xmlns.com/foaf/0.1/givenName' satisfies Property;

/**
 * Given name
 *
 * The given name of some person.
 *
 * http://xmlns.com/foaf/0.1/givenname
 */
export const givenname = 'http://xmlns.com/foaf/0.1/givenname' satisfies Property;

/**
 * account
 *
 * Indicates an account held by this agent.
 *
 * http://xmlns.com/foaf/0.1/holdsAccount
 */
export const holdsAccount = 'http://xmlns.com/foaf/0.1/holdsAccount' satisfies Property;

/**
 * homepage
 *
 * A homepage for some thing.
 *
 * http://xmlns.com/foaf/0.1/homepage
 */
export const homepage = 'http://xmlns.com/foaf/0.1/homepage' satisfies Property;

/**
 * ICQ chat ID
 *
 * An ICQ chat ID
 *
 * http://xmlns.com/foaf/0.1/icqChatID
 */
export const icqChatID = 'http://xmlns.com/foaf/0.1/icqChatID' satisfies Property;

/**
 * image
 *
 * An image that can be used to represent some thing (ie. those depictions which are particularly representative of something, eg. one's photo on a homepage).
 *
 * http://xmlns.com/foaf/0.1/img
 */
export const img = 'http://xmlns.com/foaf/0.1/img' satisfies Property;

/**
 * interest
 *
 * A page about a topic of interest to this person.
 *
 * http://xmlns.com/foaf/0.1/interest
 */
export const interest = 'http://xmlns.com/foaf/0.1/interest' satisfies Property;

/**
 * is primary topic of
 *
 * A document that this thing is the primary topic of.
 *
 * http://xmlns.com/foaf/0.1/isPrimaryTopicOf
 */
export const isPrimaryTopicOf = 'http://xmlns.com/foaf/0.1/isPrimaryTopicOf' satisfies Property;

/**
 * jabber ID
 *
 * A jabber ID for something.
 *
 * http://xmlns.com/foaf/0.1/jabberID
 */
export const jabberID = 'http://xmlns.com/foaf/0.1/jabberID' satisfies Property;

/**
 * knows
 *
 * A person known by this person (indicating some level of reciprocated interaction between the parties).
 *
 * http://xmlns.com/foaf/0.1/knows
 */
export const knows = 'http://xmlns.com/foaf/0.1/knows' satisfies Property;

/**
 * lastName
 *
 * The last name of a person.
 *
 * http://xmlns.com/foaf/0.1/lastName
 */
export const lastName = 'http://xmlns.com/foaf/0.1/lastName' satisfies Property;

/**
 * logo
 *
 * A logo representing some thing.
 *
 * http://xmlns.com/foaf/0.1/logo
 */
export const logo = 'http://xmlns.com/foaf/0.1/logo' satisfies Property;

/**
 * made
 *
 * Something that was made by this agent.
 *
 * http://xmlns.com/foaf/0.1/made
 */
export const made = 'http://xmlns.com/foaf/0.1/made' satisfies Property;

/**
 * maker
 *
 * An agent that made this thing.
 *
 * http://xmlns.com/foaf/0.1/maker
 */
export const maker = 'http://xmlns.com/foaf/0.1/maker' satisfies Property;

/**
 * personal mailbox
 *
 * A personal mailbox, ie. an Internet mailbox associated with exactly one owner, the first owner of this mailbox. This is a 'static inverse functional property', in that there is (across time and change) at most one individual that ever has any particular value for foaf:mbox.
 *
 * http://xmlns.com/foaf/0.1/mbox
 */
export const mbox = 'http://xmlns.com/foaf/0.1/mbox' satisfies Property;

/**
 * sha1sum of a personal mailbox URI name
 *
 * The sha1sum of the URI of an Internet mailbox associated with exactly one owner, the first owner of the mailbox.
 *
 * http://xmlns.com/foaf/0.1/mbox_sha1sum
 */
export const mbox_sha1sum = 'http://xmlns.com/foaf/0.1/mbox_sha1sum' satisfies Property;

/**
 * member
 *
 * Indicates a member of a Group
 *
 * http://xmlns.com/foaf/0.1/member
 */
export const member = 'http://xmlns.com/foaf/0.1/member' satisfies Property;

/**
 * membershipClass
 *
 * Indicates the class of individuals that are a member of a Group
 *
 * http://xmlns.com/foaf/0.1/membershipClass
 */
export const membershipClass = 'http://xmlns.com/foaf/0.1/membershipClass' satisfies Property;

/**
 * MSN chat ID
 *
 * An MSN chat ID
 *
 * http://xmlns.com/foaf/0.1/msnChatID
 */
export const msnChatID = 'http://xmlns.com/foaf/0.1/msnChatID' satisfies Property;

/**
 * myersBriggs
 *
 * A Myers Briggs (MBTI) personality classification.
 *
 * http://xmlns.com/foaf/0.1/myersBriggs
 */
export const myersBriggs = 'http://xmlns.com/foaf/0.1/myersBriggs' satisfies Property;

/**
 * name
 *
 * A name for some thing.
 *
 * http://xmlns.com/foaf/0.1/name
 */
export const name = 'http://xmlns.com/foaf/0.1/name' satisfies Property;

/**
 * nickname
 *
 * A short informal nickname characterising an agent (includes login identifiers, IRC and other chat nicknames).
 *
 * http://xmlns.com/foaf/0.1/nick
 */
export const nick = 'http://xmlns.com/foaf/0.1/nick' satisfies Property;

/**
 * openid
 *
 * An OpenID for an Agent.
 *
 * http://xmlns.com/foaf/0.1/openid
 */
export const openid = 'http://xmlns.com/foaf/0.1/openid' satisfies Property;

/**
 * page
 *
 * A page or document about this thing.
 *
 * http://xmlns.com/foaf/0.1/page
 */
export const page = 'http://xmlns.com/foaf/0.1/page' satisfies Property;

/**
 * past project
 *
 * A project this person has previously worked on.
 *
 * http://xmlns.com/foaf/0.1/pastProject
 */
export const pastProject = 'http://xmlns.com/foaf/0.1/pastProject' satisfies Property;

/**
 * phone
 *
 * A phone, specified using fully qualified tel: URI scheme (refs: http://www.w3.org/Addressing/schemes.html#tel).
 *
 * http://xmlns.com/foaf/0.1/phone
 */
export const phone = 'http://xmlns.com/foaf/0.1/phone' satisfies Property;

/**
 * plan
 *
 * A .plan comment, in the tradition of finger and '.plan' files.
 *
 * http://xmlns.com/foaf/0.1/plan
 */
export const plan = 'http://xmlns.com/foaf/0.1/plan' satisfies Property;

/**
 * primary topic
 *
 * The primary topic of some page or document.
 *
 * http://xmlns.com/foaf/0.1/primaryTopic
 */
export const primaryTopic = 'http://xmlns.com/foaf/0.1/primaryTopic' satisfies Property;

/**
 * publications
 *
 * A link to the publications of this person.
 *
 * http://xmlns.com/foaf/0.1/publications
 */
export const publications = 'http://xmlns.com/foaf/0.1/publications' satisfies Property;

/**
 * schoolHomepage
 *
 * A homepage of a school attended by the person.
 *
 * http://xmlns.com/foaf/0.1/schoolHomepage
 */
export const schoolHomepage = 'http://xmlns.com/foaf/0.1/schoolHomepage' satisfies Property;

/**
 * sha1sum (hex)
 *
 * A sha1sum hash, in hex.
 *
 * http://xmlns.com/foaf/0.1/sha1
 */
export const sha1 = 'http://xmlns.com/foaf/0.1/sha1' satisfies Property;

/**
 * Skype ID
 *
 * A Skype ID
 *
 * http://xmlns.com/foaf/0.1/skypeID
 */
export const skypeID = 'http://xmlns.com/foaf/0.1/skypeID' satisfies Property;

/**
 * status
 *
 * A string expressing what the user is happy for the general public (normally) to know about their current activity.
 *
 * http://xmlns.com/foaf/0.1/status
 */
export const status = 'http://xmlns.com/foaf/0.1/status' satisfies Property;

/**
 * Surname
 *
 * The surname of some person.
 *
 * http://xmlns.com/foaf/0.1/surname
 */
export const surname = 'http://xmlns.com/foaf/0.1/surname' satisfies Property;

/**
 * theme
 *
 * A theme.
 *
 * http://xmlns.com/foaf/0.1/theme
 */
export const theme = 'http://xmlns.com/foaf/0.1/theme' satisfies Property;

/**
 * thumbnail
 *
 * A derived thumbnail image.
 *
 * http://xmlns.com/foaf/0.1/thumbnail
 */
export const thumbnail = 'http://xmlns.com/foaf/0.1/thumbnail' satisfies Property;

/**
 * tipjar
 *
 * A tipjar document for this agent, describing means for payment and reward.
 *
 * http://xmlns.com/foaf/0.1/tipjar
 */
export const tipjar = 'http://xmlns.com/foaf/0.1/tipjar' satisfies Property;

/**
 * title
 *
 * Title (Mr, Mrs, Ms, Dr. etc)
 *
 * http://xmlns.com/foaf/0.1/title
 */
export const title = 'http://xmlns.com/foaf/0.1/title' satisfies Property;

/**
 * topic
 *
 * A topic of some page or document.
 *
 * http://xmlns.com/foaf/0.1/topic
 */
export const topic = 'http://xmlns.com/foaf/0.1/topic' satisfies Property;

/**
 * topic_interest
 *
 * A thing of interest to this person.
 *
 * http://xmlns.com/foaf/0.1/topic_interest
 */
export const topic_interest = 'http://xmlns.com/foaf/0.1/topic_interest' satisfies Property;

/**
 * weblog
 *
 * A weblog of some thing (whether person, group, company etc.).
 *
 * http://xmlns.com/foaf/0.1/weblog
 */
export const weblog = 'http://xmlns.com/foaf/0.1/weblog' satisfies Property;

/**
 * work info homepage
 *
 * A work info homepage of some person; a page about their work for some organization.
 *
 * http://xmlns.com/foaf/0.1/workInfoHomepage
 */
export const workInfoHomepage = 'http://xmlns.com/foaf/0.1/workInfoHomepage' satisfies Property;

/**
 * workplace homepage
 *
 * A workplace homepage of some person; the homepage of an organization they work for.
 *
 * http://xmlns.com/foaf/0.1/workplaceHomepage
 */
export const workplaceHomepage = 'http://xmlns.com/foaf/0.1/workplaceHomepage' satisfies Property;

/**
 * Yahoo chat ID
 *
 * A Yahoo chat ID
 *
 * http://xmlns.com/foaf/0.1/yahooChatID
 */
export const yahooChatID = 'http://xmlns.com/foaf/0.1/yahooChatID' satisfies Property;
