type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * HTTP Message
 *
 * The class of all HTTP messages: 4.1
 *
 * http://www.w3.org/2007/ont/http#Message
 */
export const Message = 'http://www.w3.org/2007/ont/http#Message' satisfies Class;

/**
 * HTTP Request Message
 *
 * This class of HTTP requests: 4.1
 *
 * http://www.w3.org/2007/ont/http#RequestMessage
 */
export const RequestMessage = 'http://www.w3.org/2007/ont/http#RequestMessage' satisfies Class;

/**
 * HTTP Response Message
 *
 * This class of HTTP responses: 4.1
 *
 * http://www.w3.org/2007/ont/http#ResponseMessage
 */
export const ResponseMessage = 'http://www.w3.org/2007/ont/http#ResponseMessage' satisfies Class;

/**
 * method
 *
 * The method used in the request: 5.1.1
 *
 * http://www.w3.org/2007/ont/http#method
 */
export const method = 'http://www.w3.org/2007/ont/http#method' satisfies Property;

/**
 * request URI
 *
 * The URI being requested: 5.1.2
 *
 * http://www.w3.org/2007/ont/http#requestURI
 */
export const requestURI = 'http://www.w3.org/2007/ont/http#requestURI' satisfies Property;

/**
 * version
 *
 * The HTTP version of the request: 3.1,5.1,6.1
 *
 * http://www.w3.org/2007/ont/http#version
 */
export const version = 'http://www.w3.org/2007/ont/http#version' satisfies Property;

/**
 * status
 *
 * The HTTP status of the response, 200 for OK, etc.
 *
 * http://www.w3.org/2007/ont/http#status
 */
export const status = 'http://www.w3.org/2007/ont/http#status' satisfies Property;
