/**
 * ApiDocumentation
 *
 * The Hydra API documentation class
 *
 * http://www.w3.org/ns/hydra/core#ApiDocumentation
 */
export declare const ApiDocumentation = "http://www.w3.org/ns/hydra/core#ApiDocumentation";
/**
 * Base Uri source
 *
 * Provides a base abstract for base Uri source for Iri template resolution.
 *
 * http://www.w3.org/ns/hydra/core#BaseUriSource
 */
export declare const BaseUriSource = "http://www.w3.org/ns/hydra/core#BaseUriSource";
/**
 * BasicRepresentation
 *
 * A representation that serializes just the lexical form of a variable value, but omits language and type information.
 *
 * http://www.w3.org/ns/hydra/core#BasicRepresentation
 */
export declare const BasicRepresentation = "http://www.w3.org/ns/hydra/core#BasicRepresentation";
/**
 * Hydra Class
 *
 * The class of Hydra classes.
 *
 * http://www.w3.org/ns/hydra/core#Class
 */
export declare const Class = "http://www.w3.org/ns/hydra/core#Class";
/**
 * Collection
 *
 * A collection holding references to a number of related resources.
 *
 * http://www.w3.org/ns/hydra/core#Collection
 */
export declare const Collection = "http://www.w3.org/ns/hydra/core#Collection";
/**
 * Error
 *
 * A runtime error, used to report information beyond the returned status code.
 * Note that `Error` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://www.w3.org/ns/hydra/core#Error
 */
export declare const Error__workaround = "http://www.w3.org/ns/hydra/core#Error";
/**
 * ExplicitRepresentation
 *
 * A representation that serializes a variable value including its language and type information and thus differentiating between IRIs and literals.
 *
 * http://www.w3.org/ns/hydra/core#ExplicitRepresentation
 */
export declare const ExplicitRepresentation = "http://www.w3.org/ns/hydra/core#ExplicitRepresentation";
/**
 * Header specification
 *
 * Specifies a possible either expected or returned header values
 *
 * http://www.w3.org/ns/hydra/core#HeaderSpecification
 */
export declare const HeaderSpecification = "http://www.w3.org/ns/hydra/core#HeaderSpecification";
/**
 * IRI Template
 *
 * The class of IRI templates.
 *
 * http://www.w3.org/ns/hydra/core#IriTemplate
 */
export declare const IriTemplate = "http://www.w3.org/ns/hydra/core#IriTemplate";
/**
 * IriTemplateMapping
 *
 * A mapping from an IRI template variable to a property.
 *
 * http://www.w3.org/ns/hydra/core#IriTemplateMapping
 */
export declare const IriTemplateMapping = "http://www.w3.org/ns/hydra/core#IriTemplateMapping";
/**
 * Link
 *
 * The class of properties representing links.
 *
 * http://www.w3.org/ns/hydra/core#Link
 */
export declare const Link = "http://www.w3.org/ns/hydra/core#Link";
/**
 * Operation
 *
 * An operation.
 *
 * http://www.w3.org/ns/hydra/core#Operation
 */
export declare const Operation = "http://www.w3.org/ns/hydra/core#Operation";
/**
 * PartialCollectionView
 *
 * A PartialCollectionView describes a partial view of a Collection. Multiple PartialCollectionViews can be connected with the the next/previous properties to allow a client to retrieve all members of the collection.
 *
 * http://www.w3.org/ns/hydra/core#PartialCollectionView
 */
export declare const PartialCollectionView = "http://www.w3.org/ns/hydra/core#PartialCollectionView";
/**
 * Hydra Resource
 *
 * The class of dereferenceable resources by means a client can attempt to dereference; however, the received responses should still be verified.
 *
 * http://www.w3.org/ns/hydra/core#Resource
 */
export declare const Resource = "http://www.w3.org/ns/hydra/core#Resource";
/**
 * RFC6570 IRI template
 *
 * An IRI template as defined by RFC6570.
 *
 * http://www.w3.org/ns/hydra/core#Rfc6570Template
 */
export declare const Rfc6570Template = "http://www.w3.org/ns/hydra/core#Rfc6570Template";
/**
 * Status code description
 *
 * Additional information about a status code that might be returned.
 *
 * http://www.w3.org/ns/hydra/core#Status
 */
export declare const Status = "http://www.w3.org/ns/hydra/core#Status";
/**
 * Supported Property
 *
 * A property known to be supported by a Hydra class.
 *
 * http://www.w3.org/ns/hydra/core#SupportedProperty
 */
export declare const SupportedProperty = "http://www.w3.org/ns/hydra/core#SupportedProperty";
/**
 * Templated Link
 *
 * A templated link.
 *
 * http://www.w3.org/ns/hydra/core#TemplatedLink
 */
export declare const TemplatedLink = "http://www.w3.org/ns/hydra/core#TemplatedLink";
/**
 * VariableRepresentation
 *
 * A representation specifies how to serialize variable values into strings.
 *
 * http://www.w3.org/ns/hydra/core#VariableRepresentation
 */
export declare const VariableRepresentation = "http://www.w3.org/ns/hydra/core#VariableRepresentation";
/**
 * apiDocumentation
 *
 * A link to the API documentation
 *
 * http://www.w3.org/ns/hydra/core#apiDocumentation
 */
export declare const apiDocumentation = "http://www.w3.org/ns/hydra/core#apiDocumentation";
/**
 * closed set
 *
 * Determines whether the provided set of header values is closed or not.
 *
 * http://www.w3.org/ns/hydra/core#closedSet
 */
export declare const closedSet = "http://www.w3.org/ns/hydra/core#closedSet";
/**
 * collection
 *
 * Collections somehow related to this resource.
 *
 * http://www.w3.org/ns/hydra/core#collection
 */
export declare const collection = "http://www.w3.org/ns/hydra/core#collection";
/**
 * description
 *
 * A description.
 *
 * http://www.w3.org/ns/hydra/core#description
 */
export declare const description = "http://www.w3.org/ns/hydra/core#description";
/**
 * entrypoint
 *
 * A link to main entry point of the Web API
 *
 * http://www.w3.org/ns/hydra/core#entrypoint
 */
export declare const entrypoint = "http://www.w3.org/ns/hydra/core#entrypoint";
/**
 * expects
 *
 * The information expected by the Web API.
 *
 * http://www.w3.org/ns/hydra/core#expects
 */
export declare const expects = "http://www.w3.org/ns/hydra/core#expects";
/**
 * expects header
 *
 * Specification of the header expected by the operation.
 *
 * http://www.w3.org/ns/hydra/core#expectsHeader
 */
export declare const expectsHeader = "http://www.w3.org/ns/hydra/core#expectsHeader";
/**
 * extension
 *
 * Hint on what kind of extensions are in use.
 *
 * http://www.w3.org/ns/hydra/core#extension
 */
export declare const extension = "http://www.w3.org/ns/hydra/core#extension";
/**
 * first
 *
 * The first resource of an interlinked set of resources.
 *
 * http://www.w3.org/ns/hydra/core#first
 */
export declare const first = "http://www.w3.org/ns/hydra/core#first";
/**
 * freetext query
 *
 * A property representing a freetext query.
 *
 * http://www.w3.org/ns/hydra/core#freetextQuery
 */
export declare const freetextQuery = "http://www.w3.org/ns/hydra/core#freetextQuery";
/**
 * header name
 *
 * Name of the header.
 *
 * http://www.w3.org/ns/hydra/core#headerName
 */
export declare const headerName = "http://www.w3.org/ns/hydra/core#headerName";
/**
 * last
 *
 * The last resource of an interlinked set of resources.
 *
 * http://www.w3.org/ns/hydra/core#last
 */
export declare const last = "http://www.w3.org/ns/hydra/core#last";
/**
 * take
 *
 * Instructs to limit set only to N elements.
 *
 * http://www.w3.org/ns/hydra/core#limit
 */
export declare const limit = "http://www.w3.org/ns/hydra/core#limit";
/**
 * mapping
 *
 * A variable-to-property mapping of the IRI template.
 *
 * http://www.w3.org/ns/hydra/core#mapping
 */
export declare const mapping = "http://www.w3.org/ns/hydra/core#mapping";
/**
 * member
 *
 * A member of the collection
 *
 * http://www.w3.org/ns/hydra/core#member
 */
export declare const member = "http://www.w3.org/ns/hydra/core#member";
/**
 * method
 *
 * The HTTP method.
 *
 * http://www.w3.org/ns/hydra/core#method
 */
export declare const method = "http://www.w3.org/ns/hydra/core#method";
/**
 * next
 *
 * The resource following the current instance in an interlinked set of resources.
 *
 * http://www.w3.org/ns/hydra/core#next
 */
export declare const next = "http://www.w3.org/ns/hydra/core#next";
/**
 * skip
 *
 * Instructs to skip N elements of the set.
 *
 * http://www.w3.org/ns/hydra/core#offset
 */
export declare const offset = "http://www.w3.org/ns/hydra/core#offset";
/**
 * operation
 *
 * An operation supported by the Hydra resource
 *
 * http://www.w3.org/ns/hydra/core#operation
 */
export declare const operation = "http://www.w3.org/ns/hydra/core#operation";
/**
 * page index
 *
 * Instructs to provide a specific page of the collection at a given index.
 *
 * http://www.w3.org/ns/hydra/core#pageIndex
 */
export declare const pageIndex = "http://www.w3.org/ns/hydra/core#pageIndex";
/**
 * page reference
 *
 * Instructs to provide a specific page reference of the collection.
 *
 * http://www.w3.org/ns/hydra/core#pageReference
 */
export declare const pageReference = "http://www.w3.org/ns/hydra/core#pageReference";
/**
 * possible status
 *
 * A status that might be returned by the Web API (other statuses should be expected and properly handled as well)
 *
 * http://www.w3.org/ns/hydra/core#possibleStatus
 */
export declare const possibleStatus = "http://www.w3.org/ns/hydra/core#possibleStatus";
/**
 * possible header value
 *
 * Possible value of the header.
 *
 * http://www.w3.org/ns/hydra/core#possibleValue
 */
export declare const possibleValue = "http://www.w3.org/ns/hydra/core#possibleValue";
/**
 * previous
 *
 * The resource preceding the current instance in an interlinked set of resources.
 *
 * http://www.w3.org/ns/hydra/core#previous
 */
export declare const previous = "http://www.w3.org/ns/hydra/core#previous";
/**
 * property
 *
 * A property
 *
 * http://www.w3.org/ns/hydra/core#property
 */
export declare const property = "http://www.w3.org/ns/hydra/core#property";
/**
 * readable
 *
 * True if the client can retrieve the property's value, false otherwise.
 *
 * http://www.w3.org/ns/hydra/core#readable
 */
export declare const readable = "http://www.w3.org/ns/hydra/core#readable";
/**
 * required
 *
 * True if the property is required, false otherwise.
 *
 * http://www.w3.org/ns/hydra/core#required
 */
export declare const required = "http://www.w3.org/ns/hydra/core#required";
/**
 * relative Uri resolution
 *
 * http://www.w3.org/ns/hydra/core#resolveRelativeUsing
 */
export declare const resolveRelativeUsing = "http://www.w3.org/ns/hydra/core#resolveRelativeUsing";
/**
 * returns
 *
 * The information returned by the Web API on success
 *
 * http://www.w3.org/ns/hydra/core#returns
 */
export declare const returns = "http://www.w3.org/ns/hydra/core#returns";
/**
 * returns header
 *
 * Name of the header returned by the operation.
 *
 * http://www.w3.org/ns/hydra/core#returnsHeader
 */
export declare const returnsHeader = "http://www.w3.org/ns/hydra/core#returnsHeader";
/**
 * search
 *
 * A IRI template that can be used to query a collection.
 *
 * http://www.w3.org/ns/hydra/core#search
 */
export declare const search = "http://www.w3.org/ns/hydra/core#search";
/**
 * status code
 *
 * The HTTP status code. Please note it may happen this value will be different to actual status code received.
 *
 * http://www.w3.org/ns/hydra/core#statusCode
 */
export declare const statusCode = "http://www.w3.org/ns/hydra/core#statusCode";
/**
 * supported classes
 *
 * A class known to be supported by the Web API
 *
 * http://www.w3.org/ns/hydra/core#supportedClass
 */
export declare const supportedClass = "http://www.w3.org/ns/hydra/core#supportedClass";
/**
 * supported operation
 *
 * An operation supported by instances of the specific Hydra class, or the target of the Hydra link, or IRI template.
 *
 * http://www.w3.org/ns/hydra/core#supportedOperation
 */
export declare const supportedOperation = "http://www.w3.org/ns/hydra/core#supportedOperation";
/**
 * supported properties
 *
 * The properties known to be supported by a Hydra class
 *
 * http://www.w3.org/ns/hydra/core#supportedProperty
 */
export declare const supportedProperty = "http://www.w3.org/ns/hydra/core#supportedProperty";
/**
 * template
 *
 * A templated string with placeholders. The literal's datatype indicates the template syntax; if not specified, hydra:Rfc6570Template is assumed.
 *
 * http://www.w3.org/ns/hydra/core#template
 */
export declare const template = "http://www.w3.org/ns/hydra/core#template";
/**
 * title
 *
 * A title, often used along with a description.
 *
 * http://www.w3.org/ns/hydra/core#title
 */
export declare const title = "http://www.w3.org/ns/hydra/core#title";
/**
 * total items
 *
 * The total number of items referenced by a collection.
 *
 * http://www.w3.org/ns/hydra/core#totalItems
 */
export declare const totalItems = "http://www.w3.org/ns/hydra/core#totalItems";
/**
 * variable
 *
 * An IRI template variable
 *
 * http://www.w3.org/ns/hydra/core#variable
 */
export declare const variable = "http://www.w3.org/ns/hydra/core#variable";
/**
 * variable representation
 *
 * The representation format to use when expanding the IRI template.
 *
 * http://www.w3.org/ns/hydra/core#variableRepresentation
 */
export declare const variableRepresentation = "http://www.w3.org/ns/hydra/core#variableRepresentation";
/**
 * view
 *
 * A specific view of a resource.
 *
 * http://www.w3.org/ns/hydra/core#view
 */
export declare const view = "http://www.w3.org/ns/hydra/core#view";
/**
 * writable
 *
 * True if the client can change the property's value, false otherwise.
 *
 * http://www.w3.org/ns/hydra/core#writable
 */
export declare const writable = "http://www.w3.org/ns/hydra/core#writable";
//# sourceMappingURL=hydra.d.ts.map