type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://www.w3.org/ns/pim/meeting#Meeting
 */
export const Meeting = 'http://www.w3.org/ns/pim/meeting#Meeting' satisfies Class;

/**
 * A web page (eg on appear.in, or wherever) for  a live video chat.
 *     The URI should be as accurate as possible ideally without requiring meeting numbers, room numbers, etc to be entered.
 *
 * http://www.w3.org/ns/pim/meeting#VideoCallPage
 */
export const VideoCallPage = 'http://www.w3.org/ns/pim/meeting#VideoCallPage' satisfies Class;

/**
 * action items
 *
 * http://www.w3.org/ns/pim/meeting#actionItems
 */
export const actionItems = 'http://www.w3.org/ns/pim/meeting#actionItems' satisfies Property;

/**
 * agenda
 *
 * http://www.w3.org/ns/pim/meeting#agenda
 */
export const agenda = 'http://www.w3.org/ns/pim/meeting#agenda' satisfies Property;

/**
 * http://www.w3.org/ns/pim/meeting#attendeeGroup
 */
export const attendeeGroup = 'http://www.w3.org/ns/pim/meeting#attendeeGroup' satisfies Property;

/**
 * chat
 *
 * A live text-based chat object or chat document.
 *
 * http://www.w3.org/ns/pim/meeting#chat
 */
export const chat = 'http://www.w3.org/ns/pim/meeting#chat' satisfies Property;

/**
 * next meeting
 *
 * http://www.w3.org/ns/pim/meeting#nextMeeting
 */
export const nextMeeting = 'http://www.w3.org/ns/pim/meeting#nextMeeting' satisfies Property;

/**
 * previous meeting
 *
 * http://www.w3.org/ns/pim/meeting#previousMeeting
 */
export const previousMeeting = 'http://www.w3.org/ns/pim/meeting#previousMeeting' satisfies Property;

/**
 * A shared notepad to capture the course and result of the meeting
 *
 * http://www.w3.org/ns/pim/meeting#sharedNotes
 */
export const sharedNotes = 'http://www.w3.org/ns/pim/meeting#sharedNotes' satisfies Property;

/**
 * http://www.w3.org/ns/pim/meeting#toolList
 */
export const toolList = 'http://www.w3.org/ns/pim/meeting#toolList' satisfies Property;

/**
 * trip
 *
 * http://www.w3.org/ns/pim/meeting#trip
 */
export const trip = 'http://www.w3.org/ns/pim/meeting#trip' satisfies Property;

/**
 * For a meeting, a web page (eg on appear.in, or wherever) for  a live video chat for the meeting.
 *   The URI should be as accurate as possible ideally without requiring meeting numbers etc to be entered.
 *
 * http://www.w3.org/ns/pim/meeting#videoCallPage
 */
export const videoCallPage = 'http://www.w3.org/ns/pim/meeting#videoCallPage' satisfies Property;
