/**
 * AllDifferent
 *
 * The class of collections of pairwise different individuals.
 *
 * http://www.w3.org/2002/07/owl#AllDifferent
 */
export declare const AllDifferent = "http://www.w3.org/2002/07/owl#AllDifferent";
/**
 * AllDisjointClasses
 *
 * The class of collections of pairwise disjoint classes.
 *
 * http://www.w3.org/2002/07/owl#AllDisjointClasses
 */
export declare const AllDisjointClasses = "http://www.w3.org/2002/07/owl#AllDisjointClasses";
/**
 * AllDisjointProperties
 *
 * The class of collections of pairwise disjoint properties.
 *
 * http://www.w3.org/2002/07/owl#AllDisjointProperties
 */
export declare const AllDisjointProperties = "http://www.w3.org/2002/07/owl#AllDisjointProperties";
/**
 * Annotation
 *
 * The class of annotated annotations for which the RDF serialization consists of an annotated subject, predicate and object.
 *
 * http://www.w3.org/2002/07/owl#Annotation
 */
export declare const Annotation = "http://www.w3.org/2002/07/owl#Annotation";
/**
 * AnnotationProperty
 *
 * The class of annotation properties.
 *
 * http://www.w3.org/2002/07/owl#AnnotationProperty
 */
export declare const AnnotationProperty = "http://www.w3.org/2002/07/owl#AnnotationProperty";
/**
 * AsymmetricProperty
 *
 * The class of asymmetric properties.
 *
 * http://www.w3.org/2002/07/owl#AsymmetricProperty
 */
export declare const AsymmetricProperty = "http://www.w3.org/2002/07/owl#AsymmetricProperty";
/**
 * Axiom
 *
 * The class of annotated axioms for which the RDF serialization consists of an annotated subject, predicate and object.
 *
 * http://www.w3.org/2002/07/owl#Axiom
 */
export declare const Axiom = "http://www.w3.org/2002/07/owl#Axiom";
/**
 * Class
 *
 * The class of OWL classes.
 *
 * http://www.w3.org/2002/07/owl#Class
 */
export declare const Class = "http://www.w3.org/2002/07/owl#Class";
/**
 * DataRange
 *
 * The class of OWL data ranges, which are special kinds of datatypes. Note: The use of the IRI owl:DataRange has been deprecated as of OWL 2. The IRI rdfs:Datatype SHOULD be used instead.
 *
 * http://www.w3.org/2002/07/owl#DataRange
 */
export declare const DataRange = "http://www.w3.org/2002/07/owl#DataRange";
/**
 * DatatypeProperty
 *
 * The class of data properties.
 *
 * http://www.w3.org/2002/07/owl#DatatypeProperty
 */
export declare const DatatypeProperty = "http://www.w3.org/2002/07/owl#DatatypeProperty";
/**
 * DeprecatedClass
 *
 * The class of deprecated classes.
 *
 * http://www.w3.org/2002/07/owl#DeprecatedClass
 */
export declare const DeprecatedClass = "http://www.w3.org/2002/07/owl#DeprecatedClass";
/**
 * DeprecatedProperty
 *
 * The class of deprecated properties.
 *
 * http://www.w3.org/2002/07/owl#DeprecatedProperty
 */
export declare const DeprecatedProperty = "http://www.w3.org/2002/07/owl#DeprecatedProperty";
/**
 * FunctionalProperty
 *
 * The class of functional properties.
 *
 * http://www.w3.org/2002/07/owl#FunctionalProperty
 */
export declare const FunctionalProperty = "http://www.w3.org/2002/07/owl#FunctionalProperty";
/**
 * InverseFunctionalProperty
 *
 * The class of inverse-functional properties.
 *
 * http://www.w3.org/2002/07/owl#InverseFunctionalProperty
 */
export declare const InverseFunctionalProperty = "http://www.w3.org/2002/07/owl#InverseFunctionalProperty";
/**
 * IrreflexiveProperty
 *
 * The class of irreflexive properties.
 *
 * http://www.w3.org/2002/07/owl#IrreflexiveProperty
 */
export declare const IrreflexiveProperty = "http://www.w3.org/2002/07/owl#IrreflexiveProperty";
/**
 * NamedIndividual
 *
 * The class of named individuals.
 *
 * http://www.w3.org/2002/07/owl#NamedIndividual
 */
export declare const NamedIndividual = "http://www.w3.org/2002/07/owl#NamedIndividual";
/**
 * NegativePropertyAssertion
 *
 * The class of negative property assertions.
 *
 * http://www.w3.org/2002/07/owl#NegativePropertyAssertion
 */
export declare const NegativePropertyAssertion = "http://www.w3.org/2002/07/owl#NegativePropertyAssertion";
/**
 * Nothing
 *
 * This is the empty class.
 *
 * http://www.w3.org/2002/07/owl#Nothing
 */
export declare const Nothing = "http://www.w3.org/2002/07/owl#Nothing";
/**
 * ObjectProperty
 *
 * The class of object properties.
 *
 * http://www.w3.org/2002/07/owl#ObjectProperty
 */
export declare const ObjectProperty = "http://www.w3.org/2002/07/owl#ObjectProperty";
/**
 * Ontology
 *
 * The class of ontologies.
 *
 * http://www.w3.org/2002/07/owl#Ontology
 */
export declare const Ontology = "http://www.w3.org/2002/07/owl#Ontology";
/**
 * OntologyProperty
 *
 * The class of ontology properties.
 *
 * http://www.w3.org/2002/07/owl#OntologyProperty
 */
export declare const OntologyProperty = "http://www.w3.org/2002/07/owl#OntologyProperty";
/**
 * ReflexiveProperty
 *
 * The class of reflexive properties.
 *
 * http://www.w3.org/2002/07/owl#ReflexiveProperty
 */
export declare const ReflexiveProperty = "http://www.w3.org/2002/07/owl#ReflexiveProperty";
/**
 * Restriction
 *
 * The class of property restrictions.
 *
 * http://www.w3.org/2002/07/owl#Restriction
 */
export declare const Restriction = "http://www.w3.org/2002/07/owl#Restriction";
/**
 * SymmetricProperty
 *
 * The class of symmetric properties.
 *
 * http://www.w3.org/2002/07/owl#SymmetricProperty
 */
export declare const SymmetricProperty = "http://www.w3.org/2002/07/owl#SymmetricProperty";
/**
 * TransitiveProperty
 *
 * The class of transitive properties.
 *
 * http://www.w3.org/2002/07/owl#TransitiveProperty
 */
export declare const TransitiveProperty = "http://www.w3.org/2002/07/owl#TransitiveProperty";
/**
 * Thing
 *
 * The class of OWL individuals.
 *
 * http://www.w3.org/2002/07/owl#Thing
 */
export declare const Thing = "http://www.w3.org/2002/07/owl#Thing";
/**
 * allValuesFrom
 *
 * The property that determines the class that a universal property restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#allValuesFrom
 */
export declare const allValuesFrom = "http://www.w3.org/2002/07/owl#allValuesFrom";
/**
 * annotatedProperty
 *
 * The property that determines the predicate of an annotated axiom or annotated annotation.
 *
 * http://www.w3.org/2002/07/owl#annotatedProperty
 */
export declare const annotatedProperty = "http://www.w3.org/2002/07/owl#annotatedProperty";
/**
 * annotatedSource
 *
 * The property that determines the subject of an annotated axiom or annotated annotation.
 *
 * http://www.w3.org/2002/07/owl#annotatedSource
 */
export declare const annotatedSource = "http://www.w3.org/2002/07/owl#annotatedSource";
/**
 * annotatedTarget
 *
 * The property that determines the object of an annotated axiom or annotated annotation.
 *
 * http://www.w3.org/2002/07/owl#annotatedTarget
 */
export declare const annotatedTarget = "http://www.w3.org/2002/07/owl#annotatedTarget";
/**
 * assertionProperty
 *
 * The property that determines the predicate of a negative property assertion.
 *
 * http://www.w3.org/2002/07/owl#assertionProperty
 */
export declare const assertionProperty = "http://www.w3.org/2002/07/owl#assertionProperty";
/**
 * bottomDataProperty
 *
 * The data property that does not relate any individual to any data value.
 *
 * http://www.w3.org/2002/07/owl#bottomDataProperty
 */
export declare const bottomDataProperty = "http://www.w3.org/2002/07/owl#bottomDataProperty";
/**
 * bottomObjectProperty
 *
 * The object property that does not relate any two individuals.
 *
 * http://www.w3.org/2002/07/owl#bottomObjectProperty
 */
export declare const bottomObjectProperty = "http://www.w3.org/2002/07/owl#bottomObjectProperty";
/**
 * cardinality
 *
 * The property that determines the cardinality of an exact cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#cardinality
 */
export declare const cardinality = "http://www.w3.org/2002/07/owl#cardinality";
/**
 * complementOf
 *
 * The property that determines that a given class is the complement of another class.
 *
 * http://www.w3.org/2002/07/owl#complementOf
 */
export declare const complementOf = "http://www.w3.org/2002/07/owl#complementOf";
/**
 * datatypeComplementOf
 *
 * The property that determines that a given data range is the complement of another data range with respect to the data domain.
 *
 * http://www.w3.org/2002/07/owl#datatypeComplementOf
 */
export declare const datatypeComplementOf = "http://www.w3.org/2002/07/owl#datatypeComplementOf";
/**
 * differentFrom
 *
 * The property that determines that two given individuals are different.
 *
 * http://www.w3.org/2002/07/owl#differentFrom
 */
export declare const differentFrom = "http://www.w3.org/2002/07/owl#differentFrom";
/**
 * disjointUnionOf
 *
 * The property that determines that a given class is equivalent to the disjoint union of a collection of other classes.
 *
 * http://www.w3.org/2002/07/owl#disjointUnionOf
 */
export declare const disjointUnionOf = "http://www.w3.org/2002/07/owl#disjointUnionOf";
/**
 * disjointWith
 *
 * The property that determines that two given classes are disjoint.
 *
 * http://www.w3.org/2002/07/owl#disjointWith
 */
export declare const disjointWith = "http://www.w3.org/2002/07/owl#disjointWith";
/**
 * distinctMembers
 *
 * The property that determines the collection of pairwise different individuals in a owl:AllDifferent axiom.
 *
 * http://www.w3.org/2002/07/owl#distinctMembers
 */
export declare const distinctMembers = "http://www.w3.org/2002/07/owl#distinctMembers";
/**
 * equivalentClass
 *
 * The property that determines that two given classes are equivalent, and that is used to specify datatype definitions.
 *
 * http://www.w3.org/2002/07/owl#equivalentClass
 */
export declare const equivalentClass = "http://www.w3.org/2002/07/owl#equivalentClass";
/**
 * equivalentProperty
 *
 * The property that determines that two given properties are equivalent.
 *
 * http://www.w3.org/2002/07/owl#equivalentProperty
 */
export declare const equivalentProperty = "http://www.w3.org/2002/07/owl#equivalentProperty";
/**
 * hasKey
 *
 * The property that determines the collection of properties that jointly build a key.
 *
 * http://www.w3.org/2002/07/owl#hasKey
 */
export declare const hasKey = "http://www.w3.org/2002/07/owl#hasKey";
/**
 * hasSelf
 *
 * The property that determines the property that a self restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#hasSelf
 */
export declare const hasSelf = "http://www.w3.org/2002/07/owl#hasSelf";
/**
 * hasValue
 *
 * The property that determines the individual that a has-value restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#hasValue
 */
export declare const hasValue = "http://www.w3.org/2002/07/owl#hasValue";
/**
 * intersectionOf
 *
 * The property that determines the collection of classes or data ranges that build an intersection.
 *
 * http://www.w3.org/2002/07/owl#intersectionOf
 */
export declare const intersectionOf = "http://www.w3.org/2002/07/owl#intersectionOf";
/**
 * inverseOf
 *
 * The property that determines that two given properties are inverse.
 *
 * http://www.w3.org/2002/07/owl#inverseOf
 */
export declare const inverseOf = "http://www.w3.org/2002/07/owl#inverseOf";
/**
 * maxCardinality
 *
 * The property that determines the cardinality of a maximum cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#maxCardinality
 */
export declare const maxCardinality = "http://www.w3.org/2002/07/owl#maxCardinality";
/**
 * maxQualifiedCardinality
 *
 * The property that determines the cardinality of a maximum qualified cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#maxQualifiedCardinality
 */
export declare const maxQualifiedCardinality = "http://www.w3.org/2002/07/owl#maxQualifiedCardinality";
/**
 * members
 *
 * The property that determines the collection of members in either a owl:AllDifferent, owl:AllDisjointClasses or owl:AllDisjointProperties axiom.
 *
 * http://www.w3.org/2002/07/owl#members
 */
export declare const members = "http://www.w3.org/2002/07/owl#members";
/**
 * minCardinality
 *
 * The property that determines the cardinality of a minimum cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#minCardinality
 */
export declare const minCardinality = "http://www.w3.org/2002/07/owl#minCardinality";
/**
 * minQualifiedCardinality
 *
 * The property that determines the cardinality of a minimum qualified cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#minQualifiedCardinality
 */
export declare const minQualifiedCardinality = "http://www.w3.org/2002/07/owl#minQualifiedCardinality";
/**
 * onClass
 *
 * The property that determines the class that a qualified object cardinality restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onClass
 */
export declare const onClass = "http://www.w3.org/2002/07/owl#onClass";
/**
 * onDataRange
 *
 * The property that determines the data range that a qualified data cardinality restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onDataRange
 */
export declare const onDataRange = "http://www.w3.org/2002/07/owl#onDataRange";
/**
 * onDatatype
 *
 * The property that determines the datatype that a datatype restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onDatatype
 */
export declare const onDatatype = "http://www.w3.org/2002/07/owl#onDatatype";
/**
 * oneOf
 *
 * The property that determines the collection of individuals or data values that build an enumeration.
 *
 * http://www.w3.org/2002/07/owl#oneOf
 */
export declare const oneOf = "http://www.w3.org/2002/07/owl#oneOf";
/**
 * onProperties
 *
 * The property that determines the n-tuple of properties that a property restriction on an n-ary data range refers to.
 *
 * http://www.w3.org/2002/07/owl#onProperties
 */
export declare const onProperties = "http://www.w3.org/2002/07/owl#onProperties";
/**
 * onProperty
 *
 * The property that determines the property that a property restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onProperty
 */
export declare const onProperty = "http://www.w3.org/2002/07/owl#onProperty";
/**
 * propertyChainAxiom
 *
 * The property that determines the n-tuple of properties that build a sub property chain of a given property.
 *
 * http://www.w3.org/2002/07/owl#propertyChainAxiom
 */
export declare const propertyChainAxiom = "http://www.w3.org/2002/07/owl#propertyChainAxiom";
/**
 * propertyDisjointWith
 *
 * The property that determines that two given properties are disjoint.
 *
 * http://www.w3.org/2002/07/owl#propertyDisjointWith
 */
export declare const propertyDisjointWith = "http://www.w3.org/2002/07/owl#propertyDisjointWith";
/**
 * qualifiedCardinality
 *
 * The property that determines the cardinality of an exact qualified cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#qualifiedCardinality
 */
export declare const qualifiedCardinality = "http://www.w3.org/2002/07/owl#qualifiedCardinality";
/**
 * sameAs
 *
 * The property that determines that two given individuals are equal.
 *
 * http://www.w3.org/2002/07/owl#sameAs
 */
export declare const sameAs = "http://www.w3.org/2002/07/owl#sameAs";
/**
 * someValuesFrom
 *
 * The property that determines the class that an existential property restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#someValuesFrom
 */
export declare const someValuesFrom = "http://www.w3.org/2002/07/owl#someValuesFrom";
/**
 * sourceIndividual
 *
 * The property that determines the subject of a negative property assertion.
 *
 * http://www.w3.org/2002/07/owl#sourceIndividual
 */
export declare const sourceIndividual = "http://www.w3.org/2002/07/owl#sourceIndividual";
/**
 * targetIndividual
 *
 * The property that determines the object of a negative object property assertion.
 *
 * http://www.w3.org/2002/07/owl#targetIndividual
 */
export declare const targetIndividual = "http://www.w3.org/2002/07/owl#targetIndividual";
/**
 * targetValue
 *
 * The property that determines the value of a negative data property assertion.
 *
 * http://www.w3.org/2002/07/owl#targetValue
 */
export declare const targetValue = "http://www.w3.org/2002/07/owl#targetValue";
/**
 * topDataProperty
 *
 * The data property that relates every individual to every data value.
 *
 * http://www.w3.org/2002/07/owl#topDataProperty
 */
export declare const topDataProperty = "http://www.w3.org/2002/07/owl#topDataProperty";
/**
 * topObjectProperty
 *
 * The object property that relates every two individuals.
 *
 * http://www.w3.org/2002/07/owl#topObjectProperty
 */
export declare const topObjectProperty = "http://www.w3.org/2002/07/owl#topObjectProperty";
/**
 * unionOf
 *
 * The property that determines the collection of classes or data ranges that build a union.
 *
 * http://www.w3.org/2002/07/owl#unionOf
 */
export declare const unionOf = "http://www.w3.org/2002/07/owl#unionOf";
/**
 * withRestrictions
 *
 * The property that determines the collection of facet-value pairs that define a datatype restriction.
 *
 * http://www.w3.org/2002/07/owl#withRestrictions
 */
export declare const withRestrictions = "http://www.w3.org/2002/07/owl#withRestrictions";
//# sourceMappingURL=owl.d.ts.map