type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * AllDifferent
 *
 * The class of collections of pairwise different individuals.
 *
 * http://www.w3.org/2002/07/owl#AllDifferent
 */
export const AllDifferent = 'http://www.w3.org/2002/07/owl#AllDifferent' satisfies Class;

/**
 * AllDisjointClasses
 *
 * The class of collections of pairwise disjoint classes.
 *
 * http://www.w3.org/2002/07/owl#AllDisjointClasses
 */
export const AllDisjointClasses = 'http://www.w3.org/2002/07/owl#AllDisjointClasses' satisfies Class;

/**
 * AllDisjointProperties
 *
 * The class of collections of pairwise disjoint properties.
 *
 * http://www.w3.org/2002/07/owl#AllDisjointProperties
 */
export const AllDisjointProperties = 'http://www.w3.org/2002/07/owl#AllDisjointProperties' satisfies Class;

/**
 * Annotation
 *
 * The class of annotated annotations for which the RDF serialization consists of an annotated subject, predicate and object.
 *
 * http://www.w3.org/2002/07/owl#Annotation
 */
export const Annotation = 'http://www.w3.org/2002/07/owl#Annotation' satisfies Class;

/**
 * AnnotationProperty
 *
 * The class of annotation properties.
 *
 * http://www.w3.org/2002/07/owl#AnnotationProperty
 */
export const AnnotationProperty = 'http://www.w3.org/2002/07/owl#AnnotationProperty' satisfies Class;

/**
 * AsymmetricProperty
 *
 * The class of asymmetric properties.
 *
 * http://www.w3.org/2002/07/owl#AsymmetricProperty
 */
export const AsymmetricProperty = 'http://www.w3.org/2002/07/owl#AsymmetricProperty' satisfies Class;

/**
 * Axiom
 *
 * The class of annotated axioms for which the RDF serialization consists of an annotated subject, predicate and object.
 *
 * http://www.w3.org/2002/07/owl#Axiom
 */
export const Axiom = 'http://www.w3.org/2002/07/owl#Axiom' satisfies Class;

/**
 * Class
 *
 * The class of OWL classes.
 *
 * http://www.w3.org/2002/07/owl#Class
 */
export const Class = 'http://www.w3.org/2002/07/owl#Class' satisfies Class;

/**
 * DataRange
 *
 * The class of OWL data ranges, which are special kinds of datatypes. Note: The use of the IRI owl:DataRange has been deprecated as of OWL 2. The IRI rdfs:Datatype SHOULD be used instead.
 *
 * http://www.w3.org/2002/07/owl#DataRange
 */
export const DataRange = 'http://www.w3.org/2002/07/owl#DataRange' satisfies Class;

/**
 * DatatypeProperty
 *
 * The class of data properties.
 *
 * http://www.w3.org/2002/07/owl#DatatypeProperty
 */
export const DatatypeProperty = 'http://www.w3.org/2002/07/owl#DatatypeProperty' satisfies Class;

/**
 * DeprecatedClass
 *
 * The class of deprecated classes.
 *
 * http://www.w3.org/2002/07/owl#DeprecatedClass
 */
export const DeprecatedClass = 'http://www.w3.org/2002/07/owl#DeprecatedClass' satisfies Class;

/**
 * DeprecatedProperty
 *
 * The class of deprecated properties.
 *
 * http://www.w3.org/2002/07/owl#DeprecatedProperty
 */
export const DeprecatedProperty = 'http://www.w3.org/2002/07/owl#DeprecatedProperty' satisfies Class;

/**
 * FunctionalProperty
 *
 * The class of functional properties.
 *
 * http://www.w3.org/2002/07/owl#FunctionalProperty
 */
export const FunctionalProperty = 'http://www.w3.org/2002/07/owl#FunctionalProperty' satisfies Class;

/**
 * InverseFunctionalProperty
 *
 * The class of inverse-functional properties.
 *
 * http://www.w3.org/2002/07/owl#InverseFunctionalProperty
 */
export const InverseFunctionalProperty = 'http://www.w3.org/2002/07/owl#InverseFunctionalProperty' satisfies Class;

/**
 * IrreflexiveProperty
 *
 * The class of irreflexive properties.
 *
 * http://www.w3.org/2002/07/owl#IrreflexiveProperty
 */
export const IrreflexiveProperty = 'http://www.w3.org/2002/07/owl#IrreflexiveProperty' satisfies Class;

/**
 * NamedIndividual
 *
 * The class of named individuals.
 *
 * http://www.w3.org/2002/07/owl#NamedIndividual
 */
export const NamedIndividual = 'http://www.w3.org/2002/07/owl#NamedIndividual' satisfies Class;

/**
 * NegativePropertyAssertion
 *
 * The class of negative property assertions.
 *
 * http://www.w3.org/2002/07/owl#NegativePropertyAssertion
 */
export const NegativePropertyAssertion = 'http://www.w3.org/2002/07/owl#NegativePropertyAssertion' satisfies Class;

/**
 * Nothing
 *
 * This is the empty class.
 *
 * http://www.w3.org/2002/07/owl#Nothing
 */
export const Nothing = 'http://www.w3.org/2002/07/owl#Nothing' satisfies OwlClass;

/**
 * ObjectProperty
 *
 * The class of object properties.
 *
 * http://www.w3.org/2002/07/owl#ObjectProperty
 */
export const ObjectProperty = 'http://www.w3.org/2002/07/owl#ObjectProperty' satisfies Class;

/**
 * Ontology
 *
 * The class of ontologies.
 *
 * http://www.w3.org/2002/07/owl#Ontology
 */
export const Ontology = 'http://www.w3.org/2002/07/owl#Ontology' satisfies Class;

/**
 * OntologyProperty
 *
 * The class of ontology properties.
 *
 * http://www.w3.org/2002/07/owl#OntologyProperty
 */
export const OntologyProperty = 'http://www.w3.org/2002/07/owl#OntologyProperty' satisfies Class;

/**
 * ReflexiveProperty
 *
 * The class of reflexive properties.
 *
 * http://www.w3.org/2002/07/owl#ReflexiveProperty
 */
export const ReflexiveProperty = 'http://www.w3.org/2002/07/owl#ReflexiveProperty' satisfies Class;

/**
 * Restriction
 *
 * The class of property restrictions.
 *
 * http://www.w3.org/2002/07/owl#Restriction
 */
export const Restriction = 'http://www.w3.org/2002/07/owl#Restriction' satisfies Class;

/**
 * SymmetricProperty
 *
 * The class of symmetric properties.
 *
 * http://www.w3.org/2002/07/owl#SymmetricProperty
 */
export const SymmetricProperty = 'http://www.w3.org/2002/07/owl#SymmetricProperty' satisfies Class;

/**
 * TransitiveProperty
 *
 * The class of transitive properties.
 *
 * http://www.w3.org/2002/07/owl#TransitiveProperty
 */
export const TransitiveProperty = 'http://www.w3.org/2002/07/owl#TransitiveProperty' satisfies Class;

/**
 * Thing
 *
 * The class of OWL individuals.
 *
 * http://www.w3.org/2002/07/owl#Thing
 */
export const Thing = 'http://www.w3.org/2002/07/owl#Thing' satisfies OwlClass;

/**
 * allValuesFrom
 *
 * The property that determines the class that a universal property restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#allValuesFrom
 */
export const allValuesFrom = 'http://www.w3.org/2002/07/owl#allValuesFrom' satisfies Property;

/**
 * annotatedProperty
 *
 * The property that determines the predicate of an annotated axiom or annotated annotation.
 *
 * http://www.w3.org/2002/07/owl#annotatedProperty
 */
export const annotatedProperty = 'http://www.w3.org/2002/07/owl#annotatedProperty' satisfies Property;

/**
 * annotatedSource
 *
 * The property that determines the subject of an annotated axiom or annotated annotation.
 *
 * http://www.w3.org/2002/07/owl#annotatedSource
 */
export const annotatedSource = 'http://www.w3.org/2002/07/owl#annotatedSource' satisfies Property;

/**
 * annotatedTarget
 *
 * The property that determines the object of an annotated axiom or annotated annotation.
 *
 * http://www.w3.org/2002/07/owl#annotatedTarget
 */
export const annotatedTarget = 'http://www.w3.org/2002/07/owl#annotatedTarget' satisfies Property;

/**
 * assertionProperty
 *
 * The property that determines the predicate of a negative property assertion.
 *
 * http://www.w3.org/2002/07/owl#assertionProperty
 */
export const assertionProperty = 'http://www.w3.org/2002/07/owl#assertionProperty' satisfies Property;

/**
 * bottomDataProperty
 *
 * The data property that does not relate any individual to any data value.
 *
 * http://www.w3.org/2002/07/owl#bottomDataProperty
 */
export const bottomDataProperty = 'http://www.w3.org/2002/07/owl#bottomDataProperty' satisfies OwlDatatypeProperty;

/**
 * bottomObjectProperty
 *
 * The object property that does not relate any two individuals.
 *
 * http://www.w3.org/2002/07/owl#bottomObjectProperty
 */
export const bottomObjectProperty = 'http://www.w3.org/2002/07/owl#bottomObjectProperty' satisfies OwlObjectProperty;

/**
 * cardinality
 *
 * The property that determines the cardinality of an exact cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#cardinality
 */
export const cardinality = 'http://www.w3.org/2002/07/owl#cardinality' satisfies Property;

/**
 * complementOf
 *
 * The property that determines that a given class is the complement of another class.
 *
 * http://www.w3.org/2002/07/owl#complementOf
 */
export const complementOf = 'http://www.w3.org/2002/07/owl#complementOf' satisfies Property;

/**
 * datatypeComplementOf
 *
 * The property that determines that a given data range is the complement of another data range with respect to the data domain.
 *
 * http://www.w3.org/2002/07/owl#datatypeComplementOf
 */
export const datatypeComplementOf = 'http://www.w3.org/2002/07/owl#datatypeComplementOf' satisfies Property;

/**
 * differentFrom
 *
 * The property that determines that two given individuals are different.
 *
 * http://www.w3.org/2002/07/owl#differentFrom
 */
export const differentFrom = 'http://www.w3.org/2002/07/owl#differentFrom' satisfies Property;

/**
 * disjointUnionOf
 *
 * The property that determines that a given class is equivalent to the disjoint union of a collection of other classes.
 *
 * http://www.w3.org/2002/07/owl#disjointUnionOf
 */
export const disjointUnionOf = 'http://www.w3.org/2002/07/owl#disjointUnionOf' satisfies Property;

/**
 * disjointWith
 *
 * The property that determines that two given classes are disjoint.
 *
 * http://www.w3.org/2002/07/owl#disjointWith
 */
export const disjointWith = 'http://www.w3.org/2002/07/owl#disjointWith' satisfies Property;

/**
 * distinctMembers
 *
 * The property that determines the collection of pairwise different individuals in a owl:AllDifferent axiom.
 *
 * http://www.w3.org/2002/07/owl#distinctMembers
 */
export const distinctMembers = 'http://www.w3.org/2002/07/owl#distinctMembers' satisfies Property;

/**
 * equivalentClass
 *
 * The property that determines that two given classes are equivalent, and that is used to specify datatype definitions.
 *
 * http://www.w3.org/2002/07/owl#equivalentClass
 */
export const equivalentClass = 'http://www.w3.org/2002/07/owl#equivalentClass' satisfies Property;

/**
 * equivalentProperty
 *
 * The property that determines that two given properties are equivalent.
 *
 * http://www.w3.org/2002/07/owl#equivalentProperty
 */
export const equivalentProperty = 'http://www.w3.org/2002/07/owl#equivalentProperty' satisfies Property;

/**
 * hasKey
 *
 * The property that determines the collection of properties that jointly build a key.
 *
 * http://www.w3.org/2002/07/owl#hasKey
 */
export const hasKey = 'http://www.w3.org/2002/07/owl#hasKey' satisfies Property;

/**
 * hasSelf
 *
 * The property that determines the property that a self restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#hasSelf
 */
export const hasSelf = 'http://www.w3.org/2002/07/owl#hasSelf' satisfies Property;

/**
 * hasValue
 *
 * The property that determines the individual that a has-value restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#hasValue
 */
export const hasValue = 'http://www.w3.org/2002/07/owl#hasValue' satisfies Property;

/**
 * intersectionOf
 *
 * The property that determines the collection of classes or data ranges that build an intersection.
 *
 * http://www.w3.org/2002/07/owl#intersectionOf
 */
export const intersectionOf = 'http://www.w3.org/2002/07/owl#intersectionOf' satisfies Property;

/**
 * inverseOf
 *
 * The property that determines that two given properties are inverse.
 *
 * http://www.w3.org/2002/07/owl#inverseOf
 */
export const inverseOf = 'http://www.w3.org/2002/07/owl#inverseOf' satisfies Property;

/**
 * maxCardinality
 *
 * The property that determines the cardinality of a maximum cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#maxCardinality
 */
export const maxCardinality = 'http://www.w3.org/2002/07/owl#maxCardinality' satisfies Property;

/**
 * maxQualifiedCardinality
 *
 * The property that determines the cardinality of a maximum qualified cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#maxQualifiedCardinality
 */
export const maxQualifiedCardinality = 'http://www.w3.org/2002/07/owl#maxQualifiedCardinality' satisfies Property;

/**
 * members
 *
 * The property that determines the collection of members in either a owl:AllDifferent, owl:AllDisjointClasses or owl:AllDisjointProperties axiom.
 *
 * http://www.w3.org/2002/07/owl#members
 */
export const members = 'http://www.w3.org/2002/07/owl#members' satisfies Property;

/**
 * minCardinality
 *
 * The property that determines the cardinality of a minimum cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#minCardinality
 */
export const minCardinality = 'http://www.w3.org/2002/07/owl#minCardinality' satisfies Property;

/**
 * minQualifiedCardinality
 *
 * The property that determines the cardinality of a minimum qualified cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#minQualifiedCardinality
 */
export const minQualifiedCardinality = 'http://www.w3.org/2002/07/owl#minQualifiedCardinality' satisfies Property;

/**
 * onClass
 *
 * The property that determines the class that a qualified object cardinality restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onClass
 */
export const onClass = 'http://www.w3.org/2002/07/owl#onClass' satisfies Property;

/**
 * onDataRange
 *
 * The property that determines the data range that a qualified data cardinality restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onDataRange
 */
export const onDataRange = 'http://www.w3.org/2002/07/owl#onDataRange' satisfies Property;

/**
 * onDatatype
 *
 * The property that determines the datatype that a datatype restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onDatatype
 */
export const onDatatype = 'http://www.w3.org/2002/07/owl#onDatatype' satisfies Property;

/**
 * oneOf
 *
 * The property that determines the collection of individuals or data values that build an enumeration.
 *
 * http://www.w3.org/2002/07/owl#oneOf
 */
export const oneOf = 'http://www.w3.org/2002/07/owl#oneOf' satisfies Property;

/**
 * onProperties
 *
 * The property that determines the n-tuple of properties that a property restriction on an n-ary data range refers to.
 *
 * http://www.w3.org/2002/07/owl#onProperties
 */
export const onProperties = 'http://www.w3.org/2002/07/owl#onProperties' satisfies Property;

/**
 * onProperty
 *
 * The property that determines the property that a property restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#onProperty
 */
export const onProperty = 'http://www.w3.org/2002/07/owl#onProperty' satisfies Property;

/**
 * propertyChainAxiom
 *
 * The property that determines the n-tuple of properties that build a sub property chain of a given property.
 *
 * http://www.w3.org/2002/07/owl#propertyChainAxiom
 */
export const propertyChainAxiom = 'http://www.w3.org/2002/07/owl#propertyChainAxiom' satisfies Property;

/**
 * propertyDisjointWith
 *
 * The property that determines that two given properties are disjoint.
 *
 * http://www.w3.org/2002/07/owl#propertyDisjointWith
 */
export const propertyDisjointWith = 'http://www.w3.org/2002/07/owl#propertyDisjointWith' satisfies Property;

/**
 * qualifiedCardinality
 *
 * The property that determines the cardinality of an exact qualified cardinality restriction.
 *
 * http://www.w3.org/2002/07/owl#qualifiedCardinality
 */
export const qualifiedCardinality = 'http://www.w3.org/2002/07/owl#qualifiedCardinality' satisfies Property;

/**
 * sameAs
 *
 * The property that determines that two given individuals are equal.
 *
 * http://www.w3.org/2002/07/owl#sameAs
 */
export const sameAs = 'http://www.w3.org/2002/07/owl#sameAs' satisfies Property;

/**
 * someValuesFrom
 *
 * The property that determines the class that an existential property restriction refers to.
 *
 * http://www.w3.org/2002/07/owl#someValuesFrom
 */
export const someValuesFrom = 'http://www.w3.org/2002/07/owl#someValuesFrom' satisfies Property;

/**
 * sourceIndividual
 *
 * The property that determines the subject of a negative property assertion.
 *
 * http://www.w3.org/2002/07/owl#sourceIndividual
 */
export const sourceIndividual = 'http://www.w3.org/2002/07/owl#sourceIndividual' satisfies Property;

/**
 * targetIndividual
 *
 * The property that determines the object of a negative object property assertion.
 *
 * http://www.w3.org/2002/07/owl#targetIndividual
 */
export const targetIndividual = 'http://www.w3.org/2002/07/owl#targetIndividual' satisfies Property;

/**
 * targetValue
 *
 * The property that determines the value of a negative data property assertion.
 *
 * http://www.w3.org/2002/07/owl#targetValue
 */
export const targetValue = 'http://www.w3.org/2002/07/owl#targetValue' satisfies Property;

/**
 * topDataProperty
 *
 * The data property that relates every individual to every data value.
 *
 * http://www.w3.org/2002/07/owl#topDataProperty
 */
export const topDataProperty = 'http://www.w3.org/2002/07/owl#topDataProperty' satisfies OwlDatatypeProperty;

/**
 * topObjectProperty
 *
 * The object property that relates every two individuals.
 *
 * http://www.w3.org/2002/07/owl#topObjectProperty
 */
export const topObjectProperty = 'http://www.w3.org/2002/07/owl#topObjectProperty' satisfies OwlObjectProperty;

/**
 * unionOf
 *
 * The property that determines the collection of classes or data ranges that build a union.
 *
 * http://www.w3.org/2002/07/owl#unionOf
 */
export const unionOf = 'http://www.w3.org/2002/07/owl#unionOf' satisfies Property;

/**
 * withRestrictions
 *
 * The property that determines the collection of facet-value pairs that define a datatype restriction.
 *
 * http://www.w3.org/2002/07/owl#withRestrictions
 */
export const withRestrictions = 'http://www.w3.org/2002/07/owl#withRestrictions' satisfies Property;
