type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * account
 *
 * http://www.w3.org/2000/10/swap/pim/qif#Account
 */
export const Account = 'http://www.w3.org/2000/10/swap/pim/qif#Account' satisfies Class;

/**
 * http://www.w3.org/2000/10/swap/pim/qif#Bank
 */
export const Bank = 'http://www.w3.org/2000/10/swap/pim/qif#Bank' satisfies Class;

/**
 * category
 *
 * http://www.w3.org/2000/10/swap/pim/qif#Cat
 */
export const Cat = 'http://www.w3.org/2000/10/swap/pim/qif#Cat' satisfies Class;

/**
 * classified
 *
 * http://www.w3.org/2000/10/swap/pim/qif#Classified
 */
export const Classified = 'http://www.w3.org/2000/10/swap/pim/qif#Classified' satisfies Class;

/**
 * receipt
 *
 * http://www.w3.org/2000/10/swap/pim/qif#Receipt
 */
export const Receipt = 'http://www.w3.org/2000/10/swap/pim/qif#Receipt' satisfies Class;

/**
 * split transaction
 *
 * A transaction which has to be split into parts for classification.
 *
 * http://www.w3.org/2000/10/swap/pim/qif#SplitTransaction
 */
export const SplitTransaction = 'http://www.w3.org/2000/10/swap/pim/qif#SplitTransaction' satisfies Class;

/**
 * supporting document
 *
 * http://www.w3.org/2000/10/swap/pim/qif#SupportingDocument
 */
export const SupportingDocument = 'http://www.w3.org/2000/10/swap/pim/qif#SupportingDocument' satisfies Class;

/**
 * transaction
 *
 * http://www.w3.org/2000/10/swap/pim/qif#Transaction
 */
export const Transaction = 'http://www.w3.org/2000/10/swap/pim/qif#Transaction' satisfies Class;

/**
 * unclassified
 *
 * http://www.w3.org/2000/10/swap/pim/qif#Unclassified
 */
export const Unclassified = 'http://www.w3.org/2000/10/swap/pim/qif#Unclassified' satisfies Class;

/**
 * unclassified income
 *
 * http://www.w3.org/2000/10/swap/pim/qif#UnclassifiedIncome
 */
export const UnclassifiedIncome = 'http://www.w3.org/2000/10/swap/pim/qif#UnclassifiedIncome' satisfies Class;

/**
 * unclassified outgoing
 *
 * http://www.w3.org/2000/10/swap/pim/qif#UnclassifiedOutgoing
 */
export const UnclassifiedOutgoing = 'http://www.w3.org/2000/10/swap/pim/qif#UnclassifiedOutgoing' satisfies Class;

/**
 * statement
 *
 * The document which is the source of data for this transaction.
 *
 * http://www.w3.org/2000/10/swap/pim/qif#accordingTo
 */
export const accordingTo = 'http://www.w3.org/2000/10/swap/pim/qif#accordingTo' satisfies Property;

/**
 * amount
 *
 * http://www.w3.org/2000/10/swap/pim/qif#amount
 */
export const amount = 'http://www.w3.org/2000/10/swap/pim/qif#amount' satisfies Property;

/**
 * category
 *
 * http://www.w3.org/2000/10/swap/pim/qif#category
 */
export const category = 'http://www.w3.org/2000/10/swap/pim/qif#category' satisfies Property;

/**
 * date
 *
 * http://www.w3.org/2000/10/swap/pim/qif#date
 */
export const date = 'http://www.w3.org/2000/10/swap/pim/qif#date' satisfies Property;

/**
 * payee
 *
 * http://www.w3.org/2000/10/swap/pim/qif#payee
 */
export const payee = 'http://www.w3.org/2000/10/swap/pim/qif#payee' satisfies Property;

/**
 * part
 *
 * A transaction representing a part of this transaction.
 *     The sum of the amounts of the parts must equal the amount of this transaction.
 *
 * http://www.w3.org/2000/10/swap/pim/qif#splitPart
 */
export const splitPart = 'http://www.w3.org/2000/10/swap/pim/qif#splitPart' satisfies Property;

/**
 * part
 *
 * A reverse transaction, putting this transaction back in the Split account, for redistribution as parts.
 *     The amount of the reverse transaction must be the negation of this transaction.
 *
 * http://www.w3.org/2000/10/swap/pim/qif#splitReverse
 */
export const splitReverse = 'http://www.w3.org/2000/10/swap/pim/qif#splitReverse' satisfies Property;

/**
 * account
 *
 * The account to which money flows when the amount is positive.
 *
 * http://www.w3.org/2000/10/swap/pim/qif#toAccount
 */
export const toAccount = 'http://www.w3.org/2000/10/swap/pim/qif#toAccount' satisfies Property;
