/**
 * HTML
 *
 * The datatype of RDF literals storing fragments of HTML content
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#HTML
 */
export declare const HTML = "http://www.w3.org/1999/02/22-rdf-syntax-ns#HTML";
/**
 * langString
 *
 * The datatype of language-tagged string values
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#langString
 */
export declare const langString = "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString";
/**
 * PlainLiteral
 *
 * The class of plain (i.e. untyped) literal values, as used in RIF and OWL 2
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#PlainLiteral
 */
export declare const PlainLiteral = "http://www.w3.org/1999/02/22-rdf-syntax-ns#PlainLiteral";
/**
 * type
 *
 * The subject is an instance of a class.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#type
 */
export declare const type = "http://www.w3.org/1999/02/22-rdf-syntax-ns#type";
/**
 * Property
 *
 * The class of RDF properties.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#Property
 */
export declare const Property = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property";
/**
 * Statement
 *
 * The class of RDF statements.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement
 */
export declare const Statement = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement";
/**
 * subject
 *
 * The subject of the subject RDF statement.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#subject
 */
export declare const subject = "http://www.w3.org/1999/02/22-rdf-syntax-ns#subject";
/**
 * predicate
 *
 * The predicate of the subject RDF statement.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate
 */
export declare const predicate = "http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate";
/**
 * object
 *
 * The object of the subject RDF statement.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#object
 */
export declare const object = "http://www.w3.org/1999/02/22-rdf-syntax-ns#object";
/**
 * Bag
 *
 * The class of unordered containers.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag
 */
export declare const Bag = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag";
/**
 * Seq
 *
 * The class of ordered containers.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#Seq
 */
export declare const Seq = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Seq";
/**
 * Alt
 *
 * The class of containers of alternatives.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#Alt
 */
export declare const Alt = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Alt";
/**
 * value
 *
 * Idiomatic property used for structured values.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#value
 */
export declare const value = "http://www.w3.org/1999/02/22-rdf-syntax-ns#value";
/**
 * List
 *
 * The class of RDF Lists.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#List
 */
export declare const List = "http://www.w3.org/1999/02/22-rdf-syntax-ns#List";
/**
 * first
 *
 * The first item in the subject RDF list.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#first
 */
export declare const first = "http://www.w3.org/1999/02/22-rdf-syntax-ns#first";
/**
 * rest
 *
 * The rest of the subject RDF list after the first item.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#rest
 */
export declare const rest = "http://www.w3.org/1999/02/22-rdf-syntax-ns#rest";
/**
 * XMLLiteral
 *
 * The datatype of XML literal values.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#XMLLiteral
 */
export declare const XMLLiteral = "http://www.w3.org/1999/02/22-rdf-syntax-ns#XMLLiteral";
/**
 * JSON
 *
 * The datatype of RDF literals storing JSON content.
 * Note that `JSON` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#JSON
 */
export declare const JSON__workaround = "http://www.w3.org/1999/02/22-rdf-syntax-ns#JSON";
/**
 * CompoundLiteral
 *
 * A class representing a compound literal.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#CompoundLiteral
 */
export declare const CompoundLiteral = "http://www.w3.org/1999/02/22-rdf-syntax-ns#CompoundLiteral";
/**
 * language
 *
 * The language component of a CompoundLiteral.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#language
 */
export declare const language = "http://www.w3.org/1999/02/22-rdf-syntax-ns#language";
/**
 * direction
 *
 * The base direction component of a CompoundLiteral.
 *
 * http://www.w3.org/1999/02/22-rdf-syntax-ns#direction
 */
export declare const direction = "http://www.w3.org/1999/02/22-rdf-syntax-ns#direction";
//# sourceMappingURL=rdf.d.ts.map