/**
 * Resource
 *
 * The class resource, everything.
 *
 * http://www.w3.org/2000/01/rdf-schema#Resource
 */
export declare const Resource = "http://www.w3.org/2000/01/rdf-schema#Resource";
/**
 * Class
 *
 * The class of classes.
 *
 * http://www.w3.org/2000/01/rdf-schema#Class
 */
export declare const Class = "http://www.w3.org/2000/01/rdf-schema#Class";
/**
 * subClassOf
 *
 * The subject is a subclass of a class.
 *
 * http://www.w3.org/2000/01/rdf-schema#subClassOf
 */
export declare const subClassOf = "http://www.w3.org/2000/01/rdf-schema#subClassOf";
/**
 * subPropertyOf
 *
 * The subject is a subproperty of a property.
 *
 * http://www.w3.org/2000/01/rdf-schema#subPropertyOf
 */
export declare const subPropertyOf = "http://www.w3.org/2000/01/rdf-schema#subPropertyOf";
/**
 * comment
 *
 * A description of the subject resource.
 *
 * http://www.w3.org/2000/01/rdf-schema#comment
 */
export declare const comment = "http://www.w3.org/2000/01/rdf-schema#comment";
/**
 * label
 *
 * A human-readable name for the subject.
 *
 * http://www.w3.org/2000/01/rdf-schema#label
 */
export declare const label = "http://www.w3.org/2000/01/rdf-schema#label";
/**
 * domain
 *
 * A domain of the subject property.
 *
 * http://www.w3.org/2000/01/rdf-schema#domain
 */
export declare const domain = "http://www.w3.org/2000/01/rdf-schema#domain";
/**
 * range
 *
 * A range of the subject property.
 *
 * http://www.w3.org/2000/01/rdf-schema#range
 */
export declare const range = "http://www.w3.org/2000/01/rdf-schema#range";
/**
 * seeAlso
 *
 * Further information about the subject resource.
 *
 * http://www.w3.org/2000/01/rdf-schema#seeAlso
 */
export declare const seeAlso = "http://www.w3.org/2000/01/rdf-schema#seeAlso";
/**
 * isDefinedBy
 *
 * The definition of the subject resource.
 *
 * http://www.w3.org/2000/01/rdf-schema#isDefinedBy
 */
export declare const isDefinedBy = "http://www.w3.org/2000/01/rdf-schema#isDefinedBy";
/**
 * Literal
 *
 * The class of literal values, eg. textual strings and integers.
 *
 * http://www.w3.org/2000/01/rdf-schema#Literal
 */
export declare const Literal = "http://www.w3.org/2000/01/rdf-schema#Literal";
/**
 * Container
 *
 * The class of RDF containers.
 *
 * http://www.w3.org/2000/01/rdf-schema#Container
 */
export declare const Container = "http://www.w3.org/2000/01/rdf-schema#Container";
/**
 * ContainerMembershipProperty
 *
 * The class of container membership properties, rdf:_1, rdf:_2, ..., all of which are sub-properties of 'member'.
 *
 * http://www.w3.org/2000/01/rdf-schema#ContainerMembershipProperty
 */
export declare const ContainerMembershipProperty = "http://www.w3.org/2000/01/rdf-schema#ContainerMembershipProperty";
/**
 * member
 *
 * A member of the subject resource.
 *
 * http://www.w3.org/2000/01/rdf-schema#member
 */
export declare const member = "http://www.w3.org/2000/01/rdf-schema#member";
/**
 * Datatype
 *
 * The class of RDF datatypes.
 *
 * http://www.w3.org/2000/01/rdf-schema#Datatype
 */
export declare const Datatype = "http://www.w3.org/2000/01/rdf-schema#Datatype";
//# sourceMappingURL=rdfs.d.ts.map