/**
 * Degrees of difficulty
 *
 * Provides users of a poll with a way to reflect the difficulty, pain
 *     or disruption which would be involved in a given choice.
 *
 * http://www.w3.org/ns/pim/schedule#DegreesOfDifficulty
 */
export declare const DegreesOfDifficulty = "http://www.w3.org/ns/pim/schedule#DegreesOfDifficulty";
/**
 * difficult
 *
 * I would rather a different choice.
 *
 * http://www.w3.org/ns/pim/schedule#Difficult
 */
export declare const Difficult = "http://www.w3.org/ns/pim/schedule#Difficult";
/**
 * ideal
 *
 * This would be perfect for me.
 *
 * http://www.w3.org/ns/pim/schedule#Ideal
 */
export declare const Ideal = "http://www.w3.org/ns/pim/schedule#Ideal";
/**
 * impossible
 *
 * I really cannot do this.
 *
 * http://www.w3.org/ns/pim/schedule#Impossible
 */
export declare const Impossible = "http://www.w3.org/ns/pim/schedule#Impossible";
/**
 * painfull
 *
 * This would cause acute disruption
 *
 * http://www.w3.org/ns/pim/schedule#Painful
 */
export declare const Painful = "http://www.w3.org/ns/pim/schedule#Painful";
/**
 * tolerable
 *
 * I can do this, not ideal.
 *
 * http://www.w3.org/ns/pim/schedule#Tolerable
 */
export declare const Tolerable = "http://www.w3.org/ns/pim/schedule#Tolerable";
/**
 * Yes or No
 *
 * Provides users of a poll with the simplest choice.
 *
 * http://www.w3.org/ns/pim/schedule#YesNo
 */
export declare const YesNo = "http://www.w3.org/ns/pim/schedule#YesNo";
/**
 * Yes, No or Maybe
 *
 * Provides users of a poll with a little uncertainty.
 *
 * http://www.w3.org/ns/pim/schedule#YesNoMaybe
 */
export declare const YesNoMaybe = "http://www.w3.org/ns/pim/schedule#YesNoMaybe";
/**
 * http://www.w3.org/ns/pim/schedule#availabilityOptions
 */
export declare const availabilityOptions = "http://www.w3.org/ns/pim/schedule#availabilityOptions";
/**
 * availability
 *
 * http://www.w3.org/ns/pim/schedule#availibility
 */
export declare const availibility = "http://www.w3.org/ns/pim/schedule#availibility";
/**
 * possible time for event
 *
 * http://www.w3.org/ns/pim/schedule#option
 */
export declare const option = "http://www.w3.org/ns/pim/schedule#option";
/**
 * response
 *
 * http://www.w3.org/ns/pim/schedule#response
 */
export declare const response = "http://www.w3.org/ns/pim/schedule#response";
//# sourceMappingURL=sched.d.ts.map