type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * Degrees of difficulty
 *
 * Provides users of a poll with a way to reflect the difficulty, pain
 *     or disruption which would be involved in a given choice.
 *
 * http://www.w3.org/ns/pim/schedule#DegreesOfDifficulty
 */
export const DegreesOfDifficulty = 'http://www.w3.org/ns/pim/schedule#DegreesOfDifficulty' satisfies Class;

/**
 * difficult
 *
 * I would rather a different choice.
 *
 * http://www.w3.org/ns/pim/schedule#Difficult
 */
export const Difficult = 'http://www.w3.org/ns/pim/schedule#Difficult' satisfies Class;

/**
 * ideal
 *
 * This would be perfect for me.
 *
 * http://www.w3.org/ns/pim/schedule#Ideal
 */
export const Ideal = 'http://www.w3.org/ns/pim/schedule#Ideal' satisfies Class;

/**
 * impossible
 *
 * I really cannot do this.
 *
 * http://www.w3.org/ns/pim/schedule#Impossible
 */
export const Impossible = 'http://www.w3.org/ns/pim/schedule#Impossible' satisfies Class;

/**
 * painfull
 *
 * This would cause acute disruption
 *
 * http://www.w3.org/ns/pim/schedule#Painful
 */
export const Painful = 'http://www.w3.org/ns/pim/schedule#Painful' satisfies Class;

/**
 * tolerable
 *
 * I can do this, not ideal.
 *
 * http://www.w3.org/ns/pim/schedule#Tolerable
 */
export const Tolerable = 'http://www.w3.org/ns/pim/schedule#Tolerable' satisfies Class;

/**
 * Yes or No
 *
 * Provides users of a poll with the simplest choice.
 *
 * http://www.w3.org/ns/pim/schedule#YesNo
 */
export const YesNo = 'http://www.w3.org/ns/pim/schedule#YesNo' satisfies Class;

/**
 * Yes, No or Maybe
 *
 * Provides users of a poll with a little uncertainty.
 *
 * http://www.w3.org/ns/pim/schedule#YesNoMaybe
 */
export const YesNoMaybe = 'http://www.w3.org/ns/pim/schedule#YesNoMaybe' satisfies Class;

/**
 * http://www.w3.org/ns/pim/schedule#availabilityOptions
 */
export const availabilityOptions = 'http://www.w3.org/ns/pim/schedule#availabilityOptions' satisfies Property;

/**
 * availability
 *
 * http://www.w3.org/ns/pim/schedule#availibility
 */
export const availibility = 'http://www.w3.org/ns/pim/schedule#availibility' satisfies Property;

/**
 * possible time for event
 *
 * http://www.w3.org/ns/pim/schedule#option
 */
export const option = 'http://www.w3.org/ns/pim/schedule#option' satisfies Property;

/**
 * response
 *
 * http://www.w3.org/ns/pim/schedule#response
 */
export const response = 'http://www.w3.org/ns/pim/schedule#response' satisfies Property;
