'use strict';

/**
 * BBS Signature, 2020 version
 *
 * https://w3id.org/security#BbsBlsSignature2020
 */
var BbsBlsSignature2020 = 'https://w3id.org/security#BbsBlsSignature2020';
/**
 * BBS Signature Proof, 2020 version
 *
 * https://w3id.org/security#BbsBlsSignatureProof2020
 */
var BbsBlsSignatureProof2020 = 'https://w3id.org/security#BbsBlsSignatureProof2020';
/**
 * BLS 12381 G1 Signature Key, 2020 version
 *
 * https://w3id.org/security#Bls12381G1Key2020
 */
var Bls12381G1Key2020 = 'https://w3id.org/security#Bls12381G1Key2020';
/**
 * BLS 12381 G2 Signature Key, 2020 version
 *
 * https://w3id.org/security#Bls12381G2Key2020
 */
var Bls12381G2Key2020 = 'https://w3id.org/security#Bls12381G2Key2020';
/**
 * Controlled Identifier Document
 *
 * https://w3id.org/security#ControlledIdentifierDocument
 */
var ControlledIdentifierDocument = 'https://w3id.org/security#ControlledIdentifierDocument';
/**
 * A Data Integrity Proof
 *
 * https://w3id.org/security#DataIntegrityProof
 */
var DataIntegrityProof = 'https://w3id.org/security#DataIntegrityProof';
/**
 * ecdsa-secp256k1 recovery method, 2020 version
 *
 * https://w3id.org/security#EcdsaSecp256k1RecoveryMethod2020
 */
var EcdsaSecp256k1RecoveryMethod2020 = 'https://w3id.org/security#EcdsaSecp256k1RecoveryMethod2020';
/**
 * ecdsa-secp256k1 recovery signature, 2020 version
 *
 * https://w3id.org/security#EcdsaSecp256k1RecoverySignature2020
 */
var EcdsaSecp256k1RecoverySignature2020 = 'https://w3id.org/security#EcdsaSecp256k1RecoverySignature2020';
/**
 * ecdsa-sep256k1, 2019 version
 *
 * https://w3id.org/security#EcdsaSecp256k1Signature2019
 */
var EcdsaSecp256k1Signature2019 = 'https://w3id.org/security#EcdsaSecp256k1Signature2019';
/**
 * ecdsa-sep256k1, 2020 version
 *
 * https://w3id.org/security#EcdsaSecp256k1Signature2020
 */
var EcdsaSecp256k1Signature2020 = 'https://w3id.org/security#EcdsaSecp256k1Signature2020';
/**
 * ecdsa-secp256k1 verification key, 2019 version
 *
 * https://w3id.org/security#EcdsaSecp256k1VerificationKey2019
 */
var EcdsaSecp256k1VerificationKey2019 = 'https://w3id.org/security#EcdsaSecp256k1VerificationKey2019';
/**
 * Ed25519 Signature Suite, 2020 version
 *
 * https://w3id.org/security#Ed25519Signature2020
 */
var Ed25519Signature2020 = 'https://w3id.org/security#Ed25519Signature2020';
/**
 * ED2559 Verification Key, 2018 version
 *
 * https://w3id.org/security#Ed25519VerificationKey2018
 */
var Ed25519VerificationKey2018 = 'https://w3id.org/security#Ed25519VerificationKey2018';
/**
 * ED2559 Verification Key, 2020 version
 *
 * https://w3id.org/security#Ed25519VerificationKey2020
 */
var Ed25519VerificationKey2020 = 'https://w3id.org/security#Ed25519VerificationKey2020';
/**
 * JSON Web Key Verification Method
 *
 * https://w3id.org/security#JsonWebKey
 */
var JsonWebKey = 'https://w3id.org/security#JsonWebKey';
/**
 * JSON Web Key, 2020 version
 *
 * https://w3id.org/security#JsonWebKey2020
 */
var JsonWebKey2020 = 'https://w3id.org/security#JsonWebKey2020';
/**
 * JSON Web Signature, 2020 version
 *
 * https://w3id.org/security#JsonWebSignature2020
 */
var JsonWebSignature2020 = 'https://w3id.org/security#JsonWebSignature2020';
/**
 * Cryptographic key
 *
 * https://w3id.org/security#Key
 */
var Key = 'https://w3id.org/security#Key';
/**
 * Merkle Proof
 *
 * https://w3id.org/security#MerkleProof2019
 */
var MerkleProof2019 = 'https://w3id.org/security#MerkleProof2019';
/**
 * Multikey Verification Method
 *
 * https://w3id.org/security#Multikey
 */
var Multikey = 'https://w3id.org/security#Multikey';
/**
 * Processing error
 *
 * https://w3id.org/security#ProcessingError
 */
var ProcessingError = 'https://w3id.org/security#ProcessingError';
/**
 * Digital proof
 *
 * https://w3id.org/security#Proof
 */
var Proof = 'https://w3id.org/security#Proof';
/**
 * An RDF Graph for a digital proof
 *
 * https://w3id.org/security#ProofGraph
 */
var ProofGraph = 'https://w3id.org/security#ProofGraph';
/**
 * Verification method
 *
 * https://w3id.org/security#VerificationMethod
 */
var VerificationMethod = 'https://w3id.org/security#VerificationMethod';
/**
 * Verification relationship
 *
 * https://w3id.org/security#VerificationRelationship
 */
var VerificationRelationship = 'https://w3id.org/security#VerificationRelationship';
/**
 * X25519 Key Agreement Key, 2019 version
 *
 * https://w3id.org/security#X25519KeyAgreementKey2019
 */
var X25519KeyAgreementKey2019 = 'https://w3id.org/security#X25519KeyAgreementKey2019';
/**
 * Allowed action
 *
 * https://w3id.org/security#allowedAction
 */
var allowedAction = 'https://w3id.org/security#allowedAction';
/**
 * Assertion method
 *
 * https://w3id.org/security#assertionMethod
 */
var assertionMethod = 'https://w3id.org/security#assertionMethod';
/**
 * Authentication method
 *
 * https://w3id.org/security#authentication
 */
var authentication = 'https://w3id.org/security#authentication';
/**
 * Blockchain account ID
 *
 * https://w3id.org/security#blockchainAccountId
 */
var blockchainAccountId = 'https://w3id.org/security#blockchainAccountId';
/**
 * Capability action
 *
 * https://w3id.org/security#capabilityAction
 */
var capabilityAction = 'https://w3id.org/security#capabilityAction';
/**
 * Capability chain
 *
 * https://w3id.org/security#capabilityChain
 */
var capabilityChain = 'https://w3id.org/security#capabilityChain';
/**
 * Capability delegation method
 *
 * https://w3id.org/security#capabilityDelegationMethod
 */
var capabilityDelegationMethod = 'https://w3id.org/security#capabilityDelegationMethod';
/**
 * Capability invocation method
 *
 * https://w3id.org/security#capabilityInvocationMethod
 */
var capabilityInvocationMethod = 'https://w3id.org/security#capabilityInvocationMethod';
/**
 * Caveat
 *
 * https://w3id.org/security#caveat
 */
var caveat = 'https://w3id.org/security#caveat';
/**
 * Challenge of a proof
 *
 * https://w3id.org/security#challenge
 */
var challenge = 'https://w3id.org/security#challenge';
/**
 * Controller
 *
 * https://w3id.org/security#controller
 */
var controller = 'https://w3id.org/security#controller';
/**
 * Proof creation time
 *
 * https://w3id.org/security#created
 */
var created = 'https://w3id.org/security#created';
/**
 * Cryptographic suite
 *
 * https://w3id.org/security#cryptosuite
 */
var cryptosuite = 'https://w3id.org/security#cryptosuite';
/**
 * Datatype for cryptosuite Identifiers
 *
 * https://w3id.org/security#cryptosuiteString
 */
var cryptosuiteString = 'https://w3id.org/security#cryptosuiteString';
/**
 * Delegator
 *
 * https://w3id.org/security#delegator
 */
var delegator = 'https://w3id.org/security#delegator';
/**
 * Digest multibase
 *
 * https://w3id.org/security#digestMultibase
 */
var digestMultibase = 'https://w3id.org/security#digestMultibase';
/**
 * Domain of a proof
 *
 * https://w3id.org/security#domain
 */
var domain = 'https://w3id.org/security#domain';
/**
 * Ethereum address
 *
 * https://w3id.org/security#ethereumAddress
 */
var ethereumAddress = 'https://w3id.org/security#ethereumAddress';
/**
 * Expiration time for a proof or verification method
 *
 * https://w3id.org/security#expiration
 */
var expiration = 'https://w3id.org/security#expiration';
/**
 * Invocation target
 *
 * https://w3id.org/security#invocationTarget
 */
var invocationTarget = 'https://w3id.org/security#invocationTarget';
/**
 * Invoker
 *
 * https://w3id.org/security#invoker
 */
var invoker = 'https://w3id.org/security#invoker';
/**
 * Json Web Signature
 *
 * https://w3id.org/security#jws
 */
var jws = 'https://w3id.org/security#jws';
/**
 * Key agreement protocols
 *
 * https://w3id.org/security#keyAgreementMethod
 */
var keyAgreementMethod = 'https://w3id.org/security#keyAgreementMethod';
/**
 * Datatype for multibase values
 *
 * https://w3id.org/security#multibase
 */
var multibase = 'https://w3id.org/security#multibase';
/**
 * Nonce supplied by proof creator
 *
 * https://w3id.org/security#nonce
 */
var nonce = 'https://w3id.org/security#nonce';
/**
 * Previous proof
 *
 * https://w3id.org/security#previousProof
 */
var previousProof = 'https://w3id.org/security#previousProof';
/**
 * Proof sets
 *
 * https://w3id.org/security#proof
 */
var proof = 'https://w3id.org/security#proof';
/**
 * Proof purpose
 *
 * https://w3id.org/security#proofPurpose
 */
var proofPurpose = 'https://w3id.org/security#proofPurpose';
/**
 * Proof value
 *
 * https://w3id.org/security#proofValue
 */
var proofValue = 'https://w3id.org/security#proofValue';
/**
 * Base58-encoded Public Key
 *
 * https://w3id.org/security#publicKeyBase58
 */
var publicKeyBase58 = 'https://w3id.org/security#publicKeyBase58';
/**
 * Hex-encoded version of public Key
 *
 * https://w3id.org/security#publicKeyHex
 */
var publicKeyHex = 'https://w3id.org/security#publicKeyHex';
/**
 * Public key JWK
 *
 * https://w3id.org/security#publicKeyJwk
 */
var publicKeyJwk = 'https://w3id.org/security#publicKeyJwk';
/**
 * Public key multibase
 *
 * https://w3id.org/security#publicKeyMultibase
 */
var publicKeyMultibase = 'https://w3id.org/security#publicKeyMultibase';
/**
 * Public key PEM
 *
 * https://w3id.org/security#publicKeyPem
 */
var publicKeyPem = 'https://w3id.org/security#publicKeyPem';
/**
 * Revocation time
 *
 * https://w3id.org/security#revoked
 */
var revoked = 'https://w3id.org/security#revoked';
/**
 * Secret key JWK
 *
 * https://w3id.org/security#secretKeyJwk
 */
var secretKeyJwk = 'https://w3id.org/security#secretKeyJwk';
/**
 * Secret key multibase
 *
 * https://w3id.org/security#secretKeyMultibase
 */
var secretKeyMultibase = 'https://w3id.org/security#secretKeyMultibase';
/**
 * Verification method
 *
 * https://w3id.org/security#verificationMethod
 */
var verificationMethod = 'https://w3id.org/security#verificationMethod';

var secImport = /*#__PURE__*/Object.freeze({
	BbsBlsSignature2020: BbsBlsSignature2020,
	BbsBlsSignatureProof2020: BbsBlsSignatureProof2020,
	Bls12381G1Key2020: Bls12381G1Key2020,
	Bls12381G2Key2020: Bls12381G2Key2020,
	ControlledIdentifierDocument: ControlledIdentifierDocument,
	DataIntegrityProof: DataIntegrityProof,
	EcdsaSecp256k1RecoveryMethod2020: EcdsaSecp256k1RecoveryMethod2020,
	EcdsaSecp256k1RecoverySignature2020: EcdsaSecp256k1RecoverySignature2020,
	EcdsaSecp256k1Signature2019: EcdsaSecp256k1Signature2019,
	EcdsaSecp256k1Signature2020: EcdsaSecp256k1Signature2020,
	EcdsaSecp256k1VerificationKey2019: EcdsaSecp256k1VerificationKey2019,
	Ed25519Signature2020: Ed25519Signature2020,
	Ed25519VerificationKey2018: Ed25519VerificationKey2018,
	Ed25519VerificationKey2020: Ed25519VerificationKey2020,
	JsonWebKey: JsonWebKey,
	JsonWebKey2020: JsonWebKey2020,
	JsonWebSignature2020: JsonWebSignature2020,
	Key: Key,
	MerkleProof2019: MerkleProof2019,
	Multikey: Multikey,
	ProcessingError: ProcessingError,
	Proof: Proof,
	ProofGraph: ProofGraph,
	VerificationMethod: VerificationMethod,
	VerificationRelationship: VerificationRelationship,
	X25519KeyAgreementKey2019: X25519KeyAgreementKey2019,
	allowedAction: allowedAction,
	assertionMethod: assertionMethod,
	authentication: authentication,
	blockchainAccountId: blockchainAccountId,
	capabilityAction: capabilityAction,
	capabilityChain: capabilityChain,
	capabilityDelegationMethod: capabilityDelegationMethod,
	capabilityInvocationMethod: capabilityInvocationMethod,
	caveat: caveat,
	challenge: challenge,
	controller: controller,
	created: created,
	cryptosuite: cryptosuite,
	cryptosuiteString: cryptosuiteString,
	delegator: delegator,
	digestMultibase: digestMultibase,
	domain: domain,
	ethereumAddress: ethereumAddress,
	expiration: expiration,
	invocationTarget: invocationTarget,
	invoker: invoker,
	jws: jws,
	keyAgreementMethod: keyAgreementMethod,
	multibase: multibase,
	nonce: nonce,
	previousProof: previousProof,
	proof: proof,
	proofPurpose: proofPurpose,
	proofValue: proofValue,
	publicKeyBase58: publicKeyBase58,
	publicKeyHex: publicKeyHex,
	publicKeyJwk: publicKeyJwk,
	publicKeyMultibase: publicKeyMultibase,
	publicKeyPem: publicKeyPem,
	revoked: revoked,
	secretKeyJwk: secretKeyJwk,
	secretKeyMultibase: secretKeyMultibase,
	verificationMethod: verificationMethod
});

exports.BbsBlsSignature2020 = BbsBlsSignature2020;
exports.BbsBlsSignatureProof2020 = BbsBlsSignatureProof2020;
exports.Bls12381G1Key2020 = Bls12381G1Key2020;
exports.Bls12381G2Key2020 = Bls12381G2Key2020;
exports.ControlledIdentifierDocument = ControlledIdentifierDocument;
exports.DataIntegrityProof = DataIntegrityProof;
exports.EcdsaSecp256k1RecoveryMethod2020 = EcdsaSecp256k1RecoveryMethod2020;
exports.EcdsaSecp256k1RecoverySignature2020 = EcdsaSecp256k1RecoverySignature2020;
exports.EcdsaSecp256k1Signature2019 = EcdsaSecp256k1Signature2019;
exports.EcdsaSecp256k1Signature2020 = EcdsaSecp256k1Signature2020;
exports.EcdsaSecp256k1VerificationKey2019 = EcdsaSecp256k1VerificationKey2019;
exports.Ed25519Signature2020 = Ed25519Signature2020;
exports.Ed25519VerificationKey2018 = Ed25519VerificationKey2018;
exports.Ed25519VerificationKey2020 = Ed25519VerificationKey2020;
exports.JsonWebKey = JsonWebKey;
exports.JsonWebKey2020 = JsonWebKey2020;
exports.JsonWebSignature2020 = JsonWebSignature2020;
exports.Key = Key;
exports.MerkleProof2019 = MerkleProof2019;
exports.Multikey = Multikey;
exports.ProcessingError = ProcessingError;
exports.Proof = Proof;
exports.ProofGraph = ProofGraph;
exports.VerificationMethod = VerificationMethod;
exports.VerificationRelationship = VerificationRelationship;
exports.X25519KeyAgreementKey2019 = X25519KeyAgreementKey2019;
exports.allowedAction = allowedAction;
exports.assertionMethod = assertionMethod;
exports.authentication = authentication;
exports.blockchainAccountId = blockchainAccountId;
exports.capabilityAction = capabilityAction;
exports.capabilityChain = capabilityChain;
exports.capabilityDelegationMethod = capabilityDelegationMethod;
exports.capabilityInvocationMethod = capabilityInvocationMethod;
exports.caveat = caveat;
exports.challenge = challenge;
exports.controller = controller;
exports.created = created;
exports.cryptosuite = cryptosuite;
exports.cryptosuiteString = cryptosuiteString;
exports.delegator = delegator;
exports.digestMultibase = digestMultibase;
exports.domain = domain;
exports.ethereumAddress = ethereumAddress;
exports.expiration = expiration;
exports.invocationTarget = invocationTarget;
exports.invoker = invoker;
exports.jws = jws;
exports.keyAgreementMethod = keyAgreementMethod;
exports.multibase = multibase;
exports.nonce = nonce;
exports.previousProof = previousProof;
exports.proof = proof;
exports.proofPurpose = proofPurpose;
exports.proofValue = proofValue;
exports.publicKeyBase58 = publicKeyBase58;
exports.publicKeyHex = publicKeyHex;
exports.publicKeyJwk = publicKeyJwk;
exports.publicKeyMultibase = publicKeyMultibase;
exports.publicKeyPem = publicKeyPem;
exports.revoked = revoked;
exports.secImport = secImport;
exports.secretKeyJwk = secretKeyJwk;
exports.secretKeyMultibase = secretKeyMultibase;
exports.verificationMethod = verificationMethod;
