/**
 * BBS Signature, 2020 version
 *
 * https://w3id.org/security#BbsBlsSignature2020
 */
export declare const BbsBlsSignature2020 = "https://w3id.org/security#BbsBlsSignature2020";
/**
 * BBS Signature Proof, 2020 version
 *
 * https://w3id.org/security#BbsBlsSignatureProof2020
 */
export declare const BbsBlsSignatureProof2020 = "https://w3id.org/security#BbsBlsSignatureProof2020";
/**
 * BLS 12381 G1 Signature Key, 2020 version
 *
 * https://w3id.org/security#Bls12381G1Key2020
 */
export declare const Bls12381G1Key2020 = "https://w3id.org/security#Bls12381G1Key2020";
/**
 * BLS 12381 G2 Signature Key, 2020 version
 *
 * https://w3id.org/security#Bls12381G2Key2020
 */
export declare const Bls12381G2Key2020 = "https://w3id.org/security#Bls12381G2Key2020";
/**
 * Controlled Identifier Document
 *
 * https://w3id.org/security#ControlledIdentifierDocument
 */
export declare const ControlledIdentifierDocument = "https://w3id.org/security#ControlledIdentifierDocument";
/**
 * A Data Integrity Proof
 *
 * https://w3id.org/security#DataIntegrityProof
 */
export declare const DataIntegrityProof = "https://w3id.org/security#DataIntegrityProof";
/**
 * ecdsa-secp256k1 recovery method, 2020 version
 *
 * https://w3id.org/security#EcdsaSecp256k1RecoveryMethod2020
 */
export declare const EcdsaSecp256k1RecoveryMethod2020 = "https://w3id.org/security#EcdsaSecp256k1RecoveryMethod2020";
/**
 * ecdsa-secp256k1 recovery signature, 2020 version
 *
 * https://w3id.org/security#EcdsaSecp256k1RecoverySignature2020
 */
export declare const EcdsaSecp256k1RecoverySignature2020 = "https://w3id.org/security#EcdsaSecp256k1RecoverySignature2020";
/**
 * ecdsa-sep256k1, 2019 version
 *
 * https://w3id.org/security#EcdsaSecp256k1Signature2019
 */
export declare const EcdsaSecp256k1Signature2019 = "https://w3id.org/security#EcdsaSecp256k1Signature2019";
/**
 * ecdsa-sep256k1, 2020 version
 *
 * https://w3id.org/security#EcdsaSecp256k1Signature2020
 */
export declare const EcdsaSecp256k1Signature2020 = "https://w3id.org/security#EcdsaSecp256k1Signature2020";
/**
 * ecdsa-secp256k1 verification key, 2019 version
 *
 * https://w3id.org/security#EcdsaSecp256k1VerificationKey2019
 */
export declare const EcdsaSecp256k1VerificationKey2019 = "https://w3id.org/security#EcdsaSecp256k1VerificationKey2019";
/**
 * Ed25519 Signature Suite, 2020 version
 *
 * https://w3id.org/security#Ed25519Signature2020
 */
export declare const Ed25519Signature2020 = "https://w3id.org/security#Ed25519Signature2020";
/**
 * ED2559 Verification Key, 2018 version
 *
 * https://w3id.org/security#Ed25519VerificationKey2018
 */
export declare const Ed25519VerificationKey2018 = "https://w3id.org/security#Ed25519VerificationKey2018";
/**
 * ED2559 Verification Key, 2020 version
 *
 * https://w3id.org/security#Ed25519VerificationKey2020
 */
export declare const Ed25519VerificationKey2020 = "https://w3id.org/security#Ed25519VerificationKey2020";
/**
 * JSON Web Key Verification Method
 *
 * https://w3id.org/security#JsonWebKey
 */
export declare const JsonWebKey = "https://w3id.org/security#JsonWebKey";
/**
 * JSON Web Key, 2020 version
 *
 * https://w3id.org/security#JsonWebKey2020
 */
export declare const JsonWebKey2020 = "https://w3id.org/security#JsonWebKey2020";
/**
 * JSON Web Signature, 2020 version
 *
 * https://w3id.org/security#JsonWebSignature2020
 */
export declare const JsonWebSignature2020 = "https://w3id.org/security#JsonWebSignature2020";
/**
 * Cryptographic key
 *
 * https://w3id.org/security#Key
 */
export declare const Key = "https://w3id.org/security#Key";
/**
 * Merkle Proof
 *
 * https://w3id.org/security#MerkleProof2019
 */
export declare const MerkleProof2019 = "https://w3id.org/security#MerkleProof2019";
/**
 * Multikey Verification Method
 *
 * https://w3id.org/security#Multikey
 */
export declare const Multikey = "https://w3id.org/security#Multikey";
/**
 * Processing error
 *
 * https://w3id.org/security#ProcessingError
 */
export declare const ProcessingError = "https://w3id.org/security#ProcessingError";
/**
 * Digital proof
 *
 * https://w3id.org/security#Proof
 */
export declare const Proof = "https://w3id.org/security#Proof";
/**
 * An RDF Graph for a digital proof
 *
 * https://w3id.org/security#ProofGraph
 */
export declare const ProofGraph = "https://w3id.org/security#ProofGraph";
/**
 * Verification method
 *
 * https://w3id.org/security#VerificationMethod
 */
export declare const VerificationMethod = "https://w3id.org/security#VerificationMethod";
/**
 * Verification relationship
 *
 * https://w3id.org/security#VerificationRelationship
 */
export declare const VerificationRelationship = "https://w3id.org/security#VerificationRelationship";
/**
 * X25519 Key Agreement Key, 2019 version
 *
 * https://w3id.org/security#X25519KeyAgreementKey2019
 */
export declare const X25519KeyAgreementKey2019 = "https://w3id.org/security#X25519KeyAgreementKey2019";
/**
 * Allowed action
 *
 * https://w3id.org/security#allowedAction
 */
export declare const allowedAction = "https://w3id.org/security#allowedAction";
/**
 * Assertion method
 *
 * https://w3id.org/security#assertionMethod
 */
export declare const assertionMethod = "https://w3id.org/security#assertionMethod";
/**
 * Authentication method
 *
 * https://w3id.org/security#authentication
 */
export declare const authentication = "https://w3id.org/security#authentication";
/**
 * Blockchain account ID
 *
 * https://w3id.org/security#blockchainAccountId
 */
export declare const blockchainAccountId = "https://w3id.org/security#blockchainAccountId";
/**
 * Capability action
 *
 * https://w3id.org/security#capabilityAction
 */
export declare const capabilityAction = "https://w3id.org/security#capabilityAction";
/**
 * Capability chain
 *
 * https://w3id.org/security#capabilityChain
 */
export declare const capabilityChain = "https://w3id.org/security#capabilityChain";
/**
 * Capability delegation method
 *
 * https://w3id.org/security#capabilityDelegationMethod
 */
export declare const capabilityDelegationMethod = "https://w3id.org/security#capabilityDelegationMethod";
/**
 * Capability invocation method
 *
 * https://w3id.org/security#capabilityInvocationMethod
 */
export declare const capabilityInvocationMethod = "https://w3id.org/security#capabilityInvocationMethod";
/**
 * Caveat
 *
 * https://w3id.org/security#caveat
 */
export declare const caveat = "https://w3id.org/security#caveat";
/**
 * Challenge of a proof
 *
 * https://w3id.org/security#challenge
 */
export declare const challenge = "https://w3id.org/security#challenge";
/**
 * Controller
 *
 * https://w3id.org/security#controller
 */
export declare const controller = "https://w3id.org/security#controller";
/**
 * Proof creation time
 *
 * https://w3id.org/security#created
 */
export declare const created = "https://w3id.org/security#created";
/**
 * Cryptographic suite
 *
 * https://w3id.org/security#cryptosuite
 */
export declare const cryptosuite = "https://w3id.org/security#cryptosuite";
/**
 * Datatype for cryptosuite Identifiers
 *
 * https://w3id.org/security#cryptosuiteString
 */
export declare const cryptosuiteString = "https://w3id.org/security#cryptosuiteString";
/**
 * Delegator
 *
 * https://w3id.org/security#delegator
 */
export declare const delegator = "https://w3id.org/security#delegator";
/**
 * Digest multibase
 *
 * https://w3id.org/security#digestMultibase
 */
export declare const digestMultibase = "https://w3id.org/security#digestMultibase";
/**
 * Domain of a proof
 *
 * https://w3id.org/security#domain
 */
export declare const domain = "https://w3id.org/security#domain";
/**
 * Ethereum address
 *
 * https://w3id.org/security#ethereumAddress
 */
export declare const ethereumAddress = "https://w3id.org/security#ethereumAddress";
/**
 * Expiration time for a proof or verification method
 *
 * https://w3id.org/security#expiration
 */
export declare const expiration = "https://w3id.org/security#expiration";
/**
 * Invocation target
 *
 * https://w3id.org/security#invocationTarget
 */
export declare const invocationTarget = "https://w3id.org/security#invocationTarget";
/**
 * Invoker
 *
 * https://w3id.org/security#invoker
 */
export declare const invoker = "https://w3id.org/security#invoker";
/**
 * Json Web Signature
 *
 * https://w3id.org/security#jws
 */
export declare const jws = "https://w3id.org/security#jws";
/**
 * Key agreement protocols
 *
 * https://w3id.org/security#keyAgreementMethod
 */
export declare const keyAgreementMethod = "https://w3id.org/security#keyAgreementMethod";
/**
 * Datatype for multibase values
 *
 * https://w3id.org/security#multibase
 */
export declare const multibase = "https://w3id.org/security#multibase";
/**
 * Nonce supplied by proof creator
 *
 * https://w3id.org/security#nonce
 */
export declare const nonce = "https://w3id.org/security#nonce";
/**
 * Previous proof
 *
 * https://w3id.org/security#previousProof
 */
export declare const previousProof = "https://w3id.org/security#previousProof";
/**
 * Proof sets
 *
 * https://w3id.org/security#proof
 */
export declare const proof = "https://w3id.org/security#proof";
/**
 * Proof purpose
 *
 * https://w3id.org/security#proofPurpose
 */
export declare const proofPurpose = "https://w3id.org/security#proofPurpose";
/**
 * Proof value
 *
 * https://w3id.org/security#proofValue
 */
export declare const proofValue = "https://w3id.org/security#proofValue";
/**
 * Base58-encoded Public Key
 *
 * https://w3id.org/security#publicKeyBase58
 */
export declare const publicKeyBase58 = "https://w3id.org/security#publicKeyBase58";
/**
 * Hex-encoded version of public Key
 *
 * https://w3id.org/security#publicKeyHex
 */
export declare const publicKeyHex = "https://w3id.org/security#publicKeyHex";
/**
 * Public key JWK
 *
 * https://w3id.org/security#publicKeyJwk
 */
export declare const publicKeyJwk = "https://w3id.org/security#publicKeyJwk";
/**
 * Public key multibase
 *
 * https://w3id.org/security#publicKeyMultibase
 */
export declare const publicKeyMultibase = "https://w3id.org/security#publicKeyMultibase";
/**
 * Public key PEM
 *
 * https://w3id.org/security#publicKeyPem
 */
export declare const publicKeyPem = "https://w3id.org/security#publicKeyPem";
/**
 * Revocation time
 *
 * https://w3id.org/security#revoked
 */
export declare const revoked = "https://w3id.org/security#revoked";
/**
 * Secret key JWK
 *
 * https://w3id.org/security#secretKeyJwk
 */
export declare const secretKeyJwk = "https://w3id.org/security#secretKeyJwk";
/**
 * Secret key multibase
 *
 * https://w3id.org/security#secretKeyMultibase
 */
export declare const secretKeyMultibase = "https://w3id.org/security#secretKeyMultibase";
/**
 * Verification method
 *
 * https://w3id.org/security#verificationMethod
 */
export declare const verificationMethod = "https://w3id.org/security#verificationMethod";
//# sourceMappingURL=sec.d.ts.map