type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://www.w3.org/ns/shacl#Shape
 */
export const Shape = 'http://www.w3.org/ns/shacl#Shape' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#NodeShape
 */
export const NodeShape = 'http://www.w3.org/ns/shacl#NodeShape' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#PropertyShape
 */
export const PropertyShape = 'http://www.w3.org/ns/shacl#PropertyShape' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#deactivated
 */
export const deactivated = 'http://www.w3.org/ns/shacl#deactivated' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#targetClass
 */
export const targetClass = 'http://www.w3.org/ns/shacl#targetClass' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#targetNode
 */
export const targetNode = 'http://www.w3.org/ns/shacl#targetNode' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#targetObjectsOf
 */
export const targetObjectsOf = 'http://www.w3.org/ns/shacl#targetObjectsOf' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#targetSubjectsOf
 */
export const targetSubjectsOf = 'http://www.w3.org/ns/shacl#targetSubjectsOf' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#message
 */
export const message = 'http://www.w3.org/ns/shacl#message' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#severity
 */
export const severity = 'http://www.w3.org/ns/shacl#severity' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#NodeKind
 */
export const NodeKind = 'http://www.w3.org/ns/shacl#NodeKind' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#ValidationReport
 */
export const ValidationReport = 'http://www.w3.org/ns/shacl#ValidationReport' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#conforms
 */
export const conforms = 'http://www.w3.org/ns/shacl#conforms' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#result
 */
export const result = 'http://www.w3.org/ns/shacl#result' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#shapesGraphWellFormed
 */
export const shapesGraphWellFormed = 'http://www.w3.org/ns/shacl#shapesGraphWellFormed' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#AbstractResult
 */
export const AbstractResult = 'http://www.w3.org/ns/shacl#AbstractResult' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#ValidationResult
 */
export const ValidationResult = 'http://www.w3.org/ns/shacl#ValidationResult' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#Severity
 */
export const Severity = 'http://www.w3.org/ns/shacl#Severity' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#detail
 */
export const detail = 'http://www.w3.org/ns/shacl#detail' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#focusNode
 */
export const focusNode = 'http://www.w3.org/ns/shacl#focusNode' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#resultMessage
 */
export const resultMessage = 'http://www.w3.org/ns/shacl#resultMessage' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#resultPath
 */
export const resultPath = 'http://www.w3.org/ns/shacl#resultPath' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#resultSeverity
 */
export const resultSeverity = 'http://www.w3.org/ns/shacl#resultSeverity' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#sourceConstraint
 */
export const sourceConstraint = 'http://www.w3.org/ns/shacl#sourceConstraint' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#sourceShape
 */
export const sourceShape = 'http://www.w3.org/ns/shacl#sourceShape' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#sourceConstraintComponent
 */
export const sourceConstraintComponent = 'http://www.w3.org/ns/shacl#sourceConstraintComponent' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#value
 */
export const value = 'http://www.w3.org/ns/shacl#value' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#shapesGraph
 */
export const shapesGraph = 'http://www.w3.org/ns/shacl#shapesGraph' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#suggestedShapesGraph
 */
export const suggestedShapesGraph = 'http://www.w3.org/ns/shacl#suggestedShapesGraph' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#entailment
 */
export const entailment = 'http://www.w3.org/ns/shacl#entailment' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#path
 */
export const path = 'http://www.w3.org/ns/shacl#path' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#inversePath
 */
export const inversePath = 'http://www.w3.org/ns/shacl#inversePath' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#alternativePath
 */
export const alternativePath = 'http://www.w3.org/ns/shacl#alternativePath' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#zeroOrMorePath
 */
export const zeroOrMorePath = 'http://www.w3.org/ns/shacl#zeroOrMorePath' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#oneOrMorePath
 */
export const oneOrMorePath = 'http://www.w3.org/ns/shacl#oneOrMorePath' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#zeroOrOnePath
 */
export const zeroOrOnePath = 'http://www.w3.org/ns/shacl#zeroOrOnePath' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#Parameterizable
 */
export const Parameterizable = 'http://www.w3.org/ns/shacl#Parameterizable' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#parameter
 */
export const parameter = 'http://www.w3.org/ns/shacl#parameter' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#labelTemplate
 */
export const labelTemplate = 'http://www.w3.org/ns/shacl#labelTemplate' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#Parameter
 */
export const Parameter = 'http://www.w3.org/ns/shacl#Parameter' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#optional
 */
export const optional = 'http://www.w3.org/ns/shacl#optional' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#ConstraintComponent
 */
export const ConstraintComponent = 'http://www.w3.org/ns/shacl#ConstraintComponent' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#validator
 */
export const validator = 'http://www.w3.org/ns/shacl#validator' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#nodeValidator
 */
export const nodeValidator = 'http://www.w3.org/ns/shacl#nodeValidator' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#propertyValidator
 */
export const propertyValidator = 'http://www.w3.org/ns/shacl#propertyValidator' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#Validator
 */
export const Validator = 'http://www.w3.org/ns/shacl#Validator' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#SPARQLAskValidator
 */
export const SPARQLAskValidator = 'http://www.w3.org/ns/shacl#SPARQLAskValidator' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#SPARQLSelectValidator
 */
export const SPARQLSelectValidator = 'http://www.w3.org/ns/shacl#SPARQLSelectValidator' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#and
 */
export const and = 'http://www.w3.org/ns/shacl#and' satisfies Property;

/**
 * null
 * Note that `class` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://www.w3.org/ns/shacl#class
 */
export const class__workaround = 'http://www.w3.org/ns/shacl#class' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#closed
 */
export const closed = 'http://www.w3.org/ns/shacl#closed' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#ignoredProperties
 */
export const ignoredProperties = 'http://www.w3.org/ns/shacl#ignoredProperties' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#datatype
 */
export const datatype = 'http://www.w3.org/ns/shacl#datatype' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#disjoint
 */
export const disjoint = 'http://www.w3.org/ns/shacl#disjoint' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#equals
 */
export const equals = 'http://www.w3.org/ns/shacl#equals' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#hasValue
 */
export const hasValue = 'http://www.w3.org/ns/shacl#hasValue' satisfies Property;

/**
 * null
 * Note that `in` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://www.w3.org/ns/shacl#in
 */
export const in__workaround = 'http://www.w3.org/ns/shacl#in' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#languageIn
 */
export const languageIn = 'http://www.w3.org/ns/shacl#languageIn' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#lessThan
 */
export const lessThan = 'http://www.w3.org/ns/shacl#lessThan' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#lessThanOrEquals
 */
export const lessThanOrEquals = 'http://www.w3.org/ns/shacl#lessThanOrEquals' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#maxCount
 */
export const maxCount = 'http://www.w3.org/ns/shacl#maxCount' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#maxExclusive
 */
export const maxExclusive = 'http://www.w3.org/ns/shacl#maxExclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#maxInclusive
 */
export const maxInclusive = 'http://www.w3.org/ns/shacl#maxInclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#maxLength
 */
export const maxLength = 'http://www.w3.org/ns/shacl#maxLength' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#minCount
 */
export const minCount = 'http://www.w3.org/ns/shacl#minCount' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#minExclusive
 */
export const minExclusive = 'http://www.w3.org/ns/shacl#minExclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#minInclusive
 */
export const minInclusive = 'http://www.w3.org/ns/shacl#minInclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#minLength
 */
export const minLength = 'http://www.w3.org/ns/shacl#minLength' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#node
 */
export const node = 'http://www.w3.org/ns/shacl#node' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#nodeKind
 */
export const nodeKind = 'http://www.w3.org/ns/shacl#nodeKind' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#not
 */
export const not = 'http://www.w3.org/ns/shacl#not' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#or
 */
export const or = 'http://www.w3.org/ns/shacl#or' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#flags
 */
export const flags = 'http://www.w3.org/ns/shacl#flags' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#pattern
 */
export const pattern = 'http://www.w3.org/ns/shacl#pattern' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#property
 */
export const property = 'http://www.w3.org/ns/shacl#property' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#qualifiedMaxCount
 */
export const qualifiedMaxCount = 'http://www.w3.org/ns/shacl#qualifiedMaxCount' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#qualifiedMinCount
 */
export const qualifiedMinCount = 'http://www.w3.org/ns/shacl#qualifiedMinCount' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#qualifiedValueShape
 */
export const qualifiedValueShape = 'http://www.w3.org/ns/shacl#qualifiedValueShape' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#qualifiedValueShapesDisjoint
 */
export const qualifiedValueShapesDisjoint = 'http://www.w3.org/ns/shacl#qualifiedValueShapesDisjoint' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#uniqueLang
 */
export const uniqueLang = 'http://www.w3.org/ns/shacl#uniqueLang' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#xone
 */
export const xone = 'http://www.w3.org/ns/shacl#xone' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#SPARQLExecutable
 */
export const SPARQLExecutable = 'http://www.w3.org/ns/shacl#SPARQLExecutable' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#SPARQLAskExecutable
 */
export const SPARQLAskExecutable = 'http://www.w3.org/ns/shacl#SPARQLAskExecutable' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#ask
 */
export const ask = 'http://www.w3.org/ns/shacl#ask' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#SPARQLConstructExecutable
 */
export const SPARQLConstructExecutable = 'http://www.w3.org/ns/shacl#SPARQLConstructExecutable' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#construct
 */
export const construct = 'http://www.w3.org/ns/shacl#construct' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#SPARQLSelectExecutable
 */
export const SPARQLSelectExecutable = 'http://www.w3.org/ns/shacl#SPARQLSelectExecutable' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#select
 */
export const select = 'http://www.w3.org/ns/shacl#select' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#SPARQLUpdateExecutable
 */
export const SPARQLUpdateExecutable = 'http://www.w3.org/ns/shacl#SPARQLUpdateExecutable' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#update
 */
export const update = 'http://www.w3.org/ns/shacl#update' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#prefixes
 */
export const prefixes = 'http://www.w3.org/ns/shacl#prefixes' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#PrefixDeclaration
 */
export const PrefixDeclaration = 'http://www.w3.org/ns/shacl#PrefixDeclaration' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#declare
 */
export const declare = 'http://www.w3.org/ns/shacl#declare' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#prefix
 */
export const prefix = 'http://www.w3.org/ns/shacl#prefix' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#namespace
 */
export const namespace = 'http://www.w3.org/ns/shacl#namespace' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#sparql
 */
export const sparql = 'http://www.w3.org/ns/shacl#sparql' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#SPARQLConstraint
 */
export const SPARQLConstraint = 'http://www.w3.org/ns/shacl#SPARQLConstraint' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#defaultValue
 */
export const defaultValue = 'http://www.w3.org/ns/shacl#defaultValue' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#description
 */
export const description = 'http://www.w3.org/ns/shacl#description' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#group
 */
export const group = 'http://www.w3.org/ns/shacl#group' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#name
 */
export const name = 'http://www.w3.org/ns/shacl#name' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#order
 */
export const order = 'http://www.w3.org/ns/shacl#order' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#PropertyGroup
 */
export const PropertyGroup = 'http://www.w3.org/ns/shacl#PropertyGroup' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#target
 */
export const target = 'http://www.w3.org/ns/shacl#target' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#Target
 */
export const Target = 'http://www.w3.org/ns/shacl#Target' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#TargetType
 */
export const TargetType = 'http://www.w3.org/ns/shacl#TargetType' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#SPARQLTarget
 */
export const SPARQLTarget = 'http://www.w3.org/ns/shacl#SPARQLTarget' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#SPARQLTargetType
 */
export const SPARQLTargetType = 'http://www.w3.org/ns/shacl#SPARQLTargetType' satisfies Class;

/**
 * null
 * Note that `Function` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://www.w3.org/ns/shacl#Function
 */
export const Function__workaround = 'http://www.w3.org/ns/shacl#Function' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#returnType
 */
export const returnType = 'http://www.w3.org/ns/shacl#returnType' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#SPARQLFunction
 */
export const SPARQLFunction = 'http://www.w3.org/ns/shacl#SPARQLFunction' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#resultAnnotation
 */
export const resultAnnotation = 'http://www.w3.org/ns/shacl#resultAnnotation' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#ResultAnnotation
 */
export const ResultAnnotation = 'http://www.w3.org/ns/shacl#ResultAnnotation' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#annotationProperty
 */
export const annotationProperty = 'http://www.w3.org/ns/shacl#annotationProperty' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#annotationValue
 */
export const annotationValue = 'http://www.w3.org/ns/shacl#annotationValue' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#annotationVarName
 */
export const annotationVarName = 'http://www.w3.org/ns/shacl#annotationVarName' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#filterShape
 */
export const filterShape = 'http://www.w3.org/ns/shacl#filterShape' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#nodes
 */
export const nodes = 'http://www.w3.org/ns/shacl#nodes' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#intersection
 */
export const intersection = 'http://www.w3.org/ns/shacl#intersection' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#union
 */
export const union = 'http://www.w3.org/ns/shacl#union' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#expression
 */
export const expression = 'http://www.w3.org/ns/shacl#expression' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#Rule
 */
export const Rule = 'http://www.w3.org/ns/shacl#Rule' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#rule
 */
export const rule = 'http://www.w3.org/ns/shacl#rule' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#condition
 */
export const condition = 'http://www.w3.org/ns/shacl#condition' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#TripleRule
 */
export const TripleRule = 'http://www.w3.org/ns/shacl#TripleRule' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#subject
 */
export const subject = 'http://www.w3.org/ns/shacl#subject' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#predicate
 */
export const predicate = 'http://www.w3.org/ns/shacl#predicate' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#object
 */
export const object = 'http://www.w3.org/ns/shacl#object' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#SPARQLRule
 */
export const SPARQLRule = 'http://www.w3.org/ns/shacl#SPARQLRule' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#JSExecutable
 */
export const JSExecutable = 'http://www.w3.org/ns/shacl#JSExecutable' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#JSTarget
 */
export const JSTarget = 'http://www.w3.org/ns/shacl#JSTarget' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#JSTargetType
 */
export const JSTargetType = 'http://www.w3.org/ns/shacl#JSTargetType' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#JSConstraint
 */
export const JSConstraint = 'http://www.w3.org/ns/shacl#JSConstraint' satisfies Class;

/**
 * Constraints expressed in JavaScript.
 *
 * http://www.w3.org/ns/shacl#js
 */
export const js = 'http://www.w3.org/ns/shacl#js' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#jsFunctionName
 */
export const jsFunctionName = 'http://www.w3.org/ns/shacl#jsFunctionName' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#jsLibrary
 */
export const jsLibrary = 'http://www.w3.org/ns/shacl#jsLibrary' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#jsLibraryURL
 */
export const jsLibraryURL = 'http://www.w3.org/ns/shacl#jsLibraryURL' satisfies Property;

/**
 * http://www.w3.org/ns/shacl#JSFunction
 */
export const JSFunction = 'http://www.w3.org/ns/shacl#JSFunction' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#JSLibrary
 */
export const JSLibrary = 'http://www.w3.org/ns/shacl#JSLibrary' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#JSRule
 */
export const JSRule = 'http://www.w3.org/ns/shacl#JSRule' satisfies Class;

/**
 * http://www.w3.org/ns/shacl#JSValidator
 */
export const JSValidator = 'http://www.w3.org/ns/shacl#JSValidator' satisfies Class;
