type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://www.w3.org/ns/shex#Annotation
 */
export const Annotation = 'http://www.w3.org/ns/shex#Annotation' satisfies Class;

/**
 * http://www.w3.org/ns/shex#EachOf
 */
export const EachOf = 'http://www.w3.org/ns/shex#EachOf' satisfies Class;

/**
 * http://www.w3.org/ns/shex#IriStem
 */
export const IriStem = 'http://www.w3.org/ns/shex#IriStem' satisfies Class;

/**
 * http://www.w3.org/ns/shex#IriStemRange
 */
export const IriStemRange = 'http://www.w3.org/ns/shex#IriStemRange' satisfies Class;

/**
 * http://www.w3.org/ns/shex#Language
 */
export const Language = 'http://www.w3.org/ns/shex#Language' satisfies Class;

/**
 * http://www.w3.org/ns/shex#LanguageStem
 */
export const LanguageStem = 'http://www.w3.org/ns/shex#LanguageStem' satisfies Class;

/**
 * http://www.w3.org/ns/shex#LanguageStemRange
 */
export const LanguageStemRange = 'http://www.w3.org/ns/shex#LanguageStemRange' satisfies Class;

/**
 * http://www.w3.org/ns/shex#LiteralStem
 */
export const LiteralStem = 'http://www.w3.org/ns/shex#LiteralStem' satisfies Class;

/**
 * http://www.w3.org/ns/shex#LiteralStemRange
 */
export const LiteralStemRange = 'http://www.w3.org/ns/shex#LiteralStemRange' satisfies Class;

/**
 * http://www.w3.org/ns/shex#NodeConstraint
 */
export const NodeConstraint = 'http://www.w3.org/ns/shex#NodeConstraint' satisfies Class;

/**
 * http://www.w3.org/ns/shex#NodeKind
 */
export const NodeKind = 'http://www.w3.org/ns/shex#NodeKind' satisfies Class;

/**
 * http://www.w3.org/ns/shex#OneOf
 */
export const OneOf = 'http://www.w3.org/ns/shex#OneOf' satisfies Class;

/**
 * http://www.w3.org/ns/shex#Schema
 */
export const Schema = 'http://www.w3.org/ns/shex#Schema' satisfies Class;

/**
 * http://www.w3.org/ns/shex#SemAct
 */
export const SemAct = 'http://www.w3.org/ns/shex#SemAct' satisfies Class;

/**
 * http://www.w3.org/ns/shex#Shape
 */
export const Shape = 'http://www.w3.org/ns/shex#Shape' satisfies Class;

/**
 * http://www.w3.org/ns/shex#ShapeAnd
 */
export const ShapeAnd = 'http://www.w3.org/ns/shex#ShapeAnd' satisfies Class;

/**
 * http://www.w3.org/ns/shex#ShapeExpression
 */
export const ShapeExpression = 'http://www.w3.org/ns/shex#ShapeExpression' satisfies Class;

/**
 * http://www.w3.org/ns/shex#ShapeExternal
 */
export const ShapeExternal = 'http://www.w3.org/ns/shex#ShapeExternal' satisfies Class;

/**
 * http://www.w3.org/ns/shex#ShapeNot
 */
export const ShapeNot = 'http://www.w3.org/ns/shex#ShapeNot' satisfies Class;

/**
 * http://www.w3.org/ns/shex#ShapeOr
 */
export const ShapeOr = 'http://www.w3.org/ns/shex#ShapeOr' satisfies Class;

/**
 * http://www.w3.org/ns/shex#Stem
 */
export const Stem = 'http://www.w3.org/ns/shex#Stem' satisfies Class;

/**
 * http://www.w3.org/ns/shex#StemRange
 */
export const StemRange = 'http://www.w3.org/ns/shex#StemRange' satisfies Class;

/**
 * http://www.w3.org/ns/shex#TripleConstraint
 */
export const TripleConstraint = 'http://www.w3.org/ns/shex#TripleConstraint' satisfies Class;

/**
 * http://www.w3.org/ns/shex#TripleExpression
 */
export const TripleExpression = 'http://www.w3.org/ns/shex#TripleExpression' satisfies Class;

/**
 * http://www.w3.org/ns/shex#Wildcard
 */
export const Wildcard = 'http://www.w3.org/ns/shex#Wildcard' satisfies Class;

/**
 * http://www.w3.org/ns/shex#annotation
 */
export const annotation = 'http://www.w3.org/ns/shex#annotation' satisfies Property;

/**
 * http://www.w3.org/ns/shex#closed
 */
export const closed = 'http://www.w3.org/ns/shex#closed' satisfies Property;

/**
 * http://www.w3.org/ns/shex#code
 */
export const code = 'http://www.w3.org/ns/shex#code' satisfies Property;

/**
 * http://www.w3.org/ns/shex#datatype
 */
export const datatype = 'http://www.w3.org/ns/shex#datatype' satisfies Property;

/**
 * http://www.w3.org/ns/shex#exclusion
 */
export const exclusion = 'http://www.w3.org/ns/shex#exclusion' satisfies Property;

/**
 * http://www.w3.org/ns/shex#expression
 */
export const expression = 'http://www.w3.org/ns/shex#expression' satisfies Property;

/**
 * http://www.w3.org/ns/shex#expressions
 */
export const expressions = 'http://www.w3.org/ns/shex#expressions' satisfies Property;

/**
 * http://www.w3.org/ns/shex#extra
 */
export const extra = 'http://www.w3.org/ns/shex#extra' satisfies Property;

/**
 * null
 * Note that `extends` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://www.w3.org/ns/shex#extends
 */
export const extends__workaround = 'http://www.w3.org/ns/shex#extends' satisfies Property;

/**
 * http://www.w3.org/ns/shex#flags
 */
export const flags = 'http://www.w3.org/ns/shex#flags' satisfies Property;

/**
 * http://www.w3.org/ns/shex#fractiondigits
 */
export const fractiondigits = 'http://www.w3.org/ns/shex#fractiondigits' satisfies Property;

/**
 * http://www.w3.org/ns/shex#inverse
 */
export const inverse = 'http://www.w3.org/ns/shex#inverse' satisfies Property;

/**
 * http://www.w3.org/ns/shex#languageTag
 */
export const languageTag = 'http://www.w3.org/ns/shex#languageTag' satisfies Property;

/**
 * http://www.w3.org/ns/shex#length
 */
export const length = 'http://www.w3.org/ns/shex#length' satisfies Property;

/**
 * http://www.w3.org/ns/shex#max
 */
export const max = 'http://www.w3.org/ns/shex#max' satisfies Property;

/**
 * http://www.w3.org/ns/shex#maxexclusive
 */
export const maxexclusive = 'http://www.w3.org/ns/shex#maxexclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shex#maxinclusive
 */
export const maxinclusive = 'http://www.w3.org/ns/shex#maxinclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shex#maxlength
 */
export const maxlength = 'http://www.w3.org/ns/shex#maxlength' satisfies Property;

/**
 * http://www.w3.org/ns/shex#min
 */
export const min = 'http://www.w3.org/ns/shex#min' satisfies Property;

/**
 * http://www.w3.org/ns/shex#minexclusive
 */
export const minexclusive = 'http://www.w3.org/ns/shex#minexclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shex#mininclusive
 */
export const mininclusive = 'http://www.w3.org/ns/shex#mininclusive' satisfies Property;

/**
 * http://www.w3.org/ns/shex#minlength
 */
export const minlength = 'http://www.w3.org/ns/shex#minlength' satisfies Property;

/**
 * http://www.w3.org/ns/shex#name
 */
export const name = 'http://www.w3.org/ns/shex#name' satisfies Property;

/**
 * http://www.w3.org/ns/shex#nodeKind
 */
export const nodeKind = 'http://www.w3.org/ns/shex#nodeKind' satisfies Property;

/**
 * http://www.w3.org/ns/shex#numericFacet
 */
export const numericFacet = 'http://www.w3.org/ns/shex#numericFacet' satisfies Property;

/**
 * http://www.w3.org/ns/shex#object
 */
export const object = 'http://www.w3.org/ns/shex#object' satisfies Property;

/**
 * http://www.w3.org/ns/shex#pattern
 */
export const pattern = 'http://www.w3.org/ns/shex#pattern' satisfies Property;

/**
 * http://www.w3.org/ns/shex#predicate
 */
export const predicate = 'http://www.w3.org/ns/shex#predicate' satisfies Property;

/**
 * http://www.w3.org/ns/shex#semActs
 */
export const semActs = 'http://www.w3.org/ns/shex#semActs' satisfies Property;

/**
 * http://www.w3.org/ns/shex#shapeExpr
 */
export const shapeExpr = 'http://www.w3.org/ns/shex#shapeExpr' satisfies Property;

/**
 * http://www.w3.org/ns/shex#shapeExprs
 */
export const shapeExprs = 'http://www.w3.org/ns/shex#shapeExprs' satisfies Property;

/**
 * http://www.w3.org/ns/shex#shapes
 */
export const shapes = 'http://www.w3.org/ns/shex#shapes' satisfies Property;

/**
 * http://www.w3.org/ns/shex#start
 */
export const start = 'http://www.w3.org/ns/shex#start' satisfies Property;

/**
 * http://www.w3.org/ns/shex#startActs
 */
export const startActs = 'http://www.w3.org/ns/shex#startActs' satisfies Property;

/**
 * http://www.w3.org/ns/shex#stem
 */
export const stem = 'http://www.w3.org/ns/shex#stem' satisfies Property;

/**
 * http://www.w3.org/ns/shex#stringFacet
 */
export const stringFacet = 'http://www.w3.org/ns/shex#stringFacet' satisfies Property;

/**
 * http://www.w3.org/ns/shex#totaldigits
 */
export const totaldigits = 'http://www.w3.org/ns/shex#totaldigits' satisfies Property;

/**
 * http://www.w3.org/ns/shex#valueExpr
 */
export const valueExpr = 'http://www.w3.org/ns/shex#valueExpr' satisfies Property;

/**
 * http://www.w3.org/ns/shex#values
 */
export const values = 'http://www.w3.org/ns/shex#values' satisfies Property;

/**
 * http://www.w3.org/ns/shex#xsFacet
 */
export const xsFacet = 'http://www.w3.org/ns/shex#xsFacet' satisfies Property;
