type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://rdfs.org/sioc/ns#Community
 */
export const Community = 'http://rdfs.org/sioc/ns#Community' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Container
 */
export const Container = 'http://rdfs.org/sioc/ns#Container' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Forum
 */
export const Forum = 'http://rdfs.org/sioc/ns#Forum' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Item
 */
export const Item = 'http://rdfs.org/sioc/ns#Item' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Post
 */
export const Post = 'http://rdfs.org/sioc/ns#Post' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Role
 */
export const Role = 'http://rdfs.org/sioc/ns#Role' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Space
 */
export const Space = 'http://rdfs.org/sioc/ns#Space' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Site
 */
export const Site = 'http://rdfs.org/sioc/ns#Site' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Thread
 */
export const Thread = 'http://rdfs.org/sioc/ns#Thread' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#UserAccount
 */
export const UserAccount = 'http://rdfs.org/sioc/ns#UserAccount' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#Usergroup
 */
export const Usergroup = 'http://rdfs.org/sioc/ns#Usergroup' satisfies OwlClass;

/**
 * http://rdfs.org/sioc/ns#about
 */
export const about = 'http://rdfs.org/sioc/ns#about' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#account_of
 */
export const account_of = 'http://rdfs.org/sioc/ns#account_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#addressed_to
 */
export const addressed_to = 'http://rdfs.org/sioc/ns#addressed_to' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#administrator_of
 */
export const administrator_of = 'http://rdfs.org/sioc/ns#administrator_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#attachment
 */
export const attachment = 'http://rdfs.org/sioc/ns#attachment' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#avatar
 */
export const avatar = 'http://rdfs.org/sioc/ns#avatar' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#container_of
 */
export const container_of = 'http://rdfs.org/sioc/ns#container_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#content
 */
export const content = 'http://rdfs.org/sioc/ns#content' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#creator_of
 */
export const creator_of = 'http://rdfs.org/sioc/ns#creator_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#delivered_at
 */
export const delivered_at = 'http://rdfs.org/sioc/ns#delivered_at' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#discussion_of
 */
export const discussion_of = 'http://rdfs.org/sioc/ns#discussion_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#email
 */
export const email = 'http://rdfs.org/sioc/ns#email' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#email_sha1
 */
export const email_sha1 = 'http://rdfs.org/sioc/ns#email_sha1' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#embeds_knowledge
 */
export const embeds_knowledge = 'http://rdfs.org/sioc/ns#embeds_knowledge' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#feed
 */
export const feed = 'http://rdfs.org/sioc/ns#feed' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#follows
 */
export const follows = 'http://rdfs.org/sioc/ns#follows' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#function_of
 */
export const function_of = 'http://rdfs.org/sioc/ns#function_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#generator
 */
export const generator = 'http://rdfs.org/sioc/ns#generator' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_administrator
 */
export const has_administrator = 'http://rdfs.org/sioc/ns#has_administrator' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_container
 */
export const has_container = 'http://rdfs.org/sioc/ns#has_container' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_creator
 */
export const has_creator = 'http://rdfs.org/sioc/ns#has_creator' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_discussion
 */
export const has_discussion = 'http://rdfs.org/sioc/ns#has_discussion' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_function
 */
export const has_function = 'http://rdfs.org/sioc/ns#has_function' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_host
 */
export const has_host = 'http://rdfs.org/sioc/ns#has_host' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_member
 */
export const has_member = 'http://rdfs.org/sioc/ns#has_member' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_moderator
 */
export const has_moderator = 'http://rdfs.org/sioc/ns#has_moderator' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_modifier
 */
export const has_modifier = 'http://rdfs.org/sioc/ns#has_modifier' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_owner
 */
export const has_owner = 'http://rdfs.org/sioc/ns#has_owner' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_parent
 */
export const has_parent = 'http://rdfs.org/sioc/ns#has_parent' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_reply
 */
export const has_reply = 'http://rdfs.org/sioc/ns#has_reply' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_scope
 */
export const has_scope = 'http://rdfs.org/sioc/ns#has_scope' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_space
 */
export const has_space = 'http://rdfs.org/sioc/ns#has_space' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_subscriber
 */
export const has_subscriber = 'http://rdfs.org/sioc/ns#has_subscriber' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#has_usergroup
 */
export const has_usergroup = 'http://rdfs.org/sioc/ns#has_usergroup' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#host_of
 */
export const host_of = 'http://rdfs.org/sioc/ns#host_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#id
 */
export const id = 'http://rdfs.org/sioc/ns#id' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#ip_address
 */
export const ip_address = 'http://rdfs.org/sioc/ns#ip_address' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#last_activity_date
 */
export const last_activity_date = 'http://rdfs.org/sioc/ns#last_activity_date' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#last_item_date
 */
export const last_item_date = 'http://rdfs.org/sioc/ns#last_item_date' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#last_reply_date
 */
export const last_reply_date = 'http://rdfs.org/sioc/ns#last_reply_date' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#latest_version
 */
export const latest_version = 'http://rdfs.org/sioc/ns#latest_version' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#likes
 */
export const likes = 'http://rdfs.org/sioc/ns#likes' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#link
 */
export const link = 'http://rdfs.org/sioc/ns#link' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#links_to
 */
export const links_to = 'http://rdfs.org/sioc/ns#links_to' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#member_of
 */
export const member_of = 'http://rdfs.org/sioc/ns#member_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#mentions
 */
export const mentions = 'http://rdfs.org/sioc/ns#mentions' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#moderator_of
 */
export const moderator_of = 'http://rdfs.org/sioc/ns#moderator_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#modifier_of
 */
export const modifier_of = 'http://rdfs.org/sioc/ns#modifier_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#name
 */
export const name = 'http://rdfs.org/sioc/ns#name' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#next_by_date
 */
export const next_by_date = 'http://rdfs.org/sioc/ns#next_by_date' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#next_version
 */
export const next_version = 'http://rdfs.org/sioc/ns#next_version' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#note
 */
export const note = 'http://rdfs.org/sioc/ns#note' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#num_authors
 */
export const num_authors = 'http://rdfs.org/sioc/ns#num_authors' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#num_items
 */
export const num_items = 'http://rdfs.org/sioc/ns#num_items' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#num_replies
 */
export const num_replies = 'http://rdfs.org/sioc/ns#num_replies' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#num_threads
 */
export const num_threads = 'http://rdfs.org/sioc/ns#num_threads' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#num_views
 */
export const num_views = 'http://rdfs.org/sioc/ns#num_views' satisfies OwlDatatypeProperty;

/**
 * http://rdfs.org/sioc/ns#owner_of
 */
export const owner_of = 'http://rdfs.org/sioc/ns#owner_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#parent_of
 */
export const parent_of = 'http://rdfs.org/sioc/ns#parent_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#previous_by_date
 */
export const previous_by_date = 'http://rdfs.org/sioc/ns#previous_by_date' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#previous_version
 */
export const previous_version = 'http://rdfs.org/sioc/ns#previous_version' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#read_at
 */
export const read_at = 'http://rdfs.org/sioc/ns#read_at' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#related_to
 */
export const related_to = 'http://rdfs.org/sioc/ns#related_to' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#reply_of
 */
export const reply_of = 'http://rdfs.org/sioc/ns#reply_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#respond_to
 */
export const respond_to = 'http://rdfs.org/sioc/ns#respond_to' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#scope_of
 */
export const scope_of = 'http://rdfs.org/sioc/ns#scope_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#shared_by
 */
export const shared_by = 'http://rdfs.org/sioc/ns#shared_by' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#space_of
 */
export const space_of = 'http://rdfs.org/sioc/ns#space_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#subscriber_of
 */
export const subscriber_of = 'http://rdfs.org/sioc/ns#subscriber_of' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#topic
 */
export const topic = 'http://rdfs.org/sioc/ns#topic' satisfies OwlObjectProperty;

/**
 * http://rdfs.org/sioc/ns#usergroup_of
 */
export const usergroup_of = 'http://rdfs.org/sioc/ns#usergroup_of' satisfies OwlObjectProperty;
