type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://www.w3.org/2004/02/skos/core#Concept
 */
export const Concept = 'http://www.w3.org/2004/02/skos/core#Concept' satisfies OwlClass;

/**
 * http://www.w3.org/2004/02/skos/core#ConceptScheme
 */
export const ConceptScheme = 'http://www.w3.org/2004/02/skos/core#ConceptScheme' satisfies OwlClass;

/**
 * http://www.w3.org/2004/02/skos/core#Collection
 */
export const Collection = 'http://www.w3.org/2004/02/skos/core#Collection' satisfies OwlClass;

/**
 * http://www.w3.org/2004/02/skos/core#OrderedCollection
 */
export const OrderedCollection = 'http://www.w3.org/2004/02/skos/core#OrderedCollection' satisfies OwlClass;

/**
 * http://www.w3.org/2004/02/skos/core#inScheme
 */
export const inScheme = 'http://www.w3.org/2004/02/skos/core#inScheme' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#hasTopConcept
 */
export const hasTopConcept = 'http://www.w3.org/2004/02/skos/core#hasTopConcept' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#topConceptOf
 */
export const topConceptOf = 'http://www.w3.org/2004/02/skos/core#topConceptOf' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#notation
 */
export const notation = 'http://www.w3.org/2004/02/skos/core#notation' satisfies OwlDatatypeProperty;

/**
 * http://www.w3.org/2004/02/skos/core#semanticRelation
 */
export const semanticRelation = 'http://www.w3.org/2004/02/skos/core#semanticRelation' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#broader
 */
export const broader = 'http://www.w3.org/2004/02/skos/core#broader' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#narrower
 */
export const narrower = 'http://www.w3.org/2004/02/skos/core#narrower' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#related
 */
export const related = 'http://www.w3.org/2004/02/skos/core#related' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#broaderTransitive
 */
export const broaderTransitive = 'http://www.w3.org/2004/02/skos/core#broaderTransitive' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#narrowerTransitive
 */
export const narrowerTransitive = 'http://www.w3.org/2004/02/skos/core#narrowerTransitive' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#member
 */
export const member = 'http://www.w3.org/2004/02/skos/core#member' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#memberList
 */
export const memberList = 'http://www.w3.org/2004/02/skos/core#memberList' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#mappingRelation
 */
export const mappingRelation = 'http://www.w3.org/2004/02/skos/core#mappingRelation' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#broadMatch
 */
export const broadMatch = 'http://www.w3.org/2004/02/skos/core#broadMatch' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#narrowMatch
 */
export const narrowMatch = 'http://www.w3.org/2004/02/skos/core#narrowMatch' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#relatedMatch
 */
export const relatedMatch = 'http://www.w3.org/2004/02/skos/core#relatedMatch' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#exactMatch
 */
export const exactMatch = 'http://www.w3.org/2004/02/skos/core#exactMatch' satisfies OwlObjectProperty;

/**
 * http://www.w3.org/2004/02/skos/core#closeMatch
 */
export const closeMatch = 'http://www.w3.org/2004/02/skos/core#closeMatch' satisfies OwlObjectProperty;
