type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://www.w3.org/ns/solid/terms#Account
 */
export const Account = 'http://www.w3.org/ns/solid/terms#Account' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#Inbox
 */
export const Inbox = 'http://www.w3.org/ns/solid/terms#Inbox' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#InsertDeletePatch
 */
export const InsertDeletePatch = 'http://www.w3.org/ns/solid/terms#InsertDeletePatch' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#ListedDocument
 */
export const ListedDocument = 'http://www.w3.org/ns/solid/terms#ListedDocument' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#Notification
 */
export const Notification = 'http://www.w3.org/ns/solid/terms#Notification' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#Patch
 */
export const Patch = 'http://www.w3.org/ns/solid/terms#Patch' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#Timeline
 */
export const Timeline = 'http://www.w3.org/ns/solid/terms#Timeline' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#TypeIndex
 */
export const TypeIndex = 'http://www.w3.org/ns/solid/terms#TypeIndex' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#TypeRegistration
 */
export const TypeRegistration = 'http://www.w3.org/ns/solid/terms#TypeRegistration' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#UnlistedDocument
 */
export const UnlistedDocument = 'http://www.w3.org/ns/solid/terms#UnlistedDocument' satisfies Class;

/**
 * http://www.w3.org/ns/solid/terms#account
 */
export const account = 'http://www.w3.org/ns/solid/terms#account' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#deletes
 */
export const deletes = 'http://www.w3.org/ns/solid/terms#deletes' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#forClass
 */
export const forClass = 'http://www.w3.org/ns/solid/terms#forClass' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#inbox
 */
export const inbox = 'http://www.w3.org/ns/solid/terms#inbox' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#inserts
 */
export const inserts = 'http://www.w3.org/ns/solid/terms#inserts' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#instance
 */
export const instance = 'http://www.w3.org/ns/solid/terms#instance' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#instanceContainer
 */
export const instanceContainer = 'http://www.w3.org/ns/solid/terms#instanceContainer' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#loginEndpoint
 */
export const loginEndpoint = 'http://www.w3.org/ns/solid/terms#loginEndpoint' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#logoutEndpoint
 */
export const logoutEndpoint = 'http://www.w3.org/ns/solid/terms#logoutEndpoint' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#notification
 */
export const notification = 'http://www.w3.org/ns/solid/terms#notification' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#oidcIssuer
 */
export const oidcIssuer = 'http://www.w3.org/ns/solid/terms#oidcIssuer' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#owner
 */
export const owner = 'http://www.w3.org/ns/solid/terms#owner' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#patches
 */
export const patches = 'http://www.w3.org/ns/solid/terms#patches' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#privateTypeIndex
 */
export const privateTypeIndex = 'http://www.w3.org/ns/solid/terms#privateTypeIndex' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#publicTypeIndex
 */
export const publicTypeIndex = 'http://www.w3.org/ns/solid/terms#publicTypeIndex' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#privateLabelIndex
 */
export const privateLabelIndex = 'http://www.w3.org/ns/solid/terms#privateLabelIndex' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#read
 */
export const read = 'http://www.w3.org/ns/solid/terms#read' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#storageDescription
 */
export const storageDescription = 'http://www.w3.org/ns/solid/terms#storageDescription' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#storageQuota
 */
export const storageQuota = 'http://www.w3.org/ns/solid/terms#storageQuota' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#storageUsage
 */
export const storageUsage = 'http://www.w3.org/ns/solid/terms#storageUsage' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#typeIndex
 */
export const typeIndex = 'http://www.w3.org/ns/solid/terms#typeIndex' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#timeline
 */
export const timeline = 'http://www.w3.org/ns/solid/terms#timeline' satisfies Property;

/**
 * http://www.w3.org/ns/solid/terms#where
 */
export const where = 'http://www.w3.org/ns/solid/terms#where' satisfies Property;
