/**
 * access
 *
 * An event in which a network access is made.
 *
 * http://www.w3.org/2007/ont/link#Access
 */
export declare const Access = "http://www.w3.org/2007/ont/link#Access";
/**
 * document
 *
 * An Information Resource, such as a web page, image,
 *         data file, etc.
 *
 * http://www.w3.org/2007/ont/link#Document
 */
export declare const Document = "http://www.w3.org/2007/ont/link#Document";
/**
 * mailbox
 *
 * An end point in the Internet Mail sytem.
 *             Anything which has a URI in the malto: scheme is a Mailbox.
 *
 * http://www.w3.org/2007/ont/link#Mailbox
 */
export declare const Mailbox = "http://www.w3.org/2007/ont/link#Mailbox";
/**
 * A step in a network protocol, such as a request
 *         or response message.
 *
 * http://www.w3.org/2007/ont/link#ProtocolEvent
 */
export declare const ProtocolEvent = "http://www.w3.org/2007/ont/link#ProtocolEvent";
/**
 * data document
 *
 * An Information Resource whose meaning which can directly mapped into the RDF model. For example a data file which can be reterived as RDF using HTTP.
 *
 * http://www.w3.org/2007/ont/link#RDFDocument
 */
export declare const RDFDocument = "http://www.w3.org/2007/ont/link#RDFDocument";
/**
 * access
 *
 * A network response to a request.
 *
 * http://www.w3.org/2007/ont/link#Response
 */
export declare const Response = "http://www.w3.org/2007/ont/link#Response";
/**
 * session
 *
 * A run of the application software in which various
 *         network acecssses etc happen.
 *
 * http://www.w3.org/2007/ont/link#Session
 */
export declare const Session = "http://www.w3.org/2007/ont/link#Session";
/**
 * is mentioned in
 *
 *
 *       This class is mentioned in the following document
 *
 *
 * http://www.w3.org/2007/ont/link#isMentionedIn
 */
export declare const isMentionedIn = "http://www.w3.org/2007/ont/link#isMentionedIn";
/**
 * mentions
 *
 * This document mentions the following class
 *
 * http://www.w3.org/2007/ont/link#mentionsClass
 */
export declare const mentionsClass = "http://www.w3.org/2007/ont/link#mentionsClass";
/**
 * supports protocol
 *
 * The application supports this network protocol.
 *
 * http://www.w3.org/2007/ont/link#protocol
 */
export declare const protocol = "http://www.w3.org/2007/ont/link#protocol";
/**
 * redirected request
 *
 * http://www.w3.org/2007/ont/link#redirectedRequest
 */
export declare const redirectedRequest = "http://www.w3.org/2007/ont/link#redirectedRequest";
/**
 * referrer
 *
 * A resource which contains a reference to the subject.
 *          That is, one of the statements in the object file
 *          has the subject URI.
 *          This property is stored by the tabulator library to explain
 *          why it looked up a given URI. This can help
 *          trace an error when it was in fact a mis-spelling.
 *
 * http://www.w3.org/2007/ont/link#requestedBy
 */
export declare const requestedBy = "http://www.w3.org/2007/ont/link#requestedBy";
/**
 * requested URI
 *
 * http://www.w3.org/2007/ont/link#requestedURI
 */
export declare const requestedURI = "http://www.w3.org/2007/ont/link#requestedURI";
/**
 * response
 *
 * http://www.w3.org/2007/ont/link#response
 */
export declare const response = "http://www.w3.org/2007/ont/link#response";
/**
 * session
 *
 * http://www.w3.org/2007/ont/link#session
 */
export declare const session = "http://www.w3.org/2007/ont/link#session";
/**
 * uses source
 *
 * A source file accessed in this session.
 *
 * http://www.w3.org/2007/ont/link#source
 */
export declare const source = "http://www.w3.org/2007/ont/link#source";
/**
 * status
 *
 * The status of a network access.
 *
 * http://www.w3.org/2007/ont/link#status
 */
export declare const status = "http://www.w3.org/2007/ont/link#status";
/**
 * examples and test data
 *
 * Soemthing which can be used as an example for testing purposes
 *
 * http://www.w3.org/2007/ont/link#testDataset
 */
export declare const testDataset = "http://www.w3.org/2007/ont/link#testDataset";
/**
 * URI
 *
 * The URI requested in this access.
 *         This is NOT the relationship betwen a URI and a thing t identifiers
 *
 * http://www.w3.org/2007/ont/link#uri
 */
export declare const uri = "http://www.w3.org/2007/ont/link#uri";
//# sourceMappingURL=tabont.d.ts.map