type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * taxi transaction
 *
 * A Taxi transaction is a financial trasction related to a ride in
 *     a taxi, car, etc. 
 *
 * http://www.w3.org/ns/pim/trip#TaxiTransaction
 */
export const TaxiTransaction = 'http://www.w3.org/ns/pim/trip#TaxiTransaction' satisfies Class;

/**
 * trip
 *
 * http://www.w3.org/ns/pim/trip#Trip
 */
export const Trip = 'http://www.w3.org/ns/pim/trip#Trip' satisfies Class;

/**
 * funder
 *
 * Who pays for the this? An organization or individual.
 *      Could apply to a trip (or a doap:Project, or a cal:Event, etc).
 *      There may be more than one funder.
 *
 * http://www.w3.org/ns/pim/trip#funder
 */
export const funder = 'http://www.w3.org/ns/pim/trip#funder' satisfies Property;

/**
 * location
 *
 * http://www.w3.org/ns/pim/trip#location
 */
export const location = 'http://www.w3.org/ns/pim/trip#location' satisfies Property;

/**
 * part
 *
 * http://www.w3.org/ns/pim/trip#part
 */
export const part = 'http://www.w3.org/ns/pim/trip#part' satisfies Property;

/**
 * travel date
 *
 * When the travel took place, or started. This should be a datetime (or a date).
 *     This may be different fron the date the fare was ivoiced or charged.
 *
 * http://www.w3.org/ns/pim/trip#travelDate
 */
export const travelDate = 'http://www.w3.org/ns/pim/trip#travelDate' satisfies Property;

/**
 * trip
 *
 * The trip associated with an expense (a financial transaction), 
 *     a photo, a meeting, etc.
 *
 * http://www.w3.org/ns/pim/trip#trip
 */
export const trip = 'http://www.w3.org/ns/pim/trip#trip' satisfies Property;
