type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * AMRadioChannel
 *
 * A radio channel that uses AM.
 *
 * http://schema.org/AMRadioChannel
 */
export const AMRadioChannel = 'http://schema.org/AMRadioChannel' satisfies Class;

/**
 * APIReference
 *
 * Reference documentation for application programming interfaces (APIs).
 *
 * http://schema.org/APIReference
 */
export const APIReference = 'http://schema.org/APIReference' satisfies Class;

/**
 * AboutPage
 *
 * Web page type: About page.
 *
 * http://schema.org/AboutPage
 */
export const AboutPage = 'http://schema.org/AboutPage' satisfies Class;

/**
 * AcceptAction
 *
 * The act of committing to/adopting an object.\n\nRelated actions:\n\n* [[RejectAction]]: The antonym of AcceptAction.
 *
 * http://schema.org/AcceptAction
 */
export const AcceptAction = 'http://schema.org/AcceptAction' satisfies Class;

/**
 * Accommodation
 *
 * An accommodation is a place that can accommodate human beings, e.g. a hotel room, a camping pitch, or a meeting room. Many accommodations are for overnight stays, but this is not a mandatory requirement.
 * For more specific types of accommodations not defined in schema.org, one can use [[additionalType]] with external vocabularies.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/Accommodation
 */
export const Accommodation = 'http://schema.org/Accommodation' satisfies Class;

/**
 * AccountingService
 *
 * Accountancy business.\n\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\(s).
 *       
 *
 * http://schema.org/AccountingService
 */
export const AccountingService = 'http://schema.org/AccountingService' satisfies Class;

/**
 * AchieveAction
 *
 * The act of accomplishing something via previous efforts. It is an instantaneous action rather than an ongoing process.
 *
 * http://schema.org/AchieveAction
 */
export const AchieveAction = 'http://schema.org/AchieveAction' satisfies Class;

/**
 * Action
 *
 * An action performed by a direct agent and indirect participants upon a direct object. Optionally happens at a location with the help of an inanimate instrument. The execution of the action may produce a result. Specific action sub-type documentation specifies the exact expectation of each argument/role.\n\nSee also [blog post](http://blog.schema.org/2014/04/announcing-schemaorg-actions.html) and [Actions overview document](http://schema.org/docs/actions.html).
 *
 * http://schema.org/Action
 */
export const Action = 'http://schema.org/Action' satisfies Class;

/**
 * ActionAccessSpecification
 *
 * A set of requirements that must be fulfilled in order to perform an Action.
 *
 * http://schema.org/ActionAccessSpecification
 */
export const ActionAccessSpecification = 'http://schema.org/ActionAccessSpecification' satisfies Class;

/**
 * ActionStatusType
 *
 * The status of an Action.
 *
 * http://schema.org/ActionStatusType
 */
export const ActionStatusType = 'http://schema.org/ActionStatusType' satisfies Class;

/**
 * ActivateAction
 *
 * The act of starting or activating a device or application (e.g. starting a timer or turning on a flashlight).
 *
 * http://schema.org/ActivateAction
 */
export const ActivateAction = 'http://schema.org/ActivateAction' satisfies Class;

/**
 * AddAction
 *
 * The act of editing by adding an object to a collection.
 *
 * http://schema.org/AddAction
 */
export const AddAction = 'http://schema.org/AddAction' satisfies Class;

/**
 * AdministrativeArea
 *
 * A geographical region, typically under the jurisdiction of a particular government.
 *
 * http://schema.org/AdministrativeArea
 */
export const AdministrativeArea = 'http://schema.org/AdministrativeArea' satisfies Class;

/**
 * AdultEntertainment
 *
 * An adult entertainment establishment.
 *
 * http://schema.org/AdultEntertainment
 */
export const AdultEntertainment = 'http://schema.org/AdultEntertainment' satisfies Class;

/**
 * AdultOrientedEnumeration
 *
 * Enumeration of considerations that make a product relevant or potentially restricted for adults only.
 *
 * http://schema.org/AdultOrientedEnumeration
 */
export const AdultOrientedEnumeration = 'http://schema.org/AdultOrientedEnumeration' satisfies Class;

/**
 * AdvertiserContentArticle
 *
 * An [[Article]] that an external entity has paid to place or to produce to its specifications. Includes [advertorials](https://en.wikipedia.org/wiki/Advertorial), sponsored content, native advertising and other paid content.
 *
 * http://schema.org/AdvertiserContentArticle
 */
export const AdvertiserContentArticle = 'http://schema.org/AdvertiserContentArticle' satisfies Class;

/**
 * AggregateOffer
 *
 * When a single product is associated with multiple offers (for example, the same pair of shoes is offered by different merchants), then AggregateOffer can be used.\n\nNote: AggregateOffers are normally expected to associate multiple offers that all share the same defined [[businessFunction]] value, or default to http://purl.org/goodrelations/v1#Sell if businessFunction is not explicitly defined.
 *
 * http://schema.org/AggregateOffer
 */
export const AggregateOffer = 'http://schema.org/AggregateOffer' satisfies Class;

/**
 * AggregateRating
 *
 * The average rating based on multiple ratings or reviews.
 *
 * http://schema.org/AggregateRating
 */
export const AggregateRating = 'http://schema.org/AggregateRating' satisfies Class;

/**
 * AgreeAction
 *
 * The act of expressing a consistency of opinion with the object. An agent agrees to/about an object (a proposition, topic or theme) with participants.
 *
 * http://schema.org/AgreeAction
 */
export const AgreeAction = 'http://schema.org/AgreeAction' satisfies Class;

/**
 * Airline
 *
 * An organization that provides flights for passengers.
 *
 * http://schema.org/Airline
 */
export const Airline = 'http://schema.org/Airline' satisfies Class;

/**
 * Airport
 *
 * An airport.
 *
 * http://schema.org/Airport
 */
export const Airport = 'http://schema.org/Airport' satisfies Class;

/**
 * AlignmentObject
 *
 * An intangible item that describes an alignment between a learning resource and a node in an educational framework.
 * 
 * Should not be used where the nature of the alignment can be described using a simple property, for example to express that a resource [[teaches]] or [[assesses]] a competency.
 *
 * http://schema.org/AlignmentObject
 */
export const AlignmentObject = 'http://schema.org/AlignmentObject' satisfies Class;

/**
 * AllocateAction
 *
 * The act of organizing tasks/objects/events by associating resources to it.
 *
 * http://schema.org/AllocateAction
 */
export const AllocateAction = 'http://schema.org/AllocateAction' satisfies Class;

/**
 * AmpStory
 *
 * A creative work with a visual storytelling format intended to be viewed online, particularly on mobile devices.
 *
 * http://schema.org/AmpStory
 */
export const AmpStory = 'http://schema.org/AmpStory' satisfies Class;

/**
 * AmusementPark
 *
 * An amusement park.
 *
 * http://schema.org/AmusementPark
 */
export const AmusementPark = 'http://schema.org/AmusementPark' satisfies Class;

/**
 * AnalysisNewsArticle
 *
 * An AnalysisNewsArticle is a [[NewsArticle]] that, while based on factual reporting, incorporates the expertise of the author/producer, offering interpretations and conclusions.
 *
 * http://schema.org/AnalysisNewsArticle
 */
export const AnalysisNewsArticle = 'http://schema.org/AnalysisNewsArticle' satisfies Class;

/**
 * AnatomicalStructure
 *
 * Any part of the human body, typically a component of an anatomical system. Organs, tissues, and cells are all anatomical structures.
 *
 * http://schema.org/AnatomicalStructure
 */
export const AnatomicalStructure = 'http://schema.org/AnatomicalStructure' satisfies Class;

/**
 * AnatomicalSystem
 *
 * An anatomical system is a group of anatomical structures that work together to perform a certain task. Anatomical systems, such as organ systems, are one organizing principle of anatomy, and can include circulatory, digestive, endocrine, integumentary, immune, lymphatic, muscular, nervous, reproductive, respiratory, skeletal, urinary, vestibular, and other systems.
 *
 * http://schema.org/AnatomicalSystem
 */
export const AnatomicalSystem = 'http://schema.org/AnatomicalSystem' satisfies Class;

/**
 * AnimalShelter
 *
 * Animal shelter.
 *
 * http://schema.org/AnimalShelter
 */
export const AnimalShelter = 'http://schema.org/AnimalShelter' satisfies Class;

/**
 * Answer
 *
 * An answer offered to a question; perhaps correct, perhaps opinionated or wrong.
 *
 * http://schema.org/Answer
 */
export const Answer = 'http://schema.org/Answer' satisfies Class;

/**
 * Apartment
 *
 * An apartment (in American English) or flat (in British English) is a self-contained housing unit (a type of residential real estate) that occupies only part of a building (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Apartment">http://en.wikipedia.org/wiki/Apartment</a>).
 *
 * http://schema.org/Apartment
 */
export const Apartment = 'http://schema.org/Apartment' satisfies Class;

/**
 * ApartmentComplex
 *
 * Residence type: Apartment complex.
 *
 * http://schema.org/ApartmentComplex
 */
export const ApartmentComplex = 'http://schema.org/ApartmentComplex' satisfies Class;

/**
 * AppendAction
 *
 * The act of inserting at the end if an ordered collection.
 *
 * http://schema.org/AppendAction
 */
export const AppendAction = 'http://schema.org/AppendAction' satisfies Class;

/**
 * ApplyAction
 *
 * The act of registering to an organization/service without the guarantee to receive it.\n\nRelated actions:\n\n* [[RegisterAction]]: Unlike RegisterAction, ApplyAction has no guarantees that the application will be accepted.
 *
 * http://schema.org/ApplyAction
 */
export const ApplyAction = 'http://schema.org/ApplyAction' satisfies Class;

/**
 * ApprovedIndication
 *
 * An indication for a medical therapy that has been formally specified or approved by a regulatory body that regulates use of the therapy; for example, the US FDA approves indications for most drugs in the US.
 *
 * http://schema.org/ApprovedIndication
 */
export const ApprovedIndication = 'http://schema.org/ApprovedIndication' satisfies Class;

/**
 * Aquarium
 *
 * Aquarium.
 *
 * http://schema.org/Aquarium
 */
export const Aquarium = 'http://schema.org/Aquarium' satisfies Class;

/**
 * http://schema.org/ArchiveComponent
 */
export const ArchiveComponent = 'http://schema.org/ArchiveComponent' satisfies Class;

/**
 * http://schema.org/ArchiveOrganization
 */
export const ArchiveOrganization = 'http://schema.org/ArchiveOrganization' satisfies Class;

/**
 * ArriveAction
 *
 * The act of arriving at a place. An agent arrives at a destination from a fromLocation, optionally with participants.
 *
 * http://schema.org/ArriveAction
 */
export const ArriveAction = 'http://schema.org/ArriveAction' satisfies Class;

/**
 * ArtGallery
 *
 * An art gallery.
 *
 * http://schema.org/ArtGallery
 */
export const ArtGallery = 'http://schema.org/ArtGallery' satisfies Class;

/**
 * Artery
 *
 * A type of blood vessel that specifically carries blood away from the heart.
 *
 * http://schema.org/Artery
 */
export const Artery = 'http://schema.org/Artery' satisfies Class;

/**
 * Article
 *
 * An article, such as a news article or piece of investigative report. Newspapers and magazines have articles of many different types and this is intended to cover them all.\n\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).
 *
 * http://schema.org/Article
 */
export const Article = 'http://schema.org/Article' satisfies Class;

/**
 * AskAction
 *
 * The act of posing a question / favor to someone.\n\nRelated actions:\n\n* [[ReplyAction]]: Appears generally as a response to AskAction.
 *
 * http://schema.org/AskAction
 */
export const AskAction = 'http://schema.org/AskAction' satisfies Class;

/**
 * AskPublicNewsArticle
 *
 * A [[NewsArticle]] expressing an open call by a [[NewsMediaOrganization]] asking the public for input, insights, clarifications, anecdotes, documentation, etc., on an issue, for reporting purposes.
 *
 * http://schema.org/AskPublicNewsArticle
 */
export const AskPublicNewsArticle = 'http://schema.org/AskPublicNewsArticle' satisfies Class;

/**
 * AssessAction
 *
 * The act of forming one's opinion, reaction or sentiment.
 *
 * http://schema.org/AssessAction
 */
export const AssessAction = 'http://schema.org/AssessAction' satisfies Class;

/**
 * AssignAction
 *
 * The act of allocating an action/event/task to some destination (someone or something).
 *
 * http://schema.org/AssignAction
 */
export const AssignAction = 'http://schema.org/AssignAction' satisfies Class;

/**
 * Atlas
 *
 * A collection or bound volume of maps, charts, plates or tables, physical or in media form illustrating any subject.
 *
 * http://schema.org/Atlas
 */
export const Atlas = 'http://schema.org/Atlas' satisfies Class;

/**
 * Attorney
 *
 * Professional service: Attorney. \n\nThis type is deprecated - [[LegalService]] is more inclusive and less ambiguous.
 *
 * http://schema.org/Attorney
 */
export const Attorney = 'http://schema.org/Attorney' satisfies Class;

/**
 * Audience
 *
 * Intended audience for an item, i.e. the group for whom the item was created.
 *
 * http://schema.org/Audience
 */
export const Audience = 'http://schema.org/Audience' satisfies Class;

/**
 * AudioObject
 *
 * An audio file.
 *
 * http://schema.org/AudioObject
 */
export const AudioObject = 'http://schema.org/AudioObject' satisfies Class;

/**
 * AudioObjectSnapshot
 *
 * A specific and exact (byte-for-byte) version of an [[AudioObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.
 *
 * http://schema.org/AudioObjectSnapshot
 */
export const AudioObjectSnapshot = 'http://schema.org/AudioObjectSnapshot' satisfies Class;

/**
 * Audiobook
 *
 * An audiobook.
 *
 * http://schema.org/Audiobook
 */
export const Audiobook = 'http://schema.org/Audiobook' satisfies Class;

/**
 * AuthorizeAction
 *
 * The act of granting permission to an object.
 *
 * http://schema.org/AuthorizeAction
 */
export const AuthorizeAction = 'http://schema.org/AuthorizeAction' satisfies Class;

/**
 * AutoBodyShop
 *
 * Auto body shop.
 *
 * http://schema.org/AutoBodyShop
 */
export const AutoBodyShop = 'http://schema.org/AutoBodyShop' satisfies Class;

/**
 * AutoDealer
 *
 * An car dealership.
 *
 * http://schema.org/AutoDealer
 */
export const AutoDealer = 'http://schema.org/AutoDealer' satisfies Class;

/**
 * AutoPartsStore
 *
 * An auto parts store.
 *
 * http://schema.org/AutoPartsStore
 */
export const AutoPartsStore = 'http://schema.org/AutoPartsStore' satisfies Class;

/**
 * AutoRental
 *
 * A car rental business.
 *
 * http://schema.org/AutoRental
 */
export const AutoRental = 'http://schema.org/AutoRental' satisfies Class;

/**
 * AutoRepair
 *
 * Car repair business.
 *
 * http://schema.org/AutoRepair
 */
export const AutoRepair = 'http://schema.org/AutoRepair' satisfies Class;

/**
 * AutoWash
 *
 * A car wash business.
 *
 * http://schema.org/AutoWash
 */
export const AutoWash = 'http://schema.org/AutoWash' satisfies Class;

/**
 * AutomatedTeller
 *
 * ATM/cash machine.
 *
 * http://schema.org/AutomatedTeller
 */
export const AutomatedTeller = 'http://schema.org/AutomatedTeller' satisfies Class;

/**
 * AutomotiveBusiness
 *
 * Car repair, sales, or parts.
 *
 * http://schema.org/AutomotiveBusiness
 */
export const AutomotiveBusiness = 'http://schema.org/AutomotiveBusiness' satisfies Class;

/**
 * BackgroundNewsArticle
 *
 * A [[NewsArticle]] providing historical context, definition and detail on a specific topic (aka "explainer" or "backgrounder"). For example, an in-depth article or frequently-asked-questions ([FAQ](https://en.wikipedia.org/wiki/FAQ)) document on topics such as Climate Change or the European Union. Other kinds of background material from a non-news setting are often described using [[Book]] or [[Article]], in particular [[ScholarlyArticle]]. See also [[NewsArticle]] for related vocabulary from a learning/education perspective.
 *
 * http://schema.org/BackgroundNewsArticle
 */
export const BackgroundNewsArticle = 'http://schema.org/BackgroundNewsArticle' satisfies Class;

/**
 * Bakery
 *
 * A bakery.
 *
 * http://schema.org/Bakery
 */
export const Bakery = 'http://schema.org/Bakery' satisfies Class;

/**
 * BankAccount
 *
 * A product or service offered by a bank whereby one may deposit, withdraw or transfer money and in some cases be paid interest.
 *
 * http://schema.org/BankAccount
 */
export const BankAccount = 'http://schema.org/BankAccount' satisfies Class;

/**
 * BankOrCreditUnion
 *
 * Bank or credit union.
 *
 * http://schema.org/BankOrCreditUnion
 */
export const BankOrCreditUnion = 'http://schema.org/BankOrCreditUnion' satisfies Class;

/**
 * BarOrPub
 *
 * A bar or pub.
 *
 * http://schema.org/BarOrPub
 */
export const BarOrPub = 'http://schema.org/BarOrPub' satisfies Class;

/**
 * Barcode
 *
 * An image of a visual machine-readable code such as a barcode or QR code.
 *
 * http://schema.org/Barcode
 */
export const Barcode = 'http://schema.org/Barcode' satisfies Class;

/**
 * Beach
 *
 * Beach.
 *
 * http://schema.org/Beach
 */
export const Beach = 'http://schema.org/Beach' satisfies Class;

/**
 * BeautySalon
 *
 * Beauty salon.
 *
 * http://schema.org/BeautySalon
 */
export const BeautySalon = 'http://schema.org/BeautySalon' satisfies Class;

/**
 * BedAndBreakfast
 *
 * Bed and breakfast.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/BedAndBreakfast
 */
export const BedAndBreakfast = 'http://schema.org/BedAndBreakfast' satisfies Class;

/**
 * BedDetails
 *
 * An entity holding detailed information about the available bed types, e.g. the quantity of twin beds for a hotel room. For the single case of just one bed of a certain type, you can use bed directly with a text. See also [[BedType]] (under development).
 *
 * http://schema.org/BedDetails
 */
export const BedDetails = 'http://schema.org/BedDetails' satisfies Class;

/**
 * BedType
 *
 * A type of bed. This is used for indicating the bed or beds available in an accommodation.
 *
 * http://schema.org/BedType
 */
export const BedType = 'http://schema.org/BedType' satisfies Class;

/**
 * BefriendAction
 *
 * The act of forming a personal connection with someone (object) mutually/bidirectionally/symmetrically.\n\nRelated actions:\n\n* [[FollowAction]]: Unlike FollowAction, BefriendAction implies that the connection is reciprocal.
 *
 * http://schema.org/BefriendAction
 */
export const BefriendAction = 'http://schema.org/BefriendAction' satisfies Class;

/**
 * BikeStore
 *
 * A bike store.
 *
 * http://schema.org/BikeStore
 */
export const BikeStore = 'http://schema.org/BikeStore' satisfies Class;

/**
 * BioChemEntity
 *
 * Any biological, chemical, or biochemical thing. For example: a protein; a gene; a chemical; a synthetic chemical.
 *
 * http://schema.org/BioChemEntity
 */
export const BioChemEntity = 'http://schema.org/BioChemEntity' satisfies Class;

/**
 * Blog
 *
 * A [blog](https://en.wikipedia.org/wiki/Blog), sometimes known as a "weblog". Note that the individual posts ([[BlogPosting]]s) in a [[Blog]] are often colloquially referred to by the same term.
 *
 * http://schema.org/Blog
 */
export const Blog = 'http://schema.org/Blog' satisfies Class;

/**
 * BlogPosting
 *
 * A blog post.
 *
 * http://schema.org/BlogPosting
 */
export const BlogPosting = 'http://schema.org/BlogPosting' satisfies Class;

/**
 * BloodTest
 *
 * A medical test performed on a sample of a patient's blood.
 *
 * http://schema.org/BloodTest
 */
export const BloodTest = 'http://schema.org/BloodTest' satisfies Class;

/**
 * BoardingPolicyType
 *
 * A type of boarding policy used by an airline.
 *
 * http://schema.org/BoardingPolicyType
 */
export const BoardingPolicyType = 'http://schema.org/BoardingPolicyType' satisfies Class;

/**
 * BoatReservation
 *
 * A reservation for boat travel.
 * 
 * Note: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * http://schema.org/BoatReservation
 */
export const BoatReservation = 'http://schema.org/BoatReservation' satisfies Class;

/**
 * BoatTerminal
 *
 * A terminal for boats, ships, and other water vessels.
 *
 * http://schema.org/BoatTerminal
 */
export const BoatTerminal = 'http://schema.org/BoatTerminal' satisfies Class;

/**
 * BoatTrip
 *
 * A trip on a commercial ferry line.
 *
 * http://schema.org/BoatTrip
 */
export const BoatTrip = 'http://schema.org/BoatTrip' satisfies Class;

/**
 * BodyMeasurementTypeEnumeration
 *
 * Enumerates types (or dimensions) of a person's body measurements, for example for fitting of clothes.
 *
 * http://schema.org/BodyMeasurementTypeEnumeration
 */
export const BodyMeasurementTypeEnumeration = 'http://schema.org/BodyMeasurementTypeEnumeration' satisfies Class;

/**
 * BodyOfWater
 *
 * A body of water, such as a sea, ocean, or lake.
 *
 * http://schema.org/BodyOfWater
 */
export const BodyOfWater = 'http://schema.org/BodyOfWater' satisfies Class;

/**
 * Bone
 *
 * Rigid connective tissue that comprises up the skeletal structure of the human body.
 *
 * http://schema.org/Bone
 */
export const Bone = 'http://schema.org/Bone' satisfies Class;

/**
 * Book
 *
 * A book.
 *
 * http://schema.org/Book
 */
export const Book = 'http://schema.org/Book' satisfies Class;

/**
 * BookFormatType
 *
 * The publication format of the book.
 *
 * http://schema.org/BookFormatType
 */
export const BookFormatType = 'http://schema.org/BookFormatType' satisfies Class;

/**
 * BookSeries
 *
 * A series of books. Included books can be indicated with the hasPart property.
 *
 * http://schema.org/BookSeries
 */
export const BookSeries = 'http://schema.org/BookSeries' satisfies Class;

/**
 * BookStore
 *
 * A bookstore.
 *
 * http://schema.org/BookStore
 */
export const BookStore = 'http://schema.org/BookStore' satisfies Class;

/**
 * BookmarkAction
 *
 * An agent bookmarks/flags/labels/tags/marks an object.
 *
 * http://schema.org/BookmarkAction
 */
export const BookmarkAction = 'http://schema.org/BookmarkAction' satisfies Class;

/**
 * Boolean
 *
 * Boolean: True or False.
 * Note that `Boolean` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://schema.org/Boolean
 */
export const Boolean__workaround = 'http://schema.org/Boolean' satisfies Class;

/**
 * BorrowAction
 *
 * The act of obtaining an object under an agreement to return it at a later date. Reciprocal of LendAction.\n\nRelated actions:\n\n* [[LendAction]]: Reciprocal of BorrowAction.
 *
 * http://schema.org/BorrowAction
 */
export const BorrowAction = 'http://schema.org/BorrowAction' satisfies Class;

/**
 * BowlingAlley
 *
 * A bowling alley.
 *
 * http://schema.org/BowlingAlley
 */
export const BowlingAlley = 'http://schema.org/BowlingAlley' satisfies Class;

/**
 * BrainStructure
 *
 * Any anatomical structure which pertains to the soft nervous tissue functioning as the coordinating center of sensation and intellectual and nervous activity.
 *
 * http://schema.org/BrainStructure
 */
export const BrainStructure = 'http://schema.org/BrainStructure' satisfies Class;

/**
 * Brand
 *
 * A brand is a name used by an organization or business person for labeling a product, product group, or similar.
 *
 * http://schema.org/Brand
 */
export const Brand = 'http://schema.org/Brand' satisfies Class;

/**
 * BreadcrumbList
 *
 * A BreadcrumbList is an ItemList consisting of a chain of linked Web pages, typically described using at least their URL and their name, and typically ending with the current page.\n\nThe [[position]] property is used to reconstruct the order of the items in a BreadcrumbList. The convention is that a breadcrumb list has an [[itemListOrder]] of [[ItemListOrderAscending]] (lower values listed first), and that the first items in this list correspond to the "top" or beginning of the breadcrumb trail, e.g. with a site or section homepage. The specific values of 'position' are not assigned meaning for a BreadcrumbList, but they should be integers, e.g. beginning with '1' for the first item in the list.
 *       
 *
 * http://schema.org/BreadcrumbList
 */
export const BreadcrumbList = 'http://schema.org/BreadcrumbList' satisfies Class;

/**
 * Brewery
 *
 * Brewery.
 *
 * http://schema.org/Brewery
 */
export const Brewery = 'http://schema.org/Brewery' satisfies Class;

/**
 * Bridge
 *
 * A bridge.
 *
 * http://schema.org/Bridge
 */
export const Bridge = 'http://schema.org/Bridge' satisfies Class;

/**
 * BroadcastChannel
 *
 * A unique instance of a BroadcastService on a CableOrSatelliteService lineup.
 *
 * http://schema.org/BroadcastChannel
 */
export const BroadcastChannel = 'http://schema.org/BroadcastChannel' satisfies Class;

/**
 * BroadcastEvent
 *
 * An over the air or online broadcast event.
 *
 * http://schema.org/BroadcastEvent
 */
export const BroadcastEvent = 'http://schema.org/BroadcastEvent' satisfies Class;

/**
 * BroadcastFrequencySpecification
 *
 * The frequency in MHz and the modulation used for a particular BroadcastService.
 *
 * http://schema.org/BroadcastFrequencySpecification
 */
export const BroadcastFrequencySpecification = 'http://schema.org/BroadcastFrequencySpecification' satisfies Class;

/**
 * BroadcastService
 *
 * A delivery service through which content is provided via broadcast over the air or online.
 *
 * http://schema.org/BroadcastService
 */
export const BroadcastService = 'http://schema.org/BroadcastService' satisfies Class;

/**
 * BrokerageAccount
 *
 * An account that allows an investor to deposit funds and place investment orders with a licensed broker or brokerage firm.
 *
 * http://schema.org/BrokerageAccount
 */
export const BrokerageAccount = 'http://schema.org/BrokerageAccount' satisfies Class;

/**
 * BuddhistTemple
 *
 * A Buddhist temple.
 *
 * http://schema.org/BuddhistTemple
 */
export const BuddhistTemple = 'http://schema.org/BuddhistTemple' satisfies Class;

/**
 * BusOrCoach
 *
 * A bus (also omnibus or autobus) is a road vehicle designed to carry passengers. Coaches are luxury buses, usually in service for long distance travel.
 *
 * http://schema.org/BusOrCoach
 */
export const BusOrCoach = 'http://schema.org/BusOrCoach' satisfies Class;

/**
 * BusReservation
 *
 * A reservation for bus travel. \n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * http://schema.org/BusReservation
 */
export const BusReservation = 'http://schema.org/BusReservation' satisfies Class;

/**
 * BusStation
 *
 * A bus station.
 *
 * http://schema.org/BusStation
 */
export const BusStation = 'http://schema.org/BusStation' satisfies Class;

/**
 * BusStop
 *
 * A bus stop.
 *
 * http://schema.org/BusStop
 */
export const BusStop = 'http://schema.org/BusStop' satisfies Class;

/**
 * BusTrip
 *
 * A trip on a commercial bus line.
 *
 * http://schema.org/BusTrip
 */
export const BusTrip = 'http://schema.org/BusTrip' satisfies Class;

/**
 * BusinessAudience
 *
 * A set of characteristics belonging to businesses, e.g. who compose an item's target audience.
 *
 * http://schema.org/BusinessAudience
 */
export const BusinessAudience = 'http://schema.org/BusinessAudience' satisfies Class;

/**
 * BusinessEntityType
 *
 * A business entity type is a conceptual entity representing the legal form, the size, the main line of business, the position in the value chain, or any combination thereof, of an organization or business person.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#Business\n* http://purl.org/goodrelations/v1#Enduser\n* http://purl.org/goodrelations/v1#PublicInstitution\n* http://purl.org/goodrelations/v1#Reseller
 *     
 *
 * http://schema.org/BusinessEntityType
 */
export const BusinessEntityType = 'http://schema.org/BusinessEntityType' satisfies Class;

/**
 * BusinessEvent
 *
 * Event type: Business event.
 *
 * http://schema.org/BusinessEvent
 */
export const BusinessEvent = 'http://schema.org/BusinessEvent' satisfies Class;

/**
 * BusinessFunction
 *
 * The business function specifies the type of activity or access (i.e., the bundle of rights) offered by the organization or business person through the offer. Typical are sell, rental or lease, maintenance or repair, manufacture / produce, recycle / dispose, engineering / construction, or installation. Proprietary specifications of access rights are also instances of this class.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#ConstructionInstallation\n* http://purl.org/goodrelations/v1#Dispose\n* http://purl.org/goodrelations/v1#LeaseOut\n* http://purl.org/goodrelations/v1#Maintain\n* http://purl.org/goodrelations/v1#ProvideService\n* http://purl.org/goodrelations/v1#Repair\n* http://purl.org/goodrelations/v1#Sell\n* http://purl.org/goodrelations/v1#Buy
 *         
 *
 * http://schema.org/BusinessFunction
 */
export const BusinessFunction = 'http://schema.org/BusinessFunction' satisfies Class;

/**
 * BuyAction
 *
 * The act of giving money to a seller in exchange for goods or services rendered. An agent buys an object, product, or service from a seller for a price. Reciprocal of SellAction.
 *
 * http://schema.org/BuyAction
 */
export const BuyAction = 'http://schema.org/BuyAction' satisfies Class;

/**
 * CDCPMDRecord
 *
 * A CDCPMDRecord is a data structure representing a record in a CDC tabular data format
 *       used for hospital data reporting. See [documentation](/docs/cdc-covid.html) for details, and the linked CDC materials for authoritative
 *       definitions used as the source here.
 *       
 *
 * http://schema.org/CDCPMDRecord
 */
export const CDCPMDRecord = 'http://schema.org/CDCPMDRecord' satisfies Class;

/**
 * CableOrSatelliteService
 *
 * A service which provides access to media programming like TV or radio. Access may be via cable or satellite.
 *
 * http://schema.org/CableOrSatelliteService
 */
export const CableOrSatelliteService = 'http://schema.org/CableOrSatelliteService' satisfies Class;

/**
 * CafeOrCoffeeShop
 *
 * A cafe or coffee shop.
 *
 * http://schema.org/CafeOrCoffeeShop
 */
export const CafeOrCoffeeShop = 'http://schema.org/CafeOrCoffeeShop' satisfies Class;

/**
 * Campground
 *
 * A camping site, campsite, or [[Campground]] is a place used for overnight stay in the outdoors, typically containing individual [[CampingPitch]] locations. \n\n
 * In British English a campsite is an area, usually divided into a number of pitches, where people can camp overnight using tents or camper vans or caravans; this British English use of the word is synonymous with the American English expression campground. In American English the term campsite generally means an area where an individual, family, group, or military unit can pitch a tent or park a camper; a campground may contain many campsites (source: Wikipedia, see [https://en.wikipedia.org/wiki/Campsite](https://en.wikipedia.org/wiki/Campsite)).\n\n
 * 
 * See also the dedicated [document on the use of schema.org for marking up hotels and other forms of accommodations](/docs/hotels.html).
 * 
 *
 * http://schema.org/Campground
 */
export const Campground = 'http://schema.org/Campground' satisfies Class;

/**
 * CampingPitch
 *
 * A [[CampingPitch]] is an individual place for overnight stay in the outdoors, typically being part of a larger camping site, or [[Campground]].\n\n
 * In British English a campsite, or campground, is an area, usually divided into a number of pitches, where people can camp overnight using tents or camper vans or caravans; this British English use of the word is synonymous with the American English expression campground. In American English the term campsite generally means an area where an individual, family, group, or military unit can pitch a tent or park a camper; a campground may contain many campsites.
 * (Source: Wikipedia, see [https://en.wikipedia.org/wiki/Campsite](https://en.wikipedia.org/wiki/Campsite).)\n\n
 * See also the dedicated [document on the use of schema.org for marking up hotels and other forms of accommodations](/docs/hotels.html).
 * 
 *
 * http://schema.org/CampingPitch
 */
export const CampingPitch = 'http://schema.org/CampingPitch' satisfies Class;

/**
 * Canal
 *
 * A canal, like the Panama Canal.
 *
 * http://schema.org/Canal
 */
export const Canal = 'http://schema.org/Canal' satisfies Class;

/**
 * CancelAction
 *
 * The act of asserting that a future event/action is no longer going to happen.\n\nRelated actions:\n\n* [[ConfirmAction]]: The antonym of CancelAction.
 *
 * http://schema.org/CancelAction
 */
export const CancelAction = 'http://schema.org/CancelAction' satisfies Class;

/**
 * Car
 *
 * A car is a wheeled, self-powered motor vehicle used for transportation.
 *
 * http://schema.org/Car
 */
export const Car = 'http://schema.org/Car' satisfies Class;

/**
 * CarUsageType
 *
 * A value indicating a special usage of a car, e.g. commercial rental, driving school, or as a taxi.
 *
 * http://schema.org/CarUsageType
 */
export const CarUsageType = 'http://schema.org/CarUsageType' satisfies Class;

/**
 * Casino
 *
 * A casino.
 *
 * http://schema.org/Casino
 */
export const Casino = 'http://schema.org/Casino' satisfies Class;

/**
 * CategoryCode
 *
 * A Category Code.
 *
 * http://schema.org/CategoryCode
 */
export const CategoryCode = 'http://schema.org/CategoryCode' satisfies Class;

/**
 * CategoryCodeSet
 *
 * A set of Category Code values.
 *
 * http://schema.org/CategoryCodeSet
 */
export const CategoryCodeSet = 'http://schema.org/CategoryCodeSet' satisfies Class;

/**
 * CatholicChurch
 *
 * A Catholic church.
 *
 * http://schema.org/CatholicChurch
 */
export const CatholicChurch = 'http://schema.org/CatholicChurch' satisfies Class;

/**
 * Cemetery
 *
 * A graveyard.
 *
 * http://schema.org/Cemetery
 */
export const Cemetery = 'http://schema.org/Cemetery' satisfies Class;

/**
 * Certification
 *
 * A Certification is an official and authoritative statement about a subject, for example a product, service, person, or organization. A certification is typically issued by an indendent certification body, for example a professional organization or government. It formally attests certain characteristics about the subject, for example Organizations can be ISO certified, Food products can be certified Organic or Vegan, a Person can be a certified professional, a Place can be certified for food processing. There are certifications for many domains: regulatory, organizational, recycling, food, efficiency, educational, ecological, etc. A certification is a form of credential, as are accreditations and licenses. Mapped from the [gs1:CertificationDetails](https://www.gs1.org/voc/CertificationDetails) class in the GS1 Web Vocabulary.
 *
 * http://schema.org/Certification
 */
export const Certification = 'http://schema.org/Certification' satisfies Class;

/**
 * CertificationStatusEnumeration
 *
 * Enumerates the different statuses of a Certification (Active and Inactive).
 *
 * http://schema.org/CertificationStatusEnumeration
 */
export const CertificationStatusEnumeration = 'http://schema.org/CertificationStatusEnumeration' satisfies Class;

/**
 * Chapter
 *
 * One of the sections into which a book is divided. A chapter usually has a section number or a name.
 *
 * http://schema.org/Chapter
 */
export const Chapter = 'http://schema.org/Chapter' satisfies Class;

/**
 * CheckAction
 *
 * An agent inspects, determines, investigates, inquires, or examines an object's accuracy, quality, condition, or state.
 *
 * http://schema.org/CheckAction
 */
export const CheckAction = 'http://schema.org/CheckAction' satisfies Class;

/**
 * CheckInAction
 *
 * The act of an agent communicating (service provider, social media, etc) their arrival by registering/confirming for a previously reserved service (e.g. flight check-in) or at a place (e.g. hotel), possibly resulting in a result (boarding pass, etc).\n\nRelated actions:\n\n* [[CheckOutAction]]: The antonym of CheckInAction.\n* [[ArriveAction]]: Unlike ArriveAction, CheckInAction implies that the agent is informing/confirming the start of a previously reserved service.\n* [[ConfirmAction]]: Unlike ConfirmAction, CheckInAction implies that the agent is informing/confirming the *start* of a previously reserved service rather than its validity/existence.
 *
 * http://schema.org/CheckInAction
 */
export const CheckInAction = 'http://schema.org/CheckInAction' satisfies Class;

/**
 * CheckOutAction
 *
 * The act of an agent communicating (service provider, social media, etc) their departure of a previously reserved service (e.g. flight check-in) or place (e.g. hotel).\n\nRelated actions:\n\n* [[CheckInAction]]: The antonym of CheckOutAction.\n* [[DepartAction]]: Unlike DepartAction, CheckOutAction implies that the agent is informing/confirming the end of a previously reserved service.\n* [[CancelAction]]: Unlike CancelAction, CheckOutAction implies that the agent is informing/confirming the end of a previously reserved service.
 *
 * http://schema.org/CheckOutAction
 */
export const CheckOutAction = 'http://schema.org/CheckOutAction' satisfies Class;

/**
 * CheckoutPage
 *
 * Web page type: Checkout page.
 *
 * http://schema.org/CheckoutPage
 */
export const CheckoutPage = 'http://schema.org/CheckoutPage' satisfies Class;

/**
 * ChemicalSubstance
 *
 * A chemical substance is 'a portion of matter of constant composition, composed of molecular entities of the same type or of different types' (source: [ChEBI:59999](https://www.ebi.ac.uk/chebi/searchId.do?chebiId=59999)).
 *
 * http://schema.org/ChemicalSubstance
 */
export const ChemicalSubstance = 'http://schema.org/ChemicalSubstance' satisfies Class;

/**
 * ChildCare
 *
 * A Childcare center.
 *
 * http://schema.org/ChildCare
 */
export const ChildCare = 'http://schema.org/ChildCare' satisfies Class;

/**
 * ChildrensEvent
 *
 * Event type: Children's event.
 *
 * http://schema.org/ChildrensEvent
 */
export const ChildrensEvent = 'http://schema.org/ChildrensEvent' satisfies Class;

/**
 * ChooseAction
 *
 * The act of expressing a preference from a set of options or a large or unbounded set of choices/options.
 *
 * http://schema.org/ChooseAction
 */
export const ChooseAction = 'http://schema.org/ChooseAction' satisfies Class;

/**
 * Church
 *
 * A church.
 *
 * http://schema.org/Church
 */
export const Church = 'http://schema.org/Church' satisfies Class;

/**
 * City
 *
 * A city or town.
 *
 * http://schema.org/City
 */
export const City = 'http://schema.org/City' satisfies Class;

/**
 * CityHall
 *
 * A city hall.
 *
 * http://schema.org/CityHall
 */
export const CityHall = 'http://schema.org/CityHall' satisfies Class;

/**
 * CivicStructure
 *
 * A public structure, such as a town hall or concert hall.
 *
 * http://schema.org/CivicStructure
 */
export const CivicStructure = 'http://schema.org/CivicStructure' satisfies Class;

/**
 * Claim
 *
 * A [[Claim]] in Schema.org represents a specific, factually-oriented claim that could be the [[itemReviewed]] in a [[ClaimReview]]. The content of a claim can be summarized with the [[text]] property. Variations on well known claims can have their common identity indicated via [[sameAs]] links, and summarized with a [[name]]. Ideally, a [[Claim]] description includes enough contextual information to minimize the risk of ambiguity or inclarity. In practice, many claims are better understood in the context in which they appear or the interpretations provided by claim reviews.
 * 
 *   Beyond [[ClaimReview]], the Claim type can be associated with related creative works - for example a [[ScholarlyArticle]] or [[Question]] might be [[about]] some [[Claim]].
 * 
 *   At this time, Schema.org does not define any types of relationship between claims. This is a natural area for future exploration.
 *   
 *
 * http://schema.org/Claim
 */
export const Claim = 'http://schema.org/Claim' satisfies Class;

/**
 * ClaimReview
 *
 * A fact-checking review of claims made (or reported) in some creative work (referenced via itemReviewed).
 *
 * http://schema.org/ClaimReview
 */
export const ClaimReview = 'http://schema.org/ClaimReview' satisfies Class;

/**
 * Class
 *
 * A class, also often called a 'Type'; equivalent to rdfs:Class.
 *
 * http://schema.org/Class
 */
export const Class = 'http://schema.org/Class' satisfies Class;

/**
 * Clip
 *
 * A short TV or radio program or a segment/part of a program.
 *
 * http://schema.org/Clip
 */
export const Clip = 'http://schema.org/Clip' satisfies Class;

/**
 * ClothingStore
 *
 * A clothing store.
 *
 * http://schema.org/ClothingStore
 */
export const ClothingStore = 'http://schema.org/ClothingStore' satisfies Class;

/**
 * Code
 *
 * Computer programming source code. Example: Full (compile ready) solutions, code snippet samples, scripts, templates.
 *
 * http://schema.org/Code
 */
export const Code = 'http://schema.org/Code' satisfies Class;

/**
 * Collection
 *
 * A collection of items, e.g. creative works or products.
 *
 * http://schema.org/Collection
 */
export const Collection = 'http://schema.org/Collection' satisfies Class;

/**
 * CollectionPage
 *
 * Web page type: Collection page.
 *
 * http://schema.org/CollectionPage
 */
export const CollectionPage = 'http://schema.org/CollectionPage' satisfies Class;

/**
 * CollegeOrUniversity
 *
 * A college, university, or other third-level educational institution.
 *
 * http://schema.org/CollegeOrUniversity
 */
export const CollegeOrUniversity = 'http://schema.org/CollegeOrUniversity' satisfies Class;

/**
 * ComedyClub
 *
 * A comedy club.
 *
 * http://schema.org/ComedyClub
 */
export const ComedyClub = 'http://schema.org/ComedyClub' satisfies Class;

/**
 * ComedyEvent
 *
 * Event type: Comedy event.
 *
 * http://schema.org/ComedyEvent
 */
export const ComedyEvent = 'http://schema.org/ComedyEvent' satisfies Class;

/**
 * ComicCoverArt
 *
 * The artwork on the cover of a comic.
 *
 * http://schema.org/ComicCoverArt
 */
export const ComicCoverArt = 'http://schema.org/ComicCoverArt' satisfies Class;

/**
 * ComicIssue
 *
 * Individual comic issues are serially published as
 *     	part of a larger series. For the sake of consistency, even one-shot issues
 *     	belong to a series comprised of a single issue. All comic issues can be
 *     	uniquely identified by: the combination of the name and volume number of the
 *     	series to which the issue belongs; the issue number; and the variant
 *     	description of the issue (if any).
 *
 * http://schema.org/ComicIssue
 */
export const ComicIssue = 'http://schema.org/ComicIssue' satisfies Class;

/**
 * ComicSeries
 *
 * A sequential publication of comic stories under a
 *     	unifying title, for example "The Amazing Spider-Man" or "Groo the
 *     	Wanderer".
 *
 * http://schema.org/ComicSeries
 */
export const ComicSeries = 'http://schema.org/ComicSeries' satisfies Class;

/**
 * ComicStory
 *
 * The term "story" is any indivisible, re-printable
 *     	unit of a comic, including the interior stories, covers, and backmatter. Most
 *     	comics have at least two stories: a cover (ComicCoverArt) and an interior story.
 *
 * http://schema.org/ComicStory
 */
export const ComicStory = 'http://schema.org/ComicStory' satisfies Class;

/**
 * Comment
 *
 * A comment on an item - for example, a comment on a blog post. The comment's content is expressed via the [[text]] property, and its topic via [[about]], properties shared with all CreativeWorks.
 *
 * http://schema.org/Comment
 */
export const Comment = 'http://schema.org/Comment' satisfies Class;

/**
 * CommentAction
 *
 * The act of generating a comment about a subject.
 *
 * http://schema.org/CommentAction
 */
export const CommentAction = 'http://schema.org/CommentAction' satisfies Class;

/**
 * CommunicateAction
 *
 * The act of conveying information to another person via a communication medium (instrument) such as speech, email, or telephone conversation.
 *
 * http://schema.org/CommunicateAction
 */
export const CommunicateAction = 'http://schema.org/CommunicateAction' satisfies Class;

/**
 * CompleteDataFeed
 *
 * A [[CompleteDataFeed]] is a [[DataFeed]] whose standard representation includes content for every item currently in the feed.
 * 
 * This is the equivalent of Atom's element as defined in Feed Paging and Archiving [RFC 5005](https://tools.ietf.org/html/rfc5005), for example (and as defined for Atom), when using data from a feed that represents a collection of items that varies over time (e.g. "Top Twenty Records") there is no need to have newer entries mixed in alongside older, obsolete entries. By marking this feed as a CompleteDataFeed, old entries can be safely discarded when the feed is refreshed, since we can assume the feed has provided descriptions for all current items.
 *
 * http://schema.org/CompleteDataFeed
 */
export const CompleteDataFeed = 'http://schema.org/CompleteDataFeed' satisfies Class;

/**
 * CompoundPriceSpecification
 *
 * A compound price specification is one that bundles multiple prices that all apply in combination for different dimensions of consumption. Use the name property of the attached unit price specification for indicating the dimension of a price component (e.g. "electricity" or "final cleaning").
 *
 * http://schema.org/CompoundPriceSpecification
 */
export const CompoundPriceSpecification = 'http://schema.org/CompoundPriceSpecification' satisfies Class;

/**
 * ComputerLanguage
 *
 * This type covers computer programming languages such as Scheme and Lisp, as well as other language-like computer representations. Natural languages are best represented with the [[Language]] type.
 *
 * http://schema.org/ComputerLanguage
 */
export const ComputerLanguage = 'http://schema.org/ComputerLanguage' satisfies Class;

/**
 * ComputerStore
 *
 * A computer store.
 *
 * http://schema.org/ComputerStore
 */
export const ComputerStore = 'http://schema.org/ComputerStore' satisfies Class;

/**
 * ConfirmAction
 *
 * The act of notifying someone that a future event/action is going to happen as expected.\n\nRelated actions:\n\n* [[CancelAction]]: The antonym of ConfirmAction.
 *
 * http://schema.org/ConfirmAction
 */
export const ConfirmAction = 'http://schema.org/ConfirmAction' satisfies Class;

/**
 * Consortium
 *
 * A Consortium is a membership [[Organization]] whose members are typically Organizations.
 *
 * http://schema.org/Consortium
 */
export const Consortium = 'http://schema.org/Consortium' satisfies Class;

/**
 * ConstraintNode
 *
 * The ConstraintNode type is provided to support usecases in which a node in a structured data graph is described with properties which appear to describe a single entity, but are being used in a situation where they serve a more abstract purpose. A [[ConstraintNode]] can be described using [[constraintProperty]] and [[numConstraints]]. These constraint properties can serve a
 *     variety of purposes, and their values may sometimes be understood to indicate sets of possible values rather than single, exact and specific values.
 *
 * http://schema.org/ConstraintNode
 */
export const ConstraintNode = 'http://schema.org/ConstraintNode' satisfies Class;

/**
 * ConsumeAction
 *
 * The act of ingesting information/resources/food.
 *
 * http://schema.org/ConsumeAction
 */
export const ConsumeAction = 'http://schema.org/ConsumeAction' satisfies Class;

/**
 * ContactPage
 *
 * Web page type: Contact page.
 *
 * http://schema.org/ContactPage
 */
export const ContactPage = 'http://schema.org/ContactPage' satisfies Class;

/**
 * ContactPoint
 *
 * A contact point&#x2014;for example, a Customer Complaints department.
 *
 * http://schema.org/ContactPoint
 */
export const ContactPoint = 'http://schema.org/ContactPoint' satisfies Class;

/**
 * ContactPointOption
 *
 * Enumerated options related to a ContactPoint.
 *
 * http://schema.org/ContactPointOption
 */
export const ContactPointOption = 'http://schema.org/ContactPointOption' satisfies Class;

/**
 * Continent
 *
 * One of the continents (for example, Europe or Africa).
 *
 * http://schema.org/Continent
 */
export const Continent = 'http://schema.org/Continent' satisfies Class;

/**
 * ControlAction
 *
 * An agent controls a device or application.
 *
 * http://schema.org/ControlAction
 */
export const ControlAction = 'http://schema.org/ControlAction' satisfies Class;

/**
 * ConvenienceStore
 *
 * A convenience store.
 *
 * http://schema.org/ConvenienceStore
 */
export const ConvenienceStore = 'http://schema.org/ConvenienceStore' satisfies Class;

/**
 * Conversation
 *
 * One or more messages between organizations or people on a particular topic. Individual messages can be linked to the conversation with isPartOf or hasPart properties.
 *
 * http://schema.org/Conversation
 */
export const Conversation = 'http://schema.org/Conversation' satisfies Class;

/**
 * CookAction
 *
 * The act of producing/preparing food.
 *
 * http://schema.org/CookAction
 */
export const CookAction = 'http://schema.org/CookAction' satisfies Class;

/**
 * Cooperative
 *
 * An organization that is a joint project of multiple organizations or persons.
 *
 * http://schema.org/Cooperative
 */
export const Cooperative = 'http://schema.org/Cooperative' satisfies Class;

/**
 * Corporation
 *
 * Organization: A business corporation.
 *
 * http://schema.org/Corporation
 */
export const Corporation = 'http://schema.org/Corporation' satisfies Class;

/**
 * CorrectionComment
 *
 * A [[comment]] that corrects [[CreativeWork]].
 *
 * http://schema.org/CorrectionComment
 */
export const CorrectionComment = 'http://schema.org/CorrectionComment' satisfies Class;

/**
 * Country
 *
 * A country.
 *
 * http://schema.org/Country
 */
export const Country = 'http://schema.org/Country' satisfies Class;

/**
 * Course
 *
 * A description of an educational course which may be offered as distinct instances which take place at different times or take place at different locations, or be offered through different media or modes of study. An educational course is a sequence of one or more educational events and/or creative works which aims to build knowledge, competence or ability of learners.
 *
 * http://schema.org/Course
 */
export const Course = 'http://schema.org/Course' satisfies Class;

/**
 * CourseInstance
 *
 * An instance of a [[Course]] which is distinct from other instances because it is offered at a different time or location or through different media or modes of study or to a specific section of students.
 *
 * http://schema.org/CourseInstance
 */
export const CourseInstance = 'http://schema.org/CourseInstance' satisfies Class;

/**
 * Courthouse
 *
 * A courthouse.
 *
 * http://schema.org/Courthouse
 */
export const Courthouse = 'http://schema.org/Courthouse' satisfies Class;

/**
 * CoverArt
 *
 * The artwork on the outer surface of a CreativeWork.
 *
 * http://schema.org/CoverArt
 */
export const CoverArt = 'http://schema.org/CoverArt' satisfies Class;

/**
 * CovidTestingFacility
 *
 * A CovidTestingFacility is a [[MedicalClinic]] where testing for the COVID-19 Coronavirus
 *       disease is available. If the facility is being made available from an established [[Pharmacy]], [[Hotel]], or other
 *       non-medical organization, multiple types can be listed. This makes it easier to re-use existing schema.org information
 *       about that place, e.g. contact info, address, opening hours. Note that in an emergency, such information may not always be reliable.
 *       
 *
 * http://schema.org/CovidTestingFacility
 */
export const CovidTestingFacility = 'http://schema.org/CovidTestingFacility' satisfies Class;

/**
 * CreateAction
 *
 * The act of deliberately creating/producing/generating/building a result out of the agent.
 *
 * http://schema.org/CreateAction
 */
export const CreateAction = 'http://schema.org/CreateAction' satisfies Class;

/**
 * CreativeWork
 *
 * The most generic kind of creative work, including books, movies, photographs, software programs, etc.
 *
 * http://schema.org/CreativeWork
 */
export const CreativeWork = 'http://schema.org/CreativeWork' satisfies Class;

/**
 * CreativeWorkSeason
 *
 * A media season, e.g. TV, radio, video game etc.
 *
 * http://schema.org/CreativeWorkSeason
 */
export const CreativeWorkSeason = 'http://schema.org/CreativeWorkSeason' satisfies Class;

/**
 * CreativeWorkSeries
 *
 * A CreativeWorkSeries in schema.org is a group of related items, typically but not necessarily of the same kind. CreativeWorkSeries are usually organized into some order, often chronological. Unlike [[ItemList]] which is a general purpose data structure for lists of things, the emphasis with CreativeWorkSeries is on published materials (written e.g. books and periodicals, or media such as TV, radio and games).\n\nSpecific subtypes are available for describing [[TVSeries]], [[RadioSeries]], [[MovieSeries]], [[BookSeries]], [[Periodical]] and [[VideoGameSeries]]. In each case, the [[hasPart]] / [[isPartOf]] properties can be used to relate the CreativeWorkSeries to its parts. The general CreativeWorkSeries type serves largely just to organize these more specific and practical subtypes.\n\nIt is common for properties applicable to an item from the series to be usefully applied to the containing group. Schema.org attempts to anticipate some of these cases, but publishers should be free to apply properties of the series parts to the series as a whole wherever they seem appropriate.
 *     
 *
 * http://schema.org/CreativeWorkSeries
 */
export const CreativeWorkSeries = 'http://schema.org/CreativeWorkSeries' satisfies Class;

/**
 * CreditCard
 *
 * A card payment method of a particular brand or name.  Used to mark up a particular payment method and/or the financial product/service that supplies the card account.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#AmericanExpress\n* http://purl.org/goodrelations/v1#DinersClub\n* http://purl.org/goodrelations/v1#Discover\n* http://purl.org/goodrelations/v1#JCB\n* http://purl.org/goodrelations/v1#MasterCard\n* http://purl.org/goodrelations/v1#VISA
 *        
 *
 * http://schema.org/CreditCard
 */
export const CreditCard = 'http://schema.org/CreditCard' satisfies Class;

/**
 * Crematorium
 *
 * A crematorium.
 *
 * http://schema.org/Crematorium
 */
export const Crematorium = 'http://schema.org/Crematorium' satisfies Class;

/**
 * CriticReview
 *
 * A [[CriticReview]] is a more specialized form of Review written or published by a source that is recognized for its reviewing activities. These can include online columns, travel and food guides, TV and radio shows, blogs and other independent Web sites. [[CriticReview]]s are typically more in-depth and professionally written. For simpler, casually written user/visitor/viewer/customer reviews, it is more appropriate to use the [[UserReview]] type. Review aggregator sites such as Metacritic already separate out the site's user reviews from selected critic reviews that originate from third-party sources.
 *
 * http://schema.org/CriticReview
 */
export const CriticReview = 'http://schema.org/CriticReview' satisfies Class;

/**
 * CssSelectorType
 *
 * Text representing a CSS selector.
 *
 * http://schema.org/CssSelectorType
 */
export const CssSelectorType = 'http://schema.org/CssSelectorType' satisfies Class;

/**
 * CurrencyConversionService
 *
 * A service to convert funds from one currency to another currency.
 *
 * http://schema.org/CurrencyConversionService
 */
export const CurrencyConversionService = 'http://schema.org/CurrencyConversionService' satisfies Class;

/**
 * DDxElement
 *
 * An alternative, closely-related condition typically considered later in the differential diagnosis process along with the signs that are used to distinguish it.
 *
 * http://schema.org/DDxElement
 */
export const DDxElement = 'http://schema.org/DDxElement' satisfies Class;

/**
 * DanceEvent
 *
 * Event type: A social dance.
 *
 * http://schema.org/DanceEvent
 */
export const DanceEvent = 'http://schema.org/DanceEvent' satisfies Class;

/**
 * DanceGroup
 *
 * A dance group&#x2014;for example, the Alvin Ailey Dance Theater or Riverdance.
 *
 * http://schema.org/DanceGroup
 */
export const DanceGroup = 'http://schema.org/DanceGroup' satisfies Class;

/**
 * DataCatalog
 *
 * A collection of datasets.
 *
 * http://schema.org/DataCatalog
 */
export const DataCatalog = 'http://schema.org/DataCatalog' satisfies Class;

/**
 * DataDownload
 *
 * All or part of a [[Dataset]] in downloadable form. 
 *
 * http://schema.org/DataDownload
 */
export const DataDownload = 'http://schema.org/DataDownload' satisfies Class;

/**
 * DataFeed
 *
 * A single feed providing structured information about one or more entities or topics.
 *
 * http://schema.org/DataFeed
 */
export const DataFeed = 'http://schema.org/DataFeed' satisfies Class;

/**
 * DataFeedItem
 *
 * A single item within a larger data feed.
 *
 * http://schema.org/DataFeedItem
 */
export const DataFeedItem = 'http://schema.org/DataFeedItem' satisfies Class;

/**
 * DataType
 *
 * The basic data types such as Integers, Strings, etc.
 *
 * http://schema.org/DataType
 */
export const DataType = 'http://schema.org/DataType' satisfies Class;

/**
 * Dataset
 *
 * A body of structured information describing some topic(s) of interest.
 *
 * http://schema.org/Dataset
 */
export const Dataset = 'http://schema.org/Dataset' satisfies Class;

/**
 * Date
 *
 * A date value in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601).
 * Note that `Date` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://schema.org/Date
 */
export const Date__workaround = 'http://schema.org/Date' satisfies Class;

/**
 * DateTime
 *
 * A combination of date and time of day in the form [-]CCYY-MM-DDThh:mm:ss[Z|(+|-)hh:mm] (see Chapter 5.4 of ISO 8601).
 *
 * http://schema.org/DateTime
 */
export const DateTime = 'http://schema.org/DateTime' satisfies Class;

/**
 * DatedMoneySpecification
 *
 * A DatedMoneySpecification represents monetary values with optional start and end dates. For example, this could represent an employee's salary over a specific period of time. __Note:__ This type has been superseded by [[MonetaryAmount]], use of that type is recommended.
 *
 * http://schema.org/DatedMoneySpecification
 */
export const DatedMoneySpecification = 'http://schema.org/DatedMoneySpecification' satisfies Class;

/**
 * DayOfWeek
 *
 * The day of the week, e.g. used to specify to which day the opening hours of an OpeningHoursSpecification refer.
 * 
 * Originally, URLs from [GoodRelations](http://purl.org/goodrelations/v1) were used (for [[Monday]], [[Tuesday]], [[Wednesday]], [[Thursday]], [[Friday]], [[Saturday]], [[Sunday]] plus a special entry for [[PublicHolidays]]); these have now been integrated directly into schema.org.
 *       
 *
 * http://schema.org/DayOfWeek
 */
export const DayOfWeek = 'http://schema.org/DayOfWeek' satisfies Class;

/**
 * DaySpa
 *
 * A day spa.
 *
 * http://schema.org/DaySpa
 */
export const DaySpa = 'http://schema.org/DaySpa' satisfies Class;

/**
 * DeactivateAction
 *
 * The act of stopping or deactivating a device or application (e.g. stopping a timer or turning off a flashlight).
 *
 * http://schema.org/DeactivateAction
 */
export const DeactivateAction = 'http://schema.org/DeactivateAction' satisfies Class;

/**
 * DefenceEstablishment
 *
 * A defence establishment, such as an army or navy base.
 *
 * http://schema.org/DefenceEstablishment
 */
export const DefenceEstablishment = 'http://schema.org/DefenceEstablishment' satisfies Class;

/**
 * DefinedRegion
 *
 * A DefinedRegion is a geographic area defined by potentially arbitrary (rather than political, administrative or natural geographical) criteria. Properties are provided for defining a region by reference to sets of postal codes.
 * 
 * Examples: a delivery destination when shopping. Region where regional pricing is configured.
 * 
 * Requirement 1:
 * Country: US
 * States: "NY", "CA"
 * 
 * Requirement 2:
 * Country: US
 * PostalCode Set: { [94000-94585], [97000, 97999], [13000, 13599]}
 * { [12345, 12345], [78945, 78945], }
 * Region = state, canton, prefecture, autonomous community...
 * 
 *
 * http://schema.org/DefinedRegion
 */
export const DefinedRegion = 'http://schema.org/DefinedRegion' satisfies Class;

/**
 * DefinedTerm
 *
 * A word, name, acronym, phrase, etc. with a formal definition. Often used in the context of category or subject classification, glossaries or dictionaries, product or creative work types, etc. Use the name property for the term being defined, use termCode if the term has an alpha-numeric code allocated, use description to provide the definition of the term.
 *
 * http://schema.org/DefinedTerm
 */
export const DefinedTerm = 'http://schema.org/DefinedTerm' satisfies Class;

/**
 * DefinedTermSet
 *
 * A set of defined terms, for example a set of categories or a classification scheme, a glossary, dictionary or enumeration.
 *
 * http://schema.org/DefinedTermSet
 */
export const DefinedTermSet = 'http://schema.org/DefinedTermSet' satisfies Class;

/**
 * DeleteAction
 *
 * The act of editing a recipient by removing one of its objects.
 *
 * http://schema.org/DeleteAction
 */
export const DeleteAction = 'http://schema.org/DeleteAction' satisfies Class;

/**
 * DeliveryChargeSpecification
 *
 * The price for the delivery of an offer using a particular delivery method.
 *
 * http://schema.org/DeliveryChargeSpecification
 */
export const DeliveryChargeSpecification = 'http://schema.org/DeliveryChargeSpecification' satisfies Class;

/**
 * DeliveryEvent
 *
 * An event involving the delivery of an item.
 *
 * http://schema.org/DeliveryEvent
 */
export const DeliveryEvent = 'http://schema.org/DeliveryEvent' satisfies Class;

/**
 * DeliveryMethod
 *
 * A delivery method is a standardized procedure for transferring the product or service to the destination of fulfillment chosen by the customer. Delivery methods are characterized by the means of transportation used, and by the organization or group that is the contracting party for the sending organization or person.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#DeliveryModeDirectDownload\n* http://purl.org/goodrelations/v1#DeliveryModeFreight\n* http://purl.org/goodrelations/v1#DeliveryModeMail\n* http://purl.org/goodrelations/v1#DeliveryModeOwnFleet\n* http://purl.org/goodrelations/v1#DeliveryModePickUp\n* http://purl.org/goodrelations/v1#DHL\n* http://purl.org/goodrelations/v1#FederalExpress\n* http://purl.org/goodrelations/v1#UPS
 *         
 *
 * http://schema.org/DeliveryMethod
 */
export const DeliveryMethod = 'http://schema.org/DeliveryMethod' satisfies Class;

/**
 * DeliveryTimeSettings
 *
 * A DeliveryTimeSettings represents re-usable pieces of shipping information, relating to timing. It is designed for publication on an URL that may be referenced via the [[shippingSettingsLink]] property of an [[OfferShippingDetails]]. Several occurrences can be published, distinguished (and identified/referenced) by their different values for [[transitTimeLabel]].
 *
 * http://schema.org/DeliveryTimeSettings
 */
export const DeliveryTimeSettings = 'http://schema.org/DeliveryTimeSettings' satisfies Class;

/**
 * Demand
 *
 * A demand entity represents the public, not necessarily binding, not necessarily exclusive, announcement by an organization or person to seek a certain type of goods or services. For describing demand using this type, the very same properties used for Offer apply.
 *
 * http://schema.org/Demand
 */
export const Demand = 'http://schema.org/Demand' satisfies Class;

/**
 * Dentist
 *
 * A dentist.
 *
 * http://schema.org/Dentist
 */
export const Dentist = 'http://schema.org/Dentist' satisfies Class;

/**
 * DepartAction
 *
 * The act of  departing from a place. An agent departs from a fromLocation for a destination, optionally with participants.
 *
 * http://schema.org/DepartAction
 */
export const DepartAction = 'http://schema.org/DepartAction' satisfies Class;

/**
 * DepartmentStore
 *
 * A department store.
 *
 * http://schema.org/DepartmentStore
 */
export const DepartmentStore = 'http://schema.org/DepartmentStore' satisfies Class;

/**
 * DepositAccount
 *
 * A type of Bank Account with a main purpose of depositing funds to gain interest or other benefits.
 *
 * http://schema.org/DepositAccount
 */
export const DepositAccount = 'http://schema.org/DepositAccount' satisfies Class;

/**
 * DiagnosticLab
 *
 * A medical laboratory that offers on-site or off-site diagnostic services.
 *
 * http://schema.org/DiagnosticLab
 */
export const DiagnosticLab = 'http://schema.org/DiagnosticLab' satisfies Class;

/**
 * DiagnosticProcedure
 *
 * A medical procedure intended primarily for diagnostic, as opposed to therapeutic, purposes.
 *
 * http://schema.org/DiagnosticProcedure
 */
export const DiagnosticProcedure = 'http://schema.org/DiagnosticProcedure' satisfies Class;

/**
 * Diet
 *
 * A strategy of regulating the intake of food to achieve or maintain a specific health-related goal.
 *
 * http://schema.org/Diet
 */
export const Diet = 'http://schema.org/Diet' satisfies Class;

/**
 * DietarySupplement
 *
 * A product taken by mouth that contains a dietary ingredient intended to supplement the diet. Dietary ingredients may include vitamins, minerals, herbs or other botanicals, amino acids, and substances such as enzymes, organ tissues, glandulars and metabolites.
 *
 * http://schema.org/DietarySupplement
 */
export const DietarySupplement = 'http://schema.org/DietarySupplement' satisfies Class;

/**
 * DigitalDocument
 *
 * An electronic file or document.
 *
 * http://schema.org/DigitalDocument
 */
export const DigitalDocument = 'http://schema.org/DigitalDocument' satisfies Class;

/**
 * DigitalDocumentPermission
 *
 * A permission for a particular person or group to access a particular file.
 *
 * http://schema.org/DigitalDocumentPermission
 */
export const DigitalDocumentPermission = 'http://schema.org/DigitalDocumentPermission' satisfies Class;

/**
 * DigitalDocumentPermissionType
 *
 * A type of permission which can be granted for accessing a digital document.
 *
 * http://schema.org/DigitalDocumentPermissionType
 */
export const DigitalDocumentPermissionType = 'http://schema.org/DigitalDocumentPermissionType' satisfies Class;

/**
 * DigitalPlatformEnumeration
 *
 * Enumerates some common technology platforms, for use with properties such as [[actionPlatform]]. It is not supposed to be comprehensive - when a suitable code is not enumerated here, textual or URL values can be used instead. These codes are at a fairly high level and do not deal with versioning and other nuance. Additional codes can be suggested [in github](https://github.com/schemaorg/schemaorg/issues/3057). 
 *
 * http://schema.org/DigitalPlatformEnumeration
 */
export const DigitalPlatformEnumeration = 'http://schema.org/DigitalPlatformEnumeration' satisfies Class;

/**
 * DisagreeAction
 *
 * The act of expressing a difference of opinion with the object. An agent disagrees to/about an object (a proposition, topic or theme) with participants.
 *
 * http://schema.org/DisagreeAction
 */
export const DisagreeAction = 'http://schema.org/DisagreeAction' satisfies Class;

/**
 * DiscoverAction
 *
 * The act of discovering/finding an object.
 *
 * http://schema.org/DiscoverAction
 */
export const DiscoverAction = 'http://schema.org/DiscoverAction' satisfies Class;

/**
 * DiscussionForumPosting
 *
 * A posting to a discussion forum.
 *
 * http://schema.org/DiscussionForumPosting
 */
export const DiscussionForumPosting = 'http://schema.org/DiscussionForumPosting' satisfies Class;

/**
 * DislikeAction
 *
 * The act of expressing a negative sentiment about the object. An agent dislikes an object (a proposition, topic or theme) with participants.
 *
 * http://schema.org/DislikeAction
 */
export const DislikeAction = 'http://schema.org/DislikeAction' satisfies Class;

/**
 * Distance
 *
 * Properties that take Distances as values are of the form '&lt;Number&gt; &lt;Length unit of measure&gt;'. E.g., '7 ft'.
 *
 * http://schema.org/Distance
 */
export const Distance = 'http://schema.org/Distance' satisfies Class;

/**
 * Distillery
 *
 * A distillery.
 *
 * http://schema.org/Distillery
 */
export const Distillery = 'http://schema.org/Distillery' satisfies Class;

/**
 * DonateAction
 *
 * The act of providing goods, services, or money without compensation, often for philanthropic reasons.
 *
 * http://schema.org/DonateAction
 */
export const DonateAction = 'http://schema.org/DonateAction' satisfies Class;

/**
 * DoseSchedule
 *
 * A specific dosing schedule for a drug or supplement.
 *
 * http://schema.org/DoseSchedule
 */
export const DoseSchedule = 'http://schema.org/DoseSchedule' satisfies Class;

/**
 * DownloadAction
 *
 * The act of downloading an object.
 *
 * http://schema.org/DownloadAction
 */
export const DownloadAction = 'http://schema.org/DownloadAction' satisfies Class;

/**
 * DrawAction
 *
 * The act of producing a visual/graphical representation of an object, typically with a pen/pencil and paper as instruments.
 *
 * http://schema.org/DrawAction
 */
export const DrawAction = 'http://schema.org/DrawAction' satisfies Class;

/**
 * Drawing
 *
 * A picture or diagram made with a pencil, pen, or crayon rather than paint.
 *
 * http://schema.org/Drawing
 */
export const Drawing = 'http://schema.org/Drawing' satisfies Class;

/**
 * DrinkAction
 *
 * The act of swallowing liquids.
 *
 * http://schema.org/DrinkAction
 */
export const DrinkAction = 'http://schema.org/DrinkAction' satisfies Class;

/**
 * DriveWheelConfigurationValue
 *
 * A value indicating which roadwheels will receive torque.
 *
 * http://schema.org/DriveWheelConfigurationValue
 */
export const DriveWheelConfigurationValue = 'http://schema.org/DriveWheelConfigurationValue' satisfies Class;

/**
 * Drug
 *
 * A chemical or biologic substance, used as a medical therapy, that has a physiological effect on an organism. Here the term drug is used interchangeably with the term medicine although clinical knowledge makes a clear difference between them.
 *
 * http://schema.org/Drug
 */
export const Drug = 'http://schema.org/Drug' satisfies Class;

/**
 * DrugClass
 *
 * A class of medical drugs, e.g., statins. Classes can represent general pharmacological class, common mechanisms of action, common physiological effects, etc.
 *
 * http://schema.org/DrugClass
 */
export const DrugClass = 'http://schema.org/DrugClass' satisfies Class;

/**
 * DrugCost
 *
 * The cost per unit of a medical drug. Note that this type is not meant to represent the price in an offer of a drug for sale; see the Offer type for that. This type will typically be used to tag wholesale or average retail cost of a drug, or maximum reimbursable cost. Costs of medical drugs vary widely depending on how and where they are paid for, so while this type captures some of the variables, costs should be used with caution by consumers of this schema's markup.
 *
 * http://schema.org/DrugCost
 */
export const DrugCost = 'http://schema.org/DrugCost' satisfies Class;

/**
 * DrugCostCategory
 *
 * Enumerated categories of medical drug costs.
 *
 * http://schema.org/DrugCostCategory
 */
export const DrugCostCategory = 'http://schema.org/DrugCostCategory' satisfies Class;

/**
 * DrugLegalStatus
 *
 * The legal availability status of a medical drug.
 *
 * http://schema.org/DrugLegalStatus
 */
export const DrugLegalStatus = 'http://schema.org/DrugLegalStatus' satisfies Class;

/**
 * DrugPregnancyCategory
 *
 * Categories that represent an assessment of the risk of fetal injury due to a drug or pharmaceutical used as directed by the mother during pregnancy.
 *
 * http://schema.org/DrugPregnancyCategory
 */
export const DrugPregnancyCategory = 'http://schema.org/DrugPregnancyCategory' satisfies Class;

/**
 * DrugPrescriptionStatus
 *
 * Indicates whether this drug is available by prescription or over-the-counter.
 *
 * http://schema.org/DrugPrescriptionStatus
 */
export const DrugPrescriptionStatus = 'http://schema.org/DrugPrescriptionStatus' satisfies Class;

/**
 * DrugStrength
 *
 * A specific strength in which a medical drug is available in a specific country.
 *
 * http://schema.org/DrugStrength
 */
export const DrugStrength = 'http://schema.org/DrugStrength' satisfies Class;

/**
 * DryCleaningOrLaundry
 *
 * A dry-cleaning business.
 *
 * http://schema.org/DryCleaningOrLaundry
 */
export const DryCleaningOrLaundry = 'http://schema.org/DryCleaningOrLaundry' satisfies Class;

/**
 * Duration
 *
 * Quantity: Duration (use [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601)).
 *
 * http://schema.org/Duration
 */
export const Duration = 'http://schema.org/Duration' satisfies Class;

/**
 * EUEnergyEfficiencyEnumeration
 *
 * Enumerates the EU energy efficiency classes A-G as well as A+, A++, and A+++ as defined in EU directive 2017/1369.
 *
 * http://schema.org/EUEnergyEfficiencyEnumeration
 */
export const EUEnergyEfficiencyEnumeration = 'http://schema.org/EUEnergyEfficiencyEnumeration' satisfies Class;

/**
 * EatAction
 *
 * The act of swallowing solid objects.
 *
 * http://schema.org/EatAction
 */
export const EatAction = 'http://schema.org/EatAction' satisfies Class;

/**
 * EducationEvent
 *
 * Event type: Education event.
 *
 * http://schema.org/EducationEvent
 */
export const EducationEvent = 'http://schema.org/EducationEvent' satisfies Class;

/**
 * EducationalAudience
 *
 * An EducationalAudience.
 *
 * http://schema.org/EducationalAudience
 */
export const EducationalAudience = 'http://schema.org/EducationalAudience' satisfies Class;

/**
 * EducationalOccupationalCredential
 *
 * An educational or occupational credential. A diploma, academic degree, certification, qualification, badge, etc., that may be awarded to a person or other entity that meets the requirements defined by the credentialer.
 *
 * http://schema.org/EducationalOccupationalCredential
 */
export const EducationalOccupationalCredential = 'http://schema.org/EducationalOccupationalCredential' satisfies Class;

/**
 * EducationalOccupationalProgram
 *
 * A program offered by an institution which determines the learning progress to achieve an outcome, usually a credential like a degree or certificate. This would define a discrete set of opportunities (e.g., job, courses) that together constitute a program with a clear start, end, set of requirements, and transition to a new occupational opportunity (e.g., a job), or sometimes a higher educational opportunity (e.g., an advanced degree).
 *
 * http://schema.org/EducationalOccupationalProgram
 */
export const EducationalOccupationalProgram = 'http://schema.org/EducationalOccupationalProgram' satisfies Class;

/**
 * EducationalOrganization
 *
 * An educational organization.
 *
 * http://schema.org/EducationalOrganization
 */
export const EducationalOrganization = 'http://schema.org/EducationalOrganization' satisfies Class;

/**
 * Electrician
 *
 * An electrician.
 *
 * http://schema.org/Electrician
 */
export const Electrician = 'http://schema.org/Electrician' satisfies Class;

/**
 * ElectronicsStore
 *
 * An electronics store.
 *
 * http://schema.org/ElectronicsStore
 */
export const ElectronicsStore = 'http://schema.org/ElectronicsStore' satisfies Class;

/**
 * ElementarySchool
 *
 * An elementary school.
 *
 * http://schema.org/ElementarySchool
 */
export const ElementarySchool = 'http://schema.org/ElementarySchool' satisfies Class;

/**
 * EmailMessage
 *
 * An email message.
 *
 * http://schema.org/EmailMessage
 */
export const EmailMessage = 'http://schema.org/EmailMessage' satisfies Class;

/**
 * Embassy
 *
 * An embassy.
 *
 * http://schema.org/Embassy
 */
export const Embassy = 'http://schema.org/Embassy' satisfies Class;

/**
 * EmergencyService
 *
 * An emergency service, such as a fire station or ER.
 *
 * http://schema.org/EmergencyService
 */
export const EmergencyService = 'http://schema.org/EmergencyService' satisfies Class;

/**
 * EmployeeRole
 *
 * A subclass of OrganizationRole used to describe employee relationships.
 *
 * http://schema.org/EmployeeRole
 */
export const EmployeeRole = 'http://schema.org/EmployeeRole' satisfies Class;

/**
 * EmployerAggregateRating
 *
 * An aggregate rating of an Organization related to its role as an employer.
 *
 * http://schema.org/EmployerAggregateRating
 */
export const EmployerAggregateRating = 'http://schema.org/EmployerAggregateRating' satisfies Class;

/**
 * EmployerReview
 *
 * An [[EmployerReview]] is a review of an [[Organization]] regarding its role as an employer, written by a current or former employee of that organization.
 *
 * http://schema.org/EmployerReview
 */
export const EmployerReview = 'http://schema.org/EmployerReview' satisfies Class;

/**
 * EmploymentAgency
 *
 * An employment agency.
 *
 * http://schema.org/EmploymentAgency
 */
export const EmploymentAgency = 'http://schema.org/EmploymentAgency' satisfies Class;

/**
 * EndorseAction
 *
 * An agent approves/certifies/likes/supports/sanctions an object.
 *
 * http://schema.org/EndorseAction
 */
export const EndorseAction = 'http://schema.org/EndorseAction' satisfies Class;

/**
 * EndorsementRating
 *
 * An EndorsementRating is a rating that expresses some level of endorsement, for example inclusion in a "critic's pick" blog, a
 * "Like" or "+1" on a social network. It can be considered the [[result]] of an [[EndorseAction]] in which the [[object]] of the action is rated positively by
 * some [[agent]]. As is common elsewhere in schema.org, it is sometimes more useful to describe the results of such an action without explicitly describing the [[Action]].
 * 
 * An [[EndorsementRating]] may be part of a numeric scale or organized system, but this is not required: having an explicit type for indicating a positive,
 * endorsement rating is particularly useful in the absence of numeric scales as it helps consumers understand that the rating is broadly positive.
 * 
 *
 * http://schema.org/EndorsementRating
 */
export const EndorsementRating = 'http://schema.org/EndorsementRating' satisfies Class;

/**
 * Energy
 *
 * Properties that take Energy as values are of the form '&lt;Number&gt; &lt;Energy unit of measure&gt;'.
 *
 * http://schema.org/Energy
 */
export const Energy = 'http://schema.org/Energy' satisfies Class;

/**
 * EnergyConsumptionDetails
 *
 * EnergyConsumptionDetails represents information related to the energy efficiency of a product that consumes energy. The information that can be provided is based on international regulations such as for example [EU directive 2017/1369](https://eur-lex.europa.eu/eli/reg/2017/1369/oj) for energy labeling and the [Energy labeling rule](https://www.ftc.gov/enforcement/rules/rulemaking-regulatory-reform-proceedings/energy-water-use-labeling-consumer) under the Energy Policy and Conservation Act (EPCA) in the US.
 *
 * http://schema.org/EnergyConsumptionDetails
 */
export const EnergyConsumptionDetails = 'http://schema.org/EnergyConsumptionDetails' satisfies Class;

/**
 * EnergyEfficiencyEnumeration
 *
 * Enumerates energy efficiency levels (also known as "classes" or "ratings") and certifications that are part of several international energy efficiency standards.
 *
 * http://schema.org/EnergyEfficiencyEnumeration
 */
export const EnergyEfficiencyEnumeration = 'http://schema.org/EnergyEfficiencyEnumeration' satisfies Class;

/**
 * EnergyStarEnergyEfficiencyEnumeration
 *
 * Used to indicate whether a product is EnergyStar certified.
 *
 * http://schema.org/EnergyStarEnergyEfficiencyEnumeration
 */
export const EnergyStarEnergyEfficiencyEnumeration = 'http://schema.org/EnergyStarEnergyEfficiencyEnumeration' satisfies Class;

/**
 * EngineSpecification
 *
 * Information about the engine of the vehicle. A vehicle can have multiple engines represented by multiple engine specification entities.
 *
 * http://schema.org/EngineSpecification
 */
export const EngineSpecification = 'http://schema.org/EngineSpecification' satisfies Class;

/**
 * EntertainmentBusiness
 *
 * A business providing entertainment.
 *
 * http://schema.org/EntertainmentBusiness
 */
export const EntertainmentBusiness = 'http://schema.org/EntertainmentBusiness' satisfies Class;

/**
 * EntryPoint
 *
 * An entry point, within some Web-based protocol.
 *
 * http://schema.org/EntryPoint
 */
export const EntryPoint = 'http://schema.org/EntryPoint' satisfies Class;

/**
 * Enumeration
 *
 * Lists or enumerations—for example, a list of cuisines or music genres, etc.
 *
 * http://schema.org/Enumeration
 */
export const Enumeration = 'http://schema.org/Enumeration' satisfies Class;

/**
 * Episode
 *
 * A media episode (e.g. TV, radio, video game) which can be part of a series or season.
 *
 * http://schema.org/Episode
 */
export const Episode = 'http://schema.org/Episode' satisfies Class;

/**
 * Event
 *
 * An event happening at a certain time and location, such as a concert, lecture, or festival. Ticketing information may be added via the [[offers]] property. Repeated events may be structured as separate Event objects.
 *
 * http://schema.org/Event
 */
export const Event = 'http://schema.org/Event' satisfies Class;

/**
 * EventAttendanceModeEnumeration
 *
 * An EventAttendanceModeEnumeration value is one of potentially several modes of organising an event, relating to whether it is online or offline.
 *
 * http://schema.org/EventAttendanceModeEnumeration
 */
export const EventAttendanceModeEnumeration = 'http://schema.org/EventAttendanceModeEnumeration' satisfies Class;

/**
 * EventReservation
 *
 * A reservation for an event like a concert, sporting event, or lecture.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * http://schema.org/EventReservation
 */
export const EventReservation = 'http://schema.org/EventReservation' satisfies Class;

/**
 * EventSeries
 *
 * A series of [[Event]]s. Included events can relate with the series using the [[superEvent]] property.
 * 
 * An EventSeries is a collection of events that share some unifying characteristic. For example, "The Olympic Games" is a series, which
 * is repeated regularly. The "2012 London Olympics" can be presented both as an [[Event]] in the series "Olympic Games", and as an
 * [[EventSeries]] that included a number of sporting competitions as Events.
 * 
 * The nature of the association between the events in an [[EventSeries]] can vary, but typical examples could
 * include a thematic event series (e.g. topical meetups or classes), or a series of regular events that share a location, attendee group and/or organizers.
 * 
 * EventSeries has been defined as a kind of Event to make it easy for publishers to use it in an Event context without
 * worrying about which kinds of series are really event-like enough to call an Event. In general an EventSeries
 * may seem more Event-like when the period of time is compact and when aspects such as location are fixed, but
 * it may also sometimes prove useful to describe a longer-term series as an Event.
 *    
 *
 * http://schema.org/EventSeries
 */
export const EventSeries = 'http://schema.org/EventSeries' satisfies Class;

/**
 * EventStatusType
 *
 * EventStatusType is an enumeration type whose instances represent several states that an Event may be in.
 *
 * http://schema.org/EventStatusType
 */
export const EventStatusType = 'http://schema.org/EventStatusType' satisfies Class;

/**
 * EventVenue
 *
 * An event venue.
 *
 * http://schema.org/EventVenue
 */
export const EventVenue = 'http://schema.org/EventVenue' satisfies Class;

/**
 * ExchangeRateSpecification
 *
 * A structured value representing exchange rate.
 *
 * http://schema.org/ExchangeRateSpecification
 */
export const ExchangeRateSpecification = 'http://schema.org/ExchangeRateSpecification' satisfies Class;

/**
 * ExerciseAction
 *
 * The act of participating in exertive activity for the purposes of improving health and fitness.
 *
 * http://schema.org/ExerciseAction
 */
export const ExerciseAction = 'http://schema.org/ExerciseAction' satisfies Class;

/**
 * ExerciseGym
 *
 * A gym.
 *
 * http://schema.org/ExerciseGym
 */
export const ExerciseGym = 'http://schema.org/ExerciseGym' satisfies Class;

/**
 * ExercisePlan
 *
 * Fitness-related activity designed for a specific health-related purpose, including defined exercise routines as well as activity prescribed by a clinician.
 *
 * http://schema.org/ExercisePlan
 */
export const ExercisePlan = 'http://schema.org/ExercisePlan' satisfies Class;

/**
 * ExhibitionEvent
 *
 * Event type: Exhibition event, e.g. at a museum, library, archive, tradeshow, ...
 *
 * http://schema.org/ExhibitionEvent
 */
export const ExhibitionEvent = 'http://schema.org/ExhibitionEvent' satisfies Class;

/**
 * FAQPage
 *
 * A [[FAQPage]] is a [[WebPage]] presenting one or more "[Frequently asked questions](https://en.wikipedia.org/wiki/FAQ)" (see also [[QAPage]]).
 *
 * http://schema.org/FAQPage
 */
export const FAQPage = 'http://schema.org/FAQPage' satisfies Class;

/**
 * FMRadioChannel
 *
 * A radio channel that uses FM.
 *
 * http://schema.org/FMRadioChannel
 */
export const FMRadioChannel = 'http://schema.org/FMRadioChannel' satisfies Class;

/**
 * FastFoodRestaurant
 *
 * A fast-food restaurant.
 *
 * http://schema.org/FastFoodRestaurant
 */
export const FastFoodRestaurant = 'http://schema.org/FastFoodRestaurant' satisfies Class;

/**
 * Festival
 *
 * Event type: Festival.
 *
 * http://schema.org/Festival
 */
export const Festival = 'http://schema.org/Festival' satisfies Class;

/**
 * FilmAction
 *
 * The act of capturing sound and moving images on film, video, or digitally.
 *
 * http://schema.org/FilmAction
 */
export const FilmAction = 'http://schema.org/FilmAction' satisfies Class;

/**
 * FinancialIncentive
 *
 * <p>Represents financial incentives for goods/services offered by an organization (or individual).</p>
 * 
 * <p>Typically contains the [[name]] of the incentive, the [[incentivizedItem]], the [[incentiveAmount]], the [[incentiveStatus]], [[incentiveType]], the [[provider]] of the incentive, and [[eligibleWithSupplier]].</p>
 * 
 * <p>Optionally contains criteria on whether the incentive is limited based on [[purchaseType]], [[purchasePriceLimit]], [[incomeLimit]], and the [[qualifiedExpense]].
 *     
 *
 * http://schema.org/FinancialIncentive
 */
export const FinancialIncentive = 'http://schema.org/FinancialIncentive' satisfies Class;

/**
 * FinancialProduct
 *
 * A product provided to consumers and businesses by financial institutions such as banks, insurance companies, brokerage firms, consumer finance companies, and investment companies which comprise the financial services industry.
 *
 * http://schema.org/FinancialProduct
 */
export const FinancialProduct = 'http://schema.org/FinancialProduct' satisfies Class;

/**
 * FinancialService
 *
 * Financial services business.
 *
 * http://schema.org/FinancialService
 */
export const FinancialService = 'http://schema.org/FinancialService' satisfies Class;

/**
 * FindAction
 *
 * The act of finding an object.\n\nRelated actions:\n\n* [[SearchAction]]: FindAction is generally lead by a SearchAction, but not necessarily.
 *
 * http://schema.org/FindAction
 */
export const FindAction = 'http://schema.org/FindAction' satisfies Class;

/**
 * FireStation
 *
 * A fire station. With firemen.
 *
 * http://schema.org/FireStation
 */
export const FireStation = 'http://schema.org/FireStation' satisfies Class;

/**
 * Flight
 *
 * An airline flight.
 *
 * http://schema.org/Flight
 */
export const Flight = 'http://schema.org/Flight' satisfies Class;

/**
 * FlightReservation
 *
 * A reservation for air travel.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * http://schema.org/FlightReservation
 */
export const FlightReservation = 'http://schema.org/FlightReservation' satisfies Class;

/**
 * Float
 *
 * Data type: Floating number.
 *
 * http://schema.org/Float
 */
export const Float = 'http://schema.org/Float' satisfies Class;

/**
 * FloorPlan
 *
 * A FloorPlan is an explicit representation of a collection of similar accommodations, allowing the provision of common information (room counts, sizes, layout diagrams) and offers for rental or sale. In typical use, some [[ApartmentComplex]] has an [[accommodationFloorPlan]] which is a [[FloorPlan]].  A FloorPlan is always in the context of a particular place, either a larger [[ApartmentComplex]] or a single [[Apartment]]. The visual/spatial aspects of a floor plan (i.e. room layout, [see wikipedia](https://en.wikipedia.org/wiki/Floor_plan)) can be indicated using [[image]]. 
 *
 * http://schema.org/FloorPlan
 */
export const FloorPlan = 'http://schema.org/FloorPlan' satisfies Class;

/**
 * Florist
 *
 * A florist.
 *
 * http://schema.org/Florist
 */
export const Florist = 'http://schema.org/Florist' satisfies Class;

/**
 * FollowAction
 *
 * The act of forming a personal connection with someone/something (object) unidirectionally/asymmetrically to get updates polled from.\n\nRelated actions:\n\n* [[BefriendAction]]: Unlike BefriendAction, FollowAction implies that the connection is *not* necessarily reciprocal.\n* [[SubscribeAction]]: Unlike SubscribeAction, FollowAction implies that the follower acts as an active agent constantly/actively polling for updates.\n* [[RegisterAction]]: Unlike RegisterAction, FollowAction implies that the agent is interested in continuing receiving updates from the object.\n* [[JoinAction]]: Unlike JoinAction, FollowAction implies that the agent is interested in getting updates from the object.\n* [[TrackAction]]: Unlike TrackAction, FollowAction refers to the polling of updates of all aspects of animate objects rather than the location of inanimate objects (e.g. you track a package, but you don't follow it).
 *
 * http://schema.org/FollowAction
 */
export const FollowAction = 'http://schema.org/FollowAction' satisfies Class;

/**
 * FoodEstablishment
 *
 * A food-related business.
 *
 * http://schema.org/FoodEstablishment
 */
export const FoodEstablishment = 'http://schema.org/FoodEstablishment' satisfies Class;

/**
 * FoodEstablishmentReservation
 *
 * A reservation to dine at a food-related business.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 *
 * http://schema.org/FoodEstablishmentReservation
 */
export const FoodEstablishmentReservation = 'http://schema.org/FoodEstablishmentReservation' satisfies Class;

/**
 * FoodEvent
 *
 * Event type: Food event.
 *
 * http://schema.org/FoodEvent
 */
export const FoodEvent = 'http://schema.org/FoodEvent' satisfies Class;

/**
 * FoodService
 *
 * A food service, like breakfast, lunch, or dinner.
 *
 * http://schema.org/FoodService
 */
export const FoodService = 'http://schema.org/FoodService' satisfies Class;

/**
 * FulfillmentTypeEnumeration
 *
 * A type of product fulfillment.
 *
 * http://schema.org/FulfillmentTypeEnumeration
 */
export const FulfillmentTypeEnumeration = 'http://schema.org/FulfillmentTypeEnumeration' satisfies Class;

/**
 * FundingAgency
 *
 * A FundingAgency is an organization that implements one or more [[FundingScheme]]s and manages
 *     the granting process (via [[Grant]]s, typically [[MonetaryGrant]]s).
 *     A funding agency is not always required for grant funding, e.g. philanthropic giving, corporate sponsorship etc.
 *     
 * Examples of funding agencies include ERC, REA, NIH, Bill and Melinda Gates Foundation, ...
 *     
 *
 * http://schema.org/FundingAgency
 */
export const FundingAgency = 'http://schema.org/FundingAgency' satisfies Class;

/**
 * FundingScheme
 *
 * A FundingScheme combines organizational, project and policy aspects of grant-based funding
 *     that sets guidelines, principles and mechanisms to support other kinds of projects and activities.
 *     Funding is typically organized via [[Grant]] funding. Examples of funding schemes: Swiss Priority Programmes (SPPs); EU Framework 7 (FP7); Horizon 2020; the NIH-R01 Grant Program; Wellcome institutional strategic support fund. For large scale public sector funding, the management and administration of grant awards is often handled by other, dedicated, organizations - [[FundingAgency]]s such as ERC, REA, ...
 *
 * http://schema.org/FundingScheme
 */
export const FundingScheme = 'http://schema.org/FundingScheme' satisfies Class;

/**
 * FurnitureStore
 *
 * A furniture store.
 *
 * http://schema.org/FurnitureStore
 */
export const FurnitureStore = 'http://schema.org/FurnitureStore' satisfies Class;

/**
 * Game
 *
 * The Game type represents things which are games. These are typically rule-governed recreational activities, e.g. role-playing games in which players assume the role of characters in a fictional setting.
 *
 * http://schema.org/Game
 */
export const Game = 'http://schema.org/Game' satisfies Class;

/**
 * GameAvailabilityEnumeration
 *
 * For a [[VideoGame]], such as used with a [[PlayGameAction]], an enumeration of the kind of game availability offered. 
 *
 * http://schema.org/GameAvailabilityEnumeration
 */
export const GameAvailabilityEnumeration = 'http://schema.org/GameAvailabilityEnumeration' satisfies Class;

/**
 * GamePlayMode
 *
 * Indicates whether this game is multi-player, co-op or single-player.
 *
 * http://schema.org/GamePlayMode
 */
export const GamePlayMode = 'http://schema.org/GamePlayMode' satisfies Class;

/**
 * GameServer
 *
 * Server that provides game interaction in a multiplayer game.
 *
 * http://schema.org/GameServer
 */
export const GameServer = 'http://schema.org/GameServer' satisfies Class;

/**
 * GameServerStatus
 *
 * Status of a game server.
 *
 * http://schema.org/GameServerStatus
 */
export const GameServerStatus = 'http://schema.org/GameServerStatus' satisfies Class;

/**
 * GardenStore
 *
 * A garden store.
 *
 * http://schema.org/GardenStore
 */
export const GardenStore = 'http://schema.org/GardenStore' satisfies Class;

/**
 * GasStation
 *
 * A gas station.
 *
 * http://schema.org/GasStation
 */
export const GasStation = 'http://schema.org/GasStation' satisfies Class;

/**
 * GatedResidenceCommunity
 *
 * Residence type: Gated community.
 *
 * http://schema.org/GatedResidenceCommunity
 */
export const GatedResidenceCommunity = 'http://schema.org/GatedResidenceCommunity' satisfies Class;

/**
 * GenderType
 *
 * An enumeration of genders.
 *
 * http://schema.org/GenderType
 */
export const GenderType = 'http://schema.org/GenderType' satisfies Class;

/**
 * Gene
 *
 * A discrete unit of inheritance which affects one or more biological traits (Source: [https://en.wikipedia.org/wiki/Gene](https://en.wikipedia.org/wiki/Gene)). Examples include FOXP2 (Forkhead box protein P2), SCARNA21 (small Cajal body-specific RNA 21), A- (agouti genotype).
 *
 * http://schema.org/Gene
 */
export const Gene = 'http://schema.org/Gene' satisfies Class;

/**
 * GeneralContractor
 *
 * A general contractor.
 *
 * http://schema.org/GeneralContractor
 */
export const GeneralContractor = 'http://schema.org/GeneralContractor' satisfies Class;

/**
 * GeoCircle
 *
 * A GeoCircle is a GeoShape representing a circular geographic area. As it is a GeoShape
 *           it provides the simple textual property 'circle', but also allows the combination of postalCode alongside geoRadius.
 *           The center of the circle can be indicated via the 'geoMidpoint' property, or more approximately using 'address', 'postalCode'.
 *        
 *
 * http://schema.org/GeoCircle
 */
export const GeoCircle = 'http://schema.org/GeoCircle' satisfies Class;

/**
 * GeoCoordinates
 *
 * The geographic coordinates of a place or event.
 *
 * http://schema.org/GeoCoordinates
 */
export const GeoCoordinates = 'http://schema.org/GeoCoordinates' satisfies Class;

/**
 * GeoShape
 *
 * The geographic shape of a place. A GeoShape can be described using several properties whose values are based on latitude/longitude pairs. Either whitespace or commas can be used to separate latitude and longitude; whitespace should be used when writing a list of several such points.
 *
 * http://schema.org/GeoShape
 */
export const GeoShape = 'http://schema.org/GeoShape' satisfies Class;

/**
 * GeospatialGeometry
 *
 * (Eventually to be defined as) a supertype of GeoShape designed to accommodate definitions from Geo-Spatial best practices.
 *
 * http://schema.org/GeospatialGeometry
 */
export const GeospatialGeometry = 'http://schema.org/GeospatialGeometry' satisfies Class;

/**
 * GiveAction
 *
 * The act of transferring ownership of an object to a destination. Reciprocal of TakeAction.\n\nRelated actions:\n\n* [[TakeAction]]: Reciprocal of GiveAction.\n* [[SendAction]]: Unlike SendAction, GiveAction implies that ownership is being transferred (e.g. I may send my laptop to you, but that doesn't mean I'm giving it to you).
 *
 * http://schema.org/GiveAction
 */
export const GiveAction = 'http://schema.org/GiveAction' satisfies Class;

/**
 * GolfCourse
 *
 * A golf course.
 *
 * http://schema.org/GolfCourse
 */
export const GolfCourse = 'http://schema.org/GolfCourse' satisfies Class;

/**
 * GovernmentBenefitsType
 *
 * GovernmentBenefitsType enumerates several kinds of government benefits to support the COVID-19 situation. Note that this structure may not capture all benefits offered.
 *
 * http://schema.org/GovernmentBenefitsType
 */
export const GovernmentBenefitsType = 'http://schema.org/GovernmentBenefitsType' satisfies Class;

/**
 * GovernmentBuilding
 *
 * A government building.
 *
 * http://schema.org/GovernmentBuilding
 */
export const GovernmentBuilding = 'http://schema.org/GovernmentBuilding' satisfies Class;

/**
 * GovernmentOffice
 *
 * A government office&#x2014;for example, an IRS or DMV office.
 *
 * http://schema.org/GovernmentOffice
 */
export const GovernmentOffice = 'http://schema.org/GovernmentOffice' satisfies Class;

/**
 * GovernmentOrganization
 *
 * A governmental organization or agency.
 *
 * http://schema.org/GovernmentOrganization
 */
export const GovernmentOrganization = 'http://schema.org/GovernmentOrganization' satisfies Class;

/**
 * GovernmentPermit
 *
 * A permit issued by a government agency.
 *
 * http://schema.org/GovernmentPermit
 */
export const GovernmentPermit = 'http://schema.org/GovernmentPermit' satisfies Class;

/**
 * GovernmentService
 *
 * A service provided by a government organization, e.g. food stamps, veterans benefits, etc.
 *
 * http://schema.org/GovernmentService
 */
export const GovernmentService = 'http://schema.org/GovernmentService' satisfies Class;

/**
 * Grant
 *
 * A grant, typically financial or otherwise quantifiable, of resources. Typically a [[funder]] sponsors some [[MonetaryAmount]] to an [[Organization]] or [[Person]],
 *     sometimes not necessarily via a dedicated or long-lived [[Project]], resulting in one or more outputs, or [[fundedItem]]s. For financial sponsorship, indicate the [[funder]] of a [[MonetaryGrant]]. For non-financial support, indicate [[sponsor]] of [[Grant]]s of resources (e.g. office space).
 * 
 * Grants support  activities directed towards some agreed collective goals, often but not always organized as [[Project]]s. Long-lived projects are sometimes sponsored by a variety of grants over time, but it is also common for a project to be associated with a single grant.
 * 
 * The amount of a [[Grant]] is represented using [[amount]] as a [[MonetaryAmount]].
 *     
 *
 * http://schema.org/Grant
 */
export const Grant = 'http://schema.org/Grant' satisfies Class;

/**
 * GroceryStore
 *
 * A grocery store.
 *
 * http://schema.org/GroceryStore
 */
export const GroceryStore = 'http://schema.org/GroceryStore' satisfies Class;

/**
 * Guide
 *
 * [[Guide]] is a page or article that recommends specific products or services, or aspects of a thing for a user to consider. A [[Guide]] may represent a Buying Guide and detail aspects of products or services for a user to consider. A [[Guide]] may represent a Product Guide and recommend specific products or services. A [[Guide]] may represent a Ranked List and recommend specific products or services with ranking.
 *
 * http://schema.org/Guide
 */
export const Guide = 'http://schema.org/Guide' satisfies Class;

/**
 * HVACBusiness
 *
 * A business that provides Heating, Ventilation and Air Conditioning services.
 *
 * http://schema.org/HVACBusiness
 */
export const HVACBusiness = 'http://schema.org/HVACBusiness' satisfies Class;

/**
 * Hackathon
 *
 * A [hackathon](https://en.wikipedia.org/wiki/Hackathon) event.
 *
 * http://schema.org/Hackathon
 */
export const Hackathon = 'http://schema.org/Hackathon' satisfies Class;

/**
 * HairSalon
 *
 * A hair salon.
 *
 * http://schema.org/HairSalon
 */
export const HairSalon = 'http://schema.org/HairSalon' satisfies Class;

/**
 * HardwareStore
 *
 * A hardware store.
 *
 * http://schema.org/HardwareStore
 */
export const HardwareStore = 'http://schema.org/HardwareStore' satisfies Class;

/**
 * HealthAndBeautyBusiness
 *
 * Health and beauty.
 *
 * http://schema.org/HealthAndBeautyBusiness
 */
export const HealthAndBeautyBusiness = 'http://schema.org/HealthAndBeautyBusiness' satisfies Class;

/**
 * HealthAspectEnumeration
 *
 * HealthAspectEnumeration enumerates several aspects of health content online, each of which might be described using [[hasHealthAspect]] and [[HealthTopicContent]].
 *
 * http://schema.org/HealthAspectEnumeration
 */
export const HealthAspectEnumeration = 'http://schema.org/HealthAspectEnumeration' satisfies Class;

/**
 * HealthClub
 *
 * A health club.
 *
 * http://schema.org/HealthClub
 */
export const HealthClub = 'http://schema.org/HealthClub' satisfies Class;

/**
 * HealthInsurancePlan
 *
 * A US-style health insurance plan, including PPOs, EPOs, and HMOs.
 *
 * http://schema.org/HealthInsurancePlan
 */
export const HealthInsurancePlan = 'http://schema.org/HealthInsurancePlan' satisfies Class;

/**
 * HealthPlanCostSharingSpecification
 *
 * A description of costs to the patient under a given network or formulary.
 *
 * http://schema.org/HealthPlanCostSharingSpecification
 */
export const HealthPlanCostSharingSpecification = 'http://schema.org/HealthPlanCostSharingSpecification' satisfies Class;

/**
 * HealthPlanFormulary
 *
 * For a given health insurance plan, the specification for costs and coverage of prescription drugs.
 *
 * http://schema.org/HealthPlanFormulary
 */
export const HealthPlanFormulary = 'http://schema.org/HealthPlanFormulary' satisfies Class;

/**
 * HealthPlanNetwork
 *
 * A US-style health insurance plan network.
 *
 * http://schema.org/HealthPlanNetwork
 */
export const HealthPlanNetwork = 'http://schema.org/HealthPlanNetwork' satisfies Class;

/**
 * HealthTopicContent
 *
 * [[HealthTopicContent]] is [[WebContent]] that is about some aspect of a health topic, e.g. a condition, its symptoms or treatments. Such content may be comprised of several parts or sections and use different types of media. Multiple instances of [[WebContent]] (and hence [[HealthTopicContent]]) can be related using [[hasPart]] / [[isPartOf]] where there is some kind of content hierarchy, and their content described with [[about]] and [[mentions]] e.g. building upon the existing [[MedicalCondition]] vocabulary.
 *   
 *
 * http://schema.org/HealthTopicContent
 */
export const HealthTopicContent = 'http://schema.org/HealthTopicContent' satisfies Class;

/**
 * HighSchool
 *
 * A high school.
 *
 * http://schema.org/HighSchool
 */
export const HighSchool = 'http://schema.org/HighSchool' satisfies Class;

/**
 * HinduTemple
 *
 * A Hindu temple.
 *
 * http://schema.org/HinduTemple
 */
export const HinduTemple = 'http://schema.org/HinduTemple' satisfies Class;

/**
 * HobbyShop
 *
 * A store that sells materials useful or necessary for various hobbies.
 *
 * http://schema.org/HobbyShop
 */
export const HobbyShop = 'http://schema.org/HobbyShop' satisfies Class;

/**
 * HomeAndConstructionBusiness
 *
 * A construction business.\n\nA HomeAndConstructionBusiness is a [[LocalBusiness]] that provides services around homes and buildings.\n\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\(s).
 *
 * http://schema.org/HomeAndConstructionBusiness
 */
export const HomeAndConstructionBusiness = 'http://schema.org/HomeAndConstructionBusiness' satisfies Class;

/**
 * HomeGoodsStore
 *
 * A home goods store.
 *
 * http://schema.org/HomeGoodsStore
 */
export const HomeGoodsStore = 'http://schema.org/HomeGoodsStore' satisfies Class;

/**
 * Hospital
 *
 * A hospital.
 *
 * http://schema.org/Hospital
 */
export const Hospital = 'http://schema.org/Hospital' satisfies Class;

/**
 * Hostel
 *
 * A hostel - cheap accommodation, often in shared dormitories.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/Hostel
 */
export const Hostel = 'http://schema.org/Hostel' satisfies Class;

/**
 * Hotel
 *
 * A hotel is an establishment that provides lodging paid on a short-term basis (source: Wikipedia, the free encyclopedia, see http://en.wikipedia.org/wiki/Hotel).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/Hotel
 */
export const Hotel = 'http://schema.org/Hotel' satisfies Class;

/**
 * HotelRoom
 *
 * A hotel room is a single room in a hotel.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/HotelRoom
 */
export const HotelRoom = 'http://schema.org/HotelRoom' satisfies Class;

/**
 * House
 *
 * A house is a building or structure that has the ability to be occupied for habitation by humans or other creatures (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/House">http://en.wikipedia.org/wiki/House</a>).
 *
 * http://schema.org/House
 */
export const House = 'http://schema.org/House' satisfies Class;

/**
 * HousePainter
 *
 * A house painting service.
 *
 * http://schema.org/HousePainter
 */
export const HousePainter = 'http://schema.org/HousePainter' satisfies Class;

/**
 * HowTo
 *
 * Instructions that explain how to achieve a result by performing a sequence of steps.
 *
 * http://schema.org/HowTo
 */
export const HowTo = 'http://schema.org/HowTo' satisfies Class;

/**
 * HowToDirection
 *
 * A direction indicating a single action to do in the instructions for how to achieve a result.
 *
 * http://schema.org/HowToDirection
 */
export const HowToDirection = 'http://schema.org/HowToDirection' satisfies Class;

/**
 * HowToItem
 *
 * An item used as either a tool or supply when performing the instructions for how to achieve a result.
 *
 * http://schema.org/HowToItem
 */
export const HowToItem = 'http://schema.org/HowToItem' satisfies Class;

/**
 * HowToSection
 *
 * A sub-grouping of steps in the instructions for how to achieve a result (e.g. steps for making a pie crust within a pie recipe).
 *
 * http://schema.org/HowToSection
 */
export const HowToSection = 'http://schema.org/HowToSection' satisfies Class;

/**
 * HowToStep
 *
 * A step in the instructions for how to achieve a result. It is an ordered list with HowToDirection and/or HowToTip items.
 *
 * http://schema.org/HowToStep
 */
export const HowToStep = 'http://schema.org/HowToStep' satisfies Class;

/**
 * HowToSupply
 *
 * A supply consumed when performing the instructions for how to achieve a result.
 *
 * http://schema.org/HowToSupply
 */
export const HowToSupply = 'http://schema.org/HowToSupply' satisfies Class;

/**
 * HowToTip
 *
 * An explanation in the instructions for how to achieve a result. It provides supplementary information about a technique, supply, author's preference, etc. It can explain what could be done, or what should not be done, but doesn't specify what should be done (see HowToDirection).
 *
 * http://schema.org/HowToTip
 */
export const HowToTip = 'http://schema.org/HowToTip' satisfies Class;

/**
 * HowToTool
 *
 * A tool used (but not consumed) when performing instructions for how to achieve a result.
 *
 * http://schema.org/HowToTool
 */
export const HowToTool = 'http://schema.org/HowToTool' satisfies Class;

/**
 * HyperToc
 *
 * A HyperToc represents a hypertext table of contents for complex media objects, such as [[VideoObject]], [[AudioObject]]. Items in the table of contents are indicated using the [[tocEntry]] property, and typed [[HyperTocEntry]]. For cases where the same larger work is split into multiple files, [[associatedMedia]] can be used on individual [[HyperTocEntry]] items.
 *
 * http://schema.org/HyperToc
 */
export const HyperToc = 'http://schema.org/HyperToc' satisfies Class;

/**
 * HyperTocEntry
 *
 * A HyperToEntry is an item within a [[HyperToc]], which represents a hypertext table of contents for complex media objects, such as [[VideoObject]], [[AudioObject]]. The media object itself is indicated using [[associatedMedia]]. Each section of interest within that content can be described with a [[HyperTocEntry]], with associated [[startOffset]] and [[endOffset]]. When several entries are all from the same file, [[associatedMedia]] is used on the overarching [[HyperTocEntry]]; if the content has been split into multiple files, they can be referenced using [[associatedMedia]] on each [[HyperTocEntry]].
 *
 * http://schema.org/HyperTocEntry
 */
export const HyperTocEntry = 'http://schema.org/HyperTocEntry' satisfies Class;

/**
 * IPTCDigitalSourceEnumeration
 *
 * <a href="https://www.iptc.org/">IPTC</a> "Digital Source" codes for use with the [[digitalSourceType]] property, providing information about the source for a digital media object.
 * In general these codes are not declared here to be mutually exclusive, although some combinations would be contradictory if applied simultaneously, or might be considered mutually incompatible by upstream maintainers of the definitions. See the IPTC <a href="https://www.iptc.org/std/photometadata/documentation/userguide/">documentation</a>
 *  for <a href="https://cv.iptc.org/newscodes/digitalsourcetype/">detailed definitions</a> of all terms.
 *
 * http://schema.org/IPTCDigitalSourceEnumeration
 */
export const IPTCDigitalSourceEnumeration = 'http://schema.org/IPTCDigitalSourceEnumeration' satisfies Class;

/**
 * IceCreamShop
 *
 * An ice cream shop.
 *
 * http://schema.org/IceCreamShop
 */
export const IceCreamShop = 'http://schema.org/IceCreamShop' satisfies Class;

/**
 * IgnoreAction
 *
 * The act of intentionally disregarding the object. An agent ignores an object.
 *
 * http://schema.org/IgnoreAction
 */
export const IgnoreAction = 'http://schema.org/IgnoreAction' satisfies Class;

/**
 * ImageGallery
 *
 * Web page type: Image gallery page.
 *
 * http://schema.org/ImageGallery
 */
export const ImageGallery = 'http://schema.org/ImageGallery' satisfies Class;

/**
 * ImageObject
 *
 * An image file.
 *
 * http://schema.org/ImageObject
 */
export const ImageObject = 'http://schema.org/ImageObject' satisfies Class;

/**
 * ImageObjectSnapshot
 *
 * A specific and exact (byte-for-byte) version of an [[ImageObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata (e.g. XMP, EXIF) the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.
 *
 * http://schema.org/ImageObjectSnapshot
 */
export const ImageObjectSnapshot = 'http://schema.org/ImageObjectSnapshot' satisfies Class;

/**
 * ImagingTest
 *
 * Any medical imaging modality typically used for diagnostic purposes.
 *
 * http://schema.org/ImagingTest
 */
export const ImagingTest = 'http://schema.org/ImagingTest' satisfies Class;

/**
 * IncentiveQualifiedExpenseType
 *
 * The types of expenses that are covered by the incentive. For example some incentives are only for the goods (tangible items) but the services (labor) are excluded.
 *
 * http://schema.org/IncentiveQualifiedExpenseType
 */
export const IncentiveQualifiedExpenseType = 'http://schema.org/IncentiveQualifiedExpenseType' satisfies Class;

/**
 * IncentiveStatus
 *
 * Enumerates a status for an incentive, such as whether it is active.
 *
 * http://schema.org/IncentiveStatus
 */
export const IncentiveStatus = 'http://schema.org/IncentiveStatus' satisfies Class;

/**
 * IncentiveType
 *
 * Enumerates common financial incentives for products, including tax credits, tax deductions, rebates and subsidies, etc.
 *
 * http://schema.org/IncentiveType
 */
export const IncentiveType = 'http://schema.org/IncentiveType' satisfies Class;

/**
 * IndividualPhysician
 *
 * An individual medical practitioner. For their official address use [[address]], for affiliations to hospitals use [[hospitalAffiliation]]. 
 * The [[practicesAt]] property can be used to indicate [[MedicalOrganization]] hospitals, clinics, pharmacies etc. where this physician practices.
 *
 * http://schema.org/IndividualPhysician
 */
export const IndividualPhysician = 'http://schema.org/IndividualPhysician' satisfies Class;

/**
 * IndividualProduct
 *
 * A single, identifiable product instance (e.g. a laptop with a particular serial number).
 *
 * http://schema.org/IndividualProduct
 */
export const IndividualProduct = 'http://schema.org/IndividualProduct' satisfies Class;

/**
 * InfectiousAgentClass
 *
 * Classes of agents or pathogens that transmit infectious diseases. Enumerated type.
 *
 * http://schema.org/InfectiousAgentClass
 */
export const InfectiousAgentClass = 'http://schema.org/InfectiousAgentClass' satisfies Class;

/**
 * InfectiousDisease
 *
 * An infectious disease is a clinically evident human disease resulting from the presence of pathogenic microbial agents, like pathogenic viruses, pathogenic bacteria, fungi, protozoa, multicellular parasites, and prions. To be considered an infectious disease, such pathogens are known to be able to cause this disease.
 *
 * http://schema.org/InfectiousDisease
 */
export const InfectiousDisease = 'http://schema.org/InfectiousDisease' satisfies Class;

/**
 * InformAction
 *
 * The act of notifying someone of information pertinent to them, with no expectation of a response.
 *
 * http://schema.org/InformAction
 */
export const InformAction = 'http://schema.org/InformAction' satisfies Class;

/**
 * InsertAction
 *
 * The act of adding at a specific location in an ordered collection.
 *
 * http://schema.org/InsertAction
 */
export const InsertAction = 'http://schema.org/InsertAction' satisfies Class;

/**
 * InstallAction
 *
 * The act of installing an application.
 *
 * http://schema.org/InstallAction
 */
export const InstallAction = 'http://schema.org/InstallAction' satisfies Class;

/**
 * InsuranceAgency
 *
 * An Insurance agency.
 *
 * http://schema.org/InsuranceAgency
 */
export const InsuranceAgency = 'http://schema.org/InsuranceAgency' satisfies Class;

/**
 * Intangible
 *
 * A utility class that serves as the umbrella for a number of 'intangible' things such as quantities, structured values, etc.
 *
 * http://schema.org/Intangible
 */
export const Intangible = 'http://schema.org/Intangible' satisfies Class;

/**
 * Integer
 *
 * Data type: Integer.
 *
 * http://schema.org/Integer
 */
export const Integer = 'http://schema.org/Integer' satisfies Class;

/**
 * InteractAction
 *
 * The act of interacting with another person or organization.
 *
 * http://schema.org/InteractAction
 */
export const InteractAction = 'http://schema.org/InteractAction' satisfies Class;

/**
 * InteractionCounter
 *
 * A summary of how users have interacted with this CreativeWork. In most cases, authors will use a subtype to specify the specific type of interaction.
 *
 * http://schema.org/InteractionCounter
 */
export const InteractionCounter = 'http://schema.org/InteractionCounter' satisfies Class;

/**
 * InternetCafe
 *
 * An internet cafe.
 *
 * http://schema.org/InternetCafe
 */
export const InternetCafe = 'http://schema.org/InternetCafe' satisfies Class;

/**
 * InvestmentFund
 *
 * A company or fund that gathers capital from a number of investors to create a pool of money that is then re-invested into stocks, bonds and other assets.
 *
 * http://schema.org/InvestmentFund
 */
export const InvestmentFund = 'http://schema.org/InvestmentFund' satisfies Class;

/**
 * InvestmentOrDeposit
 *
 * A type of financial product that typically requires the client to transfer funds to a financial service in return for potential beneficial financial return.
 *
 * http://schema.org/InvestmentOrDeposit
 */
export const InvestmentOrDeposit = 'http://schema.org/InvestmentOrDeposit' satisfies Class;

/**
 * InviteAction
 *
 * The act of asking someone to attend an event. Reciprocal of RsvpAction.
 *
 * http://schema.org/InviteAction
 */
export const InviteAction = 'http://schema.org/InviteAction' satisfies Class;

/**
 * Invoice
 *
 * A statement of the money due for goods or services; a bill.
 *
 * http://schema.org/Invoice
 */
export const Invoice = 'http://schema.org/Invoice' satisfies Class;

/**
 * ItemAvailability
 *
 * A list of possible product availability options.
 *
 * http://schema.org/ItemAvailability
 */
export const ItemAvailability = 'http://schema.org/ItemAvailability' satisfies Class;

/**
 * ItemList
 *
 * A list of items of any sort&#x2014;for example, Top 10 Movies About Weathermen, or Top 100 Party Songs. Not to be confused with HTML lists, which are often used only for formatting.
 *
 * http://schema.org/ItemList
 */
export const ItemList = 'http://schema.org/ItemList' satisfies Class;

/**
 * ItemListOrderType
 *
 * Enumerated for values for itemListOrder for indicating how an ordered ItemList is organized.
 *
 * http://schema.org/ItemListOrderType
 */
export const ItemListOrderType = 'http://schema.org/ItemListOrderType' satisfies Class;

/**
 * ItemPage
 *
 * A page devoted to a single item, such as a particular product or hotel.
 *
 * http://schema.org/ItemPage
 */
export const ItemPage = 'http://schema.org/ItemPage' satisfies Class;

/**
 * JewelryStore
 *
 * A jewelry store.
 *
 * http://schema.org/JewelryStore
 */
export const JewelryStore = 'http://schema.org/JewelryStore' satisfies Class;

/**
 * JobPosting
 *
 * A listing that describes a job opening in a certain organization.
 *
 * http://schema.org/JobPosting
 */
export const JobPosting = 'http://schema.org/JobPosting' satisfies Class;

/**
 * JoinAction
 *
 * An agent joins an event/group with participants/friends at a location.\n\nRelated actions:\n\n* [[RegisterAction]]: Unlike RegisterAction, JoinAction refers to joining a group/team of people.\n* [[SubscribeAction]]: Unlike SubscribeAction, JoinAction does not imply that you'll be receiving updates.\n* [[FollowAction]]: Unlike FollowAction, JoinAction does not imply that you'll be polling for updates.
 *
 * http://schema.org/JoinAction
 */
export const JoinAction = 'http://schema.org/JoinAction' satisfies Class;

/**
 * Joint
 *
 * The anatomical location at which two or more bones make contact.
 *
 * http://schema.org/Joint
 */
export const Joint = 'http://schema.org/Joint' satisfies Class;

/**
 * LakeBodyOfWater
 *
 * A lake (for example, Lake Pontrachain).
 *
 * http://schema.org/LakeBodyOfWater
 */
export const LakeBodyOfWater = 'http://schema.org/LakeBodyOfWater' satisfies Class;

/**
 * Landform
 *
 * A landform or physical feature.  Landform elements include mountains, plains, lakes, rivers, seascape and oceanic waterbody interface features such as bays, peninsulas, seas and so forth, including sub-aqueous terrain features such as submersed mountain ranges, volcanoes, and the great ocean basins.
 *
 * http://schema.org/Landform
 */
export const Landform = 'http://schema.org/Landform' satisfies Class;

/**
 * LandmarksOrHistoricalBuildings
 *
 * An historical landmark or building.
 *
 * http://schema.org/LandmarksOrHistoricalBuildings
 */
export const LandmarksOrHistoricalBuildings = 'http://schema.org/LandmarksOrHistoricalBuildings' satisfies Class;

/**
 * Language
 *
 * Natural languages such as Spanish, Tamil, Hindi, English, etc. Formal language code tags expressed in [BCP 47](https://en.wikipedia.org/wiki/IETF_language_tag) can be used via the [[alternateName]] property. The Language type previously also covered programming languages such as Scheme and Lisp, which are now best represented using [[ComputerLanguage]].
 *
 * http://schema.org/Language
 */
export const Language = 'http://schema.org/Language' satisfies Class;

/**
 * LearningResource
 *
 * The LearningResource type can be used to indicate [[CreativeWork]]s (whether physical or digital) that have a particular and explicit orientation towards learning, education, skill acquisition, and other educational purposes.
 * 
 * [[LearningResource]] is expected to be used as an addition to a primary type such as [[Book]], [[VideoObject]], [[Product]] etc.
 * 
 * [[EducationEvent]] serves a similar purpose for event-like things (e.g. a [[Trip]]). A [[LearningResource]] may be created as a result of an [[EducationEvent]], for example by recording one.
 *
 * http://schema.org/LearningResource
 */
export const LearningResource = 'http://schema.org/LearningResource' satisfies Class;

/**
 * LeaveAction
 *
 * An agent leaves an event / group with participants/friends at a location.\n\nRelated actions:\n\n* [[JoinAction]]: The antonym of LeaveAction.\n* [[UnRegisterAction]]: Unlike UnRegisterAction, LeaveAction implies leaving a group/team of people rather than a service.
 *
 * http://schema.org/LeaveAction
 */
export const LeaveAction = 'http://schema.org/LeaveAction' satisfies Class;

/**
 * LegalForceStatus
 *
 * A list of possible statuses for the legal force of a legislation.
 *
 * http://schema.org/LegalForceStatus
 */
export const LegalForceStatus = 'http://schema.org/LegalForceStatus' satisfies Class;

/**
 * LegalService
 *
 * A LegalService is a business that provides legally-oriented services, advice and representation, e.g. law firms.\n\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\(s).
 *
 * http://schema.org/LegalService
 */
export const LegalService = 'http://schema.org/LegalService' satisfies Class;

/**
 * LegalValueLevel
 *
 * A list of possible levels for the legal validity of a legislation.
 *
 * http://schema.org/LegalValueLevel
 */
export const LegalValueLevel = 'http://schema.org/LegalValueLevel' satisfies Class;

/**
 * Legislation
 *
 * A legal document such as an act, decree, bill, etc. (enforceable or not) or a component of a legal act (like an article).
 *
 * http://schema.org/Legislation
 */
export const Legislation = 'http://schema.org/Legislation' satisfies Class;

/**
 * LegislationObject
 *
 * A specific object or file containing a Legislation. Note that the same Legislation can be published in multiple files. For example, a digitally signed PDF, a plain PDF and an HTML version.
 *
 * http://schema.org/LegislationObject
 */
export const LegislationObject = 'http://schema.org/LegislationObject' satisfies Class;

/**
 * LegislativeBuilding
 *
 * A legislative building&#x2014;for example, the state capitol.
 *
 * http://schema.org/LegislativeBuilding
 */
export const LegislativeBuilding = 'http://schema.org/LegislativeBuilding' satisfies Class;

/**
 * LendAction
 *
 * The act of providing an object under an agreement that it will be returned at a later date. Reciprocal of BorrowAction.\n\nRelated actions:\n\n* [[BorrowAction]]: Reciprocal of LendAction.
 *
 * http://schema.org/LendAction
 */
export const LendAction = 'http://schema.org/LendAction' satisfies Class;

/**
 * Library
 *
 * A library.
 *
 * http://schema.org/Library
 */
export const Library = 'http://schema.org/Library' satisfies Class;

/**
 * LibrarySystem
 *
 * A [[LibrarySystem]] is a collaborative system amongst several libraries.
 *
 * http://schema.org/LibrarySystem
 */
export const LibrarySystem = 'http://schema.org/LibrarySystem' satisfies Class;

/**
 * LifestyleModification
 *
 * A process of care involving exercise, changes to diet, fitness routines, and other lifestyle changes aimed at improving a health condition.
 *
 * http://schema.org/LifestyleModification
 */
export const LifestyleModification = 'http://schema.org/LifestyleModification' satisfies Class;

/**
 * Ligament
 *
 * A short band of tough, flexible, fibrous connective tissue that functions to connect multiple bones, cartilages, and structurally support joints.
 *
 * http://schema.org/Ligament
 */
export const Ligament = 'http://schema.org/Ligament' satisfies Class;

/**
 * LikeAction
 *
 * The act of expressing a positive sentiment about the object. An agent likes an object (a proposition, topic or theme) with participants.
 *
 * http://schema.org/LikeAction
 */
export const LikeAction = 'http://schema.org/LikeAction' satisfies Class;

/**
 * LinkRole
 *
 * A Role that represents a Web link, e.g. as expressed via the 'url' property. Its linkRelationship property can indicate URL-based and plain textual link types, e.g. those in IANA link registry or others such as 'amphtml'. This structure provides a placeholder where details from HTML's link element can be represented outside of HTML, e.g. in JSON-LD feeds.
 *
 * http://schema.org/LinkRole
 */
export const LinkRole = 'http://schema.org/LinkRole' satisfies Class;

/**
 * LiquorStore
 *
 * A shop that sells alcoholic drinks such as wine, beer, whisky and other spirits.
 *
 * http://schema.org/LiquorStore
 */
export const LiquorStore = 'http://schema.org/LiquorStore' satisfies Class;

/**
 * ListItem
 *
 * An list item, e.g. a step in a checklist or how-to description.
 *
 * http://schema.org/ListItem
 */
export const ListItem = 'http://schema.org/ListItem' satisfies Class;

/**
 * ListenAction
 *
 * The act of consuming audio content.
 *
 * http://schema.org/ListenAction
 */
export const ListenAction = 'http://schema.org/ListenAction' satisfies Class;

/**
 * LiteraryEvent
 *
 * Event type: Literary event.
 *
 * http://schema.org/LiteraryEvent
 */
export const LiteraryEvent = 'http://schema.org/LiteraryEvent' satisfies Class;

/**
 * LiveBlogPosting
 *
 * A [[LiveBlogPosting]] is a [[BlogPosting]] intended to provide a rolling textual coverage of an ongoing event through continuous updates.
 *
 * http://schema.org/LiveBlogPosting
 */
export const LiveBlogPosting = 'http://schema.org/LiveBlogPosting' satisfies Class;

/**
 * LoanOrCredit
 *
 * A financial product for the loaning of an amount of money, or line of credit, under agreed terms and charges.
 *
 * http://schema.org/LoanOrCredit
 */
export const LoanOrCredit = 'http://schema.org/LoanOrCredit' satisfies Class;

/**
 * LocalBusiness
 *
 * A particular physical business or branch of an organization. Examples of LocalBusiness include a restaurant, a particular branch of a restaurant chain, a branch of a bank, a medical practice, a club, a bowling alley, etc.
 *
 * http://schema.org/LocalBusiness
 */
export const LocalBusiness = 'http://schema.org/LocalBusiness' satisfies Class;

/**
 * LocationFeatureSpecification
 *
 * Specifies a location feature by providing a structured value representing a feature of an accommodation as a property-value pair of varying degrees of formality.
 *
 * http://schema.org/LocationFeatureSpecification
 */
export const LocationFeatureSpecification = 'http://schema.org/LocationFeatureSpecification' satisfies Class;

/**
 * Locksmith
 *
 * A locksmith.
 *
 * http://schema.org/Locksmith
 */
export const Locksmith = 'http://schema.org/Locksmith' satisfies Class;

/**
 * LodgingBusiness
 *
 * A lodging business, such as a motel, hotel, or inn.
 *
 * http://schema.org/LodgingBusiness
 */
export const LodgingBusiness = 'http://schema.org/LodgingBusiness' satisfies Class;

/**
 * LodgingReservation
 *
 * A reservation for lodging at a hotel, motel, inn, etc.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 *
 * http://schema.org/LodgingReservation
 */
export const LodgingReservation = 'http://schema.org/LodgingReservation' satisfies Class;

/**
 * LoseAction
 *
 * The act of being defeated in a competitive activity.
 *
 * http://schema.org/LoseAction
 */
export const LoseAction = 'http://schema.org/LoseAction' satisfies Class;

/**
 * LymphaticVessel
 *
 * A type of blood vessel that specifically carries lymph fluid unidirectionally toward the heart.
 *
 * http://schema.org/LymphaticVessel
 */
export const LymphaticVessel = 'http://schema.org/LymphaticVessel' satisfies Class;

/**
 * Manuscript
 *
 * A book, document, or piece of music written by hand rather than typed or printed.
 *
 * http://schema.org/Manuscript
 */
export const Manuscript = 'http://schema.org/Manuscript' satisfies Class;

/**
 * Map
 *
 * A map.
 * Note that `Map` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://schema.org/Map
 */
export const Map__workaround = 'http://schema.org/Map' satisfies Class;

/**
 * MapCategoryType
 *
 * An enumeration of several kinds of Map.
 *
 * http://schema.org/MapCategoryType
 */
export const MapCategoryType = 'http://schema.org/MapCategoryType' satisfies Class;

/**
 * MarryAction
 *
 * The act of marrying a person.
 *
 * http://schema.org/MarryAction
 */
export const MarryAction = 'http://schema.org/MarryAction' satisfies Class;

/**
 * Mass
 *
 * Properties that take Mass as values are of the form '&lt;Number&gt; &lt;Mass unit of measure&gt;'. E.g., '7 kg'.
 *
 * http://schema.org/Mass
 */
export const Mass = 'http://schema.org/Mass' satisfies Class;

/**
 * MathSolver
 *
 * A math solver which is capable of solving a subset of mathematical problems.
 *
 * http://schema.org/MathSolver
 */
export const MathSolver = 'http://schema.org/MathSolver' satisfies Class;

/**
 * MaximumDoseSchedule
 *
 * The maximum dosing schedule considered safe for a drug or supplement as recommended by an authority or by the drug/supplement's manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.
 *
 * http://schema.org/MaximumDoseSchedule
 */
export const MaximumDoseSchedule = 'http://schema.org/MaximumDoseSchedule' satisfies Class;

/**
 * MeasurementMethodEnum
 *
 * Enumeration(s) for use with [[measurementMethod]].
 *
 * http://schema.org/MeasurementMethodEnum
 */
export const MeasurementMethodEnum = 'http://schema.org/MeasurementMethodEnum' satisfies Class;

/**
 * MeasurementTypeEnumeration
 *
 * Enumeration of common measurement types (or dimensions), for example "chest" for a person, "inseam" for pants, "gauge" for screws, or "wheel" for bicycles.
 *
 * http://schema.org/MeasurementTypeEnumeration
 */
export const MeasurementTypeEnumeration = 'http://schema.org/MeasurementTypeEnumeration' satisfies Class;

/**
 * MediaEnumeration
 *
 * MediaEnumeration enumerations are lists of codes, labels etc. useful for describing media objects. They may be reflections of externally developed lists, or created at schema.org, or a combination.
 *
 * http://schema.org/MediaEnumeration
 */
export const MediaEnumeration = 'http://schema.org/MediaEnumeration' satisfies Class;

/**
 * MediaGallery
 *
 * Web page type: Media gallery page. A mixed-media page that can contain media such as images, videos, and other multimedia.
 *
 * http://schema.org/MediaGallery
 */
export const MediaGallery = 'http://schema.org/MediaGallery' satisfies Class;

/**
 * MediaManipulationRatingEnumeration
 *
 *  Codes for use with the [[mediaAuthenticityCategory]] property, indicating the authenticity of a media object (in the context of how it was published or shared). In general these codes are not mutually exclusive, although some combinations (such as 'original' versus 'transformed', 'edited' and 'staged') would be contradictory if applied in the same [[MediaReview]]. Note that the application of these codes is with regard to a piece of media shared or published in a particular context.
 *
 * http://schema.org/MediaManipulationRatingEnumeration
 */
export const MediaManipulationRatingEnumeration = 'http://schema.org/MediaManipulationRatingEnumeration' satisfies Class;

/**
 * MediaObject
 *
 * A media object, such as an image, video, audio, or text object embedded in a web page or a downloadable dataset i.e. DataDownload. Note that a creative work may have many media objects associated with it on the same web page. For example, a page about a single song (MusicRecording) may have a music video (VideoObject), and a high and low bandwidth audio stream (2 AudioObject's).
 *
 * http://schema.org/MediaObject
 */
export const MediaObject = 'http://schema.org/MediaObject' satisfies Class;

/**
 * MediaReview
 *
 * A [[MediaReview]] is a more specialized form of Review dedicated to the evaluation of media content online, typically in the context of fact-checking and misinformation.
 *     For more general reviews of media in the broader sense, use [[UserReview]], [[CriticReview]] or other [[Review]] types. This definition is
 *     a work in progress. While the [[MediaManipulationRatingEnumeration]] list reflects significant community review amongst fact-checkers and others working
 *     to combat misinformation, the specific structures for representing media objects, their versions and publication context, are still evolving. Similarly, best practices for the relationship between [[MediaReview]] and [[ClaimReview]] markup have not yet been finalized.
 *
 * http://schema.org/MediaReview
 */
export const MediaReview = 'http://schema.org/MediaReview' satisfies Class;

/**
 * MediaReviewItem
 *
 * Represents an item or group of closely related items treated as a unit for the sake of evaluation in a [[MediaReview]]. Authorship etc. apply to the items rather than to the curation/grouping or reviewing party.
 *
 * http://schema.org/MediaReviewItem
 */
export const MediaReviewItem = 'http://schema.org/MediaReviewItem' satisfies Class;

/**
 * MediaSubscription
 *
 * A subscription which allows a user to access media including audio, video, books, etc.
 *
 * http://schema.org/MediaSubscription
 */
export const MediaSubscription = 'http://schema.org/MediaSubscription' satisfies Class;

/**
 * MedicalAudience
 *
 * Target audiences for medical web pages.
 *
 * http://schema.org/MedicalAudience
 */
export const MedicalAudience = 'http://schema.org/MedicalAudience' satisfies Class;

/**
 * MedicalAudienceType
 *
 * Target audiences types for medical web pages. Enumerated type.
 *
 * http://schema.org/MedicalAudienceType
 */
export const MedicalAudienceType = 'http://schema.org/MedicalAudienceType' satisfies Class;

/**
 * MedicalBusiness
 *
 * A particular physical or virtual business of an organization for medical purposes. Examples of MedicalBusiness include different businesses run by health professionals.
 *
 * http://schema.org/MedicalBusiness
 */
export const MedicalBusiness = 'http://schema.org/MedicalBusiness' satisfies Class;

/**
 * MedicalCause
 *
 * The causative agent(s) that are responsible for the pathophysiologic process that eventually results in a medical condition, symptom or sign. In this schema, unless otherwise specified this is meant to be the proximate cause of the medical condition, symptom or sign. The proximate cause is defined as the causative agent that most directly results in the medical condition, symptom or sign. For example, the HIV virus could be considered a cause of AIDS. Or in a diagnostic context, if a patient fell and sustained a hip fracture and two days later sustained a pulmonary embolism which eventuated in a cardiac arrest, the cause of the cardiac arrest (the proximate cause) would be the pulmonary embolism and not the fall. Medical causes can include cardiovascular, chemical, dermatologic, endocrine, environmental, gastroenterologic, genetic, hematologic, gynecologic, iatrogenic, infectious, musculoskeletal, neurologic, nutritional, obstetric, oncologic, otolaryngologic, pharmacologic, psychiatric, pulmonary, renal, rheumatologic, toxic, traumatic, or urologic causes; medical conditions can be causes as well.
 *
 * http://schema.org/MedicalCause
 */
export const MedicalCause = 'http://schema.org/MedicalCause' satisfies Class;

/**
 * MedicalClinic
 *
 * A facility, often associated with a hospital or medical school, that is devoted to the specific diagnosis and/or healthcare. Previously limited to outpatients but with evolution it may be open to inpatients as well.
 *
 * http://schema.org/MedicalClinic
 */
export const MedicalClinic = 'http://schema.org/MedicalClinic' satisfies Class;

/**
 * MedicalCode
 *
 * A code for a medical entity.
 *
 * http://schema.org/MedicalCode
 */
export const MedicalCode = 'http://schema.org/MedicalCode' satisfies Class;

/**
 * MedicalCondition
 *
 * Any condition of the human body that affects the normal functioning of a person, whether physically or mentally. Includes diseases, injuries, disabilities, disorders, syndromes, etc.
 *
 * http://schema.org/MedicalCondition
 */
export const MedicalCondition = 'http://schema.org/MedicalCondition' satisfies Class;

/**
 * MedicalConditionStage
 *
 * A stage of a medical condition, such as 'Stage IIIa'.
 *
 * http://schema.org/MedicalConditionStage
 */
export const MedicalConditionStage = 'http://schema.org/MedicalConditionStage' satisfies Class;

/**
 * MedicalContraindication
 *
 * A condition or factor that serves as a reason to withhold a certain medical therapy. Contraindications can be absolute (there are no reasonable circumstances for undertaking a course of action) or relative (the patient is at higher risk of complications, but these risks may be outweighed by other considerations or mitigated by other measures).
 *
 * http://schema.org/MedicalContraindication
 */
export const MedicalContraindication = 'http://schema.org/MedicalContraindication' satisfies Class;

/**
 * MedicalDevice
 *
 * Any object used in a medical capacity, such as to diagnose or treat a patient.
 *
 * http://schema.org/MedicalDevice
 */
export const MedicalDevice = 'http://schema.org/MedicalDevice' satisfies Class;

/**
 * MedicalDevicePurpose
 *
 * Categories of medical devices, organized by the purpose or intended use of the device.
 *
 * http://schema.org/MedicalDevicePurpose
 */
export const MedicalDevicePurpose = 'http://schema.org/MedicalDevicePurpose' satisfies Class;

/**
 * MedicalEntity
 *
 * The most generic type of entity related to health and the practice of medicine.
 *
 * http://schema.org/MedicalEntity
 */
export const MedicalEntity = 'http://schema.org/MedicalEntity' satisfies Class;

/**
 * MedicalEnumeration
 *
 * Enumerations related to health and the practice of medicine: A concept that is used to attribute a quality to another concept, as a qualifier, a collection of items or a listing of all of the elements of a set in medicine practice.
 *
 * http://schema.org/MedicalEnumeration
 */
export const MedicalEnumeration = 'http://schema.org/MedicalEnumeration' satisfies Class;

/**
 * MedicalEvidenceLevel
 *
 * Level of evidence for a medical guideline. Enumerated type.
 *
 * http://schema.org/MedicalEvidenceLevel
 */
export const MedicalEvidenceLevel = 'http://schema.org/MedicalEvidenceLevel' satisfies Class;

/**
 * MedicalGuideline
 *
 * Any recommendation made by a standard society (e.g. ACC/AHA) or consensus statement that denotes how to diagnose and treat a particular condition. Note: this type should be used to tag the actual guideline recommendation; if the guideline recommendation occurs in a larger scholarly article, use MedicalScholarlyArticle to tag the overall article, not this type. Note also: the organization making the recommendation should be captured in the recognizingAuthority base property of MedicalEntity.
 *
 * http://schema.org/MedicalGuideline
 */
export const MedicalGuideline = 'http://schema.org/MedicalGuideline' satisfies Class;

/**
 * MedicalGuidelineContraindication
 *
 * A guideline contraindication that designates a process as harmful and where quality of the data supporting the contraindication is sound.
 *
 * http://schema.org/MedicalGuidelineContraindication
 */
export const MedicalGuidelineContraindication = 'http://schema.org/MedicalGuidelineContraindication' satisfies Class;

/**
 * MedicalGuidelineRecommendation
 *
 * A guideline recommendation that is regarded as efficacious and where quality of the data supporting the recommendation is sound.
 *
 * http://schema.org/MedicalGuidelineRecommendation
 */
export const MedicalGuidelineRecommendation = 'http://schema.org/MedicalGuidelineRecommendation' satisfies Class;

/**
 * MedicalImagingTechnique
 *
 * Any medical imaging modality typically used for diagnostic purposes. Enumerated type.
 *
 * http://schema.org/MedicalImagingTechnique
 */
export const MedicalImagingTechnique = 'http://schema.org/MedicalImagingTechnique' satisfies Class;

/**
 * MedicalIndication
 *
 * A condition or factor that indicates use of a medical therapy, including signs, symptoms, risk factors, anatomical states, etc.
 *
 * http://schema.org/MedicalIndication
 */
export const MedicalIndication = 'http://schema.org/MedicalIndication' satisfies Class;

/**
 * MedicalIntangible
 *
 * A utility class that serves as the umbrella for a number of 'intangible' things in the medical space.
 *
 * http://schema.org/MedicalIntangible
 */
export const MedicalIntangible = 'http://schema.org/MedicalIntangible' satisfies Class;

/**
 * MedicalObservationalStudy
 *
 * An observational study is a type of medical study that attempts to infer the possible effect of a treatment through observation of a cohort of subjects over a period of time. In an observational study, the assignment of subjects into treatment groups versus control groups is outside the control of the investigator. This is in contrast with controlled studies, such as the randomized controlled trials represented by MedicalTrial, where each subject is randomly assigned to a treatment group or a control group before the start of the treatment.
 *
 * http://schema.org/MedicalObservationalStudy
 */
export const MedicalObservationalStudy = 'http://schema.org/MedicalObservationalStudy' satisfies Class;

/**
 * MedicalObservationalStudyDesign
 *
 * Design models for observational medical studies. Enumerated type.
 *
 * http://schema.org/MedicalObservationalStudyDesign
 */
export const MedicalObservationalStudyDesign = 'http://schema.org/MedicalObservationalStudyDesign' satisfies Class;

/**
 * MedicalOrganization
 *
 * A medical organization (physical or not), such as hospital, institution or clinic.
 *
 * http://schema.org/MedicalOrganization
 */
export const MedicalOrganization = 'http://schema.org/MedicalOrganization' satisfies Class;

/**
 * MedicalProcedure
 *
 * A process of care used in either a diagnostic, therapeutic, preventive or palliative capacity that relies on invasive (surgical), non-invasive, or other techniques.
 *
 * http://schema.org/MedicalProcedure
 */
export const MedicalProcedure = 'http://schema.org/MedicalProcedure' satisfies Class;

/**
 * MedicalProcedureType
 *
 * An enumeration that describes different types of medical procedures.
 *
 * http://schema.org/MedicalProcedureType
 */
export const MedicalProcedureType = 'http://schema.org/MedicalProcedureType' satisfies Class;

/**
 * MedicalRiskCalculator
 *
 * A complex mathematical calculation requiring an online calculator, used to assess prognosis. Note: use the url property of Thing to record any URLs for online calculators.
 *
 * http://schema.org/MedicalRiskCalculator
 */
export const MedicalRiskCalculator = 'http://schema.org/MedicalRiskCalculator' satisfies Class;

/**
 * MedicalRiskEstimator
 *
 * Any rule set or interactive tool for estimating the risk of developing a complication or condition.
 *
 * http://schema.org/MedicalRiskEstimator
 */
export const MedicalRiskEstimator = 'http://schema.org/MedicalRiskEstimator' satisfies Class;

/**
 * MedicalRiskFactor
 *
 * A risk factor is anything that increases a person's likelihood of developing or contracting a disease, medical condition, or complication.
 *
 * http://schema.org/MedicalRiskFactor
 */
export const MedicalRiskFactor = 'http://schema.org/MedicalRiskFactor' satisfies Class;

/**
 * MedicalRiskScore
 *
 * A simple system that adds up the number of risk factors to yield a score that is associated with prognosis, e.g. CHAD score, TIMI risk score.
 *
 * http://schema.org/MedicalRiskScore
 */
export const MedicalRiskScore = 'http://schema.org/MedicalRiskScore' satisfies Class;

/**
 * MedicalScholarlyArticle
 *
 * A scholarly article in the medical domain.
 *
 * http://schema.org/MedicalScholarlyArticle
 */
export const MedicalScholarlyArticle = 'http://schema.org/MedicalScholarlyArticle' satisfies Class;

/**
 * MedicalSign
 *
 * Any physical manifestation of a person's medical condition discoverable by objective diagnostic tests or physical examination.
 *
 * http://schema.org/MedicalSign
 */
export const MedicalSign = 'http://schema.org/MedicalSign' satisfies Class;

/**
 * MedicalSignOrSymptom
 *
 * Any feature associated or not with a medical condition. In medicine a symptom is generally subjective while a sign is objective.
 *
 * http://schema.org/MedicalSignOrSymptom
 */
export const MedicalSignOrSymptom = 'http://schema.org/MedicalSignOrSymptom' satisfies Class;

/**
 * MedicalSpecialty
 *
 * Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.
 *
 * http://schema.org/MedicalSpecialty
 */
export const MedicalSpecialty = 'http://schema.org/MedicalSpecialty' satisfies Class;

/**
 * MedicalStudy
 *
 * A medical study is an umbrella type covering all kinds of research studies relating to human medicine or health, including observational studies and interventional trials and registries, randomized, controlled or not. When the specific type of study is known, use one of the extensions of this type, such as MedicalTrial or MedicalObservationalStudy. Also, note that this type should be used to mark up data that describes the study itself; to tag an article that publishes the results of a study, use MedicalScholarlyArticle. Note: use the code property of MedicalEntity to store study IDs, e.g. clinicaltrials.gov ID.
 *
 * http://schema.org/MedicalStudy
 */
export const MedicalStudy = 'http://schema.org/MedicalStudy' satisfies Class;

/**
 * MedicalStudyStatus
 *
 * The status of a medical study. Enumerated type.
 *
 * http://schema.org/MedicalStudyStatus
 */
export const MedicalStudyStatus = 'http://schema.org/MedicalStudyStatus' satisfies Class;

/**
 * MedicalSymptom
 *
 * Any complaint sensed and expressed by the patient (therefore defined as subjective)  like stomachache, lower-back pain, or fatigue.
 *
 * http://schema.org/MedicalSymptom
 */
export const MedicalSymptom = 'http://schema.org/MedicalSymptom' satisfies Class;

/**
 * MedicalTest
 *
 * Any medical test, typically performed for diagnostic purposes.
 *
 * http://schema.org/MedicalTest
 */
export const MedicalTest = 'http://schema.org/MedicalTest' satisfies Class;

/**
 * MedicalTestPanel
 *
 * Any collection of tests commonly ordered together.
 *
 * http://schema.org/MedicalTestPanel
 */
export const MedicalTestPanel = 'http://schema.org/MedicalTestPanel' satisfies Class;

/**
 * MedicalTherapy
 *
 * Any medical intervention designed to prevent, treat, and cure human diseases and medical conditions, including both curative and palliative therapies. Medical therapies are typically processes of care relying upon pharmacotherapy, behavioral therapy, supportive therapy (with fluid or nutrition for example), or detoxification (e.g. hemodialysis) aimed at improving or preventing a health condition.
 *
 * http://schema.org/MedicalTherapy
 */
export const MedicalTherapy = 'http://schema.org/MedicalTherapy' satisfies Class;

/**
 * MedicalTrial
 *
 * A medical trial is a type of medical study that uses a scientific process to compare the safety and efficacy of medical therapies or medical procedures. In general, medical trials are controlled and subjects are allocated at random to the different treatment and/or control groups.
 *
 * http://schema.org/MedicalTrial
 */
export const MedicalTrial = 'http://schema.org/MedicalTrial' satisfies Class;

/**
 * MedicalTrialDesign
 *
 * Design models for medical trials. Enumerated type.
 *
 * http://schema.org/MedicalTrialDesign
 */
export const MedicalTrialDesign = 'http://schema.org/MedicalTrialDesign' satisfies Class;

/**
 * MedicalWebPage
 *
 * A web page that provides medical information.
 *
 * http://schema.org/MedicalWebPage
 */
export const MedicalWebPage = 'http://schema.org/MedicalWebPage' satisfies Class;

/**
 * MedicineSystem
 *
 * Systems of medical practice.
 *
 * http://schema.org/MedicineSystem
 */
export const MedicineSystem = 'http://schema.org/MedicineSystem' satisfies Class;

/**
 * MeetingRoom
 *
 * A meeting room, conference room, or conference hall is a room provided for singular events such as business conferences and meetings (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Conference_hall">http://en.wikipedia.org/wiki/Conference_hall</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/MeetingRoom
 */
export const MeetingRoom = 'http://schema.org/MeetingRoom' satisfies Class;

/**
 * MemberProgram
 *
 * A MemberProgram defines a loyalty (or membership) program that provides its members with certain benefits, for example better pricing, free shipping or returns, or the ability to earn loyalty points. Member programs may have multiple tiers, for example silver and gold members, each with different benefits.
 *
 * http://schema.org/MemberProgram
 */
export const MemberProgram = 'http://schema.org/MemberProgram' satisfies Class;

/**
 * MemberProgramTier
 *
 * A MemberProgramTier specifies a tier under a loyalty (member) program, for example "gold".
 *
 * http://schema.org/MemberProgramTier
 */
export const MemberProgramTier = 'http://schema.org/MemberProgramTier' satisfies Class;

/**
 * MensClothingStore
 *
 * A men's clothing store.
 *
 * http://schema.org/MensClothingStore
 */
export const MensClothingStore = 'http://schema.org/MensClothingStore' satisfies Class;

/**
 * Menu
 *
 * A structured representation of food or drink items available from a FoodEstablishment.
 *
 * http://schema.org/Menu
 */
export const Menu = 'http://schema.org/Menu' satisfies Class;

/**
 * MenuItem
 *
 * A food or drink item listed in a menu or menu section.
 *
 * http://schema.org/MenuItem
 */
export const MenuItem = 'http://schema.org/MenuItem' satisfies Class;

/**
 * MenuSection
 *
 * A sub-grouping of food or drink items in a menu. E.g. courses (such as 'Dinner', 'Breakfast', etc.), specific type of dishes (such as 'Meat', 'Vegan', 'Drinks', etc.), or some other classification made by the menu provider.
 *
 * http://schema.org/MenuSection
 */
export const MenuSection = 'http://schema.org/MenuSection' satisfies Class;

/**
 * MerchantReturnEnumeration
 *
 * Enumerates several kinds of product return policies.
 *
 * http://schema.org/MerchantReturnEnumeration
 */
export const MerchantReturnEnumeration = 'http://schema.org/MerchantReturnEnumeration' satisfies Class;

/**
 * MerchantReturnPolicy
 *
 * A MerchantReturnPolicy provides information about product return policies associated with an [[Organization]], [[Product]], or [[Offer]].
 *
 * http://schema.org/MerchantReturnPolicy
 */
export const MerchantReturnPolicy = 'http://schema.org/MerchantReturnPolicy' satisfies Class;

/**
 * MerchantReturnPolicySeasonalOverride
 *
 * A seasonal override of a return policy, for example used for holidays.
 *
 * http://schema.org/MerchantReturnPolicySeasonalOverride
 */
export const MerchantReturnPolicySeasonalOverride = 'http://schema.org/MerchantReturnPolicySeasonalOverride' satisfies Class;

/**
 * Message
 *
 * A single message from a sender to one or more organizations or people.
 *
 * http://schema.org/Message
 */
export const Message = 'http://schema.org/Message' satisfies Class;

/**
 * MiddleSchool
 *
 * A middle school (typically for children aged around 11-14, although this varies somewhat).
 *
 * http://schema.org/MiddleSchool
 */
export const MiddleSchool = 'http://schema.org/MiddleSchool' satisfies Class;

/**
 * MobileApplication
 *
 * A software application designed specifically to work well on a mobile device such as a telephone.
 *
 * http://schema.org/MobileApplication
 */
export const MobileApplication = 'http://schema.org/MobileApplication' satisfies Class;

/**
 * MobilePhoneStore
 *
 * A store that sells mobile phones and related accessories.
 *
 * http://schema.org/MobilePhoneStore
 */
export const MobilePhoneStore = 'http://schema.org/MobilePhoneStore' satisfies Class;

/**
 * MolecularEntity
 *
 * Any constitutionally or isotopically distinct atom, molecule, ion, ion pair, radical, radical ion, complex, conformer etc., identifiable as a separately distinguishable entity.
 *
 * http://schema.org/MolecularEntity
 */
export const MolecularEntity = 'http://schema.org/MolecularEntity' satisfies Class;

/**
 * MonetaryAmount
 *
 * A monetary value or range. This type can be used to describe an amount of money such as $50 USD, or a range as in describing a bank account being suitable for a balance between £1,000 and £1,000,000 GBP, or the value of a salary, etc. It is recommended to use [[PriceSpecification]] Types to describe the price of an Offer, Invoice, etc.
 *
 * http://schema.org/MonetaryAmount
 */
export const MonetaryAmount = 'http://schema.org/MonetaryAmount' satisfies Class;

/**
 * MonetaryAmountDistribution
 *
 * A statistical distribution of monetary amounts.
 *
 * http://schema.org/MonetaryAmountDistribution
 */
export const MonetaryAmountDistribution = 'http://schema.org/MonetaryAmountDistribution' satisfies Class;

/**
 * MonetaryGrant
 *
 * A monetary grant.
 *
 * http://schema.org/MonetaryGrant
 */
export const MonetaryGrant = 'http://schema.org/MonetaryGrant' satisfies Class;

/**
 * MoneyTransfer
 *
 * The act of transferring money from one place to another place. This may occur electronically or physically.
 *
 * http://schema.org/MoneyTransfer
 */
export const MoneyTransfer = 'http://schema.org/MoneyTransfer' satisfies Class;

/**
 * MortgageLoan
 *
 * A loan in which property or real estate is used as collateral. (A loan securitized against some real estate.)
 *
 * http://schema.org/MortgageLoan
 */
export const MortgageLoan = 'http://schema.org/MortgageLoan' satisfies Class;

/**
 * Mosque
 *
 * A mosque.
 *
 * http://schema.org/Mosque
 */
export const Mosque = 'http://schema.org/Mosque' satisfies Class;

/**
 * Motel
 *
 * A motel.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/Motel
 */
export const Motel = 'http://schema.org/Motel' satisfies Class;

/**
 * Motorcycle
 *
 * A motorcycle or motorbike is a single-track, two-wheeled motor vehicle.
 *
 * http://schema.org/Motorcycle
 */
export const Motorcycle = 'http://schema.org/Motorcycle' satisfies Class;

/**
 * MotorcycleDealer
 *
 * A motorcycle dealer.
 *
 * http://schema.org/MotorcycleDealer
 */
export const MotorcycleDealer = 'http://schema.org/MotorcycleDealer' satisfies Class;

/**
 * MotorcycleRepair
 *
 * A motorcycle repair shop.
 *
 * http://schema.org/MotorcycleRepair
 */
export const MotorcycleRepair = 'http://schema.org/MotorcycleRepair' satisfies Class;

/**
 * MotorizedBicycle
 *
 * A motorized bicycle is a bicycle with an attached motor used to power the vehicle, or to assist with pedaling.
 *
 * http://schema.org/MotorizedBicycle
 */
export const MotorizedBicycle = 'http://schema.org/MotorizedBicycle' satisfies Class;

/**
 * Mountain
 *
 * A mountain, like Mount Whitney or Mount Everest.
 *
 * http://schema.org/Mountain
 */
export const Mountain = 'http://schema.org/Mountain' satisfies Class;

/**
 * MoveAction
 *
 * The act of an agent relocating to a place.\n\nRelated actions:\n\n* [[TransferAction]]: Unlike TransferAction, the subject of the move is a living Person or Organization rather than an inanimate object.
 *
 * http://schema.org/MoveAction
 */
export const MoveAction = 'http://schema.org/MoveAction' satisfies Class;

/**
 * Movie
 *
 * A movie.
 *
 * http://schema.org/Movie
 */
export const Movie = 'http://schema.org/Movie' satisfies Class;

/**
 * MovieClip
 *
 * A short segment/part of a movie.
 *
 * http://schema.org/MovieClip
 */
export const MovieClip = 'http://schema.org/MovieClip' satisfies Class;

/**
 * MovieRentalStore
 *
 * A movie rental store.
 *
 * http://schema.org/MovieRentalStore
 */
export const MovieRentalStore = 'http://schema.org/MovieRentalStore' satisfies Class;

/**
 * MovieSeries
 *
 * A series of movies. Included movies can be indicated with the hasPart property.
 *
 * http://schema.org/MovieSeries
 */
export const MovieSeries = 'http://schema.org/MovieSeries' satisfies Class;

/**
 * MovieTheater
 *
 * A movie theater.
 *
 * http://schema.org/MovieTheater
 */
export const MovieTheater = 'http://schema.org/MovieTheater' satisfies Class;

/**
 * MovingCompany
 *
 * A moving company.
 *
 * http://schema.org/MovingCompany
 */
export const MovingCompany = 'http://schema.org/MovingCompany' satisfies Class;

/**
 * Muscle
 *
 * A muscle is an anatomical structure consisting of a contractile form of tissue that animals use to effect movement.
 *
 * http://schema.org/Muscle
 */
export const Muscle = 'http://schema.org/Muscle' satisfies Class;

/**
 * Museum
 *
 * A museum.
 *
 * http://schema.org/Museum
 */
export const Museum = 'http://schema.org/Museum' satisfies Class;

/**
 * MusicAlbum
 *
 * A collection of music tracks.
 *
 * http://schema.org/MusicAlbum
 */
export const MusicAlbum = 'http://schema.org/MusicAlbum' satisfies Class;

/**
 * MusicAlbumProductionType
 *
 * Classification of the album by its type of content: soundtrack, live album, studio album, etc.
 *
 * http://schema.org/MusicAlbumProductionType
 */
export const MusicAlbumProductionType = 'http://schema.org/MusicAlbumProductionType' satisfies Class;

/**
 * MusicAlbumReleaseType
 *
 * The kind of release which this album is: single, EP or album.
 *
 * http://schema.org/MusicAlbumReleaseType
 */
export const MusicAlbumReleaseType = 'http://schema.org/MusicAlbumReleaseType' satisfies Class;

/**
 * MusicComposition
 *
 * A musical composition.
 *
 * http://schema.org/MusicComposition
 */
export const MusicComposition = 'http://schema.org/MusicComposition' satisfies Class;

/**
 * MusicEvent
 *
 * Event type: Music event.
 *
 * http://schema.org/MusicEvent
 */
export const MusicEvent = 'http://schema.org/MusicEvent' satisfies Class;

/**
 * MusicGroup
 *
 * A musical group, such as a band, an orchestra, or a choir. Can also be a solo musician.
 *
 * http://schema.org/MusicGroup
 */
export const MusicGroup = 'http://schema.org/MusicGroup' satisfies Class;

/**
 * MusicPlaylist
 *
 * A collection of music tracks in playlist form.
 *
 * http://schema.org/MusicPlaylist
 */
export const MusicPlaylist = 'http://schema.org/MusicPlaylist' satisfies Class;

/**
 * MusicRecording
 *
 * A music recording (track), usually a single song.
 *
 * http://schema.org/MusicRecording
 */
export const MusicRecording = 'http://schema.org/MusicRecording' satisfies Class;

/**
 * MusicRelease
 *
 * A MusicRelease is a specific release of a music album.
 *
 * http://schema.org/MusicRelease
 */
export const MusicRelease = 'http://schema.org/MusicRelease' satisfies Class;

/**
 * MusicReleaseFormatType
 *
 * Format of this release (the type of recording media used, i.e. compact disc, digital media, LP, etc.).
 *
 * http://schema.org/MusicReleaseFormatType
 */
export const MusicReleaseFormatType = 'http://schema.org/MusicReleaseFormatType' satisfies Class;

/**
 * MusicStore
 *
 * A music store.
 *
 * http://schema.org/MusicStore
 */
export const MusicStore = 'http://schema.org/MusicStore' satisfies Class;

/**
 * MusicVenue
 *
 * A music venue.
 *
 * http://schema.org/MusicVenue
 */
export const MusicVenue = 'http://schema.org/MusicVenue' satisfies Class;

/**
 * MusicVideoObject
 *
 * A music video file.
 *
 * http://schema.org/MusicVideoObject
 */
export const MusicVideoObject = 'http://schema.org/MusicVideoObject' satisfies Class;

/**
 * NGO
 *
 * Organization: Non-governmental Organization.
 *
 * http://schema.org/NGO
 */
export const NGO = 'http://schema.org/NGO' satisfies Class;

/**
 * NLNonprofitType
 *
 * NLNonprofitType: Non-profit organization type originating from the Netherlands.
 *
 * http://schema.org/NLNonprofitType
 */
export const NLNonprofitType = 'http://schema.org/NLNonprofitType' satisfies Class;

/**
 * NailSalon
 *
 * A nail salon.
 *
 * http://schema.org/NailSalon
 */
export const NailSalon = 'http://schema.org/NailSalon' satisfies Class;

/**
 * Nerve
 *
 * A common pathway for the electrochemical nerve impulses that are transmitted along each of the axons.
 *
 * http://schema.org/Nerve
 */
export const Nerve = 'http://schema.org/Nerve' satisfies Class;

/**
 * NewsArticle
 *
 * A NewsArticle is an article whose content reports news, or provides background context and supporting materials for understanding the news.
 * 
 * A more detailed overview of [schema.org News markup](/docs/news.html) is also available.
 * 
 *
 * http://schema.org/NewsArticle
 */
export const NewsArticle = 'http://schema.org/NewsArticle' satisfies Class;

/**
 * NewsMediaOrganization
 *
 * A News/Media organization such as a newspaper or TV station.
 *
 * http://schema.org/NewsMediaOrganization
 */
export const NewsMediaOrganization = 'http://schema.org/NewsMediaOrganization' satisfies Class;

/**
 * Newspaper
 *
 * A publication containing information about varied topics that are pertinent to general information, a geographic area, or a specific subject matter (i.e. business, culture, education). Often published daily.
 *
 * http://schema.org/Newspaper
 */
export const Newspaper = 'http://schema.org/Newspaper' satisfies Class;

/**
 * NightClub
 *
 * A nightclub or discotheque.
 *
 * http://schema.org/NightClub
 */
export const NightClub = 'http://schema.org/NightClub' satisfies Class;

/**
 * NonprofitType
 *
 * NonprofitType enumerates several kinds of official non-profit types of which a non-profit organization can be.
 *
 * http://schema.org/NonprofitType
 */
export const NonprofitType = 'http://schema.org/NonprofitType' satisfies Class;

/**
 * Notary
 *
 * A notary.
 *
 * http://schema.org/Notary
 */
export const Notary = 'http://schema.org/Notary' satisfies Class;

/**
 * NoteDigitalDocument
 *
 * A file containing a note, primarily for the author.
 *
 * http://schema.org/NoteDigitalDocument
 */
export const NoteDigitalDocument = 'http://schema.org/NoteDigitalDocument' satisfies Class;

/**
 * Number
 *
 * Data type: Number.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 * Note that `Number` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://schema.org/Number
 */
export const Number__workaround = 'http://schema.org/Number' satisfies Class;

/**
 * NutritionInformation
 *
 * Nutritional information about the recipe.
 *
 * http://schema.org/NutritionInformation
 */
export const NutritionInformation = 'http://schema.org/NutritionInformation' satisfies Class;

/**
 * Observation
 *
 * Instances of the class [[Observation]] are used to specify observations about an entity at a particular time. The principal properties of an [[Observation]] are [[observationAbout]], [[measuredProperty]], [[statType]], [[value] and [[observationDate]]  and [[measuredProperty]]. Some but not all Observations represent a [[QuantitativeValue]]. Quantitative observations can be about a [[StatisticalVariable]], which is an abstract specification about which we can make observations that are grounded at a particular location and time.
 * 
 * Observations can also encode a subset of simple RDF-like statements (its observationAbout, a StatisticalVariable, defining the measuredPoperty; its observationAbout property indicating the entity the statement is about, and [[value]] )
 * 
 * In the context of a quantitative knowledge graph, typical properties could include [[measuredProperty]], [[observationAbout]], [[observationDate]], [[value]], [[unitCode]], [[unitText]], [[measurementMethod]].
 *     
 *
 * http://schema.org/Observation
 */
export const Observation = 'http://schema.org/Observation' satisfies Class;

/**
 * Occupation
 *
 * A profession, may involve prolonged training and/or a formal qualification.
 *
 * http://schema.org/Occupation
 */
export const Occupation = 'http://schema.org/Occupation' satisfies Class;

/**
 * OccupationalExperienceRequirements
 *
 * Indicates employment-related experience requirements, e.g. [[monthsOfExperience]].
 *
 * http://schema.org/OccupationalExperienceRequirements
 */
export const OccupationalExperienceRequirements = 'http://schema.org/OccupationalExperienceRequirements' satisfies Class;

/**
 * OccupationalTherapy
 *
 * A treatment of people with physical, emotional, or social problems, using purposeful activity to help them overcome or learn to deal with their problems.
 *
 * http://schema.org/OccupationalTherapy
 */
export const OccupationalTherapy = 'http://schema.org/OccupationalTherapy' satisfies Class;

/**
 * OceanBodyOfWater
 *
 * An ocean (for example, the Pacific).
 *
 * http://schema.org/OceanBodyOfWater
 */
export const OceanBodyOfWater = 'http://schema.org/OceanBodyOfWater' satisfies Class;

/**
 * Offer
 *
 * An offer to transfer some rights to an item or to provide a service — for example, an offer to sell tickets to an event, to rent the DVD of a movie, to stream a TV show over the internet, to repair a motorcycle, or to loan a book.\n\nNote: As the [[businessFunction]] property, which identifies the form of offer (e.g. sell, lease, repair, dispose), defaults to http://purl.org/goodrelations/v1#Sell; an Offer without a defined businessFunction value can be assumed to be an offer to sell.\n\nFor [GTIN](http://www.gs1.org/barcodes/technical/idkeys/gtin)-related fields, see [Check Digit calculator](http://www.gs1.org/barcodes/support/check_digit_calculator) and [validation guide](http://www.gs1us.org/resources/standards/gtin-validation-guide) from [GS1](http://www.gs1.org/).
 *
 * http://schema.org/Offer
 */
export const Offer = 'http://schema.org/Offer' satisfies Class;

/**
 * OfferCatalog
 *
 * An OfferCatalog is an ItemList that contains related Offers and/or further OfferCatalogs that are offeredBy the same provider.
 *
 * http://schema.org/OfferCatalog
 */
export const OfferCatalog = 'http://schema.org/OfferCatalog' satisfies Class;

/**
 * OfferForLease
 *
 * An [[OfferForLease]] in Schema.org represents an [[Offer]] to lease out something, i.e. an [[Offer]] whose
 *   [[businessFunction]] is [lease out](http://purl.org/goodrelations/v1#LeaseOut.). See [Good Relations](https://en.wikipedia.org/wiki/GoodRelations) for
 *   background on the underlying concepts.
 *   
 *
 * http://schema.org/OfferForLease
 */
export const OfferForLease = 'http://schema.org/OfferForLease' satisfies Class;

/**
 * OfferForPurchase
 *
 * An [[OfferForPurchase]] in Schema.org represents an [[Offer]] to sell something, i.e. an [[Offer]] whose
 *   [[businessFunction]] is [sell](http://purl.org/goodrelations/v1#Sell.). See [Good Relations](https://en.wikipedia.org/wiki/GoodRelations) for
 *   background on the underlying concepts.
 *   
 *
 * http://schema.org/OfferForPurchase
 */
export const OfferForPurchase = 'http://schema.org/OfferForPurchase' satisfies Class;

/**
 * OfferItemCondition
 *
 * A list of possible conditions for the item.
 *
 * http://schema.org/OfferItemCondition
 */
export const OfferItemCondition = 'http://schema.org/OfferItemCondition' satisfies Class;

/**
 * OfferShippingDetails
 *
 * OfferShippingDetails represents information about shipping destinations.
 * 
 * Multiple of these entities can be used to represent different shipping rates for different destinations:
 * 
 * One entity for Alaska/Hawaii. A different one for continental US. A different one for all France.
 * 
 * Multiple of these entities can be used to represent different shipping costs and delivery times.
 * 
 * Two entities that are identical but differ in rate and time:
 * 
 * E.g. Cheaper and slower: $5 in 5-7 days
 * or Fast and expensive: $15 in 1-2 days.
 *
 * http://schema.org/OfferShippingDetails
 */
export const OfferShippingDetails = 'http://schema.org/OfferShippingDetails' satisfies Class;

/**
 * OfficeEquipmentStore
 *
 * An office equipment store.
 *
 * http://schema.org/OfficeEquipmentStore
 */
export const OfficeEquipmentStore = 'http://schema.org/OfficeEquipmentStore' satisfies Class;

/**
 * OnDemandEvent
 *
 * A publication event, e.g. catch-up TV or radio podcast, during which a program is available on-demand.
 *
 * http://schema.org/OnDemandEvent
 */
export const OnDemandEvent = 'http://schema.org/OnDemandEvent' satisfies Class;

/**
 * OnlineBusiness
 *
 * A particular online business, either standalone or the online part of a broader organization. Examples include an eCommerce site, an online travel booking site, an online learning site, an online logistics and shipping provider, an online (virtual) doctor, etc.
 *
 * http://schema.org/OnlineBusiness
 */
export const OnlineBusiness = 'http://schema.org/OnlineBusiness' satisfies Class;

/**
 * OnlineStore
 *
 * An eCommerce site.
 *
 * http://schema.org/OnlineStore
 */
export const OnlineStore = 'http://schema.org/OnlineStore' satisfies Class;

/**
 * OpeningHoursSpecification
 *
 * A structured value providing information about the opening hours of a place or a certain service inside a place.\n\n
 * The place is __open__ if the [[opens]] property is specified, and __closed__ otherwise.\n\nIf the value for the [[closes]] property is less than the value for the [[opens]] property then the hour range is assumed to span over the next day.
 *       
 *
 * http://schema.org/OpeningHoursSpecification
 */
export const OpeningHoursSpecification = 'http://schema.org/OpeningHoursSpecification' satisfies Class;

/**
 * OpinionNewsArticle
 *
 * An [[OpinionNewsArticle]] is a [[NewsArticle]] that primarily expresses opinions rather than journalistic reporting of news and events. For example, a [[NewsArticle]] consisting of a column or [[Blog]]/[[BlogPosting]] entry in the Opinions section of a news publication. 
 *
 * http://schema.org/OpinionNewsArticle
 */
export const OpinionNewsArticle = 'http://schema.org/OpinionNewsArticle' satisfies Class;

/**
 * Optician
 *
 * A store that sells reading glasses and similar devices for improving vision.
 *
 * http://schema.org/Optician
 */
export const Optician = 'http://schema.org/Optician' satisfies Class;

/**
 * Order
 *
 * An order is a confirmation of a transaction (a receipt), which can contain multiple line items, each represented by an Offer that has been accepted by the customer.
 *
 * http://schema.org/Order
 */
export const Order = 'http://schema.org/Order' satisfies Class;

/**
 * OrderAction
 *
 * An agent orders an object/product/service to be delivered/sent.
 *
 * http://schema.org/OrderAction
 */
export const OrderAction = 'http://schema.org/OrderAction' satisfies Class;

/**
 * OrderItem
 *
 * An order item is a line of an order. It includes the quantity and shipping details of a bought offer.
 *
 * http://schema.org/OrderItem
 */
export const OrderItem = 'http://schema.org/OrderItem' satisfies Class;

/**
 * OrderStatus
 *
 * Enumerated status values for Order.
 *
 * http://schema.org/OrderStatus
 */
export const OrderStatus = 'http://schema.org/OrderStatus' satisfies Class;

/**
 * Organization
 *
 * An organization such as a school, NGO, corporation, club, etc.
 *
 * http://schema.org/Organization
 */
export const Organization = 'http://schema.org/Organization' satisfies Class;

/**
 * OrganizationRole
 *
 * A subclass of Role used to describe roles within organizations.
 *
 * http://schema.org/OrganizationRole
 */
export const OrganizationRole = 'http://schema.org/OrganizationRole' satisfies Class;

/**
 * OrganizeAction
 *
 * The act of manipulating/administering/supervising/controlling one or more objects.
 *
 * http://schema.org/OrganizeAction
 */
export const OrganizeAction = 'http://schema.org/OrganizeAction' satisfies Class;

/**
 * OutletStore
 *
 * An outlet store.
 *
 * http://schema.org/OutletStore
 */
export const OutletStore = 'http://schema.org/OutletStore' satisfies Class;

/**
 * OwnershipInfo
 *
 * A structured value providing information about when a certain organization or person owned a certain product.
 *
 * http://schema.org/OwnershipInfo
 */
export const OwnershipInfo = 'http://schema.org/OwnershipInfo' satisfies Class;

/**
 * PaintAction
 *
 * The act of producing a painting, typically with paint and canvas as instruments.
 *
 * http://schema.org/PaintAction
 */
export const PaintAction = 'http://schema.org/PaintAction' satisfies Class;

/**
 * Painting
 *
 * A painting.
 *
 * http://schema.org/Painting
 */
export const Painting = 'http://schema.org/Painting' satisfies Class;

/**
 * PalliativeProcedure
 *
 * A medical procedure intended primarily for palliative purposes, aimed at relieving the symptoms of an underlying health condition.
 *
 * http://schema.org/PalliativeProcedure
 */
export const PalliativeProcedure = 'http://schema.org/PalliativeProcedure' satisfies Class;

/**
 * ParcelDelivery
 *
 * The delivery of a parcel either via the postal service or a commercial service.
 *
 * http://schema.org/ParcelDelivery
 */
export const ParcelDelivery = 'http://schema.org/ParcelDelivery' satisfies Class;

/**
 * ParentAudience
 *
 * A set of characteristics describing parents, who can be interested in viewing some content.
 *
 * http://schema.org/ParentAudience
 */
export const ParentAudience = 'http://schema.org/ParentAudience' satisfies Class;

/**
 * Park
 *
 * A park.
 *
 * http://schema.org/Park
 */
export const Park = 'http://schema.org/Park' satisfies Class;

/**
 * ParkingFacility
 *
 * A parking lot or other parking facility.
 *
 * http://schema.org/ParkingFacility
 */
export const ParkingFacility = 'http://schema.org/ParkingFacility' satisfies Class;

/**
 * PathologyTest
 *
 * A medical test performed by a laboratory that typically involves examination of a tissue sample by a pathologist.
 *
 * http://schema.org/PathologyTest
 */
export const PathologyTest = 'http://schema.org/PathologyTest' satisfies Class;

/**
 * Patient
 *
 * A patient is any person recipient of health care services.
 *
 * http://schema.org/Patient
 */
export const Patient = 'http://schema.org/Patient' satisfies Class;

/**
 * PawnShop
 *
 * A shop that will buy, or lend money against the security of, personal possessions.
 *
 * http://schema.org/PawnShop
 */
export const PawnShop = 'http://schema.org/PawnShop' satisfies Class;

/**
 * PayAction
 *
 * An agent pays a price to a participant.
 *
 * http://schema.org/PayAction
 */
export const PayAction = 'http://schema.org/PayAction' satisfies Class;

/**
 * PaymentCard
 *
 * A payment method using a credit, debit, store or other card to associate the payment with an account.
 *
 * http://schema.org/PaymentCard
 */
export const PaymentCard = 'http://schema.org/PaymentCard' satisfies Class;

/**
 * PaymentChargeSpecification
 *
 * The costs of settling the payment using a particular payment method.
 *
 * http://schema.org/PaymentChargeSpecification
 */
export const PaymentChargeSpecification = 'http://schema.org/PaymentChargeSpecification' satisfies Class;

/**
 * PaymentMethod
 *
 * A payment method is a standardized procedure for transferring the monetary amount for a purchase. Payment methods are characterized by the legal and technical structures used, and by the organization or group carrying out the transaction. The following legacy values should be accepted:
 *     \n\n* http://purl.org/goodrelations/v1#ByBankTransferInAdvance\n* http://purl.org/goodrelations/v1#ByInvoice\n* http://purl.org/goodrelations/v1#Cash\n* http://purl.org/goodrelations/v1#CheckInAdvance\n* http://purl.org/goodrelations/v1#COD\n* http://purl.org/goodrelations/v1#DirectDebit\n* http://purl.org/goodrelations/v1#GoogleCheckout\n* http://purl.org/goodrelations/v1#PayPal\n* http://purl.org/goodrelations/v1#PaySwarm\n\nStructured values are recommended for newer payment methods.
 *
 * http://schema.org/PaymentMethod
 */
export const PaymentMethod = 'http://schema.org/PaymentMethod' satisfies Class;

/**
 * PaymentMethodType
 *
 * The type of payment method, only for generic payment types, specific forms of payments, like card payment should be expressed using subclasses of PaymentMethod.
 *
 * http://schema.org/PaymentMethodType
 */
export const PaymentMethodType = 'http://schema.org/PaymentMethodType' satisfies Class;

/**
 * PaymentService
 *
 * A Service to transfer funds from a person or organization to a beneficiary person or organization.
 *
 * http://schema.org/PaymentService
 */
export const PaymentService = 'http://schema.org/PaymentService' satisfies Class;

/**
 * PaymentStatusType
 *
 * A specific payment status. For example, PaymentDue, PaymentComplete, etc.
 *
 * http://schema.org/PaymentStatusType
 */
export const PaymentStatusType = 'http://schema.org/PaymentStatusType' satisfies Class;

/**
 * PeopleAudience
 *
 * A set of characteristics belonging to people, e.g. who compose an item's target audience.
 *
 * http://schema.org/PeopleAudience
 */
export const PeopleAudience = 'http://schema.org/PeopleAudience' satisfies Class;

/**
 * PerformAction
 *
 * The act of participating in performance arts.
 *
 * http://schema.org/PerformAction
 */
export const PerformAction = 'http://schema.org/PerformAction' satisfies Class;

/**
 * PerformanceRole
 *
 * A PerformanceRole is a Role that some entity places with regard to a theatrical performance, e.g. in a Movie, TVSeries etc.
 *
 * http://schema.org/PerformanceRole
 */
export const PerformanceRole = 'http://schema.org/PerformanceRole' satisfies Class;

/**
 * PerformingArtsTheater
 *
 * A theater or other performing art center.
 *
 * http://schema.org/PerformingArtsTheater
 */
export const PerformingArtsTheater = 'http://schema.org/PerformingArtsTheater' satisfies Class;

/**
 * PerformingGroup
 *
 * A performance group, such as a band, an orchestra, or a circus.
 *
 * http://schema.org/PerformingGroup
 */
export const PerformingGroup = 'http://schema.org/PerformingGroup' satisfies Class;

/**
 * Periodical
 *
 * A publication in any medium issued in successive parts bearing numerical or chronological designations and intended to continue indefinitely, such as a magazine, scholarly journal, or newspaper.\n\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).
 *
 * http://schema.org/Periodical
 */
export const Periodical = 'http://schema.org/Periodical' satisfies Class;

/**
 * Permit
 *
 * A permit issued by an organization, e.g. a parking pass.
 *
 * http://schema.org/Permit
 */
export const Permit = 'http://schema.org/Permit' satisfies Class;

/**
 * Person
 *
 * A person (alive, dead, undead, or fictional).
 *
 * http://schema.org/Person
 */
export const Person = 'http://schema.org/Person' satisfies Class;

/**
 * PetStore
 *
 * A pet store.
 *
 * http://schema.org/PetStore
 */
export const PetStore = 'http://schema.org/PetStore' satisfies Class;

/**
 * Pharmacy
 *
 * A pharmacy or drugstore.
 *
 * http://schema.org/Pharmacy
 */
export const Pharmacy = 'http://schema.org/Pharmacy' satisfies Class;

/**
 * Photograph
 *
 * A photograph.
 *
 * http://schema.org/Photograph
 */
export const Photograph = 'http://schema.org/Photograph' satisfies Class;

/**
 * PhotographAction
 *
 * The act of capturing still images of objects using a camera.
 *
 * http://schema.org/PhotographAction
 */
export const PhotographAction = 'http://schema.org/PhotographAction' satisfies Class;

/**
 * PhysicalActivity
 *
 * Any bodily activity that enhances or maintains physical fitness and overall health and wellness. Includes activity that is part of daily living and routine, structured exercise, and exercise prescribed as part of a medical treatment or recovery plan.
 *
 * http://schema.org/PhysicalActivity
 */
export const PhysicalActivity = 'http://schema.org/PhysicalActivity' satisfies Class;

/**
 * PhysicalActivityCategory
 *
 * Categories of physical activity, organized by physiologic classification.
 *
 * http://schema.org/PhysicalActivityCategory
 */
export const PhysicalActivityCategory = 'http://schema.org/PhysicalActivityCategory' satisfies Class;

/**
 * PhysicalExam
 *
 * A type of physical examination of a patient performed by a physician. 
 *
 * http://schema.org/PhysicalExam
 */
export const PhysicalExam = 'http://schema.org/PhysicalExam' satisfies Class;

/**
 * PhysicalTherapy
 *
 * A process of progressive physical care and rehabilitation aimed at improving a health condition.
 *
 * http://schema.org/PhysicalTherapy
 */
export const PhysicalTherapy = 'http://schema.org/PhysicalTherapy' satisfies Class;

/**
 * Physician
 *
 * An individual physician or a physician's office considered as a [[MedicalOrganization]].
 *
 * http://schema.org/Physician
 */
export const Physician = 'http://schema.org/Physician' satisfies Class;

/**
 * PhysiciansOffice
 *
 * A doctor's office or clinic.
 *
 * http://schema.org/PhysiciansOffice
 */
export const PhysiciansOffice = 'http://schema.org/PhysiciansOffice' satisfies Class;

/**
 * Place
 *
 * Entities that have a somewhat fixed, physical extension.
 *
 * http://schema.org/Place
 */
export const Place = 'http://schema.org/Place' satisfies Class;

/**
 * PlaceOfWorship
 *
 * Place of worship, such as a church, synagogue, or mosque.
 *
 * http://schema.org/PlaceOfWorship
 */
export const PlaceOfWorship = 'http://schema.org/PlaceOfWorship' satisfies Class;

/**
 * PlanAction
 *
 * The act of planning the execution of an event/task/action/reservation/plan to a future date.
 *
 * http://schema.org/PlanAction
 */
export const PlanAction = 'http://schema.org/PlanAction' satisfies Class;

/**
 * Play
 *
 * A play is a form of literature, usually consisting of dialogue between characters, intended for theatrical performance rather than just reading. Note: A performance of a Play would be a [[TheaterEvent]] or [[BroadcastEvent]] - the *Play* being the [[workPerformed]].
 *
 * http://schema.org/Play
 */
export const Play = 'http://schema.org/Play' satisfies Class;

/**
 * PlayAction
 *
 * The act of playing/exercising/training/performing for enjoyment, leisure, recreation, competition or exercise.\n\nRelated actions:\n\n* [[ListenAction]]: Unlike ListenAction (which is under ConsumeAction), PlayAction refers to performing for an audience or at an event, rather than consuming music.\n* [[WatchAction]]: Unlike WatchAction (which is under ConsumeAction), PlayAction refers to showing/displaying for an audience or at an event, rather than consuming visual content.
 *
 * http://schema.org/PlayAction
 */
export const PlayAction = 'http://schema.org/PlayAction' satisfies Class;

/**
 * PlayGameAction
 *
 * The act of playing a video game.
 *
 * http://schema.org/PlayGameAction
 */
export const PlayGameAction = 'http://schema.org/PlayGameAction' satisfies Class;

/**
 * Playground
 *
 * A playground.
 *
 * http://schema.org/Playground
 */
export const Playground = 'http://schema.org/Playground' satisfies Class;

/**
 * Plumber
 *
 * A plumbing service.
 *
 * http://schema.org/Plumber
 */
export const Plumber = 'http://schema.org/Plumber' satisfies Class;

/**
 * PodcastEpisode
 *
 * A single episode of a podcast series.
 *
 * http://schema.org/PodcastEpisode
 */
export const PodcastEpisode = 'http://schema.org/PodcastEpisode' satisfies Class;

/**
 * PodcastSeason
 *
 * A single season of a podcast. Many podcasts do not break down into separate seasons. In that case, PodcastSeries should be used.
 *
 * http://schema.org/PodcastSeason
 */
export const PodcastSeason = 'http://schema.org/PodcastSeason' satisfies Class;

/**
 * PodcastSeries
 *
 * A podcast is an episodic series of digital audio or video files which a user can download and listen to.
 *
 * http://schema.org/PodcastSeries
 */
export const PodcastSeries = 'http://schema.org/PodcastSeries' satisfies Class;

/**
 * PoliceStation
 *
 * A police station.
 *
 * http://schema.org/PoliceStation
 */
export const PoliceStation = 'http://schema.org/PoliceStation' satisfies Class;

/**
 * PoliticalParty
 *
 * Organization: Political Party.
 *
 * http://schema.org/PoliticalParty
 */
export const PoliticalParty = 'http://schema.org/PoliticalParty' satisfies Class;

/**
 * Pond
 *
 * A pond.
 *
 * http://schema.org/Pond
 */
export const Pond = 'http://schema.org/Pond' satisfies Class;

/**
 * PostOffice
 *
 * A post office.
 *
 * http://schema.org/PostOffice
 */
export const PostOffice = 'http://schema.org/PostOffice' satisfies Class;

/**
 * PostalAddress
 *
 * The mailing address.
 *
 * http://schema.org/PostalAddress
 */
export const PostalAddress = 'http://schema.org/PostalAddress' satisfies Class;

/**
 * PostalCodeRangeSpecification
 *
 * Indicates a range of postal codes, usually defined as the set of valid codes between [[postalCodeBegin]] and [[postalCodeEnd]], inclusively.
 *
 * http://schema.org/PostalCodeRangeSpecification
 */
export const PostalCodeRangeSpecification = 'http://schema.org/PostalCodeRangeSpecification' satisfies Class;

/**
 * Poster
 *
 * A large, usually printed placard, bill, or announcement, often illustrated, that is posted to advertise or publicize something.
 *
 * http://schema.org/Poster
 */
export const Poster = 'http://schema.org/Poster' satisfies Class;

/**
 * PreOrderAction
 *
 * An agent orders a (not yet released) object/product/service to be delivered/sent.
 *
 * http://schema.org/PreOrderAction
 */
export const PreOrderAction = 'http://schema.org/PreOrderAction' satisfies Class;

/**
 * PrependAction
 *
 * The act of inserting at the beginning if an ordered collection.
 *
 * http://schema.org/PrependAction
 */
export const PrependAction = 'http://schema.org/PrependAction' satisfies Class;

/**
 * Preschool
 *
 * A preschool.
 *
 * http://schema.org/Preschool
 */
export const Preschool = 'http://schema.org/Preschool' satisfies Class;

/**
 * PresentationDigitalDocument
 *
 * A file containing slides or used for a presentation.
 *
 * http://schema.org/PresentationDigitalDocument
 */
export const PresentationDigitalDocument = 'http://schema.org/PresentationDigitalDocument' satisfies Class;

/**
 * PreventionIndication
 *
 * An indication for preventing an underlying condition, symptom, etc.
 *
 * http://schema.org/PreventionIndication
 */
export const PreventionIndication = 'http://schema.org/PreventionIndication' satisfies Class;

/**
 * PriceComponentTypeEnumeration
 *
 * Enumerates different price components that together make up the total price for an offered product.
 *
 * http://schema.org/PriceComponentTypeEnumeration
 */
export const PriceComponentTypeEnumeration = 'http://schema.org/PriceComponentTypeEnumeration' satisfies Class;

/**
 * PriceSpecification
 *
 * A structured value representing a price or price range. Typically, only the subclasses of this type are used for markup. It is recommended to use [[MonetaryAmount]] to describe independent amounts of money such as a salary, credit card limits, etc.
 *
 * http://schema.org/PriceSpecification
 */
export const PriceSpecification = 'http://schema.org/PriceSpecification' satisfies Class;

/**
 * PriceTypeEnumeration
 *
 * Enumerates different price types, for example list price, invoice price, and sale price.
 *
 * http://schema.org/PriceTypeEnumeration
 */
export const PriceTypeEnumeration = 'http://schema.org/PriceTypeEnumeration' satisfies Class;

/**
 * Product
 *
 * Any offered product or service. For example: a pair of shoes; a concert ticket; the rental of a car; a haircut; or an episode of a TV show streamed online.
 *
 * http://schema.org/Product
 */
export const Product = 'http://schema.org/Product' satisfies Class;

/**
 * ProductCollection
 *
 * A set of products (either [[ProductGroup]]s or specific variants) that are listed together e.g. in an [[Offer]].
 *
 * http://schema.org/ProductCollection
 */
export const ProductCollection = 'http://schema.org/ProductCollection' satisfies Class;

/**
 * ProductGroup
 *
 * A ProductGroup represents a group of [[Product]]s that vary only in certain well-described ways, such as by [[size]], [[color]], [[material]] etc.
 * 
 * While a ProductGroup itself is not directly offered for sale, the various varying products that it represents can be. The ProductGroup serves as a prototype or template, standing in for all of the products who have an [[isVariantOf]] relationship to it. As such, properties (including additional types) can be applied to the ProductGroup to represent characteristics shared by each of the (possibly very many) variants. Properties that reference a ProductGroup are not included in this mechanism; neither are the following specific properties [[variesBy]], [[hasVariant]], [[url]]. 
 *
 * http://schema.org/ProductGroup
 */
export const ProductGroup = 'http://schema.org/ProductGroup' satisfies Class;

/**
 * ProductModel
 *
 * A datasheet or vendor specification of a product (in the sense of a prototypical description).
 *
 * http://schema.org/ProductModel
 */
export const ProductModel = 'http://schema.org/ProductModel' satisfies Class;

/**
 * ProductReturnEnumeration
 *
 * ProductReturnEnumeration enumerates several kinds of product return policy. Note that this structure may not capture all aspects of the policy.
 *
 * http://schema.org/ProductReturnEnumeration
 */
export const ProductReturnEnumeration = 'http://schema.org/ProductReturnEnumeration' satisfies Class;

/**
 * ProductReturnPolicy
 *
 * A ProductReturnPolicy provides information about product return policies associated with an [[Organization]] or [[Product]].
 *
 * http://schema.org/ProductReturnPolicy
 */
export const ProductReturnPolicy = 'http://schema.org/ProductReturnPolicy' satisfies Class;

/**
 * ProfessionalService
 *
 * Original definition: "provider of professional services."\n\nThe general [[ProfessionalService]] type for local businesses was deprecated due to confusion with [[Service]]. For reference, the types that it included were: [[Dentist]],
 *         [[AccountingService]], [[Attorney]], [[Notary]], as well as types for several kinds of [[HomeAndConstructionBusiness]]: [[Electrician]], [[GeneralContractor]],
 *         [[HousePainter]], [[Locksmith]], [[Plumber]], [[RoofingContractor]]. [[LegalService]] was introduced as a more inclusive supertype of [[Attorney]].
 *
 * http://schema.org/ProfessionalService
 */
export const ProfessionalService = 'http://schema.org/ProfessionalService' satisfies Class;

/**
 * ProfilePage
 *
 * Web page type: Profile page.
 *
 * http://schema.org/ProfilePage
 */
export const ProfilePage = 'http://schema.org/ProfilePage' satisfies Class;

/**
 * ProgramMembership
 *
 * Used to describe membership in a loyalty programs (e.g. "StarAliance"), traveler clubs (e.g. "AAA"), purchase clubs ("Safeway Club"), etc.
 *
 * http://schema.org/ProgramMembership
 */
export const ProgramMembership = 'http://schema.org/ProgramMembership' satisfies Class;

/**
 * Project
 *
 * An enterprise (potentially individual but typically collaborative), planned to achieve a particular aim.
 * Use properties from [[Organization]], [[subOrganization]]/[[parentOrganization]] to indicate project sub-structures. 
 *    
 *
 * http://schema.org/Project
 */
export const Project = 'http://schema.org/Project' satisfies Class;

/**
 * PronounceableText
 *
 * Data type: PronounceableText.
 *
 * http://schema.org/PronounceableText
 */
export const PronounceableText = 'http://schema.org/PronounceableText' satisfies Class;

/**
 * Property
 *
 * A property, used to indicate attributes and relationships of some Thing; equivalent to rdf:Property.
 *
 * http://schema.org/Property
 */
export const Property = 'http://schema.org/Property' satisfies Class;

/**
 * PropertyValue
 *
 * A property-value pair, e.g. representing a feature of a product or place. Use the 'name' property for the name of the property. If there is an additional human-readable version of the value, put that into the 'description' property.\n\n Always use specific schema.org properties when a) they exist and b) you can populate them. Using PropertyValue as a substitute will typically not trigger the same effect as using the original, specific property.
 *     
 *
 * http://schema.org/PropertyValue
 */
export const PropertyValue = 'http://schema.org/PropertyValue' satisfies Class;

/**
 * PropertyValueSpecification
 *
 * A Property value specification.
 *
 * http://schema.org/PropertyValueSpecification
 */
export const PropertyValueSpecification = 'http://schema.org/PropertyValueSpecification' satisfies Class;

/**
 * Protein
 *
 * Protein is here used in its widest possible definition, as classes of amino acid based molecules. Amyloid-beta Protein in human (UniProt P05067), eukaryota (e.g. an OrthoDB group) or even a single molecule that one can point to are all of type :Protein. A protein can thus be a subclass of another protein, e.g. :Protein as a UniProt record can have multiple isoforms inside it which would also be :Protein. They can be imagined, synthetic, hypothetical or naturally occurring.
 *
 * http://schema.org/Protein
 */
export const Protein = 'http://schema.org/Protein' satisfies Class;

/**
 * PsychologicalTreatment
 *
 * A process of care relying upon counseling, dialogue and communication  aimed at improving a mental health condition without use of drugs.
 *
 * http://schema.org/PsychologicalTreatment
 */
export const PsychologicalTreatment = 'http://schema.org/PsychologicalTreatment' satisfies Class;

/**
 * PublicSwimmingPool
 *
 * A public swimming pool.
 *
 * http://schema.org/PublicSwimmingPool
 */
export const PublicSwimmingPool = 'http://schema.org/PublicSwimmingPool' satisfies Class;

/**
 * PublicToilet
 *
 * A public toilet is a room or small building containing one or more toilets (and possibly also urinals) which is available for use by the general public, or by customers or employees of certain businesses.
 *
 * http://schema.org/PublicToilet
 */
export const PublicToilet = 'http://schema.org/PublicToilet' satisfies Class;

/**
 * PublicationEvent
 *
 * A PublicationEvent corresponds indifferently to the event of publication for a CreativeWork of any type, e.g. a broadcast event, an on-demand event, a book/journal publication via a variety of delivery media.
 *
 * http://schema.org/PublicationEvent
 */
export const PublicationEvent = 'http://schema.org/PublicationEvent' satisfies Class;

/**
 * PublicationIssue
 *
 * A part of a successively published publication such as a periodical or publication volume, often numbered, usually containing a grouping of works such as articles.\n\nSee also [blog post](https://blog-schema.org/2014/09/02/schema-org-support-for-bibliographic-relationships-and-periodicals/).
 *
 * http://schema.org/PublicationIssue
 */
export const PublicationIssue = 'http://schema.org/PublicationIssue' satisfies Class;

/**
 * PublicationVolume
 *
 * A part of a successively published publication such as a periodical or multi-volume work, often numbered. It may represent a time span, such as a year.\n\nSee also [blog post](https://blog-schema.org/2014/09/02/schema-org-support-for-bibliographic-relationships-and-periodicals/).
 *
 * http://schema.org/PublicationVolume
 */
export const PublicationVolume = 'http://schema.org/PublicationVolume' satisfies Class;

/**
 * PurchaseType
 *
 * Enumerates a purchase type for an item.
 *
 * http://schema.org/PurchaseType
 */
export const PurchaseType = 'http://schema.org/PurchaseType' satisfies Class;

/**
 * QAPage
 *
 * A QAPage is a WebPage focussed on a specific Question and its Answer(s), e.g. in a question answering site or documenting Frequently Asked Questions (FAQs).
 *
 * http://schema.org/QAPage
 */
export const QAPage = 'http://schema.org/QAPage' satisfies Class;

/**
 * QualitativeValue
 *
 * A predefined value for a product characteristic, e.g. the power cord plug type 'US' or the garment sizes 'S', 'M', 'L', and 'XL'.
 *
 * http://schema.org/QualitativeValue
 */
export const QualitativeValue = 'http://schema.org/QualitativeValue' satisfies Class;

/**
 * QuantitativeValue
 *
 *  A point value or interval for product characteristics and other purposes.
 *
 * http://schema.org/QuantitativeValue
 */
export const QuantitativeValue = 'http://schema.org/QuantitativeValue' satisfies Class;

/**
 * QuantitativeValueDistribution
 *
 * A statistical distribution of values.
 *
 * http://schema.org/QuantitativeValueDistribution
 */
export const QuantitativeValueDistribution = 'http://schema.org/QuantitativeValueDistribution' satisfies Class;

/**
 * Quantity
 *
 * Quantities such as distance, time, mass, weight, etc. Particular instances of say Mass are entities like '3 kg' or '4 milligrams'.
 *
 * http://schema.org/Quantity
 */
export const Quantity = 'http://schema.org/Quantity' satisfies Class;

/**
 * Question
 *
 * A specific question - e.g. from a user seeking answers online, or collected in a Frequently Asked Questions (FAQ) document.
 *
 * http://schema.org/Question
 */
export const Question = 'http://schema.org/Question' satisfies Class;

/**
 * Quiz
 *
 * Quiz: A test of knowledge, skills and abilities.
 *
 * http://schema.org/Quiz
 */
export const Quiz = 'http://schema.org/Quiz' satisfies Class;

/**
 * Quotation
 *
 * A quotation. Often but not necessarily from some written work, attributable to a real world author and - if associated with a fictional character - to any fictional Person. Use [[isBasedOn]] to link to source/origin. The [[recordedIn]] property can be used to reference a Quotation from an [[Event]].
 *
 * http://schema.org/Quotation
 */
export const Quotation = 'http://schema.org/Quotation' satisfies Class;

/**
 * QuoteAction
 *
 * An agent quotes/estimates/appraises an object/product/service with a price at a location/store.
 *
 * http://schema.org/QuoteAction
 */
export const QuoteAction = 'http://schema.org/QuoteAction' satisfies Class;

/**
 * RVPark
 *
 * A place offering space for "Recreational Vehicles", Caravans, mobile homes and the like.
 *
 * http://schema.org/RVPark
 */
export const RVPark = 'http://schema.org/RVPark' satisfies Class;

/**
 * RadiationTherapy
 *
 * A process of care using radiation aimed at improving a health condition.
 *
 * http://schema.org/RadiationTherapy
 */
export const RadiationTherapy = 'http://schema.org/RadiationTherapy' satisfies Class;

/**
 * RadioBroadcastService
 *
 * A delivery service through which radio content is provided via broadcast over the air or online.
 *
 * http://schema.org/RadioBroadcastService
 */
export const RadioBroadcastService = 'http://schema.org/RadioBroadcastService' satisfies Class;

/**
 * RadioChannel
 *
 * A unique instance of a radio BroadcastService on a CableOrSatelliteService lineup.
 *
 * http://schema.org/RadioChannel
 */
export const RadioChannel = 'http://schema.org/RadioChannel' satisfies Class;

/**
 * RadioClip
 *
 * A short radio program or a segment/part of a radio program.
 *
 * http://schema.org/RadioClip
 */
export const RadioClip = 'http://schema.org/RadioClip' satisfies Class;

/**
 * RadioEpisode
 *
 * A radio episode which can be part of a series or season.
 *
 * http://schema.org/RadioEpisode
 */
export const RadioEpisode = 'http://schema.org/RadioEpisode' satisfies Class;

/**
 * RadioSeason
 *
 * Season dedicated to radio broadcast and associated online delivery.
 *
 * http://schema.org/RadioSeason
 */
export const RadioSeason = 'http://schema.org/RadioSeason' satisfies Class;

/**
 * RadioSeries
 *
 * CreativeWorkSeries dedicated to radio broadcast and associated online delivery.
 *
 * http://schema.org/RadioSeries
 */
export const RadioSeries = 'http://schema.org/RadioSeries' satisfies Class;

/**
 * RadioStation
 *
 * A radio station.
 *
 * http://schema.org/RadioStation
 */
export const RadioStation = 'http://schema.org/RadioStation' satisfies Class;

/**
 * Rating
 *
 * A rating is an evaluation on a numeric scale, such as 1 to 5 stars.
 *
 * http://schema.org/Rating
 */
export const Rating = 'http://schema.org/Rating' satisfies Class;

/**
 * ReactAction
 *
 * The act of responding instinctively and emotionally to an object, expressing a sentiment.
 *
 * http://schema.org/ReactAction
 */
export const ReactAction = 'http://schema.org/ReactAction' satisfies Class;

/**
 * ReadAction
 *
 * The act of consuming written content.
 *
 * http://schema.org/ReadAction
 */
export const ReadAction = 'http://schema.org/ReadAction' satisfies Class;

/**
 * RealEstateAgent
 *
 * A real-estate agent.
 *
 * http://schema.org/RealEstateAgent
 */
export const RealEstateAgent = 'http://schema.org/RealEstateAgent' satisfies Class;

/**
 * RealEstateListing
 *
 * A [[RealEstateListing]] is a listing that describes one or more real-estate [[Offer]]s (whose [[businessFunction]] is typically to lease out, or to sell).
 *   The [[RealEstateListing]] type itself represents the overall listing, as manifested in some [[WebPage]].
 *   
 *
 * http://schema.org/RealEstateListing
 */
export const RealEstateListing = 'http://schema.org/RealEstateListing' satisfies Class;

/**
 * ReceiveAction
 *
 * The act of physically/electronically taking delivery of an object that has been transferred from an origin to a destination. Reciprocal of SendAction.\n\nRelated actions:\n\n* [[SendAction]]: The reciprocal of ReceiveAction.\n* [[TakeAction]]: Unlike TakeAction, ReceiveAction does not imply that the ownership has been transferred (e.g. I can receive a package, but it does not mean the package is now mine).
 *
 * http://schema.org/ReceiveAction
 */
export const ReceiveAction = 'http://schema.org/ReceiveAction' satisfies Class;

/**
 * Recipe
 *
 * A recipe. For dietary restrictions covered by the recipe, a few common restrictions are enumerated via [[suitableForDiet]]. The [[keywords]] property can also be used to add more detail.
 *
 * http://schema.org/Recipe
 */
export const Recipe = 'http://schema.org/Recipe' satisfies Class;

/**
 * Recommendation
 *
 * [[Recommendation]] is a type of [[Review]] that suggests or proposes something as the best option or best course of action. Recommendations may be for products or services, or other concrete things, as in the case of a ranked list or product guide. A [[Guide]] may list multiple recommendations for different categories. For example, in a [[Guide]] about which TVs to buy, the author may have several [[Recommendation]]s.
 *
 * http://schema.org/Recommendation
 */
export const Recommendation = 'http://schema.org/Recommendation' satisfies Class;

/**
 * RecommendedDoseSchedule
 *
 * A recommended dosing schedule for a drug or supplement as prescribed or recommended by an authority or by the drug/supplement's manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.
 *
 * http://schema.org/RecommendedDoseSchedule
 */
export const RecommendedDoseSchedule = 'http://schema.org/RecommendedDoseSchedule' satisfies Class;

/**
 * RecyclingCenter
 *
 * A recycling center.
 *
 * http://schema.org/RecyclingCenter
 */
export const RecyclingCenter = 'http://schema.org/RecyclingCenter' satisfies Class;

/**
 * RefundTypeEnumeration
 *
 * Enumerates several kinds of product return refund types.
 *
 * http://schema.org/RefundTypeEnumeration
 */
export const RefundTypeEnumeration = 'http://schema.org/RefundTypeEnumeration' satisfies Class;

/**
 * RegisterAction
 *
 * The act of registering to be a user of a service, product or web page.\n\nRelated actions:\n\n* [[JoinAction]]: Unlike JoinAction, RegisterAction implies you are registering to be a user of a service, *not* a group/team of people.\n* [[FollowAction]]: Unlike FollowAction, RegisterAction doesn't imply that the agent is expecting to poll for updates from the object.\n* [[SubscribeAction]]: Unlike SubscribeAction, RegisterAction doesn't imply that the agent is expecting updates from the object.
 *
 * http://schema.org/RegisterAction
 */
export const RegisterAction = 'http://schema.org/RegisterAction' satisfies Class;

/**
 * RejectAction
 *
 * The act of rejecting to/adopting an object.\n\nRelated actions:\n\n* [[AcceptAction]]: The antonym of RejectAction.
 *
 * http://schema.org/RejectAction
 */
export const RejectAction = 'http://schema.org/RejectAction' satisfies Class;

/**
 * RentAction
 *
 * The act of giving money in return for temporary use, but not ownership, of an object such as a vehicle or property. For example, an agent rents a property from a landlord in exchange for a periodic payment.
 *
 * http://schema.org/RentAction
 */
export const RentAction = 'http://schema.org/RentAction' satisfies Class;

/**
 * RentalCarReservation
 *
 * A reservation for a rental car.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 *
 * http://schema.org/RentalCarReservation
 */
export const RentalCarReservation = 'http://schema.org/RentalCarReservation' satisfies Class;

/**
 * RepaymentSpecification
 *
 * A structured value representing repayment.
 *
 * http://schema.org/RepaymentSpecification
 */
export const RepaymentSpecification = 'http://schema.org/RepaymentSpecification' satisfies Class;

/**
 * ReplaceAction
 *
 * The act of editing a recipient by replacing an old object with a new object.
 *
 * http://schema.org/ReplaceAction
 */
export const ReplaceAction = 'http://schema.org/ReplaceAction' satisfies Class;

/**
 * ReplyAction
 *
 * The act of responding to a question/message asked/sent by the object. Related to [[AskAction]].\n\nRelated actions:\n\n* [[AskAction]]: Appears generally as an origin of a ReplyAction.
 *
 * http://schema.org/ReplyAction
 */
export const ReplyAction = 'http://schema.org/ReplyAction' satisfies Class;

/**
 * Report
 *
 * A Report generated by governmental or non-governmental organization.
 *
 * http://schema.org/Report
 */
export const Report = 'http://schema.org/Report' satisfies Class;

/**
 * ReportageNewsArticle
 *
 * The [[ReportageNewsArticle]] type is a subtype of [[NewsArticle]] representing
 *  news articles which are the result of journalistic news reporting conventions.
 * 
 * In practice many news publishers produce a wide variety of article types, many of which might be considered a [[NewsArticle]] but not a [[ReportageNewsArticle]]. For example, opinion pieces, reviews, analysis, sponsored or satirical articles, or articles that combine several of these elements.
 * 
 * The [[ReportageNewsArticle]] type is based on a stricter ideal for "news" as a work of journalism, with articles based on factual information either observed or verified by the author, or reported and verified from knowledgeable sources.  This often includes perspectives from multiple viewpoints on a particular issue (distinguishing news reports from public relations or propaganda).  News reports in the [[ReportageNewsArticle]] sense de-emphasize the opinion of the author, with commentary and value judgements typically expressed elsewhere.
 * 
 * A [[ReportageNewsArticle]] which goes deeper into analysis can also be marked with an additional type of [[AnalysisNewsArticle]].
 * 
 *
 * http://schema.org/ReportageNewsArticle
 */
export const ReportageNewsArticle = 'http://schema.org/ReportageNewsArticle' satisfies Class;

/**
 * ReportedDoseSchedule
 *
 * A patient-reported or observed dosing schedule for a drug or supplement.
 *
 * http://schema.org/ReportedDoseSchedule
 */
export const ReportedDoseSchedule = 'http://schema.org/ReportedDoseSchedule' satisfies Class;

/**
 * ResearchOrganization
 *
 * A Research Organization (e.g. scientific institute, research company).
 *
 * http://schema.org/ResearchOrganization
 */
export const ResearchOrganization = 'http://schema.org/ResearchOrganization' satisfies Class;

/**
 * ResearchProject
 *
 * A Research project.
 *
 * http://schema.org/ResearchProject
 */
export const ResearchProject = 'http://schema.org/ResearchProject' satisfies Class;

/**
 * Researcher
 *
 * Researchers.
 *
 * http://schema.org/Researcher
 */
export const Researcher = 'http://schema.org/Researcher' satisfies Class;

/**
 * Reservation
 *
 * Describes a reservation for travel, dining or an event. Some reservations require tickets. \n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, restaurant reservations, flights, or rental cars, use [[Offer]].
 *
 * http://schema.org/Reservation
 */
export const Reservation = 'http://schema.org/Reservation' satisfies Class;

/**
 * ReservationPackage
 *
 * A group of multiple reservations with common values for all sub-reservations.
 *
 * http://schema.org/ReservationPackage
 */
export const ReservationPackage = 'http://schema.org/ReservationPackage' satisfies Class;

/**
 * ReservationStatusType
 *
 * Enumerated status values for Reservation.
 *
 * http://schema.org/ReservationStatusType
 */
export const ReservationStatusType = 'http://schema.org/ReservationStatusType' satisfies Class;

/**
 * ReserveAction
 *
 * Reserving a concrete object.\n\nRelated actions:\n\n* [[ScheduleAction]]: Unlike ScheduleAction, ReserveAction reserves concrete objects (e.g. a table, a hotel) towards a time slot / spatial allocation.
 *
 * http://schema.org/ReserveAction
 */
export const ReserveAction = 'http://schema.org/ReserveAction' satisfies Class;

/**
 * Reservoir
 *
 * A reservoir of water, typically an artificially created lake, like the Lake Kariba reservoir.
 *
 * http://schema.org/Reservoir
 */
export const Reservoir = 'http://schema.org/Reservoir' satisfies Class;

/**
 * Residence
 *
 * The place where a person lives.
 *
 * http://schema.org/Residence
 */
export const Residence = 'http://schema.org/Residence' satisfies Class;

/**
 * Resort
 *
 * A resort is a place used for relaxation or recreation, attracting visitors for holidays or vacations. Resorts are places, towns or sometimes commercial establishments operated by a single company (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Resort">http://en.wikipedia.org/wiki/Resort</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *     
 *
 * http://schema.org/Resort
 */
export const Resort = 'http://schema.org/Resort' satisfies Class;

/**
 * Restaurant
 *
 * A restaurant.
 *
 * http://schema.org/Restaurant
 */
export const Restaurant = 'http://schema.org/Restaurant' satisfies Class;

/**
 * RestrictedDiet
 *
 * A diet restricted to certain foods or preparations for cultural, religious, health or lifestyle reasons. 
 *
 * http://schema.org/RestrictedDiet
 */
export const RestrictedDiet = 'http://schema.org/RestrictedDiet' satisfies Class;

/**
 * ResumeAction
 *
 * The act of resuming a device or application which was formerly paused (e.g. resume music playback or resume a timer).
 *
 * http://schema.org/ResumeAction
 */
export const ResumeAction = 'http://schema.org/ResumeAction' satisfies Class;

/**
 * ReturnAction
 *
 * The act of returning to the origin that which was previously received (concrete objects) or taken (ownership).
 *
 * http://schema.org/ReturnAction
 */
export const ReturnAction = 'http://schema.org/ReturnAction' satisfies Class;

/**
 * ReturnFeesEnumeration
 *
 * Enumerates several kinds of policies for product return fees.
 *
 * http://schema.org/ReturnFeesEnumeration
 */
export const ReturnFeesEnumeration = 'http://schema.org/ReturnFeesEnumeration' satisfies Class;

/**
 * ReturnLabelSourceEnumeration
 *
 * Enumerates several types of return labels for product returns.
 *
 * http://schema.org/ReturnLabelSourceEnumeration
 */
export const ReturnLabelSourceEnumeration = 'http://schema.org/ReturnLabelSourceEnumeration' satisfies Class;

/**
 * ReturnMethodEnumeration
 *
 * Enumerates several types of product return methods.
 *
 * http://schema.org/ReturnMethodEnumeration
 */
export const ReturnMethodEnumeration = 'http://schema.org/ReturnMethodEnumeration' satisfies Class;

/**
 * Review
 *
 * A review of an item - for example, of a restaurant, movie, or store.
 *
 * http://schema.org/Review
 */
export const Review = 'http://schema.org/Review' satisfies Class;

/**
 * ReviewAction
 *
 * The act of producing a balanced opinion about the object for an audience. An agent reviews an object with participants resulting in a review.
 *
 * http://schema.org/ReviewAction
 */
export const ReviewAction = 'http://schema.org/ReviewAction' satisfies Class;

/**
 * ReviewNewsArticle
 *
 * A [[NewsArticle]] and [[CriticReview]] providing a professional critic's assessment of a service, product, performance, or artistic or literary work.
 *
 * http://schema.org/ReviewNewsArticle
 */
export const ReviewNewsArticle = 'http://schema.org/ReviewNewsArticle' satisfies Class;

/**
 * RiverBodyOfWater
 *
 * A river (for example, the broad majestic Shannon).
 *
 * http://schema.org/RiverBodyOfWater
 */
export const RiverBodyOfWater = 'http://schema.org/RiverBodyOfWater' satisfies Class;

/**
 * Role
 *
 * Represents additional information about a relationship or property. For example a Role can be used to say that a 'member' role linking some SportsTeam to a player occurred during a particular time period. Or that a Person's 'actor' role in a Movie was for some particular characterName. Such properties can be attached to a Role entity, which is then associated with the main entities using ordinary properties like 'member' or 'actor'.\n\nSee also [blog post](http://blog.schema.org/2014/06/introducing-role.html).
 *
 * http://schema.org/Role
 */
export const Role = 'http://schema.org/Role' satisfies Class;

/**
 * RoofingContractor
 *
 * A roofing contractor.
 *
 * http://schema.org/RoofingContractor
 */
export const RoofingContractor = 'http://schema.org/RoofingContractor' satisfies Class;

/**
 * Room
 *
 * A room is a distinguishable space within a structure, usually separated from other spaces by interior walls (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Room">http://en.wikipedia.org/wiki/Room</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/Room
 */
export const Room = 'http://schema.org/Room' satisfies Class;

/**
 * RsvpAction
 *
 * The act of notifying an event organizer as to whether you expect to attend the event.
 *
 * http://schema.org/RsvpAction
 */
export const RsvpAction = 'http://schema.org/RsvpAction' satisfies Class;

/**
 * RsvpResponseType
 *
 * RsvpResponseType is an enumeration type whose instances represent responding to an RSVP request.
 *
 * http://schema.org/RsvpResponseType
 */
export const RsvpResponseType = 'http://schema.org/RsvpResponseType' satisfies Class;

/**
 * SaleEvent
 *
 * Event type: Sales event.
 *
 * http://schema.org/SaleEvent
 */
export const SaleEvent = 'http://schema.org/SaleEvent' satisfies Class;

/**
 * SatiricalArticle
 *
 * An [[Article]] whose content is primarily [[satirical]](https://en.wikipedia.org/wiki/Satire) in nature, i.e. unlikely to be literally true. A satirical article is sometimes but not necessarily also a [[NewsArticle]]. [[ScholarlyArticle]]s are also sometimes satirized.
 *
 * http://schema.org/SatiricalArticle
 */
export const SatiricalArticle = 'http://schema.org/SatiricalArticle' satisfies Class;

/**
 * Schedule
 *
 * A schedule defines a repeating time period used to describe a regularly occurring [[Event]]. At a minimum a schedule will specify [[repeatFrequency]] which describes the interval between occurrences of the event. Additional information can be provided to specify the schedule more precisely.
 *       This includes identifying the day(s) of the week or month when the recurring event will take place, in addition to its start and end time. Schedules may also
 *       have start and end dates to indicate when they are active, e.g. to define a limited calendar of events.
 *
 * http://schema.org/Schedule
 */
export const Schedule = 'http://schema.org/Schedule' satisfies Class;

/**
 * ScheduleAction
 *
 * Scheduling future actions, events, or tasks.\n\nRelated actions:\n\n* [[ReserveAction]]: Unlike ReserveAction, ScheduleAction allocates future actions (e.g. an event, a task, etc) towards a time slot / spatial allocation.
 *
 * http://schema.org/ScheduleAction
 */
export const ScheduleAction = 'http://schema.org/ScheduleAction' satisfies Class;

/**
 * ScholarlyArticle
 *
 * A scholarly article.
 *
 * http://schema.org/ScholarlyArticle
 */
export const ScholarlyArticle = 'http://schema.org/ScholarlyArticle' satisfies Class;

/**
 * School
 *
 * A school.
 *
 * http://schema.org/School
 */
export const School = 'http://schema.org/School' satisfies Class;

/**
 * SchoolDistrict
 *
 * A School District is an administrative area for the administration of schools.
 *
 * http://schema.org/SchoolDistrict
 */
export const SchoolDistrict = 'http://schema.org/SchoolDistrict' satisfies Class;

/**
 * ScreeningEvent
 *
 * A screening of a movie or other video.
 *
 * http://schema.org/ScreeningEvent
 */
export const ScreeningEvent = 'http://schema.org/ScreeningEvent' satisfies Class;

/**
 * Sculpture
 *
 * A piece of sculpture.
 *
 * http://schema.org/Sculpture
 */
export const Sculpture = 'http://schema.org/Sculpture' satisfies Class;

/**
 * SeaBodyOfWater
 *
 * A sea (for example, the Caspian sea).
 *
 * http://schema.org/SeaBodyOfWater
 */
export const SeaBodyOfWater = 'http://schema.org/SeaBodyOfWater' satisfies Class;

/**
 * SearchAction
 *
 * The act of searching for an object.\n\nRelated actions:\n\n* [[FindAction]]: SearchAction generally leads to a FindAction, but not necessarily.
 *
 * http://schema.org/SearchAction
 */
export const SearchAction = 'http://schema.org/SearchAction' satisfies Class;

/**
 * SearchRescueOrganization
 *
 * A Search and Rescue organization of some kind.
 *
 * http://schema.org/SearchRescueOrganization
 */
export const SearchRescueOrganization = 'http://schema.org/SearchRescueOrganization' satisfies Class;

/**
 * SearchResultsPage
 *
 * Web page type: Search results page.
 *
 * http://schema.org/SearchResultsPage
 */
export const SearchResultsPage = 'http://schema.org/SearchResultsPage' satisfies Class;

/**
 * Season
 *
 * A media season, e.g. TV, radio, video game etc.
 *
 * http://schema.org/Season
 */
export const Season = 'http://schema.org/Season' satisfies Class;

/**
 * Seat
 *
 * Used to describe a seat, such as a reserved seat in an event reservation.
 *
 * http://schema.org/Seat
 */
export const Seat = 'http://schema.org/Seat' satisfies Class;

/**
 * SeekToAction
 *
 * This is the [[Action]] of navigating to a specific [[startOffset]] timestamp within a [[VideoObject]], typically represented with a URL template structure.
 *
 * http://schema.org/SeekToAction
 */
export const SeekToAction = 'http://schema.org/SeekToAction' satisfies Class;

/**
 * SelfStorage
 *
 * A self-storage facility.
 *
 * http://schema.org/SelfStorage
 */
export const SelfStorage = 'http://schema.org/SelfStorage' satisfies Class;

/**
 * SellAction
 *
 * The act of taking money from a buyer in exchange for goods or services rendered. An agent sells an object, product, or service to a buyer for a price. Reciprocal of BuyAction.
 *
 * http://schema.org/SellAction
 */
export const SellAction = 'http://schema.org/SellAction' satisfies Class;

/**
 * SendAction
 *
 * The act of physically/electronically dispatching an object for transfer from an origin to a destination. Related actions:\n\n* [[ReceiveAction]]: The reciprocal of SendAction.\n* [[GiveAction]]: Unlike GiveAction, SendAction does not imply the transfer of ownership (e.g. I can send you my laptop, but I'm not necessarily giving it to you).
 *
 * http://schema.org/SendAction
 */
export const SendAction = 'http://schema.org/SendAction' satisfies Class;

/**
 * Series
 *
 * A Series in schema.org is a group of related items, typically but not necessarily of the same kind. See also [[CreativeWorkSeries]], [[EventSeries]].
 *
 * http://schema.org/Series
 */
export const Series = 'http://schema.org/Series' satisfies Class;

/**
 * Service
 *
 * A service provided by an organization, e.g. delivery service, print services, etc.
 *
 * http://schema.org/Service
 */
export const Service = 'http://schema.org/Service' satisfies Class;

/**
 * ServiceChannel
 *
 * A means for accessing a service, e.g. a government office location, web site, or phone number.
 *
 * http://schema.org/ServiceChannel
 */
export const ServiceChannel = 'http://schema.org/ServiceChannel' satisfies Class;

/**
 * ServicePeriod
 *
 * ServicePeriod represents a duration with some constraints about cutoff time and business days. This is used e.g. in shipping for handling times or transit time.
 *
 * http://schema.org/ServicePeriod
 */
export const ServicePeriod = 'http://schema.org/ServicePeriod' satisfies Class;

/**
 * ShareAction
 *
 * The act of distributing content to people for their amusement or edification.
 *
 * http://schema.org/ShareAction
 */
export const ShareAction = 'http://schema.org/ShareAction' satisfies Class;

/**
 * SheetMusic
 *
 * Printed music, as opposed to performed or recorded music.
 *
 * http://schema.org/SheetMusic
 */
export const SheetMusic = 'http://schema.org/SheetMusic' satisfies Class;

/**
 * ShippingConditions
 *
 * ShippingConditions represent a set of constraints and information about the conditions of shipping a product. Such conditions may apply to only a subset of the products being shipped, depending on aspects of the product like weight, size, price, destination, and others. All the specified conditions must be met for this ShippingConditions to apply.
 *
 * http://schema.org/ShippingConditions
 */
export const ShippingConditions = 'http://schema.org/ShippingConditions' satisfies Class;

/**
 * ShippingDeliveryTime
 *
 * ShippingDeliveryTime provides various pieces of information about delivery times for shipping.
 *
 * http://schema.org/ShippingDeliveryTime
 */
export const ShippingDeliveryTime = 'http://schema.org/ShippingDeliveryTime' satisfies Class;

/**
 * ShippingRateSettings
 *
 * A ShippingRateSettings represents re-usable pieces of shipping information. It is designed for publication on an URL that may be referenced via the [[shippingSettingsLink]] property of an [[OfferShippingDetails]]. Several occurrences can be published, distinguished and matched (i.e. identified/referenced) by their different values for [[shippingLabel]].
 *
 * http://schema.org/ShippingRateSettings
 */
export const ShippingRateSettings = 'http://schema.org/ShippingRateSettings' satisfies Class;

/**
 * ShippingService
 *
 * ShippingService represents the criteria used to determine if and how an offer could be shipped to a customer.
 *
 * http://schema.org/ShippingService
 */
export const ShippingService = 'http://schema.org/ShippingService' satisfies Class;

/**
 * ShoeStore
 *
 * A shoe store.
 *
 * http://schema.org/ShoeStore
 */
export const ShoeStore = 'http://schema.org/ShoeStore' satisfies Class;

/**
 * ShoppingCenter
 *
 * A shopping center or mall.
 *
 * http://schema.org/ShoppingCenter
 */
export const ShoppingCenter = 'http://schema.org/ShoppingCenter' satisfies Class;

/**
 * ShortStory
 *
 * Short story or tale. A brief work of literature, usually written in narrative prose.
 *
 * http://schema.org/ShortStory
 */
export const ShortStory = 'http://schema.org/ShortStory' satisfies Class;

/**
 * SingleFamilyResidence
 *
 * Residence type: Single-family home.
 *
 * http://schema.org/SingleFamilyResidence
 */
export const SingleFamilyResidence = 'http://schema.org/SingleFamilyResidence' satisfies Class;

/**
 * SiteNavigationElement
 *
 * A navigation element of the page.
 *
 * http://schema.org/SiteNavigationElement
 */
export const SiteNavigationElement = 'http://schema.org/SiteNavigationElement' satisfies Class;

/**
 * SizeGroupEnumeration
 *
 * Enumerates common size groups for various product categories.
 *
 * http://schema.org/SizeGroupEnumeration
 */
export const SizeGroupEnumeration = 'http://schema.org/SizeGroupEnumeration' satisfies Class;

/**
 * SizeSpecification
 *
 * Size related properties of a product, typically a size code ([[name]]) and optionally a [[sizeSystem]], [[sizeGroup]], and product measurements ([[hasMeasurement]]). In addition, the intended audience can be defined through [[suggestedAge]], [[suggestedGender]], and suggested body measurements ([[suggestedMeasurement]]).
 *
 * http://schema.org/SizeSpecification
 */
export const SizeSpecification = 'http://schema.org/SizeSpecification' satisfies Class;

/**
 * SizeSystemEnumeration
 *
 * Enumerates common size systems for different categories of products, for example "EN-13402" or "UK" for wearables or "Imperial" for screws.
 *
 * http://schema.org/SizeSystemEnumeration
 */
export const SizeSystemEnumeration = 'http://schema.org/SizeSystemEnumeration' satisfies Class;

/**
 * SkiResort
 *
 * A ski resort.
 *
 * http://schema.org/SkiResort
 */
export const SkiResort = 'http://schema.org/SkiResort' satisfies Class;

/**
 * SocialEvent
 *
 * Event type: Social event.
 *
 * http://schema.org/SocialEvent
 */
export const SocialEvent = 'http://schema.org/SocialEvent' satisfies Class;

/**
 * SocialMediaPosting
 *
 * A post to a social media platform, including blog posts, tweets, Facebook posts, etc.
 *
 * http://schema.org/SocialMediaPosting
 */
export const SocialMediaPosting = 'http://schema.org/SocialMediaPosting' satisfies Class;

/**
 * SoftwareApplication
 *
 * A software application.
 *
 * http://schema.org/SoftwareApplication
 */
export const SoftwareApplication = 'http://schema.org/SoftwareApplication' satisfies Class;

/**
 * SoftwareSourceCode
 *
 * Computer programming source code. Example: Full (compile ready) solutions, code snippet samples, scripts, templates.
 *
 * http://schema.org/SoftwareSourceCode
 */
export const SoftwareSourceCode = 'http://schema.org/SoftwareSourceCode' satisfies Class;

/**
 * SolveMathAction
 *
 * The action that takes in a math expression and directs users to a page potentially capable of solving/simplifying that expression.
 *
 * http://schema.org/SolveMathAction
 */
export const SolveMathAction = 'http://schema.org/SolveMathAction' satisfies Class;

/**
 * SomeProducts
 *
 * A placeholder for multiple similar products of the same kind.
 *
 * http://schema.org/SomeProducts
 */
export const SomeProducts = 'http://schema.org/SomeProducts' satisfies Class;

/**
 * SpeakableSpecification
 *
 * A SpeakableSpecification indicates (typically via [[xpath]] or [[cssSelector]]) sections of a document that are highlighted as particularly [[speakable]]. Instances of this type are expected to be used primarily as values of the [[speakable]] property.
 *
 * http://schema.org/SpeakableSpecification
 */
export const SpeakableSpecification = 'http://schema.org/SpeakableSpecification' satisfies Class;

/**
 * SpecialAnnouncement
 *
 * A SpecialAnnouncement combines a simple date-stamped textual information update
 *       with contextualized Web links and other structured data.  It represents an information update made by a
 *       locally-oriented organization, for example schools, pharmacies, healthcare providers,  community groups, police,
 *       local government.
 * 
 * For work in progress guidelines on Coronavirus-related markup see [this doc](https://docs.google.com/document/d/14ikaGCKxo50rRM7nvKSlbUpjyIk2WMQd3IkB1lItlrM/edit#).
 * 
 * The motivating scenario for SpecialAnnouncement is the [Coronavirus pandemic](https://en.wikipedia.org/wiki/2019%E2%80%9320_coronavirus_pandemic), and the initial vocabulary is oriented to this urgent situation. Schema.org
 * expect to improve the markup iteratively as it is deployed and as feedback emerges from use. In addition to our
 * usual [Github entry](https://github.com/schemaorg/schemaorg/issues/2490), feedback comments can also be provided in [this document](https://docs.google.com/document/d/1fpdFFxk8s87CWwACs53SGkYv3aafSxz_DTtOQxMrBJQ/edit#).
 * 
 * 
 * While this schema is designed to communicate urgent crisis-related information, it is not the same as an emergency warning technology like [CAP](https://en.wikipedia.org/wiki/Common_Alerting_Protocol), although there may be overlaps. The intent is to cover
 * the kinds of everyday practical information being posted to existing websites during an emergency situation.
 * 
 * Several kinds of information can be provided:
 * 
 * We encourage the provision of "name", "text", "datePosted", "expires" (if appropriate), "category" and
 * "url" as a simple baseline. It is important to provide a value for "category" where possible, most ideally as a well known
 * URL from Wikipedia or Wikidata. In the case of the 2019-2020 Coronavirus pandemic, this should be "https://en.wikipedia.org/w/index.php?title=2019-20\_coronavirus\_pandemic" or "https://www.wikidata.org/wiki/Q81068910".
 * 
 * For many of the possible properties, values can either be simple links or an inline description, depending on whether a summary is available. For a link, provide just the URL of the appropriate page as the property's value. For an inline description, use a [[WebContent]] type, and provide the url as a property of that, alongside at least a simple "[[text]]" summary of the page. It is
 * unlikely that a single SpecialAnnouncement will need all of the possible properties simultaneously.
 * 
 * We expect that in many cases the page referenced might contain more specialized structured data, e.g. contact info, [[openingHours]], [[Event]], [[FAQPage]] etc. By linking to those pages from a [[SpecialAnnouncement]] you can help make it clearer that the events are related to the situation (e.g. Coronavirus) indicated by the [[category]] property of the [[SpecialAnnouncement]].
 * 
 * Many [[SpecialAnnouncement]]s will relate to particular regions and to identifiable local organizations. Use [[spatialCoverage]] for the region, and [[announcementLocation]] to indicate specific [[LocalBusiness]]es and [[CivicStructure]]s. If the announcement affects both a particular region and a specific location (for example, a library closure that serves an entire region), use both [[spatialCoverage]] and [[announcementLocation]].
 * 
 * The [[about]] property can be used to indicate entities that are the focus of the announcement. We now recommend using [[about]] only
 * for representing non-location entities (e.g. a [[Course]] or a [[RadioStation]]). For places, use [[announcementLocation]] and [[spatialCoverage]]. Consumers of this markup should be aware that the initial design encouraged the use of [[about]] for locations too.
 * 
 * The basic content of [[SpecialAnnouncement]] is similar to that of an [RSS](https://en.wikipedia.org/wiki/RSS) or [Atom](https://en.wikipedia.org/wiki/Atom_(Web_standard)) feed. For publishers without such feeds, basic feed-like information can be shared by posting
 * [[SpecialAnnouncement]] updates in a page, e.g. using JSON-LD. For sites with Atom/RSS functionality, you can point to a feed
 * with the [[webFeed]] property. This can be a simple URL, or an inline [[DataFeed]] object, with [[encodingFormat]] providing
 * media type information, e.g. "application/rss+xml" or "application/atom+xml".
 * 
 *
 * http://schema.org/SpecialAnnouncement
 */
export const SpecialAnnouncement = 'http://schema.org/SpecialAnnouncement' satisfies Class;

/**
 * Specialty
 *
 * Any branch of a field in which people typically develop specific expertise, usually after significant study, time, and effort.
 *
 * http://schema.org/Specialty
 */
export const Specialty = 'http://schema.org/Specialty' satisfies Class;

/**
 * SportingGoodsStore
 *
 * A sporting goods store.
 *
 * http://schema.org/SportingGoodsStore
 */
export const SportingGoodsStore = 'http://schema.org/SportingGoodsStore' satisfies Class;

/**
 * SportsActivityLocation
 *
 * A sports location, such as a playing field.
 *
 * http://schema.org/SportsActivityLocation
 */
export const SportsActivityLocation = 'http://schema.org/SportsActivityLocation' satisfies Class;

/**
 * SportsClub
 *
 * A sports club.
 *
 * http://schema.org/SportsClub
 */
export const SportsClub = 'http://schema.org/SportsClub' satisfies Class;

/**
 * SportsEvent
 *
 * Event type: Sports event.
 *
 * http://schema.org/SportsEvent
 */
export const SportsEvent = 'http://schema.org/SportsEvent' satisfies Class;

/**
 * SportsOrganization
 *
 * Represents the collection of all sports organizations, including sports teams, governing bodies, and sports associations.
 *
 * http://schema.org/SportsOrganization
 */
export const SportsOrganization = 'http://schema.org/SportsOrganization' satisfies Class;

/**
 * SportsTeam
 *
 * Organization: Sports team.
 *
 * http://schema.org/SportsTeam
 */
export const SportsTeam = 'http://schema.org/SportsTeam' satisfies Class;

/**
 * SpreadsheetDigitalDocument
 *
 * A spreadsheet file.
 *
 * http://schema.org/SpreadsheetDigitalDocument
 */
export const SpreadsheetDigitalDocument = 'http://schema.org/SpreadsheetDigitalDocument' satisfies Class;

/**
 * StadiumOrArena
 *
 * A stadium.
 *
 * http://schema.org/StadiumOrArena
 */
export const StadiumOrArena = 'http://schema.org/StadiumOrArena' satisfies Class;

/**
 * State
 *
 * A state or province of a country.
 *
 * http://schema.org/State
 */
export const State = 'http://schema.org/State' satisfies Class;

/**
 * Statement
 *
 * A statement about something, for example a fun or interesting fact. If known, the main entity this statement is about can be indicated using mainEntity. For more formal claims (e.g. in Fact Checking), consider using [[Claim]] instead. Use the [[text]] property to capture the text of the statement.
 *
 * http://schema.org/Statement
 */
export const Statement = 'http://schema.org/Statement' satisfies Class;

/**
 * StatisticalPopulation
 *
 * A StatisticalPopulation is a set of instances of a certain given type that satisfy some set of constraints. The property [[populationType]] is used to specify the type. Any property that can be used on instances of that type can appear on the statistical population. For example, a [[StatisticalPopulation]] representing all [[Person]]s with a [[homeLocation]] of East Podunk California would be described by applying the appropriate [[homeLocation]] and [[populationType]] properties to a [[StatisticalPopulation]] item that stands for that set of people.
 * The properties [[numConstraints]] and [[constraintProperty]] are used to specify which of the populations properties are used to specify the population. Note that the sense of "population" used here is the general sense of a statistical
 * population, and does not imply that the population consists of people. For example, a [[populationType]] of [[Event]] or [[NewsArticle]] could be used. See also [[Observation]], where a [[populationType]] such as [[Person]] or [[Event]] can be indicated directly. In most cases it may be better to use [[StatisticalVariable]] instead of [[StatisticalPopulation]].
 *
 * http://schema.org/StatisticalPopulation
 */
export const StatisticalPopulation = 'http://schema.org/StatisticalPopulation' satisfies Class;

/**
 * StatisticalVariable
 *
 * [[StatisticalVariable]] represents any type of statistical metric that can be measured at a place and time. The usage pattern for [[StatisticalVariable]] is typically expressed using [[Observation]] with an explicit [[populationType]], which is a type, typically drawn from Schema.org. Each [[StatisticalVariable]] is marked as a [[ConstraintNode]], meaning that some properties (those listed using [[constraintProperty]]) serve in this setting solely to define the statistical variable rather than literally describe a specific person, place or thing. For example, a [[StatisticalVariable]] Median_Height_Person_Female representing the median height of women, could be written as follows: the population type is [[Person]]; the measuredProperty [[height]]; the [[statType]] [[median]]; the [[gender]] [[Female]]. It is important to note that there are many kinds of scientific quantitative observation which are not fully, perfectly or unambiguously described following this pattern, or with solely Schema.org terminology. The approach taken here is designed to allow partial, incremental or minimal description of [[StatisticalVariable]]s, and the use of detailed sets of entity and property IDs from external repositories. The [[measurementMethod]], [[unitCode]] and [[unitText]] properties can also be used to clarify the specific nature and notation of an observed measurement. 
 *
 * http://schema.org/StatisticalVariable
 */
export const StatisticalVariable = 'http://schema.org/StatisticalVariable' satisfies Class;

/**
 * StatusEnumeration
 *
 * Lists or enumerations dealing with status types.
 *
 * http://schema.org/StatusEnumeration
 */
export const StatusEnumeration = 'http://schema.org/StatusEnumeration' satisfies Class;

/**
 * SteeringPositionValue
 *
 * A value indicating a steering position.
 *
 * http://schema.org/SteeringPositionValue
 */
export const SteeringPositionValue = 'http://schema.org/SteeringPositionValue' satisfies Class;

/**
 * Store
 *
 * A retail good store.
 *
 * http://schema.org/Store
 */
export const Store = 'http://schema.org/Store' satisfies Class;

/**
 * StructuredValue
 *
 * Structured values are used when the value of a property has a more complex structure than simply being a textual value or a reference to another thing.
 *
 * http://schema.org/StructuredValue
 */
export const StructuredValue = 'http://schema.org/StructuredValue' satisfies Class;

/**
 * StupidType
 *
 * A StupidType for testing.
 *
 * http://schema.org/StupidType
 */
export const StupidType = 'http://schema.org/StupidType' satisfies Class;

/**
 * SubscribeAction
 *
 * The act of forming a personal connection with someone/something (object) unidirectionally/asymmetrically to get updates pushed to.\n\nRelated actions:\n\n* [[FollowAction]]: Unlike FollowAction, SubscribeAction implies that the subscriber acts as a passive agent being constantly/actively pushed for updates.\n* [[RegisterAction]]: Unlike RegisterAction, SubscribeAction implies that the agent is interested in continuing receiving updates from the object.\n* [[JoinAction]]: Unlike JoinAction, SubscribeAction implies that the agent is interested in continuing receiving updates from the object.
 *
 * http://schema.org/SubscribeAction
 */
export const SubscribeAction = 'http://schema.org/SubscribeAction' satisfies Class;

/**
 * Substance
 *
 * Any matter of defined composition that has discrete existence, whose origin may be biological, mineral or chemical.
 *
 * http://schema.org/Substance
 */
export const Substance = 'http://schema.org/Substance' satisfies Class;

/**
 * SubwayStation
 *
 * A subway station.
 *
 * http://schema.org/SubwayStation
 */
export const SubwayStation = 'http://schema.org/SubwayStation' satisfies Class;

/**
 * Suite
 *
 * A suite in a hotel or other public accommodation, denotes a class of luxury accommodations, the key feature of which is multiple rooms (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Suite_(hotel)">http://en.wikipedia.org/wiki/Suite_(hotel)</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 * 
 *
 * http://schema.org/Suite
 */
export const Suite = 'http://schema.org/Suite' satisfies Class;

/**
 * SuperficialAnatomy
 *
 * Anatomical features that can be observed by sight (without dissection), including the form and proportions of the human body as well as surface landmarks that correspond to deeper subcutaneous structures. Superficial anatomy plays an important role in sports medicine, phlebotomy, and other medical specialties as underlying anatomical structures can be identified through surface palpation. For example, during back surgery, superficial anatomy can be used to palpate and count vertebrae to find the site of incision. Or in phlebotomy, superficial anatomy can be used to locate an underlying vein; for example, the median cubital vein can be located by palpating the borders of the cubital fossa (such as the epicondyles of the humerus) and then looking for the superficial signs of the vein, such as size, prominence, ability to refill after depression, and feel of surrounding tissue support. As another example, in a subluxation (dislocation) of the glenohumeral joint, the bony structure becomes pronounced with the deltoid muscle failing to cover the glenohumeral joint allowing the edges of the scapula to be superficially visible. Here, the superficial anatomy is the visible edges of the scapula, implying the underlying dislocation of the joint (the related anatomical structure).
 *
 * http://schema.org/SuperficialAnatomy
 */
export const SuperficialAnatomy = 'http://schema.org/SuperficialAnatomy' satisfies Class;

/**
 * SurgicalProcedure
 *
 * A medical procedure involving an incision with instruments; performed for diagnose, or therapeutic purposes.
 *
 * http://schema.org/SurgicalProcedure
 */
export const SurgicalProcedure = 'http://schema.org/SurgicalProcedure' satisfies Class;

/**
 * SuspendAction
 *
 * The act of momentarily pausing a device or application (e.g. pause music playback or pause a timer).
 *
 * http://schema.org/SuspendAction
 */
export const SuspendAction = 'http://schema.org/SuspendAction' satisfies Class;

/**
 * Syllabus
 *
 * A syllabus that describes the material covered in a course, often with several such sections per [[Course]] so that a distinct [[timeRequired]] can be provided for that section of the [[Course]].
 *
 * http://schema.org/Syllabus
 */
export const Syllabus = 'http://schema.org/Syllabus' satisfies Class;

/**
 * Synagogue
 *
 * A synagogue.
 *
 * http://schema.org/Synagogue
 */
export const Synagogue = 'http://schema.org/Synagogue' satisfies Class;

/**
 * TVClip
 *
 * A short TV program or a segment/part of a TV program.
 *
 * http://schema.org/TVClip
 */
export const TVClip = 'http://schema.org/TVClip' satisfies Class;

/**
 * TVEpisode
 *
 * A TV episode which can be part of a series or season.
 *
 * http://schema.org/TVEpisode
 */
export const TVEpisode = 'http://schema.org/TVEpisode' satisfies Class;

/**
 * TVSeason
 *
 * Season dedicated to TV broadcast and associated online delivery.
 *
 * http://schema.org/TVSeason
 */
export const TVSeason = 'http://schema.org/TVSeason' satisfies Class;

/**
 * TVSeries
 *
 * CreativeWorkSeries dedicated to TV broadcast and associated online delivery.
 *
 * http://schema.org/TVSeries
 */
export const TVSeries = 'http://schema.org/TVSeries' satisfies Class;

/**
 * Table
 *
 * A table on a Web page.
 *
 * http://schema.org/Table
 */
export const Table = 'http://schema.org/Table' satisfies Class;

/**
 * TakeAction
 *
 * The act of gaining ownership of an object from an origin. Reciprocal of GiveAction.\n\nRelated actions:\n\n* [[GiveAction]]: The reciprocal of TakeAction.\n* [[ReceiveAction]]: Unlike ReceiveAction, TakeAction implies that ownership has been transferred.
 *
 * http://schema.org/TakeAction
 */
export const TakeAction = 'http://schema.org/TakeAction' satisfies Class;

/**
 * TattooParlor
 *
 * A tattoo parlor.
 *
 * http://schema.org/TattooParlor
 */
export const TattooParlor = 'http://schema.org/TattooParlor' satisfies Class;

/**
 * Taxi
 *
 * A taxi.
 *
 * http://schema.org/Taxi
 */
export const Taxi = 'http://schema.org/Taxi' satisfies Class;

/**
 * TaxiReservation
 *
 * A reservation for a taxi.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * http://schema.org/TaxiReservation
 */
export const TaxiReservation = 'http://schema.org/TaxiReservation' satisfies Class;

/**
 * TaxiService
 *
 * A service for a vehicle for hire with a driver for local travel. Fares are usually calculated based on distance traveled.
 *
 * http://schema.org/TaxiService
 */
export const TaxiService = 'http://schema.org/TaxiService' satisfies Class;

/**
 * TaxiStand
 *
 * A taxi stand.
 *
 * http://schema.org/TaxiStand
 */
export const TaxiStand = 'http://schema.org/TaxiStand' satisfies Class;

/**
 * Taxon
 *
 * A set of organisms asserted to represent a natural cohesive biological unit.
 *
 * http://schema.org/Taxon
 */
export const Taxon = 'http://schema.org/Taxon' satisfies Class;

/**
 * TechArticle
 *
 * A technical article - Example: How-to (task) topics, step-by-step, procedural troubleshooting, specifications, etc.
 *
 * http://schema.org/TechArticle
 */
export const TechArticle = 'http://schema.org/TechArticle' satisfies Class;

/**
 * TelevisionChannel
 *
 * A unique instance of a television BroadcastService on a CableOrSatelliteService lineup.
 *
 * http://schema.org/TelevisionChannel
 */
export const TelevisionChannel = 'http://schema.org/TelevisionChannel' satisfies Class;

/**
 * TelevisionStation
 *
 * A television station.
 *
 * http://schema.org/TelevisionStation
 */
export const TelevisionStation = 'http://schema.org/TelevisionStation' satisfies Class;

/**
 * TennisComplex
 *
 * A tennis complex.
 *
 * http://schema.org/TennisComplex
 */
export const TennisComplex = 'http://schema.org/TennisComplex' satisfies Class;

/**
 * Text
 *
 * Data type: Text.
 *
 * http://schema.org/Text
 */
export const Text = 'http://schema.org/Text' satisfies Class;

/**
 * TextDigitalDocument
 *
 * A file composed primarily of text.
 *
 * http://schema.org/TextDigitalDocument
 */
export const TextDigitalDocument = 'http://schema.org/TextDigitalDocument' satisfies Class;

/**
 * TextObject
 *
 * A text file. The text can be unformatted or contain markup, html, etc.
 *
 * http://schema.org/TextObject
 */
export const TextObject = 'http://schema.org/TextObject' satisfies Class;

/**
 * TheaterEvent
 *
 * Event type: Theater performance.
 *
 * http://schema.org/TheaterEvent
 */
export const TheaterEvent = 'http://schema.org/TheaterEvent' satisfies Class;

/**
 * TheaterGroup
 *
 * A theater group or company, for example, the Royal Shakespeare Company or Druid Theatre.
 *
 * http://schema.org/TheaterGroup
 */
export const TheaterGroup = 'http://schema.org/TheaterGroup' satisfies Class;

/**
 * TherapeuticProcedure
 *
 * A medical procedure intended primarily for therapeutic purposes, aimed at improving a health condition.
 *
 * http://schema.org/TherapeuticProcedure
 */
export const TherapeuticProcedure = 'http://schema.org/TherapeuticProcedure' satisfies Class;

/**
 * Thesis
 *
 * A thesis or dissertation document submitted in support of candidature for an academic degree or professional qualification.
 *
 * http://schema.org/Thesis
 */
export const Thesis = 'http://schema.org/Thesis' satisfies Class;

/**
 * Thing
 *
 * The most generic type of item.
 *
 * http://schema.org/Thing
 */
export const Thing = 'http://schema.org/Thing' satisfies Class;

/**
 * Ticket
 *
 * Used to describe a ticket to an event, a flight, a bus ride, etc.
 *
 * http://schema.org/Ticket
 */
export const Ticket = 'http://schema.org/Ticket' satisfies Class;

/**
 * TieAction
 *
 * The act of reaching a draw in a competitive activity.
 *
 * http://schema.org/TieAction
 */
export const TieAction = 'http://schema.org/TieAction' satisfies Class;

/**
 * TierBenefitEnumeration
 *
 * An enumeration of possible benefits as part of a loyalty (members) program.
 *
 * http://schema.org/TierBenefitEnumeration
 */
export const TierBenefitEnumeration = 'http://schema.org/TierBenefitEnumeration' satisfies Class;

/**
 * Time
 *
 * A point in time recurring on multiple days in the form hh:mm:ss[Z|(+|-)hh:mm] (see [XML schema for details](http://www.w3.org/TR/xmlschema-2/#time)).
 *
 * http://schema.org/Time
 */
export const Time = 'http://schema.org/Time' satisfies Class;

/**
 * TipAction
 *
 * The act of giving money voluntarily to a beneficiary in recognition of services rendered.
 *
 * http://schema.org/TipAction
 */
export const TipAction = 'http://schema.org/TipAction' satisfies Class;

/**
 * TireShop
 *
 * A tire shop.
 *
 * http://schema.org/TireShop
 */
export const TireShop = 'http://schema.org/TireShop' satisfies Class;

/**
 * TouristAttraction
 *
 * A tourist attraction.  In principle any Thing can be a [[TouristAttraction]], from a [[Mountain]] and [[LandmarksOrHistoricalBuildings]] to a [[LocalBusiness]].  This Type can be used on its own to describe a general [[TouristAttraction]], or be used as an [[additionalType]] to add tourist attraction properties to any other type.  (See examples below)
 *
 * http://schema.org/TouristAttraction
 */
export const TouristAttraction = 'http://schema.org/TouristAttraction' satisfies Class;

/**
 * TouristDestination
 *
 * A tourist destination. In principle any [[Place]] can be a [[TouristDestination]] from a [[City]], Region or [[Country]] to an [[AmusementPark]] or [[Hotel]]. This Type can be used on its own to describe a general [[TouristDestination]], or be used as an [[additionalType]] to add tourist relevant properties to any other [[Place]].  A [[TouristDestination]] is defined as a [[Place]] that contains, or is colocated with, one or more [[TouristAttraction]]s, often linked by a similar theme or interest to a particular [[touristType]]. The [UNWTO](http://www2.unwto.org/) defines Destination (main destination of a tourism trip) as the place visited that is central to the decision to take the trip.
 *   (See examples below.)
 *
 * http://schema.org/TouristDestination
 */
export const TouristDestination = 'http://schema.org/TouristDestination' satisfies Class;

/**
 * TouristInformationCenter
 *
 * A tourist information center.
 *
 * http://schema.org/TouristInformationCenter
 */
export const TouristInformationCenter = 'http://schema.org/TouristInformationCenter' satisfies Class;

/**
 * TouristTrip
 *
 * A tourist trip. A created itinerary of visits to one or more places of interest ([[TouristAttraction]]/[[TouristDestination]]) often linked by a similar theme, geographic area, or interest to a particular [[touristType]]. The [UNWTO](http://www2.unwto.org/) defines tourism trip as the Trip taken by visitors.
 *   (See examples below.)
 *
 * http://schema.org/TouristTrip
 */
export const TouristTrip = 'http://schema.org/TouristTrip' satisfies Class;

/**
 * ToyStore
 *
 * A toy store.
 *
 * http://schema.org/ToyStore
 */
export const ToyStore = 'http://schema.org/ToyStore' satisfies Class;

/**
 * TrackAction
 *
 * An agent tracks an object for updates.\n\nRelated actions:\n\n* [[FollowAction]]: Unlike FollowAction, TrackAction refers to the interest on the location of innanimates objects.\n* [[SubscribeAction]]: Unlike SubscribeAction, TrackAction refers to  the interest on the location of innanimate objects.
 *
 * http://schema.org/TrackAction
 */
export const TrackAction = 'http://schema.org/TrackAction' satisfies Class;

/**
 * TradeAction
 *
 * The act of participating in an exchange of goods and services for monetary compensation. An agent trades an object, product or service with a participant in exchange for a one time or periodic payment.
 *
 * http://schema.org/TradeAction
 */
export const TradeAction = 'http://schema.org/TradeAction' satisfies Class;

/**
 * TrainReservation
 *
 * A reservation for train travel.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * http://schema.org/TrainReservation
 */
export const TrainReservation = 'http://schema.org/TrainReservation' satisfies Class;

/**
 * TrainStation
 *
 * A train station.
 *
 * http://schema.org/TrainStation
 */
export const TrainStation = 'http://schema.org/TrainStation' satisfies Class;

/**
 * TrainTrip
 *
 * A trip on a commercial train line.
 *
 * http://schema.org/TrainTrip
 */
export const TrainTrip = 'http://schema.org/TrainTrip' satisfies Class;

/**
 * TransferAction
 *
 * The act of transferring/moving (abstract or concrete) animate or inanimate objects from one place to another.
 *
 * http://schema.org/TransferAction
 */
export const TransferAction = 'http://schema.org/TransferAction' satisfies Class;

/**
 * TravelAction
 *
 * The act of traveling from a fromLocation to a destination by a specified mode of transport, optionally with participants.
 *
 * http://schema.org/TravelAction
 */
export const TravelAction = 'http://schema.org/TravelAction' satisfies Class;

/**
 * TravelAgency
 *
 * A travel agency.
 *
 * http://schema.org/TravelAgency
 */
export const TravelAgency = 'http://schema.org/TravelAgency' satisfies Class;

/**
 * TreatmentIndication
 *
 * An indication for treating an underlying condition, symptom, etc.
 *
 * http://schema.org/TreatmentIndication
 */
export const TreatmentIndication = 'http://schema.org/TreatmentIndication' satisfies Class;

/**
 * Trip
 *
 * A trip or journey. An itinerary of visits to one or more places.
 *
 * http://schema.org/Trip
 */
export const Trip = 'http://schema.org/Trip' satisfies Class;

/**
 * TypeAndQuantityNode
 *
 * A structured value indicating the quantity, unit of measurement, and business function of goods included in a bundle offer.
 *
 * http://schema.org/TypeAndQuantityNode
 */
export const TypeAndQuantityNode = 'http://schema.org/TypeAndQuantityNode' satisfies Class;

/**
 * UKNonprofitType
 *
 * UKNonprofitType: Non-profit organization type originating from the United Kingdom.
 *
 * http://schema.org/UKNonprofitType
 */
export const UKNonprofitType = 'http://schema.org/UKNonprofitType' satisfies Class;

/**
 * URL
 *
 * Data type: URL.
 *
 * http://schema.org/URL
 */
export const URL = 'http://schema.org/URL' satisfies Class;

/**
 * USNonprofitType
 *
 * USNonprofitType: Non-profit organization type originating from the United States.
 *
 * http://schema.org/USNonprofitType
 */
export const USNonprofitType = 'http://schema.org/USNonprofitType' satisfies Class;

/**
 * UnRegisterAction
 *
 * The act of un-registering from a service.\n\nRelated actions:\n\n* [[RegisterAction]]: antonym of UnRegisterAction.\n* [[LeaveAction]]: Unlike LeaveAction, UnRegisterAction implies that you are unregistering from a service you were previously registered, rather than leaving a team/group of people.
 *
 * http://schema.org/UnRegisterAction
 */
export const UnRegisterAction = 'http://schema.org/UnRegisterAction' satisfies Class;

/**
 * UnitPriceSpecification
 *
 * The price asked for a given offer by the respective organization or person.
 *
 * http://schema.org/UnitPriceSpecification
 */
export const UnitPriceSpecification = 'http://schema.org/UnitPriceSpecification' satisfies Class;

/**
 * UpdateAction
 *
 * The act of managing by changing/editing the state of the object.
 *
 * http://schema.org/UpdateAction
 */
export const UpdateAction = 'http://schema.org/UpdateAction' satisfies Class;

/**
 * UseAction
 *
 * The act of applying an object to its intended purpose.
 *
 * http://schema.org/UseAction
 */
export const UseAction = 'http://schema.org/UseAction' satisfies Class;

/**
 * UserBlocks
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserBlocks
 */
export const UserBlocks = 'http://schema.org/UserBlocks' satisfies Class;

/**
 * UserCheckins
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserCheckins
 */
export const UserCheckins = 'http://schema.org/UserCheckins' satisfies Class;

/**
 * UserComments
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserComments
 */
export const UserComments = 'http://schema.org/UserComments' satisfies Class;

/**
 * UserDownloads
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserDownloads
 */
export const UserDownloads = 'http://schema.org/UserDownloads' satisfies Class;

/**
 * UserInteraction
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserInteraction
 */
export const UserInteraction = 'http://schema.org/UserInteraction' satisfies Class;

/**
 * UserLikes
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserLikes
 */
export const UserLikes = 'http://schema.org/UserLikes' satisfies Class;

/**
 * UserPageVisits
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserPageVisits
 */
export const UserPageVisits = 'http://schema.org/UserPageVisits' satisfies Class;

/**
 * UserPlays
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserPlays
 */
export const UserPlays = 'http://schema.org/UserPlays' satisfies Class;

/**
 * UserPlusOnes
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserPlusOnes
 */
export const UserPlusOnes = 'http://schema.org/UserPlusOnes' satisfies Class;

/**
 * UserReview
 *
 * A review created by an end-user (e.g. consumer, purchaser, attendee etc.), in contrast with [[CriticReview]].
 *
 * http://schema.org/UserReview
 */
export const UserReview = 'http://schema.org/UserReview' satisfies Class;

/**
 * UserTweets
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * http://schema.org/UserTweets
 */
export const UserTweets = 'http://schema.org/UserTweets' satisfies Class;

/**
 * VacationRental
 *
 * A kind of lodging business that focuses on renting single properties for limited time.
 *
 * http://schema.org/VacationRental
 */
export const VacationRental = 'http://schema.org/VacationRental' satisfies Class;

/**
 * Vehicle
 *
 * A vehicle is a device that is designed or used to transport people or cargo over land, water, air, or through space.
 *
 * http://schema.org/Vehicle
 */
export const Vehicle = 'http://schema.org/Vehicle' satisfies Class;

/**
 * Vein
 *
 * A type of blood vessel that specifically carries blood to the heart.
 *
 * http://schema.org/Vein
 */
export const Vein = 'http://schema.org/Vein' satisfies Class;

/**
 * Vessel
 *
 * A component of the human body circulatory system comprised of an intricate network of hollow tubes that transport blood throughout the entire body.
 *
 * http://schema.org/Vessel
 */
export const Vessel = 'http://schema.org/Vessel' satisfies Class;

/**
 * VeterinaryCare
 *
 * A vet's office.
 *
 * http://schema.org/VeterinaryCare
 */
export const VeterinaryCare = 'http://schema.org/VeterinaryCare' satisfies Class;

/**
 * VideoGallery
 *
 * Web page type: Video gallery page.
 *
 * http://schema.org/VideoGallery
 */
export const VideoGallery = 'http://schema.org/VideoGallery' satisfies Class;

/**
 * VideoGame
 *
 * A video game is an electronic game that involves human interaction with a user interface to generate visual feedback on a video device.
 *
 * http://schema.org/VideoGame
 */
export const VideoGame = 'http://schema.org/VideoGame' satisfies Class;

/**
 * VideoGameClip
 *
 * A short segment/part of a video game.
 *
 * http://schema.org/VideoGameClip
 */
export const VideoGameClip = 'http://schema.org/VideoGameClip' satisfies Class;

/**
 * VideoGameSeries
 *
 * A video game series.
 *
 * http://schema.org/VideoGameSeries
 */
export const VideoGameSeries = 'http://schema.org/VideoGameSeries' satisfies Class;

/**
 * VideoObject
 *
 * A video file.
 *
 * http://schema.org/VideoObject
 */
export const VideoObject = 'http://schema.org/VideoObject' satisfies Class;

/**
 * VideoObjectSnapshot
 *
 * A specific and exact (byte-for-byte) version of a [[VideoObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.
 *
 * http://schema.org/VideoObjectSnapshot
 */
export const VideoObjectSnapshot = 'http://schema.org/VideoObjectSnapshot' satisfies Class;

/**
 * ViewAction
 *
 * The act of consuming static visual content.
 *
 * http://schema.org/ViewAction
 */
export const ViewAction = 'http://schema.org/ViewAction' satisfies Class;

/**
 * VirtualLocation
 *
 * An online or virtual location for attending events. For example, one may attend an online seminar or educational event. While a virtual location may be used as the location of an event, virtual locations should not be confused with physical locations in the real world.
 *
 * http://schema.org/VirtualLocation
 */
export const VirtualLocation = 'http://schema.org/VirtualLocation' satisfies Class;

/**
 * VisualArtsEvent
 *
 * Event type: Visual arts event.
 *
 * http://schema.org/VisualArtsEvent
 */
export const VisualArtsEvent = 'http://schema.org/VisualArtsEvent' satisfies Class;

/**
 * VisualArtwork
 *
 * A work of art that is primarily visual in character.
 *
 * http://schema.org/VisualArtwork
 */
export const VisualArtwork = 'http://schema.org/VisualArtwork' satisfies Class;

/**
 * VitalSign
 *
 * Vital signs are measures of various physiological functions in order to assess the most basic body functions.
 *
 * http://schema.org/VitalSign
 */
export const VitalSign = 'http://schema.org/VitalSign' satisfies Class;

/**
 * Volcano
 *
 * A volcano, like Fujisan.
 *
 * http://schema.org/Volcano
 */
export const Volcano = 'http://schema.org/Volcano' satisfies Class;

/**
 * VoteAction
 *
 * The act of expressing a preference from a fixed/finite/structured set of choices/options.
 *
 * http://schema.org/VoteAction
 */
export const VoteAction = 'http://schema.org/VoteAction' satisfies Class;

/**
 * WPAdBlock
 *
 * An advertising section of the page.
 *
 * http://schema.org/WPAdBlock
 */
export const WPAdBlock = 'http://schema.org/WPAdBlock' satisfies Class;

/**
 * WPFooter
 *
 * The footer section of the page.
 *
 * http://schema.org/WPFooter
 */
export const WPFooter = 'http://schema.org/WPFooter' satisfies Class;

/**
 * WPHeader
 *
 * The header section of the page.
 *
 * http://schema.org/WPHeader
 */
export const WPHeader = 'http://schema.org/WPHeader' satisfies Class;

/**
 * WPSideBar
 *
 * A sidebar section of the page.
 *
 * http://schema.org/WPSideBar
 */
export const WPSideBar = 'http://schema.org/WPSideBar' satisfies Class;

/**
 * WantAction
 *
 * The act of expressing a desire about the object. An agent wants an object.
 *
 * http://schema.org/WantAction
 */
export const WantAction = 'http://schema.org/WantAction' satisfies Class;

/**
 * WarrantyPromise
 *
 * A structured value representing the duration and scope of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.
 *
 * http://schema.org/WarrantyPromise
 */
export const WarrantyPromise = 'http://schema.org/WarrantyPromise' satisfies Class;

/**
 * WarrantyScope
 *
 * A range of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#Labor-BringIn\n* http://purl.org/goodrelations/v1#PartsAndLabor-BringIn\n* http://purl.org/goodrelations/v1#PartsAndLabor-PickUp
 *       
 *
 * http://schema.org/WarrantyScope
 */
export const WarrantyScope = 'http://schema.org/WarrantyScope' satisfies Class;

/**
 * WatchAction
 *
 * The act of consuming dynamic/moving visual content.
 *
 * http://schema.org/WatchAction
 */
export const WatchAction = 'http://schema.org/WatchAction' satisfies Class;

/**
 * Waterfall
 *
 * A waterfall, like Niagara.
 *
 * http://schema.org/Waterfall
 */
export const Waterfall = 'http://schema.org/Waterfall' satisfies Class;

/**
 * WearAction
 *
 * The act of dressing oneself in clothing.
 *
 * http://schema.org/WearAction
 */
export const WearAction = 'http://schema.org/WearAction' satisfies Class;

/**
 * WearableMeasurementTypeEnumeration
 *
 * Enumerates common types of measurement for wearables products.
 *
 * http://schema.org/WearableMeasurementTypeEnumeration
 */
export const WearableMeasurementTypeEnumeration = 'http://schema.org/WearableMeasurementTypeEnumeration' satisfies Class;

/**
 * WearableSizeGroupEnumeration
 *
 * Enumerates common size groups (also known as "size types") for wearable products.
 *
 * http://schema.org/WearableSizeGroupEnumeration
 */
export const WearableSizeGroupEnumeration = 'http://schema.org/WearableSizeGroupEnumeration' satisfies Class;

/**
 * WearableSizeSystemEnumeration
 *
 * Enumerates common size systems specific for wearable products.
 *
 * http://schema.org/WearableSizeSystemEnumeration
 */
export const WearableSizeSystemEnumeration = 'http://schema.org/WearableSizeSystemEnumeration' satisfies Class;

/**
 * WebAPI
 *
 * An application programming interface accessible over Web/Internet technologies.
 *
 * http://schema.org/WebAPI
 */
export const WebAPI = 'http://schema.org/WebAPI' satisfies Class;

/**
 * WebApplication
 *
 * Web applications.
 *
 * http://schema.org/WebApplication
 */
export const WebApplication = 'http://schema.org/WebApplication' satisfies Class;

/**
 * WebContent
 *
 * WebContent is a type representing all [[WebPage]], [[WebSite]] and [[WebPageElement]] content. It is sometimes the case that detailed distinctions between Web pages, sites and their parts are not always important or obvious. The  [[WebContent]] type makes it easier to describe Web-addressable content without requiring such distinctions to always be stated. (The intent is that the existing types [[WebPage]], [[WebSite]] and [[WebPageElement]] will eventually be declared as subtypes of [[WebContent]].)
 *
 * http://schema.org/WebContent
 */
export const WebContent = 'http://schema.org/WebContent' satisfies Class;

/**
 * WebPage
 *
 * A web page. Every web page is implicitly assumed to be declared to be of type WebPage, so the various properties about that webpage, such as <code>breadcrumb</code> may be used. We recommend explicit declaration if these properties are specified, but if they are found outside of an itemscope, they will be assumed to be about the page.
 *
 * http://schema.org/WebPage
 */
export const WebPage = 'http://schema.org/WebPage' satisfies Class;

/**
 * WebPageElement
 *
 * A web page element, like a table or an image.
 *
 * http://schema.org/WebPageElement
 */
export const WebPageElement = 'http://schema.org/WebPageElement' satisfies Class;

/**
 * WebSite
 *
 * A WebSite is a set of related web pages and other items typically served from a single web domain and accessible via URLs.
 *
 * http://schema.org/WebSite
 */
export const WebSite = 'http://schema.org/WebSite' satisfies Class;

/**
 * WholesaleStore
 *
 * A wholesale store.
 *
 * http://schema.org/WholesaleStore
 */
export const WholesaleStore = 'http://schema.org/WholesaleStore' satisfies Class;

/**
 * WinAction
 *
 * The act of achieving victory in a competitive activity.
 *
 * http://schema.org/WinAction
 */
export const WinAction = 'http://schema.org/WinAction' satisfies Class;

/**
 * Winery
 *
 * A winery.
 *
 * http://schema.org/Winery
 */
export const Winery = 'http://schema.org/Winery' satisfies Class;

/**
 * WorkBasedProgram
 *
 * A program with both an educational and employment component. Typically based at a workplace and structured around work-based learning, with the aim of instilling competencies related to an occupation. WorkBasedProgram is used to distinguish programs such as apprenticeships from school, college or other classroom based educational programs.
 *
 * http://schema.org/WorkBasedProgram
 */
export const WorkBasedProgram = 'http://schema.org/WorkBasedProgram' satisfies Class;

/**
 * WorkersUnion
 *
 * A Workers Union (also known as a Labor Union, Labour Union, or Trade Union) is an organization that promotes the interests of its worker members by collectively bargaining with management, organizing, and political lobbying.
 *
 * http://schema.org/WorkersUnion
 */
export const WorkersUnion = 'http://schema.org/WorkersUnion' satisfies Class;

/**
 * WriteAction
 *
 * The act of authoring written creative content.
 *
 * http://schema.org/WriteAction
 */
export const WriteAction = 'http://schema.org/WriteAction' satisfies Class;

/**
 * XPathType
 *
 * Text representing an XPath (typically but not necessarily version 1.0).
 *
 * http://schema.org/XPathType
 */
export const XPathType = 'http://schema.org/XPathType' satisfies Class;

/**
 * Zoo
 *
 * A zoo.
 *
 * http://schema.org/Zoo
 */
export const Zoo = 'http://schema.org/Zoo' satisfies Class;

/**
 * abridged
 *
 * Indicates whether the book is an abridged edition.
 *
 * http://schema.org/abridged
 */
export const abridged = 'http://schema.org/abridged' satisfies Property;

/**
 * abstract
 *
 * An abstract is a short description that summarizes a [[CreativeWork]].
 *
 * http://schema.org/abstract
 */
export const abstract = 'http://schema.org/abstract' satisfies Property;

/**
 * accelerationTime
 *
 * The time needed to accelerate the vehicle from a given start velocity to a given target velocity.\n\nTypical unit code(s): SEC for seconds\n\n* Note: There are unfortunately no standard unit codes for seconds/0..100 km/h or seconds/0..60 mph. Simply use "SEC" for seconds and indicate the velocities in the [[name]] of the [[QuantitativeValue]], or use [[valueReference]] with a [[QuantitativeValue]] of 0..60 mph or 0..100 km/h to specify the reference speeds.
 *
 * http://schema.org/accelerationTime
 */
export const accelerationTime = 'http://schema.org/accelerationTime' satisfies Property;

/**
 * acceptedAnswer
 *
 * The answer(s) that has been accepted as best, typically on a Question/Answer site. Sites vary in their selection mechanisms, e.g. drawing on community opinion and/or the view of the Question author.
 *
 * http://schema.org/acceptedAnswer
 */
export const acceptedAnswer = 'http://schema.org/acceptedAnswer' satisfies Property;

/**
 * acceptedOffer
 *
 * The offer(s) -- e.g., product, quantity and price combinations -- included in the order.
 *
 * http://schema.org/acceptedOffer
 */
export const acceptedOffer = 'http://schema.org/acceptedOffer' satisfies Property;

/**
 * acceptedPaymentMethod
 *
 * The payment method(s) that are accepted in general by an organization, or for some specific demand or offer.
 *
 * http://schema.org/acceptedPaymentMethod
 */
export const acceptedPaymentMethod = 'http://schema.org/acceptedPaymentMethod' satisfies Property;

/**
 * acceptsReservations
 *
 * Indicates whether a FoodEstablishment accepts reservations. Values can be Boolean, an URL at which reservations can be made or (for backwards compatibility) the strings ```Yes``` or ```No```.
 *
 * http://schema.org/acceptsReservations
 */
export const acceptsReservations = 'http://schema.org/acceptsReservations' satisfies Property;

/**
 * accessCode
 *
 * Password, PIN, or access code needed for delivery (e.g. from a locker).
 *
 * http://schema.org/accessCode
 */
export const accessCode = 'http://schema.org/accessCode' satisfies Property;

/**
 * accessMode
 *
 * The human sensory perceptual system or cognitive faculty through which a person may process or perceive information. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessMode-vocabulary).
 *
 * http://schema.org/accessMode
 */
export const accessMode = 'http://schema.org/accessMode' satisfies Property;

/**
 * accessModeSufficient
 *
 * A list of single or combined accessModes that are sufficient to understand all the intellectual content of a resource. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessModeSufficient-vocabulary).
 *
 * http://schema.org/accessModeSufficient
 */
export const accessModeSufficient = 'http://schema.org/accessModeSufficient' satisfies Property;

/**
 * accessibilityAPI
 *
 * Indicates that the resource is compatible with the referenced accessibility API. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityAPI-vocabulary).
 *
 * http://schema.org/accessibilityAPI
 */
export const accessibilityAPI = 'http://schema.org/accessibilityAPI' satisfies Property;

/**
 * accessibilityControl
 *
 * Identifies input methods that are sufficient to fully control the described resource. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityControl-vocabulary).
 *
 * http://schema.org/accessibilityControl
 */
export const accessibilityControl = 'http://schema.org/accessibilityControl' satisfies Property;

/**
 * accessibilityFeature
 *
 * Content features of the resource, such as accessible media, alternatives and supported enhancements for accessibility. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityFeature-vocabulary).
 *
 * http://schema.org/accessibilityFeature
 */
export const accessibilityFeature = 'http://schema.org/accessibilityFeature' satisfies Property;

/**
 * accessibilityHazard
 *
 * A characteristic of the described resource that is physiologically dangerous to some users. Related to WCAG 2.0 guideline 2.3. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityHazard-vocabulary).
 *
 * http://schema.org/accessibilityHazard
 */
export const accessibilityHazard = 'http://schema.org/accessibilityHazard' satisfies Property;

/**
 * accessibilitySummary
 *
 * A human-readable summary of specific accessibility features or deficiencies, consistent with the other accessibility metadata but expressing subtleties such as "short descriptions are present but long descriptions will be needed for non-visual users" or "short descriptions are present and no long descriptions are needed".
 *
 * http://schema.org/accessibilitySummary
 */
export const accessibilitySummary = 'http://schema.org/accessibilitySummary' satisfies Property;

/**
 * accommodationCategory
 *
 * Category of an [[Accommodation]], following real estate conventions, e.g. RESO (see [PropertySubType](https://ddwiki.reso.org/display/DDW17/PropertySubType+Field), and [PropertyType](https://ddwiki.reso.org/display/DDW17/PropertyType+Field) fields  for suggested values).
 *
 * http://schema.org/accommodationCategory
 */
export const accommodationCategory = 'http://schema.org/accommodationCategory' satisfies Property;

/**
 * accommodationFloorPlan
 *
 * A floorplan of some [[Accommodation]].
 *
 * http://schema.org/accommodationFloorPlan
 */
export const accommodationFloorPlan = 'http://schema.org/accommodationFloorPlan' satisfies Property;

/**
 * accountId
 *
 * The identifier for the account the payment will be applied to.
 *
 * http://schema.org/accountId
 */
export const accountId = 'http://schema.org/accountId' satisfies Property;

/**
 * accountMinimumInflow
 *
 * A minimum amount that has to be paid in every month.
 *
 * http://schema.org/accountMinimumInflow
 */
export const accountMinimumInflow = 'http://schema.org/accountMinimumInflow' satisfies Property;

/**
 * accountOverdraftLimit
 *
 * An overdraft is an extension of credit from a lending institution when an account reaches zero. An overdraft allows the individual to continue withdrawing money even if the account has no funds in it. Basically the bank allows people to borrow a set amount of money.
 *
 * http://schema.org/accountOverdraftLimit
 */
export const accountOverdraftLimit = 'http://schema.org/accountOverdraftLimit' satisfies Property;

/**
 * accountablePerson
 *
 * Specifies the Person that is legally accountable for the CreativeWork.
 *
 * http://schema.org/accountablePerson
 */
export const accountablePerson = 'http://schema.org/accountablePerson' satisfies Property;

/**
 * acquireLicensePage
 *
 * Indicates a page documenting how licenses can be purchased or otherwise acquired, for the current item.
 *
 * http://schema.org/acquireLicensePage
 */
export const acquireLicensePage = 'http://schema.org/acquireLicensePage' satisfies Property;

/**
 * acquiredFrom
 *
 * The organization or person from which the product was acquired.
 *
 * http://schema.org/acquiredFrom
 */
export const acquiredFrom = 'http://schema.org/acquiredFrom' satisfies Property;

/**
 * acrissCode
 *
 * The ACRISS Car Classification Code is a code used by many car rental companies, for classifying vehicles. ACRISS stands for Association of Car Rental Industry Systems and Standards.
 *
 * http://schema.org/acrissCode
 */
export const acrissCode = 'http://schema.org/acrissCode' satisfies Property;

/**
 * actionAccessibilityRequirement
 *
 * A set of requirements that must be fulfilled in order to perform an Action. If more than one value is specified, fulfilling one set of requirements will allow the Action to be performed.
 *
 * http://schema.org/actionAccessibilityRequirement
 */
export const actionAccessibilityRequirement = 'http://schema.org/actionAccessibilityRequirement' satisfies Property;

/**
 * actionPlatform
 *
 * The high level platform(s) where the Action can be performed for the given URL. To specify a specific application or operating system instance, use actionApplication.
 *
 * http://schema.org/actionPlatform
 */
export const actionPlatform = 'http://schema.org/actionPlatform' satisfies Property;

/**
 * actionProcess
 *
 * Description of the process by which the action was performed.
 *
 * http://schema.org/actionProcess
 */
export const actionProcess = 'http://schema.org/actionProcess' satisfies Property;

/**
 * actionStatus
 *
 * Indicates the current disposition of the Action.
 *
 * http://schema.org/actionStatus
 */
export const actionStatus = 'http://schema.org/actionStatus' satisfies Property;

/**
 * actionableFeedbackPolicy
 *
 * For a [[NewsMediaOrganization]] or other news-related [[Organization]], a statement about public engagement activities (for news media, the newsroom’s), including involving the public - digitally or otherwise -- in coverage decisions, reporting and activities after publication.
 *
 * http://schema.org/actionableFeedbackPolicy
 */
export const actionableFeedbackPolicy = 'http://schema.org/actionableFeedbackPolicy' satisfies Property;

/**
 * activeIngredient
 *
 * An active ingredient, typically chemical compounds and/or biologic substances.
 *
 * http://schema.org/activeIngredient
 */
export const activeIngredient = 'http://schema.org/activeIngredient' satisfies Property;

/**
 * activityDuration
 *
 * Length of time to engage in the activity.
 *
 * http://schema.org/activityDuration
 */
export const activityDuration = 'http://schema.org/activityDuration' satisfies Property;

/**
 * activityFrequency
 *
 * How often one should engage in the activity.
 *
 * http://schema.org/activityFrequency
 */
export const activityFrequency = 'http://schema.org/activityFrequency' satisfies Property;

/**
 * actors
 *
 * An actor, e.g. in TV, radio, movie, video games etc. Actors can be associated with individual items or with a series, episode, clip.
 *
 * http://schema.org/actors
 */
export const actors = 'http://schema.org/actors' satisfies Property;

/**
 * addOn
 *
 * An additional offer that can only be obtained in combination with the first base offer (e.g. supplements and extensions that are available for a surcharge).
 *
 * http://schema.org/addOn
 */
export const addOn = 'http://schema.org/addOn' satisfies Property;

/**
 * additionalName
 *
 * An additional name for a Person, can be used for a middle name.
 *
 * http://schema.org/additionalName
 */
export const additionalName = 'http://schema.org/additionalName' satisfies Property;

/**
 * additionalNumberOfGuests
 *
 * If responding yes, the number of guests who will attend in addition to the invitee.
 *
 * http://schema.org/additionalNumberOfGuests
 */
export const additionalNumberOfGuests = 'http://schema.org/additionalNumberOfGuests' satisfies Property;

/**
 * additionalProperty
 *
 * A property-value pair representing an additional characteristic of the entity, e.g. a product feature or another characteristic for which there is no matching property in schema.org.\n\nNote: Publishers should be aware that applications designed to use specific schema.org properties (e.g. http://schema.org/width, http://schema.org/color, http://schema.org/gtin13, ...) will typically expect such data to be provided using those properties, rather than using the generic property/value mechanism.
 * 
 *
 * http://schema.org/additionalProperty
 */
export const additionalProperty = 'http://schema.org/additionalProperty' satisfies Property;

/**
 * additionalType
 *
 * An additional type for the item, typically used for adding more specific types from external vocabularies in microdata syntax. This is a relationship between something and a class that the thing is in. Typically the value is a URI-identified RDF class, and in this case corresponds to the
 *     use of rdf:type in RDF. Text values can be used sparingly, for cases where useful information can be added without their being an appropriate schema to reference. In the case of text values, the class label should follow the schema.org <a href="http://schema.org/docs/styleguide.html">style guide</a>.
 *
 * http://schema.org/additionalType
 */
export const additionalType = 'http://schema.org/additionalType' satisfies Property;

/**
 * additionalVariable
 *
 * Any additional component of the exercise prescription that may need to be articulated to the patient. This may include the order of exercises, the number of repetitions of movement, quantitative distance, progressions over time, etc.
 *
 * http://schema.org/additionalVariable
 */
export const additionalVariable = 'http://schema.org/additionalVariable' satisfies Property;

/**
 * address
 *
 * Physical address of the item.
 *
 * http://schema.org/address
 */
export const address = 'http://schema.org/address' satisfies Property;

/**
 * addressCountry
 *
 * The country. Recommended to be in 2-letter [ISO 3166-1 alpha-2](http://en.wikipedia.org/wiki/ISO_3166-1) format, for example "US". For backward compatibility, a 3-letter [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code such as "SGP" or a full country name such as "Singapore" can also be used.
 *
 * http://schema.org/addressCountry
 */
export const addressCountry = 'http://schema.org/addressCountry' satisfies Property;

/**
 * addressLocality
 *
 * The locality in which the street address is, and which is in the region. For example, Mountain View.
 *
 * http://schema.org/addressLocality
 */
export const addressLocality = 'http://schema.org/addressLocality' satisfies Property;

/**
 * addressRegion
 *
 * The region in which the locality is, and which is in the country. For example, California or another appropriate first-level [Administrative division](https://en.wikipedia.org/wiki/List_of_administrative_divisions_by_country).
 *
 * http://schema.org/addressRegion
 */
export const addressRegion = 'http://schema.org/addressRegion' satisfies Property;

/**
 * administrationRoute
 *
 * A route by which this drug may be administered, e.g. 'oral'.
 *
 * http://schema.org/administrationRoute
 */
export const administrationRoute = 'http://schema.org/administrationRoute' satisfies Property;

/**
 * advanceBookingRequirement
 *
 * The amount of time that is required between accepting the offer and the actual usage of the resource or service.
 *
 * http://schema.org/advanceBookingRequirement
 */
export const advanceBookingRequirement = 'http://schema.org/advanceBookingRequirement' satisfies Property;

/**
 * adverseOutcome
 *
 * A possible complication and/or side effect of this therapy. If it is known that an adverse outcome is serious (resulting in death, disability, or permanent damage; requiring hospitalization; or otherwise life-threatening or requiring immediate medical attention), tag it as a seriousAdverseOutcome instead.
 *
 * http://schema.org/adverseOutcome
 */
export const adverseOutcome = 'http://schema.org/adverseOutcome' satisfies Property;

/**
 * affectedBy
 *
 * Drugs that affect the test's results.
 *
 * http://schema.org/affectedBy
 */
export const affectedBy = 'http://schema.org/affectedBy' satisfies Property;

/**
 * affiliation
 *
 * An organization that this person is affiliated with. For example, a school/university, a club, or a team.
 *
 * http://schema.org/affiliation
 */
export const affiliation = 'http://schema.org/affiliation' satisfies Property;

/**
 * afterMedia
 *
 * A media object representing the circumstances after performing this direction.
 *
 * http://schema.org/afterMedia
 */
export const afterMedia = 'http://schema.org/afterMedia' satisfies Property;

/**
 * agent
 *
 * The direct performer or driver of the action (animate or inanimate). E.g. *John* wrote a book.
 *
 * http://schema.org/agent
 */
export const agent = 'http://schema.org/agent' satisfies Property;

/**
 * agentInteractionStatistic
 *
 * The number of completed interactions for this entity, in a particular role (the 'agent'), in a particular action (indicated in the statistic), and in a particular context (i.e. interactionService).
 *
 * http://schema.org/agentInteractionStatistic
 */
export const agentInteractionStatistic = 'http://schema.org/agentInteractionStatistic' satisfies Property;

/**
 * aggregateElement
 *
 * Indicates a prototype of the elements in the list that is used to hold aggregate information (ratings, offers, etc.).
 *
 * http://schema.org/aggregateElement
 */
export const aggregateElement = 'http://schema.org/aggregateElement' satisfies Property;

/**
 * aggregateRating
 *
 * The overall rating, based on a collection of reviews or ratings, of the item.
 *
 * http://schema.org/aggregateRating
 */
export const aggregateRating = 'http://schema.org/aggregateRating' satisfies Property;

/**
 * aircraft
 *
 * The kind of aircraft (e.g., "Boeing 747").
 *
 * http://schema.org/aircraft
 */
export const aircraft = 'http://schema.org/aircraft' satisfies Property;

/**
 * albumProductionType
 *
 * Classification of the album by its type of content: soundtrack, live album, studio album, etc.
 *
 * http://schema.org/albumProductionType
 */
export const albumProductionType = 'http://schema.org/albumProductionType' satisfies Property;

/**
 * albumReleaseType
 *
 * The kind of release which this album is: single, EP or album.
 *
 * http://schema.org/albumReleaseType
 */
export const albumReleaseType = 'http://schema.org/albumReleaseType' satisfies Property;

/**
 * albums
 *
 * A collection of music albums.
 *
 * http://schema.org/albums
 */
export const albums = 'http://schema.org/albums' satisfies Property;

/**
 * alcoholWarning
 *
 * Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.
 *
 * http://schema.org/alcoholWarning
 */
export const alcoholWarning = 'http://schema.org/alcoholWarning' satisfies Property;

/**
 * algorithm
 *
 * The algorithm or rules to follow to compute the score.
 *
 * http://schema.org/algorithm
 */
export const algorithm = 'http://schema.org/algorithm' satisfies Property;

/**
 * alignmentType
 *
 * A category of alignment between the learning resource and the framework node. Recommended values include: 'requires', 'textComplexity', 'readingLevel', and 'educationalSubject'.
 *
 * http://schema.org/alignmentType
 */
export const alignmentType = 'http://schema.org/alignmentType' satisfies Property;

/**
 * alternativeHeadline
 *
 * A secondary title of the CreativeWork.
 *
 * http://schema.org/alternativeHeadline
 */
export const alternativeHeadline = 'http://schema.org/alternativeHeadline' satisfies Property;

/**
 * alternativeOf
 *
 * Another gene which is a variation of this one.
 *
 * http://schema.org/alternativeOf
 */
export const alternativeOf = 'http://schema.org/alternativeOf' satisfies Property;

/**
 * amenityFeature
 *
 * An amenity feature (e.g. a characteristic or service) of the Accommodation. This generic property does not make a statement about whether the feature is included in an offer for the main accommodation or available at extra costs.
 *
 * http://schema.org/amenityFeature
 */
export const amenityFeature = 'http://schema.org/amenityFeature' satisfies Property;

/**
 * amount
 *
 * The amount of money.
 *
 * http://schema.org/amount
 */
export const amount = 'http://schema.org/amount' satisfies Property;

/**
 * amountOfThisGood
 *
 * The quantity of the goods included in the offer.
 *
 * http://schema.org/amountOfThisGood
 */
export const amountOfThisGood = 'http://schema.org/amountOfThisGood' satisfies Property;

/**
 * announcementLocation
 *
 * Indicates a specific [[CivicStructure]] or [[LocalBusiness]] associated with the SpecialAnnouncement. For example, a specific testing facility or business with special opening hours. For a larger geographic region like a quarantine of an entire region, use [[spatialCoverage]].
 *
 * http://schema.org/announcementLocation
 */
export const announcementLocation = 'http://schema.org/announcementLocation' satisfies Property;

/**
 * annualPercentageRate
 *
 * The annual rate that is charged for borrowing (or made by investing), expressed as a single percentage number that represents the actual yearly cost of funds over the term of a loan. This includes any fees or additional costs associated with the transaction.
 *
 * http://schema.org/annualPercentageRate
 */
export const annualPercentageRate = 'http://schema.org/annualPercentageRate' satisfies Property;

/**
 * answerCount
 *
 * The number of answers this question has received.
 *
 * http://schema.org/answerCount
 */
export const answerCount = 'http://schema.org/answerCount' satisfies Property;

/**
 * answerExplanation
 *
 * A step-by-step or full explanation about Answer. Can outline how this Answer was achieved or contain more broad clarification or statement about it. 
 *
 * http://schema.org/answerExplanation
 */
export const answerExplanation = 'http://schema.org/answerExplanation' satisfies Property;

/**
 * antagonist
 *
 * The muscle whose action counteracts the specified muscle.
 *
 * http://schema.org/antagonist
 */
export const antagonist = 'http://schema.org/antagonist' satisfies Property;

/**
 * appearance
 *
 * Indicates an occurrence of a [[Claim]] in some [[CreativeWork]].
 *
 * http://schema.org/appearance
 */
export const appearance = 'http://schema.org/appearance' satisfies Property;

/**
 * applicableCountry
 *
 * A country where a particular merchant return policy applies to, for example the two-letter ISO 3166-1 alpha-2 country code.
 *
 * http://schema.org/applicableCountry
 */
export const applicableCountry = 'http://schema.org/applicableCountry' satisfies Property;

/**
 * applicableLocation
 *
 * The location in which the status applies.
 *
 * http://schema.org/applicableLocation
 */
export const applicableLocation = 'http://schema.org/applicableLocation' satisfies Property;

/**
 * applicantLocationRequirements
 *
 * The location(s) applicants can apply from. This is usually used for telecommuting jobs where the applicant does not need to be in a physical office. Note: This should not be used for citizenship or work visa requirements.
 *
 * http://schema.org/applicantLocationRequirements
 */
export const applicantLocationRequirements = 'http://schema.org/applicantLocationRequirements' satisfies Property;

/**
 * application
 *
 * An application that can complete the request.
 *
 * http://schema.org/application
 */
export const application = 'http://schema.org/application' satisfies Property;

/**
 * applicationCategory
 *
 * Type of software application, e.g. 'Game, Multimedia'.
 *
 * http://schema.org/applicationCategory
 */
export const applicationCategory = 'http://schema.org/applicationCategory' satisfies Property;

/**
 * applicationContact
 *
 * Contact details for further information relevant to this job posting.
 *
 * http://schema.org/applicationContact
 */
export const applicationContact = 'http://schema.org/applicationContact' satisfies Property;

/**
 * applicationDeadline
 *
 * The date on which the program stops collecting applications for the next enrollment cycle. Flexible application deadlines (for example, a program with rolling admissions) can be described in a textual string, rather than as a DateTime.
 *
 * http://schema.org/applicationDeadline
 */
export const applicationDeadline = 'http://schema.org/applicationDeadline' satisfies Property;

/**
 * applicationStartDate
 *
 * The date at which the program begins collecting applications for the next enrollment cycle.
 *
 * http://schema.org/applicationStartDate
 */
export const applicationStartDate = 'http://schema.org/applicationStartDate' satisfies Property;

/**
 * applicationSubCategory
 *
 * Subcategory of the application, e.g. 'Arcade Game'.
 *
 * http://schema.org/applicationSubCategory
 */
export const applicationSubCategory = 'http://schema.org/applicationSubCategory' satisfies Property;

/**
 * applicationSuite
 *
 * The name of the application suite to which the application belongs (e.g. Excel belongs to Office).
 *
 * http://schema.org/applicationSuite
 */
export const applicationSuite = 'http://schema.org/applicationSuite' satisfies Property;

/**
 * appliesToDeliveryMethod
 *
 * The delivery method(s) to which the delivery charge or payment charge specification applies.
 *
 * http://schema.org/appliesToDeliveryMethod
 */
export const appliesToDeliveryMethod = 'http://schema.org/appliesToDeliveryMethod' satisfies Property;

/**
 * appliesToPaymentMethod
 *
 * The payment method(s) to which the payment charge specification applies.
 *
 * http://schema.org/appliesToPaymentMethod
 */
export const appliesToPaymentMethod = 'http://schema.org/appliesToPaymentMethod' satisfies Property;

/**
 * archivedAt
 *
 * Indicates a page or other link involved in archival of a [[CreativeWork]]. In the case of [[MediaReview]], the items in a [[MediaReviewItem]] may often become inaccessible, but be archived by archival, journalistic, activist, or law enforcement organizations. In such cases, the referenced page may not directly publish the content.
 *
 * http://schema.org/archivedAt
 */
export const archivedAt = 'http://schema.org/archivedAt' satisfies Property;

/**
 * area
 *
 * The area within which users can expect to reach the broadcast service.
 *
 * http://schema.org/area
 */
export const area = 'http://schema.org/area' satisfies Property;

/**
 * arrivalAirport
 *
 * The airport where the flight terminates.
 *
 * http://schema.org/arrivalAirport
 */
export const arrivalAirport = 'http://schema.org/arrivalAirport' satisfies Property;

/**
 * arrivalBoatTerminal
 *
 * The terminal or port from which the boat arrives.
 *
 * http://schema.org/arrivalBoatTerminal
 */
export const arrivalBoatTerminal = 'http://schema.org/arrivalBoatTerminal' satisfies Property;

/**
 * arrivalBusStop
 *
 * The stop or station from which the bus arrives.
 *
 * http://schema.org/arrivalBusStop
 */
export const arrivalBusStop = 'http://schema.org/arrivalBusStop' satisfies Property;

/**
 * arrivalGate
 *
 * Identifier of the flight's arrival gate.
 *
 * http://schema.org/arrivalGate
 */
export const arrivalGate = 'http://schema.org/arrivalGate' satisfies Property;

/**
 * arrivalPlatform
 *
 * The platform where the train arrives.
 *
 * http://schema.org/arrivalPlatform
 */
export const arrivalPlatform = 'http://schema.org/arrivalPlatform' satisfies Property;

/**
 * arrivalStation
 *
 * The station where the train trip ends.
 *
 * http://schema.org/arrivalStation
 */
export const arrivalStation = 'http://schema.org/arrivalStation' satisfies Property;

/**
 * arrivalTerminal
 *
 * Identifier of the flight's arrival terminal.
 *
 * http://schema.org/arrivalTerminal
 */
export const arrivalTerminal = 'http://schema.org/arrivalTerminal' satisfies Property;

/**
 * arrivalTime
 *
 * The expected arrival time.
 *
 * http://schema.org/arrivalTime
 */
export const arrivalTime = 'http://schema.org/arrivalTime' satisfies Property;

/**
 * artEdition
 *
 * The number of copies when multiple copies of a piece of artwork are produced - e.g. for a limited edition of 20 prints, 'artEdition' refers to the total number of copies (in this example "20").
 *
 * http://schema.org/artEdition
 */
export const artEdition = 'http://schema.org/artEdition' satisfies Property;

/**
 * artMedium
 *
 * The material used. (E.g. Oil, Watercolour, Acrylic, Linoprint, Marble, Cyanotype, Digital, Lithograph, DryPoint, Intaglio, Pastel, Woodcut, Pencil, Mixed Media, etc.)
 *
 * http://schema.org/artMedium
 */
export const artMedium = 'http://schema.org/artMedium' satisfies Property;

/**
 * artform
 *
 * e.g. Painting, Drawing, Sculpture, Print, Photograph, Assemblage, Collage, etc.
 *
 * http://schema.org/artform
 */
export const artform = 'http://schema.org/artform' satisfies Property;

/**
 * articleBody
 *
 * The actual body of the article.
 *
 * http://schema.org/articleBody
 */
export const articleBody = 'http://schema.org/articleBody' satisfies Property;

/**
 * articleSection
 *
 * Articles may belong to one or more 'sections' in a magazine or newspaper, such as Sports, Lifestyle, etc.
 *
 * http://schema.org/articleSection
 */
export const articleSection = 'http://schema.org/articleSection' satisfies Property;

/**
 * artist
 *
 * The primary artist for a work
 *     	in a medium other than pencils or digital line art--for example, if the
 *     	primary artwork is done in watercolors or digital paints.
 *
 * http://schema.org/artist
 */
export const artist = 'http://schema.org/artist' satisfies Property;

/**
 * asin
 *
 * An Amazon Standard Identification Number (ASIN) is a 10-character alphanumeric unique identifier assigned by Amazon.com and its partners for product identification within the Amazon organization (summary from [Wikipedia](https://en.wikipedia.org/wiki/Amazon_Standard_Identification_Number)'s article).
 * 
 * Note also that this is a definition for how to include ASINs in Schema.org data, and not a definition of ASINs in general - see documentation from Amazon for authoritative details.
 * ASINs are most commonly encoded as text strings, but the [asin] property supports URL/URI as potential values too.
 *
 * http://schema.org/asin
 */
export const asin = 'http://schema.org/asin' satisfies Property;

/**
 * aspect
 *
 * An aspect of medical practice that is considered on the page, such as 'diagnosis', 'treatment', 'causes', 'prognosis', 'etiology', 'epidemiology', etc.
 *
 * http://schema.org/aspect
 */
export const aspect = 'http://schema.org/aspect' satisfies Property;

/**
 * assembly
 *
 * Library file name, e.g., mscorlib.dll, system.web.dll.
 *
 * http://schema.org/assembly
 */
export const assembly = 'http://schema.org/assembly' satisfies Property;

/**
 * assemblyVersion
 *
 * Associated product/technology version. E.g., .NET Framework 4.5.
 *
 * http://schema.org/assemblyVersion
 */
export const assemblyVersion = 'http://schema.org/assemblyVersion' satisfies Property;

/**
 * assesses
 *
 * The item being described is intended to assess the competency or learning outcome defined by the referenced term.
 *
 * http://schema.org/assesses
 */
export const assesses = 'http://schema.org/assesses' satisfies Property;

/**
 * associatedAnatomy
 *
 * The anatomy of the underlying organ system or structures associated with this entity.
 *
 * http://schema.org/associatedAnatomy
 */
export const associatedAnatomy = 'http://schema.org/associatedAnatomy' satisfies Property;

/**
 * associatedArticle
 *
 * A NewsArticle associated with the Media Object.
 *
 * http://schema.org/associatedArticle
 */
export const associatedArticle = 'http://schema.org/associatedArticle' satisfies Property;

/**
 * associatedClaimReview
 *
 * An associated [[ClaimReview]], related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case [[relatedMediaReview]] would commonly be used on a [[ClaimReview]], while [[relatedClaimReview]] would be used on [[MediaReview]].
 *
 * http://schema.org/associatedClaimReview
 */
export const associatedClaimReview = 'http://schema.org/associatedClaimReview' satisfies Property;

/**
 * associatedDisease
 *
 * Disease associated to this BioChemEntity. Such disease can be a MedicalCondition or a URL. If you want to add an evidence supporting the association, please use PropertyValue.
 *
 * http://schema.org/associatedDisease
 */
export const associatedDisease = 'http://schema.org/associatedDisease' satisfies Property;

/**
 * associatedMedia
 *
 * A media object that encodes this CreativeWork. This property is a synonym for encoding.
 *
 * http://schema.org/associatedMedia
 */
export const associatedMedia = 'http://schema.org/associatedMedia' satisfies Property;

/**
 * associatedMediaReview
 *
 * An associated [[MediaReview]], related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case [[relatedMediaReview]] would commonly be used on a [[ClaimReview]], while [[relatedClaimReview]] would be used on [[MediaReview]].
 *
 * http://schema.org/associatedMediaReview
 */
export const associatedMediaReview = 'http://schema.org/associatedMediaReview' satisfies Property;

/**
 * associatedPathophysiology
 *
 * If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.
 *
 * http://schema.org/associatedPathophysiology
 */
export const associatedPathophysiology = 'http://schema.org/associatedPathophysiology' satisfies Property;

/**
 * athlete
 *
 * A person that acts as performing member of a sports team; a player as opposed to a coach.
 *
 * http://schema.org/athlete
 */
export const athlete = 'http://schema.org/athlete' satisfies Property;

/**
 * attendees
 *
 * A person attending the event.
 *
 * http://schema.org/attendees
 */
export const attendees = 'http://schema.org/attendees' satisfies Property;

/**
 * audienceType
 *
 * The target group associated with a given audience (e.g. veterans, car owners, musicians, etc.).
 *
 * http://schema.org/audienceType
 */
export const audienceType = 'http://schema.org/audienceType' satisfies Property;

/**
 * audio
 *
 * An embedded audio object.
 *
 * http://schema.org/audio
 */
export const audio = 'http://schema.org/audio' satisfies Property;

/**
 * auditDate
 *
 * Date when a certification was last audited. See also  [gs1:certificationAuditDate](https://www.gs1.org/voc/certificationAuditDate).
 *
 * http://schema.org/auditDate
 */
export const auditDate = 'http://schema.org/auditDate' satisfies Property;

/**
 * authenticator
 *
 * The Organization responsible for authenticating the user's subscription. For example, many media apps require a cable/satellite provider to authenticate your subscription before playing media.
 *
 * http://schema.org/authenticator
 */
export const authenticator = 'http://schema.org/authenticator' satisfies Property;

/**
 * author
 *
 * The author of this content or rating. Please note that author is special in that HTML 5 provides a special mechanism for indicating authorship via the rel tag. That is equivalent to this and may be used interchangeably.
 *
 * http://schema.org/author
 */
export const author = 'http://schema.org/author' satisfies Property;

/**
 * availability
 *
 * The availability of this item&#x2014;for example In stock, Out of stock, Pre-order, etc.
 *
 * http://schema.org/availability
 */
export const availability = 'http://schema.org/availability' satisfies Property;

/**
 * availabilityEnds
 *
 * The end of the availability of the product or service included in the offer.
 *
 * http://schema.org/availabilityEnds
 */
export const availabilityEnds = 'http://schema.org/availabilityEnds' satisfies Property;

/**
 * availabilityStarts
 *
 * The beginning of the availability of the product or service included in the offer.
 *
 * http://schema.org/availabilityStarts
 */
export const availabilityStarts = 'http://schema.org/availabilityStarts' satisfies Property;

/**
 * availableAtOrFrom
 *
 * The place(s) from which the offer can be obtained (e.g. store locations).
 *
 * http://schema.org/availableAtOrFrom
 */
export const availableAtOrFrom = 'http://schema.org/availableAtOrFrom' satisfies Property;

/**
 * availableChannel
 *
 * A means of accessing the service (e.g. a phone bank, a web site, a location, etc.).
 *
 * http://schema.org/availableChannel
 */
export const availableChannel = 'http://schema.org/availableChannel' satisfies Property;

/**
 * availableDeliveryMethod
 *
 * The delivery method(s) available for this offer.
 *
 * http://schema.org/availableDeliveryMethod
 */
export const availableDeliveryMethod = 'http://schema.org/availableDeliveryMethod' satisfies Property;

/**
 * availableFrom
 *
 * When the item is available for pickup from the store, locker, etc.
 *
 * http://schema.org/availableFrom
 */
export const availableFrom = 'http://schema.org/availableFrom' satisfies Property;

/**
 * availableIn
 *
 * The location in which the strength is available.
 *
 * http://schema.org/availableIn
 */
export const availableIn = 'http://schema.org/availableIn' satisfies Property;

/**
 * availableLanguage
 *
 * A language someone may use with or at the item, service or place. Please use one of the language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47). See also [[inLanguage]].
 *
 * http://schema.org/availableLanguage
 */
export const availableLanguage = 'http://schema.org/availableLanguage' satisfies Property;

/**
 * availableService
 *
 * A medical service available from this provider.
 *
 * http://schema.org/availableService
 */
export const availableService = 'http://schema.org/availableService' satisfies Property;

/**
 * availableStrength
 *
 * An available dosage strength for the drug.
 *
 * http://schema.org/availableStrength
 */
export const availableStrength = 'http://schema.org/availableStrength' satisfies Property;

/**
 * availableTest
 *
 * A diagnostic test or procedure offered by this lab.
 *
 * http://schema.org/availableTest
 */
export const availableTest = 'http://schema.org/availableTest' satisfies Property;

/**
 * availableThrough
 *
 * After this date, the item will no longer be available for pickup.
 *
 * http://schema.org/availableThrough
 */
export const availableThrough = 'http://schema.org/availableThrough' satisfies Property;

/**
 * awards
 *
 * Awards won by or for this item.
 *
 * http://schema.org/awards
 */
export const awards = 'http://schema.org/awards' satisfies Property;

/**
 * awayTeam
 *
 * The away team in a sports event.
 *
 * http://schema.org/awayTeam
 */
export const awayTeam = 'http://schema.org/awayTeam' satisfies Property;

/**
 * backstory
 *
 * For an [[Article]], typically a [[NewsArticle]], the backstory property provides a textual summary giving a brief explanation of why and how an article was created. In a journalistic setting this could include information about reporting process, methods, interviews, data sources, etc.
 *
 * http://schema.org/backstory
 */
export const backstory = 'http://schema.org/backstory' satisfies Property;

/**
 * bankAccountType
 *
 * The type of a bank account.
 *
 * http://schema.org/bankAccountType
 */
export const bankAccountType = 'http://schema.org/bankAccountType' satisfies Property;

/**
 * baseSalary
 *
 * The base salary of the job or of an employee in an EmployeeRole.
 *
 * http://schema.org/baseSalary
 */
export const baseSalary = 'http://schema.org/baseSalary' satisfies Property;

/**
 * bccRecipient
 *
 * A sub property of recipient. The recipient blind copied on a message.
 *
 * http://schema.org/bccRecipient
 */
export const bccRecipient = 'http://schema.org/bccRecipient' satisfies Property;

/**
 * bed
 *
 * The type of bed or beds included in the accommodation. For the single case of just one bed of a certain type, you use bed directly with a text.
 *       If you want to indicate the quantity of a certain kind of bed, use an instance of BedDetails. For more detailed information, use the amenityFeature property.
 *
 * http://schema.org/bed
 */
export const bed = 'http://schema.org/bed' satisfies Property;

/**
 * beforeMedia
 *
 * A media object representing the circumstances before performing this direction.
 *
 * http://schema.org/beforeMedia
 */
export const beforeMedia = 'http://schema.org/beforeMedia' satisfies Property;

/**
 * beneficiaryBank
 *
 * A bank or bank’s branch, financial institution or international financial institution operating the beneficiary’s bank account or releasing funds for the beneficiary.
 *
 * http://schema.org/beneficiaryBank
 */
export const beneficiaryBank = 'http://schema.org/beneficiaryBank' satisfies Property;

/**
 * benefits
 *
 * Description of benefits associated with the job.
 *
 * http://schema.org/benefits
 */
export const benefits = 'http://schema.org/benefits' satisfies Property;

/**
 * benefitsSummaryUrl
 *
 * The URL that goes directly to the summary of benefits and coverage for the specific standard plan or plan variation.
 *
 * http://schema.org/benefitsSummaryUrl
 */
export const benefitsSummaryUrl = 'http://schema.org/benefitsSummaryUrl' satisfies Property;

/**
 * bestRating
 *
 * The highest value allowed in this rating system.
 *
 * http://schema.org/bestRating
 */
export const bestRating = 'http://schema.org/bestRating' satisfies Property;

/**
 * billingAddress
 *
 * The billing address for the order.
 *
 * http://schema.org/billingAddress
 */
export const billingAddress = 'http://schema.org/billingAddress' satisfies Property;

/**
 * billingDuration
 *
 * Specifies for how long this price (or price component) will be billed. Can be used, for example, to model the contractual duration of a subscription or payment plan. Type can be either a Duration or a Number (in which case the unit of measurement, for example month, is specified by the unitCode property).
 *
 * http://schema.org/billingDuration
 */
export const billingDuration = 'http://schema.org/billingDuration' satisfies Property;

/**
 * billingIncrement
 *
 * This property specifies the minimal quantity and rounding increment that will be the basis for the billing. The unit of measurement is specified by the unitCode property.
 *
 * http://schema.org/billingIncrement
 */
export const billingIncrement = 'http://schema.org/billingIncrement' satisfies Property;

/**
 * billingPeriod
 *
 * The time interval used to compute the invoice.
 *
 * http://schema.org/billingPeriod
 */
export const billingPeriod = 'http://schema.org/billingPeriod' satisfies Property;

/**
 * billingStart
 *
 * Specifies after how much time this price (or price component) becomes valid and billing starts. Can be used, for example, to model a price increase after the first year of a subscription. The unit of measurement is specified by the unitCode property.
 *
 * http://schema.org/billingStart
 */
export const billingStart = 'http://schema.org/billingStart' satisfies Property;

/**
 * bioChemInteraction
 *
 * A BioChemEntity that is known to interact with this item.
 *
 * http://schema.org/bioChemInteraction
 */
export const bioChemInteraction = 'http://schema.org/bioChemInteraction' satisfies Property;

/**
 * bioChemSimilarity
 *
 * A similar BioChemEntity, e.g., obtained by fingerprint similarity algorithms.
 *
 * http://schema.org/bioChemSimilarity
 */
export const bioChemSimilarity = 'http://schema.org/bioChemSimilarity' satisfies Property;

/**
 * biologicalRole
 *
 * A role played by the BioChemEntity within a biological context.
 *
 * http://schema.org/biologicalRole
 */
export const biologicalRole = 'http://schema.org/biologicalRole' satisfies Property;

/**
 * biomechnicalClass
 *
 * The biomechanical properties of the bone.
 *
 * http://schema.org/biomechnicalClass
 */
export const biomechnicalClass = 'http://schema.org/biomechnicalClass' satisfies Property;

/**
 * birthDate
 *
 * Date of birth.
 *
 * http://schema.org/birthDate
 */
export const birthDate = 'http://schema.org/birthDate' satisfies Property;

/**
 * birthPlace
 *
 * The place where the person was born.
 *
 * http://schema.org/birthPlace
 */
export const birthPlace = 'http://schema.org/birthPlace' satisfies Property;

/**
 * bitrate
 *
 * The bitrate of the media object.
 *
 * http://schema.org/bitrate
 */
export const bitrate = 'http://schema.org/bitrate' satisfies Property;

/**
 * blogPosts
 *
 * Indicates a post that is part of a [[Blog]]. Note that historically, what we term a "Blog" was once known as a "weblog", and that what we term a "BlogPosting" is now often colloquially referred to as a "blog".
 *
 * http://schema.org/blogPosts
 */
export const blogPosts = 'http://schema.org/blogPosts' satisfies Property;

/**
 * bloodSupply
 *
 * The blood vessel that carries blood from the heart to the muscle.
 *
 * http://schema.org/bloodSupply
 */
export const bloodSupply = 'http://schema.org/bloodSupply' satisfies Property;

/**
 * boardingGroup
 *
 * The airline-specific indicator of boarding order / preference.
 *
 * http://schema.org/boardingGroup
 */
export const boardingGroup = 'http://schema.org/boardingGroup' satisfies Property;

/**
 * boardingPolicy
 *
 * The type of boarding policy used by the airline (e.g. zone-based or group-based).
 *
 * http://schema.org/boardingPolicy
 */
export const boardingPolicy = 'http://schema.org/boardingPolicy' satisfies Property;

/**
 * bodyLocation
 *
 * Location in the body of the anatomical structure.
 *
 * http://schema.org/bodyLocation
 */
export const bodyLocation = 'http://schema.org/bodyLocation' satisfies Property;

/**
 * bodyType
 *
 * Indicates the design and body style of the vehicle (e.g. station wagon, hatchback, etc.).
 *
 * http://schema.org/bodyType
 */
export const bodyType = 'http://schema.org/bodyType' satisfies Property;

/**
 * bookEdition
 *
 * The edition of the book.
 *
 * http://schema.org/bookEdition
 */
export const bookEdition = 'http://schema.org/bookEdition' satisfies Property;

/**
 * bookFormat
 *
 * The format of the book.
 *
 * http://schema.org/bookFormat
 */
export const bookFormat = 'http://schema.org/bookFormat' satisfies Property;

/**
 * bookingAgent
 *
 * 'bookingAgent' is an out-dated term indicating a 'broker' that serves as a booking agent.
 *
 * http://schema.org/bookingAgent
 */
export const bookingAgent = 'http://schema.org/bookingAgent' satisfies Property;

/**
 * bookingTime
 *
 * The date and time the reservation was booked.
 *
 * http://schema.org/bookingTime
 */
export const bookingTime = 'http://schema.org/bookingTime' satisfies Property;

/**
 * borrower
 *
 * A sub property of participant. The person that borrows the object being lent.
 *
 * http://schema.org/borrower
 */
export const borrower = 'http://schema.org/borrower' satisfies Property;

/**
 * box
 *
 * A box is the area enclosed by the rectangle formed by two points. The first point is the lower corner, the second point is the upper corner. A box is expressed as two points separated by a space character.
 *
 * http://schema.org/box
 */
export const box = 'http://schema.org/box' satisfies Property;

/**
 * branch
 *
 * The branches that delineate from the nerve bundle. Not to be confused with [[branchOf]].
 *
 * http://schema.org/branch
 */
export const branch = 'http://schema.org/branch' satisfies Property;

/**
 * branchCode
 *
 * A short textual code (also called "store code") that uniquely identifies a place of business. The code is typically assigned by the parentOrganization and used in structured URLs.\n\nFor example, in the URL http://www.starbucks.co.uk/store-locator/etc/detail/3047 the code "3047" is a branchCode for a particular branch.
 *       
 *
 * http://schema.org/branchCode
 */
export const branchCode = 'http://schema.org/branchCode' satisfies Property;

/**
 * branchOf
 *
 * The larger organization that this local business is a branch of, if any. Not to be confused with (anatomical) [[branch]].
 *
 * http://schema.org/branchOf
 */
export const branchOf = 'http://schema.org/branchOf' satisfies Property;

/**
 * brand
 *
 * The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.
 *
 * http://schema.org/brand
 */
export const brand = 'http://schema.org/brand' satisfies Property;

/**
 * breadcrumb
 *
 * A set of links that can help a user understand and navigate a website hierarchy.
 *
 * http://schema.org/breadcrumb
 */
export const breadcrumb = 'http://schema.org/breadcrumb' satisfies Property;

/**
 * breastfeedingWarning
 *
 * Any precaution, guidance, contraindication, etc. related to this drug's use by breastfeeding mothers.
 *
 * http://schema.org/breastfeedingWarning
 */
export const breastfeedingWarning = 'http://schema.org/breastfeedingWarning' satisfies Property;

/**
 * broadcastAffiliateOf
 *
 * The media network(s) whose content is broadcast on this station.
 *
 * http://schema.org/broadcastAffiliateOf
 */
export const broadcastAffiliateOf = 'http://schema.org/broadcastAffiliateOf' satisfies Property;

/**
 * broadcastChannelId
 *
 * The unique address by which the BroadcastService can be identified in a provider lineup. In US, this is typically a number.
 *
 * http://schema.org/broadcastChannelId
 */
export const broadcastChannelId = 'http://schema.org/broadcastChannelId' satisfies Property;

/**
 * broadcastDisplayName
 *
 * The name displayed in the channel guide. For many US affiliates, it is the network name.
 *
 * http://schema.org/broadcastDisplayName
 */
export const broadcastDisplayName = 'http://schema.org/broadcastDisplayName' satisfies Property;

/**
 * broadcastFrequency
 *
 * The frequency used for over-the-air broadcasts. Numeric values or simple ranges, e.g. 87-99. In addition a shortcut idiom is supported for frequencies of AM and FM radio channels, e.g. "87 FM".
 *
 * http://schema.org/broadcastFrequency
 */
export const broadcastFrequency = 'http://schema.org/broadcastFrequency' satisfies Property;

/**
 * broadcastFrequencyValue
 *
 * The frequency in MHz for a particular broadcast.
 *
 * http://schema.org/broadcastFrequencyValue
 */
export const broadcastFrequencyValue = 'http://schema.org/broadcastFrequencyValue' satisfies Property;

/**
 * broadcastOfEvent
 *
 * The event being broadcast such as a sporting event or awards ceremony.
 *
 * http://schema.org/broadcastOfEvent
 */
export const broadcastOfEvent = 'http://schema.org/broadcastOfEvent' satisfies Property;

/**
 * broadcastServiceTier
 *
 * The type of service required to have access to the channel (e.g. Standard or Premium).
 *
 * http://schema.org/broadcastServiceTier
 */
export const broadcastServiceTier = 'http://schema.org/broadcastServiceTier' satisfies Property;

/**
 * broadcastSignalModulation
 *
 * The modulation (e.g. FM, AM, etc) used by a particular broadcast service.
 *
 * http://schema.org/broadcastSignalModulation
 */
export const broadcastSignalModulation = 'http://schema.org/broadcastSignalModulation' satisfies Property;

/**
 * broadcastSubChannel
 *
 * The subchannel used for the broadcast.
 *
 * http://schema.org/broadcastSubChannel
 */
export const broadcastSubChannel = 'http://schema.org/broadcastSubChannel' satisfies Property;

/**
 * broadcastTimezone
 *
 * The timezone in [ISO 8601 format](http://en.wikipedia.org/wiki/ISO_8601) for which the service bases its broadcasts.
 *
 * http://schema.org/broadcastTimezone
 */
export const broadcastTimezone = 'http://schema.org/broadcastTimezone' satisfies Property;

/**
 * broadcaster
 *
 * The organization owning or operating the broadcast service.
 *
 * http://schema.org/broadcaster
 */
export const broadcaster = 'http://schema.org/broadcaster' satisfies Property;

/**
 * browserRequirements
 *
 * Specifies browser requirements in human-readable text. For example, 'requires HTML5 support'.
 *
 * http://schema.org/browserRequirements
 */
export const browserRequirements = 'http://schema.org/browserRequirements' satisfies Property;

/**
 * busName
 *
 * The name of the bus (e.g. Bolt Express).
 *
 * http://schema.org/busName
 */
export const busName = 'http://schema.org/busName' satisfies Property;

/**
 * busNumber
 *
 * The unique identifier for the bus.
 *
 * http://schema.org/busNumber
 */
export const busNumber = 'http://schema.org/busNumber' satisfies Property;

/**
 * businessDays
 *
 * Days of the week when the merchant typically operates, indicated via opening hours markup.
 *
 * http://schema.org/businessDays
 */
export const businessDays = 'http://schema.org/businessDays' satisfies Property;

/**
 * businessFunction
 *
 * The business function (e.g. sell, lease, repair, dispose) of the offer or component of a bundle (TypeAndQuantityNode). The default is http://purl.org/goodrelations/v1#Sell.
 *
 * http://schema.org/businessFunction
 */
export const businessFunction = 'http://schema.org/businessFunction' satisfies Property;

/**
 * buyer
 *
 * A sub property of participant. The participant/person/organization that bought the object.
 *
 * http://schema.org/buyer
 */
export const buyer = 'http://schema.org/buyer' satisfies Property;

/**
 * byArtist
 *
 * The artist that performed this album or recording.
 *
 * http://schema.org/byArtist
 */
export const byArtist = 'http://schema.org/byArtist' satisfies Property;

/**
 * byDay
 *
 * Defines the day(s) of the week on which a recurring [[Event]] takes place. May be specified using either [[DayOfWeek]], or alternatively [[Text]] conforming to iCal's syntax for byDay recurrence rules.
 *
 * http://schema.org/byDay
 */
export const byDay = 'http://schema.org/byDay' satisfies Property;

/**
 * byMonth
 *
 * Defines the month(s) of the year on which a recurring [[Event]] takes place. Specified as an [[Integer]] between 1-12. January is 1.
 *
 * http://schema.org/byMonth
 */
export const byMonth = 'http://schema.org/byMonth' satisfies Property;

/**
 * byMonthDay
 *
 * Defines the day(s) of the month on which a recurring [[Event]] takes place. Specified as an [[Integer]] between 1-31.
 *
 * http://schema.org/byMonthDay
 */
export const byMonthDay = 'http://schema.org/byMonthDay' satisfies Property;

/**
 * byMonthWeek
 *
 * Defines the week(s) of the month on which a recurring Event takes place. Specified as an Integer between 1-5. For clarity, byMonthWeek is best used in conjunction with byDay to indicate concepts like the first and third Mondays of a month.
 *
 * http://schema.org/byMonthWeek
 */
export const byMonthWeek = 'http://schema.org/byMonthWeek' satisfies Property;

/**
 * callSign
 *
 * A [callsign](https://en.wikipedia.org/wiki/Call_sign), as used in broadcasting and radio communications to identify people, radio and TV stations, or vehicles.
 *
 * http://schema.org/callSign
 */
export const callSign = 'http://schema.org/callSign' satisfies Property;

/**
 * calories
 *
 * The number of calories.
 *
 * http://schema.org/calories
 */
export const calories = 'http://schema.org/calories' satisfies Property;

/**
 * candidate
 *
 * A sub property of object. The candidate subject of this action.
 *
 * http://schema.org/candidate
 */
export const candidate = 'http://schema.org/candidate' satisfies Property;

/**
 * carbohydrateContent
 *
 * The number of grams of carbohydrates.
 *
 * http://schema.org/carbohydrateContent
 */
export const carbohydrateContent = 'http://schema.org/carbohydrateContent' satisfies Property;

/**
 * cargoVolume
 *
 * The available volume for cargo or luggage. For automobiles, this is usually the trunk volume.\n\nTypical unit code(s): LTR for liters, FTQ for cubic foot/feet\n\nNote: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/cargoVolume
 */
export const cargoVolume = 'http://schema.org/cargoVolume' satisfies Property;

/**
 * carrier
 *
 * 'carrier' is an out-dated term indicating the 'provider' for parcel delivery and flights.
 *
 * http://schema.org/carrier
 */
export const carrier = 'http://schema.org/carrier' satisfies Property;

/**
 * carrierRequirements
 *
 * Specifies specific carrier(s) requirements for the application (e.g. an application may only work on a specific carrier network).
 *
 * http://schema.org/carrierRequirements
 */
export const carrierRequirements = 'http://schema.org/carrierRequirements' satisfies Property;

/**
 * cashBack
 *
 * A cardholder benefit that pays the cardholder a small percentage of their net expenditures.
 *
 * http://schema.org/cashBack
 */
export const cashBack = 'http://schema.org/cashBack' satisfies Property;

/**
 * catalog
 *
 * A data catalog which contains this dataset.
 *
 * http://schema.org/catalog
 */
export const catalog = 'http://schema.org/catalog' satisfies Property;

/**
 * catalogNumber
 *
 * The catalog number for the release.
 *
 * http://schema.org/catalogNumber
 */
export const catalogNumber = 'http://schema.org/catalogNumber' satisfies Property;

/**
 * causeOf
 *
 * The condition, complication, symptom, sign, etc. caused.
 *
 * http://schema.org/causeOf
 */
export const causeOf = 'http://schema.org/causeOf' satisfies Property;

/**
 * ccRecipient
 *
 * A sub property of recipient. The recipient copied on a message.
 *
 * http://schema.org/ccRecipient
 */
export const ccRecipient = 'http://schema.org/ccRecipient' satisfies Property;

/**
 * certificationIdentification
 *
 * Identifier of a certification instance (as registered with an independent certification body). Typically this identifier can be used to consult and verify the certification instance. See also [gs1:certificationIdentification](https://www.gs1.org/voc/certificationIdentification).
 *
 * http://schema.org/certificationIdentification
 */
export const certificationIdentification = 'http://schema.org/certificationIdentification' satisfies Property;

/**
 * certificationRating
 *
 * Rating of a certification instance (as defined by an independent certification body). Typically this rating can be used to rate the level to which the requirements of the certification instance are fulfilled. See also [gs1:certificationValue](https://www.gs1.org/voc/certificationValue).
 *
 * http://schema.org/certificationRating
 */
export const certificationRating = 'http://schema.org/certificationRating' satisfies Property;

/**
 * certificationStatus
 *
 * Indicates the current status of a certification: active or inactive. See also  [gs1:certificationStatus](https://www.gs1.org/voc/certificationStatus).
 *
 * http://schema.org/certificationStatus
 */
export const certificationStatus = 'http://schema.org/certificationStatus' satisfies Property;

/**
 * character
 *
 * Fictional person connected with a creative work.
 *
 * http://schema.org/character
 */
export const character = 'http://schema.org/character' satisfies Property;

/**
 * characterAttribute
 *
 * A piece of data that represents a particular aspect of a fictional character (skill, power, character points, advantage, disadvantage).
 *
 * http://schema.org/characterAttribute
 */
export const characterAttribute = 'http://schema.org/characterAttribute' satisfies Property;

/**
 * characterName
 *
 * The name of a character played in some acting or performing role, i.e. in a PerformanceRole.
 *
 * http://schema.org/characterName
 */
export const characterName = 'http://schema.org/characterName' satisfies Property;

/**
 * cheatCode
 *
 * Cheat codes to the game.
 *
 * http://schema.org/cheatCode
 */
export const cheatCode = 'http://schema.org/cheatCode' satisfies Property;

/**
 * checkinTime
 *
 * The earliest someone may check into a lodging establishment.
 *
 * http://schema.org/checkinTime
 */
export const checkinTime = 'http://schema.org/checkinTime' satisfies Property;

/**
 * checkoutPageURLTemplate
 *
 * A URL template (RFC 6570) for a checkout page for an offer. This approach allows merchants to specify a URL for online checkout of the offered product, by interpolating parameters such as the logged in user ID, product ID, quantity, discount code etc. Parameter naming and standardization are not specified here.
 *
 * http://schema.org/checkoutPageURLTemplate
 */
export const checkoutPageURLTemplate = 'http://schema.org/checkoutPageURLTemplate' satisfies Property;

/**
 * checkoutTime
 *
 * The latest someone may check out of a lodging establishment.
 *
 * http://schema.org/checkoutTime
 */
export const checkoutTime = 'http://schema.org/checkoutTime' satisfies Property;

/**
 * chemicalComposition
 *
 * The chemical composition describes the identity and relative ratio of the chemical elements that make up the substance.
 *
 * http://schema.org/chemicalComposition
 */
export const chemicalComposition = 'http://schema.org/chemicalComposition' satisfies Property;

/**
 * chemicalRole
 *
 * A role played by the BioChemEntity within a chemical context.
 *
 * http://schema.org/chemicalRole
 */
export const chemicalRole = 'http://schema.org/chemicalRole' satisfies Property;

/**
 * childMaxAge
 *
 * Maximal age of the child.
 *
 * http://schema.org/childMaxAge
 */
export const childMaxAge = 'http://schema.org/childMaxAge' satisfies Property;

/**
 * childMinAge
 *
 * Minimal age of the child.
 *
 * http://schema.org/childMinAge
 */
export const childMinAge = 'http://schema.org/childMinAge' satisfies Property;

/**
 * children
 *
 * A child of the person.
 *
 * http://schema.org/children
 */
export const children = 'http://schema.org/children' satisfies Property;

/**
 * cholesterolContent
 *
 * The number of milligrams of cholesterol.
 *
 * http://schema.org/cholesterolContent
 */
export const cholesterolContent = 'http://schema.org/cholesterolContent' satisfies Property;

/**
 * circle
 *
 * A circle is the circular region of a specified radius centered at a specified latitude and longitude. A circle is expressed as a pair followed by a radius in meters.
 *
 * http://schema.org/circle
 */
export const circle = 'http://schema.org/circle' satisfies Property;

/**
 * citation
 *
 * A citation or reference to another creative work, such as another publication, web page, scholarly article, etc.
 *
 * http://schema.org/citation
 */
export const citation = 'http://schema.org/citation' satisfies Property;

/**
 * claimInterpreter
 *
 * For a [[Claim]] interpreted from [[MediaObject]] content, the [[interpretedAsClaim]] property can be used to indicate a claim contained, implied or refined from the content of a [[MediaObject]].
 *
 * http://schema.org/claimInterpreter
 */
export const claimInterpreter = 'http://schema.org/claimInterpreter' satisfies Property;

/**
 * claimReviewed
 *
 * A short summary of the specific claims reviewed in a ClaimReview.
 *
 * http://schema.org/claimReviewed
 */
export const claimReviewed = 'http://schema.org/claimReviewed' satisfies Property;

/**
 * clincalPharmacology
 *
 * Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).
 *
 * http://schema.org/clincalPharmacology
 */
export const clincalPharmacology = 'http://schema.org/clincalPharmacology' satisfies Property;

/**
 * clipNumber
 *
 * Position of the clip within an ordered group of clips.
 *
 * http://schema.org/clipNumber
 */
export const clipNumber = 'http://schema.org/clipNumber' satisfies Property;

/**
 * closes
 *
 * The closing hour of the place or service on the given day(s) of the week.
 *
 * http://schema.org/closes
 */
export const closes = 'http://schema.org/closes' satisfies Property;

/**
 * coach
 *
 * A person that acts in a coaching role for a sports team.
 *
 * http://schema.org/coach
 */
export const coach = 'http://schema.org/coach' satisfies Property;

/**
 * code
 *
 * A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.
 *
 * http://schema.org/code
 */
export const code = 'http://schema.org/code' satisfies Property;

/**
 * codeRepository
 *
 * Link to the repository where the un-compiled, human readable code and related code is located (SVN, GitHub, CodePlex).
 *
 * http://schema.org/codeRepository
 */
export const codeRepository = 'http://schema.org/codeRepository' satisfies Property;

/**
 * codeValue
 *
 * A short textual code that uniquely identifies the value.
 *
 * http://schema.org/codeValue
 */
export const codeValue = 'http://schema.org/codeValue' satisfies Property;

/**
 * codingSystem
 *
 * The coding system, e.g. 'ICD-10'.
 *
 * http://schema.org/codingSystem
 */
export const codingSystem = 'http://schema.org/codingSystem' satisfies Property;

/**
 * colleagues
 *
 * A colleague of the person.
 *
 * http://schema.org/colleagues
 */
export const colleagues = 'http://schema.org/colleagues' satisfies Property;

/**
 * collection
 *
 * A sub property of object. The collection target of the action.
 *
 * http://schema.org/collection
 */
export const collection = 'http://schema.org/collection' satisfies Property;

/**
 * http://schema.org/collectionSize
 */
export const collectionSize = 'http://schema.org/collectionSize' satisfies Property;

/**
 * color
 *
 * The color of the product.
 *
 * http://schema.org/color
 */
export const color = 'http://schema.org/color' satisfies Property;

/**
 * colorSwatch
 *
 * A color swatch image, visualizing the color of a [[Product]]. Should match the textual description specified in the [[color]] property. This can be a URL or a fully described ImageObject.
 *
 * http://schema.org/colorSwatch
 */
export const colorSwatch = 'http://schema.org/colorSwatch' satisfies Property;

/**
 * colorist
 *
 * The individual who adds color to inked drawings.
 *
 * http://schema.org/colorist
 */
export const colorist = 'http://schema.org/colorist' satisfies Property;

/**
 * comment
 *
 * Comments, typically from users.
 *
 * http://schema.org/comment
 */
export const comment = 'http://schema.org/comment' satisfies Property;

/**
 * commentCount
 *
 * The number of comments this CreativeWork (e.g. Article, Question or Answer) has received. This is most applicable to works published in Web sites with commenting system; additional comments may exist elsewhere.
 *
 * http://schema.org/commentCount
 */
export const commentCount = 'http://schema.org/commentCount' satisfies Property;

/**
 * commentText
 *
 * The text of the UserComment.
 *
 * http://schema.org/commentText
 */
export const commentText = 'http://schema.org/commentText' satisfies Property;

/**
 * commentTime
 *
 * The time at which the UserComment was made.
 *
 * http://schema.org/commentTime
 */
export const commentTime = 'http://schema.org/commentTime' satisfies Property;

/**
 * companyRegistration
 *
 * The official registration number of a business including the organization that issued it such as Company House or Chamber of Commerce.
 *
 * http://schema.org/companyRegistration
 */
export const companyRegistration = 'http://schema.org/companyRegistration' satisfies Property;

/**
 * competencyRequired
 *
 * Knowledge, skill, ability or personal attribute that must be demonstrated by a person or other entity in order to do something such as earn an Educational Occupational Credential or understand a LearningResource.
 *
 * http://schema.org/competencyRequired
 */
export const competencyRequired = 'http://schema.org/competencyRequired' satisfies Property;

/**
 * composer
 *
 * The person or organization who wrote a composition, or who is the composer of a work performed at some event.
 *
 * http://schema.org/composer
 */
export const composer = 'http://schema.org/composer' satisfies Property;

/**
 * comprisedOf
 *
 * Specifying something physically contained by something else. Typically used here for the underlying anatomical structures, such as organs, that comprise the anatomical system.
 *
 * http://schema.org/comprisedOf
 */
export const comprisedOf = 'http://schema.org/comprisedOf' satisfies Property;

/**
 * conditionsOfAccess
 *
 * Conditions that affect the availability of, or method(s) of access to, an item. Typically used for real world items such as an [[ArchiveComponent]] held by an [[ArchiveOrganization]]. This property is not suitable for use as a general Web access control mechanism. It is expressed only in natural language.\n\nFor example "Available by appointment from the Reading Room" or "Accessible only from logged-in accounts ". 
 *
 * http://schema.org/conditionsOfAccess
 */
export const conditionsOfAccess = 'http://schema.org/conditionsOfAccess' satisfies Property;

/**
 * confirmationNumber
 *
 * A number that confirms the given order or payment has been received.
 *
 * http://schema.org/confirmationNumber
 */
export const confirmationNumber = 'http://schema.org/confirmationNumber' satisfies Property;

/**
 * connectedTo
 *
 * Other anatomical structures to which this structure is connected.
 *
 * http://schema.org/connectedTo
 */
export const connectedTo = 'http://schema.org/connectedTo' satisfies Property;

/**
 * constraintProperty
 *
 * Indicates a property used as a constraint. For example, in the definition of a [[StatisticalVariable]]. The value is a property, either from within Schema.org or from other compatible (e.g. RDF) systems such as DataCommons.org or Wikidata.org. 
 *
 * http://schema.org/constraintProperty
 */
export const constraintProperty = 'http://schema.org/constraintProperty' satisfies Property;

/**
 * contactOption
 *
 * An option available on this contact point (e.g. a toll-free number or support for hearing-impaired callers).
 *
 * http://schema.org/contactOption
 */
export const contactOption = 'http://schema.org/contactOption' satisfies Property;

/**
 * contactPoints
 *
 * A contact point for a person or organization.
 *
 * http://schema.org/contactPoints
 */
export const contactPoints = 'http://schema.org/contactPoints' satisfies Property;

/**
 * contactType
 *
 * A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.
 *
 * http://schema.org/contactType
 */
export const contactType = 'http://schema.org/contactType' satisfies Property;

/**
 * contactlessPayment
 *
 * A secure method for consumers to purchase products or services via debit, credit or smartcards by using RFID or NFC technology.
 *
 * http://schema.org/contactlessPayment
 */
export const contactlessPayment = 'http://schema.org/contactlessPayment' satisfies Property;

/**
 * containedIn
 *
 * The basic containment relation between a place and one that contains it.
 *
 * http://schema.org/containedIn
 */
export const containedIn = 'http://schema.org/containedIn' satisfies Property;

/**
 * contentRating
 *
 * Official rating of a piece of content&#x2014;for example, 'MPAA PG-13'.
 *
 * http://schema.org/contentRating
 */
export const contentRating = 'http://schema.org/contentRating' satisfies Property;

/**
 * contentReferenceTime
 *
 * The specific time described by a creative work, for works (e.g. articles, video objects etc.) that emphasise a particular moment within an Event.
 *
 * http://schema.org/contentReferenceTime
 */
export const contentReferenceTime = 'http://schema.org/contentReferenceTime' satisfies Property;

/**
 * contentSize
 *
 * File size in (mega/kilo)bytes.
 *
 * http://schema.org/contentSize
 */
export const contentSize = 'http://schema.org/contentSize' satisfies Property;

/**
 * contentType
 *
 * The supported content type(s) for an EntryPoint response.
 *
 * http://schema.org/contentType
 */
export const contentType = 'http://schema.org/contentType' satisfies Property;

/**
 * contentUrl
 *
 * Actual bytes of the media object, for example the image file or video file.
 *
 * http://schema.org/contentUrl
 */
export const contentUrl = 'http://schema.org/contentUrl' satisfies Property;

/**
 * contraindication
 *
 * A contraindication for this therapy.
 *
 * http://schema.org/contraindication
 */
export const contraindication = 'http://schema.org/contraindication' satisfies Property;

/**
 * contributor
 *
 * A secondary contributor to the CreativeWork or Event.
 *
 * http://schema.org/contributor
 */
export const contributor = 'http://schema.org/contributor' satisfies Property;

/**
 * cookTime
 *
 * The time it takes to actually cook the dish, in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * http://schema.org/cookTime
 */
export const cookTime = 'http://schema.org/cookTime' satisfies Property;

/**
 * cookingMethod
 *
 * The method of cooking, such as Frying, Steaming, ...
 *
 * http://schema.org/cookingMethod
 */
export const cookingMethod = 'http://schema.org/cookingMethod' satisfies Property;

/**
 * copyrightHolder
 *
 * The party holding the legal copyright to the CreativeWork.
 *
 * http://schema.org/copyrightHolder
 */
export const copyrightHolder = 'http://schema.org/copyrightHolder' satisfies Property;

/**
 * copyrightNotice
 *
 * Text of a notice appropriate for describing the copyright aspects of this Creative Work, ideally indicating the owner of the copyright for the Work.
 *
 * http://schema.org/copyrightNotice
 */
export const copyrightNotice = 'http://schema.org/copyrightNotice' satisfies Property;

/**
 * copyrightYear
 *
 * The year during which the claimed copyright for the CreativeWork was first asserted.
 *
 * http://schema.org/copyrightYear
 */
export const copyrightYear = 'http://schema.org/copyrightYear' satisfies Property;

/**
 * correction
 *
 * Indicates a correction to a [[CreativeWork]], either via a [[CorrectionComment]], textually or in another document.
 *
 * http://schema.org/correction
 */
export const correction = 'http://schema.org/correction' satisfies Property;

/**
 * correctionsPolicy
 *
 * For an [[Organization]] (e.g. [[NewsMediaOrganization]]), a statement describing (in news media, the newsroom’s) disclosure and correction policy for errors.
 *
 * http://schema.org/correctionsPolicy
 */
export const correctionsPolicy = 'http://schema.org/correctionsPolicy' satisfies Property;

/**
 * costCategory
 *
 * The category of cost, such as wholesale, retail, reimbursement cap, etc.
 *
 * http://schema.org/costCategory
 */
export const costCategory = 'http://schema.org/costCategory' satisfies Property;

/**
 * costCurrency
 *
 * The currency (in 3-letter) of the drug cost. See: http://en.wikipedia.org/wiki/ISO_4217. 
 *
 * http://schema.org/costCurrency
 */
export const costCurrency = 'http://schema.org/costCurrency' satisfies Property;

/**
 * costOrigin
 *
 * Additional details to capture the origin of the cost data. For example, 'Medicare Part B'.
 *
 * http://schema.org/costOrigin
 */
export const costOrigin = 'http://schema.org/costOrigin' satisfies Property;

/**
 * costPerUnit
 *
 * The cost per unit of the drug.
 *
 * http://schema.org/costPerUnit
 */
export const costPerUnit = 'http://schema.org/costPerUnit' satisfies Property;

/**
 * countriesNotSupported
 *
 * Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 * http://schema.org/countriesNotSupported
 */
export const countriesNotSupported = 'http://schema.org/countriesNotSupported' satisfies Property;

/**
 * countriesSupported
 *
 * Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 * http://schema.org/countriesSupported
 */
export const countriesSupported = 'http://schema.org/countriesSupported' satisfies Property;

/**
 * countryOfAssembly
 *
 * The place where the product was assembled.
 *
 * http://schema.org/countryOfAssembly
 */
export const countryOfAssembly = 'http://schema.org/countryOfAssembly' satisfies Property;

/**
 * countryOfLastProcessing
 *
 * The place where the item (typically [[Product]]) was last processed and tested before importation.
 *
 * http://schema.org/countryOfLastProcessing
 */
export const countryOfLastProcessing = 'http://schema.org/countryOfLastProcessing' satisfies Property;

/**
 * countryOfOrigin
 *
 * The country of origin of something, including products as well as creative  works such as movie and TV content.
 * 
 * In the case of TV and movie, this would be the country of the principle offices of the production company or individual responsible for the movie. For other kinds of [[CreativeWork]] it is difficult to provide fully general guidance, and properties such as [[contentLocation]] and [[locationCreated]] may be more applicable.
 * 
 * In the case of products, the country of origin of the product. The exact interpretation of this may vary by context and product type, and cannot be fully enumerated here.
 *
 * http://schema.org/countryOfOrigin
 */
export const countryOfOrigin = 'http://schema.org/countryOfOrigin' satisfies Property;

/**
 * course
 *
 * A sub property of location. The course where this action was taken.
 *
 * http://schema.org/course
 */
export const course = 'http://schema.org/course' satisfies Property;

/**
 * courseCode
 *
 * The identifier for the [[Course]] used by the course [[provider]] (e.g. CS101 or 6.001).
 *
 * http://schema.org/courseCode
 */
export const courseCode = 'http://schema.org/courseCode' satisfies Property;

/**
 * courseMode
 *
 * The medium or means of delivery of the course instance or the mode of study, either as a text label (e.g. "online", "onsite" or "blended"; "synchronous" or "asynchronous"; "full-time" or "part-time") or as a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous).
 *
 * http://schema.org/courseMode
 */
export const courseMode = 'http://schema.org/courseMode' satisfies Property;

/**
 * coursePrerequisites
 *
 * Requirements for taking the Course. May be completion of another [[Course]] or a textual description like "permission of instructor". Requirements may be a pre-requisite competency, referenced using [[AlignmentObject]].
 *
 * http://schema.org/coursePrerequisites
 */
export const coursePrerequisites = 'http://schema.org/coursePrerequisites' satisfies Property;

/**
 * courseSchedule
 *
 * Represents the length and pace of a course, expressed as a [[Schedule]].
 *
 * http://schema.org/courseSchedule
 */
export const courseSchedule = 'http://schema.org/courseSchedule' satisfies Property;

/**
 * courseWorkload
 *
 * The amount of work expected of students taking the course, often provided as a figure per week or per month, and may be broken down by type. For example, "2 hours of lectures, 1 hour of lab work and 3 hours of independent study per week".
 *
 * http://schema.org/courseWorkload
 */
export const courseWorkload = 'http://schema.org/courseWorkload' satisfies Property;

/**
 * coverageEndTime
 *
 * The time when the live blog will stop covering the Event. Note that coverage may continue after the Event concludes.
 *
 * http://schema.org/coverageEndTime
 */
export const coverageEndTime = 'http://schema.org/coverageEndTime' satisfies Property;

/**
 * coverageStartTime
 *
 * The time when the live blog will begin covering the Event. Note that coverage may begin before the Event's start time. The LiveBlogPosting may also be created before coverage begins.
 *
 * http://schema.org/coverageStartTime
 */
export const coverageStartTime = 'http://schema.org/coverageStartTime' satisfies Property;

/**
 * creativeWorkStatus
 *
 * The status of a creative work in terms of its stage in a lifecycle. Example terms include Incomplete, Draft, Published, Obsolete. Some organizations define a set of terms for the stages of their publication lifecycle.
 *
 * http://schema.org/creativeWorkStatus
 */
export const creativeWorkStatus = 'http://schema.org/creativeWorkStatus' satisfies Property;

/**
 * credentialCategory
 *
 * The category or type of credential being described, for example "degree”, “certificate”, “badge”, or more specific term.
 *
 * http://schema.org/credentialCategory
 */
export const credentialCategory = 'http://schema.org/credentialCategory' satisfies Property;

/**
 * creditText
 *
 * Text that can be used to credit person(s) and/or organization(s) associated with a published Creative Work.
 *
 * http://schema.org/creditText
 */
export const creditText = 'http://schema.org/creditText' satisfies Property;

/**
 * creditedTo
 *
 * The group the release is credited to if different than the byArtist. For example, Red and Blue is credited to "Stefani Germanotta Band", but by Lady Gaga.
 *
 * http://schema.org/creditedTo
 */
export const creditedTo = 'http://schema.org/creditedTo' satisfies Property;

/**
 * cssSelector
 *
 * A CSS selector, e.g. of a [[SpeakableSpecification]] or [[WebPageElement]]. In the latter case, multiple matches within a page can constitute a single conceptual "Web page element".
 *
 * http://schema.org/cssSelector
 */
export const cssSelector = 'http://schema.org/cssSelector' satisfies Property;

/**
 * currenciesAccepted
 *
 * The currency accepted.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * http://schema.org/currenciesAccepted
 */
export const currenciesAccepted = 'http://schema.org/currenciesAccepted' satisfies Property;

/**
 * currency
 *
 * The currency in which the monetary amount is expressed.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * http://schema.org/currency
 */
export const currency = 'http://schema.org/currency' satisfies Property;

/**
 * currentExchangeRate
 *
 * The current price of a currency.
 *
 * http://schema.org/currentExchangeRate
 */
export const currentExchangeRate = 'http://schema.org/currentExchangeRate' satisfies Property;

/**
 * customer
 *
 * Party placing the order or paying the invoice.
 *
 * http://schema.org/customer
 */
export const customer = 'http://schema.org/customer' satisfies Property;

/**
 * customerRemorseReturnFees
 *
 * The type of return fees if the product is returned due to customer remorse.
 *
 * http://schema.org/customerRemorseReturnFees
 */
export const customerRemorseReturnFees = 'http://schema.org/customerRemorseReturnFees' satisfies Property;

/**
 * customerRemorseReturnLabelSource
 *
 * The method (from an enumeration) by which the customer obtains a return shipping label for a product returned due to customer remorse.
 *
 * http://schema.org/customerRemorseReturnLabelSource
 */
export const customerRemorseReturnLabelSource = 'http://schema.org/customerRemorseReturnLabelSource' satisfies Property;

/**
 * customerRemorseReturnShippingFeesAmount
 *
 * The amount of shipping costs if a product is returned due to customer remorse. Applicable when property [[customerRemorseReturnFees]] equals [[ReturnShippingFees]].
 *
 * http://schema.org/customerRemorseReturnShippingFeesAmount
 */
export const customerRemorseReturnShippingFeesAmount = 'http://schema.org/customerRemorseReturnShippingFeesAmount' satisfies Property;

/**
 * cutoffTime
 *
 * Order cutoff time allows merchants to describe the time after which they will no longer process orders received on that day. For orders processed after cutoff time, one day gets added to the delivery time estimate. This property is expected to be most typically used via the [[ShippingRateSettings]] publication pattern. The time is indicated using the ISO-8601 Time format, e.g. "23:30:00-05:00" would represent 6:30 pm Eastern Standard Time (EST) which is 5 hours behind Coordinated Universal Time (UTC).
 *
 * http://schema.org/cutoffTime
 */
export const cutoffTime = 'http://schema.org/cutoffTime' satisfies Property;

/**
 * cvdCollectionDate
 *
 * collectiondate - Date for which patient counts are reported.
 *
 * http://schema.org/cvdCollectionDate
 */
export const cvdCollectionDate = 'http://schema.org/cvdCollectionDate' satisfies Property;

/**
 * cvdFacilityCounty
 *
 * Name of the County of the NHSN facility that this data record applies to. Use [[cvdFacilityId]] to identify the facility. To provide other details, [[healthcareReportingData]] can be used on a [[Hospital]] entry.
 *
 * http://schema.org/cvdFacilityCounty
 */
export const cvdFacilityCounty = 'http://schema.org/cvdFacilityCounty' satisfies Property;

/**
 * cvdFacilityId
 *
 * Identifier of the NHSN facility that this data record applies to. Use [[cvdFacilityCounty]] to indicate the county. To provide other details, [[healthcareReportingData]] can be used on a [[Hospital]] entry.
 *
 * http://schema.org/cvdFacilityId
 */
export const cvdFacilityId = 'http://schema.org/cvdFacilityId' satisfies Property;

/**
 * cvdNumBeds
 *
 * numbeds - HOSPITAL INPATIENT BEDS: Inpatient beds, including all staffed, licensed, and overflow (surge) beds used for inpatients.
 *
 * http://schema.org/cvdNumBeds
 */
export const cvdNumBeds = 'http://schema.org/cvdNumBeds' satisfies Property;

/**
 * cvdNumBedsOcc
 *
 * numbedsocc - HOSPITAL INPATIENT BED OCCUPANCY: Total number of staffed inpatient beds that are occupied.
 *
 * http://schema.org/cvdNumBedsOcc
 */
export const cvdNumBedsOcc = 'http://schema.org/cvdNumBedsOcc' satisfies Property;

/**
 * cvdNumC19Died
 *
 * numc19died - DEATHS: Patients with suspected or confirmed COVID-19 who died in the hospital, ED, or any overflow location.
 *
 * http://schema.org/cvdNumC19Died
 */
export const cvdNumC19Died = 'http://schema.org/cvdNumC19Died' satisfies Property;

/**
 * cvdNumC19HOPats
 *
 * numc19hopats - HOSPITAL ONSET: Patients hospitalized in an NHSN inpatient care location with onset of suspected or confirmed COVID-19 14 or more days after hospitalization.
 *
 * http://schema.org/cvdNumC19HOPats
 */
export const cvdNumC19HOPats = 'http://schema.org/cvdNumC19HOPats' satisfies Property;

/**
 * cvdNumC19HospPats
 *
 * numc19hosppats - HOSPITALIZED: Patients currently hospitalized in an inpatient care location who have suspected or confirmed COVID-19.
 *
 * http://schema.org/cvdNumC19HospPats
 */
export const cvdNumC19HospPats = 'http://schema.org/cvdNumC19HospPats' satisfies Property;

/**
 * cvdNumC19MechVentPats
 *
 * numc19mechventpats - HOSPITALIZED and VENTILATED: Patients hospitalized in an NHSN inpatient care location who have suspected or confirmed COVID-19 and are on a mechanical ventilator.
 *
 * http://schema.org/cvdNumC19MechVentPats
 */
export const cvdNumC19MechVentPats = 'http://schema.org/cvdNumC19MechVentPats' satisfies Property;

/**
 * cvdNumC19OFMechVentPats
 *
 * numc19ofmechventpats - ED/OVERFLOW and VENTILATED: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed and on a mechanical ventilator.
 *
 * http://schema.org/cvdNumC19OFMechVentPats
 */
export const cvdNumC19OFMechVentPats = 'http://schema.org/cvdNumC19OFMechVentPats' satisfies Property;

/**
 * cvdNumC19OverflowPats
 *
 * numc19overflowpats - ED/OVERFLOW: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed.
 *
 * http://schema.org/cvdNumC19OverflowPats
 */
export const cvdNumC19OverflowPats = 'http://schema.org/cvdNumC19OverflowPats' satisfies Property;

/**
 * cvdNumICUBeds
 *
 * numicubeds - ICU BEDS: Total number of staffed inpatient intensive care unit (ICU) beds.
 *
 * http://schema.org/cvdNumICUBeds
 */
export const cvdNumICUBeds = 'http://schema.org/cvdNumICUBeds' satisfies Property;

/**
 * cvdNumICUBedsOcc
 *
 * numicubedsocc - ICU BED OCCUPANCY: Total number of staffed inpatient ICU beds that are occupied.
 *
 * http://schema.org/cvdNumICUBedsOcc
 */
export const cvdNumICUBedsOcc = 'http://schema.org/cvdNumICUBedsOcc' satisfies Property;

/**
 * cvdNumTotBeds
 *
 * numtotbeds - ALL HOSPITAL BEDS: Total number of all inpatient and outpatient beds, including all staffed, ICU, licensed, and overflow (surge) beds used for inpatients or outpatients.
 *
 * http://schema.org/cvdNumTotBeds
 */
export const cvdNumTotBeds = 'http://schema.org/cvdNumTotBeds' satisfies Property;

/**
 * cvdNumVent
 *
 * numvent - MECHANICAL VENTILATORS: Total number of ventilators available.
 *
 * http://schema.org/cvdNumVent
 */
export const cvdNumVent = 'http://schema.org/cvdNumVent' satisfies Property;

/**
 * cvdNumVentUse
 *
 * numventuse - MECHANICAL VENTILATORS IN USE: Total number of ventilators in use.
 *
 * http://schema.org/cvdNumVentUse
 */
export const cvdNumVentUse = 'http://schema.org/cvdNumVentUse' satisfies Property;

/**
 * dataFeedElement
 *
 * An item within a data feed. Data feeds may have many elements.
 *
 * http://schema.org/dataFeedElement
 */
export const dataFeedElement = 'http://schema.org/dataFeedElement' satisfies Property;

/**
 * datasetTimeInterval
 *
 * The range of temporal applicability of a dataset, e.g. for a 2011 census dataset, the year 2011 (in ISO 8601 time interval format).
 *
 * http://schema.org/datasetTimeInterval
 */
export const datasetTimeInterval = 'http://schema.org/datasetTimeInterval' satisfies Property;

/**
 * dateDeleted
 *
 * The datetime the item was removed from the DataFeed.
 *
 * http://schema.org/dateDeleted
 */
export const dateDeleted = 'http://schema.org/dateDeleted' satisfies Property;

/**
 * dateIssued
 *
 * The date the ticket was issued.
 *
 * http://schema.org/dateIssued
 */
export const dateIssued = 'http://schema.org/dateIssued' satisfies Property;

/**
 * dateModified
 *
 * The date on which the CreativeWork was most recently modified or when the item's entry was modified within a DataFeed.
 *
 * http://schema.org/dateModified
 */
export const dateModified = 'http://schema.org/dateModified' satisfies Property;

/**
 * datePosted
 *
 * Publication date of an online listing.
 *
 * http://schema.org/datePosted
 */
export const datePosted = 'http://schema.org/datePosted' satisfies Property;

/**
 * datePublished
 *
 * Date of first publication or broadcast. For example the date a [[CreativeWork]] was broadcast or a [[Certification]] was issued.
 *
 * http://schema.org/datePublished
 */
export const datePublished = 'http://schema.org/datePublished' satisfies Property;

/**
 * dateRead
 *
 * The date/time at which the message has been read by the recipient if a single recipient exists.
 *
 * http://schema.org/dateRead
 */
export const dateRead = 'http://schema.org/dateRead' satisfies Property;

/**
 * dateReceived
 *
 * The date/time the message was received if a single recipient exists.
 *
 * http://schema.org/dateReceived
 */
export const dateReceived = 'http://schema.org/dateReceived' satisfies Property;

/**
 * dateSent
 *
 * The date/time at which the message was sent.
 *
 * http://schema.org/dateSent
 */
export const dateSent = 'http://schema.org/dateSent' satisfies Property;

/**
 * dateVehicleFirstRegistered
 *
 * The date of the first registration of the vehicle with the respective public authorities.
 *
 * http://schema.org/dateVehicleFirstRegistered
 */
export const dateVehicleFirstRegistered = 'http://schema.org/dateVehicleFirstRegistered' satisfies Property;

/**
 * dateline
 *
 * A [dateline](https://en.wikipedia.org/wiki/Dateline) is a brief piece of text included in news articles that describes where and when the story was written or filed though the date is often omitted. Sometimes only a placename is provided.
 * 
 * Structured representations of dateline-related information can also be expressed more explicitly using [[locationCreated]] (which represents where a work was created, e.g. where a news report was written).  For location depicted or described in the content, use [[contentLocation]].
 * 
 * Dateline summaries are oriented more towards human readers than towards automated processing, and can vary substantially. Some examples: "BEIRUT, Lebanon, June 2.", "Paris, France", "December 19, 2017 11:43AM Reporting from Washington", "Beijing/Moscow", "QUEZON CITY, Philippines".
 *       
 *
 * http://schema.org/dateline
 */
export const dateline = 'http://schema.org/dateline' satisfies Property;

/**
 * dayOfWeek
 *
 * The day of the week for which these opening hours are valid.
 *
 * http://schema.org/dayOfWeek
 */
export const dayOfWeek = 'http://schema.org/dayOfWeek' satisfies Property;

/**
 * deathDate
 *
 * Date of death.
 *
 * http://schema.org/deathDate
 */
export const deathDate = 'http://schema.org/deathDate' satisfies Property;

/**
 * deathPlace
 *
 * The place where the person died.
 *
 * http://schema.org/deathPlace
 */
export const deathPlace = 'http://schema.org/deathPlace' satisfies Property;

/**
 * defaultValue
 *
 * The default value of the input.  For properties that expect a literal, the default is a literal value, for properties that expect an object, it's an ID reference to one of the current values.
 *
 * http://schema.org/defaultValue
 */
export const defaultValue = 'http://schema.org/defaultValue' satisfies Property;

/**
 * deliveryAddress
 *
 * Destination address.
 *
 * http://schema.org/deliveryAddress
 */
export const deliveryAddress = 'http://schema.org/deliveryAddress' satisfies Property;

/**
 * deliveryLeadTime
 *
 * The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup.
 *
 * http://schema.org/deliveryLeadTime
 */
export const deliveryLeadTime = 'http://schema.org/deliveryLeadTime' satisfies Property;

/**
 * deliveryMethod
 *
 * A sub property of instrument. The method of delivery.
 *
 * http://schema.org/deliveryMethod
 */
export const deliveryMethod = 'http://schema.org/deliveryMethod' satisfies Property;

/**
 * deliveryStatus
 *
 * New entry added as the package passes through each leg of its journey (from shipment to final delivery).
 *
 * http://schema.org/deliveryStatus
 */
export const deliveryStatus = 'http://schema.org/deliveryStatus' satisfies Property;

/**
 * deliveryTime
 *
 * The total delay between the receipt of the order and the goods reaching the final customer.
 *
 * http://schema.org/deliveryTime
 */
export const deliveryTime = 'http://schema.org/deliveryTime' satisfies Property;

/**
 * department
 *
 * A relationship between an organization and a department of that organization, also described as an organization (allowing different urls, logos, opening hours). For example: a store with a pharmacy, or a bakery with a cafe.
 *
 * http://schema.org/department
 */
export const department = 'http://schema.org/department' satisfies Property;

/**
 * departureAirport
 *
 * The airport where the flight originates.
 *
 * http://schema.org/departureAirport
 */
export const departureAirport = 'http://schema.org/departureAirport' satisfies Property;

/**
 * departureBoatTerminal
 *
 * The terminal or port from which the boat departs.
 *
 * http://schema.org/departureBoatTerminal
 */
export const departureBoatTerminal = 'http://schema.org/departureBoatTerminal' satisfies Property;

/**
 * departureBusStop
 *
 * The stop or station from which the bus departs.
 *
 * http://schema.org/departureBusStop
 */
export const departureBusStop = 'http://schema.org/departureBusStop' satisfies Property;

/**
 * departureGate
 *
 * Identifier of the flight's departure gate.
 *
 * http://schema.org/departureGate
 */
export const departureGate = 'http://schema.org/departureGate' satisfies Property;

/**
 * departurePlatform
 *
 * The platform from which the train departs.
 *
 * http://schema.org/departurePlatform
 */
export const departurePlatform = 'http://schema.org/departurePlatform' satisfies Property;

/**
 * departureStation
 *
 * The station from which the train departs.
 *
 * http://schema.org/departureStation
 */
export const departureStation = 'http://schema.org/departureStation' satisfies Property;

/**
 * departureTerminal
 *
 * Identifier of the flight's departure terminal.
 *
 * http://schema.org/departureTerminal
 */
export const departureTerminal = 'http://schema.org/departureTerminal' satisfies Property;

/**
 * departureTime
 *
 * The expected departure time.
 *
 * http://schema.org/departureTime
 */
export const departureTime = 'http://schema.org/departureTime' satisfies Property;

/**
 * dependencies
 *
 * Prerequisites needed to fulfill steps in article.
 *
 * http://schema.org/dependencies
 */
export const dependencies = 'http://schema.org/dependencies' satisfies Property;

/**
 * depth
 *
 * The depth of the item.
 *
 * http://schema.org/depth
 */
export const depth = 'http://schema.org/depth' satisfies Property;

/**
 * device
 *
 * Device required to run the application. Used in cases where a specific make/model is required to run the application.
 *
 * http://schema.org/device
 */
export const device = 'http://schema.org/device' satisfies Property;

/**
 * diagnosis
 *
 * One or more alternative conditions considered in the differential diagnosis process as output of a diagnosis process.
 *
 * http://schema.org/diagnosis
 */
export const diagnosis = 'http://schema.org/diagnosis' satisfies Property;

/**
 * diagram
 *
 * An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.
 *
 * http://schema.org/diagram
 */
export const diagram = 'http://schema.org/diagram' satisfies Property;

/**
 * diet
 *
 * A sub property of instrument. The diet used in this action.
 *
 * http://schema.org/diet
 */
export const diet = 'http://schema.org/diet' satisfies Property;

/**
 * dietFeatures
 *
 * Nutritional information specific to the dietary plan. May include dietary recommendations on what foods to avoid, what foods to consume, and specific alterations/deviations from the USDA or other regulatory body's approved dietary guidelines.
 *
 * http://schema.org/dietFeatures
 */
export const dietFeatures = 'http://schema.org/dietFeatures' satisfies Property;

/**
 * differentialDiagnosis
 *
 * One of a set of differential diagnoses for the condition. Specifically, a closely-related or competing diagnosis typically considered later in the cognitive process whereby this medical condition is distinguished from others most likely responsible for a similar collection of signs and symptoms to reach the most parsimonious diagnosis or diagnoses in a patient.
 *
 * http://schema.org/differentialDiagnosis
 */
export const differentialDiagnosis = 'http://schema.org/differentialDiagnosis' satisfies Property;

/**
 * digitalSourceType
 *
 * Indicates an IPTCDigitalSourceEnumeration code indicating the nature of the digital source(s) for some [[CreativeWork]].
 *
 * http://schema.org/digitalSourceType
 */
export const digitalSourceType = 'http://schema.org/digitalSourceType' satisfies Property;

/**
 * directApply
 *
 * Indicates whether an [[url]] that is associated with a [[JobPosting]] enables direct application for the job, via the posting website. A job posting is considered to have directApply of [[True]] if an application process for the specified job can be directly initiated via the url(s) given (noting that e.g. multiple internet domains might nevertheless be involved at an implementation level). A value of [[False]] is appropriate if there is no clear path to applying directly online for the specified job, navigating directly from the JobPosting url(s) supplied.
 *
 * http://schema.org/directApply
 */
export const directApply = 'http://schema.org/directApply' satisfies Property;

/**
 * directors
 *
 * A director of e.g. TV, radio, movie, video games etc. content. Directors can be associated with individual items or with a series, episode, clip.
 *
 * http://schema.org/directors
 */
export const directors = 'http://schema.org/directors' satisfies Property;

/**
 * disambiguatingDescription
 *
 * A sub property of description. A short description of the item used to disambiguate from other, similar items. Information from other properties (in particular, name) may be necessary for the description to be useful for disambiguation.
 *
 * http://schema.org/disambiguatingDescription
 */
export const disambiguatingDescription = 'http://schema.org/disambiguatingDescription' satisfies Property;

/**
 * discount
 *
 * Any discount applied (to an Order).
 *
 * http://schema.org/discount
 */
export const discount = 'http://schema.org/discount' satisfies Property;

/**
 * discountCode
 *
 * Code used to redeem a discount.
 *
 * http://schema.org/discountCode
 */
export const discountCode = 'http://schema.org/discountCode' satisfies Property;

/**
 * discountCurrency
 *
 * The currency of the discount.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * http://schema.org/discountCurrency
 */
export const discountCurrency = 'http://schema.org/discountCurrency' satisfies Property;

/**
 * discusses
 *
 * Specifies the CreativeWork associated with the UserComment.
 *
 * http://schema.org/discusses
 */
export const discusses = 'http://schema.org/discusses' satisfies Property;

/**
 * discussionUrl
 *
 * A link to the page containing the comments of the CreativeWork.
 *
 * http://schema.org/discussionUrl
 */
export const discussionUrl = 'http://schema.org/discussionUrl' satisfies Property;

/**
 * diseasePreventionInfo
 *
 * Information about disease prevention.
 *
 * http://schema.org/diseasePreventionInfo
 */
export const diseasePreventionInfo = 'http://schema.org/diseasePreventionInfo' satisfies Property;

/**
 * diseaseSpreadStatistics
 *
 * Statistical information about the spread of a disease, either as [[WebContent]], or
 *   described directly as a [[Dataset]], or the specific [[Observation]]s in the dataset. When a [[WebContent]] URL is
 *   provided, the page indicated might also contain more such markup.
 *
 * http://schema.org/diseaseSpreadStatistics
 */
export const diseaseSpreadStatistics = 'http://schema.org/diseaseSpreadStatistics' satisfies Property;

/**
 * dissolutionDate
 *
 * The date that this organization was dissolved.
 *
 * http://schema.org/dissolutionDate
 */
export const dissolutionDate = 'http://schema.org/dissolutionDate' satisfies Property;

/**
 * distance
 *
 * The distance travelled, e.g. exercising or travelling.
 *
 * http://schema.org/distance
 */
export const distance = 'http://schema.org/distance' satisfies Property;

/**
 * distinguishingSign
 *
 * One of a set of signs and symptoms that can be used to distinguish this diagnosis from others in the differential diagnosis.
 *
 * http://schema.org/distinguishingSign
 */
export const distinguishingSign = 'http://schema.org/distinguishingSign' satisfies Property;

/**
 * distribution
 *
 * A downloadable form of this dataset, at a specific location, in a specific format. This property can be repeated if different variations are available. There is no expectation that different downloadable distributions must contain exactly equivalent information (see also [DCAT](https://www.w3.org/TR/vocab-dcat-3/#Class:Distribution) on this point). Different distributions might include or exclude different subsets of the entire dataset, for example.
 *
 * http://schema.org/distribution
 */
export const distribution = 'http://schema.org/distribution' satisfies Property;

/**
 * diversityPolicy
 *
 * Statement on diversity policy by an [[Organization]] e.g. a [[NewsMediaOrganization]]. For a [[NewsMediaOrganization]], a statement describing the newsroom’s diversity policy on both staffing and sources, typically providing staffing data.
 *
 * http://schema.org/diversityPolicy
 */
export const diversityPolicy = 'http://schema.org/diversityPolicy' satisfies Property;

/**
 * diversityStaffingReport
 *
 * For an [[Organization]] (often but not necessarily a [[NewsMediaOrganization]]), a report on staffing diversity issues. In a news context this might be for example ASNE or RTDNA (US) reports, or self-reported.
 *
 * http://schema.org/diversityStaffingReport
 */
export const diversityStaffingReport = 'http://schema.org/diversityStaffingReport' satisfies Property;

/**
 * documentation
 *
 * Further documentation describing the Web API in more detail.
 *
 * http://schema.org/documentation
 */
export const documentation = 'http://schema.org/documentation' satisfies Property;

/**
 * doesNotShip
 *
 * Indicates when shipping to a particular [[shippingDestination]] is not available.
 *
 * http://schema.org/doesNotShip
 */
export const doesNotShip = 'http://schema.org/doesNotShip' satisfies Property;

/**
 * domainIncludes
 *
 * Relates a property to a class that is (one of) the type(s) the property is expected to be used on.
 *
 * http://schema.org/domainIncludes
 */
export const domainIncludes = 'http://schema.org/domainIncludes' satisfies Property;

/**
 * domiciledMortgage
 *
 * Whether borrower is a resident of the jurisdiction where the property is located.
 *
 * http://schema.org/domiciledMortgage
 */
export const domiciledMortgage = 'http://schema.org/domiciledMortgage' satisfies Property;

/**
 * doorTime
 *
 * The time admission will commence.
 *
 * http://schema.org/doorTime
 */
export const doorTime = 'http://schema.org/doorTime' satisfies Property;

/**
 * dosageForm
 *
 * A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.
 *
 * http://schema.org/dosageForm
 */
export const dosageForm = 'http://schema.org/dosageForm' satisfies Property;

/**
 * doseSchedule
 *
 * A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.
 *
 * http://schema.org/doseSchedule
 */
export const doseSchedule = 'http://schema.org/doseSchedule' satisfies Property;

/**
 * doseUnit
 *
 * The unit of the dose, e.g. 'mg'.
 *
 * http://schema.org/doseUnit
 */
export const doseUnit = 'http://schema.org/doseUnit' satisfies Property;

/**
 * doseValue
 *
 * The value of the dose, e.g. 500.
 *
 * http://schema.org/doseValue
 */
export const doseValue = 'http://schema.org/doseValue' satisfies Property;

/**
 * downPayment
 *
 * a type of payment made in cash during the onset of the purchase of an expensive good/service. The payment typically represents only a percentage of the full purchase price.
 *
 * http://schema.org/downPayment
 */
export const downPayment = 'http://schema.org/downPayment' satisfies Property;

/**
 * downloadUrl
 *
 * If the file can be downloaded, URL to download the binary.
 *
 * http://schema.org/downloadUrl
 */
export const downloadUrl = 'http://schema.org/downloadUrl' satisfies Property;

/**
 * downvoteCount
 *
 * The number of downvotes this question, answer or comment has received from the community.
 *
 * http://schema.org/downvoteCount
 */
export const downvoteCount = 'http://schema.org/downvoteCount' satisfies Property;

/**
 * drainsTo
 *
 * The vasculature that the vein drains into.
 *
 * http://schema.org/drainsTo
 */
export const drainsTo = 'http://schema.org/drainsTo' satisfies Property;

/**
 * driveWheelConfiguration
 *
 * The drive wheel configuration, i.e. which roadwheels will receive torque from the vehicle's engine via the drivetrain.
 *
 * http://schema.org/driveWheelConfiguration
 */
export const driveWheelConfiguration = 'http://schema.org/driveWheelConfiguration' satisfies Property;

/**
 * dropoffLocation
 *
 * Where a rental car can be dropped off.
 *
 * http://schema.org/dropoffLocation
 */
export const dropoffLocation = 'http://schema.org/dropoffLocation' satisfies Property;

/**
 * dropoffTime
 *
 * When a rental car can be dropped off.
 *
 * http://schema.org/dropoffTime
 */
export const dropoffTime = 'http://schema.org/dropoffTime' satisfies Property;

/**
 * drug
 *
 * Specifying a drug or medicine used in a medication procedure.
 *
 * http://schema.org/drug
 */
export const drug = 'http://schema.org/drug' satisfies Property;

/**
 * drugClass
 *
 * The class of drug this belongs to (e.g., statins).
 *
 * http://schema.org/drugClass
 */
export const drugClass = 'http://schema.org/drugClass' satisfies Property;

/**
 * drugUnit
 *
 * The unit in which the drug is measured, e.g. '5 mg tablet'.
 *
 * http://schema.org/drugUnit
 */
export const drugUnit = 'http://schema.org/drugUnit' satisfies Property;

/**
 * duns
 *
 * The Dun & Bradstreet DUNS number for identifying an organization or business person.
 *
 * http://schema.org/duns
 */
export const duns = 'http://schema.org/duns' satisfies Property;

/**
 * duplicateTherapy
 *
 * A therapy that duplicates or overlaps this one.
 *
 * http://schema.org/duplicateTherapy
 */
export const duplicateTherapy = 'http://schema.org/duplicateTherapy' satisfies Property;

/**
 * durationOfWarranty
 *
 * The duration of the warranty promise. Common unitCode values are ANN for year, MON for months, or DAY for days.
 *
 * http://schema.org/durationOfWarranty
 */
export const durationOfWarranty = 'http://schema.org/durationOfWarranty' satisfies Property;

/**
 * duringMedia
 *
 * A media object representing the circumstances while performing this direction.
 *
 * http://schema.org/duringMedia
 */
export const duringMedia = 'http://schema.org/duringMedia' satisfies Property;

/**
 * earlyPrepaymentPenalty
 *
 * The amount to be paid as a penalty in the event of early payment of the loan.
 *
 * http://schema.org/earlyPrepaymentPenalty
 */
export const earlyPrepaymentPenalty = 'http://schema.org/earlyPrepaymentPenalty' satisfies Property;

/**
 * editEIDR
 *
 * An [EIDR](https://eidr.org/) (Entertainment Identifier Registry) [[identifier]] representing a specific edit / edition for a work of film or television.
 * 
 * For example, the motion picture known as "Ghostbusters" whose [[titleEIDR]] is "10.5240/7EC7-228A-510A-053E-CBB8-J" has several edits, e.g. "10.5240/1F2A-E1C5-680A-14C6-E76B-I" and "10.5240/8A35-3BEE-6497-5D12-9E4F-3".
 * 
 * Since schema.org types like [[Movie]] and [[TVEpisode]] can be used for both works and their multiple expressions, it is possible to use [[titleEIDR]] alone (for a general description), or alongside [[editEIDR]] for a more edit-specific description.
 * 
 *
 * http://schema.org/editEIDR
 */
export const editEIDR = 'http://schema.org/editEIDR' satisfies Property;

/**
 * editor
 *
 * Specifies the Person who edited the CreativeWork.
 *
 * http://schema.org/editor
 */
export const editor = 'http://schema.org/editor' satisfies Property;

/**
 * eduQuestionType
 *
 * For questions that are part of learning resources (e.g. Quiz), eduQuestionType indicates the format of question being given. Example: "Multiple choice", "Open ended", "Flashcard".
 *
 * http://schema.org/eduQuestionType
 */
export const eduQuestionType = 'http://schema.org/eduQuestionType' satisfies Property;

/**
 * educationRequirements
 *
 * Educational background needed for the position or Occupation.
 *
 * http://schema.org/educationRequirements
 */
export const educationRequirements = 'http://schema.org/educationRequirements' satisfies Property;

/**
 * educationalAlignment
 *
 * An alignment to an established educational framework.
 * 
 * This property should not be used where the nature of the alignment can be described using a simple property, for example to express that a resource [[teaches]] or [[assesses]] a competency.
 *
 * http://schema.org/educationalAlignment
 */
export const educationalAlignment = 'http://schema.org/educationalAlignment' satisfies Property;

/**
 * educationalCredentialAwarded
 *
 * A description of the qualification, award, certificate, diploma or other educational credential awarded as a consequence of successful completion of this course or program.
 *
 * http://schema.org/educationalCredentialAwarded
 */
export const educationalCredentialAwarded = 'http://schema.org/educationalCredentialAwarded' satisfies Property;

/**
 * educationalFramework
 *
 * The framework to which the resource being described is aligned.
 *
 * http://schema.org/educationalFramework
 */
export const educationalFramework = 'http://schema.org/educationalFramework' satisfies Property;

/**
 * educationalLevel
 *
 * The level in terms of progression through an educational or training context. Examples of educational levels include 'beginner', 'intermediate' or 'advanced', and formal sets of level indicators.
 *
 * http://schema.org/educationalLevel
 */
export const educationalLevel = 'http://schema.org/educationalLevel' satisfies Property;

/**
 * educationalProgramMode
 *
 * Similar to courseMode, the medium or means of delivery of the program as a whole. The value may either be a text label (e.g. "online", "onsite" or "blended"; "synchronous" or "asynchronous"; "full-time" or "part-time") or a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous ).
 *
 * http://schema.org/educationalProgramMode
 */
export const educationalProgramMode = 'http://schema.org/educationalProgramMode' satisfies Property;

/**
 * educationalRole
 *
 * An educationalRole of an EducationalAudience.
 *
 * http://schema.org/educationalRole
 */
export const educationalRole = 'http://schema.org/educationalRole' satisfies Property;

/**
 * educationalUse
 *
 * The purpose of a work in the context of education; for example, 'assignment', 'group work'.
 *
 * http://schema.org/educationalUse
 */
export const educationalUse = 'http://schema.org/educationalUse' satisfies Property;

/**
 * elevation
 *
 * The elevation of a location ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)). Values may be of the form 'NUMBER UNIT\_OF\_MEASUREMENT' (e.g., '1,000 m', '3,200 ft') while numbers alone should be assumed to be a value in meters.
 *
 * http://schema.org/elevation
 */
export const elevation = 'http://schema.org/elevation' satisfies Property;

/**
 * eligibilityToWorkRequirement
 *
 * The legal requirements such as citizenship, visa and other documentation required for an applicant to this job.
 *
 * http://schema.org/eligibilityToWorkRequirement
 */
export const eligibilityToWorkRequirement = 'http://schema.org/eligibilityToWorkRequirement' satisfies Property;

/**
 * eligibleCustomerType
 *
 * The type(s) of customers for which the given offer is valid.
 *
 * http://schema.org/eligibleCustomerType
 */
export const eligibleCustomerType = 'http://schema.org/eligibleCustomerType' satisfies Property;

/**
 * eligibleDuration
 *
 * The duration for which the given offer is valid.
 *
 * http://schema.org/eligibleDuration
 */
export const eligibleDuration = 'http://schema.org/eligibleDuration' satisfies Property;

/**
 * eligibleQuantity
 *
 * The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.
 *
 * http://schema.org/eligibleQuantity
 */
export const eligibleQuantity = 'http://schema.org/eligibleQuantity' satisfies Property;

/**
 * eligibleRegion
 *
 * The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is valid.\n\nSee also [[ineligibleRegion]].
 *     
 *
 * http://schema.org/eligibleRegion
 */
export const eligibleRegion = 'http://schema.org/eligibleRegion' satisfies Property;

/**
 * eligibleTransactionVolume
 *
 * The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.
 *
 * http://schema.org/eligibleTransactionVolume
 */
export const eligibleTransactionVolume = 'http://schema.org/eligibleTransactionVolume' satisfies Property;

/**
 * eligibleWithSupplier
 *
 * The supplier of the incentivized item/service for which the incentive is valid for such as a utility company, merchant, or contractor.
 *
 * http://schema.org/eligibleWithSupplier
 */
export const eligibleWithSupplier = 'http://schema.org/eligibleWithSupplier' satisfies Property;

/**
 * email
 *
 * Email address.
 *
 * http://schema.org/email
 */
export const email = 'http://schema.org/email' satisfies Property;

/**
 * embedUrl
 *
 * A URL pointing to a player for a specific video. In general, this is the information in the ```src``` element of an ```embed``` tag and should not be the same as the content of the ```loc``` tag.
 *
 * http://schema.org/embedUrl
 */
export const embedUrl = 'http://schema.org/embedUrl' satisfies Property;

/**
 * embeddedTextCaption
 *
 * Represents textual captioning from a [[MediaObject]], e.g. text of a 'meme'.
 *
 * http://schema.org/embeddedTextCaption
 */
export const embeddedTextCaption = 'http://schema.org/embeddedTextCaption' satisfies Property;

/**
 * emissionsCO2
 *
 * The CO2 emissions in g/km. When used in combination with a QuantitativeValue, put "g/km" into the unitText property of that value, since there is no UN/CEFACT Common Code for "g/km".
 *
 * http://schema.org/emissionsCO2
 */
export const emissionsCO2 = 'http://schema.org/emissionsCO2' satisfies Property;

/**
 * employees
 *
 * People working for this organization.
 *
 * http://schema.org/employees
 */
export const employees = 'http://schema.org/employees' satisfies Property;

/**
 * employerOverview
 *
 * A description of the employer, career opportunities and work environment for this position.
 *
 * http://schema.org/employerOverview
 */
export const employerOverview = 'http://schema.org/employerOverview' satisfies Property;

/**
 * employmentType
 *
 * Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).
 *
 * http://schema.org/employmentType
 */
export const employmentType = 'http://schema.org/employmentType' satisfies Property;

/**
 * employmentUnit
 *
 * Indicates the department, unit and/or facility where the employee reports and/or in which the job is to be performed.
 *
 * http://schema.org/employmentUnit
 */
export const employmentUnit = 'http://schema.org/employmentUnit' satisfies Property;

/**
 * encodingType
 *
 * The supported encoding type(s) for an EntryPoint request.
 *
 * http://schema.org/encodingType
 */
export const encodingType = 'http://schema.org/encodingType' satisfies Property;

/**
 * encodings
 *
 * A media object that encodes this CreativeWork.
 *
 * http://schema.org/encodings
 */
export const encodings = 'http://schema.org/encodings' satisfies Property;

/**
 * endDate
 *
 * The end date and time of the item (in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601)).
 *
 * http://schema.org/endDate
 */
export const endDate = 'http://schema.org/endDate' satisfies Property;

/**
 * endOffset
 *
 * The end time of the clip expressed as the number of seconds from the beginning of the work.
 *
 * http://schema.org/endOffset
 */
export const endOffset = 'http://schema.org/endOffset' satisfies Property;

/**
 * endTime
 *
 * The endTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to end. For actions that span a period of time, when the action was performed. E.g. John wrote a book from January to *December*. For media, including audio and video, it's the time offset of the end of a clip within a larger file.\n\nNote that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.
 *
 * http://schema.org/endTime
 */
export const endTime = 'http://schema.org/endTime' satisfies Property;

/**
 * endorsee
 *
 * A sub property of participant. The person/organization being supported.
 *
 * http://schema.org/endorsee
 */
export const endorsee = 'http://schema.org/endorsee' satisfies Property;

/**
 * endorsers
 *
 * People or organizations that endorse the plan.
 *
 * http://schema.org/endorsers
 */
export const endorsers = 'http://schema.org/endorsers' satisfies Property;

/**
 * energyEfficiencyScaleMax
 *
 * Specifies the most energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.
 *
 * http://schema.org/energyEfficiencyScaleMax
 */
export const energyEfficiencyScaleMax = 'http://schema.org/energyEfficiencyScaleMax' satisfies Property;

/**
 * energyEfficiencyScaleMin
 *
 * Specifies the least energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.
 *
 * http://schema.org/energyEfficiencyScaleMin
 */
export const energyEfficiencyScaleMin = 'http://schema.org/energyEfficiencyScaleMin' satisfies Property;

/**
 * engineDisplacement
 *
 * The volume swept by all of the pistons inside the cylinders of an internal combustion engine in a single movement. \n\nTypical unit code(s): CMQ for cubic centimeter, LTR for liters, INQ for cubic inches\n* Note 1: You can link to information about how the given value has been determined using the [[valueReference]] property.\n* Note 2: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/engineDisplacement
 */
export const engineDisplacement = 'http://schema.org/engineDisplacement' satisfies Property;

/**
 * enginePower
 *
 * The power of the vehicle's engine.
 *     Typical unit code(s): KWT for kilowatt, BHP for brake horsepower, N12 for metric horsepower (PS, with 1 PS = 735,49875 W)\n\n* Note 1: There are many different ways of measuring an engine's power. For an overview, see  [http://en.wikipedia.org/wiki/Horsepower#Engine\_power\_test\_codes](http://en.wikipedia.org/wiki/Horsepower#Engine_power_test_codes).\n* Note 2: You can link to information about how the given value has been determined using the [[valueReference]] property.\n* Note 3: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/enginePower
 */
export const enginePower = 'http://schema.org/enginePower' satisfies Property;

/**
 * engineType
 *
 * The type of engine or engines powering the vehicle.
 *
 * http://schema.org/engineType
 */
export const engineType = 'http://schema.org/engineType' satisfies Property;

/**
 * entertainmentBusiness
 *
 * A sub property of location. The entertainment business where the action occurred.
 *
 * http://schema.org/entertainmentBusiness
 */
export const entertainmentBusiness = 'http://schema.org/entertainmentBusiness' satisfies Property;

/**
 * epidemiology
 *
 * The characteristics of associated patients, such as age, gender, race etc.
 *
 * http://schema.org/epidemiology
 */
export const epidemiology = 'http://schema.org/epidemiology' satisfies Property;

/**
 * episodeNumber
 *
 * Position of the episode within an ordered group of episodes.
 *
 * http://schema.org/episodeNumber
 */
export const episodeNumber = 'http://schema.org/episodeNumber' satisfies Property;

/**
 * episodes
 *
 * An episode of a TV/radio series or season.
 *
 * http://schema.org/episodes
 */
export const episodes = 'http://schema.org/episodes' satisfies Property;

/**
 * equal
 *
 * This ordering relation for qualitative values indicates that the subject is equal to the object.
 *
 * http://schema.org/equal
 */
export const equal = 'http://schema.org/equal' satisfies Property;

/**
 * error
 *
 * For failed actions, more information on the cause of the failure.
 *
 * http://schema.org/error
 */
export const error = 'http://schema.org/error' satisfies Property;

/**
 * estimatedCost
 *
 * The estimated cost of the supply or supplies consumed when performing instructions.
 *
 * http://schema.org/estimatedCost
 */
export const estimatedCost = 'http://schema.org/estimatedCost' satisfies Property;

/**
 * estimatedFlightDuration
 *
 * The estimated time the flight will take.
 *
 * http://schema.org/estimatedFlightDuration
 */
export const estimatedFlightDuration = 'http://schema.org/estimatedFlightDuration' satisfies Property;

/**
 * estimatedSalary
 *
 * An estimated salary for a job posting or occupation, based on a variety of variables including, but not limited to industry, job title, and location. Estimated salaries  are often computed by outside organizations rather than the hiring organization, who may not have committed to the estimated value.
 *
 * http://schema.org/estimatedSalary
 */
export const estimatedSalary = 'http://schema.org/estimatedSalary' satisfies Property;

/**
 * estimatesRiskOf
 *
 * The condition, complication, or symptom whose risk is being estimated.
 *
 * http://schema.org/estimatesRiskOf
 */
export const estimatesRiskOf = 'http://schema.org/estimatesRiskOf' satisfies Property;

/**
 * ethicsPolicy
 *
 * Statement about ethics policy, e.g. of a [[NewsMediaOrganization]] regarding journalistic and publishing practices, or of a [[Restaurant]], a page describing food source policies. In the case of a [[NewsMediaOrganization]], an ethicsPolicy is typically a statement describing the personal, organizational, and corporate standards of behavior expected by the organization.
 *
 * http://schema.org/ethicsPolicy
 */
export const ethicsPolicy = 'http://schema.org/ethicsPolicy' satisfies Property;

/**
 * eventAttendanceMode
 *
 * The eventAttendanceMode of an event indicates whether it occurs online, offline, or a mix.
 *
 * http://schema.org/eventAttendanceMode
 */
export const eventAttendanceMode = 'http://schema.org/eventAttendanceMode' satisfies Property;

/**
 * eventSchedule
 *
 * Associates an [[Event]] with a [[Schedule]]. There are circumstances where it is preferable to share a schedule for a series of
 *       repeating events rather than data on the individual events themselves. For example, a website or application might prefer to publish a schedule for a weekly
 *       gym class rather than provide data on every event. A schedule could be processed by applications to add forthcoming events to a calendar. An [[Event]] that
 *       is associated with a [[Schedule]] using this property should not have [[startDate]] or [[endDate]] properties. These are instead defined within the associated
 *       [[Schedule]], this avoids any ambiguity for clients using the data. The property might have repeated values to specify different schedules, e.g. for different months
 *       or seasons.
 *
 * http://schema.org/eventSchedule
 */
export const eventSchedule = 'http://schema.org/eventSchedule' satisfies Property;

/**
 * eventStatus
 *
 * An eventStatus of an event represents its status; particularly useful when an event is cancelled or rescheduled.
 *
 * http://schema.org/eventStatus
 */
export const eventStatus = 'http://schema.org/eventStatus' satisfies Property;

/**
 * events
 *
 * Upcoming or past events associated with this place or organization.
 *
 * http://schema.org/events
 */
export const events = 'http://schema.org/events' satisfies Property;

/**
 * evidenceLevel
 *
 * Strength of evidence of the data used to formulate the guideline (enumerated).
 *
 * http://schema.org/evidenceLevel
 */
export const evidenceLevel = 'http://schema.org/evidenceLevel' satisfies Property;

/**
 * evidenceOrigin
 *
 * Source of the data used to formulate the guidance, e.g. RCT, consensus opinion, etc.
 *
 * http://schema.org/evidenceOrigin
 */
export const evidenceOrigin = 'http://schema.org/evidenceOrigin' satisfies Property;

/**
 * exceptDate
 *
 * Defines a [[Date]] or [[DateTime]] during which a scheduled [[Event]] will not take place. The property allows exceptions to
 *       a [[Schedule]] to be specified. If an exception is specified as a [[DateTime]] then only the event that would have started at that specific date and time
 *       should be excluded from the schedule. If an exception is specified as a [[Date]] then any event that is scheduled for that 24 hour period should be
 *       excluded from the schedule. This allows a whole day to be excluded from the schedule without having to itemise every scheduled event.
 *
 * http://schema.org/exceptDate
 */
export const exceptDate = 'http://schema.org/exceptDate' satisfies Property;

/**
 * exchangeRateSpread
 *
 * The difference between the price at which a broker or other intermediary buys and sells foreign currency.
 *
 * http://schema.org/exchangeRateSpread
 */
export const exchangeRateSpread = 'http://schema.org/exchangeRateSpread' satisfies Property;

/**
 * exercisePlan
 *
 * A sub property of instrument. The exercise plan used on this action.
 *
 * http://schema.org/exercisePlan
 */
export const exercisePlan = 'http://schema.org/exercisePlan' satisfies Property;

/**
 * exerciseRelatedDiet
 *
 * A sub property of instrument. The diet used in this action.
 *
 * http://schema.org/exerciseRelatedDiet
 */
export const exerciseRelatedDiet = 'http://schema.org/exerciseRelatedDiet' satisfies Property;

/**
 * exerciseType
 *
 * Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.
 *
 * http://schema.org/exerciseType
 */
export const exerciseType = 'http://schema.org/exerciseType' satisfies Property;

/**
 * exifData
 *
 * exif data for this object.
 *
 * http://schema.org/exifData
 */
export const exifData = 'http://schema.org/exifData' satisfies Property;

/**
 * expectedArrivalFrom
 *
 * The earliest date the package may arrive.
 *
 * http://schema.org/expectedArrivalFrom
 */
export const expectedArrivalFrom = 'http://schema.org/expectedArrivalFrom' satisfies Property;

/**
 * expectedArrivalUntil
 *
 * The latest date the package may arrive.
 *
 * http://schema.org/expectedArrivalUntil
 */
export const expectedArrivalUntil = 'http://schema.org/expectedArrivalUntil' satisfies Property;

/**
 * expectedPrognosis
 *
 * The likely outcome in either the short term or long term of the medical condition.
 *
 * http://schema.org/expectedPrognosis
 */
export const expectedPrognosis = 'http://schema.org/expectedPrognosis' satisfies Property;

/**
 * expectsAcceptanceOf
 *
 * An Offer which must be accepted before the user can perform the Action. For example, the user may need to buy a movie before being able to watch it.
 *
 * http://schema.org/expectsAcceptanceOf
 */
export const expectsAcceptanceOf = 'http://schema.org/expectsAcceptanceOf' satisfies Property;

/**
 * experienceInPlaceOfEducation
 *
 * Indicates whether a [[JobPosting]] will accept experience (as indicated by [[OccupationalExperienceRequirements]]) in place of its formal educational qualifications (as indicated by [[educationRequirements]]). If true, indicates that satisfying one of these requirements is sufficient.
 *
 * http://schema.org/experienceInPlaceOfEducation
 */
export const experienceInPlaceOfEducation = 'http://schema.org/experienceInPlaceOfEducation' satisfies Property;

/**
 * experienceRequirements
 *
 * Description of skills and experience needed for the position or Occupation.
 *
 * http://schema.org/experienceRequirements
 */
export const experienceRequirements = 'http://schema.org/experienceRequirements' satisfies Property;

/**
 * expertConsiderations
 *
 * Medical expert advice related to the plan.
 *
 * http://schema.org/expertConsiderations
 */
export const expertConsiderations = 'http://schema.org/expertConsiderations' satisfies Property;

/**
 * expires
 *
 * Date the content expires and is no longer useful or available. For example a [[VideoObject]] or [[NewsArticle]] whose availability or relevance is time-limited, a [[ClaimReview]] fact check whose publisher wants to indicate that it may no longer be relevant (or helpful to highlight) after some date, or a [[Certification]] the validity has expired.
 *
 * http://schema.org/expires
 */
export const expires = 'http://schema.org/expires' satisfies Property;

/**
 * expressedIn
 *
 * Tissue, organ, biological sample, etc in which activity of this gene has been observed experimentally. For example brain, digestive system.
 *
 * http://schema.org/expressedIn
 */
export const expressedIn = 'http://schema.org/expressedIn' satisfies Property;

/**
 * extendedAddress
 *
 * An address extension such as an apartment number, C/O or alternative name.
 *
 * http://schema.org/extendedAddress
 */
export const extendedAddress = 'http://schema.org/extendedAddress' satisfies Property;

/**
 * familyName
 *
 * Family name. In the U.S., the last name of a Person.
 *
 * http://schema.org/familyName
 */
export const familyName = 'http://schema.org/familyName' satisfies Property;

/**
 * fatContent
 *
 * The number of grams of fat.
 *
 * http://schema.org/fatContent
 */
export const fatContent = 'http://schema.org/fatContent' satisfies Property;

/**
 * faxNumber
 *
 * The fax number.
 *
 * http://schema.org/faxNumber
 */
export const faxNumber = 'http://schema.org/faxNumber' satisfies Property;

/**
 * featureList
 *
 * Features or modules provided by this application (and possibly required by other applications).
 *
 * http://schema.org/featureList
 */
export const featureList = 'http://schema.org/featureList' satisfies Property;

/**
 * feesAndCommissionsSpecification
 *
 * Description of fees, commissions, and other terms applied either to a class of financial product, or by a financial service organization.
 *
 * http://schema.org/feesAndCommissionsSpecification
 */
export const feesAndCommissionsSpecification = 'http://schema.org/feesAndCommissionsSpecification' satisfies Property;

/**
 * fiberContent
 *
 * The number of grams of fiber.
 *
 * http://schema.org/fiberContent
 */
export const fiberContent = 'http://schema.org/fiberContent' satisfies Property;

/**
 * fileFormat
 *
 * Media type, typically MIME format (see [IANA site](http://www.iana.org/assignments/media-types/media-types.xhtml)) of the content, e.g. application/zip of a SoftwareApplication binary. In cases where a CreativeWork has several media type representations, 'encoding' can be used to indicate each MediaObject alongside particular fileFormat information. Unregistered or niche file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia entry.
 *
 * http://schema.org/fileFormat
 */
export const fileFormat = 'http://schema.org/fileFormat' satisfies Property;

/**
 * fileSize
 *
 * Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.
 *
 * http://schema.org/fileSize
 */
export const fileSize = 'http://schema.org/fileSize' satisfies Property;

/**
 * financialAidEligible
 *
 * A financial aid type or program which students may use to pay for tuition or fees associated with the program.
 *
 * http://schema.org/financialAidEligible
 */
export const financialAidEligible = 'http://schema.org/financialAidEligible' satisfies Property;

/**
 * firstAppearance
 *
 * Indicates the first known occurrence of a [[Claim]] in some [[CreativeWork]].
 *
 * http://schema.org/firstAppearance
 */
export const firstAppearance = 'http://schema.org/firstAppearance' satisfies Property;

/**
 * firstPerformance
 *
 * The date and place the work was first performed.
 *
 * http://schema.org/firstPerformance
 */
export const firstPerformance = 'http://schema.org/firstPerformance' satisfies Property;

/**
 * flightDistance
 *
 * The distance of the flight.
 *
 * http://schema.org/flightDistance
 */
export const flightDistance = 'http://schema.org/flightDistance' satisfies Property;

/**
 * flightNumber
 *
 * The unique identifier for a flight including the airline IATA code. For example, if describing United flight 110, where the IATA code for United is 'UA', the flightNumber is 'UA110'.
 *
 * http://schema.org/flightNumber
 */
export const flightNumber = 'http://schema.org/flightNumber' satisfies Property;

/**
 * floorLevel
 *
 * The floor level for an [[Accommodation]] in a multi-storey building. Since counting
 *   systems [vary internationally](https://en.wikipedia.org/wiki/Storey#Consecutive_number_floor_designations), the local system should be used where possible.
 *
 * http://schema.org/floorLevel
 */
export const floorLevel = 'http://schema.org/floorLevel' satisfies Property;

/**
 * floorLimit
 *
 * A floor limit is the amount of money above which credit card transactions must be authorized.
 *
 * http://schema.org/floorLimit
 */
export const floorLimit = 'http://schema.org/floorLimit' satisfies Property;

/**
 * floorSize
 *
 * The size of the accommodation, e.g. in square meter or squarefoot.
 * Typical unit code(s): MTK for square meter, FTK for square foot, or YDK for square yard.
 *
 * http://schema.org/floorSize
 */
export const floorSize = 'http://schema.org/floorSize' satisfies Property;

/**
 * followee
 *
 * A sub property of object. The person or organization being followed.
 *
 * http://schema.org/followee
 */
export const followee = 'http://schema.org/followee' satisfies Property;

/**
 * follows
 *
 * The most generic uni-directional social relation.
 *
 * http://schema.org/follows
 */
export const follows = 'http://schema.org/follows' satisfies Property;

/**
 * followup
 *
 * Typical or recommended followup care after the procedure is performed.
 *
 * http://schema.org/followup
 */
export const followup = 'http://schema.org/followup' satisfies Property;

/**
 * foodEstablishment
 *
 * A sub property of location. The specific food establishment where the action occurred.
 *
 * http://schema.org/foodEstablishment
 */
export const foodEstablishment = 'http://schema.org/foodEstablishment' satisfies Property;

/**
 * foodEvent
 *
 * A sub property of location. The specific food event where the action occurred.
 *
 * http://schema.org/foodEvent
 */
export const foodEvent = 'http://schema.org/foodEvent' satisfies Property;

/**
 * foodWarning
 *
 * Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.
 *
 * http://schema.org/foodWarning
 */
export const foodWarning = 'http://schema.org/foodWarning' satisfies Property;

/**
 * founders
 *
 * A person who founded this organization.
 *
 * http://schema.org/founders
 */
export const founders = 'http://schema.org/founders' satisfies Property;

/**
 * foundingDate
 *
 * The date that this organization was founded.
 *
 * http://schema.org/foundingDate
 */
export const foundingDate = 'http://schema.org/foundingDate' satisfies Property;

/**
 * foundingLocation
 *
 * The place where the Organization was founded.
 *
 * http://schema.org/foundingLocation
 */
export const foundingLocation = 'http://schema.org/foundingLocation' satisfies Property;

/**
 * free
 *
 * A flag to signal that the item, event, or place is accessible for free.
 *
 * http://schema.org/free
 */
export const free = 'http://schema.org/free' satisfies Property;

/**
 * freeShippingThreshold
 *
 * A monetary value above (or at) which the shipping rate becomes free. Intended to be used via an [[OfferShippingDetails]] with [[shippingSettingsLink]] matching this [[ShippingRateSettings]].
 *
 * http://schema.org/freeShippingThreshold
 */
export const freeShippingThreshold = 'http://schema.org/freeShippingThreshold' satisfies Property;

/**
 * fromLocation
 *
 * A sub property of location. The original location of the object or the agent before the action.
 *
 * http://schema.org/fromLocation
 */
export const fromLocation = 'http://schema.org/fromLocation' satisfies Property;

/**
 * fuelCapacity
 *
 * The capacity of the fuel tank or in the case of electric cars, the battery. If there are multiple components for storage, this should indicate the total of all storage of the same type.\n\nTypical unit code(s): LTR for liters, GLL of US gallons, GLI for UK / imperial gallons, AMH for ampere-hours (for electrical vehicles).
 *
 * http://schema.org/fuelCapacity
 */
export const fuelCapacity = 'http://schema.org/fuelCapacity' satisfies Property;

/**
 * fuelConsumption
 *
 * The amount of fuel consumed for traveling a particular distance or temporal duration with the given vehicle (e.g. liters per 100 km).\n\n* Note 1: There are unfortunately no standard unit codes for liters per 100 km.  Use [[unitText]] to indicate the unit of measurement, e.g. L/100 km.\n* Note 2: There are two ways of indicating the fuel consumption, [[fuelConsumption]] (e.g. 8 liters per 100 km) and [[fuelEfficiency]] (e.g. 30 miles per gallon). They are reciprocal.\n* Note 3: Often, the absolute value is useful only when related to driving speed ("at 80 km/h") or usage pattern ("city traffic"). You can use [[valueReference]] to link the value for the fuel consumption to another value.
 *
 * http://schema.org/fuelConsumption
 */
export const fuelConsumption = 'http://schema.org/fuelConsumption' satisfies Property;

/**
 * fuelEfficiency
 *
 * The distance traveled per unit of fuel used; most commonly miles per gallon (mpg) or kilometers per liter (km/L).\n\n* Note 1: There are unfortunately no standard unit codes for miles per gallon or kilometers per liter. Use [[unitText]] to indicate the unit of measurement, e.g. mpg or km/L.\n* Note 2: There are two ways of indicating the fuel consumption, [[fuelConsumption]] (e.g. 8 liters per 100 km) and [[fuelEfficiency]] (e.g. 30 miles per gallon). They are reciprocal.\n* Note 3: Often, the absolute value is useful only when related to driving speed ("at 80 km/h") or usage pattern ("city traffic"). You can use [[valueReference]] to link the value for the fuel economy to another value.
 *
 * http://schema.org/fuelEfficiency
 */
export const fuelEfficiency = 'http://schema.org/fuelEfficiency' satisfies Property;

/**
 * fuelType
 *
 * The type of fuel suitable for the engine or engines of the vehicle. If the vehicle has only one engine, this property can be attached directly to the vehicle.
 *
 * http://schema.org/fuelType
 */
export const fuelType = 'http://schema.org/fuelType' satisfies Property;

/**
 * fulfillmentType
 *
 * Type of fulfillment applicable to the [[ShippingService]].
 *
 * http://schema.org/fulfillmentType
 */
export const fulfillmentType = 'http://schema.org/fulfillmentType' satisfies Property;

/**
 * functionalClass
 *
 * The degree of mobility the joint allows.
 *
 * http://schema.org/functionalClass
 */
export const functionalClass = 'http://schema.org/functionalClass' satisfies Property;

/**
 * funder
 *
 * A person or organization that supports (sponsors) something through some kind of financial contribution.
 *
 * http://schema.org/funder
 */
export const funder = 'http://schema.org/funder' satisfies Property;

/**
 * gameAvailabilityType
 *
 * Indicates the availability type of the game content associated with this action, such as whether it is a full version or a demo.
 *
 * http://schema.org/gameAvailabilityType
 */
export const gameAvailabilityType = 'http://schema.org/gameAvailabilityType' satisfies Property;

/**
 * gameEdition
 *
 * The edition of a video game.
 *
 * http://schema.org/gameEdition
 */
export const gameEdition = 'http://schema.org/gameEdition' satisfies Property;

/**
 * gameItem
 *
 * An item is an object within the game world that can be collected by a player or, occasionally, a non-player character.
 *
 * http://schema.org/gameItem
 */
export const gameItem = 'http://schema.org/gameItem' satisfies Property;

/**
 * gameLocation
 *
 * Real or fictional location of the game (or part of game).
 *
 * http://schema.org/gameLocation
 */
export const gameLocation = 'http://schema.org/gameLocation' satisfies Property;

/**
 * gamePlatform
 *
 * The electronic systems used to play <a href="http://en.wikipedia.org/wiki/Category:Video_game_platforms">video games</a>.
 *
 * http://schema.org/gamePlatform
 */
export const gamePlatform = 'http://schema.org/gamePlatform' satisfies Property;

/**
 * gameTip
 *
 * Links to tips, tactics, etc.
 *
 * http://schema.org/gameTip
 */
export const gameTip = 'http://schema.org/gameTip' satisfies Property;

/**
 * gender
 *
 * Gender of something, typically a [[Person]], but possibly also fictional characters, animals, etc. While http://schema.org/Male and http://schema.org/Female may be used, text strings are also acceptable for people who are not a binary gender. The [[gender]] property can also be used in an extended sense to cover e.g. the gender of sports teams. As with the gender of individuals, we do not try to enumerate all possibilities. A mixed-gender [[SportsTeam]] can be indicated with a text value of "Mixed".
 *
 * http://schema.org/gender
 */
export const gender = 'http://schema.org/gender' satisfies Property;

/**
 * geo
 *
 * The geo coordinates of the place.
 *
 * http://schema.org/geo
 */
export const geo = 'http://schema.org/geo' satisfies Property;

/**
 * geoContains
 *
 * Represents a relationship between two geometries (or the places they represent), relating a containing geometry to a contained geometry. "a contains b iff no points of b lie in the exterior of a, and at least one point of the interior of b lies in the interior of a". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * http://schema.org/geoContains
 */
export const geoContains = 'http://schema.org/geoContains' satisfies Property;

/**
 * geoCoveredBy
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to another that covers it. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * http://schema.org/geoCoveredBy
 */
export const geoCoveredBy = 'http://schema.org/geoCoveredBy' satisfies Property;

/**
 * geoCovers
 *
 * Represents a relationship between two geometries (or the places they represent), relating a covering geometry to a covered geometry. "Every point of b is a point of (the interior or boundary of) a". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * http://schema.org/geoCovers
 */
export const geoCovers = 'http://schema.org/geoCovers' satisfies Property;

/**
 * geoCrosses
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to another that crosses it: "a crosses b: they have some but not all interior points in common, and the dimension of the intersection is less than that of at least one of them". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * http://schema.org/geoCrosses
 */
export const geoCrosses = 'http://schema.org/geoCrosses' satisfies Property;

/**
 * geoDisjoint
 *
 * Represents spatial relations in which two geometries (or the places they represent) are topologically disjoint: "they have no point in common. They form a set of disconnected geometries." (A symmetric relationship, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).)
 *
 * http://schema.org/geoDisjoint
 */
export const geoDisjoint = 'http://schema.org/geoDisjoint' satisfies Property;

/**
 * geoEquals
 *
 * Represents spatial relations in which two geometries (or the places they represent) are topologically equal, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM). "Two geometries are topologically equal if their interiors intersect and no part of the interior or boundary of one geometry intersects the exterior of the other" (a symmetric relationship).
 *
 * http://schema.org/geoEquals
 */
export const geoEquals = 'http://schema.org/geoEquals' satisfies Property;

/**
 * geoIntersects
 *
 * Represents spatial relations in which two geometries (or the places they represent) have at least one point in common. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * http://schema.org/geoIntersects
 */
export const geoIntersects = 'http://schema.org/geoIntersects' satisfies Property;

/**
 * geoMidpoint
 *
 * Indicates the GeoCoordinates at the centre of a GeoShape, e.g. GeoCircle.
 *
 * http://schema.org/geoMidpoint
 */
export const geoMidpoint = 'http://schema.org/geoMidpoint' satisfies Property;

/**
 * geoOverlaps
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to another that geospatially overlaps it, i.e. they have some but not all points in common. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * http://schema.org/geoOverlaps
 */
export const geoOverlaps = 'http://schema.org/geoOverlaps' satisfies Property;

/**
 * geoRadius
 *
 * Indicates the approximate radius of a GeoCircle (metres unless indicated otherwise via Distance notation).
 *
 * http://schema.org/geoRadius
 */
export const geoRadius = 'http://schema.org/geoRadius' satisfies Property;

/**
 * geoTouches
 *
 * Represents spatial relations in which two geometries (or the places they represent) touch: "they have at least one boundary point in common, but no interior points." (A symmetric relationship, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).)
 *
 * http://schema.org/geoTouches
 */
export const geoTouches = 'http://schema.org/geoTouches' satisfies Property;

/**
 * geoWithin
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to one that contains it, i.e. it is inside (i.e. within) its interior. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * http://schema.org/geoWithin
 */
export const geoWithin = 'http://schema.org/geoWithin' satisfies Property;

/**
 * geographicArea
 *
 * The geographic area associated with the audience.
 *
 * http://schema.org/geographicArea
 */
export const geographicArea = 'http://schema.org/geographicArea' satisfies Property;

/**
 * gettingTestedInfo
 *
 * Information about getting tested (for a [[MedicalCondition]]), e.g. in the context of a pandemic.
 *
 * http://schema.org/gettingTestedInfo
 */
export const gettingTestedInfo = 'http://schema.org/gettingTestedInfo' satisfies Property;

/**
 * givenName
 *
 * Given name. In the U.S., the first name of a Person.
 *
 * http://schema.org/givenName
 */
export const givenName = 'http://schema.org/givenName' satisfies Property;

/**
 * globalLocationNumber
 *
 * The [Global Location Number](http://www.gs1.org/gln) (GLN, sometimes also referred to as International Location Number or ILN) of the respective organization, person, or place. The GLN is a 13-digit number used to identify parties and physical locations.
 *
 * http://schema.org/globalLocationNumber
 */
export const globalLocationNumber = 'http://schema.org/globalLocationNumber' satisfies Property;

/**
 * governmentBenefitsInfo
 *
 * governmentBenefitsInfo provides information about government benefits associated with a SpecialAnnouncement.
 *
 * http://schema.org/governmentBenefitsInfo
 */
export const governmentBenefitsInfo = 'http://schema.org/governmentBenefitsInfo' satisfies Property;

/**
 * gracePeriod
 *
 * The period of time after any due date that the borrower has to fulfil its obligations before a default (failure to pay) is deemed to have occurred.
 *
 * http://schema.org/gracePeriod
 */
export const gracePeriod = 'http://schema.org/gracePeriod' satisfies Property;

/**
 * grantee
 *
 * The person, organization, contact point, or audience that has been granted this permission.
 *
 * http://schema.org/grantee
 */
export const grantee = 'http://schema.org/grantee' satisfies Property;

/**
 * greater
 *
 * This ordering relation for qualitative values indicates that the subject is greater than the object.
 *
 * http://schema.org/greater
 */
export const greater = 'http://schema.org/greater' satisfies Property;

/**
 * greaterOrEqual
 *
 * This ordering relation for qualitative values indicates that the subject is greater than or equal to the object.
 *
 * http://schema.org/greaterOrEqual
 */
export const greaterOrEqual = 'http://schema.org/greaterOrEqual' satisfies Property;

/**
 * gtin12
 *
 * The GTIN-12 code of the product, or the product to which the offer refers. The GTIN-12 is the 12-digit GS1 Identification Key composed of a U.P.C. Company Prefix, Item Reference, and Check Digit used to identify trade items. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * http://schema.org/gtin12
 */
export const gtin12 = 'http://schema.org/gtin12' satisfies Property;

/**
 * gtin13
 *
 * The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceding zero. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * http://schema.org/gtin13
 */
export const gtin13 = 'http://schema.org/gtin13' satisfies Property;

/**
 * gtin14
 *
 * The GTIN-14 code of the product, or the product to which the offer refers. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * http://schema.org/gtin14
 */
export const gtin14 = 'http://schema.org/gtin14' satisfies Property;

/**
 * gtin8
 *
 * The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * http://schema.org/gtin8
 */
export const gtin8 = 'http://schema.org/gtin8' satisfies Property;

/**
 * guideline
 *
 * A medical guideline related to this entity.
 *
 * http://schema.org/guideline
 */
export const guideline = 'http://schema.org/guideline' satisfies Property;

/**
 * guidelineDate
 *
 * Date on which this guideline's recommendation was made.
 *
 * http://schema.org/guidelineDate
 */
export const guidelineDate = 'http://schema.org/guidelineDate' satisfies Property;

/**
 * guidelineSubject
 *
 * The medical conditions, treatments, etc. that are the subject of the guideline.
 *
 * http://schema.org/guidelineSubject
 */
export const guidelineSubject = 'http://schema.org/guidelineSubject' satisfies Property;

/**
 * handlingTime
 *
 * The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup.
 * 
 * In the context of [[ShippingDeliveryTime]], Typical properties: minValue, maxValue, unitCode (d for DAY).  This is by common convention assumed to mean business days (if a unitCode is used, coded as "d"), i.e. only counting days when the business normally operates.
 * 
 * In the context of [[ShippingService]], use the [[ServicePeriod]] format, that contains the same information in a structured form, with cut-off time, business days and duration.
 *
 * http://schema.org/handlingTime
 */
export const handlingTime = 'http://schema.org/handlingTime' satisfies Property;

/**
 * hasAdultConsideration
 *
 * Used to tag an item to be intended or suitable for consumption or use by adults only.
 *
 * http://schema.org/hasAdultConsideration
 */
export const hasAdultConsideration = 'http://schema.org/hasAdultConsideration' satisfies Property;

/**
 * hasBioPolymerSequence
 *
 * A symbolic representation of a BioChemEntity. For example, a nucleotide sequence of a Gene or an amino acid sequence of a Protein.
 *
 * http://schema.org/hasBioPolymerSequence
 */
export const hasBioPolymerSequence = 'http://schema.org/hasBioPolymerSequence' satisfies Property;

/**
 * hasCategoryCode
 *
 * A Category code contained in this code set.
 *
 * http://schema.org/hasCategoryCode
 */
export const hasCategoryCode = 'http://schema.org/hasCategoryCode' satisfies Property;

/**
 * hasCertification
 *
 * Certification information about a product, organization, service, place, or person.
 *
 * http://schema.org/hasCertification
 */
export const hasCertification = 'http://schema.org/hasCertification' satisfies Property;

/**
 * hasCourse
 *
 * A course or class that is one of the learning opportunities that constitute an educational / occupational program. No information is implied about whether the course is mandatory or optional; no guarantee is implied about whether the course will be available to everyone on the program.
 *
 * http://schema.org/hasCourse
 */
export const hasCourse = 'http://schema.org/hasCourse' satisfies Property;

/**
 * hasCourseInstance
 *
 * An offering of the course at a specific time and place or through specific media or mode of study or to a specific section of students.
 *
 * http://schema.org/hasCourseInstance
 */
export const hasCourseInstance = 'http://schema.org/hasCourseInstance' satisfies Property;

/**
 * hasCredential
 *
 * A credential awarded to the Person or Organization.
 *
 * http://schema.org/hasCredential
 */
export const hasCredential = 'http://schema.org/hasCredential' satisfies Property;

/**
 * hasDeliveryMethod
 *
 * Method used for delivery or shipping.
 *
 * http://schema.org/hasDeliveryMethod
 */
export const hasDeliveryMethod = 'http://schema.org/hasDeliveryMethod' satisfies Property;

/**
 * hasDigitalDocumentPermission
 *
 * A permission related to the access to this document (e.g. permission to read or write an electronic document). For a public document, specify a grantee with an Audience with audienceType equal to "public".
 *
 * http://schema.org/hasDigitalDocumentPermission
 */
export const hasDigitalDocumentPermission = 'http://schema.org/hasDigitalDocumentPermission' satisfies Property;

/**
 * hasDriveThroughService
 *
 * Indicates whether some facility (e.g. [[FoodEstablishment]], [[CovidTestingFacility]]) offers a service that can be used by driving through in a car. In the case of [[CovidTestingFacility]] such facilities could potentially help with social distancing from other potentially-infected users.
 *
 * http://schema.org/hasDriveThroughService
 */
export const hasDriveThroughService = 'http://schema.org/hasDriveThroughService' satisfies Property;

/**
 * hasEnergyConsumptionDetails
 *
 * Defines the energy efficiency Category (also known as "class" or "rating") for a product according to an international energy efficiency standard.
 *
 * http://schema.org/hasEnergyConsumptionDetails
 */
export const hasEnergyConsumptionDetails = 'http://schema.org/hasEnergyConsumptionDetails' satisfies Property;

/**
 * hasEnergyEfficiencyCategory
 *
 * Defines the energy efficiency Category (which could be either a rating out of range of values or a yes/no certification) for a product according to an international energy efficiency standard.
 *
 * http://schema.org/hasEnergyEfficiencyCategory
 */
export const hasEnergyEfficiencyCategory = 'http://schema.org/hasEnergyEfficiencyCategory' satisfies Property;

/**
 * hasGS1DigitalLink
 *
 * The <a href="https://www.gs1.org/standards/gs1-digital-link">GS1 digital link</a> associated with the object. This URL should conform to the particular requirements of digital links. The link should only contain the Application Identifiers (AIs) that are relevant for the entity being annotated, for instance a [[Product]] or an [[Organization]], and for the correct granularity. In particular, for products:<ul><li>A Digital Link that contains a serial number (AI <code>21</code>) should only be present on instances of [[IndividualProduct]]</li><li>A Digital Link that contains a lot number (AI <code>10</code>) should be annotated as [[SomeProduct]] if only products from that lot are sold, or [[IndividualProduct]] if there is only a specific product.</li><li>A Digital Link that contains a global model number (AI <code>8013</code>)  should be attached to a [[Product]] or a [[ProductModel]].</li></ul> Other item types should be adapted similarly.
 *
 * http://schema.org/hasGS1DigitalLink
 */
export const hasGS1DigitalLink = 'http://schema.org/hasGS1DigitalLink' satisfies Property;

/**
 * hasHealthAspect
 *
 * Indicates the aspect or aspects specifically addressed in some [[HealthTopicContent]]. For example, that the content is an overview, or that it talks about treatment, self-care, treatments or their side-effects.
 *
 * http://schema.org/hasHealthAspect
 */
export const hasHealthAspect = 'http://schema.org/hasHealthAspect' satisfies Property;

/**
 * hasMeasurement
 *
 * A measurement of an item, For example, the inseam of pants, the wheel size of a bicycle, the gauge of a screw, or the carbon footprint measured for certification by an authority. Usually an exact measurement, but can also be a range of measurements for adjustable products, for example belts and ski bindings.
 *
 * http://schema.org/hasMeasurement
 */
export const hasMeasurement = 'http://schema.org/hasMeasurement' satisfies Property;

/**
 * hasMemberProgram
 *
 * MemberProgram offered by an Organization, for example an eCommerce merchant or an airline.
 *
 * http://schema.org/hasMemberProgram
 */
export const hasMemberProgram = 'http://schema.org/hasMemberProgram' satisfies Property;

/**
 * hasMenuItem
 *
 * A food or drink item contained in a menu or menu section.
 *
 * http://schema.org/hasMenuItem
 */
export const hasMenuItem = 'http://schema.org/hasMenuItem' satisfies Property;

/**
 * hasMenuSection
 *
 * A subgrouping of the menu (by dishes, course, serving time period, etc.).
 *
 * http://schema.org/hasMenuSection
 */
export const hasMenuSection = 'http://schema.org/hasMenuSection' satisfies Property;

/**
 * hasMolecularFunction
 *
 * Molecular function performed by this BioChemEntity; please use PropertyValue if you want to include any evidence.
 *
 * http://schema.org/hasMolecularFunction
 */
export const hasMolecularFunction = 'http://schema.org/hasMolecularFunction' satisfies Property;

/**
 * hasOccupation
 *
 * The Person's occupation. For past professions, use Role for expressing dates.
 *
 * http://schema.org/hasOccupation
 */
export const hasOccupation = 'http://schema.org/hasOccupation' satisfies Property;

/**
 * hasOfferCatalog
 *
 * Indicates an OfferCatalog listing for this Organization, Person, or Service.
 *
 * http://schema.org/hasOfferCatalog
 */
export const hasOfferCatalog = 'http://schema.org/hasOfferCatalog' satisfies Property;

/**
 * hasPOS
 *
 * Points-of-Sales operated by the organization or person.
 *
 * http://schema.org/hasPOS
 */
export const hasPOS = 'http://schema.org/hasPOS' satisfies Property;

/**
 * hasProductReturnPolicy
 *
 * Indicates a ProductReturnPolicy that may be applicable.
 *
 * http://schema.org/hasProductReturnPolicy
 */
export const hasProductReturnPolicy = 'http://schema.org/hasProductReturnPolicy' satisfies Property;

/**
 * hasShippingService
 *
 * Specification of a shipping service offered by the organization.
 *
 * http://schema.org/hasShippingService
 */
export const hasShippingService = 'http://schema.org/hasShippingService' satisfies Property;

/**
 * hasTierBenefit
 *
 * A member benefit for a particular tier of a loyalty program.
 *
 * http://schema.org/hasTierBenefit
 */
export const hasTierBenefit = 'http://schema.org/hasTierBenefit' satisfies Property;

/**
 * hasTierRequirement
 *
 * A requirement for a user to join a membership tier, for example: a CreditCard if the tier requires sign up for a credit card, A UnitPriceSpecification if the user is required to pay a (periodic) fee, or a MonetaryAmount if the user needs to spend a minimum amount to join the tier. If a tier is free to join then this property does not need to be specified.
 *
 * http://schema.org/hasTierRequirement
 */
export const hasTierRequirement = 'http://schema.org/hasTierRequirement' satisfies Property;

/**
 * headline
 *
 * Headline of the article.
 *
 * http://schema.org/headline
 */
export const headline = 'http://schema.org/headline' satisfies Property;

/**
 * healthCondition
 *
 * Specifying the health condition(s) of a patient, medical study, or other target audience.
 *
 * http://schema.org/healthCondition
 */
export const healthCondition = 'http://schema.org/healthCondition' satisfies Property;

/**
 * healthPlanCoinsuranceOption
 *
 * Whether the coinsurance applies before or after deductible, etc. TODO: Is this a closed set?
 *
 * http://schema.org/healthPlanCoinsuranceOption
 */
export const healthPlanCoinsuranceOption = 'http://schema.org/healthPlanCoinsuranceOption' satisfies Property;

/**
 * healthPlanCoinsuranceRate
 *
 * The rate of coinsurance expressed as a number between 0.0 and 1.0.
 *
 * http://schema.org/healthPlanCoinsuranceRate
 */
export const healthPlanCoinsuranceRate = 'http://schema.org/healthPlanCoinsuranceRate' satisfies Property;

/**
 * healthPlanCopay
 *
 * The copay amount.
 *
 * http://schema.org/healthPlanCopay
 */
export const healthPlanCopay = 'http://schema.org/healthPlanCopay' satisfies Property;

/**
 * healthPlanCopayOption
 *
 * Whether the copay is before or after deductible, etc. TODO: Is this a closed set?
 *
 * http://schema.org/healthPlanCopayOption
 */
export const healthPlanCopayOption = 'http://schema.org/healthPlanCopayOption' satisfies Property;

/**
 * healthPlanCostSharing
 *
 * The costs to the patient for services under this network or formulary.
 *
 * http://schema.org/healthPlanCostSharing
 */
export const healthPlanCostSharing = 'http://schema.org/healthPlanCostSharing' satisfies Property;

/**
 * healthPlanDrugOption
 *
 * TODO.
 *
 * http://schema.org/healthPlanDrugOption
 */
export const healthPlanDrugOption = 'http://schema.org/healthPlanDrugOption' satisfies Property;

/**
 * healthPlanDrugTier
 *
 * The tier(s) of drugs offered by this formulary or insurance plan.
 *
 * http://schema.org/healthPlanDrugTier
 */
export const healthPlanDrugTier = 'http://schema.org/healthPlanDrugTier' satisfies Property;

/**
 * healthPlanId
 *
 * The 14-character, HIOS-generated Plan ID number. (Plan IDs must be unique, even across different markets.)
 *
 * http://schema.org/healthPlanId
 */
export const healthPlanId = 'http://schema.org/healthPlanId' satisfies Property;

/**
 * healthPlanMarketingUrl
 *
 * The URL that goes directly to the plan brochure for the specific standard plan or plan variation.
 *
 * http://schema.org/healthPlanMarketingUrl
 */
export const healthPlanMarketingUrl = 'http://schema.org/healthPlanMarketingUrl' satisfies Property;

/**
 * healthPlanNetworkId
 *
 * Name or unique ID of network. (Networks are often reused across different insurance plans.)
 *
 * http://schema.org/healthPlanNetworkId
 */
export const healthPlanNetworkId = 'http://schema.org/healthPlanNetworkId' satisfies Property;

/**
 * healthPlanNetworkTier
 *
 * The tier(s) for this network.
 *
 * http://schema.org/healthPlanNetworkTier
 */
export const healthPlanNetworkTier = 'http://schema.org/healthPlanNetworkTier' satisfies Property;

/**
 * healthPlanPharmacyCategory
 *
 * The category or type of pharmacy associated with this cost sharing.
 *
 * http://schema.org/healthPlanPharmacyCategory
 */
export const healthPlanPharmacyCategory = 'http://schema.org/healthPlanPharmacyCategory' satisfies Property;

/**
 * healthcareReportingData
 *
 * Indicates data describing a hospital, e.g. a CDC [[CDCPMDRecord]] or as some kind of [[Dataset]].
 *
 * http://schema.org/healthcareReportingData
 */
export const healthcareReportingData = 'http://schema.org/healthcareReportingData' satisfies Property;

/**
 * height
 *
 * The height of the item.
 *
 * http://schema.org/height
 */
export const height = 'http://schema.org/height' satisfies Property;

/**
 * highPrice
 *
 * The highest price of all offers available.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * http://schema.org/highPrice
 */
export const highPrice = 'http://schema.org/highPrice' satisfies Property;

/**
 * hiringOrganization
 *
 * Organization or Person offering the job position.
 *
 * http://schema.org/hiringOrganization
 */
export const hiringOrganization = 'http://schema.org/hiringOrganization' satisfies Property;

/**
 * homeLocation
 *
 * A contact location for a person's residence.
 *
 * http://schema.org/homeLocation
 */
export const homeLocation = 'http://schema.org/homeLocation' satisfies Property;

/**
 * homeTeam
 *
 * The home team in a sports event.
 *
 * http://schema.org/homeTeam
 */
export const homeTeam = 'http://schema.org/homeTeam' satisfies Property;

/**
 * honorificPrefix
 *
 * An honorific prefix preceding a Person's name such as Dr/Mrs/Mr.
 *
 * http://schema.org/honorificPrefix
 */
export const honorificPrefix = 'http://schema.org/honorificPrefix' satisfies Property;

/**
 * honorificSuffix
 *
 * An honorific suffix following a Person's name such as M.D./PhD/MSCSW.
 *
 * http://schema.org/honorificSuffix
 */
export const honorificSuffix = 'http://schema.org/honorificSuffix' satisfies Property;

/**
 * hospitalAffiliation
 *
 * A hospital with which the physician or office is affiliated.
 *
 * http://schema.org/hospitalAffiliation
 */
export const hospitalAffiliation = 'http://schema.org/hospitalAffiliation' satisfies Property;

/**
 * hostingOrganization
 *
 * The Organization (airline, travelers' club, retailer, etc.) the membership is made with or which offers the  MemberProgram.
 *
 * http://schema.org/hostingOrganization
 */
export const hostingOrganization = 'http://schema.org/hostingOrganization' satisfies Property;

/**
 * hoursAvailable
 *
 * The hours during which this service or contact is available.
 *
 * http://schema.org/hoursAvailable
 */
export const hoursAvailable = 'http://schema.org/hoursAvailable' satisfies Property;

/**
 * howPerformed
 *
 * How the procedure is performed.
 *
 * http://schema.org/howPerformed
 */
export const howPerformed = 'http://schema.org/howPerformed' satisfies Property;

/**
 * httpMethod
 *
 * An HTTP method that specifies the appropriate HTTP method for a request to an HTTP EntryPoint. Values are capitalized strings as used in HTTP.
 *
 * http://schema.org/httpMethod
 */
export const httpMethod = 'http://schema.org/httpMethod' satisfies Property;

/**
 * iataCode
 *
 * IATA identifier for an airline or airport.
 *
 * http://schema.org/iataCode
 */
export const iataCode = 'http://schema.org/iataCode' satisfies Property;

/**
 * icaoCode
 *
 * ICAO identifier for an airport.
 *
 * http://schema.org/icaoCode
 */
export const icaoCode = 'http://schema.org/icaoCode' satisfies Property;

/**
 * identifyingExam
 *
 * A physical examination that can identify this sign.
 *
 * http://schema.org/identifyingExam
 */
export const identifyingExam = 'http://schema.org/identifyingExam' satisfies Property;

/**
 * identifyingTest
 *
 * A diagnostic test that can identify this sign.
 *
 * http://schema.org/identifyingTest
 */
export const identifyingTest = 'http://schema.org/identifyingTest' satisfies Property;

/**
 * illustrator
 *
 * The illustrator of the book.
 *
 * http://schema.org/illustrator
 */
export const illustrator = 'http://schema.org/illustrator' satisfies Property;

/**
 * imagingTechnique
 *
 * Imaging technique used.
 *
 * http://schema.org/imagingTechnique
 */
export const imagingTechnique = 'http://schema.org/imagingTechnique' satisfies Property;

/**
 * inAlbum
 *
 * The album to which this recording belongs.
 *
 * http://schema.org/inAlbum
 */
export const inAlbum = 'http://schema.org/inAlbum' satisfies Property;

/**
 * inBroadcastLineup
 *
 * The CableOrSatelliteService offering the channel.
 *
 * http://schema.org/inBroadcastLineup
 */
export const inBroadcastLineup = 'http://schema.org/inBroadcastLineup' satisfies Property;

/**
 * inChI
 *
 * Non-proprietary identifier for molecular entity that can be used in printed and electronic data sources thus enabling easier linking of diverse data compilations.
 *
 * http://schema.org/inChI
 */
export const inChI = 'http://schema.org/inChI' satisfies Property;

/**
 * inChIKey
 *
 * InChIKey is a hashed version of the full InChI (using the SHA-256 algorithm).
 *
 * http://schema.org/inChIKey
 */
export const inChIKey = 'http://schema.org/inChIKey' satisfies Property;

/**
 * inCodeSet
 *
 * A [[CategoryCodeSet]] that contains this category code.
 *
 * http://schema.org/inCodeSet
 */
export const inCodeSet = 'http://schema.org/inCodeSet' satisfies Property;

/**
 * inPlaylist
 *
 * The playlist to which this recording belongs.
 *
 * http://schema.org/inPlaylist
 */
export const inPlaylist = 'http://schema.org/inPlaylist' satisfies Property;

/**
 * inProductGroupWithID
 *
 * Indicates the [[productGroupID]] for a [[ProductGroup]] that this product [[isVariantOf]]. 
 *
 * http://schema.org/inProductGroupWithID
 */
export const inProductGroupWithID = 'http://schema.org/inProductGroupWithID' satisfies Property;

/**
 * inStoreReturnsOffered
 *
 * Are in-store returns offered? (For more advanced return methods use the [[returnMethod]] property.)
 *
 * http://schema.org/inStoreReturnsOffered
 */
export const inStoreReturnsOffered = 'http://schema.org/inStoreReturnsOffered' satisfies Property;

/**
 * inSupportOf
 *
 * Qualification, candidature, degree, application that Thesis supports.
 *
 * http://schema.org/inSupportOf
 */
export const inSupportOf = 'http://schema.org/inSupportOf' satisfies Property;

/**
 * incentiveAmount
 *
 * Describes the amount that can be redeemed from this incentive.
 *     
 * <p>[[QuantitativeValue]]: Use this for incentives based on price (either raw amount or percentage-based). For a raw amount example, "You can claim $2,500 - $7,500 from the total cost of installation" would be represented as the following:</p>
 *     {
 *         "@type": "QuantitativeValue",
 *         “minValue”: 2500,
 *         “maxValue”: 7500,
 *         "unitCode": "USD"
 *     }
 * <p>[[QuantitivateValue]] can also be used for percentage amounts. In such cases, value is used to represent the incentive’s percentage, while maxValue represents a limit (if one exists) to that incentive. The unitCode should be 'P1' and the unitText should be '%', while valueReference should be used for holding the currency type. For example, "You can claim up to 30% of the total cost of installation, up to a maximum of $7,500" would be:</p>
 *     {
 *         "@type": "QuantitativeValue",
 *         "value": 30,
 *         "unitCode": "P1",
 *         "unitText": "%",
 *         “maxValue”: 7500,
 *         “valueReference”: “USD”
 *     }
 * <p>[[UnitPriceSpecification]]: Use this for incentives that are based on amounts rather than price. For example, a net metering rebate that pays $10/kWh, up to $1,000:</p>
 *     {
 *         "@type": "UnitPriceSpecification",
 *         "price": 10,
 *         "priceCurrency": "USD",
 *         "referenceQuantity": 1,
 *         "unitCode": "DO3",
 *         "unitText": "kw/h",
 *         "maxPrice": 1000,
 *         "description": "$10 / kwh up to $1000"
 *     }
 * <p>[[LoanOrCredit]]: Use for incentives that are loan based. For example, a loan of $4,000 - $50,000 with a repayment term of 10 years, interest free would look like:</p>
 *     {
 *         "@type": "LoanOrCredit",
 *         "loanTerm": {
 *                 "@type":"QuantitativeValue",
 *                 "value":"10",
 *                 "unitCode": "ANN"
 *             },
 *         "amount":[
 *             {
 *                 "@type": "QuantitativeValue",
 *                 "Name":"fixed interest rate",
 *                 "value":"0",
 *             },
 *         ],
 *         "amount":[
 *             {
 *                 "@type": "MonetaryAmount",
 *                 "Name":"min loan amount",
 *                 "value":"4000",
 *                 "currency":"CAD"
 *             },
 *             {
 *                 "@type": "MonetaryAmount",
 *                 "Name":"max loan amount",
 *                 "value":"50000",
 *                 "currency":"CAD"
 *             }
 *         ],
 *     }
 * 
 * In summary: <ul><li>Use [[QuantitativeValue]] for absolute/percentage-based incentives applied on the price of a good/service.</li>
 * <li>Use [[UnitPriceSpecification]] for incentives based on a per-unit basis (e.g. net metering).</li>
 * <li>Use [[LoanOrCredit]] for loans/credits.</li>
 * </ul>.
 *
 * http://schema.org/incentiveAmount
 */
export const incentiveAmount = 'http://schema.org/incentiveAmount' satisfies Property;

/**
 * incentiveStatus
 *
 * The status of the incentive (active, on hold, retired, etc.).
 *
 * http://schema.org/incentiveStatus
 */
export const incentiveStatus = 'http://schema.org/incentiveStatus' satisfies Property;

/**
 * incentiveType
 *
 * The type of incentive offered (tax credit/rebate, tax deduction, tax waiver, subsidies, etc.).
 *
 * http://schema.org/incentiveType
 */
export const incentiveType = 'http://schema.org/incentiveType' satisfies Property;

/**
 * incentives
 *
 * Description of bonus and commission compensation aspects of the job.
 *
 * http://schema.org/incentives
 */
export const incentives = 'http://schema.org/incentives' satisfies Property;

/**
 * incentivizedItem
 *
 * The type or specific product(s) and/or service(s) being incentivized.
 * <p>DefinedTermSets are used for product and service categories such as the United Nations Standard Products and Services Code:</p>
 *     {
 *         "@type": "DefinedTerm",
 *         "inDefinedTermSet": "https://www.unspsc.org/",
 *         "termCode": "261315XX",
 *         "name": "Photovoltaic module"
 *     }
 * 
 * <p>For a specific product or service, use the Product type:</p>
 *     {
 *         "@type": "Product",
 *         "name": "Kenmore White 17" Microwave",
 *     }
 * For multiple different incentivized items, use multiple [[DefinedTerm]] or [[Product]].
 *
 * http://schema.org/incentivizedItem
 */
export const incentivizedItem = 'http://schema.org/incentivizedItem' satisfies Property;

/**
 * includedComposition
 *
 * Smaller compositions included in this work (e.g. a movement in a symphony).
 *
 * http://schema.org/includedComposition
 */
export const includedComposition = 'http://schema.org/includedComposition' satisfies Property;

/**
 * includedDataCatalog
 *
 * A data catalog which contains this dataset (this property was previously 'catalog', preferred name is now 'includedInDataCatalog').
 *
 * http://schema.org/includedDataCatalog
 */
export const includedDataCatalog = 'http://schema.org/includedDataCatalog' satisfies Property;

/**
 * includedInHealthInsurancePlan
 *
 * The insurance plans that cover this drug.
 *
 * http://schema.org/includedInHealthInsurancePlan
 */
export const includedInHealthInsurancePlan = 'http://schema.org/includedInHealthInsurancePlan' satisfies Property;

/**
 * includedRiskFactor
 *
 * A modifiable or non-modifiable risk factor included in the calculation, e.g. age, coexisting condition.
 *
 * http://schema.org/includedRiskFactor
 */
export const includedRiskFactor = 'http://schema.org/includedRiskFactor' satisfies Property;

/**
 * includesAttraction
 *
 * Attraction located at destination.
 *
 * http://schema.org/includesAttraction
 */
export const includesAttraction = 'http://schema.org/includesAttraction' satisfies Property;

/**
 * includesHealthPlanFormulary
 *
 * Formularies covered by this plan.
 *
 * http://schema.org/includesHealthPlanFormulary
 */
export const includesHealthPlanFormulary = 'http://schema.org/includesHealthPlanFormulary' satisfies Property;

/**
 * includesHealthPlanNetwork
 *
 * Networks covered by this plan.
 *
 * http://schema.org/includesHealthPlanNetwork
 */
export const includesHealthPlanNetwork = 'http://schema.org/includesHealthPlanNetwork' satisfies Property;

/**
 * includesObject
 *
 * This links to a node or nodes indicating the exact quantity of the products included in  an [[Offer]] or [[ProductCollection]].
 *
 * http://schema.org/includesObject
 */
export const includesObject = 'http://schema.org/includesObject' satisfies Property;

/**
 * incomeLimit
 *
 * Optional. Income limit for which the incentive is applicable for.
 *     
 * <p>If MonetaryAmount is specified, this should be based on annualized income (e.g. if an incentive is limited to those making <$114,000 annually):</p>
 *     {
 *         "@type": "MonetaryAmount",
 *         "maxValue": 114000,
 *         "currency": "USD",
 *     }
 * 
 * Use Text for incentives that are limited based on other criteria, for example if an incentive is only available to recipients making 120% of the median poverty income in their area.
 *
 * http://schema.org/incomeLimit
 */
export const incomeLimit = 'http://schema.org/incomeLimit' satisfies Property;

/**
 * increasesRiskOf
 *
 * The condition, complication, etc. influenced by this factor.
 *
 * http://schema.org/increasesRiskOf
 */
export const increasesRiskOf = 'http://schema.org/increasesRiskOf' satisfies Property;

/**
 * industry
 *
 * The industry associated with the job position.
 *
 * http://schema.org/industry
 */
export const industry = 'http://schema.org/industry' satisfies Property;

/**
 * ineligibleRegion
 *
 * The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is not valid, e.g. a region where the transaction is not allowed.\n\nSee also [[eligibleRegion]].
 *       
 *
 * http://schema.org/ineligibleRegion
 */
export const ineligibleRegion = 'http://schema.org/ineligibleRegion' satisfies Property;

/**
 * infectiousAgent
 *
 * The actual infectious agent, such as a specific bacterium.
 *
 * http://schema.org/infectiousAgent
 */
export const infectiousAgent = 'http://schema.org/infectiousAgent' satisfies Property;

/**
 * infectiousAgentClass
 *
 * The class of infectious agent (bacteria, prion, etc.) that causes the disease.
 *
 * http://schema.org/infectiousAgentClass
 */
export const infectiousAgentClass = 'http://schema.org/infectiousAgentClass' satisfies Property;

/**
 * ingredients
 *
 * A single ingredient used in the recipe, e.g. sugar, flour or garlic.
 *
 * http://schema.org/ingredients
 */
export const ingredients = 'http://schema.org/ingredients' satisfies Property;

/**
 * inker
 *
 * The individual who traces over the pencil drawings in ink after pencils are complete.
 *
 * http://schema.org/inker
 */
export const inker = 'http://schema.org/inker' satisfies Property;

/**
 * insertion
 *
 * The place of attachment of a muscle, or what the muscle moves.
 *
 * http://schema.org/insertion
 */
export const insertion = 'http://schema.org/insertion' satisfies Property;

/**
 * installUrl
 *
 * URL at which the app may be installed, if different from the URL of the item.
 *
 * http://schema.org/installUrl
 */
export const installUrl = 'http://schema.org/installUrl' satisfies Property;

/**
 * instructor
 *
 * A person assigned to instruct or provide instructional assistance for the [[CourseInstance]].
 *
 * http://schema.org/instructor
 */
export const instructor = 'http://schema.org/instructor' satisfies Property;

/**
 * intensity
 *
 * Quantitative measure gauging the degree of force involved in the exercise, for example, heartbeats per minute. May include the velocity of the movement.
 *
 * http://schema.org/intensity
 */
export const intensity = 'http://schema.org/intensity' satisfies Property;

/**
 * interactingDrug
 *
 * Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.
 *
 * http://schema.org/interactingDrug
 */
export const interactingDrug = 'http://schema.org/interactingDrug' satisfies Property;

/**
 * interactionCount
 *
 * This property is deprecated, alongside the UserInteraction types on which it depended.
 *
 * http://schema.org/interactionCount
 */
export const interactionCount = 'http://schema.org/interactionCount' satisfies Property;

/**
 * interactionService
 *
 * The WebSite or SoftwareApplication where the interactions took place.
 *
 * http://schema.org/interactionService
 */
export const interactionService = 'http://schema.org/interactionService' satisfies Property;

/**
 * interactionType
 *
 * The Action representing the type of interaction. For up votes, +1s, etc. use [[LikeAction]]. For down votes use [[DislikeAction]]. Otherwise, use the most specific Action.
 *
 * http://schema.org/interactionType
 */
export const interactionType = 'http://schema.org/interactionType' satisfies Property;

/**
 * interactivityType
 *
 * The predominant mode of learning supported by the learning resource. Acceptable values are 'active', 'expositive', or 'mixed'.
 *
 * http://schema.org/interactivityType
 */
export const interactivityType = 'http://schema.org/interactivityType' satisfies Property;

/**
 * interestRate
 *
 * The interest rate, charged or paid, applicable to the financial product. Note: This is different from the calculated annualPercentageRate.
 *
 * http://schema.org/interestRate
 */
export const interestRate = 'http://schema.org/interestRate' satisfies Property;

/**
 * interpretedAsClaim
 *
 * Used to indicate a specific claim contained, implied, translated or refined from the content of a [[MediaObject]] or other [[CreativeWork]]. The interpreting party can be indicated using [[claimInterpreter]].
 *
 * http://schema.org/interpretedAsClaim
 */
export const interpretedAsClaim = 'http://schema.org/interpretedAsClaim' satisfies Property;

/**
 * inventoryLevel
 *
 * The current approximate inventory level for the item or items.
 *
 * http://schema.org/inventoryLevel
 */
export const inventoryLevel = 'http://schema.org/inventoryLevel' satisfies Property;

/**
 * inverseOf
 *
 * Relates a property to a property that is its inverse. Inverse properties relate the same pairs of items to each other, but in reversed direction. For example, the 'alumni' and 'alumniOf' properties are inverseOf each other. Some properties don't have explicit inverses; in these situations RDFa and JSON-LD syntax for reverse properties can be used.
 *
 * http://schema.org/inverseOf
 */
export const inverseOf = 'http://schema.org/inverseOf' satisfies Property;

/**
 * isAcceptingNewPatients
 *
 * Whether the provider is accepting new patients.
 *
 * http://schema.org/isAcceptingNewPatients
 */
export const isAcceptingNewPatients = 'http://schema.org/isAcceptingNewPatients' satisfies Property;

/**
 * isAccessoryOrSparePartFor
 *
 * A pointer to another product (or multiple products) for which this product is an accessory or spare part.
 *
 * http://schema.org/isAccessoryOrSparePartFor
 */
export const isAccessoryOrSparePartFor = 'http://schema.org/isAccessoryOrSparePartFor' satisfies Property;

/**
 * isAvailableGenerically
 *
 * True if the drug is available in a generic form (regardless of name).
 *
 * http://schema.org/isAvailableGenerically
 */
export const isAvailableGenerically = 'http://schema.org/isAvailableGenerically' satisfies Property;

/**
 * isBasedOnUrl
 *
 * A resource that was used in the creation of this resource. This term can be repeated for multiple sources. For example, http://example.com/great-multiplication-intro.html.
 *
 * http://schema.org/isBasedOnUrl
 */
export const isBasedOnUrl = 'http://schema.org/isBasedOnUrl' satisfies Property;

/**
 * isConsumableFor
 *
 * A pointer to another product (or multiple products) for which this product is a consumable.
 *
 * http://schema.org/isConsumableFor
 */
export const isConsumableFor = 'http://schema.org/isConsumableFor' satisfies Property;

/**
 * isFamilyFriendly
 *
 * Indicates whether this content is family friendly.
 *
 * http://schema.org/isFamilyFriendly
 */
export const isFamilyFriendly = 'http://schema.org/isFamilyFriendly' satisfies Property;

/**
 * isGift
 *
 * Indicates whether the offer was accepted as a gift for someone other than the buyer.
 *
 * http://schema.org/isGift
 */
export const isGift = 'http://schema.org/isGift' satisfies Property;

/**
 * isInvolvedInBiologicalProcess
 *
 * Biological process this BioChemEntity is involved in; please use PropertyValue if you want to include any evidence.
 *
 * http://schema.org/isInvolvedInBiologicalProcess
 */
export const isInvolvedInBiologicalProcess = 'http://schema.org/isInvolvedInBiologicalProcess' satisfies Property;

/**
 * isLiveBroadcast
 *
 * True if the broadcast is of a live event.
 *
 * http://schema.org/isLiveBroadcast
 */
export const isLiveBroadcast = 'http://schema.org/isLiveBroadcast' satisfies Property;

/**
 * isLocatedInSubcellularLocation
 *
 * Subcellular location where this BioChemEntity is located; please use PropertyValue if you want to include any evidence.
 *
 * http://schema.org/isLocatedInSubcellularLocation
 */
export const isLocatedInSubcellularLocation = 'http://schema.org/isLocatedInSubcellularLocation' satisfies Property;

/**
 * isPlanForApartment
 *
 * Indicates some accommodation that this floor plan describes.
 *
 * http://schema.org/isPlanForApartment
 */
export const isPlanForApartment = 'http://schema.org/isPlanForApartment' satisfies Property;

/**
 * isProprietary
 *
 * True if this item's name is a proprietary/brand name (vs. generic name).
 *
 * http://schema.org/isProprietary
 */
export const isProprietary = 'http://schema.org/isProprietary' satisfies Property;

/**
 * isRelatedTo
 *
 * A pointer to another, somehow related product (or multiple products).
 *
 * http://schema.org/isRelatedTo
 */
export const isRelatedTo = 'http://schema.org/isRelatedTo' satisfies Property;

/**
 * isResizable
 *
 * Whether the 3DModel allows resizing. For example, room layout applications often do not allow 3DModel elements to be resized to reflect reality.
 *
 * http://schema.org/isResizable
 */
export const isResizable = 'http://schema.org/isResizable' satisfies Property;

/**
 * isSimilarTo
 *
 * A pointer to another, functionally similar product (or multiple products).
 *
 * http://schema.org/isSimilarTo
 */
export const isSimilarTo = 'http://schema.org/isSimilarTo' satisfies Property;

/**
 * isUnlabelledFallback
 *
 * This can be marked 'true' to indicate that some published [[DeliveryTimeSettings]] or [[ShippingRateSettings]] are intended to apply to all [[OfferShippingDetails]] published by the same merchant, when referenced by a [[shippingSettingsLink]] in those settings. It is not meaningful to use a 'true' value for this property alongside a transitTimeLabel (for [[DeliveryTimeSettings]]) or shippingLabel (for [[ShippingRateSettings]]), since this property is for use with unlabelled settings.
 *
 * http://schema.org/isUnlabelledFallback
 */
export const isUnlabelledFallback = 'http://schema.org/isUnlabelledFallback' satisfies Property;

/**
 * isbn
 *
 * The ISBN of the book.
 *
 * http://schema.org/isbn
 */
export const isbn = 'http://schema.org/isbn' satisfies Property;

/**
 * isicV4
 *
 * The International Standard of Industrial Classification of All Economic Activities (ISIC), Revision 4 code for a particular organization, business person, or place.
 *
 * http://schema.org/isicV4
 */
export const isicV4 = 'http://schema.org/isicV4' satisfies Property;

/**
 * iso6523Code
 *
 * An organization identifier as defined in [ISO 6523(-1)](https://en.wikipedia.org/wiki/ISO/IEC_6523). The identifier should be in the `XXXX:YYYYYY:ZZZ` or `XXXX:YYYYYY`format. Where `XXXX` is a 4 digit _ICD_ (International Code Designator), `YYYYYY` is an _OID_ (Organization Identifier) with all formatting characters (dots, dashes, spaces) removed with a maximal length of 35 characters, and `ZZZ` is an optional OPI (Organization Part Identifier) with a maximum length of 35 characters. The various components (ICD, OID, OPI) are joined with a colon character (ASCII `0x3a`). Note that many existing organization identifiers defined as attributes like [leiCode](http://schema.org/leiCode) (`0199`), [duns](http://schema.org/duns) (`0060`) or [GLN](http://schema.org/globalLocationNumber) (`0088`) can be expressed using ISO-6523. If possible, ISO-6523 codes should be preferred to populating [vatID](http://schema.org/vatID) or [taxID](http://schema.org/taxID), as ISO identifiers are less ambiguous.
 *
 * http://schema.org/iso6523Code
 */
export const iso6523Code = 'http://schema.org/iso6523Code' satisfies Property;

/**
 * isrcCode
 *
 * The International Standard Recording Code for the recording.
 *
 * http://schema.org/isrcCode
 */
export const isrcCode = 'http://schema.org/isrcCode' satisfies Property;

/**
 * issn
 *
 * The International Standard Serial Number (ISSN) that identifies this serial publication. You can repeat this property to identify different formats of, or the linking ISSN (ISSN-L) for, this serial publication.
 *
 * http://schema.org/issn
 */
export const issn = 'http://schema.org/issn' satisfies Property;

/**
 * issueNumber
 *
 * Identifies the issue of publication; for example, "iii" or "2".
 *
 * http://schema.org/issueNumber
 */
export const issueNumber = 'http://schema.org/issueNumber' satisfies Property;

/**
 * issuedBy
 *
 * The organization issuing the item, for example a [[Permit]], [[Ticket]], or [[Certification]].
 *
 * http://schema.org/issuedBy
 */
export const issuedBy = 'http://schema.org/issuedBy' satisfies Property;

/**
 * issuedThrough
 *
 * The service through which the permit was granted.
 *
 * http://schema.org/issuedThrough
 */
export const issuedThrough = 'http://schema.org/issuedThrough' satisfies Property;

/**
 * iswcCode
 *
 * The International Standard Musical Work Code for the composition.
 *
 * http://schema.org/iswcCode
 */
export const iswcCode = 'http://schema.org/iswcCode' satisfies Property;

/**
 * item
 *
 * An entity represented by an entry in a list or data feed (e.g. an 'artist' in a list of 'artists').
 *
 * http://schema.org/item
 */
export const item = 'http://schema.org/item' satisfies Property;

/**
 * itemCondition
 *
 * A predefined value from OfferItemCondition specifying the condition of the product or service, or the products or services included in the offer. Also used for product return policies to specify the condition of products accepted for returns.
 *
 * http://schema.org/itemCondition
 */
export const itemCondition = 'http://schema.org/itemCondition' satisfies Property;

/**
 * itemDefectReturnFees
 *
 * The type of return fees for returns of defect products.
 *
 * http://schema.org/itemDefectReturnFees
 */
export const itemDefectReturnFees = 'http://schema.org/itemDefectReturnFees' satisfies Property;

/**
 * itemDefectReturnLabelSource
 *
 * The method (from an enumeration) by which the customer obtains a return shipping label for a defect product.
 *
 * http://schema.org/itemDefectReturnLabelSource
 */
export const itemDefectReturnLabelSource = 'http://schema.org/itemDefectReturnLabelSource' satisfies Property;

/**
 * itemDefectReturnShippingFeesAmount
 *
 * Amount of shipping costs for defect product returns. Applicable when property [[itemDefectReturnFees]] equals [[ReturnShippingFees]].
 *
 * http://schema.org/itemDefectReturnShippingFeesAmount
 */
export const itemDefectReturnShippingFeesAmount = 'http://schema.org/itemDefectReturnShippingFeesAmount' satisfies Property;

/**
 * itemListElement
 *
 * For itemListElement values, you can use simple strings (e.g. "Peter", "Paul", "Mary"), existing entities, or use ListItem.\n\nText values are best if the elements in the list are plain strings. Existing entities are best for a simple, unordered list of existing things in your data. ListItem is used with ordered lists when you want to provide additional context about the element in that list or when the same item might be in different places in different lists.\n\nNote: The order of elements in your mark-up is not sufficient for indicating the order or elements.  Use ListItem with a 'position' property in such cases.
 *
 * http://schema.org/itemListElement
 */
export const itemListElement = 'http://schema.org/itemListElement' satisfies Property;

/**
 * itemListOrder
 *
 * Type of ordering (e.g. Ascending, Descending, Unordered).
 *
 * http://schema.org/itemListOrder
 */
export const itemListOrder = 'http://schema.org/itemListOrder' satisfies Property;

/**
 * http://schema.org/itemLocation
 */
export const itemLocation = 'http://schema.org/itemLocation' satisfies Property;

/**
 * itemReviewed
 *
 * The item that is being reviewed/rated.
 *
 * http://schema.org/itemReviewed
 */
export const itemReviewed = 'http://schema.org/itemReviewed' satisfies Property;

/**
 * itemShipped
 *
 * Item(s) being shipped.
 *
 * http://schema.org/itemShipped
 */
export const itemShipped = 'http://schema.org/itemShipped' satisfies Property;

/**
 * itinerary
 *
 * Destination(s) ( [[Place]] ) that make up a trip. For a trip where destination order is important use [[ItemList]] to specify that order (see examples).
 *
 * http://schema.org/itinerary
 */
export const itinerary = 'http://schema.org/itinerary' satisfies Property;

/**
 * iupacName
 *
 * Systematic method of naming chemical compounds as recommended by the International Union of Pure and Applied Chemistry (IUPAC).
 *
 * http://schema.org/iupacName
 */
export const iupacName = 'http://schema.org/iupacName' satisfies Property;

/**
 * jobImmediateStart
 *
 * An indicator as to whether a position is available for an immediate start.
 *
 * http://schema.org/jobImmediateStart
 */
export const jobImmediateStart = 'http://schema.org/jobImmediateStart' satisfies Property;

/**
 * jobLocation
 *
 * A (typically single) geographic location associated with the job position.
 *
 * http://schema.org/jobLocation
 */
export const jobLocation = 'http://schema.org/jobLocation' satisfies Property;

/**
 * jobLocationType
 *
 * A description of the job location (e.g. TELECOMMUTE for telecommute jobs).
 *
 * http://schema.org/jobLocationType
 */
export const jobLocationType = 'http://schema.org/jobLocationType' satisfies Property;

/**
 * jobStartDate
 *
 * The date on which a successful applicant for this job would be expected to start work. Choose a specific date in the future or use the jobImmediateStart property to indicate the position is to be filled as soon as possible.
 *
 * http://schema.org/jobStartDate
 */
export const jobStartDate = 'http://schema.org/jobStartDate' satisfies Property;

/**
 * jobTitle
 *
 * The job title of the person (for example, Financial Manager).
 *
 * http://schema.org/jobTitle
 */
export const jobTitle = 'http://schema.org/jobTitle' satisfies Property;

/**
 * keywords
 *
 * Keywords or tags used to describe some item. Multiple textual entries in a keywords list are typically delimited by commas, or by repeating the property.
 *
 * http://schema.org/keywords
 */
export const keywords = 'http://schema.org/keywords' satisfies Property;

/**
 * knownVehicleDamages
 *
 * A textual description of known damages, both repaired and unrepaired.
 *
 * http://schema.org/knownVehicleDamages
 */
export const knownVehicleDamages = 'http://schema.org/knownVehicleDamages' satisfies Property;

/**
 * knows
 *
 * The most generic bi-directional social/work relation.
 *
 * http://schema.org/knows
 */
export const knows = 'http://schema.org/knows' satisfies Property;

/**
 * knowsAbout
 *
 * Of a [[Person]], and less typically of an [[Organization]], to indicate a topic that is known about - suggesting possible expertise but not implying it. We do not distinguish skill levels here, or relate this to educational content, events, objectives or [[JobPosting]] descriptions.
 *
 * http://schema.org/knowsAbout
 */
export const knowsAbout = 'http://schema.org/knowsAbout' satisfies Property;

/**
 * knowsLanguage
 *
 * Of a [[Person]], and less typically of an [[Organization]], to indicate a known language. We do not distinguish skill levels or reading/writing/speaking/signing here. Use language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47).
 *
 * http://schema.org/knowsLanguage
 */
export const knowsLanguage = 'http://schema.org/knowsLanguage' satisfies Property;

/**
 * labelDetails
 *
 * Link to the drug's label details.
 *
 * http://schema.org/labelDetails
 */
export const labelDetails = 'http://schema.org/labelDetails' satisfies Property;

/**
 * landlord
 *
 * A sub property of participant. The owner of the real estate property.
 *
 * http://schema.org/landlord
 */
export const landlord = 'http://schema.org/landlord' satisfies Property;

/**
 * language
 *
 * A sub property of instrument. The language used on this action.
 *
 * http://schema.org/language
 */
export const language = 'http://schema.org/language' satisfies Property;

/**
 * lastReviewed
 *
 * Date on which the content on this web page was last reviewed for accuracy and/or completeness.
 *
 * http://schema.org/lastReviewed
 */
export const lastReviewed = 'http://schema.org/lastReviewed' satisfies Property;

/**
 * latitude
 *
 * The latitude of a location. For example ```37.42242``` ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)).
 *
 * http://schema.org/latitude
 */
export const latitude = 'http://schema.org/latitude' satisfies Property;

/**
 * layoutImage
 *
 * A schematic image showing the floorplan layout.
 *
 * http://schema.org/layoutImage
 */
export const layoutImage = 'http://schema.org/layoutImage' satisfies Property;

/**
 * learningResourceType
 *
 * The predominant type or kind characterizing the learning resource. For example, 'presentation', 'handout'.
 *
 * http://schema.org/learningResourceType
 */
export const learningResourceType = 'http://schema.org/learningResourceType' satisfies Property;

/**
 * leaseLength
 *
 * Length of the lease for some [[Accommodation]], either particular to some [[Offer]] or in some cases intrinsic to the property.
 *
 * http://schema.org/leaseLength
 */
export const leaseLength = 'http://schema.org/leaseLength' satisfies Property;

/**
 * legalAddress
 *
 * The legal address of an organization which acts as the officially registered address used for legal and tax purposes. The legal address can be different from the place of operations of a business and other addresses can be part of an organization.
 *
 * http://schema.org/legalAddress
 */
export const legalAddress = 'http://schema.org/legalAddress' satisfies Property;

/**
 * legalName
 *
 * The official name of the organization, e.g. the registered company name.
 *
 * http://schema.org/legalName
 */
export const legalName = 'http://schema.org/legalName' satisfies Property;

/**
 * legalRepresentative
 *
 * One or multiple persons who represent this organization legally such as CEO or sole administrator.
 *
 * http://schema.org/legalRepresentative
 */
export const legalRepresentative = 'http://schema.org/legalRepresentative' satisfies Property;

/**
 * legalStatus
 *
 * The drug or supplement's legal status, including any controlled substance schedules that apply.
 *
 * http://schema.org/legalStatus
 */
export const legalStatus = 'http://schema.org/legalStatus' satisfies Property;

/**
 * legislationAmends
 *
 * Another legislation that this legislation amends, introducing legal changes.
 *
 * http://schema.org/legislationAmends
 */
export const legislationAmends = 'http://schema.org/legislationAmends' satisfies Property;

/**
 * legislationCommences
 *
 * Another legislation that this one sets into force.
 *
 * http://schema.org/legislationCommences
 */
export const legislationCommences = 'http://schema.org/legislationCommences' satisfies Property;

/**
 * legislationConsolidates
 *
 * Indicates another legislation taken into account in this consolidated legislation (which is usually the product of an editorial process that revises the legislation). This property should be used multiple times to refer to both the original version or the previous consolidated version, and to the legislations making the change.
 *
 * http://schema.org/legislationConsolidates
 */
export const legislationConsolidates = 'http://schema.org/legislationConsolidates' satisfies Property;

/**
 * legislationCorrects
 *
 * Another legislation in which this one introduces textual changes, like correction of spelling mistakes, with no legal impact (for modifications that have legal impact, use <a href="/legislationAmends">legislationAmends</a>).
 *
 * http://schema.org/legislationCorrects
 */
export const legislationCorrects = 'http://schema.org/legislationCorrects' satisfies Property;

/**
 * legislationCountersignedBy
 *
 * The person or organization that countersigned the legislation. Depending on the legal context, a countersignature can indicate that the signed authority undertakes to assume responsibility for texts emanating from a person who is inviolable and irresponsible, (for example a King, Grand Duc or President), or that the authority is in charge of the implementation of the text.
 *
 * http://schema.org/legislationCountersignedBy
 */
export const legislationCountersignedBy = 'http://schema.org/legislationCountersignedBy' satisfies Property;

/**
 * legislationDate
 *
 * The date of adoption or signature of the legislation. This is the date at which the text is officially aknowledged to be a legislation, even though it might not even be published or in force.
 *
 * http://schema.org/legislationDate
 */
export const legislationDate = 'http://schema.org/legislationDate' satisfies Property;

/**
 * legislationDateOfApplicability
 *
 * The date at which the Legislation becomes applicable. This can sometimes be distinct from the date of entry into force : a text may come in force today, and state it will become applicable in 3 months.
 *
 * http://schema.org/legislationDateOfApplicability
 */
export const legislationDateOfApplicability = 'http://schema.org/legislationDateOfApplicability' satisfies Property;

/**
 * legislationDateVersion
 *
 * The point-in-time at which the provided description of the legislation is valid (e.g.: when looking at the law on the 2016-04-07 (= dateVersion), I get the consolidation of 2015-04-12 of the "National Insurance Contributions Act 2015")
 *
 * http://schema.org/legislationDateVersion
 */
export const legislationDateVersion = 'http://schema.org/legislationDateVersion' satisfies Property;

/**
 * legislationEnsuresImplementationOf
 *
 * Indicates that this Legislation ensures the implementation of another Legislation, for example by modifying national legislations so that they do not contradict to an EU regulation or decision. This implies a legal meaning. Transpositions of EU Directive should be captured with <a href="/legislationTransposes">legislationTransposes</a>.
 *
 * http://schema.org/legislationEnsuresImplementationOf
 */
export const legislationEnsuresImplementationOf = 'http://schema.org/legislationEnsuresImplementationOf' satisfies Property;

/**
 * legislationIdentifier
 *
 * An identifier for the legislation. This can be either a string-based identifier, like the CELEX at EU level or the NOR in France, or a web-based, URL/URI identifier, like an ELI (European Legislation Identifier) or an URN-Lex.
 *
 * http://schema.org/legislationIdentifier
 */
export const legislationIdentifier = 'http://schema.org/legislationIdentifier' satisfies Property;

/**
 * legislationJurisdiction
 *
 * The jurisdiction from which the legislation originates.
 *
 * http://schema.org/legislationJurisdiction
 */
export const legislationJurisdiction = 'http://schema.org/legislationJurisdiction' satisfies Property;

/**
 * legislationLegalForce
 *
 * Whether the legislation is currently in force, not in force, or partially in force.
 *
 * http://schema.org/legislationLegalForce
 */
export const legislationLegalForce = 'http://schema.org/legislationLegalForce' satisfies Property;

/**
 * legislationLegalValue
 *
 * The legal value of this legislation file. The same legislation can be written in multiple files with different legal values. Typically a digitally signed PDF have a "stronger" legal value than the HTML file of the same act.
 *
 * http://schema.org/legislationLegalValue
 */
export const legislationLegalValue = 'http://schema.org/legislationLegalValue' satisfies Property;

/**
 * legislationPassedBy
 *
 * The person or organization that originally passed or made the law: typically parliament (for primary legislation) or government (for secondary legislation). This indicates the "legal author" of the law, as opposed to its physical author.
 *
 * http://schema.org/legislationPassedBy
 */
export const legislationPassedBy = 'http://schema.org/legislationPassedBy' satisfies Property;

/**
 * legislationRepeals
 *
 * Another legislation that this legislation repeals (cancels, abrogates).
 *
 * http://schema.org/legislationRepeals
 */
export const legislationRepeals = 'http://schema.org/legislationRepeals' satisfies Property;

/**
 * legislationResponsible
 *
 * An individual or organization that has some kind of responsibility for the legislation. Typically the ministry who is/was in charge of elaborating the legislation, or the adressee for potential questions about the legislation once it is published.
 *
 * http://schema.org/legislationResponsible
 */
export const legislationResponsible = 'http://schema.org/legislationResponsible' satisfies Property;

/**
 * legislationTransposes
 *
 * Indicates that this legislation (or part of legislation) fulfills the objectives set by another legislation, by passing appropriate implementation measures. Typically, some legislations of European Union's member states or regions transpose European Directives. This indicates a legally binding link between the 2 legislations.
 *
 * http://schema.org/legislationTransposes
 */
export const legislationTransposes = 'http://schema.org/legislationTransposes' satisfies Property;

/**
 * legislationType
 *
 * The type of the legislation. Examples of values are "law", "act", "directive", "decree", "regulation", "statutory instrument", "loi organique", "règlement grand-ducal", etc., depending on the country.
 *
 * http://schema.org/legislationType
 */
export const legislationType = 'http://schema.org/legislationType' satisfies Property;

/**
 * leiCode
 *
 * An organization identifier that uniquely identifies a legal entity as defined in ISO 17442.
 *
 * http://schema.org/leiCode
 */
export const leiCode = 'http://schema.org/leiCode' satisfies Property;

/**
 * lender
 *
 * A sub property of participant. The person that lends the object being borrowed.
 *
 * http://schema.org/lender
 */
export const lender = 'http://schema.org/lender' satisfies Property;

/**
 * lesser
 *
 * This ordering relation for qualitative values indicates that the subject is lesser than the object.
 *
 * http://schema.org/lesser
 */
export const lesser = 'http://schema.org/lesser' satisfies Property;

/**
 * lesserOrEqual
 *
 * This ordering relation for qualitative values indicates that the subject is lesser than or equal to the object.
 *
 * http://schema.org/lesserOrEqual
 */
export const lesserOrEqual = 'http://schema.org/lesserOrEqual' satisfies Property;

/**
 * letterer
 *
 * The individual who adds lettering, including speech balloons and sound effects, to artwork.
 *
 * http://schema.org/letterer
 */
export const letterer = 'http://schema.org/letterer' satisfies Property;

/**
 * license
 *
 * A license document that applies to this content, typically indicated by URL.
 *
 * http://schema.org/license
 */
export const license = 'http://schema.org/license' satisfies Property;

/**
 * line
 *
 * A line is a point-to-point path consisting of two or more points. A line is expressed as a series of two or more point objects separated by space.
 *
 * http://schema.org/line
 */
export const line = 'http://schema.org/line' satisfies Property;

/**
 * linkRelationship
 *
 * Indicates the relationship type of a Web link. 
 *
 * http://schema.org/linkRelationship
 */
export const linkRelationship = 'http://schema.org/linkRelationship' satisfies Property;

/**
 * liveBlogUpdate
 *
 * An update to the LiveBlog.
 *
 * http://schema.org/liveBlogUpdate
 */
export const liveBlogUpdate = 'http://schema.org/liveBlogUpdate' satisfies Property;

/**
 * loanMortgageMandateAmount
 *
 * Amount of mortgage mandate that can be converted into a proper mortgage at a later stage.
 *
 * http://schema.org/loanMortgageMandateAmount
 */
export const loanMortgageMandateAmount = 'http://schema.org/loanMortgageMandateAmount' satisfies Property;

/**
 * loanPaymentAmount
 *
 * The amount of money to pay in a single payment.
 *
 * http://schema.org/loanPaymentAmount
 */
export const loanPaymentAmount = 'http://schema.org/loanPaymentAmount' satisfies Property;

/**
 * loanPaymentFrequency
 *
 * Frequency of payments due, i.e. number of months between payments. This is defined as a frequency, i.e. the reciprocal of a period of time.
 *
 * http://schema.org/loanPaymentFrequency
 */
export const loanPaymentFrequency = 'http://schema.org/loanPaymentFrequency' satisfies Property;

/**
 * loanRepaymentForm
 *
 * A form of paying back money previously borrowed from a lender. Repayment usually takes the form of periodic payments that normally include part principal plus interest in each payment.
 *
 * http://schema.org/loanRepaymentForm
 */
export const loanRepaymentForm = 'http://schema.org/loanRepaymentForm' satisfies Property;

/**
 * loanTerm
 *
 * The duration of the loan or credit agreement.
 *
 * http://schema.org/loanTerm
 */
export const loanTerm = 'http://schema.org/loanTerm' satisfies Property;

/**
 * loanType
 *
 * The type of a loan or credit.
 *
 * http://schema.org/loanType
 */
export const loanType = 'http://schema.org/loanType' satisfies Property;

/**
 * locationCreated
 *
 * The location where the CreativeWork was created, which may not be the same as the location depicted in the CreativeWork.
 *
 * http://schema.org/locationCreated
 */
export const locationCreated = 'http://schema.org/locationCreated' satisfies Property;

/**
 * lodgingUnitDescription
 *
 * A full description of the lodging unit.
 *
 * http://schema.org/lodgingUnitDescription
 */
export const lodgingUnitDescription = 'http://schema.org/lodgingUnitDescription' satisfies Property;

/**
 * lodgingUnitType
 *
 * Textual description of the unit type (including suite vs. room, size of bed, etc.).
 *
 * http://schema.org/lodgingUnitType
 */
export const lodgingUnitType = 'http://schema.org/lodgingUnitType' satisfies Property;

/**
 * logo
 *
 * An associated logo.
 *
 * http://schema.org/logo
 */
export const logo = 'http://schema.org/logo' satisfies Property;

/**
 * longitude
 *
 * The longitude of a location. For example ```-122.08585``` ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)).
 *
 * http://schema.org/longitude
 */
export const longitude = 'http://schema.org/longitude' satisfies Property;

/**
 * loser
 *
 * A sub property of participant. The loser of the action.
 *
 * http://schema.org/loser
 */
export const loser = 'http://schema.org/loser' satisfies Property;

/**
 * lowPrice
 *
 * The lowest price of all offers available.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * http://schema.org/lowPrice
 */
export const lowPrice = 'http://schema.org/lowPrice' satisfies Property;

/**
 * lyricist
 *
 * The person who wrote the words.
 *
 * http://schema.org/lyricist
 */
export const lyricist = 'http://schema.org/lyricist' satisfies Property;

/**
 * lyrics
 *
 * The words in the song.
 *
 * http://schema.org/lyrics
 */
export const lyrics = 'http://schema.org/lyrics' satisfies Property;

/**
 * maintainer
 *
 * A maintainer of a [[Dataset]], software package ([[SoftwareApplication]]), or other [[Project]]. A maintainer is a [[Person]] or [[Organization]] that manages contributions to, and/or publication of, some (typically complex) artifact. It is common for distributions of software and data to be based on "upstream" sources. When [[maintainer]] is applied to a specific version of something e.g. a particular version or packaging of a [[Dataset]], it is always  possible that the upstream source has a different maintainer. The [[isBasedOn]] property can be used to indicate such relationships between datasets to make the different maintenance roles clear. Similarly in the case of software, a package may have dedicated maintainers working on integration into software distributions such as Ubuntu, as well as upstream maintainers of the underlying work.
 *       
 *
 * http://schema.org/maintainer
 */
export const maintainer = 'http://schema.org/maintainer' satisfies Property;

/**
 * manufacturer
 *
 * The manufacturer of the product.
 *
 * http://schema.org/manufacturer
 */
export const manufacturer = 'http://schema.org/manufacturer' satisfies Property;

/**
 * map
 *
 * A URL to a map of the place.
 *
 * http://schema.org/map
 */
export const map = 'http://schema.org/map' satisfies Property;

/**
 * mapType
 *
 * Indicates the kind of Map, from the MapCategoryType Enumeration.
 *
 * http://schema.org/mapType
 */
export const mapType = 'http://schema.org/mapType' satisfies Property;

/**
 * maps
 *
 * A URL to a map of the place.
 *
 * http://schema.org/maps
 */
export const maps = 'http://schema.org/maps' satisfies Property;

/**
 * marginOfError
 *
 * A [[marginOfError]] for an [[Observation]].
 *
 * http://schema.org/marginOfError
 */
export const marginOfError = 'http://schema.org/marginOfError' satisfies Property;

/**
 * masthead
 *
 * For a [[NewsMediaOrganization]], a link to the masthead page or a page listing top editorial management.
 *
 * http://schema.org/masthead
 */
export const masthead = 'http://schema.org/masthead' satisfies Property;

/**
 * http://schema.org/materialExtent
 */
export const materialExtent = 'http://schema.org/materialExtent' satisfies Property;

/**
 * mathExpression
 *
 * A mathematical expression (e.g. 'x^2-3x=0') that may be solved for a specific variable, simplified, or transformed. This can take many formats, e.g. LaTeX, Ascii-Math, or math as you would write with a keyboard.
 *
 * http://schema.org/mathExpression
 */
export const mathExpression = 'http://schema.org/mathExpression' satisfies Property;

/**
 * maxPrice
 *
 * The highest price if the price is a range.
 *
 * http://schema.org/maxPrice
 */
export const maxPrice = 'http://schema.org/maxPrice' satisfies Property;

/**
 * maxValue
 *
 * The upper value of some characteristic or property.
 *
 * http://schema.org/maxValue
 */
export const maxValue = 'http://schema.org/maxValue' satisfies Property;

/**
 * maximumAttendeeCapacity
 *
 * The total number of individuals that may attend an event or venue.
 *
 * http://schema.org/maximumAttendeeCapacity
 */
export const maximumAttendeeCapacity = 'http://schema.org/maximumAttendeeCapacity' satisfies Property;

/**
 * maximumEnrollment
 *
 * The maximum number of students who may be enrolled in the program.
 *
 * http://schema.org/maximumEnrollment
 */
export const maximumEnrollment = 'http://schema.org/maximumEnrollment' satisfies Property;

/**
 * maximumIntake
 *
 * Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 * http://schema.org/maximumIntake
 */
export const maximumIntake = 'http://schema.org/maximumIntake' satisfies Property;

/**
 * maximumPhysicalAttendeeCapacity
 *
 * The maximum physical attendee capacity of an [[Event]] whose [[eventAttendanceMode]] is [[OfflineEventAttendanceMode]] (or the offline aspects, in the case of a [[MixedEventAttendanceMode]]). 
 *
 * http://schema.org/maximumPhysicalAttendeeCapacity
 */
export const maximumPhysicalAttendeeCapacity = 'http://schema.org/maximumPhysicalAttendeeCapacity' satisfies Property;

/**
 * maximumVirtualAttendeeCapacity
 *
 * The maximum virtual attendee capacity of an [[Event]] whose [[eventAttendanceMode]] is [[OnlineEventAttendanceMode]] (or the online aspects, in the case of a [[MixedEventAttendanceMode]]). 
 *
 * http://schema.org/maximumVirtualAttendeeCapacity
 */
export const maximumVirtualAttendeeCapacity = 'http://schema.org/maximumVirtualAttendeeCapacity' satisfies Property;

/**
 * mealService
 *
 * Description of the meals that will be provided or available for purchase.
 *
 * http://schema.org/mealService
 */
export const mealService = 'http://schema.org/mealService' satisfies Property;

/**
 * measuredProperty
 *
 * The measuredProperty of an [[Observation]], typically via its [[StatisticalVariable]]. There are various kinds of applicable [[Property]]: a schema.org property, a property from other RDF-compatible systems, e.g. W3C RDF Data Cube, Data Commons, Wikidata, or schema.org extensions such as [GS1's](https://www.gs1.org/voc/?show=properties).
 *
 * http://schema.org/measuredProperty
 */
export const measuredProperty = 'http://schema.org/measuredProperty' satisfies Property;

/**
 * measurementDenominator
 *
 * Identifies the denominator variable when an observation represents a ratio or percentage.
 *
 * http://schema.org/measurementDenominator
 */
export const measurementDenominator = 'http://schema.org/measurementDenominator' satisfies Property;

/**
 * measurementMethod
 *
 * A subproperty of [[measurementTechnique]] that can be used for specifying specific methods, in particular via [[MeasurementMethodEnum]].
 *
 * http://schema.org/measurementMethod
 */
export const measurementMethod = 'http://schema.org/measurementMethod' satisfies Property;

/**
 * measurementQualifier
 *
 * Provides additional qualification to an observation. For example, a GDP observation measures the Nominal value.
 *
 * http://schema.org/measurementQualifier
 */
export const measurementQualifier = 'http://schema.org/measurementQualifier' satisfies Property;

/**
 * mechanismOfAction
 *
 * The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.
 *
 * http://schema.org/mechanismOfAction
 */
export const mechanismOfAction = 'http://schema.org/mechanismOfAction' satisfies Property;

/**
 * mediaAuthenticityCategory
 *
 * Indicates a MediaManipulationRatingEnumeration classification of a media object (in the context of how it was published or shared).
 *
 * http://schema.org/mediaAuthenticityCategory
 */
export const mediaAuthenticityCategory = 'http://schema.org/mediaAuthenticityCategory' satisfies Property;

/**
 * mediaItemAppearance
 *
 * In the context of a [[MediaReview]], indicates specific media item(s) that are grouped using a [[MediaReviewItem]].
 *
 * http://schema.org/mediaItemAppearance
 */
export const mediaItemAppearance = 'http://schema.org/mediaItemAppearance' satisfies Property;

/**
 * median
 *
 * The median value.
 *
 * http://schema.org/median
 */
export const median = 'http://schema.org/median' satisfies Property;

/**
 * medicalAudience
 *
 * Medical audience for page.
 *
 * http://schema.org/medicalAudience
 */
export const medicalAudience = 'http://schema.org/medicalAudience' satisfies Property;

/**
 * medicalSpecialty
 *
 * A medical specialty of the provider.
 *
 * http://schema.org/medicalSpecialty
 */
export const medicalSpecialty = 'http://schema.org/medicalSpecialty' satisfies Property;

/**
 * medicineSystem
 *
 * The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.
 *
 * http://schema.org/medicineSystem
 */
export const medicineSystem = 'http://schema.org/medicineSystem' satisfies Property;

/**
 * meetsEmissionStandard
 *
 * Indicates that the vehicle meets the respective emission standard.
 *
 * http://schema.org/meetsEmissionStandard
 */
export const meetsEmissionStandard = 'http://schema.org/meetsEmissionStandard' satisfies Property;

/**
 * members
 *
 * A member of this organization.
 *
 * http://schema.org/members
 */
export const members = 'http://schema.org/members' satisfies Property;

/**
 * membershipNumber
 *
 * A unique identifier for the membership.
 *
 * http://schema.org/membershipNumber
 */
export const membershipNumber = 'http://schema.org/membershipNumber' satisfies Property;

/**
 * membershipPointsEarned
 *
 * The number of membership points earned by the member. If necessary, the unitText can be used to express the units the points are issued in. (E.g. stars, miles, etc.)
 *
 * http://schema.org/membershipPointsEarned
 */
export const membershipPointsEarned = 'http://schema.org/membershipPointsEarned' satisfies Property;

/**
 * memoryRequirements
 *
 * Minimum memory requirements.
 *
 * http://schema.org/memoryRequirements
 */
export const memoryRequirements = 'http://schema.org/memoryRequirements' satisfies Property;

/**
 * mentions
 *
 * Indicates that the CreativeWork contains a reference to, but is not necessarily about a concept.
 *
 * http://schema.org/mentions
 */
export const mentions = 'http://schema.org/mentions' satisfies Property;

/**
 * menu
 *
 * Either the actual menu as a structured representation, as text, or a URL of the menu.
 *
 * http://schema.org/menu
 */
export const menu = 'http://schema.org/menu' satisfies Property;

/**
 * menuAddOn
 *
 * Additional menu item(s) such as a side dish of salad or side order of fries that can be added to this menu item. Additionally it can be a menu section containing allowed add-on menu items for this menu item.
 *
 * http://schema.org/menuAddOn
 */
export const menuAddOn = 'http://schema.org/menuAddOn' satisfies Property;

/**
 * merchant
 *
 * 'merchant' is an out-dated term for 'seller'.
 *
 * http://schema.org/merchant
 */
export const merchant = 'http://schema.org/merchant' satisfies Property;

/**
 * messageAttachment
 *
 * A CreativeWork attached to the message.
 *
 * http://schema.org/messageAttachment
 */
export const messageAttachment = 'http://schema.org/messageAttachment' satisfies Property;

/**
 * mileageFromOdometer
 *
 * The total distance travelled by the particular vehicle since its initial production, as read from its odometer.\n\nTypical unit code(s): KMT for kilometers, SMI for statute miles.
 *
 * http://schema.org/mileageFromOdometer
 */
export const mileageFromOdometer = 'http://schema.org/mileageFromOdometer' satisfies Property;

/**
 * minPrice
 *
 * The lowest price if the price is a range.
 *
 * http://schema.org/minPrice
 */
export const minPrice = 'http://schema.org/minPrice' satisfies Property;

/**
 * minValue
 *
 * The lower value of some characteristic or property.
 *
 * http://schema.org/minValue
 */
export const minValue = 'http://schema.org/minValue' satisfies Property;

/**
 * minimumPaymentDue
 *
 * The minimum payment required at this time.
 *
 * http://schema.org/minimumPaymentDue
 */
export const minimumPaymentDue = 'http://schema.org/minimumPaymentDue' satisfies Property;

/**
 * missionCoveragePrioritiesPolicy
 *
 * For a [[NewsMediaOrganization]], a statement on coverage priorities, including any public agenda or stance on issues.
 *
 * http://schema.org/missionCoveragePrioritiesPolicy
 */
export const missionCoveragePrioritiesPolicy = 'http://schema.org/missionCoveragePrioritiesPolicy' satisfies Property;

/**
 * mobileUrl
 *
 * The [[mobileUrl]] property is provided for specific situations in which data consumers need to determine whether one of several provided URLs is a dedicated 'mobile site'.
 * 
 * To discourage over-use, and reflecting intial usecases, the property is expected only on [[Product]] and [[Offer]], rather than [[Thing]]. The general trend in web technology is towards [responsive design](https://en.wikipedia.org/wiki/Responsive_web_design) in which content can be flexibly adapted to a wide range of browsing environments. Pages and sites referenced with the long-established [[url]] property should ideally also be usable on a wide variety of devices, including mobile phones. In most cases, it would be pointless and counter productive to attempt to update all [[url]] markup to use [[mobileUrl]] for more mobile-oriented pages. The property is intended for the case when items (primarily [[Product]] and [[Offer]]) have extra URLs hosted on an additional "mobile site" alongside the main one. It should not be taken as an endorsement of this publication style.
 *     
 *
 * http://schema.org/mobileUrl
 */
export const mobileUrl = 'http://schema.org/mobileUrl' satisfies Property;

/**
 * model
 *
 * The model of the product. Use with the URL of a ProductModel or a textual representation of the model identifier. The URL of the ProductModel can be from an external source. It is recommended to additionally provide strong product identifiers via the gtin8/gtin13/gtin14 and mpn properties.
 *
 * http://schema.org/model
 */
export const model = 'http://schema.org/model' satisfies Property;

/**
 * modelDate
 *
 * The release date of a vehicle model (often used to differentiate versions of the same make and model).
 *
 * http://schema.org/modelDate
 */
export const modelDate = 'http://schema.org/modelDate' satisfies Property;

/**
 * modifiedTime
 *
 * The date and time the reservation was modified.
 *
 * http://schema.org/modifiedTime
 */
export const modifiedTime = 'http://schema.org/modifiedTime' satisfies Property;

/**
 * molecularFormula
 *
 * The empirical formula is the simplest whole number ratio of all the atoms in a molecule.
 *
 * http://schema.org/molecularFormula
 */
export const molecularFormula = 'http://schema.org/molecularFormula' satisfies Property;

/**
 * molecularWeight
 *
 * This is the molecular weight of the entity being described, not of the parent. Units should be included in the form '&lt;Number&gt; &lt;unit&gt;', for example '12 amu' or as '&lt;QuantitativeValue&gt;.
 *
 * http://schema.org/molecularWeight
 */
export const molecularWeight = 'http://schema.org/molecularWeight' satisfies Property;

/**
 * monoisotopicMolecularWeight
 *
 * The monoisotopic mass is the sum of the masses of the atoms in a molecule using the unbound, ground-state, rest mass of the principal (most abundant) isotope for each element instead of the isotopic average mass. Please include the units in the form '&lt;Number&gt; &lt;unit&gt;', for example '770.230488 g/mol' or as '&lt;QuantitativeValue&gt;.
 *
 * http://schema.org/monoisotopicMolecularWeight
 */
export const monoisotopicMolecularWeight = 'http://schema.org/monoisotopicMolecularWeight' satisfies Property;

/**
 * monthlyMinimumRepaymentAmount
 *
 * The minimum payment is the lowest amount of money that one is required to pay on a credit card statement each month.
 *
 * http://schema.org/monthlyMinimumRepaymentAmount
 */
export const monthlyMinimumRepaymentAmount = 'http://schema.org/monthlyMinimumRepaymentAmount' satisfies Property;

/**
 * monthsOfExperience
 *
 * Indicates the minimal number of months of experience required for a position.
 *
 * http://schema.org/monthsOfExperience
 */
export const monthsOfExperience = 'http://schema.org/monthsOfExperience' satisfies Property;

/**
 * mpn
 *
 * The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.
 *
 * http://schema.org/mpn
 */
export const mpn = 'http://schema.org/mpn' satisfies Property;

/**
 * multipleValues
 *
 * Whether multiple values are allowed for the property.  Default is false.
 *
 * http://schema.org/multipleValues
 */
export const multipleValues = 'http://schema.org/multipleValues' satisfies Property;

/**
 * muscleAction
 *
 * The movement the muscle generates.
 *
 * http://schema.org/muscleAction
 */
export const muscleAction = 'http://schema.org/muscleAction' satisfies Property;

/**
 * musicArrangement
 *
 * An arrangement derived from the composition.
 *
 * http://schema.org/musicArrangement
 */
export const musicArrangement = 'http://schema.org/musicArrangement' satisfies Property;

/**
 * musicBy
 *
 * The composer of the soundtrack.
 *
 * http://schema.org/musicBy
 */
export const musicBy = 'http://schema.org/musicBy' satisfies Property;

/**
 * musicCompositionForm
 *
 * The type of composition (e.g. overture, sonata, symphony, etc.).
 *
 * http://schema.org/musicCompositionForm
 */
export const musicCompositionForm = 'http://schema.org/musicCompositionForm' satisfies Property;

/**
 * musicGroupMember
 *
 * A member of a music group&#x2014;for example, John, Paul, George, or Ringo.
 *
 * http://schema.org/musicGroupMember
 */
export const musicGroupMember = 'http://schema.org/musicGroupMember' satisfies Property;

/**
 * musicReleaseFormat
 *
 * Format of this release (the type of recording media used, i.e. compact disc, digital media, LP, etc.).
 *
 * http://schema.org/musicReleaseFormat
 */
export const musicReleaseFormat = 'http://schema.org/musicReleaseFormat' satisfies Property;

/**
 * musicalKey
 *
 * The key, mode, or scale this composition uses.
 *
 * http://schema.org/musicalKey
 */
export const musicalKey = 'http://schema.org/musicalKey' satisfies Property;

/**
 * naics
 *
 * The North American Industry Classification System (NAICS) code for a particular organization or business person.
 *
 * http://schema.org/naics
 */
export const naics = 'http://schema.org/naics' satisfies Property;

/**
 * name
 *
 * The name of the item.
 *
 * http://schema.org/name
 */
export const name = 'http://schema.org/name' satisfies Property;

/**
 * namedPosition
 *
 * A position played, performed or filled by a person or organization, as part of an organization. For example, an athlete in a SportsTeam might play in the position named 'Quarterback'.
 *
 * http://schema.org/namedPosition
 */
export const namedPosition = 'http://schema.org/namedPosition' satisfies Property;

/**
 * nationality
 *
 * Nationality of the person.
 *
 * http://schema.org/nationality
 */
export const nationality = 'http://schema.org/nationality' satisfies Property;

/**
 * naturalProgression
 *
 * The expected progression of the condition if it is not treated and allowed to progress naturally.
 *
 * http://schema.org/naturalProgression
 */
export const naturalProgression = 'http://schema.org/naturalProgression' satisfies Property;

/**
 * negativeNotes
 *
 * Provides negative considerations regarding something, most typically in pro/con lists for reviews (alongside [[positiveNotes]]). For symmetry 
 * 
 * In the case of a [[Review]], the property describes the [[itemReviewed]] from the perspective of the review; in the case of a [[Product]], the product itself is being described. Since product descriptions 
 * tend to emphasise positive claims, it may be relatively unusual to find [[negativeNotes]] used in this way. Nevertheless for the sake of symmetry, [[negativeNotes]] can be used on [[Product]].
 * 
 * The property values can be expressed either as unstructured text (repeated as necessary), or if ordered, as a list (in which case the most negative is at the beginning of the list).
 *
 * http://schema.org/negativeNotes
 */
export const negativeNotes = 'http://schema.org/negativeNotes' satisfies Property;

/**
 * nerve
 *
 * The underlying innervation associated with the muscle.
 *
 * http://schema.org/nerve
 */
export const nerve = 'http://schema.org/nerve' satisfies Property;

/**
 * nerveMotor
 *
 * The neurological pathway extension that involves muscle control.
 *
 * http://schema.org/nerveMotor
 */
export const nerveMotor = 'http://schema.org/nerveMotor' satisfies Property;

/**
 * netWorth
 *
 * The total financial value of the person as calculated by subtracting the total value of liabilities from the total value of assets.
 *
 * http://schema.org/netWorth
 */
export const netWorth = 'http://schema.org/netWorth' satisfies Property;

/**
 * newsUpdatesAndGuidelines
 *
 * Indicates a page with news updates and guidelines. This could often be (but is not required to be) the main page containing [[SpecialAnnouncement]] markup on a site.
 *
 * http://schema.org/newsUpdatesAndGuidelines
 */
export const newsUpdatesAndGuidelines = 'http://schema.org/newsUpdatesAndGuidelines' satisfies Property;

/**
 * nextItem
 *
 * A link to the ListItem that follows the current one.
 *
 * http://schema.org/nextItem
 */
export const nextItem = 'http://schema.org/nextItem' satisfies Property;

/**
 * noBylinesPolicy
 *
 * For a [[NewsMediaOrganization]] or other news-related [[Organization]], a statement explaining when authors of articles are not named in bylines.
 *
 * http://schema.org/noBylinesPolicy
 */
export const noBylinesPolicy = 'http://schema.org/noBylinesPolicy' satisfies Property;

/**
 * nonEqual
 *
 * This ordering relation for qualitative values indicates that the subject is not equal to the object.
 *
 * http://schema.org/nonEqual
 */
export const nonEqual = 'http://schema.org/nonEqual' satisfies Property;

/**
 * nonProprietaryName
 *
 * The generic name of this drug or supplement.
 *
 * http://schema.org/nonProprietaryName
 */
export const nonProprietaryName = 'http://schema.org/nonProprietaryName' satisfies Property;

/**
 * nonprofitStatus
 *
 * nonprofitStatus indicates the legal status of a non-profit organization in its primary place of business.
 *
 * http://schema.org/nonprofitStatus
 */
export const nonprofitStatus = 'http://schema.org/nonprofitStatus' satisfies Property;

/**
 * normalRange
 *
 * Range of acceptable values for a typical patient, when applicable.
 *
 * http://schema.org/normalRange
 */
export const normalRange = 'http://schema.org/normalRange' satisfies Property;

/**
 * nsn
 *
 * Indicates the [NATO stock number](https://en.wikipedia.org/wiki/NATO_Stock_Number) (nsn) of a [[Product]]. 
 *
 * http://schema.org/nsn
 */
export const nsn = 'http://schema.org/nsn' satisfies Property;

/**
 * numAdults
 *
 * The number of adults staying in the unit.
 *
 * http://schema.org/numAdults
 */
export const numAdults = 'http://schema.org/numAdults' satisfies Property;

/**
 * numChildren
 *
 * The number of children staying in the unit.
 *
 * http://schema.org/numChildren
 */
export const numChildren = 'http://schema.org/numChildren' satisfies Property;

/**
 * numConstraints
 *
 * Indicates the number of constraints property values defined for a particular [[ConstraintNode]] such as [[StatisticalVariable]]. This helps applications understand if they have access to a sufficiently complete description of a [[StatisticalVariable]] or other construct that is defined using properties on template-style nodes.
 *
 * http://schema.org/numConstraints
 */
export const numConstraints = 'http://schema.org/numConstraints' satisfies Property;

/**
 * numItems
 *
 * Limits the number of items being shipped for which these conditions apply.
 *
 * http://schema.org/numItems
 */
export const numItems = 'http://schema.org/numItems' satisfies Property;

/**
 * numTracks
 *
 * The number of tracks in this album or playlist.
 *
 * http://schema.org/numTracks
 */
export const numTracks = 'http://schema.org/numTracks' satisfies Property;

/**
 * numberOfAccommodationUnits
 *
 * Indicates the total (available plus unavailable) number of accommodation units in an [[ApartmentComplex]], or the number of accommodation units for a specific [[FloorPlan]] (within its specific [[ApartmentComplex]]). See also [[numberOfAvailableAccommodationUnits]].
 *
 * http://schema.org/numberOfAccommodationUnits
 */
export const numberOfAccommodationUnits = 'http://schema.org/numberOfAccommodationUnits' satisfies Property;

/**
 * numberOfAirbags
 *
 * The number or type of airbags in the vehicle.
 *
 * http://schema.org/numberOfAirbags
 */
export const numberOfAirbags = 'http://schema.org/numberOfAirbags' satisfies Property;

/**
 * numberOfAvailableAccommodationUnits
 *
 * Indicates the number of available accommodation units in an [[ApartmentComplex]], or the number of accommodation units for a specific [[FloorPlan]] (within its specific [[ApartmentComplex]]). See also [[numberOfAccommodationUnits]].
 *
 * http://schema.org/numberOfAvailableAccommodationUnits
 */
export const numberOfAvailableAccommodationUnits = 'http://schema.org/numberOfAvailableAccommodationUnits' satisfies Property;

/**
 * numberOfAxles
 *
 * The number of axles.\n\nTypical unit code(s): C62.
 *
 * http://schema.org/numberOfAxles
 */
export const numberOfAxles = 'http://schema.org/numberOfAxles' satisfies Property;

/**
 * numberOfBathroomsTotal
 *
 * The total integer number of bathrooms in some [[Accommodation]], following real estate conventions as [documented in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsTotalInteger+Field): "The simple sum of the number of bathrooms. For example for a property with two Full Bathrooms and one Half Bathroom, the Bathrooms Total Integer will be 3.". See also [[numberOfRooms]].
 *
 * http://schema.org/numberOfBathroomsTotal
 */
export const numberOfBathroomsTotal = 'http://schema.org/numberOfBathroomsTotal' satisfies Property;

/**
 * numberOfBedrooms
 *
 * The total integer number of bedrooms in a some [[Accommodation]], [[ApartmentComplex]] or [[FloorPlan]].
 *
 * http://schema.org/numberOfBedrooms
 */
export const numberOfBedrooms = 'http://schema.org/numberOfBedrooms' satisfies Property;

/**
 * numberOfBeds
 *
 * The quantity of the given bed type available in the HotelRoom, Suite, House, or Apartment.
 *
 * http://schema.org/numberOfBeds
 */
export const numberOfBeds = 'http://schema.org/numberOfBeds' satisfies Property;

/**
 * numberOfCredits
 *
 * The number of credits or units awarded by a Course or required to complete an EducationalOccupationalProgram.
 *
 * http://schema.org/numberOfCredits
 */
export const numberOfCredits = 'http://schema.org/numberOfCredits' satisfies Property;

/**
 * numberOfDoors
 *
 * The number of doors.\n\nTypical unit code(s): C62.
 *
 * http://schema.org/numberOfDoors
 */
export const numberOfDoors = 'http://schema.org/numberOfDoors' satisfies Property;

/**
 * numberOfEmployees
 *
 * The number of employees in an organization, e.g. business.
 *
 * http://schema.org/numberOfEmployees
 */
export const numberOfEmployees = 'http://schema.org/numberOfEmployees' satisfies Property;

/**
 * numberOfEpisodes
 *
 * The number of episodes in this season or series.
 *
 * http://schema.org/numberOfEpisodes
 */
export const numberOfEpisodes = 'http://schema.org/numberOfEpisodes' satisfies Property;

/**
 * numberOfForwardGears
 *
 * The total number of forward gears available for the transmission system of the vehicle.\n\nTypical unit code(s): C62.
 *
 * http://schema.org/numberOfForwardGears
 */
export const numberOfForwardGears = 'http://schema.org/numberOfForwardGears' satisfies Property;

/**
 * numberOfFullBathrooms
 *
 * Number of full bathrooms - The total number of full and ¾ bathrooms in an [[Accommodation]]. This corresponds to the [BathroomsFull field in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsFull+Field).
 *
 * http://schema.org/numberOfFullBathrooms
 */
export const numberOfFullBathrooms = 'http://schema.org/numberOfFullBathrooms' satisfies Property;

/**
 * numberOfItems
 *
 * The number of items in an ItemList. Note that some descriptions might not fully describe all items in a list (e.g., multi-page pagination); in such cases, the numberOfItems would be for the entire list.
 *
 * http://schema.org/numberOfItems
 */
export const numberOfItems = 'http://schema.org/numberOfItems' satisfies Property;

/**
 * numberOfLoanPayments
 *
 * The number of payments contractually required at origination to repay the loan. For monthly paying loans this is the number of months from the contractual first payment date to the maturity date.
 *
 * http://schema.org/numberOfLoanPayments
 */
export const numberOfLoanPayments = 'http://schema.org/numberOfLoanPayments' satisfies Property;

/**
 * numberOfPages
 *
 * The number of pages in the book.
 *
 * http://schema.org/numberOfPages
 */
export const numberOfPages = 'http://schema.org/numberOfPages' satisfies Property;

/**
 * numberOfPartialBathrooms
 *
 * Number of partial bathrooms - The total number of half and ¼ bathrooms in an [[Accommodation]]. This corresponds to the [BathroomsPartial field in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsPartial+Field). 
 *
 * http://schema.org/numberOfPartialBathrooms
 */
export const numberOfPartialBathrooms = 'http://schema.org/numberOfPartialBathrooms' satisfies Property;

/**
 * numberOfPlayers
 *
 * Indicate how many people can play this game (minimum, maximum, or range).
 *
 * http://schema.org/numberOfPlayers
 */
export const numberOfPlayers = 'http://schema.org/numberOfPlayers' satisfies Property;

/**
 * numberOfPreviousOwners
 *
 * The number of owners of the vehicle, including the current one.\n\nTypical unit code(s): C62.
 *
 * http://schema.org/numberOfPreviousOwners
 */
export const numberOfPreviousOwners = 'http://schema.org/numberOfPreviousOwners' satisfies Property;

/**
 * numberOfRooms
 *
 * The number of rooms (excluding bathrooms and closets) of the accommodation or lodging business.
 * Typical unit code(s): ROM for room or C62 for no unit. The type of room can be put in the unitText property of the QuantitativeValue.
 *
 * http://schema.org/numberOfRooms
 */
export const numberOfRooms = 'http://schema.org/numberOfRooms' satisfies Property;

/**
 * numberOfSeasons
 *
 * The number of seasons in this series.
 *
 * http://schema.org/numberOfSeasons
 */
export const numberOfSeasons = 'http://schema.org/numberOfSeasons' satisfies Property;

/**
 * numberedPosition
 *
 * A number associated with a role in an organization, for example, the number on an athlete's jersey.
 *
 * http://schema.org/numberedPosition
 */
export const numberedPosition = 'http://schema.org/numberedPosition' satisfies Property;

/**
 * nutrition
 *
 * Nutrition information about the recipe or menu item.
 *
 * http://schema.org/nutrition
 */
export const nutrition = 'http://schema.org/nutrition' satisfies Property;

/**
 * observationAbout
 *
 * The [[observationAbout]] property identifies an entity, often a [[Place]], associated with an [[Observation]].
 *
 * http://schema.org/observationAbout
 */
export const observationAbout = 'http://schema.org/observationAbout' satisfies Property;

/**
 * observationDate
 *
 * The observationDate of an [[Observation]].
 *
 * http://schema.org/observationDate
 */
export const observationDate = 'http://schema.org/observationDate' satisfies Property;

/**
 * observationPeriod
 *
 * The length of time an Observation took place over. The format follows `P[0-9]*[Y|M|D|h|m|s]`. For example, P1Y is Period 1 Year, P3M is Period 3 Months, P3h is Period 3 hours.
 *
 * http://schema.org/observationPeriod
 */
export const observationPeriod = 'http://schema.org/observationPeriod' satisfies Property;

/**
 * occupancy
 *
 * The allowed total occupancy for the accommodation in persons (including infants etc). For individual accommodations, this is not necessarily the legal maximum but defines the permitted usage as per the contractual agreement (e.g. a double room used by a single person).
 * Typical unit code(s): C62 for person.
 *
 * http://schema.org/occupancy
 */
export const occupancy = 'http://schema.org/occupancy' satisfies Property;

/**
 * occupationLocation
 *
 *  The region/country for which this occupational description is appropriate. Note that educational requirements and qualifications can vary between jurisdictions.
 *
 * http://schema.org/occupationLocation
 */
export const occupationLocation = 'http://schema.org/occupationLocation' satisfies Property;

/**
 * occupationalCategory
 *
 * A category describing the job, preferably using a term from a taxonomy such as [BLS O*NET-SOC](http://www.onetcenter.org/taxonomy.html), [ISCO-08](https://www.ilo.org/public/english/bureau/stat/isco/isco08/) or similar, with the property repeated for each applicable value. Ideally the taxonomy should be identified, and both the textual label and formal code for the category should be provided.\n
 * Note: for historical reasons, any textual label and formal code provided as a literal may be assumed to be from O*NET-SOC.
 *
 * http://schema.org/occupationalCategory
 */
export const occupationalCategory = 'http://schema.org/occupationalCategory' satisfies Property;

/**
 * occupationalCredentialAwarded
 *
 * A description of the qualification, award, certificate, diploma or other occupational credential awarded as a consequence of successful completion of this course or program.
 *
 * http://schema.org/occupationalCredentialAwarded
 */
export const occupationalCredentialAwarded = 'http://schema.org/occupationalCredentialAwarded' satisfies Property;

/**
 * offerCount
 *
 * The number of offers for the product.
 *
 * http://schema.org/offerCount
 */
export const offerCount = 'http://schema.org/offerCount' satisfies Property;

/**
 * offersPrescriptionByMail
 *
 * Whether prescriptions can be delivered by mail.
 *
 * http://schema.org/offersPrescriptionByMail
 */
export const offersPrescriptionByMail = 'http://schema.org/offersPrescriptionByMail' satisfies Property;

/**
 * openingHours
 *
 * The general opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas ',' separating each day. Day or time ranges are specified using a hyphen '-'.\n\n* Days are specified using the following two-letter combinations: ```Mo```, ```Tu```, ```We```, ```Th```, ```Fr```, ```Sa```, ```Su```.\n* Times are specified using 24:00 format. For example, 3pm is specified as ```15:00```, 10am as ```10:00```. \n* Here is an example: <code>&lt;time itemprop="openingHours" datetime=&quot;Tu,Th 16:00-20:00&quot;&gt;Tuesdays and Thursdays 4-8pm&lt;/time&gt;</code>.\n* If a business is open 7 days a week, then it can be specified as <code>&lt;time itemprop=&quot;openingHours&quot; datetime=&quot;Mo-Su&quot;&gt;Monday through Sunday, all day&lt;/time&gt;</code>.
 *
 * http://schema.org/openingHours
 */
export const openingHours = 'http://schema.org/openingHours' satisfies Property;

/**
 * openingHoursSpecification
 *
 * The opening hours of a certain place.
 *
 * http://schema.org/openingHoursSpecification
 */
export const openingHoursSpecification = 'http://schema.org/openingHoursSpecification' satisfies Property;

/**
 * opens
 *
 * The opening hour of the place or service on the given day(s) of the week.
 *
 * http://schema.org/opens
 */
export const opens = 'http://schema.org/opens' satisfies Property;

/**
 * operatingSystem
 *
 * Operating systems supported (Windows 7, OS X 10.6, Android 1.6).
 *
 * http://schema.org/operatingSystem
 */
export const operatingSystem = 'http://schema.org/operatingSystem' satisfies Property;

/**
 * opponent
 *
 * A sub property of participant. The opponent on this action.
 *
 * http://schema.org/opponent
 */
export const opponent = 'http://schema.org/opponent' satisfies Property;

/**
 * option
 *
 * A sub property of object. The options subject to this action.
 *
 * http://schema.org/option
 */
export const option = 'http://schema.org/option' satisfies Property;

/**
 * orderDate
 *
 * Date order was placed.
 *
 * http://schema.org/orderDate
 */
export const orderDate = 'http://schema.org/orderDate' satisfies Property;

/**
 * orderDelivery
 *
 * The delivery of the parcel related to this order or order item.
 *
 * http://schema.org/orderDelivery
 */
export const orderDelivery = 'http://schema.org/orderDelivery' satisfies Property;

/**
 * orderItemNumber
 *
 * The identifier of the order item.
 *
 * http://schema.org/orderItemNumber
 */
export const orderItemNumber = 'http://schema.org/orderItemNumber' satisfies Property;

/**
 * orderItemStatus
 *
 * The current status of the order item.
 *
 * http://schema.org/orderItemStatus
 */
export const orderItemStatus = 'http://schema.org/orderItemStatus' satisfies Property;

/**
 * orderNumber
 *
 * The identifier of the transaction.
 *
 * http://schema.org/orderNumber
 */
export const orderNumber = 'http://schema.org/orderNumber' satisfies Property;

/**
 * orderPercentage
 *
 * Fraction of the value of the order that is charged as shipping cost.
 *
 * http://schema.org/orderPercentage
 */
export const orderPercentage = 'http://schema.org/orderPercentage' satisfies Property;

/**
 * orderQuantity
 *
 * The number of the item ordered. If the property is not set, assume the quantity is one.
 *
 * http://schema.org/orderQuantity
 */
export const orderQuantity = 'http://schema.org/orderQuantity' satisfies Property;

/**
 * orderStatus
 *
 * The current status of the order.
 *
 * http://schema.org/orderStatus
 */
export const orderStatus = 'http://schema.org/orderStatus' satisfies Property;

/**
 * orderValue
 *
 * Minimum and maximum order value for which these shipping conditions are valid.
 *
 * http://schema.org/orderValue
 */
export const orderValue = 'http://schema.org/orderValue' satisfies Property;

/**
 * orderedItem
 *
 * The item ordered.
 *
 * http://schema.org/orderedItem
 */
export const orderedItem = 'http://schema.org/orderedItem' satisfies Property;

/**
 * organizer
 *
 * An organizer of an Event.
 *
 * http://schema.org/organizer
 */
export const organizer = 'http://schema.org/organizer' satisfies Property;

/**
 * originAddress
 *
 * Shipper's address.
 *
 * http://schema.org/originAddress
 */
export const originAddress = 'http://schema.org/originAddress' satisfies Property;

/**
 * originalMediaContextDescription
 *
 * Describes, in a [[MediaReview]] when dealing with [[DecontextualizedContent]], background information that can contribute to better interpretation of the [[MediaObject]].
 *
 * http://schema.org/originalMediaContextDescription
 */
export const originalMediaContextDescription = 'http://schema.org/originalMediaContextDescription' satisfies Property;

/**
 * originalMediaLink
 *
 * Link to the page containing an original version of the content, or directly to an online copy of the original [[MediaObject]] content, e.g. video file.
 *
 * http://schema.org/originalMediaLink
 */
export const originalMediaLink = 'http://schema.org/originalMediaLink' satisfies Property;

/**
 * originatesFrom
 *
 * The vasculature the lymphatic structure originates, or afferents, from.
 *
 * http://schema.org/originatesFrom
 */
export const originatesFrom = 'http://schema.org/originatesFrom' satisfies Property;

/**
 * overdosage
 *
 * Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.
 *
 * http://schema.org/overdosage
 */
export const overdosage = 'http://schema.org/overdosage' satisfies Property;

/**
 * ownedFrom
 *
 * The date and time of obtaining the product.
 *
 * http://schema.org/ownedFrom
 */
export const ownedFrom = 'http://schema.org/ownedFrom' satisfies Property;

/**
 * ownedThrough
 *
 * The date and time of giving up ownership on the product.
 *
 * http://schema.org/ownedThrough
 */
export const ownedThrough = 'http://schema.org/ownedThrough' satisfies Property;

/**
 * ownershipFundingInfo
 *
 * For an [[Organization]] (often but not necessarily a [[NewsMediaOrganization]]), a description of organizational ownership structure; funding and grants. In a news/media setting, this is with particular reference to editorial independence.   Note that the [[funder]] is also available and can be used to make basic funder information machine-readable.
 *
 * http://schema.org/ownershipFundingInfo
 */
export const ownershipFundingInfo = 'http://schema.org/ownershipFundingInfo' satisfies Property;

/**
 * owns
 *
 * Products owned by the organization or person.
 *
 * http://schema.org/owns
 */
export const owns = 'http://schema.org/owns' satisfies Property;

/**
 * pageEnd
 *
 * The page on which the work ends; for example "138" or "xvi".
 *
 * http://schema.org/pageEnd
 */
export const pageEnd = 'http://schema.org/pageEnd' satisfies Property;

/**
 * pageStart
 *
 * The page on which the work starts; for example "135" or "xiii".
 *
 * http://schema.org/pageStart
 */
export const pageStart = 'http://schema.org/pageStart' satisfies Property;

/**
 * pagination
 *
 * Any description of pages that is not separated into pageStart and pageEnd; for example, "1-6, 9, 55" or "10-12, 46-49".
 *
 * http://schema.org/pagination
 */
export const pagination = 'http://schema.org/pagination' satisfies Property;

/**
 * parentItem
 *
 * The parent of a question, answer or item in general. Typically used for Q/A discussion threads e.g. a chain of comments with the first comment being an [[Article]] or other [[CreativeWork]]. See also [[comment]] which points from something to a comment about it.
 *
 * http://schema.org/parentItem
 */
export const parentItem = 'http://schema.org/parentItem' satisfies Property;

/**
 * parentService
 *
 * A broadcast service to which the broadcast service may belong to such as regional variations of a national channel.
 *
 * http://schema.org/parentService
 */
export const parentService = 'http://schema.org/parentService' satisfies Property;

/**
 * parents
 *
 * A parents of the person.
 *
 * http://schema.org/parents
 */
export const parents = 'http://schema.org/parents' satisfies Property;

/**
 * partOfEpisode
 *
 * The episode to which this clip belongs.
 *
 * http://schema.org/partOfEpisode
 */
export const partOfEpisode = 'http://schema.org/partOfEpisode' satisfies Property;

/**
 * partOfInvoice
 *
 * The order is being paid as part of the referenced Invoice.
 *
 * http://schema.org/partOfInvoice
 */
export const partOfInvoice = 'http://schema.org/partOfInvoice' satisfies Property;

/**
 * partOfOrder
 *
 * The overall order the items in this delivery were included in.
 *
 * http://schema.org/partOfOrder
 */
export const partOfOrder = 'http://schema.org/partOfOrder' satisfies Property;

/**
 * partOfSeason
 *
 * The season to which this episode belongs.
 *
 * http://schema.org/partOfSeason
 */
export const partOfSeason = 'http://schema.org/partOfSeason' satisfies Property;

/**
 * partOfSystem
 *
 * The anatomical or organ system that this structure is part of.
 *
 * http://schema.org/partOfSystem
 */
export const partOfSystem = 'http://schema.org/partOfSystem' satisfies Property;

/**
 * partOfTVSeries
 *
 * The TV series to which this episode or season belongs.
 *
 * http://schema.org/partOfTVSeries
 */
export const partOfTVSeries = 'http://schema.org/partOfTVSeries' satisfies Property;

/**
 * partySize
 *
 * Number of people the reservation should accommodate.
 *
 * http://schema.org/partySize
 */
export const partySize = 'http://schema.org/partySize' satisfies Property;

/**
 * passengerPriorityStatus
 *
 * The priority status assigned to a passenger for security or boarding (e.g. FastTrack or Priority).
 *
 * http://schema.org/passengerPriorityStatus
 */
export const passengerPriorityStatus = 'http://schema.org/passengerPriorityStatus' satisfies Property;

/**
 * passengerSequenceNumber
 *
 * The passenger's sequence number as assigned by the airline.
 *
 * http://schema.org/passengerSequenceNumber
 */
export const passengerSequenceNumber = 'http://schema.org/passengerSequenceNumber' satisfies Property;

/**
 * pathophysiology
 *
 * Changes in the normal mechanical, physical, and biochemical functions that are associated with this activity or condition.
 *
 * http://schema.org/pathophysiology
 */
export const pathophysiology = 'http://schema.org/pathophysiology' satisfies Property;

/**
 * pattern
 *
 * A pattern that something has, for example 'polka dot', 'striped', 'Canadian flag'. Values are typically expressed as text, although links to controlled value schemes are also supported.
 *
 * http://schema.org/pattern
 */
export const pattern = 'http://schema.org/pattern' satisfies Property;

/**
 * payload
 *
 * The permitted weight of passengers and cargo, EXCLUDING the weight of the empty vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: Many databases specify the permitted TOTAL weight instead, which is the sum of [[weight]] and [[payload]]\n* Note 2: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 3: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 4: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/payload
 */
export const payload = 'http://schema.org/payload' satisfies Property;

/**
 * paymentAccepted
 *
 * Cash, Credit Card, Cryptocurrency, Local Exchange Tradings System, etc.
 *
 * http://schema.org/paymentAccepted
 */
export const paymentAccepted = 'http://schema.org/paymentAccepted' satisfies Property;

/**
 * paymentDue
 *
 * The date that payment is due.
 *
 * http://schema.org/paymentDue
 */
export const paymentDue = 'http://schema.org/paymentDue' satisfies Property;

/**
 * paymentMethod
 *
 * The name of the credit card or other method of payment for the order.
 *
 * http://schema.org/paymentMethod
 */
export const paymentMethod = 'http://schema.org/paymentMethod' satisfies Property;

/**
 * paymentMethodId
 *
 * An identifier for the method of payment used (e.g. the last 4 digits of the credit card).
 *
 * http://schema.org/paymentMethodId
 */
export const paymentMethodId = 'http://schema.org/paymentMethodId' satisfies Property;

/**
 * paymentMethodType
 *
 * The type of a payment method.
 *
 * http://schema.org/paymentMethodType
 */
export const paymentMethodType = 'http://schema.org/paymentMethodType' satisfies Property;

/**
 * paymentStatus
 *
 * The status of payment; whether the invoice has been paid or not.
 *
 * http://schema.org/paymentStatus
 */
export const paymentStatus = 'http://schema.org/paymentStatus' satisfies Property;

/**
 * paymentUrl
 *
 * The URL for sending a payment.
 *
 * http://schema.org/paymentUrl
 */
export const paymentUrl = 'http://schema.org/paymentUrl' satisfies Property;

/**
 * penciler
 *
 * The individual who draws the primary narrative artwork.
 *
 * http://schema.org/penciler
 */
export const penciler = 'http://schema.org/penciler' satisfies Property;

/**
 * percentile10
 *
 * The 10th percentile value.
 *
 * http://schema.org/percentile10
 */
export const percentile10 = 'http://schema.org/percentile10' satisfies Property;

/**
 * percentile25
 *
 * The 25th percentile value.
 *
 * http://schema.org/percentile25
 */
export const percentile25 = 'http://schema.org/percentile25' satisfies Property;

/**
 * percentile75
 *
 * The 75th percentile value.
 *
 * http://schema.org/percentile75
 */
export const percentile75 = 'http://schema.org/percentile75' satisfies Property;

/**
 * percentile90
 *
 * The 90th percentile value.
 *
 * http://schema.org/percentile90
 */
export const percentile90 = 'http://schema.org/percentile90' satisfies Property;

/**
 * performerIn
 *
 * Event that this person is a performer or participant in.
 *
 * http://schema.org/performerIn
 */
export const performerIn = 'http://schema.org/performerIn' satisfies Property;

/**
 * performers
 *
 * The main performer or performers of the event&#x2014;for example, a presenter, musician, or actor.
 *
 * http://schema.org/performers
 */
export const performers = 'http://schema.org/performers' satisfies Property;

/**
 * permissionType
 *
 * The type of permission granted the person, organization, or audience.
 *
 * http://schema.org/permissionType
 */
export const permissionType = 'http://schema.org/permissionType' satisfies Property;

/**
 * permissions
 *
 * Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).
 *
 * http://schema.org/permissions
 */
export const permissions = 'http://schema.org/permissions' satisfies Property;

/**
 * permitAudience
 *
 * The target audience for this permit.
 *
 * http://schema.org/permitAudience
 */
export const permitAudience = 'http://schema.org/permitAudience' satisfies Property;

/**
 * permittedUsage
 *
 * Indications regarding the permitted usage of the accommodation.
 *
 * http://schema.org/permittedUsage
 */
export const permittedUsage = 'http://schema.org/permittedUsage' satisfies Property;

/**
 * petsAllowed
 *
 * Indicates whether pets are allowed to enter the accommodation or lodging business. More detailed information can be put in a text value.
 *
 * http://schema.org/petsAllowed
 */
export const petsAllowed = 'http://schema.org/petsAllowed' satisfies Property;

/**
 * phoneticText
 *
 * Representation of a text [[textValue]] using the specified [[speechToTextMarkup]]. For example the city name of Houston in IPA: /ˈhjuːstən/.
 *
 * http://schema.org/phoneticText
 */
export const phoneticText = 'http://schema.org/phoneticText' satisfies Property;

/**
 * photos
 *
 * Photographs of this place.
 *
 * http://schema.org/photos
 */
export const photos = 'http://schema.org/photos' satisfies Property;

/**
 * physicalRequirement
 *
 * A description of the types of physical activity associated with the job. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.
 *
 * http://schema.org/physicalRequirement
 */
export const physicalRequirement = 'http://schema.org/physicalRequirement' satisfies Property;

/**
 * physiologicalBenefits
 *
 * Specific physiologic benefits associated to the plan.
 *
 * http://schema.org/physiologicalBenefits
 */
export const physiologicalBenefits = 'http://schema.org/physiologicalBenefits' satisfies Property;

/**
 * pickupLocation
 *
 * Where a taxi will pick up a passenger or a rental car can be picked up.
 *
 * http://schema.org/pickupLocation
 */
export const pickupLocation = 'http://schema.org/pickupLocation' satisfies Property;

/**
 * pickupTime
 *
 * When a taxi will pick up a passenger or a rental car can be picked up.
 *
 * http://schema.org/pickupTime
 */
export const pickupTime = 'http://schema.org/pickupTime' satisfies Property;

/**
 * playMode
 *
 * Indicates whether this game is multi-player, co-op or single-player.  The game can be marked as multi-player, co-op and single-player at the same time.
 *
 * http://schema.org/playMode
 */
export const playMode = 'http://schema.org/playMode' satisfies Property;

/**
 * playerType
 *
 * Player type required&#x2014;for example, Flash or Silverlight.
 *
 * http://schema.org/playerType
 */
export const playerType = 'http://schema.org/playerType' satisfies Property;

/**
 * playersOnline
 *
 * Number of players on the server.
 *
 * http://schema.org/playersOnline
 */
export const playersOnline = 'http://schema.org/playersOnline' satisfies Property;

/**
 * polygon
 *
 * A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more space delimited points where the first and final points are identical.
 *
 * http://schema.org/polygon
 */
export const polygon = 'http://schema.org/polygon' satisfies Property;

/**
 * populationType
 *
 * Indicates the populationType common to all members of a [[StatisticalPopulation]] or all cases within the scope of a [[StatisticalVariable]].
 *
 * http://schema.org/populationType
 */
export const populationType = 'http://schema.org/populationType' satisfies Property;

/**
 * positiveNotes
 *
 * Provides positive considerations regarding something, for example product highlights or (alongside [[negativeNotes]]) pro/con lists for reviews.
 * 
 * In the case of a [[Review]], the property describes the [[itemReviewed]] from the perspective of the review; in the case of a [[Product]], the product itself is being described.
 * 
 * The property values can be expressed either as unstructured text (repeated as necessary), or if ordered, as a list (in which case the most positive is at the beginning of the list).
 *
 * http://schema.org/positiveNotes
 */
export const positiveNotes = 'http://schema.org/positiveNotes' satisfies Property;

/**
 * possibleComplication
 *
 * A possible unexpected and unfavorable evolution of a medical condition. Complications may include worsening of the signs or symptoms of the disease, extension of the condition to other organ systems, etc.
 *
 * http://schema.org/possibleComplication
 */
export const possibleComplication = 'http://schema.org/possibleComplication' satisfies Property;

/**
 * possibleTreatment
 *
 * A possible treatment to address this condition, sign or symptom.
 *
 * http://schema.org/possibleTreatment
 */
export const possibleTreatment = 'http://schema.org/possibleTreatment' satisfies Property;

/**
 * postOfficeBoxNumber
 *
 * The post office box number for PO box addresses.
 *
 * http://schema.org/postOfficeBoxNumber
 */
export const postOfficeBoxNumber = 'http://schema.org/postOfficeBoxNumber' satisfies Property;

/**
 * postOp
 *
 * A description of the postoperative procedures, care, and/or followups for this device.
 *
 * http://schema.org/postOp
 */
export const postOp = 'http://schema.org/postOp' satisfies Property;

/**
 * postalCode
 *
 * The postal code. For example, 94043.
 *
 * http://schema.org/postalCode
 */
export const postalCode = 'http://schema.org/postalCode' satisfies Property;

/**
 * postalCodeBegin
 *
 * First postal code in a range (included).
 *
 * http://schema.org/postalCodeBegin
 */
export const postalCodeBegin = 'http://schema.org/postalCodeBegin' satisfies Property;

/**
 * postalCodeEnd
 *
 * Last postal code in the range (included). Needs to be after [[postalCodeBegin]].
 *
 * http://schema.org/postalCodeEnd
 */
export const postalCodeEnd = 'http://schema.org/postalCodeEnd' satisfies Property;

/**
 * postalCodePrefix
 *
 * A defined range of postal codes indicated by a common textual prefix. Used for non-numeric systems such as UK.
 *
 * http://schema.org/postalCodePrefix
 */
export const postalCodePrefix = 'http://schema.org/postalCodePrefix' satisfies Property;

/**
 * postalCodeRange
 *
 * A defined range of postal codes.
 *
 * http://schema.org/postalCodeRange
 */
export const postalCodeRange = 'http://schema.org/postalCodeRange' satisfies Property;

/**
 * potentialAction
 *
 * Indicates a potential Action, which describes an idealized action in which this thing would play an 'object' role.
 *
 * http://schema.org/potentialAction
 */
export const potentialAction = 'http://schema.org/potentialAction' satisfies Property;

/**
 * potentialUse
 *
 * Intended use of the BioChemEntity by humans.
 *
 * http://schema.org/potentialUse
 */
export const potentialUse = 'http://schema.org/potentialUse' satisfies Property;

/**
 * practicesAt
 *
 * A [[MedicalOrganization]] where the [[IndividualPhysician]] practices.
 *
 * http://schema.org/practicesAt
 */
export const practicesAt = 'http://schema.org/practicesAt' satisfies Property;

/**
 * preOp
 *
 * A description of the workup, testing, and other preparations required before implanting this device.
 *
 * http://schema.org/preOp
 */
export const preOp = 'http://schema.org/preOp' satisfies Property;

/**
 * predecessorOf
 *
 * A pointer from a previous, often discontinued variant of the product to its newer variant.
 *
 * http://schema.org/predecessorOf
 */
export const predecessorOf = 'http://schema.org/predecessorOf' satisfies Property;

/**
 * pregnancyCategory
 *
 * Pregnancy category of this drug.
 *
 * http://schema.org/pregnancyCategory
 */
export const pregnancyCategory = 'http://schema.org/pregnancyCategory' satisfies Property;

/**
 * pregnancyWarning
 *
 * Any precaution, guidance, contraindication, etc. related to this drug's use during pregnancy.
 *
 * http://schema.org/pregnancyWarning
 */
export const pregnancyWarning = 'http://schema.org/pregnancyWarning' satisfies Property;

/**
 * prepTime
 *
 * The length of time it takes to prepare the items to be used in instructions or a direction, in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * http://schema.org/prepTime
 */
export const prepTime = 'http://schema.org/prepTime' satisfies Property;

/**
 * preparation
 *
 * Typical preparation that a patient must undergo before having the procedure performed.
 *
 * http://schema.org/preparation
 */
export const preparation = 'http://schema.org/preparation' satisfies Property;

/**
 * prescribingInfo
 *
 * Link to prescribing information for the drug.
 *
 * http://schema.org/prescribingInfo
 */
export const prescribingInfo = 'http://schema.org/prescribingInfo' satisfies Property;

/**
 * prescriptionStatus
 *
 * Indicates the status of drug prescription, e.g. local catalogs classifications or whether the drug is available by prescription or over-the-counter, etc.
 *
 * http://schema.org/prescriptionStatus
 */
export const prescriptionStatus = 'http://schema.org/prescriptionStatus' satisfies Property;

/**
 * previousItem
 *
 * A link to the ListItem that precedes the current one.
 *
 * http://schema.org/previousItem
 */
export const previousItem = 'http://schema.org/previousItem' satisfies Property;

/**
 * previousStartDate
 *
 * Used in conjunction with eventStatus for rescheduled or cancelled events. This property contains the previously scheduled start date. For rescheduled events, the startDate property should be used for the newly scheduled start date. In the (rare) case of an event that has been postponed and rescheduled multiple times, this field may be repeated.
 *
 * http://schema.org/previousStartDate
 */
export const previousStartDate = 'http://schema.org/previousStartDate' satisfies Property;

/**
 * price
 *
 * The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.\n\nUsage guidelines:\n\n* Use the [[priceCurrency]] property (with standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR") instead of including [ambiguous symbols](http://en.wikipedia.org/wiki/Dollar_sign#Currencies_that_use_the_dollar_or_peso_sign) such as '$' in the value.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.\n* Note that both [RDFa](http://www.w3.org/TR/xhtml-rdfa-primer/#using-the-content-attribute) and Microdata syntax allow the use of a "content=" attribute for publishing simple machine-readable values alongside more human-friendly formatting.\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.
 *       
 *
 * http://schema.org/price
 */
export const price = 'http://schema.org/price' satisfies Property;

/**
 * priceComponent
 *
 * This property links to all [[UnitPriceSpecification]] nodes that apply in parallel for the [[CompoundPriceSpecification]] node.
 *
 * http://schema.org/priceComponent
 */
export const priceComponent = 'http://schema.org/priceComponent' satisfies Property;

/**
 * priceComponentType
 *
 * Identifies a price component (for example, a line item on an invoice), part of the total price for an offer.
 *
 * http://schema.org/priceComponentType
 */
export const priceComponentType = 'http://schema.org/priceComponentType' satisfies Property;

/**
 * priceCurrency
 *
 * The currency of the price, or a price component when attached to [[PriceSpecification]] and its subtypes.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * http://schema.org/priceCurrency
 */
export const priceCurrency = 'http://schema.org/priceCurrency' satisfies Property;

/**
 * priceRange
 *
 * The price range of the business, for example ```$$$```.
 *
 * http://schema.org/priceRange
 */
export const priceRange = 'http://schema.org/priceRange' satisfies Property;

/**
 * priceSpecification
 *
 * One or more detailed price specifications, indicating the unit price and delivery or payment charges.
 *
 * http://schema.org/priceSpecification
 */
export const priceSpecification = 'http://schema.org/priceSpecification' satisfies Property;

/**
 * priceType
 *
 * Defines the type of a price specified for an offered product, for example a list price, a (temporary) sale price or a manufacturer suggested retail price. If multiple prices are specified for an offer the [[priceType]] property can be used to identify the type of each such specified price. The value of priceType can be specified as a value from enumeration PriceTypeEnumeration or as a free form text string for price types that are not already predefined in PriceTypeEnumeration.
 *
 * http://schema.org/priceType
 */
export const priceType = 'http://schema.org/priceType' satisfies Property;

/**
 * priceValidUntil
 *
 * The date after which the price is no longer available.
 *
 * http://schema.org/priceValidUntil
 */
export const priceValidUntil = 'http://schema.org/priceValidUntil' satisfies Property;

/**
 * primaryImageOfPage
 *
 * Indicates the main image on the page.
 *
 * http://schema.org/primaryImageOfPage
 */
export const primaryImageOfPage = 'http://schema.org/primaryImageOfPage' satisfies Property;

/**
 * primaryPrevention
 *
 * A preventative therapy used to prevent an initial occurrence of the medical condition, such as vaccination.
 *
 * http://schema.org/primaryPrevention
 */
export const primaryPrevention = 'http://schema.org/primaryPrevention' satisfies Property;

/**
 * printColumn
 *
 * The number of the column in which the NewsArticle appears in the print edition.
 *
 * http://schema.org/printColumn
 */
export const printColumn = 'http://schema.org/printColumn' satisfies Property;

/**
 * printEdition
 *
 * The edition of the print product in which the NewsArticle appears.
 *
 * http://schema.org/printEdition
 */
export const printEdition = 'http://schema.org/printEdition' satisfies Property;

/**
 * printPage
 *
 * If this NewsArticle appears in print, this field indicates the name of the page on which the article is found. Please note that this field is intended for the exact page name (e.g. A5, B18).
 *
 * http://schema.org/printPage
 */
export const printPage = 'http://schema.org/printPage' satisfies Property;

/**
 * printSection
 *
 * If this NewsArticle appears in print, this field indicates the print section in which the article appeared.
 *
 * http://schema.org/printSection
 */
export const printSection = 'http://schema.org/printSection' satisfies Property;

/**
 * procedure
 *
 * A description of the procedure involved in setting up, using, and/or installing the device.
 *
 * http://schema.org/procedure
 */
export const procedure = 'http://schema.org/procedure' satisfies Property;

/**
 * procedureType
 *
 * The type of procedure, for example Surgical, Noninvasive, or Percutaneous.
 *
 * http://schema.org/procedureType
 */
export const procedureType = 'http://schema.org/procedureType' satisfies Property;

/**
 * processingTime
 *
 * Estimated processing time for the service using this channel.
 *
 * http://schema.org/processingTime
 */
export const processingTime = 'http://schema.org/processingTime' satisfies Property;

/**
 * processorRequirements
 *
 * Processor architecture required to run the application (e.g. IA64).
 *
 * http://schema.org/processorRequirements
 */
export const processorRequirements = 'http://schema.org/processorRequirements' satisfies Property;

/**
 * producer
 *
 * The person or organization who produced the work (e.g. music album, movie, TV/radio series etc.).
 *
 * http://schema.org/producer
 */
export const producer = 'http://schema.org/producer' satisfies Property;

/**
 * produces
 *
 * The tangible thing generated by the service, e.g. a passport, permit, etc.
 *
 * http://schema.org/produces
 */
export const produces = 'http://schema.org/produces' satisfies Property;

/**
 * productGroupID
 *
 * Indicates a textual identifier for a ProductGroup.
 *
 * http://schema.org/productGroupID
 */
export const productGroupID = 'http://schema.org/productGroupID' satisfies Property;

/**
 * productID
 *
 * The product identifier, such as ISBN. For example: ``` meta itemprop="productID" content="isbn:123-456-789" ```.
 *
 * http://schema.org/productID
 */
export const productID = 'http://schema.org/productID' satisfies Property;

/**
 * productReturnDays
 *
 * The productReturnDays property indicates the number of days (from purchase) within which relevant product return policy is applicable.
 *
 * http://schema.org/productReturnDays
 */
export const productReturnDays = 'http://schema.org/productReturnDays' satisfies Property;

/**
 * productReturnLink
 *
 * Indicates a Web page or service by URL, for product return.
 *
 * http://schema.org/productReturnLink
 */
export const productReturnLink = 'http://schema.org/productReturnLink' satisfies Property;

/**
 * productSupported
 *
 * The product or service this support contact point is related to (such as product support for a particular product line). This can be a specific product or product line (e.g. "iPhone") or a general category of products or services (e.g. "smartphones").
 *
 * http://schema.org/productSupported
 */
export const productSupported = 'http://schema.org/productSupported' satisfies Property;

/**
 * productionCompany
 *
 * The production company or studio responsible for the item, e.g. series, video game, episode etc.
 *
 * http://schema.org/productionCompany
 */
export const productionCompany = 'http://schema.org/productionCompany' satisfies Property;

/**
 * productionDate
 *
 * The date of production of the item, e.g. vehicle.
 *
 * http://schema.org/productionDate
 */
export const productionDate = 'http://schema.org/productionDate' satisfies Property;

/**
 * proficiencyLevel
 *
 * Proficiency needed for this content; expected values: 'Beginner', 'Expert'.
 *
 * http://schema.org/proficiencyLevel
 */
export const proficiencyLevel = 'http://schema.org/proficiencyLevel' satisfies Property;

/**
 * program
 *
 * The [MemberProgram](http://schema.org/MemberProgram) associated with a [ProgramMembership](http://schema.org/ProgramMembership).
 *
 * http://schema.org/program
 */
export const program = 'http://schema.org/program' satisfies Property;

/**
 * programMembershipUsed
 *
 * Any membership in a frequent flyer, hotel loyalty program, etc. being applied to the reservation.
 *
 * http://schema.org/programMembershipUsed
 */
export const programMembershipUsed = 'http://schema.org/programMembershipUsed' satisfies Property;

/**
 * programName
 *
 * The program providing the membership. It is preferable to use [:program](http://schema.org/program) instead.
 *
 * http://schema.org/programName
 */
export const programName = 'http://schema.org/programName' satisfies Property;

/**
 * programPrerequisites
 *
 * Prerequisites for enrolling in the program.
 *
 * http://schema.org/programPrerequisites
 */
export const programPrerequisites = 'http://schema.org/programPrerequisites' satisfies Property;

/**
 * programType
 *
 * The type of educational or occupational program. For example, classroom, internship, alternance, etc.
 *
 * http://schema.org/programType
 */
export const programType = 'http://schema.org/programType' satisfies Property;

/**
 * programmingLanguage
 *
 * The computer programming language.
 *
 * http://schema.org/programmingLanguage
 */
export const programmingLanguage = 'http://schema.org/programmingLanguage' satisfies Property;

/**
 * programmingModel
 *
 * Indicates whether API is managed or unmanaged.
 *
 * http://schema.org/programmingModel
 */
export const programmingModel = 'http://schema.org/programmingModel' satisfies Property;

/**
 * pronouns
 *
 * A short string listing or describing pronouns for a person. Typically the person concerned is the best authority as pronouns are a critical part of personal identity and expression. Publishers and consumers of this information are reminded to treat this data responsibly, take country-specific laws related to gender expression into account, and be wary of out-of-date data and drawing unwarranted inferences about the person being described.
 * 
 * In English, formulations such as "they/them", "she/her", and "he/him" are commonly used online and can also be used here. We do not intend to enumerate all possible micro-syntaxes in all languages. More structured and well-defined external values for pronouns can be referenced using the [[StructuredValue]] or [[DefinedTerm]] values.
 * 
 *
 * http://schema.org/pronouns
 */
export const pronouns = 'http://schema.org/pronouns' satisfies Property;

/**
 * propertyID
 *
 * A commonly used identifier for the characteristic represented by the property, e.g. a manufacturer or a standard code for a property. propertyID can be
 * (1) a prefixed string, mainly meant to be used with standards for product properties; (2) a site-specific, non-prefixed string (e.g. the primary key of the property or the vendor-specific ID of the property), or (3)
 * a URL indicating the type of the property, either pointing to an external vocabulary, or a Web resource that describes the property (e.g. a glossary entry).
 * Standards bodies should promote a standard prefix for the identifiers of properties from their standards.
 *
 * http://schema.org/propertyID
 */
export const propertyID = 'http://schema.org/propertyID' satisfies Property;

/**
 * proprietaryName
 *
 * Proprietary name given to the diet plan, typically by its originator or creator.
 *
 * http://schema.org/proprietaryName
 */
export const proprietaryName = 'http://schema.org/proprietaryName' satisfies Property;

/**
 * proteinContent
 *
 * The number of grams of protein.
 *
 * http://schema.org/proteinContent
 */
export const proteinContent = 'http://schema.org/proteinContent' satisfies Property;

/**
 * providerMobility
 *
 * Indicates the mobility of a provided service (e.g. 'static', 'dynamic').
 *
 * http://schema.org/providerMobility
 */
export const providerMobility = 'http://schema.org/providerMobility' satisfies Property;

/**
 * providesService
 *
 * The service provided by this channel.
 *
 * http://schema.org/providesService
 */
export const providesService = 'http://schema.org/providesService' satisfies Property;

/**
 * publicAccess
 *
 * A flag to signal that the [[Place]] is open to public visitors.  If this property is omitted there is no assumed default boolean value.
 *
 * http://schema.org/publicAccess
 */
export const publicAccess = 'http://schema.org/publicAccess' satisfies Property;

/**
 * publicTransportClosuresInfo
 *
 * Information about public transport closures.
 *
 * http://schema.org/publicTransportClosuresInfo
 */
export const publicTransportClosuresInfo = 'http://schema.org/publicTransportClosuresInfo' satisfies Property;

/**
 * publication
 *
 * A publication event associated with the item.
 *
 * http://schema.org/publication
 */
export const publication = 'http://schema.org/publication' satisfies Property;

/**
 * publicationType
 *
 * The type of the medical article, taken from the US NLM MeSH publication type catalog. See also [MeSH documentation](http://www.nlm.nih.gov/mesh/pubtypes.html).
 *
 * http://schema.org/publicationType
 */
export const publicationType = 'http://schema.org/publicationType' satisfies Property;

/**
 * publishedBy
 *
 * An agent associated with the publication event.
 *
 * http://schema.org/publishedBy
 */
export const publishedBy = 'http://schema.org/publishedBy' satisfies Property;

/**
 * publishedOn
 *
 * A broadcast service associated with the publication event.
 *
 * http://schema.org/publishedOn
 */
export const publishedOn = 'http://schema.org/publishedOn' satisfies Property;

/**
 * publisher
 *
 * The publisher of the article in question.
 *
 * http://schema.org/publisher
 */
export const publisher = 'http://schema.org/publisher' satisfies Property;

/**
 * publisherImprint
 *
 * The publishing division which published the comic.
 *
 * http://schema.org/publisherImprint
 */
export const publisherImprint = 'http://schema.org/publisherImprint' satisfies Property;

/**
 * purchaseDate
 *
 * The date the item, e.g. vehicle, was purchased by the current owner.
 *
 * http://schema.org/purchaseDate
 */
export const purchaseDate = 'http://schema.org/purchaseDate' satisfies Property;

/**
 * purchasePriceLimit
 *
 * Optional. The maximum price the item can have and still qualify for this offer.
 *
 * http://schema.org/purchasePriceLimit
 */
export const purchasePriceLimit = 'http://schema.org/purchasePriceLimit' satisfies Property;

/**
 * purchaseType
 *
 * Optional. The type of purchase the consumer must make in order to qualify for this incentive.
 *
 * http://schema.org/purchaseType
 */
export const purchaseType = 'http://schema.org/purchaseType' satisfies Property;

/**
 * qualifications
 *
 * Specific qualifications required for this role or Occupation.
 *
 * http://schema.org/qualifications
 */
export const qualifications = 'http://schema.org/qualifications' satisfies Property;

/**
 * qualifiedExpense
 *
 * Optional. The types of expenses that are covered by the incentive. For example some incentives are only for the goods (tangible items) but the services (labor) are excluded.
 *
 * http://schema.org/qualifiedExpense
 */
export const qualifiedExpense = 'http://schema.org/qualifiedExpense' satisfies Property;

/**
 * quarantineGuidelines
 *
 * Guidelines about quarantine rules, e.g. in the context of a pandemic.
 *
 * http://schema.org/quarantineGuidelines
 */
export const quarantineGuidelines = 'http://schema.org/quarantineGuidelines' satisfies Property;

/**
 * query
 *
 * A sub property of instrument. The query used on this action.
 *
 * http://schema.org/query
 */
export const query = 'http://schema.org/query' satisfies Property;

/**
 * quest
 *
 * The task that a player-controlled character, or group of characters may complete in order to gain a reward.
 *
 * http://schema.org/quest
 */
export const quest = 'http://schema.org/quest' satisfies Property;

/**
 * question
 *
 * A sub property of object. A question.
 *
 * http://schema.org/question
 */
export const question = 'http://schema.org/question' satisfies Property;

/**
 * rangeIncludes
 *
 * Relates a property to a class that constitutes (one of) the expected type(s) for values of the property.
 *
 * http://schema.org/rangeIncludes
 */
export const rangeIncludes = 'http://schema.org/rangeIncludes' satisfies Property;

/**
 * ratingCount
 *
 * The count of total number of ratings.
 *
 * http://schema.org/ratingCount
 */
export const ratingCount = 'http://schema.org/ratingCount' satisfies Property;

/**
 * ratingExplanation
 *
 * A short explanation (e.g. one to two sentences) providing background context and other information that led to the conclusion expressed in the rating. This is particularly applicable to ratings associated with "fact check" markup using [[ClaimReview]].
 *
 * http://schema.org/ratingExplanation
 */
export const ratingExplanation = 'http://schema.org/ratingExplanation' satisfies Property;

/**
 * ratingValue
 *
 * The rating for the content.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * http://schema.org/ratingValue
 */
export const ratingValue = 'http://schema.org/ratingValue' satisfies Property;

/**
 * readBy
 *
 * A person who reads (performs) the audiobook.
 *
 * http://schema.org/readBy
 */
export const readBy = 'http://schema.org/readBy' satisfies Property;

/**
 * readonlyValue
 *
 * Whether or not a property is mutable.  Default is false. Specifying this for a property that also has a value makes it act similar to a "hidden" input in an HTML form.
 *
 * http://schema.org/readonlyValue
 */
export const readonlyValue = 'http://schema.org/readonlyValue' satisfies Property;

/**
 * realEstateAgent
 *
 * A sub property of participant. The real estate agent involved in the action.
 *
 * http://schema.org/realEstateAgent
 */
export const realEstateAgent = 'http://schema.org/realEstateAgent' satisfies Property;

/**
 * recipe
 *
 * A sub property of instrument. The recipe/instructions used to perform the action.
 *
 * http://schema.org/recipe
 */
export const recipe = 'http://schema.org/recipe' satisfies Property;

/**
 * recipeCategory
 *
 * The category of the recipe—for example, appetizer, entree, etc.
 *
 * http://schema.org/recipeCategory
 */
export const recipeCategory = 'http://schema.org/recipeCategory' satisfies Property;

/**
 * recipeCuisine
 *
 * The cuisine of the recipe (for example, French or Ethiopian).
 *
 * http://schema.org/recipeCuisine
 */
export const recipeCuisine = 'http://schema.org/recipeCuisine' satisfies Property;

/**
 * recipeInstructions
 *
 * A step in making the recipe, in the form of a single item (document, video, etc.) or an ordered list with HowToStep and/or HowToSection items.
 *
 * http://schema.org/recipeInstructions
 */
export const recipeInstructions = 'http://schema.org/recipeInstructions' satisfies Property;

/**
 * recipeYield
 *
 * The quantity produced by the recipe (for example, number of people served, number of servings, etc).
 *
 * http://schema.org/recipeYield
 */
export const recipeYield = 'http://schema.org/recipeYield' satisfies Property;

/**
 * recognizedBy
 *
 * An organization that acknowledges the validity, value or utility of a credential. Note: recognition may include a process of quality assurance or accreditation.
 *
 * http://schema.org/recognizedBy
 */
export const recognizedBy = 'http://schema.org/recognizedBy' satisfies Property;

/**
 * recognizingAuthority
 *
 * If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.
 *
 * http://schema.org/recognizingAuthority
 */
export const recognizingAuthority = 'http://schema.org/recognizingAuthority' satisfies Property;

/**
 * recommendationStrength
 *
 * Strength of the guideline's recommendation (e.g. 'class I').
 *
 * http://schema.org/recommendationStrength
 */
export const recommendationStrength = 'http://schema.org/recommendationStrength' satisfies Property;

/**
 * recommendedIntake
 *
 * Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 * http://schema.org/recommendedIntake
 */
export const recommendedIntake = 'http://schema.org/recommendedIntake' satisfies Property;

/**
 * recordLabel
 *
 * The label that issued the release.
 *
 * http://schema.org/recordLabel
 */
export const recordLabel = 'http://schema.org/recordLabel' satisfies Property;

/**
 * recourseLoan
 *
 * The only way you get the money back in the event of default is the security. Recourse is where you still have the opportunity to go back to the borrower for the rest of the money.
 *
 * http://schema.org/recourseLoan
 */
export const recourseLoan = 'http://schema.org/recourseLoan' satisfies Property;

/**
 * referee
 *
 * An official who watches a game or match closely to enforce the rules and arbitrate on matters arising from the play such as referees, umpires or judges. The name of the effective function can vary according to the sport.
 *
 * http://schema.org/referee
 */
export const referee = 'http://schema.org/referee' satisfies Property;

/**
 * referenceQuantity
 *
 * The reference quantity for which a certain price applies, e.g. 1 EUR per 4 kWh of electricity. This property is a replacement for unitOfMeasurement for the advanced cases where the price does not relate to a standard unit.
 *
 * http://schema.org/referenceQuantity
 */
export const referenceQuantity = 'http://schema.org/referenceQuantity' satisfies Property;

/**
 * referencesOrder
 *
 * The Order(s) related to this Invoice. One or more Orders may be combined into a single Invoice.
 *
 * http://schema.org/referencesOrder
 */
export const referencesOrder = 'http://schema.org/referencesOrder' satisfies Property;

/**
 * refundType
 *
 * A refund type, from an enumerated list.
 *
 * http://schema.org/refundType
 */
export const refundType = 'http://schema.org/refundType' satisfies Property;

/**
 * regionDrained
 *
 * The anatomical or organ system drained by this vessel; generally refers to a specific part of an organ.
 *
 * http://schema.org/regionDrained
 */
export const regionDrained = 'http://schema.org/regionDrained' satisfies Property;

/**
 * regionsAllowed
 *
 * The regions where the media is allowed. If not specified, then it's assumed to be allowed everywhere. Specify the countries in [ISO 3166 format](http://en.wikipedia.org/wiki/ISO_3166).
 *
 * http://schema.org/regionsAllowed
 */
export const regionsAllowed = 'http://schema.org/regionsAllowed' satisfies Property;

/**
 * relatedAnatomy
 *
 * Anatomical systems or structures that relate to the superficial anatomy.
 *
 * http://schema.org/relatedAnatomy
 */
export const relatedAnatomy = 'http://schema.org/relatedAnatomy' satisfies Property;

/**
 * relatedCondition
 *
 * A medical condition associated with this anatomy.
 *
 * http://schema.org/relatedCondition
 */
export const relatedCondition = 'http://schema.org/relatedCondition' satisfies Property;

/**
 * relatedDrug
 *
 * Any other drug related to this one, for example commonly-prescribed alternatives.
 *
 * http://schema.org/relatedDrug
 */
export const relatedDrug = 'http://schema.org/relatedDrug' satisfies Property;

/**
 * relatedLink
 *
 * A link related to this web page, for example to other related web pages.
 *
 * http://schema.org/relatedLink
 */
export const relatedLink = 'http://schema.org/relatedLink' satisfies Property;

/**
 * relatedStructure
 *
 * Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.
 *
 * http://schema.org/relatedStructure
 */
export const relatedStructure = 'http://schema.org/relatedStructure' satisfies Property;

/**
 * relatedTherapy
 *
 * A medical therapy related to this anatomy.
 *
 * http://schema.org/relatedTherapy
 */
export const relatedTherapy = 'http://schema.org/relatedTherapy' satisfies Property;

/**
 * relatedTo
 *
 * The most generic familial relation.
 *
 * http://schema.org/relatedTo
 */
export const relatedTo = 'http://schema.org/relatedTo' satisfies Property;

/**
 * releaseDate
 *
 * The release date of a product or product model. This can be used to distinguish the exact variant of a product.
 *
 * http://schema.org/releaseDate
 */
export const releaseDate = 'http://schema.org/releaseDate' satisfies Property;

/**
 * releaseNotes
 *
 * Description of what changed in this version.
 *
 * http://schema.org/releaseNotes
 */
export const releaseNotes = 'http://schema.org/releaseNotes' satisfies Property;

/**
 * releasedEvent
 *
 * The place and time the release was issued, expressed as a PublicationEvent.
 *
 * http://schema.org/releasedEvent
 */
export const releasedEvent = 'http://schema.org/releasedEvent' satisfies Property;

/**
 * relevantOccupation
 *
 * The Occupation for the JobPosting.
 *
 * http://schema.org/relevantOccupation
 */
export const relevantOccupation = 'http://schema.org/relevantOccupation' satisfies Property;

/**
 * relevantSpecialty
 *
 * If applicable, a medical specialty in which this entity is relevant.
 *
 * http://schema.org/relevantSpecialty
 */
export const relevantSpecialty = 'http://schema.org/relevantSpecialty' satisfies Property;

/**
 * remainingAttendeeCapacity
 *
 * The number of attendee places for an event that remain unallocated.
 *
 * http://schema.org/remainingAttendeeCapacity
 */
export const remainingAttendeeCapacity = 'http://schema.org/remainingAttendeeCapacity' satisfies Property;

/**
 * renegotiableLoan
 *
 * Whether the terms for payment of interest can be renegotiated during the life of the loan.
 *
 * http://schema.org/renegotiableLoan
 */
export const renegotiableLoan = 'http://schema.org/renegotiableLoan' satisfies Property;

/**
 * repeatCount
 *
 * Defines the number of times a recurring [[Event]] will take place.
 *
 * http://schema.org/repeatCount
 */
export const repeatCount = 'http://schema.org/repeatCount' satisfies Property;

/**
 * repeatFrequency
 *
 * Defines the frequency at which [[Event]]s will occur according to a schedule [[Schedule]]. The intervals between
 *       events should be defined as a [[Duration]] of time.
 *
 * http://schema.org/repeatFrequency
 */
export const repeatFrequency = 'http://schema.org/repeatFrequency' satisfies Property;

/**
 * repetitions
 *
 * Number of times one should repeat the activity.
 *
 * http://schema.org/repetitions
 */
export const repetitions = 'http://schema.org/repetitions' satisfies Property;

/**
 * replacee
 *
 * A sub property of object. The object that is being replaced.
 *
 * http://schema.org/replacee
 */
export const replacee = 'http://schema.org/replacee' satisfies Property;

/**
 * replacer
 *
 * A sub property of object. The object that replaces.
 *
 * http://schema.org/replacer
 */
export const replacer = 'http://schema.org/replacer' satisfies Property;

/**
 * replyToUrl
 *
 * The URL at which a reply may be posted to the specified UserComment.
 *
 * http://schema.org/replyToUrl
 */
export const replyToUrl = 'http://schema.org/replyToUrl' satisfies Property;

/**
 * reportNumber
 *
 * The number or other unique designator assigned to a Report by the publishing organization.
 *
 * http://schema.org/reportNumber
 */
export const reportNumber = 'http://schema.org/reportNumber' satisfies Property;

/**
 * representativeOfPage
 *
 * Indicates whether this image is representative of the content of the page.
 *
 * http://schema.org/representativeOfPage
 */
export const representativeOfPage = 'http://schema.org/representativeOfPage' satisfies Property;

/**
 * requiredCollateral
 *
 * Assets required to secure loan or credit repayments. It may take form of third party pledge, goods, financial instruments (cash, securities, etc.)
 *
 * http://schema.org/requiredCollateral
 */
export const requiredCollateral = 'http://schema.org/requiredCollateral' satisfies Property;

/**
 * requiredGender
 *
 * Audiences defined by a person's gender.
 *
 * http://schema.org/requiredGender
 */
export const requiredGender = 'http://schema.org/requiredGender' satisfies Property;

/**
 * requiredMaxAge
 *
 * Audiences defined by a person's maximum age.
 *
 * http://schema.org/requiredMaxAge
 */
export const requiredMaxAge = 'http://schema.org/requiredMaxAge' satisfies Property;

/**
 * requiredMinAge
 *
 * Audiences defined by a person's minimum age.
 *
 * http://schema.org/requiredMinAge
 */
export const requiredMinAge = 'http://schema.org/requiredMinAge' satisfies Property;

/**
 * requiredQuantity
 *
 * The required quantity of the item(s).
 *
 * http://schema.org/requiredQuantity
 */
export const requiredQuantity = 'http://schema.org/requiredQuantity' satisfies Property;

/**
 * requirements
 *
 * Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (examples: DirectX, Java or .NET runtime).
 *
 * http://schema.org/requirements
 */
export const requirements = 'http://schema.org/requirements' satisfies Property;

/**
 * requiresSubscription
 *
 * Indicates if use of the media require a subscription  (either paid or free). Allowed values are ```true``` or ```false``` (note that an earlier version had 'yes', 'no').
 *
 * http://schema.org/requiresSubscription
 */
export const requiresSubscription = 'http://schema.org/requiresSubscription' satisfies Property;

/**
 * reservationFor
 *
 * The thing -- flight, event, restaurant, etc. being reserved.
 *
 * http://schema.org/reservationFor
 */
export const reservationFor = 'http://schema.org/reservationFor' satisfies Property;

/**
 * reservationId
 *
 * A unique identifier for the reservation.
 *
 * http://schema.org/reservationId
 */
export const reservationId = 'http://schema.org/reservationId' satisfies Property;

/**
 * reservationStatus
 *
 * The current status of the reservation.
 *
 * http://schema.org/reservationStatus
 */
export const reservationStatus = 'http://schema.org/reservationStatus' satisfies Property;

/**
 * reservedTicket
 *
 * A ticket associated with the reservation.
 *
 * http://schema.org/reservedTicket
 */
export const reservedTicket = 'http://schema.org/reservedTicket' satisfies Property;

/**
 * responsibilities
 *
 * Responsibilities associated with this role or Occupation.
 *
 * http://schema.org/responsibilities
 */
export const responsibilities = 'http://schema.org/responsibilities' satisfies Property;

/**
 * restPeriods
 *
 * How often one should break from the activity.
 *
 * http://schema.org/restPeriods
 */
export const restPeriods = 'http://schema.org/restPeriods' satisfies Property;

/**
 * restockingFee
 *
 * Use [[MonetaryAmount]] to specify a fixed restocking fee for product returns, or use [[Number]] to specify a percentage of the product price paid by the customer.
 *
 * http://schema.org/restockingFee
 */
export const restockingFee = 'http://schema.org/restockingFee' satisfies Property;

/**
 * resultComment
 *
 * A sub property of result. The Comment created or sent as a result of this action.
 *
 * http://schema.org/resultComment
 */
export const resultComment = 'http://schema.org/resultComment' satisfies Property;

/**
 * resultReview
 *
 * A sub property of result. The review that resulted in the performing of the action.
 *
 * http://schema.org/resultReview
 */
export const resultReview = 'http://schema.org/resultReview' satisfies Property;

/**
 * returnFees
 *
 * The type of return fees for purchased products (for any return reason).
 *
 * http://schema.org/returnFees
 */
export const returnFees = 'http://schema.org/returnFees' satisfies Property;

/**
 * returnLabelSource
 *
 * The method (from an enumeration) by which the customer obtains a return shipping label for a product returned for any reason.
 *
 * http://schema.org/returnLabelSource
 */
export const returnLabelSource = 'http://schema.org/returnLabelSource' satisfies Property;

/**
 * returnMethod
 *
 * The type of return method offered, specified from an enumeration.
 *
 * http://schema.org/returnMethod
 */
export const returnMethod = 'http://schema.org/returnMethod' satisfies Property;

/**
 * returnPolicyCategory
 *
 * Specifies an applicable return policy (from an enumeration).
 *
 * http://schema.org/returnPolicyCategory
 */
export const returnPolicyCategory = 'http://schema.org/returnPolicyCategory' satisfies Property;

/**
 * returnPolicyCountry
 *
 * The country where the product has to be sent to for returns, for example "Ireland" using the [[name]] property of [[Country]]. You can also provide the two-letter [ISO 3166-1 alpha-2 country code](http://en.wikipedia.org/wiki/ISO_3166-1). Note that this can be different from the country where the product was originally shipped from or sent to.
 *
 * http://schema.org/returnPolicyCountry
 */
export const returnPolicyCountry = 'http://schema.org/returnPolicyCountry' satisfies Property;

/**
 * returnPolicySeasonalOverride
 *
 * Seasonal override of a return policy.
 *
 * http://schema.org/returnPolicySeasonalOverride
 */
export const returnPolicySeasonalOverride = 'http://schema.org/returnPolicySeasonalOverride' satisfies Property;

/**
 * returnShippingFeesAmount
 *
 * Amount of shipping costs for product returns (for any reason). Applicable when property [[returnFees]] equals [[ReturnShippingFees]].
 *
 * http://schema.org/returnShippingFeesAmount
 */
export const returnShippingFeesAmount = 'http://schema.org/returnShippingFeesAmount' satisfies Property;

/**
 * reviewAspect
 *
 * This Review or Rating is relevant to this part or facet of the itemReviewed.
 *
 * http://schema.org/reviewAspect
 */
export const reviewAspect = 'http://schema.org/reviewAspect' satisfies Property;

/**
 * reviewBody
 *
 * The actual body of the review.
 *
 * http://schema.org/reviewBody
 */
export const reviewBody = 'http://schema.org/reviewBody' satisfies Property;

/**
 * reviewCount
 *
 * The count of total number of reviews.
 *
 * http://schema.org/reviewCount
 */
export const reviewCount = 'http://schema.org/reviewCount' satisfies Property;

/**
 * reviewRating
 *
 * The rating given in this review. Note that reviews can themselves be rated. The ```reviewRating``` applies to rating given by the review. The [[aggregateRating]] property applies to the review itself, as a creative work.
 *
 * http://schema.org/reviewRating
 */
export const reviewRating = 'http://schema.org/reviewRating' satisfies Property;

/**
 * reviewedBy
 *
 * People or organizations that have reviewed the content on this web page for accuracy and/or completeness.
 *
 * http://schema.org/reviewedBy
 */
export const reviewedBy = 'http://schema.org/reviewedBy' satisfies Property;

/**
 * reviews
 *
 * Review of the item.
 *
 * http://schema.org/reviews
 */
export const reviews = 'http://schema.org/reviews' satisfies Property;

/**
 * riskFactor
 *
 * A modifiable or non-modifiable factor that increases the risk of a patient contracting this condition, e.g. age,  coexisting condition.
 *
 * http://schema.org/riskFactor
 */
export const riskFactor = 'http://schema.org/riskFactor' satisfies Property;

/**
 * risks
 *
 * Specific physiologic risks associated to the diet plan.
 *
 * http://schema.org/risks
 */
export const risks = 'http://schema.org/risks' satisfies Property;

/**
 * roofLoad
 *
 * The permitted total weight of cargo and installations (e.g. a roof rack) on top of the vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]]\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/roofLoad
 */
export const roofLoad = 'http://schema.org/roofLoad' satisfies Property;

/**
 * rsvpResponse
 *
 * The response (yes, no, maybe) to the RSVP.
 *
 * http://schema.org/rsvpResponse
 */
export const rsvpResponse = 'http://schema.org/rsvpResponse' satisfies Property;

/**
 * runsTo
 *
 * The vasculature the lymphatic structure runs, or efferents, to.
 *
 * http://schema.org/runsTo
 */
export const runsTo = 'http://schema.org/runsTo' satisfies Property;

/**
 * runtime
 *
 * Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .NET Framework 3.0).
 *
 * http://schema.org/runtime
 */
export const runtime = 'http://schema.org/runtime' satisfies Property;

/**
 * rxcui
 *
 * The RxCUI drug identifier from RXNORM.
 *
 * http://schema.org/rxcui
 */
export const rxcui = 'http://schema.org/rxcui' satisfies Property;

/**
 * safetyConsideration
 *
 * Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.
 *
 * http://schema.org/safetyConsideration
 */
export const safetyConsideration = 'http://schema.org/safetyConsideration' satisfies Property;

/**
 * salaryCurrency
 *
 * The currency (coded using [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217)) used for the main salary information in this job posting or for this employee.
 *
 * http://schema.org/salaryCurrency
 */
export const salaryCurrency = 'http://schema.org/salaryCurrency' satisfies Property;

/**
 * salaryUponCompletion
 *
 * The expected salary upon completing the training.
 *
 * http://schema.org/salaryUponCompletion
 */
export const salaryUponCompletion = 'http://schema.org/salaryUponCompletion' satisfies Property;

/**
 * sameAs
 *
 * URL of a reference Web page that unambiguously indicates the item's identity. E.g. the URL of the item's Wikipedia page, Wikidata entry, or official website.
 *
 * http://schema.org/sameAs
 */
export const sameAs = 'http://schema.org/sameAs' satisfies Property;

/**
 * sampleType
 *
 * What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.
 *
 * http://schema.org/sampleType
 */
export const sampleType = 'http://schema.org/sampleType' satisfies Property;

/**
 * saturatedFatContent
 *
 * The number of grams of saturated fat.
 *
 * http://schema.org/saturatedFatContent
 */
export const saturatedFatContent = 'http://schema.org/saturatedFatContent' satisfies Property;

/**
 * scheduleTimezone
 *
 * Indicates the timezone for which the time(s) indicated in the [[Schedule]] are given. The value provided should be among those listed in the IANA Time Zone Database.
 *
 * http://schema.org/scheduleTimezone
 */
export const scheduleTimezone = 'http://schema.org/scheduleTimezone' satisfies Property;

/**
 * scheduledPaymentDate
 *
 * The date the invoice is scheduled to be paid.
 *
 * http://schema.org/scheduledPaymentDate
 */
export const scheduledPaymentDate = 'http://schema.org/scheduledPaymentDate' satisfies Property;

/**
 * scheduledTime
 *
 * The time the object is scheduled to.
 *
 * http://schema.org/scheduledTime
 */
export const scheduledTime = 'http://schema.org/scheduledTime' satisfies Property;

/**
 * schemaVersion
 *
 * Indicates (by URL or string) a particular version of a schema used in some CreativeWork. This property was created primarily to
 *     indicate the use of a specific schema.org release, e.g. ```10.0``` as a simple string, or more explicitly via URL, ```http://schema.org/docs/releases.html#v10.0```. There may be situations in which other schemas might usefully be referenced this way, e.g. ```http://dublincore.org/specifications/dublin-core/dces/1999-07-02/``` but this has not been carefully explored in the community.
 *
 * http://schema.org/schemaVersion
 */
export const schemaVersion = 'http://schema.org/schemaVersion' satisfies Property;

/**
 * schoolClosuresInfo
 *
 * Information about school closures.
 *
 * http://schema.org/schoolClosuresInfo
 */
export const schoolClosuresInfo = 'http://schema.org/schoolClosuresInfo' satisfies Property;

/**
 * screenCount
 *
 * The number of screens in the movie theater.
 *
 * http://schema.org/screenCount
 */
export const screenCount = 'http://schema.org/screenCount' satisfies Property;

/**
 * screenshot
 *
 * A link to a screenshot image of the app.
 *
 * http://schema.org/screenshot
 */
export const screenshot = 'http://schema.org/screenshot' satisfies Property;

/**
 * sdDatePublished
 *
 * Indicates the date on which the current structured data was generated / published. Typically used alongside [[sdPublisher]].
 *
 * http://schema.org/sdDatePublished
 */
export const sdDatePublished = 'http://schema.org/sdDatePublished' satisfies Property;

/**
 * sdLicense
 *
 * A license document that applies to this structured data, typically indicated by URL.
 *
 * http://schema.org/sdLicense
 */
export const sdLicense = 'http://schema.org/sdLicense' satisfies Property;

/**
 * sdPublisher
 *
 * Indicates the party responsible for generating and publishing the current structured data markup, typically in cases where the structured data is derived automatically from existing published content but published on a different site. For example, student projects and open data initiatives often re-publish existing content with more explicitly structured metadata. The
 * [[sdPublisher]] property helps make such practices more explicit.
 *
 * http://schema.org/sdPublisher
 */
export const sdPublisher = 'http://schema.org/sdPublisher' satisfies Property;

/**
 * seasonNumber
 *
 * Position of the season within an ordered group of seasons.
 *
 * http://schema.org/seasonNumber
 */
export const seasonNumber = 'http://schema.org/seasonNumber' satisfies Property;

/**
 * seasonalOverride
 *
 * Limited period during which these shipping conditions apply.
 *
 * http://schema.org/seasonalOverride
 */
export const seasonalOverride = 'http://schema.org/seasonalOverride' satisfies Property;

/**
 * seasons
 *
 * A season in a media series.
 *
 * http://schema.org/seasons
 */
export const seasons = 'http://schema.org/seasons' satisfies Property;

/**
 * seatNumber
 *
 * The location of the reserved seat (e.g., 27).
 *
 * http://schema.org/seatNumber
 */
export const seatNumber = 'http://schema.org/seatNumber' satisfies Property;

/**
 * seatRow
 *
 * The row location of the reserved seat (e.g., B).
 *
 * http://schema.org/seatRow
 */
export const seatRow = 'http://schema.org/seatRow' satisfies Property;

/**
 * seatSection
 *
 * The section location of the reserved seat (e.g. Orchestra).
 *
 * http://schema.org/seatSection
 */
export const seatSection = 'http://schema.org/seatSection' satisfies Property;

/**
 * seatingCapacity
 *
 * The number of persons that can be seated (e.g. in a vehicle), both in terms of the physical space available, and in terms of limitations set by law.\n\nTypical unit code(s): C62 for persons.
 *
 * http://schema.org/seatingCapacity
 */
export const seatingCapacity = 'http://schema.org/seatingCapacity' satisfies Property;

/**
 * seatingType
 *
 * The type/class of the seat.
 *
 * http://schema.org/seatingType
 */
export const seatingType = 'http://schema.org/seatingType' satisfies Property;

/**
 * secondaryPrevention
 *
 * A preventative therapy used to prevent reoccurrence of the medical condition after an initial episode of the condition.
 *
 * http://schema.org/secondaryPrevention
 */
export const secondaryPrevention = 'http://schema.org/secondaryPrevention' satisfies Property;

/**
 * securityClearanceRequirement
 *
 * A description of any security clearance requirements of the job.
 *
 * http://schema.org/securityClearanceRequirement
 */
export const securityClearanceRequirement = 'http://schema.org/securityClearanceRequirement' satisfies Property;

/**
 * securityScreening
 *
 * The type of security screening the passenger is subject to.
 *
 * http://schema.org/securityScreening
 */
export const securityScreening = 'http://schema.org/securityScreening' satisfies Property;

/**
 * seeks
 *
 * A pointer to products or services sought by the organization or person (demand).
 *
 * http://schema.org/seeks
 */
export const seeks = 'http://schema.org/seeks' satisfies Property;

/**
 * sender
 *
 * A sub property of participant. The participant who is at the sending end of the action.
 *
 * http://schema.org/sender
 */
export const sender = 'http://schema.org/sender' satisfies Property;

/**
 * sensoryRequirement
 *
 * A description of any sensory requirements and levels necessary to function on the job, including hearing and vision. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.
 *
 * http://schema.org/sensoryRequirement
 */
export const sensoryRequirement = 'http://schema.org/sensoryRequirement' satisfies Property;

/**
 * sensoryUnit
 *
 * The neurological pathway extension that inputs and sends information to the brain or spinal cord.
 *
 * http://schema.org/sensoryUnit
 */
export const sensoryUnit = 'http://schema.org/sensoryUnit' satisfies Property;

/**
 * seriousAdverseOutcome
 *
 * A possible serious complication and/or serious side effect of this therapy. Serious adverse outcomes include those that are life-threatening; result in death, disability, or permanent damage; require hospitalization or prolong existing hospitalization; cause congenital anomalies or birth defects; or jeopardize the patient and may require medical or surgical intervention to prevent one of the outcomes in this definition.
 *
 * http://schema.org/seriousAdverseOutcome
 */
export const seriousAdverseOutcome = 'http://schema.org/seriousAdverseOutcome' satisfies Property;

/**
 * serverStatus
 *
 * Status of a game server.
 *
 * http://schema.org/serverStatus
 */
export const serverStatus = 'http://schema.org/serverStatus' satisfies Property;

/**
 * servesCuisine
 *
 * The cuisine of the restaurant.
 *
 * http://schema.org/servesCuisine
 */
export const servesCuisine = 'http://schema.org/servesCuisine' satisfies Property;

/**
 * serviceAudience
 *
 * The audience eligible for this service.
 *
 * http://schema.org/serviceAudience
 */
export const serviceAudience = 'http://schema.org/serviceAudience' satisfies Property;

/**
 * serviceLocation
 *
 * The location (e.g. civic structure, local business, etc.) where a person can go to access the service.
 *
 * http://schema.org/serviceLocation
 */
export const serviceLocation = 'http://schema.org/serviceLocation' satisfies Property;

/**
 * serviceOperator
 *
 * The operating organization, if different from the provider.  This enables the representation of services that are provided by an organization, but operated by another organization like a subcontractor.
 *
 * http://schema.org/serviceOperator
 */
export const serviceOperator = 'http://schema.org/serviceOperator' satisfies Property;

/**
 * servicePhone
 *
 * The phone number to use to access the service.
 *
 * http://schema.org/servicePhone
 */
export const servicePhone = 'http://schema.org/servicePhone' satisfies Property;

/**
 * servicePostalAddress
 *
 * The address for accessing the service by mail.
 *
 * http://schema.org/servicePostalAddress
 */
export const servicePostalAddress = 'http://schema.org/servicePostalAddress' satisfies Property;

/**
 * serviceSmsNumber
 *
 * The number to access the service by text message.
 *
 * http://schema.org/serviceSmsNumber
 */
export const serviceSmsNumber = 'http://schema.org/serviceSmsNumber' satisfies Property;

/**
 * serviceType
 *
 * The type of service being offered, e.g. veterans' benefits, emergency relief, etc.
 *
 * http://schema.org/serviceType
 */
export const serviceType = 'http://schema.org/serviceType' satisfies Property;

/**
 * serviceUrl
 *
 * The website to access the service.
 *
 * http://schema.org/serviceUrl
 */
export const serviceUrl = 'http://schema.org/serviceUrl' satisfies Property;

/**
 * servingSize
 *
 * The serving size, in terms of the number of volume or mass.
 *
 * http://schema.org/servingSize
 */
export const servingSize = 'http://schema.org/servingSize' satisfies Property;

/**
 * sha256
 *
 * The [SHA-2](https://en.wikipedia.org/wiki/SHA-2) SHA256 hash of the content of the item. For example, a zero-length input has value 'e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855'.
 *
 * http://schema.org/sha256
 */
export const sha256 = 'http://schema.org/sha256' satisfies Property;

/**
 * sharedContent
 *
 * A CreativeWork such as an image, video, or audio clip shared as part of this posting.
 *
 * http://schema.org/sharedContent
 */
export const sharedContent = 'http://schema.org/sharedContent' satisfies Property;

/**
 * shippingConditions
 *
 * The conditions (constraints, price) applicable to the [[ShippingService]].
 *
 * http://schema.org/shippingConditions
 */
export const shippingConditions = 'http://schema.org/shippingConditions' satisfies Property;

/**
 * shippingDestination
 *
 * indicates (possibly multiple) shipping destinations. These can be defined in several ways, e.g. postalCode ranges.
 *
 * http://schema.org/shippingDestination
 */
export const shippingDestination = 'http://schema.org/shippingDestination' satisfies Property;

/**
 * shippingDetails
 *
 * Indicates information about the shipping policies and options associated with an [[Offer]].
 *
 * http://schema.org/shippingDetails
 */
export const shippingDetails = 'http://schema.org/shippingDetails' satisfies Property;

/**
 * shippingLabel
 *
 * Label to match an [[OfferShippingDetails]] with a [[ShippingRateSettings]] (within the context of a [[shippingSettingsLink]] cross-reference).
 *
 * http://schema.org/shippingLabel
 */
export const shippingLabel = 'http://schema.org/shippingLabel' satisfies Property;

/**
 * shippingOrigin
 *
 * Indicates the origin of a shipment, i.e. where it should be coming from.
 *
 * http://schema.org/shippingOrigin
 */
export const shippingOrigin = 'http://schema.org/shippingOrigin' satisfies Property;

/**
 * shippingRate
 *
 * The shipping rate is the cost of shipping to the specified destination. Typically, the maxValue and currency values (of the [[MonetaryAmount]]) are most appropriate.
 *
 * http://schema.org/shippingRate
 */
export const shippingRate = 'http://schema.org/shippingRate' satisfies Property;

/**
 * shippingSettingsLink
 *
 * Link to a page containing [[ShippingRateSettings]] and [[DeliveryTimeSettings]] details.
 *
 * http://schema.org/shippingSettingsLink
 */
export const shippingSettingsLink = 'http://schema.org/shippingSettingsLink' satisfies Property;

/**
 * siblings
 *
 * A sibling of the person.
 *
 * http://schema.org/siblings
 */
export const siblings = 'http://schema.org/siblings' satisfies Property;

/**
 * signDetected
 *
 * A sign detected by the test.
 *
 * http://schema.org/signDetected
 */
export const signDetected = 'http://schema.org/signDetected' satisfies Property;

/**
 * signOrSymptom
 *
 * A sign or symptom of this condition. Signs are objective or physically observable manifestations of the medical condition while symptoms are the subjective experience of the medical condition.
 *
 * http://schema.org/signOrSymptom
 */
export const signOrSymptom = 'http://schema.org/signOrSymptom' satisfies Property;

/**
 * significance
 *
 * The significance associated with the superficial anatomy; as an example, how characteristics of the superficial anatomy can suggest underlying medical conditions or courses of treatment.
 *
 * http://schema.org/significance
 */
export const significance = 'http://schema.org/significance' satisfies Property;

/**
 * significantLinks
 *
 * The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.
 *
 * http://schema.org/significantLinks
 */
export const significantLinks = 'http://schema.org/significantLinks' satisfies Property;

/**
 * size
 *
 * A standardized size of a product or creative work, specified either through a simple textual string (for example 'XL', '32Wx34L'), a  QuantitativeValue with a unitCode, or a comprehensive and structured [[SizeSpecification]]; in other cases, the [[width]], [[height]], [[depth]] and [[weight]] properties may be more applicable. 
 *
 * http://schema.org/size
 */
export const size = 'http://schema.org/size' satisfies Property;

/**
 * sizeGroup
 *
 * The size group (also known as "size type") for a product's size. Size groups are common in the fashion industry to define size segments and suggested audiences for wearable products. Multiple values can be combined, for example "men's big and tall", "petite maternity" or "regular".
 *
 * http://schema.org/sizeGroup
 */
export const sizeGroup = 'http://schema.org/sizeGroup' satisfies Property;

/**
 * sizeSystem
 *
 * The size system used to identify a product's size. Typically either a standard (for example, "GS1" or "ISO-EN13402"), country code (for example "US" or "JP"), or a measuring system (for example "Metric" or "Imperial").
 *
 * http://schema.org/sizeSystem
 */
export const sizeSystem = 'http://schema.org/sizeSystem' satisfies Property;

/**
 * skills
 *
 * A statement of knowledge, skill, ability, task or any other assertion expressing a competency that is either claimed by a person, an organization or desired or required to fulfill a role or to work in an occupation.
 *
 * http://schema.org/skills
 */
export const skills = 'http://schema.org/skills' satisfies Property;

/**
 * sku
 *
 * The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.
 *
 * http://schema.org/sku
 */
export const sku = 'http://schema.org/sku' satisfies Property;

/**
 * slogan
 *
 * A slogan or motto associated with the item.
 *
 * http://schema.org/slogan
 */
export const slogan = 'http://schema.org/slogan' satisfies Property;

/**
 * smiles
 *
 * A specification in form of a line notation for describing the structure of chemical species using short ASCII strings.  Double bond stereochemistry \ indicators may need to be escaped in the string in formats where the backslash is an escape character.
 *
 * http://schema.org/smiles
 */
export const smiles = 'http://schema.org/smiles' satisfies Property;

/**
 * smokingAllowed
 *
 * Indicates whether it is allowed to smoke in the place, e.g. in the restaurant, hotel or hotel room.
 *
 * http://schema.org/smokingAllowed
 */
export const smokingAllowed = 'http://schema.org/smokingAllowed' satisfies Property;

/**
 * sodiumContent
 *
 * The number of milligrams of sodium.
 *
 * http://schema.org/sodiumContent
 */
export const sodiumContent = 'http://schema.org/sodiumContent' satisfies Property;

/**
 * softwareAddOn
 *
 * Additional content for a software application.
 *
 * http://schema.org/softwareAddOn
 */
export const softwareAddOn = 'http://schema.org/softwareAddOn' satisfies Property;

/**
 * softwareHelp
 *
 * Software application help.
 *
 * http://schema.org/softwareHelp
 */
export const softwareHelp = 'http://schema.org/softwareHelp' satisfies Property;

/**
 * softwareVersion
 *
 * Version of the software instance.
 *
 * http://schema.org/softwareVersion
 */
export const softwareVersion = 'http://schema.org/softwareVersion' satisfies Property;

/**
 * sourceOrganization
 *
 * The Organization on whose behalf the creator was working.
 *
 * http://schema.org/sourceOrganization
 */
export const sourceOrganization = 'http://schema.org/sourceOrganization' satisfies Property;

/**
 * sourcedFrom
 *
 * The neurological pathway that originates the neurons.
 *
 * http://schema.org/sourcedFrom
 */
export const sourcedFrom = 'http://schema.org/sourcedFrom' satisfies Property;

/**
 * spatial
 *
 * The "spatial" property can be used in cases when more specific properties
 * (e.g. [[locationCreated]], [[spatialCoverage]], [[contentLocation]]) are not known to be appropriate.
 *
 * http://schema.org/spatial
 */
export const spatial = 'http://schema.org/spatial' satisfies Property;

/**
 * speakable
 *
 * Indicates sections of a Web page that are particularly 'speakable' in the sense of being highlighted as being especially appropriate for text-to-speech conversion. Other sections of a page may also be usefully spoken in particular circumstances; the 'speakable' property serves to indicate the parts most likely to be generally useful for speech.
 * 
 * The *speakable* property can be repeated an arbitrary number of times, with three kinds of possible 'content-locator' values:
 * 
 * 1.) *id-value* URL references - uses *id-value* of an element in the page being annotated. The simplest use of *speakable* has (potentially relative) URL values, referencing identified sections of the document concerned.
 * 
 * 2.) CSS Selectors - addresses content in the annotated page, e.g. via class attribute. Use the [[cssSelector]] property.
 * 
 * 3.)  XPaths - addresses content via XPaths (assuming an XML view of the content). Use the [[xpath]] property.
 * 
 * 
 * For more sophisticated markup of speakable sections beyond simple ID references, either CSS selectors or XPath expressions to pick out document section(s) as speakable. For this
 * we define a supporting type, [[SpeakableSpecification]]  which is defined to be a possible value of the *speakable* property.
 *          
 *
 * http://schema.org/speakable
 */
export const speakable = 'http://schema.org/speakable' satisfies Property;

/**
 * specialCommitments
 *
 * Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.
 *
 * http://schema.org/specialCommitments
 */
export const specialCommitments = 'http://schema.org/specialCommitments' satisfies Property;

/**
 * specialOpeningHoursSpecification
 *
 * The special opening hours of a certain place.\n\nUse this to explicitly override general opening hours brought in scope by [[openingHoursSpecification]] or [[openingHours]].
 *       
 *
 * http://schema.org/specialOpeningHoursSpecification
 */
export const specialOpeningHoursSpecification = 'http://schema.org/specialOpeningHoursSpecification' satisfies Property;

/**
 * specialty
 *
 * One of the domain specialities to which this web page's content applies.
 *
 * http://schema.org/specialty
 */
export const specialty = 'http://schema.org/specialty' satisfies Property;

/**
 * speechToTextMarkup
 *
 * Form of markup used. eg. [SSML](https://www.w3.org/TR/speech-synthesis11) or [IPA](https://www.wikidata.org/wiki/Property:P898).
 *
 * http://schema.org/speechToTextMarkup
 */
export const speechToTextMarkup = 'http://schema.org/speechToTextMarkup' satisfies Property;

/**
 * speed
 *
 * The speed range of the vehicle. If the vehicle is powered by an engine, the upper limit of the speed range (indicated by [[maxValue]]) should be the maximum speed achievable under regular conditions.\n\nTypical unit code(s): KMH for km/h, HM for mile per hour (0.447 04 m/s), KNT for knot\n\n*Note 1: Use [[minValue]] and [[maxValue]] to indicate the range. Typically, the minimal value is zero.\n* Note 2: There are many different ways of measuring the speed range. You can link to information about how the given value has been determined using the [[valueReference]] property.
 *
 * http://schema.org/speed
 */
export const speed = 'http://schema.org/speed' satisfies Property;

/**
 * spokenByCharacter
 *
 * The (e.g. fictional) character, Person or Organization to whom the quotation is attributed within the containing CreativeWork.
 *
 * http://schema.org/spokenByCharacter
 */
export const spokenByCharacter = 'http://schema.org/spokenByCharacter' satisfies Property;

/**
 * sport
 *
 * A type of sport (e.g. Baseball).
 *
 * http://schema.org/sport
 */
export const sport = 'http://schema.org/sport' satisfies Property;

/**
 * sportsActivityLocation
 *
 * A sub property of location. The sports activity location where this action occurred.
 *
 * http://schema.org/sportsActivityLocation
 */
export const sportsActivityLocation = 'http://schema.org/sportsActivityLocation' satisfies Property;

/**
 * sportsEvent
 *
 * A sub property of location. The sports event where this action occurred.
 *
 * http://schema.org/sportsEvent
 */
export const sportsEvent = 'http://schema.org/sportsEvent' satisfies Property;

/**
 * sportsTeam
 *
 * A sub property of participant. The sports team that participated on this action.
 *
 * http://schema.org/sportsTeam
 */
export const sportsTeam = 'http://schema.org/sportsTeam' satisfies Property;

/**
 * spouse
 *
 * The person's spouse.
 *
 * http://schema.org/spouse
 */
export const spouse = 'http://schema.org/spouse' satisfies Property;

/**
 * stage
 *
 * The stage of the condition, if applicable.
 *
 * http://schema.org/stage
 */
export const stage = 'http://schema.org/stage' satisfies Property;

/**
 * stageAsNumber
 *
 * The stage represented as a number, e.g. 3.
 *
 * http://schema.org/stageAsNumber
 */
export const stageAsNumber = 'http://schema.org/stageAsNumber' satisfies Property;

/**
 * starRating
 *
 * An official rating for a lodging business or food establishment, e.g. from national associations or standards bodies. Use the author property to indicate the rating organization, e.g. as an Organization with name such as (e.g. HOTREC, DEHOGA, WHR, or Hotelstars).
 *
 * http://schema.org/starRating
 */
export const starRating = 'http://schema.org/starRating' satisfies Property;

/**
 * startDate
 *
 * The start date and time of the item (in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601)).
 *
 * http://schema.org/startDate
 */
export const startDate = 'http://schema.org/startDate' satisfies Property;

/**
 * startOffset
 *
 * The start time of the clip expressed as the number of seconds from the beginning of the work.
 *
 * http://schema.org/startOffset
 */
export const startOffset = 'http://schema.org/startOffset' satisfies Property;

/**
 * startTime
 *
 * The startTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to start. For actions that span a period of time, when the action was performed. E.g. John wrote a book from *January* to December. For media, including audio and video, it's the time offset of the start of a clip within a larger file.\n\nNote that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.
 *
 * http://schema.org/startTime
 */
export const startTime = 'http://schema.org/startTime' satisfies Property;

/**
 * statType
 *
 * Indicates the kind of statistic represented by a [[StatisticalVariable]], e.g. mean, count etc. The value of statType is a property, either from within Schema.org (e.g. [[median]], [[marginOfError]], [[maxValue]], [[minValue]]) or from other compatible (e.g. RDF) systems such as DataCommons.org or Wikidata.org. 
 *
 * http://schema.org/statType
 */
export const statType = 'http://schema.org/statType' satisfies Property;

/**
 * status
 *
 * The status of the study (enumerated).
 *
 * http://schema.org/status
 */
export const status = 'http://schema.org/status' satisfies Property;

/**
 * steeringPosition
 *
 * The position of the steering wheel or similar device (mostly for cars).
 *
 * http://schema.org/steeringPosition
 */
export const steeringPosition = 'http://schema.org/steeringPosition' satisfies Property;

/**
 * stepValue
 *
 * The stepValue attribute indicates the granularity that is expected (and required) of the value in a PropertyValueSpecification.
 *
 * http://schema.org/stepValue
 */
export const stepValue = 'http://schema.org/stepValue' satisfies Property;

/**
 * steps
 *
 * A single step item (as HowToStep, text, document, video, etc.) or a HowToSection (originally misnamed 'steps'; 'step' is preferred).
 *
 * http://schema.org/steps
 */
export const steps = 'http://schema.org/steps' satisfies Property;

/**
 * storageRequirements
 *
 * Storage requirements (free space required).
 *
 * http://schema.org/storageRequirements
 */
export const storageRequirements = 'http://schema.org/storageRequirements' satisfies Property;

/**
 * streetAddress
 *
 * The street address. For example, 1600 Amphitheatre Pkwy.
 *
 * http://schema.org/streetAddress
 */
export const streetAddress = 'http://schema.org/streetAddress' satisfies Property;

/**
 * strengthUnit
 *
 * The units of an active ingredient's strength, e.g. mg.
 *
 * http://schema.org/strengthUnit
 */
export const strengthUnit = 'http://schema.org/strengthUnit' satisfies Property;

/**
 * strengthValue
 *
 * The value of an active ingredient's strength, e.g. 325.
 *
 * http://schema.org/strengthValue
 */
export const strengthValue = 'http://schema.org/strengthValue' satisfies Property;

/**
 * structuralClass
 *
 * The name given to how bone physically connects to each other.
 *
 * http://schema.org/structuralClass
 */
export const structuralClass = 'http://schema.org/structuralClass' satisfies Property;

/**
 * study
 *
 * A medical study or trial related to this entity.
 *
 * http://schema.org/study
 */
export const study = 'http://schema.org/study' satisfies Property;

/**
 * studyDesign
 *
 * Specifics about the observational study design (enumerated).
 *
 * http://schema.org/studyDesign
 */
export const studyDesign = 'http://schema.org/studyDesign' satisfies Property;

/**
 * studyLocation
 *
 * The location in which the study is taking/took place.
 *
 * http://schema.org/studyLocation
 */
export const studyLocation = 'http://schema.org/studyLocation' satisfies Property;

/**
 * studySubject
 *
 * A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.
 *
 * http://schema.org/studySubject
 */
export const studySubject = 'http://schema.org/studySubject' satisfies Property;

/**
 * stupidProperty
 *
 * This is a StupidProperty! - for testing only.
 *
 * http://schema.org/stupidProperty
 */
export const stupidProperty = 'http://schema.org/stupidProperty' satisfies Property;

/**
 * subEvents
 *
 * Events that are a part of this event. For example, a conference event includes many presentations, each subEvents of the conference.
 *
 * http://schema.org/subEvents
 */
export const subEvents = 'http://schema.org/subEvents' satisfies Property;

/**
 * subReservation
 *
 * The individual reservations included in the package. Typically a repeated property.
 *
 * http://schema.org/subReservation
 */
export const subReservation = 'http://schema.org/subReservation' satisfies Property;

/**
 * subStageSuffix
 *
 * The substage, e.g. 'a' for Stage IIIa.
 *
 * http://schema.org/subStageSuffix
 */
export const subStageSuffix = 'http://schema.org/subStageSuffix' satisfies Property;

/**
 * subStructure
 *
 * Component (sub-)structure(s) that comprise this anatomical structure.
 *
 * http://schema.org/subStructure
 */
export const subStructure = 'http://schema.org/subStructure' satisfies Property;

/**
 * subTest
 *
 * A component test of the panel.
 *
 * http://schema.org/subTest
 */
export const subTest = 'http://schema.org/subTest' satisfies Property;

/**
 * subtitleLanguage
 *
 * Languages in which subtitles/captions are available, in [IETF BCP 47 standard format](http://tools.ietf.org/html/bcp47).
 *
 * http://schema.org/subtitleLanguage
 */
export const subtitleLanguage = 'http://schema.org/subtitleLanguage' satisfies Property;

/**
 * successorOf
 *
 * A pointer from a newer variant of a product  to its previous, often discontinued predecessor.
 *
 * http://schema.org/successorOf
 */
export const successorOf = 'http://schema.org/successorOf' satisfies Property;

/**
 * sugarContent
 *
 * The number of grams of sugar.
 *
 * http://schema.org/sugarContent
 */
export const sugarContent = 'http://schema.org/sugarContent' satisfies Property;

/**
 * suggestedAge
 *
 * The age or age range for the intended audience or person, for example 3-12 months for infants, 1-5 years for toddlers.
 *
 * http://schema.org/suggestedAge
 */
export const suggestedAge = 'http://schema.org/suggestedAge' satisfies Property;

/**
 * suggestedGender
 *
 * The suggested gender of the intended person or audience, for example "male", "female", or "unisex".
 *
 * http://schema.org/suggestedGender
 */
export const suggestedGender = 'http://schema.org/suggestedGender' satisfies Property;

/**
 * suggestedMaxAge
 *
 * Maximum recommended age in years for the audience or user.
 *
 * http://schema.org/suggestedMaxAge
 */
export const suggestedMaxAge = 'http://schema.org/suggestedMaxAge' satisfies Property;

/**
 * suggestedMeasurement
 *
 * A suggested range of body measurements for the intended audience or person, for example inseam between 32 and 34 inches or height between 170 and 190 cm. Typically found on a size chart for wearable products.
 *
 * http://schema.org/suggestedMeasurement
 */
export const suggestedMeasurement = 'http://schema.org/suggestedMeasurement' satisfies Property;

/**
 * suggestedMinAge
 *
 * Minimum recommended age in years for the audience or user.
 *
 * http://schema.org/suggestedMinAge
 */
export const suggestedMinAge = 'http://schema.org/suggestedMinAge' satisfies Property;

/**
 * suitableForDiet
 *
 * Indicates a dietary restriction or guideline for which this recipe or menu item is suitable, e.g. diabetic, halal etc.
 *
 * http://schema.org/suitableForDiet
 */
export const suitableForDiet = 'http://schema.org/suitableForDiet' satisfies Property;

/**
 * supersededBy
 *
 * Relates a term (i.e. a property, class or enumeration) to one that supersedes it.
 *
 * http://schema.org/supersededBy
 */
export const supersededBy = 'http://schema.org/supersededBy' satisfies Property;

/**
 * supplyTo
 *
 * The area to which the artery supplies blood.
 *
 * http://schema.org/supplyTo
 */
export const supplyTo = 'http://schema.org/supplyTo' satisfies Property;

/**
 * supportingData
 *
 * Supporting data for a SoftwareApplication.
 *
 * http://schema.org/supportingData
 */
export const supportingData = 'http://schema.org/supportingData' satisfies Property;

/**
 * surface
 *
 * A material used as a surface in some artwork, e.g. Canvas, Paper, Wood, Board, etc.
 *
 * http://schema.org/surface
 */
export const surface = 'http://schema.org/surface' satisfies Property;

/**
 * syllabusSections
 *
 * Indicates (typically several) Syllabus entities that lay out what each section of the overall course will cover.
 *
 * http://schema.org/syllabusSections
 */
export const syllabusSections = 'http://schema.org/syllabusSections' satisfies Property;

/**
 * target
 *
 * Indicates a target EntryPoint, or url, for an Action.
 *
 * http://schema.org/target
 */
export const target = 'http://schema.org/target' satisfies Property;

/**
 * targetDescription
 *
 * The description of a node in an established educational framework.
 *
 * http://schema.org/targetDescription
 */
export const targetDescription = 'http://schema.org/targetDescription' satisfies Property;

/**
 * targetName
 *
 * The name of a node in an established educational framework.
 *
 * http://schema.org/targetName
 */
export const targetName = 'http://schema.org/targetName' satisfies Property;

/**
 * targetPlatform
 *
 * Type of app development: phone, Metro style, desktop, XBox, etc.
 *
 * http://schema.org/targetPlatform
 */
export const targetPlatform = 'http://schema.org/targetPlatform' satisfies Property;

/**
 * targetPopulation
 *
 * Characteristics of the population for which this is intended, or which typically uses it, e.g. 'adults'.
 *
 * http://schema.org/targetPopulation
 */
export const targetPopulation = 'http://schema.org/targetPopulation' satisfies Property;

/**
 * targetProduct
 *
 * Target Operating System / Product to which the code applies.  If applies to several versions, just the product name can be used.
 *
 * http://schema.org/targetProduct
 */
export const targetProduct = 'http://schema.org/targetProduct' satisfies Property;

/**
 * targetUrl
 *
 * The URL of a node in an established educational framework.
 *
 * http://schema.org/targetUrl
 */
export const targetUrl = 'http://schema.org/targetUrl' satisfies Property;

/**
 * taxID
 *
 * The Tax / Fiscal ID of the organization or person, e.g. the TIN in the US or the CIF/NIF in Spain.
 *
 * http://schema.org/taxID
 */
export const taxID = 'http://schema.org/taxID' satisfies Property;

/**
 * taxonRank
 *
 * The taxonomic rank of this taxon given preferably as a URI from a controlled vocabulary – typically the ranks from TDWG TaxonRank ontology or equivalent Wikidata URIs.
 *
 * http://schema.org/taxonRank
 */
export const taxonRank = 'http://schema.org/taxonRank' satisfies Property;

/**
 * taxonomicRange
 *
 * The taxonomic grouping of the organism that expresses, encodes, or in some way related to the BioChemEntity.
 *
 * http://schema.org/taxonomicRange
 */
export const taxonomicRange = 'http://schema.org/taxonomicRange' satisfies Property;

/**
 * teaches
 *
 * The item being described is intended to help a person learn the competency or learning outcome defined by the referenced term.
 *
 * http://schema.org/teaches
 */
export const teaches = 'http://schema.org/teaches' satisfies Property;

/**
 * telephone
 *
 * The telephone number.
 *
 * http://schema.org/telephone
 */
export const telephone = 'http://schema.org/telephone' satisfies Property;

/**
 * temporal
 *
 * The "temporal" property can be used in cases where more specific properties
 * (e.g. [[temporalCoverage]], [[dateCreated]], [[dateModified]], [[datePublished]]) are not known to be appropriate.
 *
 * http://schema.org/temporal
 */
export const temporal = 'http://schema.org/temporal' satisfies Property;

/**
 * termDuration
 *
 * The amount of time in a term as defined by the institution. A term is a length of time where students take one or more classes. Semesters and quarters are common units for term.
 *
 * http://schema.org/termDuration
 */
export const termDuration = 'http://schema.org/termDuration' satisfies Property;

/**
 * termsOfService
 *
 * Human-readable terms of service documentation.
 *
 * http://schema.org/termsOfService
 */
export const termsOfService = 'http://schema.org/termsOfService' satisfies Property;

/**
 * termsPerYear
 *
 * The number of times terms of study are offered per year. Semesters and quarters are common units for term. For example, if the student can only take 2 semesters for the program in one year, then termsPerYear should be 2.
 *
 * http://schema.org/termsPerYear
 */
export const termsPerYear = 'http://schema.org/termsPerYear' satisfies Property;

/**
 * text
 *
 * The textual content of this CreativeWork.
 *
 * http://schema.org/text
 */
export const text = 'http://schema.org/text' satisfies Property;

/**
 * textValue
 *
 * Text value being annotated.
 *
 * http://schema.org/textValue
 */
export const textValue = 'http://schema.org/textValue' satisfies Property;

/**
 * thumbnail
 *
 * Thumbnail image for an image or video.
 *
 * http://schema.org/thumbnail
 */
export const thumbnail = 'http://schema.org/thumbnail' satisfies Property;

/**
 * thumbnailUrl
 *
 * A thumbnail image relevant to the Thing.
 *
 * http://schema.org/thumbnailUrl
 */
export const thumbnailUrl = 'http://schema.org/thumbnailUrl' satisfies Property;

/**
 * tickerSymbol
 *
 * The exchange traded instrument associated with a Corporation object. The tickerSymbol is expressed as an exchange and an instrument name separated by a space character. For the exchange component of the tickerSymbol attribute, we recommend using the controlled vocabulary of Market Identifier Codes (MIC) specified in ISO 15022.
 *
 * http://schema.org/tickerSymbol
 */
export const tickerSymbol = 'http://schema.org/tickerSymbol' satisfies Property;

/**
 * ticketNumber
 *
 * The unique identifier for the ticket.
 *
 * http://schema.org/ticketNumber
 */
export const ticketNumber = 'http://schema.org/ticketNumber' satisfies Property;

/**
 * ticketToken
 *
 * Reference to an asset (e.g., Barcode, QR code image or PDF) usable for entrance.
 *
 * http://schema.org/ticketToken
 */
export const ticketToken = 'http://schema.org/ticketToken' satisfies Property;

/**
 * ticketedSeat
 *
 * The seat associated with the ticket.
 *
 * http://schema.org/ticketedSeat
 */
export const ticketedSeat = 'http://schema.org/ticketedSeat' satisfies Property;

/**
 * timeOfDay
 *
 * The time of day the program normally runs. For example, "evenings".
 *
 * http://schema.org/timeOfDay
 */
export const timeOfDay = 'http://schema.org/timeOfDay' satisfies Property;

/**
 * timeRequired
 *
 * Approximate or typical time it usually takes to work with or through the content of this work for the typical or target audience.
 *
 * http://schema.org/timeRequired
 */
export const timeRequired = 'http://schema.org/timeRequired' satisfies Property;

/**
 * timeToComplete
 *
 * The expected length of time to complete the program if attending full-time.
 *
 * http://schema.org/timeToComplete
 */
export const timeToComplete = 'http://schema.org/timeToComplete' satisfies Property;

/**
 * tissueSample
 *
 * The type of tissue sample required for the test.
 *
 * http://schema.org/tissueSample
 */
export const tissueSample = 'http://schema.org/tissueSample' satisfies Property;

/**
 * title
 *
 * The title of the job.
 *
 * http://schema.org/title
 */
export const title = 'http://schema.org/title' satisfies Property;

/**
 * titleEIDR
 *
 * An [EIDR](https://eidr.org/) (Entertainment Identifier Registry) [[identifier]] representing at the most general/abstract level, a work of film or television.
 * 
 * For example, the motion picture known as "Ghostbusters" has a titleEIDR of  "10.5240/7EC7-228A-510A-053E-CBB8-J". This title (or work) may have several variants, which EIDR calls "edits". See [[editEIDR]].
 * 
 * Since schema.org types like [[Movie]], [[TVEpisode]], [[TVSeason]], and [[TVSeries]] can be used for both works and their multiple expressions, it is possible to use [[titleEIDR]] alone (for a general description), or alongside [[editEIDR]] for a more edit-specific description.
 * 
 *
 * http://schema.org/titleEIDR
 */
export const titleEIDR = 'http://schema.org/titleEIDR' satisfies Property;

/**
 * toLocation
 *
 * A sub property of location. The final location of the object or the agent after the action.
 *
 * http://schema.org/toLocation
 */
export const toLocation = 'http://schema.org/toLocation' satisfies Property;

/**
 * toRecipient
 *
 * A sub property of recipient. The recipient who was directly sent the message.
 *
 * http://schema.org/toRecipient
 */
export const toRecipient = 'http://schema.org/toRecipient' satisfies Property;

/**
 * tocContinuation
 *
 * A [[HyperTocEntry]] can have a [[tocContinuation]] indicated, which is another [[HyperTocEntry]] that would be the default next item to play or render.
 *
 * http://schema.org/tocContinuation
 */
export const tocContinuation = 'http://schema.org/tocContinuation' satisfies Property;

/**
 * tocEntry
 *
 * Indicates a [[HyperTocEntry]] in a [[HyperToc]].
 *
 * http://schema.org/tocEntry
 */
export const tocEntry = 'http://schema.org/tocEntry' satisfies Property;

/**
 * tongueWeight
 *
 * The permitted vertical load (TWR) of a trailer attached to the vehicle. Also referred to as Tongue Load Rating (TLR) or Vertical Load Rating (VLR).\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/tongueWeight
 */
export const tongueWeight = 'http://schema.org/tongueWeight' satisfies Property;

/**
 * tool
 *
 * A sub property of instrument. An object used (but not consumed) when performing instructions or a direction.
 *
 * http://schema.org/tool
 */
export const tool = 'http://schema.org/tool' satisfies Property;

/**
 * torque
 *
 * The torque (turning force) of the vehicle's engine.\n\nTypical unit code(s): NU for newton metre (N m), F17 for pound-force per foot, or F48 for pound-force per inch\n\n* Note 1: You can link to information about how the given value has been determined (e.g. reference RPM) using the [[valueReference]] property.\n* Note 2: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/torque
 */
export const torque = 'http://schema.org/torque' satisfies Property;

/**
 * totalHistoricalEnrollment
 *
 * The total number of students that have enrolled in the history of the course.
 *
 * http://schema.org/totalHistoricalEnrollment
 */
export const totalHistoricalEnrollment = 'http://schema.org/totalHistoricalEnrollment' satisfies Property;

/**
 * totalJobOpenings
 *
 * The number of positions open for this job posting. Use a positive integer. Do not use if the number of positions is unclear or not known.
 *
 * http://schema.org/totalJobOpenings
 */
export const totalJobOpenings = 'http://schema.org/totalJobOpenings' satisfies Property;

/**
 * totalPaymentDue
 *
 * The total amount due.
 *
 * http://schema.org/totalPaymentDue
 */
export const totalPaymentDue = 'http://schema.org/totalPaymentDue' satisfies Property;

/**
 * totalPrice
 *
 * The total price for the reservation or ticket, including applicable taxes, shipping, etc.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * http://schema.org/totalPrice
 */
export const totalPrice = 'http://schema.org/totalPrice' satisfies Property;

/**
 * totalTime
 *
 * The total time required to perform instructions or a direction (including time to prepare the supplies), in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * http://schema.org/totalTime
 */
export const totalTime = 'http://schema.org/totalTime' satisfies Property;

/**
 * tourBookingPage
 *
 * A page providing information on how to book a tour of some [[Place]], such as an [[Accommodation]] or [[ApartmentComplex]] in a real estate setting, as well as other kinds of tours as appropriate.
 *
 * http://schema.org/tourBookingPage
 */
export const tourBookingPage = 'http://schema.org/tourBookingPage' satisfies Property;

/**
 * touristType
 *
 * Attraction suitable for type(s) of tourist. E.g. children, visitors from a particular country, etc. 
 *
 * http://schema.org/touristType
 */
export const touristType = 'http://schema.org/touristType' satisfies Property;

/**
 * trackingNumber
 *
 * Shipper tracking number.
 *
 * http://schema.org/trackingNumber
 */
export const trackingNumber = 'http://schema.org/trackingNumber' satisfies Property;

/**
 * trackingUrl
 *
 * Tracking url for the parcel delivery.
 *
 * http://schema.org/trackingUrl
 */
export const trackingUrl = 'http://schema.org/trackingUrl' satisfies Property;

/**
 * tracks
 *
 * A music recording (track)&#x2014;usually a single song.
 *
 * http://schema.org/tracks
 */
export const tracks = 'http://schema.org/tracks' satisfies Property;

/**
 * trailer
 *
 * The trailer of a movie or TV/radio series, season, episode, etc.
 *
 * http://schema.org/trailer
 */
export const trailer = 'http://schema.org/trailer' satisfies Property;

/**
 * trailerWeight
 *
 * The permitted weight of a trailer attached to the vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/trailerWeight
 */
export const trailerWeight = 'http://schema.org/trailerWeight' satisfies Property;

/**
 * trainName
 *
 * The name of the train (e.g. The Orient Express).
 *
 * http://schema.org/trainName
 */
export const trainName = 'http://schema.org/trainName' satisfies Property;

/**
 * trainNumber
 *
 * The unique identifier for the train.
 *
 * http://schema.org/trainNumber
 */
export const trainNumber = 'http://schema.org/trainNumber' satisfies Property;

/**
 * trainingSalary
 *
 * The estimated salary earned while in the program.
 *
 * http://schema.org/trainingSalary
 */
export const trainingSalary = 'http://schema.org/trainingSalary' satisfies Property;

/**
 * transFatContent
 *
 * The number of grams of trans fat.
 *
 * http://schema.org/transFatContent
 */
export const transFatContent = 'http://schema.org/transFatContent' satisfies Property;

/**
 * transcript
 *
 * If this MediaObject is an AudioObject or VideoObject, the transcript of that object.
 *
 * http://schema.org/transcript
 */
export const transcript = 'http://schema.org/transcript' satisfies Property;

/**
 * transitTime
 *
 * The typical delay the order has been sent for delivery and the goods reach the final customer.
 * 
 *   In the context of [[ShippingDeliveryTime]], use the [[QuantitativeValue]]. Typical properties: minValue, maxValue, unitCode (d for DAY).
 * 
 *   In the context of [[ShippingConditions]], use the [[ServicePeriod]]. It has a duration (as a [[QuantitativeValue]]) and also business days and a cut-off time.
 * 
 *
 * http://schema.org/transitTime
 */
export const transitTime = 'http://schema.org/transitTime' satisfies Property;

/**
 * transitTimeLabel
 *
 * Label to match an [[OfferShippingDetails]] with a [[DeliveryTimeSettings]] (within the context of a [[shippingSettingsLink]] cross-reference).
 *
 * http://schema.org/transitTimeLabel
 */
export const transitTimeLabel = 'http://schema.org/transitTimeLabel' satisfies Property;

/**
 * translator
 *
 * Organization or person who adapts a creative work to different languages, regional differences and technical requirements of a target market, or that translates during some event.
 *
 * http://schema.org/translator
 */
export const translator = 'http://schema.org/translator' satisfies Property;

/**
 * transmissionMethod
 *
 * How the disease spreads, either as a route or vector, for example 'direct contact', 'Aedes aegypti', etc.
 *
 * http://schema.org/transmissionMethod
 */
export const transmissionMethod = 'http://schema.org/transmissionMethod' satisfies Property;

/**
 * travelBans
 *
 * Information about travel bans, e.g. in the context of a pandemic.
 *
 * http://schema.org/travelBans
 */
export const travelBans = 'http://schema.org/travelBans' satisfies Property;

/**
 * trialDesign
 *
 * Specifics about the trial design (enumerated).
 *
 * http://schema.org/trialDesign
 */
export const trialDesign = 'http://schema.org/trialDesign' satisfies Property;

/**
 * tributary
 *
 * The anatomical or organ system that the vein flows into; a larger structure that the vein connects to.
 *
 * http://schema.org/tributary
 */
export const tributary = 'http://schema.org/tributary' satisfies Property;

/**
 * tripOrigin
 *
 * The location of origin of the trip, prior to any destination(s).
 *
 * http://schema.org/tripOrigin
 */
export const tripOrigin = 'http://schema.org/tripOrigin' satisfies Property;

/**
 * typeOfBed
 *
 * The type of bed to which the BedDetail refers, i.e. the type of bed available in the quantity indicated by quantity.
 *
 * http://schema.org/typeOfBed
 */
export const typeOfBed = 'http://schema.org/typeOfBed' satisfies Property;

/**
 * typeOfGood
 *
 * The product that this structured value is referring to.
 *
 * http://schema.org/typeOfGood
 */
export const typeOfGood = 'http://schema.org/typeOfGood' satisfies Property;

/**
 * typicalAgeRange
 *
 * The typical expected age range, e.g. '7-9', '11-'.
 *
 * http://schema.org/typicalAgeRange
 */
export const typicalAgeRange = 'http://schema.org/typicalAgeRange' satisfies Property;

/**
 * typicalCreditsPerTerm
 *
 * The number of credits or units a full-time student would be expected to take in 1 term however 'term' is defined by the institution.
 *
 * http://schema.org/typicalCreditsPerTerm
 */
export const typicalCreditsPerTerm = 'http://schema.org/typicalCreditsPerTerm' satisfies Property;

/**
 * typicalTest
 *
 * A medical test typically performed given this condition.
 *
 * http://schema.org/typicalTest
 */
export const typicalTest = 'http://schema.org/typicalTest' satisfies Property;

/**
 * underName
 *
 * The person or organization the reservation or ticket is for.
 *
 * http://schema.org/underName
 */
export const underName = 'http://schema.org/underName' satisfies Property;

/**
 * unitCode
 *
 * The unit of measurement given using the UN/CEFACT Common Code (3 characters) or a URL. Other codes than the UN/CEFACT Common Code may be used with a prefix followed by a colon.
 *
 * http://schema.org/unitCode
 */
export const unitCode = 'http://schema.org/unitCode' satisfies Property;

/**
 * unitText
 *
 * A string or text indicating the unit of measurement. Useful if you cannot provide a standard unit code for
 * <a href='unitCode'>unitCode</a>.
 *
 * http://schema.org/unitText
 */
export const unitText = 'http://schema.org/unitText' satisfies Property;

/**
 * unnamedSourcesPolicy
 *
 * For an [[Organization]] (typically a [[NewsMediaOrganization]]), a statement about policy on use of unnamed sources and the decision process required.
 *
 * http://schema.org/unnamedSourcesPolicy
 */
export const unnamedSourcesPolicy = 'http://schema.org/unnamedSourcesPolicy' satisfies Property;

/**
 * unsaturatedFatContent
 *
 * The number of grams of unsaturated fat.
 *
 * http://schema.org/unsaturatedFatContent
 */
export const unsaturatedFatContent = 'http://schema.org/unsaturatedFatContent' satisfies Property;

/**
 * uploadDate
 *
 * Date (including time if available) when this media object was uploaded to this site.
 *
 * http://schema.org/uploadDate
 */
export const uploadDate = 'http://schema.org/uploadDate' satisfies Property;

/**
 * upvoteCount
 *
 * The number of upvotes this question, answer or comment has received from the community.
 *
 * http://schema.org/upvoteCount
 */
export const upvoteCount = 'http://schema.org/upvoteCount' satisfies Property;

/**
 * url
 *
 * URL of the item.
 *
 * http://schema.org/url
 */
export const url = 'http://schema.org/url' satisfies Property;

/**
 * urlTemplate
 *
 * An url template (RFC6570) that will be used to construct the target of the execution of the action.
 *
 * http://schema.org/urlTemplate
 */
export const urlTemplate = 'http://schema.org/urlTemplate' satisfies Property;

/**
 * usNPI
 *
 * A <a href="https://en.wikipedia.org/wiki/National_Provider_Identifier">National Provider Identifier</a> (NPI) 
 *     is a unique 10-digit identification number issued to health care providers in the United States by the Centers for Medicare and Medicaid Services.
 *
 * http://schema.org/usNPI
 */
export const usNPI = 'http://schema.org/usNPI' satisfies Property;

/**
 * usedToDiagnose
 *
 * A condition the test is used to diagnose.
 *
 * http://schema.org/usedToDiagnose
 */
export const usedToDiagnose = 'http://schema.org/usedToDiagnose' satisfies Property;

/**
 * userInteractionCount
 *
 * The number of interactions for the CreativeWork using the WebSite or SoftwareApplication.
 *
 * http://schema.org/userInteractionCount
 */
export const userInteractionCount = 'http://schema.org/userInteractionCount' satisfies Property;

/**
 * usesDevice
 *
 * Device used to perform the test.
 *
 * http://schema.org/usesDevice
 */
export const usesDevice = 'http://schema.org/usesDevice' satisfies Property;

/**
 * usesHealthPlanIdStandard
 *
 * The standard for interpreting the Plan ID. The preferred is "HIOS". See the Centers for Medicare & Medicaid Services for more details.
 *
 * http://schema.org/usesHealthPlanIdStandard
 */
export const usesHealthPlanIdStandard = 'http://schema.org/usesHealthPlanIdStandard' satisfies Property;

/**
 * utterances
 *
 * Text of an utterances (spoken words, lyrics etc.) that occurs at a certain section of a media object, represented as a [[HyperTocEntry]].
 *
 * http://schema.org/utterances
 */
export const utterances = 'http://schema.org/utterances' satisfies Property;

/**
 * validFor
 *
 * The duration of validity of a permit or similar thing.
 *
 * http://schema.org/validFor
 */
export const validFor = 'http://schema.org/validFor' satisfies Property;

/**
 * validForMemberTier
 *
 * The membership program tier an Offer (or a PriceSpecification, OfferShippingDetails, or MerchantReturnPolicy under an Offer) is valid for.
 *
 * http://schema.org/validForMemberTier
 */
export const validForMemberTier = 'http://schema.org/validForMemberTier' satisfies Property;

/**
 * validFrom
 *
 * The date when the item becomes valid.
 *
 * http://schema.org/validFrom
 */
export const validFrom = 'http://schema.org/validFrom' satisfies Property;

/**
 * validIn
 *
 * The geographic area where the item is valid. Applies for example to a [[Permit]], a [[Certification]], or an [[EducationalOccupationalCredential]]. 
 *
 * http://schema.org/validIn
 */
export const validIn = 'http://schema.org/validIn' satisfies Property;

/**
 * validThrough
 *
 * The date after when the item is not valid. For example the end of an offer, salary period, or a period of opening hours.
 *
 * http://schema.org/validThrough
 */
export const validThrough = 'http://schema.org/validThrough' satisfies Property;

/**
 * validUntil
 *
 * The date when the item is no longer valid.
 *
 * http://schema.org/validUntil
 */
export const validUntil = 'http://schema.org/validUntil' satisfies Property;

/**
 * value
 *
 * The value of a [[QuantitativeValue]] (including [[Observation]]) or property value node.\n\n* For [[QuantitativeValue]] and [[MonetaryAmount]], the recommended type for values is 'Number'.\n* For [[PropertyValue]], it can be 'Text', 'Number', 'Boolean', or 'StructuredValue'.\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * http://schema.org/value
 */
export const value = 'http://schema.org/value' satisfies Property;

/**
 * valueAddedTaxIncluded
 *
 * Specifies whether the applicable value-added tax (VAT) is included in the price specification or not.
 *
 * http://schema.org/valueAddedTaxIncluded
 */
export const valueAddedTaxIncluded = 'http://schema.org/valueAddedTaxIncluded' satisfies Property;

/**
 * valueMaxLength
 *
 * Specifies the allowed range for number of characters in a literal value.
 *
 * http://schema.org/valueMaxLength
 */
export const valueMaxLength = 'http://schema.org/valueMaxLength' satisfies Property;

/**
 * valueMinLength
 *
 * Specifies the minimum allowed range for number of characters in a literal value.
 *
 * http://schema.org/valueMinLength
 */
export const valueMinLength = 'http://schema.org/valueMinLength' satisfies Property;

/**
 * valueName
 *
 * Indicates the name of the PropertyValueSpecification to be used in URL templates and form encoding in a manner analogous to HTML's input@name.
 *
 * http://schema.org/valueName
 */
export const valueName = 'http://schema.org/valueName' satisfies Property;

/**
 * valuePattern
 *
 * Specifies a regular expression for testing literal values according to the HTML spec.
 *
 * http://schema.org/valuePattern
 */
export const valuePattern = 'http://schema.org/valuePattern' satisfies Property;

/**
 * valueReference
 *
 * A secondary value that provides additional information on the original value, e.g. a reference temperature or a type of measurement.
 *
 * http://schema.org/valueReference
 */
export const valueReference = 'http://schema.org/valueReference' satisfies Property;

/**
 * valueRequired
 *
 * Whether the property must be filled in to complete the action.  Default is false.
 *
 * http://schema.org/valueRequired
 */
export const valueRequired = 'http://schema.org/valueRequired' satisfies Property;

/**
 * variableMeasured
 *
 * The variableMeasured property can indicate (repeated as necessary) the  variables that are measured in some dataset, either described as text or as pairs of identifier and description using PropertyValue, or more explicitly as a [[StatisticalVariable]].
 *
 * http://schema.org/variableMeasured
 */
export const variableMeasured = 'http://schema.org/variableMeasured' satisfies Property;

/**
 * variablesMeasured
 *
 * Originally named [[variablesMeasured]], the [[variableMeasured]] property can indicate (repeated as necessary) the  variables that are measured in some dataset, either described as text or as pairs of identifier and description using PropertyValue.
 *
 * http://schema.org/variablesMeasured
 */
export const variablesMeasured = 'http://schema.org/variablesMeasured' satisfies Property;

/**
 * variantCover
 *
 * A description of the variant cover
 *     	for the issue, if the issue is a variant printing. For example, "Bryan Hitch
 *     	Variant Cover" or "2nd Printing Variant".
 *
 * http://schema.org/variantCover
 */
export const variantCover = 'http://schema.org/variantCover' satisfies Property;

/**
 * variesBy
 *
 * Indicates the property or properties by which the variants in a [[ProductGroup]] vary, e.g. their size, color etc. Schema.org properties can be referenced by their short name e.g. "color"; terms defined elsewhere can be referenced with their URIs.
 *
 * http://schema.org/variesBy
 */
export const variesBy = 'http://schema.org/variesBy' satisfies Property;

/**
 * vatID
 *
 * The Value-added Tax ID of the organization or person.
 *
 * http://schema.org/vatID
 */
export const vatID = 'http://schema.org/vatID' satisfies Property;

/**
 * vehicleConfiguration
 *
 * A short text indicating the configuration of the vehicle, e.g. '5dr hatchback ST 2.5 MT 225 hp' or 'limited edition'.
 *
 * http://schema.org/vehicleConfiguration
 */
export const vehicleConfiguration = 'http://schema.org/vehicleConfiguration' satisfies Property;

/**
 * vehicleEngine
 *
 * Information about the engine or engines of the vehicle.
 *
 * http://schema.org/vehicleEngine
 */
export const vehicleEngine = 'http://schema.org/vehicleEngine' satisfies Property;

/**
 * vehicleIdentificationNumber
 *
 * The Vehicle Identification Number (VIN) is a unique serial number used by the automotive industry to identify individual motor vehicles.
 *
 * http://schema.org/vehicleIdentificationNumber
 */
export const vehicleIdentificationNumber = 'http://schema.org/vehicleIdentificationNumber' satisfies Property;

/**
 * vehicleInteriorColor
 *
 * The color or color combination of the interior of the vehicle.
 *
 * http://schema.org/vehicleInteriorColor
 */
export const vehicleInteriorColor = 'http://schema.org/vehicleInteriorColor' satisfies Property;

/**
 * vehicleInteriorType
 *
 * The type or material of the interior of the vehicle (e.g. synthetic fabric, leather, wood, etc.). While most interior types are characterized by the material used, an interior type can also be based on vehicle usage or target audience.
 *
 * http://schema.org/vehicleInteriorType
 */
export const vehicleInteriorType = 'http://schema.org/vehicleInteriorType' satisfies Property;

/**
 * vehicleModelDate
 *
 * The release date of a vehicle model (often used to differentiate versions of the same make and model).
 *
 * http://schema.org/vehicleModelDate
 */
export const vehicleModelDate = 'http://schema.org/vehicleModelDate' satisfies Property;

/**
 * vehicleSeatingCapacity
 *
 * The number of passengers that can be seated in the vehicle, both in terms of the physical space available, and in terms of limitations set by law.\n\nTypical unit code(s): C62 for persons.
 *
 * http://schema.org/vehicleSeatingCapacity
 */
export const vehicleSeatingCapacity = 'http://schema.org/vehicleSeatingCapacity' satisfies Property;

/**
 * vehicleSpecialUsage
 *
 * Indicates whether the vehicle has been used for special purposes, like commercial rental, driving school, or as a taxi. The legislation in many countries requires this information to be revealed when offering a car for sale.
 *
 * http://schema.org/vehicleSpecialUsage
 */
export const vehicleSpecialUsage = 'http://schema.org/vehicleSpecialUsage' satisfies Property;

/**
 * vehicleTransmission
 *
 * The type of component used for transmitting the power from a rotating power source to the wheels or other relevant component(s) ("gearbox" for cars).
 *
 * http://schema.org/vehicleTransmission
 */
export const vehicleTransmission = 'http://schema.org/vehicleTransmission' satisfies Property;

/**
 * vendor
 *
 * 'vendor' is an earlier term for 'seller'.
 *
 * http://schema.org/vendor
 */
export const vendor = 'http://schema.org/vendor' satisfies Property;

/**
 * verificationFactCheckingPolicy
 *
 * Disclosure about verification and fact-checking processes for a [[NewsMediaOrganization]] or other fact-checking [[Organization]].
 *
 * http://schema.org/verificationFactCheckingPolicy
 */
export const verificationFactCheckingPolicy = 'http://schema.org/verificationFactCheckingPolicy' satisfies Property;

/**
 * version
 *
 * The version of the CreativeWork embodied by a specified resource.
 *
 * http://schema.org/version
 */
export const version = 'http://schema.org/version' satisfies Property;

/**
 * video
 *
 * An embedded video object.
 *
 * http://schema.org/video
 */
export const video = 'http://schema.org/video' satisfies Property;

/**
 * videoFormat
 *
 * The type of screening or video broadcast used (e.g. IMAX, 3D, SD, HD, etc.).
 *
 * http://schema.org/videoFormat
 */
export const videoFormat = 'http://schema.org/videoFormat' satisfies Property;

/**
 * videoFrameSize
 *
 * The frame size of the video.
 *
 * http://schema.org/videoFrameSize
 */
export const videoFrameSize = 'http://schema.org/videoFrameSize' satisfies Property;

/**
 * videoQuality
 *
 * The quality of the video.
 *
 * http://schema.org/videoQuality
 */
export const videoQuality = 'http://schema.org/videoQuality' satisfies Property;

/**
 * volumeNumber
 *
 * Identifies the volume of publication or multi-part work; for example, "iii" or "2".
 *
 * http://schema.org/volumeNumber
 */
export const volumeNumber = 'http://schema.org/volumeNumber' satisfies Property;

/**
 * warning
 *
 * Any FDA or other warnings about the drug (text or URL).
 *
 * http://schema.org/warning
 */
export const warning = 'http://schema.org/warning' satisfies Property;

/**
 * warrantyPromise
 *
 * The warranty promise(s) included in the offer.
 *
 * http://schema.org/warrantyPromise
 */
export const warrantyPromise = 'http://schema.org/warrantyPromise' satisfies Property;

/**
 * warrantyScope
 *
 * The scope of the warranty promise.
 *
 * http://schema.org/warrantyScope
 */
export const warrantyScope = 'http://schema.org/warrantyScope' satisfies Property;

/**
 * webCheckinTime
 *
 * The time when a passenger can check into the flight online.
 *
 * http://schema.org/webCheckinTime
 */
export const webCheckinTime = 'http://schema.org/webCheckinTime' satisfies Property;

/**
 * webFeed
 *
 * The URL for a feed, e.g. associated with a podcast series, blog, or series of date-stamped updates. This is usually RSS or Atom.
 *
 * http://schema.org/webFeed
 */
export const webFeed = 'http://schema.org/webFeed' satisfies Property;

/**
 * weight
 *
 * The weight of the product or person.
 *
 * http://schema.org/weight
 */
export const weight = 'http://schema.org/weight' satisfies Property;

/**
 * weightPercentage
 *
 * Fraction of the weight that is used to compute the shipping price.
 *
 * http://schema.org/weightPercentage
 */
export const weightPercentage = 'http://schema.org/weightPercentage' satisfies Property;

/**
 * weightTotal
 *
 * The permitted total weight of the loaded vehicle, including passengers and cargo and the weight of the empty vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * http://schema.org/weightTotal
 */
export const weightTotal = 'http://schema.org/weightTotal' satisfies Property;

/**
 * wheelbase
 *
 * The distance between the centers of the front and rear wheels.\n\nTypical unit code(s): CMT for centimeters, MTR for meters, INH for inches, FOT for foot/feet.
 *
 * http://schema.org/wheelbase
 */
export const wheelbase = 'http://schema.org/wheelbase' satisfies Property;

/**
 * width
 *
 * The width of the item.
 *
 * http://schema.org/width
 */
export const width = 'http://schema.org/width' satisfies Property;

/**
 * winner
 *
 * A sub property of participant. The winner of the action.
 *
 * http://schema.org/winner
 */
export const winner = 'http://schema.org/winner' satisfies Property;

/**
 * wordCount
 *
 * The number of words in the text of the CreativeWork such as an Article, Book, etc.
 *
 * http://schema.org/wordCount
 */
export const wordCount = 'http://schema.org/wordCount' satisfies Property;

/**
 * workHours
 *
 * The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).
 *
 * http://schema.org/workHours
 */
export const workHours = 'http://schema.org/workHours' satisfies Property;

/**
 * workLocation
 *
 * A contact location for a person's place of work.
 *
 * http://schema.org/workLocation
 */
export const workLocation = 'http://schema.org/workLocation' satisfies Property;

/**
 * workPerformed
 *
 * A work performed in some event, for example a play performed in a TheaterEvent.
 *
 * http://schema.org/workPerformed
 */
export const workPerformed = 'http://schema.org/workPerformed' satisfies Property;

/**
 * workPresented
 *
 * The movie presented during this event.
 *
 * http://schema.org/workPresented
 */
export const workPresented = 'http://schema.org/workPresented' satisfies Property;

/**
 * workload
 *
 * Quantitative measure of the physiologic output of the exercise; also referred to as energy expenditure.
 *
 * http://schema.org/workload
 */
export const workload = 'http://schema.org/workload' satisfies Property;

/**
 * worksFor
 *
 * Organizations that the person works for.
 *
 * http://schema.org/worksFor
 */
export const worksFor = 'http://schema.org/worksFor' satisfies Property;

/**
 * worstRating
 *
 * The lowest value allowed in this rating system.
 *
 * http://schema.org/worstRating
 */
export const worstRating = 'http://schema.org/worstRating' satisfies Property;

/**
 * xpath
 *
 * An XPath, e.g. of a [[SpeakableSpecification]] or [[WebPageElement]]. In the latter case, multiple matches within a page can constitute a single conceptual "Web page element".
 *
 * http://schema.org/xpath
 */
export const xpath = 'http://schema.org/xpath' satisfies Property;

/**
 * yearBuilt
 *
 * The year an [[Accommodation]] was constructed. This corresponds to the [YearBuilt field in RESO](https://ddwiki.reso.org/display/DDW17/YearBuilt+Field). 
 *
 * http://schema.org/yearBuilt
 */
export const yearBuilt = 'http://schema.org/yearBuilt' satisfies Property;

/**
 * yearlyRevenue
 *
 * The size of the business in annual revenue.
 *
 * http://schema.org/yearlyRevenue
 */
export const yearlyRevenue = 'http://schema.org/yearlyRevenue' satisfies Property;

/**
 * yearsInOperation
 *
 * The age of the business.
 *
 * http://schema.org/yearsInOperation
 */
export const yearsInOperation = 'http://schema.org/yearsInOperation' satisfies Property;

/**
 * actionApplication
 *
 * An application that can complete the request.
 *
 * http://schema.org/actionApplication
 */
export const actionApplication = 'http://schema.org/actionApplication' satisfies Property;

/**
 * actionOption
 *
 * A sub property of object. The options subject to this action.
 *
 * http://schema.org/actionOption
 */
export const actionOption = 'http://schema.org/actionOption' satisfies Property;

/**
 * album
 *
 * A music album.
 *
 * http://schema.org/album
 */
export const album = 'http://schema.org/album' satisfies Property;

/**
 * albumRelease
 *
 * A release of this album.
 *
 * http://schema.org/albumRelease
 */
export const albumRelease = 'http://schema.org/albumRelease' satisfies Property;

/**
 * alternateName
 *
 * An alias for the item.
 *
 * http://schema.org/alternateName
 */
export const alternateName = 'http://schema.org/alternateName' satisfies Property;

/**
 * alumni
 *
 * Alumni of an organization.
 *
 * http://schema.org/alumni
 */
export const alumni = 'http://schema.org/alumni' satisfies Property;

/**
 * alumniOf
 *
 * An organization that the person is an alumni of.
 *
 * http://schema.org/alumniOf
 */
export const alumniOf = 'http://schema.org/alumniOf' satisfies Property;

/**
 * http://schema.org/archiveHeld
 */
export const archiveHeld = 'http://schema.org/archiveHeld' satisfies Property;

/**
 * arterialBranch
 *
 * The branches that comprise the arterial structure.
 *
 * http://schema.org/arterialBranch
 */
export const arterialBranch = 'http://schema.org/arterialBranch' satisfies Property;

/**
 * artworkSurface
 *
 * The supporting materials for the artwork, e.g. Canvas, Paper, Wood, Board, etc.
 *
 * http://schema.org/artworkSurface
 */
export const artworkSurface = 'http://schema.org/artworkSurface' satisfies Property;

/**
 * attendee
 *
 * A person or organization attending the event.
 *
 * http://schema.org/attendee
 */
export const attendee = 'http://schema.org/attendee' satisfies Property;

/**
 * audience
 *
 * An intended audience, i.e. a group for whom something was created.
 *
 * http://schema.org/audience
 */
export const audience = 'http://schema.org/audience' satisfies Property;

/**
 * availableOnDevice
 *
 * Device required to run the application. Used in cases where a specific make/model is required to run the application.
 *
 * http://schema.org/availableOnDevice
 */
export const availableOnDevice = 'http://schema.org/availableOnDevice' satisfies Property;

/**
 * award
 *
 * An award won by or for this item.
 *
 * http://schema.org/award
 */
export const award = 'http://schema.org/award' satisfies Property;

/**
 * blogPost
 *
 * A posting that is part of this blog.
 *
 * http://schema.org/blogPost
 */
export const blogPost = 'http://schema.org/blogPost' satisfies Property;

/**
 * broker
 *
 * An entity that arranges for an exchange between a buyer and a seller.  In most cases a broker never acquires or releases ownership of a product or service involved in an exchange.  If it is not clear whether an entity is a broker, seller, or buyer, the latter two terms are preferred.
 *
 * http://schema.org/broker
 */
export const broker = 'http://schema.org/broker' satisfies Property;

/**
 * caption
 *
 * The caption for this object. For downloadable machine formats (closed caption, subtitles etc.) use MediaObject and indicate the [[encodingFormat]].
 *
 * http://schema.org/caption
 */
export const caption = 'http://schema.org/caption' satisfies Property;

/**
 * category
 *
 * A category for the item. Greater signs or slashes can be used to informally indicate a category hierarchy.
 *
 * http://schema.org/category
 */
export const category = 'http://schema.org/category' satisfies Property;

/**
 * childTaxon
 *
 * Closest child taxa of the taxon in question.
 *
 * http://schema.org/childTaxon
 */
export const childTaxon = 'http://schema.org/childTaxon' satisfies Property;

/**
 * clinicalPharmacology
 *
 * Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).
 *
 * http://schema.org/clinicalPharmacology
 */
export const clinicalPharmacology = 'http://schema.org/clinicalPharmacology' satisfies Property;

/**
 * codeSampleType
 *
 * What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.
 *
 * http://schema.org/codeSampleType
 */
export const codeSampleType = 'http://schema.org/codeSampleType' satisfies Property;

/**
 * colleague
 *
 * A colleague of the person.
 *
 * http://schema.org/colleague
 */
export const colleague = 'http://schema.org/colleague' satisfies Property;

/**
 * contactPoint
 *
 * A contact point for a person or organization.
 *
 * http://schema.org/contactPoint
 */
export const contactPoint = 'http://schema.org/contactPoint' satisfies Property;

/**
 * containsPlace
 *
 * The basic containment relation between a place and another that it contains.
 *
 * http://schema.org/containsPlace
 */
export const containsPlace = 'http://schema.org/containsPlace' satisfies Property;

/**
 * containsSeason
 *
 * A season that is part of the media series.
 *
 * http://schema.org/containsSeason
 */
export const containsSeason = 'http://schema.org/containsSeason' satisfies Property;

/**
 * contentLocation
 *
 * The location depicted or described in the content. For example, the location in a photograph or painting.
 *
 * http://schema.org/contentLocation
 */
export const contentLocation = 'http://schema.org/contentLocation' satisfies Property;

/**
 * creator
 *
 * The creator/author of this CreativeWork. This is the same as the Author property for CreativeWork.
 *
 * http://schema.org/creator
 */
export const creator = 'http://schema.org/creator' satisfies Property;

/**
 * dataset
 *
 * A dataset contained in this catalog.
 *
 * http://schema.org/dataset
 */
export const dataset = 'http://schema.org/dataset' satisfies Property;

/**
 * dateCreated
 *
 * The date on which the CreativeWork was created or the item was added to a DataFeed.
 *
 * http://schema.org/dateCreated
 */
export const dateCreated = 'http://schema.org/dateCreated' satisfies Property;

/**
 * director
 *
 * A director of e.g. TV, radio, movie, video gaming etc. content, or of an event. Directors can be associated with individual items or with a series, episode, clip.
 *
 * http://schema.org/director
 */
export const director = 'http://schema.org/director' satisfies Property;

/**
 * duration
 *
 * The duration of the item (movie, audio recording, event, etc.) in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * http://schema.org/duration
 */
export const duration = 'http://schema.org/duration' satisfies Property;

/**
 * employee
 *
 * Someone working for this organization.
 *
 * http://schema.org/employee
 */
export const employee = 'http://schema.org/employee' satisfies Property;

/**
 * encodesBioChemEntity
 *
 * Another BioChemEntity encoded by this one. 
 *
 * http://schema.org/encodesBioChemEntity
 */
export const encodesBioChemEntity = 'http://schema.org/encodesBioChemEntity' satisfies Property;

/**
 * encodesCreativeWork
 *
 * The CreativeWork encoded by this media object.
 *
 * http://schema.org/encodesCreativeWork
 */
export const encodesCreativeWork = 'http://schema.org/encodesCreativeWork' satisfies Property;

/**
 * encodingFormat
 *
 * Media type typically expressed using a MIME format (see [IANA site](http://www.iana.org/assignments/media-types/media-types.xhtml) and [MDN reference](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types)), e.g. application/zip for a SoftwareApplication binary, audio/mpeg for .mp3 etc.
 * 
 * In cases where a [[CreativeWork]] has several media type representations, [[encoding]] can be used to indicate each [[MediaObject]] alongside particular [[encodingFormat]] information.
 * 
 * Unregistered or niche encoding and file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia/Wikidata entry.
 *
 * http://schema.org/encodingFormat
 */
export const encodingFormat = 'http://schema.org/encodingFormat' satisfies Property;

/**
 * episode
 *
 * An episode of a TV, radio or game media within a series or season.
 *
 * http://schema.org/episode
 */
export const episode = 'http://schema.org/episode' satisfies Property;

/**
 * event
 *
 * Upcoming or past event associated with this place, organization, or action.
 *
 * http://schema.org/event
 */
export const event = 'http://schema.org/event' satisfies Property;

/**
 * exampleOfWork
 *
 * A creative work that this work is an example/instance/realization/derivation of.
 *
 * http://schema.org/exampleOfWork
 */
export const exampleOfWork = 'http://schema.org/exampleOfWork' satisfies Property;

/**
 * executableLibraryName
 *
 * Library file name, e.g., mscorlib.dll, system.web.dll.
 *
 * http://schema.org/executableLibraryName
 */
export const executableLibraryName = 'http://schema.org/executableLibraryName' satisfies Property;

/**
 * exerciseCourse
 *
 * A sub property of location. The course where this action was taken.
 *
 * http://schema.org/exerciseCourse
 */
export const exerciseCourse = 'http://schema.org/exerciseCourse' satisfies Property;

/**
 * founder
 *
 * A person or organization who founded this organization.
 *
 * http://schema.org/founder
 */
export const founder = 'http://schema.org/founder' satisfies Property;

/**
 * frequency
 *
 * How often the dose is taken, e.g. 'daily'.
 *
 * http://schema.org/frequency
 */
export const frequency = 'http://schema.org/frequency' satisfies Property;

/**
 * fundedItem
 *
 * Indicates something directly or indirectly funded or sponsored through a [[Grant]]. See also [[ownershipFundingInfo]].
 *
 * http://schema.org/fundedItem
 */
export const fundedItem = 'http://schema.org/fundedItem' satisfies Property;

/**
 * funding
 *
 * A [[Grant]] that directly or indirectly provide funding or sponsorship for this item. See also [[ownershipFundingInfo]].
 *
 * http://schema.org/funding
 */
export const funding = 'http://schema.org/funding' satisfies Property;

/**
 * game
 *
 * Video game which is played on this server.
 *
 * http://schema.org/game
 */
export const game = 'http://schema.org/game' satisfies Property;

/**
 * gameServer
 *
 * The server on which  it is possible to play the game.
 *
 * http://schema.org/gameServer
 */
export const gameServer = 'http://schema.org/gameServer' satisfies Property;

/**
 * genre
 *
 * Genre of the creative work, broadcast channel or group.
 *
 * http://schema.org/genre
 */
export const genre = 'http://schema.org/genre' satisfies Property;

/**
 * hasBioChemEntityPart
 *
 * Indicates a BioChemEntity that (in some sense) has this BioChemEntity as a part. 
 *
 * http://schema.org/hasBioChemEntityPart
 */
export const hasBioChemEntityPart = 'http://schema.org/hasBioChemEntityPart' satisfies Property;

/**
 * hasBroadcastChannel
 *
 * A broadcast channel of a broadcast service.
 *
 * http://schema.org/hasBroadcastChannel
 */
export const hasBroadcastChannel = 'http://schema.org/hasBroadcastChannel' satisfies Property;

/**
 * hasDefinedTerm
 *
 * A Defined Term contained in this term set.
 *
 * http://schema.org/hasDefinedTerm
 */
export const hasDefinedTerm = 'http://schema.org/hasDefinedTerm' satisfies Property;

/**
 * hasMenu
 *
 * Either the actual menu as a structured representation, as text, or a URL of the menu.
 *
 * http://schema.org/hasMenu
 */
export const hasMenu = 'http://schema.org/hasMenu' satisfies Property;

/**
 * hasMerchantReturnPolicy
 *
 * Specifies a MerchantReturnPolicy that may be applicable.
 *
 * http://schema.org/hasMerchantReturnPolicy
 */
export const hasMerchantReturnPolicy = 'http://schema.org/hasMerchantReturnPolicy' satisfies Property;

/**
 * hasTiers
 *
 * The tiers of a member program.
 *
 * http://schema.org/hasTiers
 */
export const hasTiers = 'http://schema.org/hasTiers' satisfies Property;

/**
 * hasVariant
 *
 * Indicates a [[Product]] that is a member of this [[ProductGroup]] (or [[ProductModel]]).
 *
 * http://schema.org/hasVariant
 */
export const hasVariant = 'http://schema.org/hasVariant' satisfies Property;

/**
 * http://schema.org/holdingArchive
 */
export const holdingArchive = 'http://schema.org/holdingArchive' satisfies Property;

/**
 * inDefinedTermSet
 *
 * A [[DefinedTermSet]] that contains this term.
 *
 * http://schema.org/inDefinedTermSet
 */
export const inDefinedTermSet = 'http://schema.org/inDefinedTermSet' satisfies Property;

/**
 * inLanguage
 *
 * The language of the content or performance or used in an action. Please use one of the language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47). See also [[availableLanguage]].
 *
 * http://schema.org/inLanguage
 */
export const inLanguage = 'http://schema.org/inLanguage' satisfies Property;

/**
 * incentiveCompensation
 *
 * Description of bonus and commission compensation aspects of the job.
 *
 * http://schema.org/incentiveCompensation
 */
export const incentiveCompensation = 'http://schema.org/incentiveCompensation' satisfies Property;

/**
 * interactionStatistic
 *
 * The number of interactions for the CreativeWork using the WebSite or SoftwareApplication. The most specific child type of InteractionCounter should be used.
 *
 * http://schema.org/interactionStatistic
 */
export const interactionStatistic = 'http://schema.org/interactionStatistic' satisfies Property;

/**
 * isAccessibleForFree
 *
 * A flag to signal that the item, event, or place is accessible for free.
 *
 * http://schema.org/isAccessibleForFree
 */
export const isAccessibleForFree = 'http://schema.org/isAccessibleForFree' satisfies Property;

/**
 * isBasedOn
 *
 * A resource from which this work is derived or from which it is a modification or adaptation.
 *
 * http://schema.org/isBasedOn
 */
export const isBasedOn = 'http://schema.org/isBasedOn' satisfies Property;

/**
 * isEncodedByBioChemEntity
 *
 * Another BioChemEntity encoding by this one.
 *
 * http://schema.org/isEncodedByBioChemEntity
 */
export const isEncodedByBioChemEntity = 'http://schema.org/isEncodedByBioChemEntity' satisfies Property;

/**
 * isPartOfBioChemEntity
 *
 * Indicates a BioChemEntity that is (in some sense) a part of this BioChemEntity. 
 *
 * http://schema.org/isPartOfBioChemEntity
 */
export const isPartOfBioChemEntity = 'http://schema.org/isPartOfBioChemEntity' satisfies Property;

/**
 * isTierOf
 *
 * The member program this tier is a part of.
 *
 * http://schema.org/isTierOf
 */
export const isTierOf = 'http://schema.org/isTierOf' satisfies Property;

/**
 * isVariantOf
 *
 * Indicates the kind of product that this is a variant of. In the case of [[ProductModel]], this is a pointer (from a ProductModel) to a base product from which this product is a variant. It is safe to infer that the variant inherits all product features from the base model, unless defined locally. This is not transitive. In the case of a [[ProductGroup]], the group description also serves as a template, representing a set of Products that vary on explicitly defined, specific dimensions only (so it defines both a set of variants, as well as which values distinguish amongst those variants). When used with [[ProductGroup]], this property can apply to any [[Product]] included in the group.
 *
 * http://schema.org/isVariantOf
 */
export const isVariantOf = 'http://schema.org/isVariantOf' satisfies Property;

/**
 * itemOffered
 *
 * An item being offered (or demanded). The transactional nature of the offer or demand is documented using [[businessFunction]], e.g. sell, lease etc. While several common expected types are listed explicitly in this definition, others can be used. Using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.
 *
 * http://schema.org/itemOffered
 */
export const itemOffered = 'http://schema.org/itemOffered' satisfies Property;

/**
 * jobBenefits
 *
 * Description of benefits associated with the job.
 *
 * http://schema.org/jobBenefits
 */
export const jobBenefits = 'http://schema.org/jobBenefits' satisfies Property;

/**
 * jurisdiction
 *
 * Indicates a legal jurisdiction, e.g. of some legislation, or where some government service is based.
 *
 * http://schema.org/jurisdiction
 */
export const jurisdiction = 'http://schema.org/jurisdiction' satisfies Property;

/**
 * mainContentOfPage
 *
 * Indicates if this web page element is the main subject of the page.
 *
 * http://schema.org/mainContentOfPage
 */
export const mainContentOfPage = 'http://schema.org/mainContentOfPage' satisfies Property;

/**
 * mainEntity
 *
 * Indicates the primary entity described in some page or other CreativeWork.
 *
 * http://schema.org/mainEntity
 */
export const mainEntity = 'http://schema.org/mainEntity' satisfies Property;

/**
 * mainEntityOfPage
 *
 * Indicates a page (or other CreativeWork) for which this thing is the main entity being described. See [background notes](/docs/datamodel.html#mainEntityBackground) for details.
 *
 * http://schema.org/mainEntityOfPage
 */
export const mainEntityOfPage = 'http://schema.org/mainEntityOfPage' satisfies Property;

/**
 * makesOffer
 *
 * A pointer to products or services offered by the organization or person.
 *
 * http://schema.org/makesOffer
 */
export const makesOffer = 'http://schema.org/makesOffer' satisfies Property;

/**
 * measurementTechnique
 *
 * A technique, method or technology used in an [[Observation]], [[StatisticalVariable]] or [[Dataset]] (or [[DataDownload]], [[DataCatalog]]), corresponding to the method used for measuring the corresponding variable(s) (for datasets, described using [[variableMeasured]]; for [[Observation]], a [[StatisticalVariable]]). Often but not necessarily each [[variableMeasured]] will have an explicit representation as (or mapping to) an property such as those defined in Schema.org, or other RDF vocabularies and "knowledge graphs". In that case the subproperty of [[variableMeasured]] called [[measuredProperty]] is applicable.
 *     
 * The [[measurementTechnique]] property helps when extra clarification is needed about how a [[measuredProperty]] was measured. This is oriented towards scientific and scholarly dataset publication but may have broader applicability; it is not intended as a full representation of measurement, but can often serve as a high level summary for dataset discovery. 
 * 
 * For example, if [[variableMeasured]] is: molecule concentration, [[measurementTechnique]] could be: "mass spectrometry" or "nmr spectroscopy" or "colorimetry" or "immunofluorescence". If the [[variableMeasured]] is "depression rating", the [[measurementTechnique]] could be "Zung Scale" or "HAM-D" or "Beck Depression Inventory". 
 * 
 * If there are several [[variableMeasured]] properties recorded for some given data object, use a [[PropertyValue]] for each [[variableMeasured]] and attach the corresponding [[measurementTechnique]]. The value can also be from an enumeration, organized as a [[MeasurementMetholdEnumeration]].
 *
 * http://schema.org/measurementTechnique
 */
export const measurementTechnique = 'http://schema.org/measurementTechnique' satisfies Property;

/**
 * merchantReturnDays
 *
 * Specifies either a fixed return date or the number of days (from the delivery date) that a product can be returned. Used when the [[returnPolicyCategory]] property is specified as [[MerchantReturnFiniteReturnWindow]].
 *
 * http://schema.org/merchantReturnDays
 */
export const merchantReturnDays = 'http://schema.org/merchantReturnDays' satisfies Property;

/**
 * merchantReturnLink
 *
 * Specifies a Web page or service by URL, for product returns.
 *
 * http://schema.org/merchantReturnLink
 */
export const merchantReturnLink = 'http://schema.org/merchantReturnLink' satisfies Property;

/**
 * offeredBy
 *
 * A pointer to the organization or person making the offer.
 *
 * http://schema.org/offeredBy
 */
export const offeredBy = 'http://schema.org/offeredBy' satisfies Property;

/**
 * offers
 *
 * An offer to provide this item&#x2014;for example, an offer to sell a product, rent the DVD of a movie, perform a service, or give away tickets to an event. Use [[businessFunction]] to indicate the kind of transaction offered, i.e. sell, lease, etc. This property can also be used to describe a [[Demand]]. While this property is listed as expected on a number of common types, it can be used in others. In that case, using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.
 *       
 *
 * http://schema.org/offers
 */
export const offers = 'http://schema.org/offers' satisfies Property;

/**
 * parent
 *
 * A parent of this person.
 *
 * http://schema.org/parent
 */
export const parent = 'http://schema.org/parent' satisfies Property;

/**
 * parentTaxon
 *
 * Closest parent taxon of the taxon in question.
 *
 * http://schema.org/parentTaxon
 */
export const parentTaxon = 'http://schema.org/parentTaxon' satisfies Property;

/**
 * partOfSeries
 *
 * The series to which this episode or season belongs.
 *
 * http://schema.org/partOfSeries
 */
export const partOfSeries = 'http://schema.org/partOfSeries' satisfies Property;

/**
 * partOfTrip
 *
 * Identifies that this [[Trip]] is a subTrip of another Trip.  For example Day 1, Day 2, etc. of a multi-day trip.
 *
 * http://schema.org/partOfTrip
 */
export const partOfTrip = 'http://schema.org/partOfTrip' satisfies Property;

/**
 * paymentDueDate
 *
 * The date that payment is due.
 *
 * http://schema.org/paymentDueDate
 */
export const paymentDueDate = 'http://schema.org/paymentDueDate' satisfies Property;

/**
 * performTime
 *
 * The length of time it takes to perform instructions or a direction (not including time to prepare the supplies), in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * http://schema.org/performTime
 */
export const performTime = 'http://schema.org/performTime' satisfies Property;

/**
 * performer
 *
 * A performer at the event&#x2014;for example, a presenter, musician, musical group or actor.
 *
 * http://schema.org/performer
 */
export const performer = 'http://schema.org/performer' satisfies Property;

/**
 * photo
 *
 * A photograph of this place.
 *
 * http://schema.org/photo
 */
export const photo = 'http://schema.org/photo' satisfies Property;

/**
 * provider
 *
 * The service provider, service operator, or service performer; the goods producer. Another party (a seller) may offer those services or goods on behalf of the provider. A provider may also serve as the seller.
 *
 * http://schema.org/provider
 */
export const provider = 'http://schema.org/provider' satisfies Property;

/**
 * providesBroadcastService
 *
 * The BroadcastService offered on this channel.
 *
 * http://schema.org/providesBroadcastService
 */
export const providesBroadcastService = 'http://schema.org/providesBroadcastService' satisfies Property;

/**
 * recipeIngredient
 *
 * A single ingredient used in the recipe, e.g. sugar, flour or garlic.
 *
 * http://schema.org/recipeIngredient
 */
export const recipeIngredient = 'http://schema.org/recipeIngredient' satisfies Property;

/**
 * recordedAs
 *
 * An audio recording of the work.
 *
 * http://schema.org/recordedAs
 */
export const recordedAs = 'http://schema.org/recordedAs' satisfies Property;

/**
 * recordedAt
 *
 * The Event where the CreativeWork was recorded. The CreativeWork may capture all or part of the event.
 *
 * http://schema.org/recordedAt
 */
export const recordedAt = 'http://schema.org/recordedAt' satisfies Property;

/**
 * recordedIn
 *
 * The CreativeWork that captured all or part of this Event.
 *
 * http://schema.org/recordedIn
 */
export const recordedIn = 'http://schema.org/recordedIn' satisfies Property;

/**
 * recordingOf
 *
 * The composition this track is a recording of.
 *
 * http://schema.org/recordingOf
 */
export const recordingOf = 'http://schema.org/recordingOf' satisfies Property;

/**
 * releaseOf
 *
 * The album this is a release of.
 *
 * http://schema.org/releaseOf
 */
export const releaseOf = 'http://schema.org/releaseOf' satisfies Property;

/**
 * review
 *
 * A review of the item.
 *
 * http://schema.org/review
 */
export const review = 'http://schema.org/review' satisfies Property;

/**
 * roleName
 *
 * A role played, performed or filled by a person or organization. For example, the team of creators for a comic book might fill the roles named 'inker', 'penciller', and 'letterer'; or an athlete in a SportsTeam might play in the position named 'Quarterback'.
 *
 * http://schema.org/roleName
 */
export const roleName = 'http://schema.org/roleName' satisfies Property;

/**
 * runtimePlatform
 *
 * Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .NET Framework 3.0).
 *
 * http://schema.org/runtimePlatform
 */
export const runtimePlatform = 'http://schema.org/runtimePlatform' satisfies Property;

/**
 * season
 *
 * A season in a media series.
 *
 * http://schema.org/season
 */
export const season = 'http://schema.org/season' satisfies Property;

/**
 * serialNumber
 *
 * The serial number or any alphanumeric identifier of a particular product. When attached to an offer, it is a shortcut for the serial number of the product included in the offer.
 *
 * http://schema.org/serialNumber
 */
export const serialNumber = 'http://schema.org/serialNumber' satisfies Property;

/**
 * serviceArea
 *
 * The geographic area where the service is provided.
 *
 * http://schema.org/serviceArea
 */
export const serviceArea = 'http://schema.org/serviceArea' satisfies Property;

/**
 * serviceOutput
 *
 * The tangible thing generated by the service, e.g. a passport, permit, etc.
 *
 * http://schema.org/serviceOutput
 */
export const serviceOutput = 'http://schema.org/serviceOutput' satisfies Property;

/**
 * sibling
 *
 * A sibling of the person.
 *
 * http://schema.org/sibling
 */
export const sibling = 'http://schema.org/sibling' satisfies Property;

/**
 * significantLink
 *
 * One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.
 *
 * http://schema.org/significantLink
 */
export const significantLink = 'http://schema.org/significantLink' satisfies Property;

/**
 * softwareRequirements
 *
 * Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (examples: DirectX, Java or .NET runtime).
 *
 * http://schema.org/softwareRequirements
 */
export const softwareRequirements = 'http://schema.org/softwareRequirements' satisfies Property;

/**
 * sponsor
 *
 * A person or organization that supports a thing through a pledge, promise, or financial contribution. E.g. a sponsor of a Medical Study or a corporate sponsor of an event.
 *
 * http://schema.org/sponsor
 */
export const sponsor = 'http://schema.org/sponsor' satisfies Property;

/**
 * subOrganization
 *
 * A relationship between two organizations where the first includes the second, e.g., as a subsidiary. See also: the more specific 'department' property.
 *
 * http://schema.org/subOrganization
 */
export const subOrganization = 'http://schema.org/subOrganization' satisfies Property;

/**
 * subTrip
 *
 * Identifies a [[Trip]] that is a subTrip of this Trip.  For example Day 1, Day 2, etc. of a multi-day trip.
 *
 * http://schema.org/subTrip
 */
export const subTrip = 'http://schema.org/subTrip' satisfies Property;

/**
 * subjectOf
 *
 * A CreativeWork or Event about this Thing.
 *
 * http://schema.org/subjectOf
 */
export const subjectOf = 'http://schema.org/subjectOf' satisfies Property;

/**
 * suggestedAnswer
 *
 * An answer (possibly one of several, possibly incorrect) to a Question, e.g. on a Question/Answer site.
 *
 * http://schema.org/suggestedAnswer
 */
export const suggestedAnswer = 'http://schema.org/suggestedAnswer' satisfies Property;

/**
 * superEvent
 *
 * An event that this event is a part of. For example, a collection of individual music performances might each have a music festival as their superEvent.
 *
 * http://schema.org/superEvent
 */
export const superEvent = 'http://schema.org/superEvent' satisfies Property;

/**
 * targetCollection
 *
 * A sub property of object. The collection target of the action.
 *
 * http://schema.org/targetCollection
 */
export const targetCollection = 'http://schema.org/targetCollection' satisfies Property;

/**
 * temporalCoverage
 *
 * The temporalCoverage of a CreativeWork indicates the period that the content applies to, i.e. that it describes, either as a DateTime or as a textual string indicating a time period in [ISO 8601 time interval format](https://en.wikipedia.org/wiki/ISO_8601#Time_intervals). In
 *       the case of a Dataset it will typically indicate the relevant time period in a precise notation (e.g. for a 2011 census dataset, the year 2011 would be written "2011/2012"). Other forms of content, e.g. ScholarlyArticle, Book, TVSeries or TVEpisode, may indicate their temporalCoverage in broader terms - textually or via well-known URL.
 *       Written works such as books may sometimes have precise temporal coverage too, e.g. a work set in 1939 - 1945 can be indicated in ISO 8601 interval format format via "1939/1945".
 * 
 * Open-ended date ranges can be written with ".." in place of the end date. For example, "2015-11/.." indicates a range beginning in November 2015 and with no specified final date. This is tentative and might be updated in future when ISO 8601 is officially updated.
 *
 * http://schema.org/temporalCoverage
 */
export const temporalCoverage = 'http://schema.org/temporalCoverage' satisfies Property;

/**
 * termCode
 *
 * A code that identifies this [[DefinedTerm]] within a [[DefinedTermSet]].
 *
 * http://schema.org/termCode
 */
export const termCode = 'http://schema.org/termCode' satisfies Property;

/**
 * track
 *
 * A music recording (track)&#x2014;usually a single song. If an ItemList is given, the list should contain items of type MusicRecording.
 *
 * http://schema.org/track
 */
export const track = 'http://schema.org/track' satisfies Property;

/**
 * translationOfWork
 *
 * The work that this work has been translated from. E.g. 物种起源 is a translationOf “On the Origin of Species”.
 *
 * http://schema.org/translationOfWork
 */
export const translationOfWork = 'http://schema.org/translationOfWork' satisfies Property;

/**
 * usageInfo
 *
 * The schema.org [[usageInfo]] property indicates further information about a [[CreativeWork]]. This property is applicable both to works that are freely available and to those that require payment or other transactions. It can reference additional information, e.g. community expectations on preferred linking and citation conventions, as well as purchasing details. For something that can be commercially licensed, usageInfo can provide detailed, resource-specific information about licensing options.
 * 
 * This property can be used alongside the license property which indicates license(s) applicable to some piece of content. The usageInfo property can provide information about other licensing options, e.g. acquiring commercial usage rights for an image that is also available under non-commercial creative commons licenses.
 *
 * http://schema.org/usageInfo
 */
export const usageInfo = 'http://schema.org/usageInfo' satisfies Property;

/**
 * warranty
 *
 * The warranty promise(s) included in the offer.
 *
 * http://schema.org/warranty
 */
export const warranty = 'http://schema.org/warranty' satisfies Property;

/**
 * workTranslation
 *
 * A work that is a translation of the content of this work. E.g. 西遊記 has an English workTranslation “Journey to the West”, a German workTranslation “Monkeys Pilgerfahrt” and a Vietnamese  translation Tây du ký bình khảo.
 *
 * http://schema.org/workTranslation
 */
export const workTranslation = 'http://schema.org/workTranslation' satisfies Property;

/**
 * yield
 *
 * The quantity that results by performing instructions. For example, a paper airplane, 10 personalized candles.
 * Note that `yield` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * http://schema.org/yield
 */
export const yield__workaround = 'http://schema.org/yield' satisfies Property;

/**
 * about
 *
 * The subject matter of the content.
 *
 * http://schema.org/about
 */
export const about = 'http://schema.org/about' satisfies Property;

/**
 * actor
 *
 * An actor (individual or a group), e.g. in TV, radio, movie, video games etc., or in an event. Actors can be associated with individual items or with a series, episode, clip.
 *
 * http://schema.org/actor
 */
export const actor = 'http://schema.org/actor' satisfies Property;

/**
 * associatedReview
 *
 * An associated [[Review]].
 *
 * http://schema.org/associatedReview
 */
export const associatedReview = 'http://schema.org/associatedReview' satisfies Property;

/**
 * competitor
 *
 * A competitor in a sports event.
 *
 * http://schema.org/competitor
 */
export const competitor = 'http://schema.org/competitor' satisfies Property;

/**
 * containedInPlace
 *
 * The basic containment relation between a place and one that contains it.
 *
 * http://schema.org/containedInPlace
 */
export const containedInPlace = 'http://schema.org/containedInPlace' satisfies Property;

/**
 * encoding
 *
 * A media object that encodes this CreativeWork. This property is a synonym for associatedMedia.
 *
 * http://schema.org/encoding
 */
export const encoding = 'http://schema.org/encoding' satisfies Property;

/**
 * hasMap
 *
 * A URL to a map of the place.
 *
 * http://schema.org/hasMap
 */
export const hasMap = 'http://schema.org/hasMap' satisfies Property;

/**
 * legislationApplies
 *
 * Indicates that this legislation (or part of a legislation) somehow transfers another legislation in a different legislative context. This is an informative link, and it has no legal value. For legally-binding links of transposition, use the <a href="/legislationTransposes">legislationTransposes</a> property. For example an informative consolidated law of a European Union's member state "applies" the consolidated version of the European Directive implemented in it.
 *
 * http://schema.org/legislationApplies
 */
export const legislationApplies = 'http://schema.org/legislationApplies' satisfies Property;

/**
 * material
 *
 * A material that something is made from, e.g. leather, wool, cotton, paper.
 *
 * http://schema.org/material
 */
export const material = 'http://schema.org/material' satisfies Property;

/**
 * memberOf
 *
 * An Organization (or ProgramMembership) to which this Person or Organization belongs.
 *
 * http://schema.org/memberOf
 */
export const memberOf = 'http://schema.org/memberOf' satisfies Property;

/**
 * parentOrganization
 *
 * The larger organization that this organization is a [[subOrganization]] of, if any.
 *
 * http://schema.org/parentOrganization
 */
export const parentOrganization = 'http://schema.org/parentOrganization' satisfies Property;

/**
 * result
 *
 * The result produced in the action. E.g. John wrote *a book*.
 *
 * http://schema.org/result
 */
export const result = 'http://schema.org/result' satisfies Property;

/**
 * seller
 *
 * An entity which offers (sells / leases / lends / loans) the services / goods.  A seller may also be a provider.
 *
 * http://schema.org/seller
 */
export const seller = 'http://schema.org/seller' satisfies Property;

/**
 * spatialCoverage
 *
 * The spatialCoverage of a CreativeWork indicates the place(s) which are the focus of the content. It is a subproperty of
 *       contentLocation intended primarily for more technical and detailed materials. For example with a Dataset, it indicates
 *       areas that the dataset describes: a dataset of New York weather would have spatialCoverage which was the place: the state of New York.
 *
 * http://schema.org/spatialCoverage
 */
export const spatialCoverage = 'http://schema.org/spatialCoverage' satisfies Property;

/**
 * step
 *
 * A single step item (as HowToStep, text, document, video, etc.) or a HowToSection.
 *
 * http://schema.org/step
 */
export const step = 'http://schema.org/step' satisfies Property;

/**
 * subEvent
 *
 * An Event that is part of this event. For example, a conference event includes many presentations, each of which is a subEvent of the conference.
 *
 * http://schema.org/subEvent
 */
export const subEvent = 'http://schema.org/subEvent' satisfies Property;

/**
 * supply
 *
 * A sub-property of instrument. A supply consumed when performing instructions or a direction.
 *
 * http://schema.org/supply
 */
export const supply = 'http://schema.org/supply' satisfies Property;

/**
 * workFeatured
 *
 * A work featured in some event, e.g. exhibited in an ExhibitionEvent.
 *        Specific subproperties are available for workPerformed (e.g. a play), or a workPresented (a Movie at a ScreeningEvent).
 *
 * http://schema.org/workFeatured
 */
export const workFeatured = 'http://schema.org/workFeatured' satisfies Property;

/**
 * areaServed
 *
 * The geographic area where a service or offered item is provided.
 *
 * http://schema.org/areaServed
 */
export const areaServed = 'http://schema.org/areaServed' satisfies Property;

/**
 * includedInDataCatalog
 *
 * A data catalog which contains this dataset.
 *
 * http://schema.org/includedInDataCatalog
 */
export const includedInDataCatalog = 'http://schema.org/includedInDataCatalog' satisfies Property;

/**
 * legislationChanges
 *
 * Another legislation that this legislation changes. This encompasses the notions of amendment, replacement, correction, repeal, or other types of change. This may be a direct change (textual or non-textual amendment) or a consequential or indirect change. The property is to be used to express the existence of a change relationship between two acts rather than the existence of a consolidated version of the text that shows the result of the change. For consolidation relationships, use the <a href="/legislationConsolidates">legislationConsolidates</a> property.
 *
 * http://schema.org/legislationChanges
 */
export const legislationChanges = 'http://schema.org/legislationChanges' satisfies Property;

/**
 * member
 *
 * A member of an Organization or a ProgramMembership. Organizations can be members of organizations; ProgramMembership is typically for individuals.
 *
 * http://schema.org/member
 */
export const member = 'http://schema.org/member' satisfies Property;

/**
 * recipient
 *
 * A sub property of participant. The participant who is at the receiving end of the action.
 *
 * http://schema.org/recipient
 */
export const recipient = 'http://schema.org/recipient' satisfies Property;

/**
 * workExample
 *
 * Example/instance/realization/derivation of the concept of this creative work. E.g. the paperback edition, first edition, or e-book.
 *
 * http://schema.org/workExample
 */
export const workExample = 'http://schema.org/workExample' satisfies Property;

/**
 * description
 *
 * A description of the item.
 *
 * http://schema.org/description
 */
export const description = 'http://schema.org/description' satisfies Property;

/**
 * gtin
 *
 * A Global Trade Item Number ([GTIN](https://www.gs1.org/standards/id-keys/gtin)). GTINs identify trade items, including products and services, using numeric identification codes.
 * 
 * A correct [[gtin]] value should be a valid GTIN, which means that it should be an all-numeric string of either 8, 12, 13 or 14 digits, or a "GS1 Digital Link" URL based on such a string. The numeric component should also have a [valid GS1 check digit](https://www.gs1.org/services/check-digit-calculator) and meet the other rules for valid GTINs. See also [GS1's GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) and [Wikipedia](https://en.wikipedia.org/wiki/Global_Trade_Item_Number) for more details. Left-padding of the gtin values is not required or encouraged. The [[gtin]] property generalizes the earlier [[gtin8]], [[gtin12]], [[gtin13]], and [[gtin14]] properties.
 * 
 * The GS1 [digital link specifications](https://www.gs1.org/standards/Digital-Link/) expresses GTINs as URLs (URIs, IRIs, etc.).
 * Digital Links should be populated into the [[hasGS1DigitalLink]] attribute.
 * 
 * Note also that this is a definition for how to include GTINs in Schema.org data, and not a definition of GTINs in general - see the GS1 documentation for authoritative details.
 *
 * http://schema.org/gtin
 */
export const gtin = 'http://schema.org/gtin' satisfies Property;

/**
 * hasRepresentation
 *
 * A common representation such as a protein sequence or chemical structure for this entity. For images use schema.org/image.
 *
 * http://schema.org/hasRepresentation
 */
export const hasRepresentation = 'http://schema.org/hasRepresentation' satisfies Property;

/**
 * image
 *
 * An image of the item. This can be a [[URL]] or a fully described [[ImageObject]].
 *
 * http://schema.org/image
 */
export const image = 'http://schema.org/image' satisfies Property;

/**
 * hasPart
 *
 * Indicates an item or CreativeWork that is part of this item, or CreativeWork (in some sense).
 *
 * http://schema.org/hasPart
 */
export const hasPart = 'http://schema.org/hasPart' satisfies Property;

/**
 * position
 *
 * The position of an item in a series or sequence of items.
 *
 * http://schema.org/position
 */
export const position = 'http://schema.org/position' satisfies Property;

/**
 * isPartOf
 *
 * Indicates an item or CreativeWork that this item, or CreativeWork (in some sense), is part of.
 *
 * http://schema.org/isPartOf
 */
export const isPartOf = 'http://schema.org/isPartOf' satisfies Property;

/**
 * instrument
 *
 * The object that helped the agent perform the action. E.g. John wrote a book with *a pen*.
 *
 * http://schema.org/instrument
 */
export const instrument = 'http://schema.org/instrument' satisfies Property;

/**
 * object
 *
 * The object upon which the action is carried out, whose state is kept intact or changed. Also known as the semantic roles patient, affected or undergoer (which change their state) or theme (which doesn't). E.g. John read *a book*.
 *
 * http://schema.org/object
 */
export const object = 'http://schema.org/object' satisfies Property;

/**
 * publishingPrinciples
 *
 * The publishingPrinciples property indicates (typically via [[URL]]) a document describing the editorial principles of an [[Organization]] (or individual, e.g. a [[Person]] writing a blog) that relate to their activities as a publisher, e.g. ethics or diversity policies. When applied to a [[CreativeWork]] (e.g. [[NewsArticle]]) the principles are those of the party primarily responsible for the creation of the [[CreativeWork]].
 * 
 * While such policies are most typically expressed in natural language, sometimes related information (e.g. indicating a [[funder]]) can be expressed using schema.org terminology.
 * 
 *
 * http://schema.org/publishingPrinciples
 */
export const publishingPrinciples = 'http://schema.org/publishingPrinciples' satisfies Property;

/**
 * location
 *
 * The location of, for example, where an event is happening, where an organization is located, or where an action takes place.
 *
 * http://schema.org/location
 */
export const location = 'http://schema.org/location' satisfies Property;

/**
 * participant
 *
 * Other co-agents that participated in the action indirectly. E.g. John wrote a book with *Steve*.
 *
 * http://schema.org/participant
 */
export const participant = 'http://schema.org/participant' satisfies Property;

/**
 * identifier
 *
 * The identifier property represents any kind of identifier for any kind of [[Thing]], such as ISBNs, GTIN codes, UUIDs etc. Schema.org provides dedicated properties for representing many of these, either as textual strings or as URL (URI) links. See [background notes](/docs/datamodel.html#identifierBg) for more details.
 *         
 *
 * http://schema.org/identifier
 */
export const identifier = 'http://schema.org/identifier' satisfies Property;
