/**
 * AMRadioChannel
 *
 * A radio channel that uses AM.
 *
 * https://schema.org/AMRadioChannel
 */
var AMRadioChannel = 'https://schema.org/AMRadioChannel';
/**
 * APIReference
 *
 * Reference documentation for application programming interfaces (APIs).
 *
 * https://schema.org/APIReference
 */
var APIReference = 'https://schema.org/APIReference';
/**
 * AboutPage
 *
 * Web page type: About page.
 *
 * https://schema.org/AboutPage
 */
var AboutPage = 'https://schema.org/AboutPage';
/**
 * AcceptAction
 *
 * The act of committing to/adopting an object.\n\nRelated actions:\n\n* [[RejectAction]]: The antonym of AcceptAction.
 *
 * https://schema.org/AcceptAction
 */
var AcceptAction = 'https://schema.org/AcceptAction';
/**
 * Accommodation
 *
 * An accommodation is a place that can accommodate human beings, e.g. a hotel room, a camping pitch, or a meeting room. Many accommodations are for overnight stays, but this is not a mandatory requirement.
 * For more specific types of accommodations not defined in schema.org, one can use [[additionalType]] with external vocabularies.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/Accommodation
 */
var Accommodation = 'https://schema.org/Accommodation';
/**
 * AccountingService
 *
 * Accountancy business.\n\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\(s).
 *
 *
 * https://schema.org/AccountingService
 */
var AccountingService = 'https://schema.org/AccountingService';
/**
 * AchieveAction
 *
 * The act of accomplishing something via previous efforts. It is an instantaneous action rather than an ongoing process.
 *
 * https://schema.org/AchieveAction
 */
var AchieveAction = 'https://schema.org/AchieveAction';
/**
 * Action
 *
 * An action performed by a direct agent and indirect participants upon a direct object. Optionally happens at a location with the help of an inanimate instrument. The execution of the action may produce a result. Specific action sub-type documentation specifies the exact expectation of each argument/role.\n\nSee also [blog post](http://blog.schema.org/2014/04/announcing-schemaorg-actions.html) and [Actions overview document](https://schema.org/docs/actions.html).
 *
 * https://schema.org/Action
 */
var Action = 'https://schema.org/Action';
/**
 * ActionAccessSpecification
 *
 * A set of requirements that must be fulfilled in order to perform an Action.
 *
 * https://schema.org/ActionAccessSpecification
 */
var ActionAccessSpecification = 'https://schema.org/ActionAccessSpecification';
/**
 * ActionStatusType
 *
 * The status of an Action.
 *
 * https://schema.org/ActionStatusType
 */
var ActionStatusType = 'https://schema.org/ActionStatusType';
/**
 * ActivateAction
 *
 * The act of starting or activating a device or application (e.g. starting a timer or turning on a flashlight).
 *
 * https://schema.org/ActivateAction
 */
var ActivateAction = 'https://schema.org/ActivateAction';
/**
 * AddAction
 *
 * The act of editing by adding an object to a collection.
 *
 * https://schema.org/AddAction
 */
var AddAction = 'https://schema.org/AddAction';
/**
 * AdministrativeArea
 *
 * A geographical region, typically under the jurisdiction of a particular government.
 *
 * https://schema.org/AdministrativeArea
 */
var AdministrativeArea = 'https://schema.org/AdministrativeArea';
/**
 * AdultEntertainment
 *
 * An adult entertainment establishment.
 *
 * https://schema.org/AdultEntertainment
 */
var AdultEntertainment = 'https://schema.org/AdultEntertainment';
/**
 * AdultOrientedEnumeration
 *
 * Enumeration of considerations that make a product relevant or potentially restricted for adults only.
 *
 * https://schema.org/AdultOrientedEnumeration
 */
var AdultOrientedEnumeration = 'https://schema.org/AdultOrientedEnumeration';
/**
 * AdvertiserContentArticle
 *
 * An [[Article]] that an external entity has paid to place or to produce to its specifications. Includes [advertorials](https://en.wikipedia.org/wiki/Advertorial), sponsored content, native advertising and other paid content.
 *
 * https://schema.org/AdvertiserContentArticle
 */
var AdvertiserContentArticle = 'https://schema.org/AdvertiserContentArticle';
/**
 * AggregateOffer
 *
 * When a single product is associated with multiple offers (for example, the same pair of shoes is offered by different merchants), then AggregateOffer can be used.\n\nNote: AggregateOffers are normally expected to associate multiple offers that all share the same defined [[businessFunction]] value, or default to http://purl.org/goodrelations/v1#Sell if businessFunction is not explicitly defined.
 *
 * https://schema.org/AggregateOffer
 */
var AggregateOffer = 'https://schema.org/AggregateOffer';
/**
 * AggregateRating
 *
 * The average rating based on multiple ratings or reviews.
 *
 * https://schema.org/AggregateRating
 */
var AggregateRating = 'https://schema.org/AggregateRating';
/**
 * AgreeAction
 *
 * The act of expressing a consistency of opinion with the object. An agent agrees to/about an object (a proposition, topic or theme) with participants.
 *
 * https://schema.org/AgreeAction
 */
var AgreeAction = 'https://schema.org/AgreeAction';
/**
 * Airline
 *
 * An organization that provides flights for passengers.
 *
 * https://schema.org/Airline
 */
var Airline = 'https://schema.org/Airline';
/**
 * Airport
 *
 * An airport.
 *
 * https://schema.org/Airport
 */
var Airport = 'https://schema.org/Airport';
/**
 * AlignmentObject
 *
 * An intangible item that describes an alignment between a learning resource and a node in an educational framework.
 *
 * Should not be used where the nature of the alignment can be described using a simple property, for example to express that a resource [[teaches]] or [[assesses]] a competency.
 *
 * https://schema.org/AlignmentObject
 */
var AlignmentObject = 'https://schema.org/AlignmentObject';
/**
 * AllocateAction
 *
 * The act of organizing tasks/objects/events by associating resources to it.
 *
 * https://schema.org/AllocateAction
 */
var AllocateAction = 'https://schema.org/AllocateAction';
/**
 * AmpStory
 *
 * A creative work with a visual storytelling format intended to be viewed online, particularly on mobile devices.
 *
 * https://schema.org/AmpStory
 */
var AmpStory = 'https://schema.org/AmpStory';
/**
 * AmusementPark
 *
 * An amusement park.
 *
 * https://schema.org/AmusementPark
 */
var AmusementPark = 'https://schema.org/AmusementPark';
/**
 * AnalysisNewsArticle
 *
 * An AnalysisNewsArticle is a [[NewsArticle]] that, while based on factual reporting, incorporates the expertise of the author/producer, offering interpretations and conclusions.
 *
 * https://schema.org/AnalysisNewsArticle
 */
var AnalysisNewsArticle = 'https://schema.org/AnalysisNewsArticle';
/**
 * AnatomicalStructure
 *
 * Any part of the human body, typically a component of an anatomical system. Organs, tissues, and cells are all anatomical structures.
 *
 * https://schema.org/AnatomicalStructure
 */
var AnatomicalStructure = 'https://schema.org/AnatomicalStructure';
/**
 * AnatomicalSystem
 *
 * An anatomical system is a group of anatomical structures that work together to perform a certain task. Anatomical systems, such as organ systems, are one organizing principle of anatomy, and can include circulatory, digestive, endocrine, integumentary, immune, lymphatic, muscular, nervous, reproductive, respiratory, skeletal, urinary, vestibular, and other systems.
 *
 * https://schema.org/AnatomicalSystem
 */
var AnatomicalSystem = 'https://schema.org/AnatomicalSystem';
/**
 * AnimalShelter
 *
 * Animal shelter.
 *
 * https://schema.org/AnimalShelter
 */
var AnimalShelter = 'https://schema.org/AnimalShelter';
/**
 * Answer
 *
 * An answer offered to a question; perhaps correct, perhaps opinionated or wrong.
 *
 * https://schema.org/Answer
 */
var Answer = 'https://schema.org/Answer';
/**
 * Apartment
 *
 * An apartment (in American English) or flat (in British English) is a self-contained housing unit (a type of residential real estate) that occupies only part of a building (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Apartment">http://en.wikipedia.org/wiki/Apartment</a>).
 *
 * https://schema.org/Apartment
 */
var Apartment = 'https://schema.org/Apartment';
/**
 * ApartmentComplex
 *
 * Residence type: Apartment complex.
 *
 * https://schema.org/ApartmentComplex
 */
var ApartmentComplex = 'https://schema.org/ApartmentComplex';
/**
 * AppendAction
 *
 * The act of inserting at the end if an ordered collection.
 *
 * https://schema.org/AppendAction
 */
var AppendAction = 'https://schema.org/AppendAction';
/**
 * ApplyAction
 *
 * The act of registering to an organization/service without the guarantee to receive it.\n\nRelated actions:\n\n* [[RegisterAction]]: Unlike RegisterAction, ApplyAction has no guarantees that the application will be accepted.
 *
 * https://schema.org/ApplyAction
 */
var ApplyAction = 'https://schema.org/ApplyAction';
/**
 * ApprovedIndication
 *
 * An indication for a medical therapy that has been formally specified or approved by a regulatory body that regulates use of the therapy; for example, the US FDA approves indications for most drugs in the US.
 *
 * https://schema.org/ApprovedIndication
 */
var ApprovedIndication = 'https://schema.org/ApprovedIndication';
/**
 * Aquarium
 *
 * Aquarium.
 *
 * https://schema.org/Aquarium
 */
var Aquarium = 'https://schema.org/Aquarium';
/**
 * https://schema.org/ArchiveComponent
 */
var ArchiveComponent = 'https://schema.org/ArchiveComponent';
/**
 * https://schema.org/ArchiveOrganization
 */
var ArchiveOrganization = 'https://schema.org/ArchiveOrganization';
/**
 * ArriveAction
 *
 * The act of arriving at a place. An agent arrives at a destination from a fromLocation, optionally with participants.
 *
 * https://schema.org/ArriveAction
 */
var ArriveAction = 'https://schema.org/ArriveAction';
/**
 * ArtGallery
 *
 * An art gallery.
 *
 * https://schema.org/ArtGallery
 */
var ArtGallery = 'https://schema.org/ArtGallery';
/**
 * Artery
 *
 * A type of blood vessel that specifically carries blood away from the heart.
 *
 * https://schema.org/Artery
 */
var Artery = 'https://schema.org/Artery';
/**
 * Article
 *
 * An article, such as a news article or piece of investigative report. Newspapers and magazines have articles of many different types and this is intended to cover them all.\n\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).
 *
 * https://schema.org/Article
 */
var Article = 'https://schema.org/Article';
/**
 * AskAction
 *
 * The act of posing a question / favor to someone.\n\nRelated actions:\n\n* [[ReplyAction]]: Appears generally as a response to AskAction.
 *
 * https://schema.org/AskAction
 */
var AskAction = 'https://schema.org/AskAction';
/**
 * AskPublicNewsArticle
 *
 * A [[NewsArticle]] expressing an open call by a [[NewsMediaOrganization]] asking the public for input, insights, clarifications, anecdotes, documentation, etc., on an issue, for reporting purposes.
 *
 * https://schema.org/AskPublicNewsArticle
 */
var AskPublicNewsArticle = 'https://schema.org/AskPublicNewsArticle';
/**
 * AssessAction
 *
 * The act of forming one's opinion, reaction or sentiment.
 *
 * https://schema.org/AssessAction
 */
var AssessAction = 'https://schema.org/AssessAction';
/**
 * AssignAction
 *
 * The act of allocating an action/event/task to some destination (someone or something).
 *
 * https://schema.org/AssignAction
 */
var AssignAction = 'https://schema.org/AssignAction';
/**
 * Atlas
 *
 * A collection or bound volume of maps, charts, plates or tables, physical or in media form illustrating any subject.
 *
 * https://schema.org/Atlas
 */
var Atlas = 'https://schema.org/Atlas';
/**
 * Attorney
 *
 * Professional service: Attorney. \n\nThis type is deprecated - [[LegalService]] is more inclusive and less ambiguous.
 *
 * https://schema.org/Attorney
 */
var Attorney = 'https://schema.org/Attorney';
/**
 * Audience
 *
 * Intended audience for an item, i.e. the group for whom the item was created.
 *
 * https://schema.org/Audience
 */
var Audience = 'https://schema.org/Audience';
/**
 * AudioObject
 *
 * An audio file.
 *
 * https://schema.org/AudioObject
 */
var AudioObject = 'https://schema.org/AudioObject';
/**
 * AudioObjectSnapshot
 *
 * A specific and exact (byte-for-byte) version of an [[AudioObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.
 *
 * https://schema.org/AudioObjectSnapshot
 */
var AudioObjectSnapshot = 'https://schema.org/AudioObjectSnapshot';
/**
 * Audiobook
 *
 * An audiobook.
 *
 * https://schema.org/Audiobook
 */
var Audiobook = 'https://schema.org/Audiobook';
/**
 * AuthorizeAction
 *
 * The act of granting permission to an object.
 *
 * https://schema.org/AuthorizeAction
 */
var AuthorizeAction = 'https://schema.org/AuthorizeAction';
/**
 * AutoBodyShop
 *
 * Auto body shop.
 *
 * https://schema.org/AutoBodyShop
 */
var AutoBodyShop = 'https://schema.org/AutoBodyShop';
/**
 * AutoDealer
 *
 * An car dealership.
 *
 * https://schema.org/AutoDealer
 */
var AutoDealer = 'https://schema.org/AutoDealer';
/**
 * AutoPartsStore
 *
 * An auto parts store.
 *
 * https://schema.org/AutoPartsStore
 */
var AutoPartsStore = 'https://schema.org/AutoPartsStore';
/**
 * AutoRental
 *
 * A car rental business.
 *
 * https://schema.org/AutoRental
 */
var AutoRental = 'https://schema.org/AutoRental';
/**
 * AutoRepair
 *
 * Car repair business.
 *
 * https://schema.org/AutoRepair
 */
var AutoRepair = 'https://schema.org/AutoRepair';
/**
 * AutoWash
 *
 * A car wash business.
 *
 * https://schema.org/AutoWash
 */
var AutoWash = 'https://schema.org/AutoWash';
/**
 * AutomatedTeller
 *
 * ATM/cash machine.
 *
 * https://schema.org/AutomatedTeller
 */
var AutomatedTeller = 'https://schema.org/AutomatedTeller';
/**
 * AutomotiveBusiness
 *
 * Car repair, sales, or parts.
 *
 * https://schema.org/AutomotiveBusiness
 */
var AutomotiveBusiness = 'https://schema.org/AutomotiveBusiness';
/**
 * BackgroundNewsArticle
 *
 * A [[NewsArticle]] providing historical context, definition and detail on a specific topic (aka "explainer" or "backgrounder"). For example, an in-depth article or frequently-asked-questions ([FAQ](https://en.wikipedia.org/wiki/FAQ)) document on topics such as Climate Change or the European Union. Other kinds of background material from a non-news setting are often described using [[Book]] or [[Article]], in particular [[ScholarlyArticle]]. See also [[NewsArticle]] for related vocabulary from a learning/education perspective.
 *
 * https://schema.org/BackgroundNewsArticle
 */
var BackgroundNewsArticle = 'https://schema.org/BackgroundNewsArticle';
/**
 * Bakery
 *
 * A bakery.
 *
 * https://schema.org/Bakery
 */
var Bakery = 'https://schema.org/Bakery';
/**
 * BankAccount
 *
 * A product or service offered by a bank whereby one may deposit, withdraw or transfer money and in some cases be paid interest.
 *
 * https://schema.org/BankAccount
 */
var BankAccount = 'https://schema.org/BankAccount';
/**
 * BankOrCreditUnion
 *
 * Bank or credit union.
 *
 * https://schema.org/BankOrCreditUnion
 */
var BankOrCreditUnion = 'https://schema.org/BankOrCreditUnion';
/**
 * BarOrPub
 *
 * A bar or pub.
 *
 * https://schema.org/BarOrPub
 */
var BarOrPub = 'https://schema.org/BarOrPub';
/**
 * Barcode
 *
 * An image of a visual machine-readable code such as a barcode or QR code.
 *
 * https://schema.org/Barcode
 */
var Barcode = 'https://schema.org/Barcode';
/**
 * Beach
 *
 * Beach.
 *
 * https://schema.org/Beach
 */
var Beach = 'https://schema.org/Beach';
/**
 * BeautySalon
 *
 * Beauty salon.
 *
 * https://schema.org/BeautySalon
 */
var BeautySalon = 'https://schema.org/BeautySalon';
/**
 * BedAndBreakfast
 *
 * Bed and breakfast.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/BedAndBreakfast
 */
var BedAndBreakfast = 'https://schema.org/BedAndBreakfast';
/**
 * BedDetails
 *
 * An entity holding detailed information about the available bed types, e.g. the quantity of twin beds for a hotel room. For the single case of just one bed of a certain type, you can use bed directly with a text. See also [[BedType]] (under development).
 *
 * https://schema.org/BedDetails
 */
var BedDetails = 'https://schema.org/BedDetails';
/**
 * BedType
 *
 * A type of bed. This is used for indicating the bed or beds available in an accommodation.
 *
 * https://schema.org/BedType
 */
var BedType = 'https://schema.org/BedType';
/**
 * BefriendAction
 *
 * The act of forming a personal connection with someone (object) mutually/bidirectionally/symmetrically.\n\nRelated actions:\n\n* [[FollowAction]]: Unlike FollowAction, BefriendAction implies that the connection is reciprocal.
 *
 * https://schema.org/BefriendAction
 */
var BefriendAction = 'https://schema.org/BefriendAction';
/**
 * BikeStore
 *
 * A bike store.
 *
 * https://schema.org/BikeStore
 */
var BikeStore = 'https://schema.org/BikeStore';
/**
 * BioChemEntity
 *
 * Any biological, chemical, or biochemical thing. For example: a protein; a gene; a chemical; a synthetic chemical.
 *
 * https://schema.org/BioChemEntity
 */
var BioChemEntity = 'https://schema.org/BioChemEntity';
/**
 * Blog
 *
 * A [blog](https://en.wikipedia.org/wiki/Blog), sometimes known as a "weblog". Note that the individual posts ([[BlogPosting]]s) in a [[Blog]] are often colloquially referred to by the same term.
 *
 * https://schema.org/Blog
 */
var Blog = 'https://schema.org/Blog';
/**
 * BlogPosting
 *
 * A blog post.
 *
 * https://schema.org/BlogPosting
 */
var BlogPosting = 'https://schema.org/BlogPosting';
/**
 * BloodTest
 *
 * A medical test performed on a sample of a patient's blood.
 *
 * https://schema.org/BloodTest
 */
var BloodTest = 'https://schema.org/BloodTest';
/**
 * BoardingPolicyType
 *
 * A type of boarding policy used by an airline.
 *
 * https://schema.org/BoardingPolicyType
 */
var BoardingPolicyType = 'https://schema.org/BoardingPolicyType';
/**
 * BoatReservation
 *
 * A reservation for boat travel.
 *
 * Note: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * https://schema.org/BoatReservation
 */
var BoatReservation = 'https://schema.org/BoatReservation';
/**
 * BoatTerminal
 *
 * A terminal for boats, ships, and other water vessels.
 *
 * https://schema.org/BoatTerminal
 */
var BoatTerminal = 'https://schema.org/BoatTerminal';
/**
 * BoatTrip
 *
 * A trip on a commercial ferry line.
 *
 * https://schema.org/BoatTrip
 */
var BoatTrip = 'https://schema.org/BoatTrip';
/**
 * BodyMeasurementTypeEnumeration
 *
 * Enumerates types (or dimensions) of a person's body measurements, for example for fitting of clothes.
 *
 * https://schema.org/BodyMeasurementTypeEnumeration
 */
var BodyMeasurementTypeEnumeration = 'https://schema.org/BodyMeasurementTypeEnumeration';
/**
 * BodyOfWater
 *
 * A body of water, such as a sea, ocean, or lake.
 *
 * https://schema.org/BodyOfWater
 */
var BodyOfWater = 'https://schema.org/BodyOfWater';
/**
 * Bone
 *
 * Rigid connective tissue that comprises up the skeletal structure of the human body.
 *
 * https://schema.org/Bone
 */
var Bone = 'https://schema.org/Bone';
/**
 * Book
 *
 * A book.
 *
 * https://schema.org/Book
 */
var Book = 'https://schema.org/Book';
/**
 * BookFormatType
 *
 * The publication format of the book.
 *
 * https://schema.org/BookFormatType
 */
var BookFormatType = 'https://schema.org/BookFormatType';
/**
 * BookSeries
 *
 * A series of books. Included books can be indicated with the hasPart property.
 *
 * https://schema.org/BookSeries
 */
var BookSeries = 'https://schema.org/BookSeries';
/**
 * BookStore
 *
 * A bookstore.
 *
 * https://schema.org/BookStore
 */
var BookStore = 'https://schema.org/BookStore';
/**
 * BookmarkAction
 *
 * An agent bookmarks/flags/labels/tags/marks an object.
 *
 * https://schema.org/BookmarkAction
 */
var BookmarkAction = 'https://schema.org/BookmarkAction';
/**
 * Boolean
 *
 * Boolean: True or False.
 * Note that `Boolean` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * https://schema.org/Boolean
 */
var Boolean__workaround = 'https://schema.org/Boolean';
/**
 * BorrowAction
 *
 * The act of obtaining an object under an agreement to return it at a later date. Reciprocal of LendAction.\n\nRelated actions:\n\n* [[LendAction]]: Reciprocal of BorrowAction.
 *
 * https://schema.org/BorrowAction
 */
var BorrowAction = 'https://schema.org/BorrowAction';
/**
 * BowlingAlley
 *
 * A bowling alley.
 *
 * https://schema.org/BowlingAlley
 */
var BowlingAlley = 'https://schema.org/BowlingAlley';
/**
 * BrainStructure
 *
 * Any anatomical structure which pertains to the soft nervous tissue functioning as the coordinating center of sensation and intellectual and nervous activity.
 *
 * https://schema.org/BrainStructure
 */
var BrainStructure = 'https://schema.org/BrainStructure';
/**
 * Brand
 *
 * A brand is a name used by an organization or business person for labeling a product, product group, or similar.
 *
 * https://schema.org/Brand
 */
var Brand = 'https://schema.org/Brand';
/**
 * BreadcrumbList
 *
 * A BreadcrumbList is an ItemList consisting of a chain of linked Web pages, typically described using at least their URL and their name, and typically ending with the current page.\n\nThe [[position]] property is used to reconstruct the order of the items in a BreadcrumbList. The convention is that a breadcrumb list has an [[itemListOrder]] of [[ItemListOrderAscending]] (lower values listed first), and that the first items in this list correspond to the "top" or beginning of the breadcrumb trail, e.g. with a site or section homepage. The specific values of 'position' are not assigned meaning for a BreadcrumbList, but they should be integers, e.g. beginning with '1' for the first item in the list.
 *
 *
 * https://schema.org/BreadcrumbList
 */
var BreadcrumbList = 'https://schema.org/BreadcrumbList';
/**
 * Brewery
 *
 * Brewery.
 *
 * https://schema.org/Brewery
 */
var Brewery = 'https://schema.org/Brewery';
/**
 * Bridge
 *
 * A bridge.
 *
 * https://schema.org/Bridge
 */
var Bridge = 'https://schema.org/Bridge';
/**
 * BroadcastChannel
 *
 * A unique instance of a BroadcastService on a CableOrSatelliteService lineup.
 *
 * https://schema.org/BroadcastChannel
 */
var BroadcastChannel = 'https://schema.org/BroadcastChannel';
/**
 * BroadcastEvent
 *
 * An over the air or online broadcast event.
 *
 * https://schema.org/BroadcastEvent
 */
var BroadcastEvent = 'https://schema.org/BroadcastEvent';
/**
 * BroadcastFrequencySpecification
 *
 * The frequency in MHz and the modulation used for a particular BroadcastService.
 *
 * https://schema.org/BroadcastFrequencySpecification
 */
var BroadcastFrequencySpecification = 'https://schema.org/BroadcastFrequencySpecification';
/**
 * BroadcastService
 *
 * A delivery service through which content is provided via broadcast over the air or online.
 *
 * https://schema.org/BroadcastService
 */
var BroadcastService = 'https://schema.org/BroadcastService';
/**
 * BrokerageAccount
 *
 * An account that allows an investor to deposit funds and place investment orders with a licensed broker or brokerage firm.
 *
 * https://schema.org/BrokerageAccount
 */
var BrokerageAccount = 'https://schema.org/BrokerageAccount';
/**
 * BuddhistTemple
 *
 * A Buddhist temple.
 *
 * https://schema.org/BuddhistTemple
 */
var BuddhistTemple = 'https://schema.org/BuddhistTemple';
/**
 * BusOrCoach
 *
 * A bus (also omnibus or autobus) is a road vehicle designed to carry passengers. Coaches are luxury buses, usually in service for long distance travel.
 *
 * https://schema.org/BusOrCoach
 */
var BusOrCoach = 'https://schema.org/BusOrCoach';
/**
 * BusReservation
 *
 * A reservation for bus travel. \n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * https://schema.org/BusReservation
 */
var BusReservation = 'https://schema.org/BusReservation';
/**
 * BusStation
 *
 * A bus station.
 *
 * https://schema.org/BusStation
 */
var BusStation = 'https://schema.org/BusStation';
/**
 * BusStop
 *
 * A bus stop.
 *
 * https://schema.org/BusStop
 */
var BusStop = 'https://schema.org/BusStop';
/**
 * BusTrip
 *
 * A trip on a commercial bus line.
 *
 * https://schema.org/BusTrip
 */
var BusTrip = 'https://schema.org/BusTrip';
/**
 * BusinessAudience
 *
 * A set of characteristics belonging to businesses, e.g. who compose an item's target audience.
 *
 * https://schema.org/BusinessAudience
 */
var BusinessAudience = 'https://schema.org/BusinessAudience';
/**
 * BusinessEntityType
 *
 * A business entity type is a conceptual entity representing the legal form, the size, the main line of business, the position in the value chain, or any combination thereof, of an organization or business person.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#Business\n* http://purl.org/goodrelations/v1#Enduser\n* http://purl.org/goodrelations/v1#PublicInstitution\n* http://purl.org/goodrelations/v1#Reseller
 *
 *
 * https://schema.org/BusinessEntityType
 */
var BusinessEntityType = 'https://schema.org/BusinessEntityType';
/**
 * BusinessEvent
 *
 * Event type: Business event.
 *
 * https://schema.org/BusinessEvent
 */
var BusinessEvent = 'https://schema.org/BusinessEvent';
/**
 * BusinessFunction
 *
 * The business function specifies the type of activity or access (i.e., the bundle of rights) offered by the organization or business person through the offer. Typical are sell, rental or lease, maintenance or repair, manufacture / produce, recycle / dispose, engineering / construction, or installation. Proprietary specifications of access rights are also instances of this class.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#ConstructionInstallation\n* http://purl.org/goodrelations/v1#Dispose\n* http://purl.org/goodrelations/v1#LeaseOut\n* http://purl.org/goodrelations/v1#Maintain\n* http://purl.org/goodrelations/v1#ProvideService\n* http://purl.org/goodrelations/v1#Repair\n* http://purl.org/goodrelations/v1#Sell\n* http://purl.org/goodrelations/v1#Buy
 *
 *
 * https://schema.org/BusinessFunction
 */
var BusinessFunction = 'https://schema.org/BusinessFunction';
/**
 * BuyAction
 *
 * The act of giving money to a seller in exchange for goods or services rendered. An agent buys an object, product, or service from a seller for a price. Reciprocal of SellAction.
 *
 * https://schema.org/BuyAction
 */
var BuyAction = 'https://schema.org/BuyAction';
/**
 * CDCPMDRecord
 *
 * A CDCPMDRecord is a data structure representing a record in a CDC tabular data format
 *       used for hospital data reporting. See [documentation](/docs/cdc-covid.html) for details, and the linked CDC materials for authoritative
 *       definitions used as the source here.
 *
 *
 * https://schema.org/CDCPMDRecord
 */
var CDCPMDRecord = 'https://schema.org/CDCPMDRecord';
/**
 * CableOrSatelliteService
 *
 * A service which provides access to media programming like TV or radio. Access may be via cable or satellite.
 *
 * https://schema.org/CableOrSatelliteService
 */
var CableOrSatelliteService = 'https://schema.org/CableOrSatelliteService';
/**
 * CafeOrCoffeeShop
 *
 * A cafe or coffee shop.
 *
 * https://schema.org/CafeOrCoffeeShop
 */
var CafeOrCoffeeShop = 'https://schema.org/CafeOrCoffeeShop';
/**
 * Campground
 *
 * A camping site, campsite, or [[Campground]] is a place used for overnight stay in the outdoors, typically containing individual [[CampingPitch]] locations. \n\n
 * In British English a campsite is an area, usually divided into a number of pitches, where people can camp overnight using tents or camper vans or caravans; this British English use of the word is synonymous with the American English expression campground. In American English the term campsite generally means an area where an individual, family, group, or military unit can pitch a tent or park a camper; a campground may contain many campsites (source: Wikipedia, see [https://en.wikipedia.org/wiki/Campsite](https://en.wikipedia.org/wiki/Campsite)).\n\n
 *
 * See also the dedicated [document on the use of schema.org for marking up hotels and other forms of accommodations](/docs/hotels.html).
 *
 *
 * https://schema.org/Campground
 */
var Campground = 'https://schema.org/Campground';
/**
 * CampingPitch
 *
 * A [[CampingPitch]] is an individual place for overnight stay in the outdoors, typically being part of a larger camping site, or [[Campground]].\n\n
 * In British English a campsite, or campground, is an area, usually divided into a number of pitches, where people can camp overnight using tents or camper vans or caravans; this British English use of the word is synonymous with the American English expression campground. In American English the term campsite generally means an area where an individual, family, group, or military unit can pitch a tent or park a camper; a campground may contain many campsites.
 * (Source: Wikipedia, see [https://en.wikipedia.org/wiki/Campsite](https://en.wikipedia.org/wiki/Campsite).)\n\n
 * See also the dedicated [document on the use of schema.org for marking up hotels and other forms of accommodations](/docs/hotels.html).
 *
 *
 * https://schema.org/CampingPitch
 */
var CampingPitch = 'https://schema.org/CampingPitch';
/**
 * Canal
 *
 * A canal, like the Panama Canal.
 *
 * https://schema.org/Canal
 */
var Canal = 'https://schema.org/Canal';
/**
 * CancelAction
 *
 * The act of asserting that a future event/action is no longer going to happen.\n\nRelated actions:\n\n* [[ConfirmAction]]: The antonym of CancelAction.
 *
 * https://schema.org/CancelAction
 */
var CancelAction = 'https://schema.org/CancelAction';
/**
 * Car
 *
 * A car is a wheeled, self-powered motor vehicle used for transportation.
 *
 * https://schema.org/Car
 */
var Car = 'https://schema.org/Car';
/**
 * CarUsageType
 *
 * A value indicating a special usage of a car, e.g. commercial rental, driving school, or as a taxi.
 *
 * https://schema.org/CarUsageType
 */
var CarUsageType = 'https://schema.org/CarUsageType';
/**
 * Casino
 *
 * A casino.
 *
 * https://schema.org/Casino
 */
var Casino = 'https://schema.org/Casino';
/**
 * CategoryCode
 *
 * A Category Code.
 *
 * https://schema.org/CategoryCode
 */
var CategoryCode = 'https://schema.org/CategoryCode';
/**
 * CategoryCodeSet
 *
 * A set of Category Code values.
 *
 * https://schema.org/CategoryCodeSet
 */
var CategoryCodeSet = 'https://schema.org/CategoryCodeSet';
/**
 * CatholicChurch
 *
 * A Catholic church.
 *
 * https://schema.org/CatholicChurch
 */
var CatholicChurch = 'https://schema.org/CatholicChurch';
/**
 * Cemetery
 *
 * A graveyard.
 *
 * https://schema.org/Cemetery
 */
var Cemetery = 'https://schema.org/Cemetery';
/**
 * Certification
 *
 * A Certification is an official and authoritative statement about a subject, for example a product, service, person, or organization. A certification is typically issued by an indendent certification body, for example a professional organization or government. It formally attests certain characteristics about the subject, for example Organizations can be ISO certified, Food products can be certified Organic or Vegan, a Person can be a certified professional, a Place can be certified for food processing. There are certifications for many domains: regulatory, organizational, recycling, food, efficiency, educational, ecological, etc. A certification is a form of credential, as are accreditations and licenses. Mapped from the [gs1:CertificationDetails](https://www.gs1.org/voc/CertificationDetails) class in the GS1 Web Vocabulary.
 *
 * https://schema.org/Certification
 */
var Certification = 'https://schema.org/Certification';
/**
 * CertificationStatusEnumeration
 *
 * Enumerates the different statuses of a Certification (Active and Inactive).
 *
 * https://schema.org/CertificationStatusEnumeration
 */
var CertificationStatusEnumeration = 'https://schema.org/CertificationStatusEnumeration';
/**
 * Chapter
 *
 * One of the sections into which a book is divided. A chapter usually has a section number or a name.
 *
 * https://schema.org/Chapter
 */
var Chapter = 'https://schema.org/Chapter';
/**
 * CheckAction
 *
 * An agent inspects, determines, investigates, inquires, or examines an object's accuracy, quality, condition, or state.
 *
 * https://schema.org/CheckAction
 */
var CheckAction = 'https://schema.org/CheckAction';
/**
 * CheckInAction
 *
 * The act of an agent communicating (service provider, social media, etc) their arrival by registering/confirming for a previously reserved service (e.g. flight check-in) or at a place (e.g. hotel), possibly resulting in a result (boarding pass, etc).\n\nRelated actions:\n\n* [[CheckOutAction]]: The antonym of CheckInAction.\n* [[ArriveAction]]: Unlike ArriveAction, CheckInAction implies that the agent is informing/confirming the start of a previously reserved service.\n* [[ConfirmAction]]: Unlike ConfirmAction, CheckInAction implies that the agent is informing/confirming the *start* of a previously reserved service rather than its validity/existence.
 *
 * https://schema.org/CheckInAction
 */
var CheckInAction = 'https://schema.org/CheckInAction';
/**
 * CheckOutAction
 *
 * The act of an agent communicating (service provider, social media, etc) their departure of a previously reserved service (e.g. flight check-in) or place (e.g. hotel).\n\nRelated actions:\n\n* [[CheckInAction]]: The antonym of CheckOutAction.\n* [[DepartAction]]: Unlike DepartAction, CheckOutAction implies that the agent is informing/confirming the end of a previously reserved service.\n* [[CancelAction]]: Unlike CancelAction, CheckOutAction implies that the agent is informing/confirming the end of a previously reserved service.
 *
 * https://schema.org/CheckOutAction
 */
var CheckOutAction = 'https://schema.org/CheckOutAction';
/**
 * CheckoutPage
 *
 * Web page type: Checkout page.
 *
 * https://schema.org/CheckoutPage
 */
var CheckoutPage = 'https://schema.org/CheckoutPage';
/**
 * ChemicalSubstance
 *
 * A chemical substance is 'a portion of matter of constant composition, composed of molecular entities of the same type or of different types' (source: [ChEBI:59999](https://www.ebi.ac.uk/chebi/searchId.do?chebiId=59999)).
 *
 * https://schema.org/ChemicalSubstance
 */
var ChemicalSubstance = 'https://schema.org/ChemicalSubstance';
/**
 * ChildCare
 *
 * A Childcare center.
 *
 * https://schema.org/ChildCare
 */
var ChildCare = 'https://schema.org/ChildCare';
/**
 * ChildrensEvent
 *
 * Event type: Children's event.
 *
 * https://schema.org/ChildrensEvent
 */
var ChildrensEvent = 'https://schema.org/ChildrensEvent';
/**
 * ChooseAction
 *
 * The act of expressing a preference from a set of options or a large or unbounded set of choices/options.
 *
 * https://schema.org/ChooseAction
 */
var ChooseAction = 'https://schema.org/ChooseAction';
/**
 * Church
 *
 * A church.
 *
 * https://schema.org/Church
 */
var Church = 'https://schema.org/Church';
/**
 * City
 *
 * A city or town.
 *
 * https://schema.org/City
 */
var City = 'https://schema.org/City';
/**
 * CityHall
 *
 * A city hall.
 *
 * https://schema.org/CityHall
 */
var CityHall = 'https://schema.org/CityHall';
/**
 * CivicStructure
 *
 * A public structure, such as a town hall or concert hall.
 *
 * https://schema.org/CivicStructure
 */
var CivicStructure = 'https://schema.org/CivicStructure';
/**
 * Claim
 *
 * A [[Claim]] in Schema.org represents a specific, factually-oriented claim that could be the [[itemReviewed]] in a [[ClaimReview]]. The content of a claim can be summarized with the [[text]] property. Variations on well known claims can have their common identity indicated via [[sameAs]] links, and summarized with a [[name]]. Ideally, a [[Claim]] description includes enough contextual information to minimize the risk of ambiguity or inclarity. In practice, many claims are better understood in the context in which they appear or the interpretations provided by claim reviews.
 *
 *   Beyond [[ClaimReview]], the Claim type can be associated with related creative works - for example a [[ScholarlyArticle]] or [[Question]] might be [[about]] some [[Claim]].
 *
 *   At this time, Schema.org does not define any types of relationship between claims. This is a natural area for future exploration.
 *
 *
 * https://schema.org/Claim
 */
var Claim = 'https://schema.org/Claim';
/**
 * ClaimReview
 *
 * A fact-checking review of claims made (or reported) in some creative work (referenced via itemReviewed).
 *
 * https://schema.org/ClaimReview
 */
var ClaimReview = 'https://schema.org/ClaimReview';
/**
 * Class
 *
 * A class, also often called a 'Type'; equivalent to rdfs:Class.
 *
 * https://schema.org/Class
 */
var Class = 'https://schema.org/Class';
/**
 * Clip
 *
 * A short TV or radio program or a segment/part of a program.
 *
 * https://schema.org/Clip
 */
var Clip = 'https://schema.org/Clip';
/**
 * ClothingStore
 *
 * A clothing store.
 *
 * https://schema.org/ClothingStore
 */
var ClothingStore = 'https://schema.org/ClothingStore';
/**
 * Code
 *
 * Computer programming source code. Example: Full (compile ready) solutions, code snippet samples, scripts, templates.
 *
 * https://schema.org/Code
 */
var Code = 'https://schema.org/Code';
/**
 * Collection
 *
 * A collection of items, e.g. creative works or products.
 *
 * https://schema.org/Collection
 */
var Collection = 'https://schema.org/Collection';
/**
 * CollectionPage
 *
 * Web page type: Collection page.
 *
 * https://schema.org/CollectionPage
 */
var CollectionPage = 'https://schema.org/CollectionPage';
/**
 * CollegeOrUniversity
 *
 * A college, university, or other third-level educational institution.
 *
 * https://schema.org/CollegeOrUniversity
 */
var CollegeOrUniversity = 'https://schema.org/CollegeOrUniversity';
/**
 * ComedyClub
 *
 * A comedy club.
 *
 * https://schema.org/ComedyClub
 */
var ComedyClub = 'https://schema.org/ComedyClub';
/**
 * ComedyEvent
 *
 * Event type: Comedy event.
 *
 * https://schema.org/ComedyEvent
 */
var ComedyEvent = 'https://schema.org/ComedyEvent';
/**
 * ComicCoverArt
 *
 * The artwork on the cover of a comic.
 *
 * https://schema.org/ComicCoverArt
 */
var ComicCoverArt = 'https://schema.org/ComicCoverArt';
/**
 * ComicIssue
 *
 * Individual comic issues are serially published as
 *     	part of a larger series. For the sake of consistency, even one-shot issues
 *     	belong to a series comprised of a single issue. All comic issues can be
 *     	uniquely identified by: the combination of the name and volume number of the
 *     	series to which the issue belongs; the issue number; and the variant
 *     	description of the issue (if any).
 *
 * https://schema.org/ComicIssue
 */
var ComicIssue = 'https://schema.org/ComicIssue';
/**
 * ComicSeries
 *
 * A sequential publication of comic stories under a
 *     	unifying title, for example "The Amazing Spider-Man" or "Groo the
 *     	Wanderer".
 *
 * https://schema.org/ComicSeries
 */
var ComicSeries = 'https://schema.org/ComicSeries';
/**
 * ComicStory
 *
 * The term "story" is any indivisible, re-printable
 *     	unit of a comic, including the interior stories, covers, and backmatter. Most
 *     	comics have at least two stories: a cover (ComicCoverArt) and an interior story.
 *
 * https://schema.org/ComicStory
 */
var ComicStory = 'https://schema.org/ComicStory';
/**
 * Comment
 *
 * A comment on an item - for example, a comment on a blog post. The comment's content is expressed via the [[text]] property, and its topic via [[about]], properties shared with all CreativeWorks.
 *
 * https://schema.org/Comment
 */
var Comment = 'https://schema.org/Comment';
/**
 * CommentAction
 *
 * The act of generating a comment about a subject.
 *
 * https://schema.org/CommentAction
 */
var CommentAction = 'https://schema.org/CommentAction';
/**
 * CommunicateAction
 *
 * The act of conveying information to another person via a communication medium (instrument) such as speech, email, or telephone conversation.
 *
 * https://schema.org/CommunicateAction
 */
var CommunicateAction = 'https://schema.org/CommunicateAction';
/**
 * CompleteDataFeed
 *
 * A [[CompleteDataFeed]] is a [[DataFeed]] whose standard representation includes content for every item currently in the feed.
 *
 * This is the equivalent of Atom's element as defined in Feed Paging and Archiving [RFC 5005](https://tools.ietf.org/html/rfc5005), for example (and as defined for Atom), when using data from a feed that represents a collection of items that varies over time (e.g. "Top Twenty Records") there is no need to have newer entries mixed in alongside older, obsolete entries. By marking this feed as a CompleteDataFeed, old entries can be safely discarded when the feed is refreshed, since we can assume the feed has provided descriptions for all current items.
 *
 * https://schema.org/CompleteDataFeed
 */
var CompleteDataFeed = 'https://schema.org/CompleteDataFeed';
/**
 * CompoundPriceSpecification
 *
 * A compound price specification is one that bundles multiple prices that all apply in combination for different dimensions of consumption. Use the name property of the attached unit price specification for indicating the dimension of a price component (e.g. "electricity" or "final cleaning").
 *
 * https://schema.org/CompoundPriceSpecification
 */
var CompoundPriceSpecification = 'https://schema.org/CompoundPriceSpecification';
/**
 * ComputerLanguage
 *
 * This type covers computer programming languages such as Scheme and Lisp, as well as other language-like computer representations. Natural languages are best represented with the [[Language]] type.
 *
 * https://schema.org/ComputerLanguage
 */
var ComputerLanguage = 'https://schema.org/ComputerLanguage';
/**
 * ComputerStore
 *
 * A computer store.
 *
 * https://schema.org/ComputerStore
 */
var ComputerStore = 'https://schema.org/ComputerStore';
/**
 * ConfirmAction
 *
 * The act of notifying someone that a future event/action is going to happen as expected.\n\nRelated actions:\n\n* [[CancelAction]]: The antonym of ConfirmAction.
 *
 * https://schema.org/ConfirmAction
 */
var ConfirmAction = 'https://schema.org/ConfirmAction';
/**
 * Consortium
 *
 * A Consortium is a membership [[Organization]] whose members are typically Organizations.
 *
 * https://schema.org/Consortium
 */
var Consortium = 'https://schema.org/Consortium';
/**
 * ConstraintNode
 *
 * The ConstraintNode type is provided to support usecases in which a node in a structured data graph is described with properties which appear to describe a single entity, but are being used in a situation where they serve a more abstract purpose. A [[ConstraintNode]] can be described using [[constraintProperty]] and [[numConstraints]]. These constraint properties can serve a
 *     variety of purposes, and their values may sometimes be understood to indicate sets of possible values rather than single, exact and specific values.
 *
 * https://schema.org/ConstraintNode
 */
var ConstraintNode = 'https://schema.org/ConstraintNode';
/**
 * ConsumeAction
 *
 * The act of ingesting information/resources/food.
 *
 * https://schema.org/ConsumeAction
 */
var ConsumeAction = 'https://schema.org/ConsumeAction';
/**
 * ContactPage
 *
 * Web page type: Contact page.
 *
 * https://schema.org/ContactPage
 */
var ContactPage = 'https://schema.org/ContactPage';
/**
 * ContactPoint
 *
 * A contact point&#x2014;for example, a Customer Complaints department.
 *
 * https://schema.org/ContactPoint
 */
var ContactPoint = 'https://schema.org/ContactPoint';
/**
 * ContactPointOption
 *
 * Enumerated options related to a ContactPoint.
 *
 * https://schema.org/ContactPointOption
 */
var ContactPointOption = 'https://schema.org/ContactPointOption';
/**
 * Continent
 *
 * One of the continents (for example, Europe or Africa).
 *
 * https://schema.org/Continent
 */
var Continent = 'https://schema.org/Continent';
/**
 * ControlAction
 *
 * An agent controls a device or application.
 *
 * https://schema.org/ControlAction
 */
var ControlAction = 'https://schema.org/ControlAction';
/**
 * ConvenienceStore
 *
 * A convenience store.
 *
 * https://schema.org/ConvenienceStore
 */
var ConvenienceStore = 'https://schema.org/ConvenienceStore';
/**
 * Conversation
 *
 * One or more messages between organizations or people on a particular topic. Individual messages can be linked to the conversation with isPartOf or hasPart properties.
 *
 * https://schema.org/Conversation
 */
var Conversation = 'https://schema.org/Conversation';
/**
 * CookAction
 *
 * The act of producing/preparing food.
 *
 * https://schema.org/CookAction
 */
var CookAction = 'https://schema.org/CookAction';
/**
 * Cooperative
 *
 * An organization that is a joint project of multiple organizations or persons.
 *
 * https://schema.org/Cooperative
 */
var Cooperative = 'https://schema.org/Cooperative';
/**
 * Corporation
 *
 * Organization: A business corporation.
 *
 * https://schema.org/Corporation
 */
var Corporation = 'https://schema.org/Corporation';
/**
 * CorrectionComment
 *
 * A [[comment]] that corrects [[CreativeWork]].
 *
 * https://schema.org/CorrectionComment
 */
var CorrectionComment = 'https://schema.org/CorrectionComment';
/**
 * Country
 *
 * A country.
 *
 * https://schema.org/Country
 */
var Country = 'https://schema.org/Country';
/**
 * Course
 *
 * A description of an educational course which may be offered as distinct instances which take place at different times or take place at different locations, or be offered through different media or modes of study. An educational course is a sequence of one or more educational events and/or creative works which aims to build knowledge, competence or ability of learners.
 *
 * https://schema.org/Course
 */
var Course = 'https://schema.org/Course';
/**
 * CourseInstance
 *
 * An instance of a [[Course]] which is distinct from other instances because it is offered at a different time or location or through different media or modes of study or to a specific section of students.
 *
 * https://schema.org/CourseInstance
 */
var CourseInstance = 'https://schema.org/CourseInstance';
/**
 * Courthouse
 *
 * A courthouse.
 *
 * https://schema.org/Courthouse
 */
var Courthouse = 'https://schema.org/Courthouse';
/**
 * CoverArt
 *
 * The artwork on the outer surface of a CreativeWork.
 *
 * https://schema.org/CoverArt
 */
var CoverArt = 'https://schema.org/CoverArt';
/**
 * CovidTestingFacility
 *
 * A CovidTestingFacility is a [[MedicalClinic]] where testing for the COVID-19 Coronavirus
 *       disease is available. If the facility is being made available from an established [[Pharmacy]], [[Hotel]], or other
 *       non-medical organization, multiple types can be listed. This makes it easier to re-use existing schema.org information
 *       about that place, e.g. contact info, address, opening hours. Note that in an emergency, such information may not always be reliable.
 *
 *
 * https://schema.org/CovidTestingFacility
 */
var CovidTestingFacility = 'https://schema.org/CovidTestingFacility';
/**
 * CreateAction
 *
 * The act of deliberately creating/producing/generating/building a result out of the agent.
 *
 * https://schema.org/CreateAction
 */
var CreateAction = 'https://schema.org/CreateAction';
/**
 * CreativeWork
 *
 * The most generic kind of creative work, including books, movies, photographs, software programs, etc.
 *
 * https://schema.org/CreativeWork
 */
var CreativeWork = 'https://schema.org/CreativeWork';
/**
 * CreativeWorkSeason
 *
 * A media season, e.g. TV, radio, video game etc.
 *
 * https://schema.org/CreativeWorkSeason
 */
var CreativeWorkSeason = 'https://schema.org/CreativeWorkSeason';
/**
 * CreativeWorkSeries
 *
 * A CreativeWorkSeries in schema.org is a group of related items, typically but not necessarily of the same kind. CreativeWorkSeries are usually organized into some order, often chronological. Unlike [[ItemList]] which is a general purpose data structure for lists of things, the emphasis with CreativeWorkSeries is on published materials (written e.g. books and periodicals, or media such as TV, radio and games).\n\nSpecific subtypes are available for describing [[TVSeries]], [[RadioSeries]], [[MovieSeries]], [[BookSeries]], [[Periodical]] and [[VideoGameSeries]]. In each case, the [[hasPart]] / [[isPartOf]] properties can be used to relate the CreativeWorkSeries to its parts. The general CreativeWorkSeries type serves largely just to organize these more specific and practical subtypes.\n\nIt is common for properties applicable to an item from the series to be usefully applied to the containing group. Schema.org attempts to anticipate some of these cases, but publishers should be free to apply properties of the series parts to the series as a whole wherever they seem appropriate.
 *
 *
 * https://schema.org/CreativeWorkSeries
 */
var CreativeWorkSeries = 'https://schema.org/CreativeWorkSeries';
/**
 * CreditCard
 *
 * A card payment method of a particular brand or name.  Used to mark up a particular payment method and/or the financial product/service that supplies the card account.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#AmericanExpress\n* http://purl.org/goodrelations/v1#DinersClub\n* http://purl.org/goodrelations/v1#Discover\n* http://purl.org/goodrelations/v1#JCB\n* http://purl.org/goodrelations/v1#MasterCard\n* http://purl.org/goodrelations/v1#VISA
 *
 *
 * https://schema.org/CreditCard
 */
var CreditCard = 'https://schema.org/CreditCard';
/**
 * Crematorium
 *
 * A crematorium.
 *
 * https://schema.org/Crematorium
 */
var Crematorium = 'https://schema.org/Crematorium';
/**
 * CriticReview
 *
 * A [[CriticReview]] is a more specialized form of Review written or published by a source that is recognized for its reviewing activities. These can include online columns, travel and food guides, TV and radio shows, blogs and other independent Web sites. [[CriticReview]]s are typically more in-depth and professionally written. For simpler, casually written user/visitor/viewer/customer reviews, it is more appropriate to use the [[UserReview]] type. Review aggregator sites such as Metacritic already separate out the site's user reviews from selected critic reviews that originate from third-party sources.
 *
 * https://schema.org/CriticReview
 */
var CriticReview = 'https://schema.org/CriticReview';
/**
 * CssSelectorType
 *
 * Text representing a CSS selector.
 *
 * https://schema.org/CssSelectorType
 */
var CssSelectorType = 'https://schema.org/CssSelectorType';
/**
 * CurrencyConversionService
 *
 * A service to convert funds from one currency to another currency.
 *
 * https://schema.org/CurrencyConversionService
 */
var CurrencyConversionService = 'https://schema.org/CurrencyConversionService';
/**
 * DDxElement
 *
 * An alternative, closely-related condition typically considered later in the differential diagnosis process along with the signs that are used to distinguish it.
 *
 * https://schema.org/DDxElement
 */
var DDxElement = 'https://schema.org/DDxElement';
/**
 * DanceEvent
 *
 * Event type: A social dance.
 *
 * https://schema.org/DanceEvent
 */
var DanceEvent = 'https://schema.org/DanceEvent';
/**
 * DanceGroup
 *
 * A dance group&#x2014;for example, the Alvin Ailey Dance Theater or Riverdance.
 *
 * https://schema.org/DanceGroup
 */
var DanceGroup = 'https://schema.org/DanceGroup';
/**
 * DataCatalog
 *
 * A collection of datasets.
 *
 * https://schema.org/DataCatalog
 */
var DataCatalog = 'https://schema.org/DataCatalog';
/**
 * DataDownload
 *
 * All or part of a [[Dataset]] in downloadable form.
 *
 * https://schema.org/DataDownload
 */
var DataDownload = 'https://schema.org/DataDownload';
/**
 * DataFeed
 *
 * A single feed providing structured information about one or more entities or topics.
 *
 * https://schema.org/DataFeed
 */
var DataFeed = 'https://schema.org/DataFeed';
/**
 * DataFeedItem
 *
 * A single item within a larger data feed.
 *
 * https://schema.org/DataFeedItem
 */
var DataFeedItem = 'https://schema.org/DataFeedItem';
/**
 * DataType
 *
 * The basic data types such as Integers, Strings, etc.
 *
 * https://schema.org/DataType
 */
var DataType = 'https://schema.org/DataType';
/**
 * Dataset
 *
 * A body of structured information describing some topic(s) of interest.
 *
 * https://schema.org/Dataset
 */
var Dataset = 'https://schema.org/Dataset';
/**
 * Date
 *
 * A date value in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601).
 * Note that `Date` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * https://schema.org/Date
 */
var Date__workaround = 'https://schema.org/Date';
/**
 * DateTime
 *
 * A combination of date and time of day in the form [-]CCYY-MM-DDThh:mm:ss[Z|(+|-)hh:mm] (see Chapter 5.4 of ISO 8601).
 *
 * https://schema.org/DateTime
 */
var DateTime = 'https://schema.org/DateTime';
/**
 * DatedMoneySpecification
 *
 * A DatedMoneySpecification represents monetary values with optional start and end dates. For example, this could represent an employee's salary over a specific period of time. __Note:__ This type has been superseded by [[MonetaryAmount]], use of that type is recommended.
 *
 * https://schema.org/DatedMoneySpecification
 */
var DatedMoneySpecification = 'https://schema.org/DatedMoneySpecification';
/**
 * DayOfWeek
 *
 * The day of the week, e.g. used to specify to which day the opening hours of an OpeningHoursSpecification refer.
 *
 * Originally, URLs from [GoodRelations](http://purl.org/goodrelations/v1) were used (for [[Monday]], [[Tuesday]], [[Wednesday]], [[Thursday]], [[Friday]], [[Saturday]], [[Sunday]] plus a special entry for [[PublicHolidays]]); these have now been integrated directly into schema.org.
 *
 *
 * https://schema.org/DayOfWeek
 */
var DayOfWeek = 'https://schema.org/DayOfWeek';
/**
 * DaySpa
 *
 * A day spa.
 *
 * https://schema.org/DaySpa
 */
var DaySpa = 'https://schema.org/DaySpa';
/**
 * DeactivateAction
 *
 * The act of stopping or deactivating a device or application (e.g. stopping a timer or turning off a flashlight).
 *
 * https://schema.org/DeactivateAction
 */
var DeactivateAction = 'https://schema.org/DeactivateAction';
/**
 * DefenceEstablishment
 *
 * A defence establishment, such as an army or navy base.
 *
 * https://schema.org/DefenceEstablishment
 */
var DefenceEstablishment = 'https://schema.org/DefenceEstablishment';
/**
 * DefinedRegion
 *
 * A DefinedRegion is a geographic area defined by potentially arbitrary (rather than political, administrative or natural geographical) criteria. Properties are provided for defining a region by reference to sets of postal codes.
 *
 * Examples: a delivery destination when shopping. Region where regional pricing is configured.
 *
 * Requirement 1:
 * Country: US
 * States: "NY", "CA"
 *
 * Requirement 2:
 * Country: US
 * PostalCode Set: { [94000-94585], [97000, 97999], [13000, 13599]}
 * { [12345, 12345], [78945, 78945], }
 * Region = state, canton, prefecture, autonomous community...
 *
 *
 * https://schema.org/DefinedRegion
 */
var DefinedRegion = 'https://schema.org/DefinedRegion';
/**
 * DefinedTerm
 *
 * A word, name, acronym, phrase, etc. with a formal definition. Often used in the context of category or subject classification, glossaries or dictionaries, product or creative work types, etc. Use the name property for the term being defined, use termCode if the term has an alpha-numeric code allocated, use description to provide the definition of the term.
 *
 * https://schema.org/DefinedTerm
 */
var DefinedTerm = 'https://schema.org/DefinedTerm';
/**
 * DefinedTermSet
 *
 * A set of defined terms, for example a set of categories or a classification scheme, a glossary, dictionary or enumeration.
 *
 * https://schema.org/DefinedTermSet
 */
var DefinedTermSet = 'https://schema.org/DefinedTermSet';
/**
 * DeleteAction
 *
 * The act of editing a recipient by removing one of its objects.
 *
 * https://schema.org/DeleteAction
 */
var DeleteAction = 'https://schema.org/DeleteAction';
/**
 * DeliveryChargeSpecification
 *
 * The price for the delivery of an offer using a particular delivery method.
 *
 * https://schema.org/DeliveryChargeSpecification
 */
var DeliveryChargeSpecification = 'https://schema.org/DeliveryChargeSpecification';
/**
 * DeliveryEvent
 *
 * An event involving the delivery of an item.
 *
 * https://schema.org/DeliveryEvent
 */
var DeliveryEvent = 'https://schema.org/DeliveryEvent';
/**
 * DeliveryMethod
 *
 * A delivery method is a standardized procedure for transferring the product or service to the destination of fulfillment chosen by the customer. Delivery methods are characterized by the means of transportation used, and by the organization or group that is the contracting party for the sending organization or person.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#DeliveryModeDirectDownload\n* http://purl.org/goodrelations/v1#DeliveryModeFreight\n* http://purl.org/goodrelations/v1#DeliveryModeMail\n* http://purl.org/goodrelations/v1#DeliveryModeOwnFleet\n* http://purl.org/goodrelations/v1#DeliveryModePickUp\n* http://purl.org/goodrelations/v1#DHL\n* http://purl.org/goodrelations/v1#FederalExpress\n* http://purl.org/goodrelations/v1#UPS
 *
 *
 * https://schema.org/DeliveryMethod
 */
var DeliveryMethod = 'https://schema.org/DeliveryMethod';
/**
 * DeliveryTimeSettings
 *
 * A DeliveryTimeSettings represents re-usable pieces of shipping information, relating to timing. It is designed for publication on an URL that may be referenced via the [[shippingSettingsLink]] property of an [[OfferShippingDetails]]. Several occurrences can be published, distinguished (and identified/referenced) by their different values for [[transitTimeLabel]].
 *
 * https://schema.org/DeliveryTimeSettings
 */
var DeliveryTimeSettings = 'https://schema.org/DeliveryTimeSettings';
/**
 * Demand
 *
 * A demand entity represents the public, not necessarily binding, not necessarily exclusive, announcement by an organization or person to seek a certain type of goods or services. For describing demand using this type, the very same properties used for Offer apply.
 *
 * https://schema.org/Demand
 */
var Demand = 'https://schema.org/Demand';
/**
 * Dentist
 *
 * A dentist.
 *
 * https://schema.org/Dentist
 */
var Dentist = 'https://schema.org/Dentist';
/**
 * DepartAction
 *
 * The act of  departing from a place. An agent departs from a fromLocation for a destination, optionally with participants.
 *
 * https://schema.org/DepartAction
 */
var DepartAction = 'https://schema.org/DepartAction';
/**
 * DepartmentStore
 *
 * A department store.
 *
 * https://schema.org/DepartmentStore
 */
var DepartmentStore = 'https://schema.org/DepartmentStore';
/**
 * DepositAccount
 *
 * A type of Bank Account with a main purpose of depositing funds to gain interest or other benefits.
 *
 * https://schema.org/DepositAccount
 */
var DepositAccount = 'https://schema.org/DepositAccount';
/**
 * DiagnosticLab
 *
 * A medical laboratory that offers on-site or off-site diagnostic services.
 *
 * https://schema.org/DiagnosticLab
 */
var DiagnosticLab = 'https://schema.org/DiagnosticLab';
/**
 * DiagnosticProcedure
 *
 * A medical procedure intended primarily for diagnostic, as opposed to therapeutic, purposes.
 *
 * https://schema.org/DiagnosticProcedure
 */
var DiagnosticProcedure = 'https://schema.org/DiagnosticProcedure';
/**
 * Diet
 *
 * A strategy of regulating the intake of food to achieve or maintain a specific health-related goal.
 *
 * https://schema.org/Diet
 */
var Diet = 'https://schema.org/Diet';
/**
 * DietarySupplement
 *
 * A product taken by mouth that contains a dietary ingredient intended to supplement the diet. Dietary ingredients may include vitamins, minerals, herbs or other botanicals, amino acids, and substances such as enzymes, organ tissues, glandulars and metabolites.
 *
 * https://schema.org/DietarySupplement
 */
var DietarySupplement = 'https://schema.org/DietarySupplement';
/**
 * DigitalDocument
 *
 * An electronic file or document.
 *
 * https://schema.org/DigitalDocument
 */
var DigitalDocument = 'https://schema.org/DigitalDocument';
/**
 * DigitalDocumentPermission
 *
 * A permission for a particular person or group to access a particular file.
 *
 * https://schema.org/DigitalDocumentPermission
 */
var DigitalDocumentPermission = 'https://schema.org/DigitalDocumentPermission';
/**
 * DigitalDocumentPermissionType
 *
 * A type of permission which can be granted for accessing a digital document.
 *
 * https://schema.org/DigitalDocumentPermissionType
 */
var DigitalDocumentPermissionType = 'https://schema.org/DigitalDocumentPermissionType';
/**
 * DigitalPlatformEnumeration
 *
 * Enumerates some common technology platforms, for use with properties such as [[actionPlatform]]. It is not supposed to be comprehensive - when a suitable code is not enumerated here, textual or URL values can be used instead. These codes are at a fairly high level and do not deal with versioning and other nuance. Additional codes can be suggested [in github](https://github.com/schemaorg/schemaorg/issues/3057).
 *
 * https://schema.org/DigitalPlatformEnumeration
 */
var DigitalPlatformEnumeration = 'https://schema.org/DigitalPlatformEnumeration';
/**
 * DisagreeAction
 *
 * The act of expressing a difference of opinion with the object. An agent disagrees to/about an object (a proposition, topic or theme) with participants.
 *
 * https://schema.org/DisagreeAction
 */
var DisagreeAction = 'https://schema.org/DisagreeAction';
/**
 * DiscoverAction
 *
 * The act of discovering/finding an object.
 *
 * https://schema.org/DiscoverAction
 */
var DiscoverAction = 'https://schema.org/DiscoverAction';
/**
 * DiscussionForumPosting
 *
 * A posting to a discussion forum.
 *
 * https://schema.org/DiscussionForumPosting
 */
var DiscussionForumPosting = 'https://schema.org/DiscussionForumPosting';
/**
 * DislikeAction
 *
 * The act of expressing a negative sentiment about the object. An agent dislikes an object (a proposition, topic or theme) with participants.
 *
 * https://schema.org/DislikeAction
 */
var DislikeAction = 'https://schema.org/DislikeAction';
/**
 * Distance
 *
 * Properties that take Distances as values are of the form '&lt;Number&gt; &lt;Length unit of measure&gt;'. E.g., '7 ft'.
 *
 * https://schema.org/Distance
 */
var Distance = 'https://schema.org/Distance';
/**
 * Distillery
 *
 * A distillery.
 *
 * https://schema.org/Distillery
 */
var Distillery = 'https://schema.org/Distillery';
/**
 * DonateAction
 *
 * The act of providing goods, services, or money without compensation, often for philanthropic reasons.
 *
 * https://schema.org/DonateAction
 */
var DonateAction = 'https://schema.org/DonateAction';
/**
 * DoseSchedule
 *
 * A specific dosing schedule for a drug or supplement.
 *
 * https://schema.org/DoseSchedule
 */
var DoseSchedule = 'https://schema.org/DoseSchedule';
/**
 * DownloadAction
 *
 * The act of downloading an object.
 *
 * https://schema.org/DownloadAction
 */
var DownloadAction = 'https://schema.org/DownloadAction';
/**
 * DrawAction
 *
 * The act of producing a visual/graphical representation of an object, typically with a pen/pencil and paper as instruments.
 *
 * https://schema.org/DrawAction
 */
var DrawAction = 'https://schema.org/DrawAction';
/**
 * Drawing
 *
 * A picture or diagram made with a pencil, pen, or crayon rather than paint.
 *
 * https://schema.org/Drawing
 */
var Drawing = 'https://schema.org/Drawing';
/**
 * DrinkAction
 *
 * The act of swallowing liquids.
 *
 * https://schema.org/DrinkAction
 */
var DrinkAction = 'https://schema.org/DrinkAction';
/**
 * DriveWheelConfigurationValue
 *
 * A value indicating which roadwheels will receive torque.
 *
 * https://schema.org/DriveWheelConfigurationValue
 */
var DriveWheelConfigurationValue = 'https://schema.org/DriveWheelConfigurationValue';
/**
 * Drug
 *
 * A chemical or biologic substance, used as a medical therapy, that has a physiological effect on an organism. Here the term drug is used interchangeably with the term medicine although clinical knowledge makes a clear difference between them.
 *
 * https://schema.org/Drug
 */
var Drug = 'https://schema.org/Drug';
/**
 * DrugClass
 *
 * A class of medical drugs, e.g., statins. Classes can represent general pharmacological class, common mechanisms of action, common physiological effects, etc.
 *
 * https://schema.org/DrugClass
 */
var DrugClass = 'https://schema.org/DrugClass';
/**
 * DrugCost
 *
 * The cost per unit of a medical drug. Note that this type is not meant to represent the price in an offer of a drug for sale; see the Offer type for that. This type will typically be used to tag wholesale or average retail cost of a drug, or maximum reimbursable cost. Costs of medical drugs vary widely depending on how and where they are paid for, so while this type captures some of the variables, costs should be used with caution by consumers of this schema's markup.
 *
 * https://schema.org/DrugCost
 */
var DrugCost = 'https://schema.org/DrugCost';
/**
 * DrugCostCategory
 *
 * Enumerated categories of medical drug costs.
 *
 * https://schema.org/DrugCostCategory
 */
var DrugCostCategory = 'https://schema.org/DrugCostCategory';
/**
 * DrugLegalStatus
 *
 * The legal availability status of a medical drug.
 *
 * https://schema.org/DrugLegalStatus
 */
var DrugLegalStatus = 'https://schema.org/DrugLegalStatus';
/**
 * DrugPregnancyCategory
 *
 * Categories that represent an assessment of the risk of fetal injury due to a drug or pharmaceutical used as directed by the mother during pregnancy.
 *
 * https://schema.org/DrugPregnancyCategory
 */
var DrugPregnancyCategory = 'https://schema.org/DrugPregnancyCategory';
/**
 * DrugPrescriptionStatus
 *
 * Indicates whether this drug is available by prescription or over-the-counter.
 *
 * https://schema.org/DrugPrescriptionStatus
 */
var DrugPrescriptionStatus = 'https://schema.org/DrugPrescriptionStatus';
/**
 * DrugStrength
 *
 * A specific strength in which a medical drug is available in a specific country.
 *
 * https://schema.org/DrugStrength
 */
var DrugStrength = 'https://schema.org/DrugStrength';
/**
 * DryCleaningOrLaundry
 *
 * A dry-cleaning business.
 *
 * https://schema.org/DryCleaningOrLaundry
 */
var DryCleaningOrLaundry = 'https://schema.org/DryCleaningOrLaundry';
/**
 * Duration
 *
 * Quantity: Duration (use [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601)).
 *
 * https://schema.org/Duration
 */
var Duration = 'https://schema.org/Duration';
/**
 * EUEnergyEfficiencyEnumeration
 *
 * Enumerates the EU energy efficiency classes A-G as well as A+, A++, and A+++ as defined in EU directive 2017/1369.
 *
 * https://schema.org/EUEnergyEfficiencyEnumeration
 */
var EUEnergyEfficiencyEnumeration = 'https://schema.org/EUEnergyEfficiencyEnumeration';
/**
 * EatAction
 *
 * The act of swallowing solid objects.
 *
 * https://schema.org/EatAction
 */
var EatAction = 'https://schema.org/EatAction';
/**
 * EducationEvent
 *
 * Event type: Education event.
 *
 * https://schema.org/EducationEvent
 */
var EducationEvent = 'https://schema.org/EducationEvent';
/**
 * EducationalAudience
 *
 * An EducationalAudience.
 *
 * https://schema.org/EducationalAudience
 */
var EducationalAudience = 'https://schema.org/EducationalAudience';
/**
 * EducationalOccupationalCredential
 *
 * An educational or occupational credential. A diploma, academic degree, certification, qualification, badge, etc., that may be awarded to a person or other entity that meets the requirements defined by the credentialer.
 *
 * https://schema.org/EducationalOccupationalCredential
 */
var EducationalOccupationalCredential = 'https://schema.org/EducationalOccupationalCredential';
/**
 * EducationalOccupationalProgram
 *
 * A program offered by an institution which determines the learning progress to achieve an outcome, usually a credential like a degree or certificate. This would define a discrete set of opportunities (e.g., job, courses) that together constitute a program with a clear start, end, set of requirements, and transition to a new occupational opportunity (e.g., a job), or sometimes a higher educational opportunity (e.g., an advanced degree).
 *
 * https://schema.org/EducationalOccupationalProgram
 */
var EducationalOccupationalProgram = 'https://schema.org/EducationalOccupationalProgram';
/**
 * EducationalOrganization
 *
 * An educational organization.
 *
 * https://schema.org/EducationalOrganization
 */
var EducationalOrganization = 'https://schema.org/EducationalOrganization';
/**
 * Electrician
 *
 * An electrician.
 *
 * https://schema.org/Electrician
 */
var Electrician = 'https://schema.org/Electrician';
/**
 * ElectronicsStore
 *
 * An electronics store.
 *
 * https://schema.org/ElectronicsStore
 */
var ElectronicsStore = 'https://schema.org/ElectronicsStore';
/**
 * ElementarySchool
 *
 * An elementary school.
 *
 * https://schema.org/ElementarySchool
 */
var ElementarySchool = 'https://schema.org/ElementarySchool';
/**
 * EmailMessage
 *
 * An email message.
 *
 * https://schema.org/EmailMessage
 */
var EmailMessage = 'https://schema.org/EmailMessage';
/**
 * Embassy
 *
 * An embassy.
 *
 * https://schema.org/Embassy
 */
var Embassy = 'https://schema.org/Embassy';
/**
 * EmergencyService
 *
 * An emergency service, such as a fire station or ER.
 *
 * https://schema.org/EmergencyService
 */
var EmergencyService = 'https://schema.org/EmergencyService';
/**
 * EmployeeRole
 *
 * A subclass of OrganizationRole used to describe employee relationships.
 *
 * https://schema.org/EmployeeRole
 */
var EmployeeRole = 'https://schema.org/EmployeeRole';
/**
 * EmployerAggregateRating
 *
 * An aggregate rating of an Organization related to its role as an employer.
 *
 * https://schema.org/EmployerAggregateRating
 */
var EmployerAggregateRating = 'https://schema.org/EmployerAggregateRating';
/**
 * EmployerReview
 *
 * An [[EmployerReview]] is a review of an [[Organization]] regarding its role as an employer, written by a current or former employee of that organization.
 *
 * https://schema.org/EmployerReview
 */
var EmployerReview = 'https://schema.org/EmployerReview';
/**
 * EmploymentAgency
 *
 * An employment agency.
 *
 * https://schema.org/EmploymentAgency
 */
var EmploymentAgency = 'https://schema.org/EmploymentAgency';
/**
 * EndorseAction
 *
 * An agent approves/certifies/likes/supports/sanctions an object.
 *
 * https://schema.org/EndorseAction
 */
var EndorseAction = 'https://schema.org/EndorseAction';
/**
 * EndorsementRating
 *
 * An EndorsementRating is a rating that expresses some level of endorsement, for example inclusion in a "critic's pick" blog, a
 * "Like" or "+1" on a social network. It can be considered the [[result]] of an [[EndorseAction]] in which the [[object]] of the action is rated positively by
 * some [[agent]]. As is common elsewhere in schema.org, it is sometimes more useful to describe the results of such an action without explicitly describing the [[Action]].
 *
 * An [[EndorsementRating]] may be part of a numeric scale or organized system, but this is not required: having an explicit type for indicating a positive,
 * endorsement rating is particularly useful in the absence of numeric scales as it helps consumers understand that the rating is broadly positive.
 *
 *
 * https://schema.org/EndorsementRating
 */
var EndorsementRating = 'https://schema.org/EndorsementRating';
/**
 * Energy
 *
 * Properties that take Energy as values are of the form '&lt;Number&gt; &lt;Energy unit of measure&gt;'.
 *
 * https://schema.org/Energy
 */
var Energy = 'https://schema.org/Energy';
/**
 * EnergyConsumptionDetails
 *
 * EnergyConsumptionDetails represents information related to the energy efficiency of a product that consumes energy. The information that can be provided is based on international regulations such as for example [EU directive 2017/1369](https://eur-lex.europa.eu/eli/reg/2017/1369/oj) for energy labeling and the [Energy labeling rule](https://www.ftc.gov/enforcement/rules/rulemaking-regulatory-reform-proceedings/energy-water-use-labeling-consumer) under the Energy Policy and Conservation Act (EPCA) in the US.
 *
 * https://schema.org/EnergyConsumptionDetails
 */
var EnergyConsumptionDetails = 'https://schema.org/EnergyConsumptionDetails';
/**
 * EnergyEfficiencyEnumeration
 *
 * Enumerates energy efficiency levels (also known as "classes" or "ratings") and certifications that are part of several international energy efficiency standards.
 *
 * https://schema.org/EnergyEfficiencyEnumeration
 */
var EnergyEfficiencyEnumeration = 'https://schema.org/EnergyEfficiencyEnumeration';
/**
 * EnergyStarEnergyEfficiencyEnumeration
 *
 * Used to indicate whether a product is EnergyStar certified.
 *
 * https://schema.org/EnergyStarEnergyEfficiencyEnumeration
 */
var EnergyStarEnergyEfficiencyEnumeration = 'https://schema.org/EnergyStarEnergyEfficiencyEnumeration';
/**
 * EngineSpecification
 *
 * Information about the engine of the vehicle. A vehicle can have multiple engines represented by multiple engine specification entities.
 *
 * https://schema.org/EngineSpecification
 */
var EngineSpecification = 'https://schema.org/EngineSpecification';
/**
 * EntertainmentBusiness
 *
 * A business providing entertainment.
 *
 * https://schema.org/EntertainmentBusiness
 */
var EntertainmentBusiness = 'https://schema.org/EntertainmentBusiness';
/**
 * EntryPoint
 *
 * An entry point, within some Web-based protocol.
 *
 * https://schema.org/EntryPoint
 */
var EntryPoint = 'https://schema.org/EntryPoint';
/**
 * Enumeration
 *
 * Lists or enumerations—for example, a list of cuisines or music genres, etc.
 *
 * https://schema.org/Enumeration
 */
var Enumeration = 'https://schema.org/Enumeration';
/**
 * Episode
 *
 * A media episode (e.g. TV, radio, video game) which can be part of a series or season.
 *
 * https://schema.org/Episode
 */
var Episode = 'https://schema.org/Episode';
/**
 * Event
 *
 * An event happening at a certain time and location, such as a concert, lecture, or festival. Ticketing information may be added via the [[offers]] property. Repeated events may be structured as separate Event objects.
 *
 * https://schema.org/Event
 */
var Event = 'https://schema.org/Event';
/**
 * EventAttendanceModeEnumeration
 *
 * An EventAttendanceModeEnumeration value is one of potentially several modes of organising an event, relating to whether it is online or offline.
 *
 * https://schema.org/EventAttendanceModeEnumeration
 */
var EventAttendanceModeEnumeration = 'https://schema.org/EventAttendanceModeEnumeration';
/**
 * EventReservation
 *
 * A reservation for an event like a concert, sporting event, or lecture.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * https://schema.org/EventReservation
 */
var EventReservation = 'https://schema.org/EventReservation';
/**
 * EventSeries
 *
 * A series of [[Event]]s. Included events can relate with the series using the [[superEvent]] property.
 *
 * An EventSeries is a collection of events that share some unifying characteristic. For example, "The Olympic Games" is a series, which
 * is repeated regularly. The "2012 London Olympics" can be presented both as an [[Event]] in the series "Olympic Games", and as an
 * [[EventSeries]] that included a number of sporting competitions as Events.
 *
 * The nature of the association between the events in an [[EventSeries]] can vary, but typical examples could
 * include a thematic event series (e.g. topical meetups or classes), or a series of regular events that share a location, attendee group and/or organizers.
 *
 * EventSeries has been defined as a kind of Event to make it easy for publishers to use it in an Event context without
 * worrying about which kinds of series are really event-like enough to call an Event. In general an EventSeries
 * may seem more Event-like when the period of time is compact and when aspects such as location are fixed, but
 * it may also sometimes prove useful to describe a longer-term series as an Event.
 *
 *
 * https://schema.org/EventSeries
 */
var EventSeries = 'https://schema.org/EventSeries';
/**
 * EventStatusType
 *
 * EventStatusType is an enumeration type whose instances represent several states that an Event may be in.
 *
 * https://schema.org/EventStatusType
 */
var EventStatusType = 'https://schema.org/EventStatusType';
/**
 * EventVenue
 *
 * An event venue.
 *
 * https://schema.org/EventVenue
 */
var EventVenue = 'https://schema.org/EventVenue';
/**
 * ExchangeRateSpecification
 *
 * A structured value representing exchange rate.
 *
 * https://schema.org/ExchangeRateSpecification
 */
var ExchangeRateSpecification = 'https://schema.org/ExchangeRateSpecification';
/**
 * ExerciseAction
 *
 * The act of participating in exertive activity for the purposes of improving health and fitness.
 *
 * https://schema.org/ExerciseAction
 */
var ExerciseAction = 'https://schema.org/ExerciseAction';
/**
 * ExerciseGym
 *
 * A gym.
 *
 * https://schema.org/ExerciseGym
 */
var ExerciseGym = 'https://schema.org/ExerciseGym';
/**
 * ExercisePlan
 *
 * Fitness-related activity designed for a specific health-related purpose, including defined exercise routines as well as activity prescribed by a clinician.
 *
 * https://schema.org/ExercisePlan
 */
var ExercisePlan = 'https://schema.org/ExercisePlan';
/**
 * ExhibitionEvent
 *
 * Event type: Exhibition event, e.g. at a museum, library, archive, tradeshow, ...
 *
 * https://schema.org/ExhibitionEvent
 */
var ExhibitionEvent = 'https://schema.org/ExhibitionEvent';
/**
 * FAQPage
 *
 * A [[FAQPage]] is a [[WebPage]] presenting one or more "[Frequently asked questions](https://en.wikipedia.org/wiki/FAQ)" (see also [[QAPage]]).
 *
 * https://schema.org/FAQPage
 */
var FAQPage = 'https://schema.org/FAQPage';
/**
 * FMRadioChannel
 *
 * A radio channel that uses FM.
 *
 * https://schema.org/FMRadioChannel
 */
var FMRadioChannel = 'https://schema.org/FMRadioChannel';
/**
 * FastFoodRestaurant
 *
 * A fast-food restaurant.
 *
 * https://schema.org/FastFoodRestaurant
 */
var FastFoodRestaurant = 'https://schema.org/FastFoodRestaurant';
/**
 * Festival
 *
 * Event type: Festival.
 *
 * https://schema.org/Festival
 */
var Festival = 'https://schema.org/Festival';
/**
 * FilmAction
 *
 * The act of capturing sound and moving images on film, video, or digitally.
 *
 * https://schema.org/FilmAction
 */
var FilmAction = 'https://schema.org/FilmAction';
/**
 * FinancialIncentive
 *
 * <p>Represents financial incentives for goods/services offered by an organization (or individual).</p>
 *
 * <p>Typically contains the [[name]] of the incentive, the [[incentivizedItem]], the [[incentiveAmount]], the [[incentiveStatus]], [[incentiveType]], the [[provider]] of the incentive, and [[eligibleWithSupplier]].</p>
 *
 * <p>Optionally contains criteria on whether the incentive is limited based on [[purchaseType]], [[purchasePriceLimit]], [[incomeLimit]], and the [[qualifiedExpense]].
 *
 *
 * https://schema.org/FinancialIncentive
 */
var FinancialIncentive = 'https://schema.org/FinancialIncentive';
/**
 * FinancialProduct
 *
 * A product provided to consumers and businesses by financial institutions such as banks, insurance companies, brokerage firms, consumer finance companies, and investment companies which comprise the financial services industry.
 *
 * https://schema.org/FinancialProduct
 */
var FinancialProduct = 'https://schema.org/FinancialProduct';
/**
 * FinancialService
 *
 * Financial services business.
 *
 * https://schema.org/FinancialService
 */
var FinancialService = 'https://schema.org/FinancialService';
/**
 * FindAction
 *
 * The act of finding an object.\n\nRelated actions:\n\n* [[SearchAction]]: FindAction is generally lead by a SearchAction, but not necessarily.
 *
 * https://schema.org/FindAction
 */
var FindAction = 'https://schema.org/FindAction';
/**
 * FireStation
 *
 * A fire station. With firemen.
 *
 * https://schema.org/FireStation
 */
var FireStation = 'https://schema.org/FireStation';
/**
 * Flight
 *
 * An airline flight.
 *
 * https://schema.org/Flight
 */
var Flight = 'https://schema.org/Flight';
/**
 * FlightReservation
 *
 * A reservation for air travel.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * https://schema.org/FlightReservation
 */
var FlightReservation = 'https://schema.org/FlightReservation';
/**
 * Float
 *
 * Data type: Floating number.
 *
 * https://schema.org/Float
 */
var Float = 'https://schema.org/Float';
/**
 * FloorPlan
 *
 * A FloorPlan is an explicit representation of a collection of similar accommodations, allowing the provision of common information (room counts, sizes, layout diagrams) and offers for rental or sale. In typical use, some [[ApartmentComplex]] has an [[accommodationFloorPlan]] which is a [[FloorPlan]].  A FloorPlan is always in the context of a particular place, either a larger [[ApartmentComplex]] or a single [[Apartment]]. The visual/spatial aspects of a floor plan (i.e. room layout, [see wikipedia](https://en.wikipedia.org/wiki/Floor_plan)) can be indicated using [[image]].
 *
 * https://schema.org/FloorPlan
 */
var FloorPlan = 'https://schema.org/FloorPlan';
/**
 * Florist
 *
 * A florist.
 *
 * https://schema.org/Florist
 */
var Florist = 'https://schema.org/Florist';
/**
 * FollowAction
 *
 * The act of forming a personal connection with someone/something (object) unidirectionally/asymmetrically to get updates polled from.\n\nRelated actions:\n\n* [[BefriendAction]]: Unlike BefriendAction, FollowAction implies that the connection is *not* necessarily reciprocal.\n* [[SubscribeAction]]: Unlike SubscribeAction, FollowAction implies that the follower acts as an active agent constantly/actively polling for updates.\n* [[RegisterAction]]: Unlike RegisterAction, FollowAction implies that the agent is interested in continuing receiving updates from the object.\n* [[JoinAction]]: Unlike JoinAction, FollowAction implies that the agent is interested in getting updates from the object.\n* [[TrackAction]]: Unlike TrackAction, FollowAction refers to the polling of updates of all aspects of animate objects rather than the location of inanimate objects (e.g. you track a package, but you don't follow it).
 *
 * https://schema.org/FollowAction
 */
var FollowAction = 'https://schema.org/FollowAction';
/**
 * FoodEstablishment
 *
 * A food-related business.
 *
 * https://schema.org/FoodEstablishment
 */
var FoodEstablishment = 'https://schema.org/FoodEstablishment';
/**
 * FoodEstablishmentReservation
 *
 * A reservation to dine at a food-related business.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 *
 * https://schema.org/FoodEstablishmentReservation
 */
var FoodEstablishmentReservation = 'https://schema.org/FoodEstablishmentReservation';
/**
 * FoodEvent
 *
 * Event type: Food event.
 *
 * https://schema.org/FoodEvent
 */
var FoodEvent = 'https://schema.org/FoodEvent';
/**
 * FoodService
 *
 * A food service, like breakfast, lunch, or dinner.
 *
 * https://schema.org/FoodService
 */
var FoodService = 'https://schema.org/FoodService';
/**
 * FulfillmentTypeEnumeration
 *
 * A type of product fulfillment.
 *
 * https://schema.org/FulfillmentTypeEnumeration
 */
var FulfillmentTypeEnumeration = 'https://schema.org/FulfillmentTypeEnumeration';
/**
 * FundingAgency
 *
 * A FundingAgency is an organization that implements one or more [[FundingScheme]]s and manages
 *     the granting process (via [[Grant]]s, typically [[MonetaryGrant]]s).
 *     A funding agency is not always required for grant funding, e.g. philanthropic giving, corporate sponsorship etc.
 *
 * Examples of funding agencies include ERC, REA, NIH, Bill and Melinda Gates Foundation, ...
 *
 *
 * https://schema.org/FundingAgency
 */
var FundingAgency = 'https://schema.org/FundingAgency';
/**
 * FundingScheme
 *
 * A FundingScheme combines organizational, project and policy aspects of grant-based funding
 *     that sets guidelines, principles and mechanisms to support other kinds of projects and activities.
 *     Funding is typically organized via [[Grant]] funding. Examples of funding schemes: Swiss Priority Programmes (SPPs); EU Framework 7 (FP7); Horizon 2020; the NIH-R01 Grant Program; Wellcome institutional strategic support fund. For large scale public sector funding, the management and administration of grant awards is often handled by other, dedicated, organizations - [[FundingAgency]]s such as ERC, REA, ...
 *
 * https://schema.org/FundingScheme
 */
var FundingScheme = 'https://schema.org/FundingScheme';
/**
 * FurnitureStore
 *
 * A furniture store.
 *
 * https://schema.org/FurnitureStore
 */
var FurnitureStore = 'https://schema.org/FurnitureStore';
/**
 * Game
 *
 * The Game type represents things which are games. These are typically rule-governed recreational activities, e.g. role-playing games in which players assume the role of characters in a fictional setting.
 *
 * https://schema.org/Game
 */
var Game = 'https://schema.org/Game';
/**
 * GameAvailabilityEnumeration
 *
 * For a [[VideoGame]], such as used with a [[PlayGameAction]], an enumeration of the kind of game availability offered.
 *
 * https://schema.org/GameAvailabilityEnumeration
 */
var GameAvailabilityEnumeration = 'https://schema.org/GameAvailabilityEnumeration';
/**
 * GamePlayMode
 *
 * Indicates whether this game is multi-player, co-op or single-player.
 *
 * https://schema.org/GamePlayMode
 */
var GamePlayMode = 'https://schema.org/GamePlayMode';
/**
 * GameServer
 *
 * Server that provides game interaction in a multiplayer game.
 *
 * https://schema.org/GameServer
 */
var GameServer = 'https://schema.org/GameServer';
/**
 * GameServerStatus
 *
 * Status of a game server.
 *
 * https://schema.org/GameServerStatus
 */
var GameServerStatus = 'https://schema.org/GameServerStatus';
/**
 * GardenStore
 *
 * A garden store.
 *
 * https://schema.org/GardenStore
 */
var GardenStore = 'https://schema.org/GardenStore';
/**
 * GasStation
 *
 * A gas station.
 *
 * https://schema.org/GasStation
 */
var GasStation = 'https://schema.org/GasStation';
/**
 * GatedResidenceCommunity
 *
 * Residence type: Gated community.
 *
 * https://schema.org/GatedResidenceCommunity
 */
var GatedResidenceCommunity = 'https://schema.org/GatedResidenceCommunity';
/**
 * GenderType
 *
 * An enumeration of genders.
 *
 * https://schema.org/GenderType
 */
var GenderType = 'https://schema.org/GenderType';
/**
 * Gene
 *
 * A discrete unit of inheritance which affects one or more biological traits (Source: [https://en.wikipedia.org/wiki/Gene](https://en.wikipedia.org/wiki/Gene)). Examples include FOXP2 (Forkhead box protein P2), SCARNA21 (small Cajal body-specific RNA 21), A- (agouti genotype).
 *
 * https://schema.org/Gene
 */
var Gene = 'https://schema.org/Gene';
/**
 * GeneralContractor
 *
 * A general contractor.
 *
 * https://schema.org/GeneralContractor
 */
var GeneralContractor = 'https://schema.org/GeneralContractor';
/**
 * GeoCircle
 *
 * A GeoCircle is a GeoShape representing a circular geographic area. As it is a GeoShape
 *           it provides the simple textual property 'circle', but also allows the combination of postalCode alongside geoRadius.
 *           The center of the circle can be indicated via the 'geoMidpoint' property, or more approximately using 'address', 'postalCode'.
 *
 *
 * https://schema.org/GeoCircle
 */
var GeoCircle = 'https://schema.org/GeoCircle';
/**
 * GeoCoordinates
 *
 * The geographic coordinates of a place or event.
 *
 * https://schema.org/GeoCoordinates
 */
var GeoCoordinates = 'https://schema.org/GeoCoordinates';
/**
 * GeoShape
 *
 * The geographic shape of a place. A GeoShape can be described using several properties whose values are based on latitude/longitude pairs. Either whitespace or commas can be used to separate latitude and longitude; whitespace should be used when writing a list of several such points.
 *
 * https://schema.org/GeoShape
 */
var GeoShape = 'https://schema.org/GeoShape';
/**
 * GeospatialGeometry
 *
 * (Eventually to be defined as) a supertype of GeoShape designed to accommodate definitions from Geo-Spatial best practices.
 *
 * https://schema.org/GeospatialGeometry
 */
var GeospatialGeometry = 'https://schema.org/GeospatialGeometry';
/**
 * GiveAction
 *
 * The act of transferring ownership of an object to a destination. Reciprocal of TakeAction.\n\nRelated actions:\n\n* [[TakeAction]]: Reciprocal of GiveAction.\n* [[SendAction]]: Unlike SendAction, GiveAction implies that ownership is being transferred (e.g. I may send my laptop to you, but that doesn't mean I'm giving it to you).
 *
 * https://schema.org/GiveAction
 */
var GiveAction = 'https://schema.org/GiveAction';
/**
 * GolfCourse
 *
 * A golf course.
 *
 * https://schema.org/GolfCourse
 */
var GolfCourse = 'https://schema.org/GolfCourse';
/**
 * GovernmentBenefitsType
 *
 * GovernmentBenefitsType enumerates several kinds of government benefits to support the COVID-19 situation. Note that this structure may not capture all benefits offered.
 *
 * https://schema.org/GovernmentBenefitsType
 */
var GovernmentBenefitsType = 'https://schema.org/GovernmentBenefitsType';
/**
 * GovernmentBuilding
 *
 * A government building.
 *
 * https://schema.org/GovernmentBuilding
 */
var GovernmentBuilding = 'https://schema.org/GovernmentBuilding';
/**
 * GovernmentOffice
 *
 * A government office&#x2014;for example, an IRS or DMV office.
 *
 * https://schema.org/GovernmentOffice
 */
var GovernmentOffice = 'https://schema.org/GovernmentOffice';
/**
 * GovernmentOrganization
 *
 * A governmental organization or agency.
 *
 * https://schema.org/GovernmentOrganization
 */
var GovernmentOrganization = 'https://schema.org/GovernmentOrganization';
/**
 * GovernmentPermit
 *
 * A permit issued by a government agency.
 *
 * https://schema.org/GovernmentPermit
 */
var GovernmentPermit = 'https://schema.org/GovernmentPermit';
/**
 * GovernmentService
 *
 * A service provided by a government organization, e.g. food stamps, veterans benefits, etc.
 *
 * https://schema.org/GovernmentService
 */
var GovernmentService = 'https://schema.org/GovernmentService';
/**
 * Grant
 *
 * A grant, typically financial or otherwise quantifiable, of resources. Typically a [[funder]] sponsors some [[MonetaryAmount]] to an [[Organization]] or [[Person]],
 *     sometimes not necessarily via a dedicated or long-lived [[Project]], resulting in one or more outputs, or [[fundedItem]]s. For financial sponsorship, indicate the [[funder]] of a [[MonetaryGrant]]. For non-financial support, indicate [[sponsor]] of [[Grant]]s of resources (e.g. office space).
 *
 * Grants support  activities directed towards some agreed collective goals, often but not always organized as [[Project]]s. Long-lived projects are sometimes sponsored by a variety of grants over time, but it is also common for a project to be associated with a single grant.
 *
 * The amount of a [[Grant]] is represented using [[amount]] as a [[MonetaryAmount]].
 *
 *
 * https://schema.org/Grant
 */
var Grant = 'https://schema.org/Grant';
/**
 * GroceryStore
 *
 * A grocery store.
 *
 * https://schema.org/GroceryStore
 */
var GroceryStore = 'https://schema.org/GroceryStore';
/**
 * Guide
 *
 * [[Guide]] is a page or article that recommends specific products or services, or aspects of a thing for a user to consider. A [[Guide]] may represent a Buying Guide and detail aspects of products or services for a user to consider. A [[Guide]] may represent a Product Guide and recommend specific products or services. A [[Guide]] may represent a Ranked List and recommend specific products or services with ranking.
 *
 * https://schema.org/Guide
 */
var Guide = 'https://schema.org/Guide';
/**
 * HVACBusiness
 *
 * A business that provides Heating, Ventilation and Air Conditioning services.
 *
 * https://schema.org/HVACBusiness
 */
var HVACBusiness = 'https://schema.org/HVACBusiness';
/**
 * Hackathon
 *
 * A [hackathon](https://en.wikipedia.org/wiki/Hackathon) event.
 *
 * https://schema.org/Hackathon
 */
var Hackathon = 'https://schema.org/Hackathon';
/**
 * HairSalon
 *
 * A hair salon.
 *
 * https://schema.org/HairSalon
 */
var HairSalon = 'https://schema.org/HairSalon';
/**
 * HardwareStore
 *
 * A hardware store.
 *
 * https://schema.org/HardwareStore
 */
var HardwareStore = 'https://schema.org/HardwareStore';
/**
 * HealthAndBeautyBusiness
 *
 * Health and beauty.
 *
 * https://schema.org/HealthAndBeautyBusiness
 */
var HealthAndBeautyBusiness = 'https://schema.org/HealthAndBeautyBusiness';
/**
 * HealthAspectEnumeration
 *
 * HealthAspectEnumeration enumerates several aspects of health content online, each of which might be described using [[hasHealthAspect]] and [[HealthTopicContent]].
 *
 * https://schema.org/HealthAspectEnumeration
 */
var HealthAspectEnumeration = 'https://schema.org/HealthAspectEnumeration';
/**
 * HealthClub
 *
 * A health club.
 *
 * https://schema.org/HealthClub
 */
var HealthClub = 'https://schema.org/HealthClub';
/**
 * HealthInsurancePlan
 *
 * A US-style health insurance plan, including PPOs, EPOs, and HMOs.
 *
 * https://schema.org/HealthInsurancePlan
 */
var HealthInsurancePlan = 'https://schema.org/HealthInsurancePlan';
/**
 * HealthPlanCostSharingSpecification
 *
 * A description of costs to the patient under a given network or formulary.
 *
 * https://schema.org/HealthPlanCostSharingSpecification
 */
var HealthPlanCostSharingSpecification = 'https://schema.org/HealthPlanCostSharingSpecification';
/**
 * HealthPlanFormulary
 *
 * For a given health insurance plan, the specification for costs and coverage of prescription drugs.
 *
 * https://schema.org/HealthPlanFormulary
 */
var HealthPlanFormulary = 'https://schema.org/HealthPlanFormulary';
/**
 * HealthPlanNetwork
 *
 * A US-style health insurance plan network.
 *
 * https://schema.org/HealthPlanNetwork
 */
var HealthPlanNetwork = 'https://schema.org/HealthPlanNetwork';
/**
 * HealthTopicContent
 *
 * [[HealthTopicContent]] is [[WebContent]] that is about some aspect of a health topic, e.g. a condition, its symptoms or treatments. Such content may be comprised of several parts or sections and use different types of media. Multiple instances of [[WebContent]] (and hence [[HealthTopicContent]]) can be related using [[hasPart]] / [[isPartOf]] where there is some kind of content hierarchy, and their content described with [[about]] and [[mentions]] e.g. building upon the existing [[MedicalCondition]] vocabulary.
 *
 *
 * https://schema.org/HealthTopicContent
 */
var HealthTopicContent = 'https://schema.org/HealthTopicContent';
/**
 * HighSchool
 *
 * A high school.
 *
 * https://schema.org/HighSchool
 */
var HighSchool = 'https://schema.org/HighSchool';
/**
 * HinduTemple
 *
 * A Hindu temple.
 *
 * https://schema.org/HinduTemple
 */
var HinduTemple = 'https://schema.org/HinduTemple';
/**
 * HobbyShop
 *
 * A store that sells materials useful or necessary for various hobbies.
 *
 * https://schema.org/HobbyShop
 */
var HobbyShop = 'https://schema.org/HobbyShop';
/**
 * HomeAndConstructionBusiness
 *
 * A construction business.\n\nA HomeAndConstructionBusiness is a [[LocalBusiness]] that provides services around homes and buildings.\n\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\(s).
 *
 * https://schema.org/HomeAndConstructionBusiness
 */
var HomeAndConstructionBusiness = 'https://schema.org/HomeAndConstructionBusiness';
/**
 * HomeGoodsStore
 *
 * A home goods store.
 *
 * https://schema.org/HomeGoodsStore
 */
var HomeGoodsStore = 'https://schema.org/HomeGoodsStore';
/**
 * Hospital
 *
 * A hospital.
 *
 * https://schema.org/Hospital
 */
var Hospital = 'https://schema.org/Hospital';
/**
 * Hostel
 *
 * A hostel - cheap accommodation, often in shared dormitories.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/Hostel
 */
var Hostel = 'https://schema.org/Hostel';
/**
 * Hotel
 *
 * A hotel is an establishment that provides lodging paid on a short-term basis (source: Wikipedia, the free encyclopedia, see http://en.wikipedia.org/wiki/Hotel).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/Hotel
 */
var Hotel = 'https://schema.org/Hotel';
/**
 * HotelRoom
 *
 * A hotel room is a single room in a hotel.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/HotelRoom
 */
var HotelRoom = 'https://schema.org/HotelRoom';
/**
 * House
 *
 * A house is a building or structure that has the ability to be occupied for habitation by humans or other creatures (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/House">http://en.wikipedia.org/wiki/House</a>).
 *
 * https://schema.org/House
 */
var House = 'https://schema.org/House';
/**
 * HousePainter
 *
 * A house painting service.
 *
 * https://schema.org/HousePainter
 */
var HousePainter = 'https://schema.org/HousePainter';
/**
 * HowTo
 *
 * Instructions that explain how to achieve a result by performing a sequence of steps.
 *
 * https://schema.org/HowTo
 */
var HowTo = 'https://schema.org/HowTo';
/**
 * HowToDirection
 *
 * A direction indicating a single action to do in the instructions for how to achieve a result.
 *
 * https://schema.org/HowToDirection
 */
var HowToDirection = 'https://schema.org/HowToDirection';
/**
 * HowToItem
 *
 * An item used as either a tool or supply when performing the instructions for how to achieve a result.
 *
 * https://schema.org/HowToItem
 */
var HowToItem = 'https://schema.org/HowToItem';
/**
 * HowToSection
 *
 * A sub-grouping of steps in the instructions for how to achieve a result (e.g. steps for making a pie crust within a pie recipe).
 *
 * https://schema.org/HowToSection
 */
var HowToSection = 'https://schema.org/HowToSection';
/**
 * HowToStep
 *
 * A step in the instructions for how to achieve a result. It is an ordered list with HowToDirection and/or HowToTip items.
 *
 * https://schema.org/HowToStep
 */
var HowToStep = 'https://schema.org/HowToStep';
/**
 * HowToSupply
 *
 * A supply consumed when performing the instructions for how to achieve a result.
 *
 * https://schema.org/HowToSupply
 */
var HowToSupply = 'https://schema.org/HowToSupply';
/**
 * HowToTip
 *
 * An explanation in the instructions for how to achieve a result. It provides supplementary information about a technique, supply, author's preference, etc. It can explain what could be done, or what should not be done, but doesn't specify what should be done (see HowToDirection).
 *
 * https://schema.org/HowToTip
 */
var HowToTip = 'https://schema.org/HowToTip';
/**
 * HowToTool
 *
 * A tool used (but not consumed) when performing instructions for how to achieve a result.
 *
 * https://schema.org/HowToTool
 */
var HowToTool = 'https://schema.org/HowToTool';
/**
 * HyperToc
 *
 * A HyperToc represents a hypertext table of contents for complex media objects, such as [[VideoObject]], [[AudioObject]]. Items in the table of contents are indicated using the [[tocEntry]] property, and typed [[HyperTocEntry]]. For cases where the same larger work is split into multiple files, [[associatedMedia]] can be used on individual [[HyperTocEntry]] items.
 *
 * https://schema.org/HyperToc
 */
var HyperToc = 'https://schema.org/HyperToc';
/**
 * HyperTocEntry
 *
 * A HyperToEntry is an item within a [[HyperToc]], which represents a hypertext table of contents for complex media objects, such as [[VideoObject]], [[AudioObject]]. The media object itself is indicated using [[associatedMedia]]. Each section of interest within that content can be described with a [[HyperTocEntry]], with associated [[startOffset]] and [[endOffset]]. When several entries are all from the same file, [[associatedMedia]] is used on the overarching [[HyperTocEntry]]; if the content has been split into multiple files, they can be referenced using [[associatedMedia]] on each [[HyperTocEntry]].
 *
 * https://schema.org/HyperTocEntry
 */
var HyperTocEntry = 'https://schema.org/HyperTocEntry';
/**
 * IPTCDigitalSourceEnumeration
 *
 * <a href="https://www.iptc.org/">IPTC</a> "Digital Source" codes for use with the [[digitalSourceType]] property, providing information about the source for a digital media object.
 * In general these codes are not declared here to be mutually exclusive, although some combinations would be contradictory if applied simultaneously, or might be considered mutually incompatible by upstream maintainers of the definitions. See the IPTC <a href="https://www.iptc.org/std/photometadata/documentation/userguide/">documentation</a>
 *  for <a href="https://cv.iptc.org/newscodes/digitalsourcetype/">detailed definitions</a> of all terms.
 *
 * https://schema.org/IPTCDigitalSourceEnumeration
 */
var IPTCDigitalSourceEnumeration = 'https://schema.org/IPTCDigitalSourceEnumeration';
/**
 * IceCreamShop
 *
 * An ice cream shop.
 *
 * https://schema.org/IceCreamShop
 */
var IceCreamShop = 'https://schema.org/IceCreamShop';
/**
 * IgnoreAction
 *
 * The act of intentionally disregarding the object. An agent ignores an object.
 *
 * https://schema.org/IgnoreAction
 */
var IgnoreAction = 'https://schema.org/IgnoreAction';
/**
 * ImageGallery
 *
 * Web page type: Image gallery page.
 *
 * https://schema.org/ImageGallery
 */
var ImageGallery = 'https://schema.org/ImageGallery';
/**
 * ImageObject
 *
 * An image file.
 *
 * https://schema.org/ImageObject
 */
var ImageObject = 'https://schema.org/ImageObject';
/**
 * ImageObjectSnapshot
 *
 * A specific and exact (byte-for-byte) version of an [[ImageObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata (e.g. XMP, EXIF) the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.
 *
 * https://schema.org/ImageObjectSnapshot
 */
var ImageObjectSnapshot = 'https://schema.org/ImageObjectSnapshot';
/**
 * ImagingTest
 *
 * Any medical imaging modality typically used for diagnostic purposes.
 *
 * https://schema.org/ImagingTest
 */
var ImagingTest = 'https://schema.org/ImagingTest';
/**
 * IncentiveQualifiedExpenseType
 *
 * The types of expenses that are covered by the incentive. For example some incentives are only for the goods (tangible items) but the services (labor) are excluded.
 *
 * https://schema.org/IncentiveQualifiedExpenseType
 */
var IncentiveQualifiedExpenseType = 'https://schema.org/IncentiveQualifiedExpenseType';
/**
 * IncentiveStatus
 *
 * Enumerates a status for an incentive, such as whether it is active.
 *
 * https://schema.org/IncentiveStatus
 */
var IncentiveStatus = 'https://schema.org/IncentiveStatus';
/**
 * IncentiveType
 *
 * Enumerates common financial incentives for products, including tax credits, tax deductions, rebates and subsidies, etc.
 *
 * https://schema.org/IncentiveType
 */
var IncentiveType = 'https://schema.org/IncentiveType';
/**
 * IndividualPhysician
 *
 * An individual medical practitioner. For their official address use [[address]], for affiliations to hospitals use [[hospitalAffiliation]].
 * The [[practicesAt]] property can be used to indicate [[MedicalOrganization]] hospitals, clinics, pharmacies etc. where this physician practices.
 *
 * https://schema.org/IndividualPhysician
 */
var IndividualPhysician = 'https://schema.org/IndividualPhysician';
/**
 * IndividualProduct
 *
 * A single, identifiable product instance (e.g. a laptop with a particular serial number).
 *
 * https://schema.org/IndividualProduct
 */
var IndividualProduct = 'https://schema.org/IndividualProduct';
/**
 * InfectiousAgentClass
 *
 * Classes of agents or pathogens that transmit infectious diseases. Enumerated type.
 *
 * https://schema.org/InfectiousAgentClass
 */
var InfectiousAgentClass = 'https://schema.org/InfectiousAgentClass';
/**
 * InfectiousDisease
 *
 * An infectious disease is a clinically evident human disease resulting from the presence of pathogenic microbial agents, like pathogenic viruses, pathogenic bacteria, fungi, protozoa, multicellular parasites, and prions. To be considered an infectious disease, such pathogens are known to be able to cause this disease.
 *
 * https://schema.org/InfectiousDisease
 */
var InfectiousDisease = 'https://schema.org/InfectiousDisease';
/**
 * InformAction
 *
 * The act of notifying someone of information pertinent to them, with no expectation of a response.
 *
 * https://schema.org/InformAction
 */
var InformAction = 'https://schema.org/InformAction';
/**
 * InsertAction
 *
 * The act of adding at a specific location in an ordered collection.
 *
 * https://schema.org/InsertAction
 */
var InsertAction = 'https://schema.org/InsertAction';
/**
 * InstallAction
 *
 * The act of installing an application.
 *
 * https://schema.org/InstallAction
 */
var InstallAction = 'https://schema.org/InstallAction';
/**
 * InsuranceAgency
 *
 * An Insurance agency.
 *
 * https://schema.org/InsuranceAgency
 */
var InsuranceAgency = 'https://schema.org/InsuranceAgency';
/**
 * Intangible
 *
 * A utility class that serves as the umbrella for a number of 'intangible' things such as quantities, structured values, etc.
 *
 * https://schema.org/Intangible
 */
var Intangible = 'https://schema.org/Intangible';
/**
 * Integer
 *
 * Data type: Integer.
 *
 * https://schema.org/Integer
 */
var Integer = 'https://schema.org/Integer';
/**
 * InteractAction
 *
 * The act of interacting with another person or organization.
 *
 * https://schema.org/InteractAction
 */
var InteractAction = 'https://schema.org/InteractAction';
/**
 * InteractionCounter
 *
 * A summary of how users have interacted with this CreativeWork. In most cases, authors will use a subtype to specify the specific type of interaction.
 *
 * https://schema.org/InteractionCounter
 */
var InteractionCounter = 'https://schema.org/InteractionCounter';
/**
 * InternetCafe
 *
 * An internet cafe.
 *
 * https://schema.org/InternetCafe
 */
var InternetCafe = 'https://schema.org/InternetCafe';
/**
 * InvestmentFund
 *
 * A company or fund that gathers capital from a number of investors to create a pool of money that is then re-invested into stocks, bonds and other assets.
 *
 * https://schema.org/InvestmentFund
 */
var InvestmentFund = 'https://schema.org/InvestmentFund';
/**
 * InvestmentOrDeposit
 *
 * A type of financial product that typically requires the client to transfer funds to a financial service in return for potential beneficial financial return.
 *
 * https://schema.org/InvestmentOrDeposit
 */
var InvestmentOrDeposit = 'https://schema.org/InvestmentOrDeposit';
/**
 * InviteAction
 *
 * The act of asking someone to attend an event. Reciprocal of RsvpAction.
 *
 * https://schema.org/InviteAction
 */
var InviteAction = 'https://schema.org/InviteAction';
/**
 * Invoice
 *
 * A statement of the money due for goods or services; a bill.
 *
 * https://schema.org/Invoice
 */
var Invoice = 'https://schema.org/Invoice';
/**
 * ItemAvailability
 *
 * A list of possible product availability options.
 *
 * https://schema.org/ItemAvailability
 */
var ItemAvailability = 'https://schema.org/ItemAvailability';
/**
 * ItemList
 *
 * A list of items of any sort&#x2014;for example, Top 10 Movies About Weathermen, or Top 100 Party Songs. Not to be confused with HTML lists, which are often used only for formatting.
 *
 * https://schema.org/ItemList
 */
var ItemList = 'https://schema.org/ItemList';
/**
 * ItemListOrderType
 *
 * Enumerated for values for itemListOrder for indicating how an ordered ItemList is organized.
 *
 * https://schema.org/ItemListOrderType
 */
var ItemListOrderType = 'https://schema.org/ItemListOrderType';
/**
 * ItemPage
 *
 * A page devoted to a single item, such as a particular product or hotel.
 *
 * https://schema.org/ItemPage
 */
var ItemPage = 'https://schema.org/ItemPage';
/**
 * JewelryStore
 *
 * A jewelry store.
 *
 * https://schema.org/JewelryStore
 */
var JewelryStore = 'https://schema.org/JewelryStore';
/**
 * JobPosting
 *
 * A listing that describes a job opening in a certain organization.
 *
 * https://schema.org/JobPosting
 */
var JobPosting = 'https://schema.org/JobPosting';
/**
 * JoinAction
 *
 * An agent joins an event/group with participants/friends at a location.\n\nRelated actions:\n\n* [[RegisterAction]]: Unlike RegisterAction, JoinAction refers to joining a group/team of people.\n* [[SubscribeAction]]: Unlike SubscribeAction, JoinAction does not imply that you'll be receiving updates.\n* [[FollowAction]]: Unlike FollowAction, JoinAction does not imply that you'll be polling for updates.
 *
 * https://schema.org/JoinAction
 */
var JoinAction = 'https://schema.org/JoinAction';
/**
 * Joint
 *
 * The anatomical location at which two or more bones make contact.
 *
 * https://schema.org/Joint
 */
var Joint = 'https://schema.org/Joint';
/**
 * LakeBodyOfWater
 *
 * A lake (for example, Lake Pontrachain).
 *
 * https://schema.org/LakeBodyOfWater
 */
var LakeBodyOfWater = 'https://schema.org/LakeBodyOfWater';
/**
 * Landform
 *
 * A landform or physical feature.  Landform elements include mountains, plains, lakes, rivers, seascape and oceanic waterbody interface features such as bays, peninsulas, seas and so forth, including sub-aqueous terrain features such as submersed mountain ranges, volcanoes, and the great ocean basins.
 *
 * https://schema.org/Landform
 */
var Landform = 'https://schema.org/Landform';
/**
 * LandmarksOrHistoricalBuildings
 *
 * An historical landmark or building.
 *
 * https://schema.org/LandmarksOrHistoricalBuildings
 */
var LandmarksOrHistoricalBuildings = 'https://schema.org/LandmarksOrHistoricalBuildings';
/**
 * Language
 *
 * Natural languages such as Spanish, Tamil, Hindi, English, etc. Formal language code tags expressed in [BCP 47](https://en.wikipedia.org/wiki/IETF_language_tag) can be used via the [[alternateName]] property. The Language type previously also covered programming languages such as Scheme and Lisp, which are now best represented using [[ComputerLanguage]].
 *
 * https://schema.org/Language
 */
var Language = 'https://schema.org/Language';
/**
 * LearningResource
 *
 * The LearningResource type can be used to indicate [[CreativeWork]]s (whether physical or digital) that have a particular and explicit orientation towards learning, education, skill acquisition, and other educational purposes.
 *
 * [[LearningResource]] is expected to be used as an addition to a primary type such as [[Book]], [[VideoObject]], [[Product]] etc.
 *
 * [[EducationEvent]] serves a similar purpose for event-like things (e.g. a [[Trip]]). A [[LearningResource]] may be created as a result of an [[EducationEvent]], for example by recording one.
 *
 * https://schema.org/LearningResource
 */
var LearningResource = 'https://schema.org/LearningResource';
/**
 * LeaveAction
 *
 * An agent leaves an event / group with participants/friends at a location.\n\nRelated actions:\n\n* [[JoinAction]]: The antonym of LeaveAction.\n* [[UnRegisterAction]]: Unlike UnRegisterAction, LeaveAction implies leaving a group/team of people rather than a service.
 *
 * https://schema.org/LeaveAction
 */
var LeaveAction = 'https://schema.org/LeaveAction';
/**
 * LegalForceStatus
 *
 * A list of possible statuses for the legal force of a legislation.
 *
 * https://schema.org/LegalForceStatus
 */
var LegalForceStatus = 'https://schema.org/LegalForceStatus';
/**
 * LegalService
 *
 * A LegalService is a business that provides legally-oriented services, advice and representation, e.g. law firms.\n\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\(s).
 *
 * https://schema.org/LegalService
 */
var LegalService = 'https://schema.org/LegalService';
/**
 * LegalValueLevel
 *
 * A list of possible levels for the legal validity of a legislation.
 *
 * https://schema.org/LegalValueLevel
 */
var LegalValueLevel = 'https://schema.org/LegalValueLevel';
/**
 * Legislation
 *
 * A legal document such as an act, decree, bill, etc. (enforceable or not) or a component of a legal act (like an article).
 *
 * https://schema.org/Legislation
 */
var Legislation = 'https://schema.org/Legislation';
/**
 * LegislationObject
 *
 * A specific object or file containing a Legislation. Note that the same Legislation can be published in multiple files. For example, a digitally signed PDF, a plain PDF and an HTML version.
 *
 * https://schema.org/LegislationObject
 */
var LegislationObject = 'https://schema.org/LegislationObject';
/**
 * LegislativeBuilding
 *
 * A legislative building&#x2014;for example, the state capitol.
 *
 * https://schema.org/LegislativeBuilding
 */
var LegislativeBuilding = 'https://schema.org/LegislativeBuilding';
/**
 * LendAction
 *
 * The act of providing an object under an agreement that it will be returned at a later date. Reciprocal of BorrowAction.\n\nRelated actions:\n\n* [[BorrowAction]]: Reciprocal of LendAction.
 *
 * https://schema.org/LendAction
 */
var LendAction = 'https://schema.org/LendAction';
/**
 * Library
 *
 * A library.
 *
 * https://schema.org/Library
 */
var Library = 'https://schema.org/Library';
/**
 * LibrarySystem
 *
 * A [[LibrarySystem]] is a collaborative system amongst several libraries.
 *
 * https://schema.org/LibrarySystem
 */
var LibrarySystem = 'https://schema.org/LibrarySystem';
/**
 * LifestyleModification
 *
 * A process of care involving exercise, changes to diet, fitness routines, and other lifestyle changes aimed at improving a health condition.
 *
 * https://schema.org/LifestyleModification
 */
var LifestyleModification = 'https://schema.org/LifestyleModification';
/**
 * Ligament
 *
 * A short band of tough, flexible, fibrous connective tissue that functions to connect multiple bones, cartilages, and structurally support joints.
 *
 * https://schema.org/Ligament
 */
var Ligament = 'https://schema.org/Ligament';
/**
 * LikeAction
 *
 * The act of expressing a positive sentiment about the object. An agent likes an object (a proposition, topic or theme) with participants.
 *
 * https://schema.org/LikeAction
 */
var LikeAction = 'https://schema.org/LikeAction';
/**
 * LinkRole
 *
 * A Role that represents a Web link, e.g. as expressed via the 'url' property. Its linkRelationship property can indicate URL-based and plain textual link types, e.g. those in IANA link registry or others such as 'amphtml'. This structure provides a placeholder where details from HTML's link element can be represented outside of HTML, e.g. in JSON-LD feeds.
 *
 * https://schema.org/LinkRole
 */
var LinkRole = 'https://schema.org/LinkRole';
/**
 * LiquorStore
 *
 * A shop that sells alcoholic drinks such as wine, beer, whisky and other spirits.
 *
 * https://schema.org/LiquorStore
 */
var LiquorStore = 'https://schema.org/LiquorStore';
/**
 * ListItem
 *
 * An list item, e.g. a step in a checklist or how-to description.
 *
 * https://schema.org/ListItem
 */
var ListItem = 'https://schema.org/ListItem';
/**
 * ListenAction
 *
 * The act of consuming audio content.
 *
 * https://schema.org/ListenAction
 */
var ListenAction = 'https://schema.org/ListenAction';
/**
 * LiteraryEvent
 *
 * Event type: Literary event.
 *
 * https://schema.org/LiteraryEvent
 */
var LiteraryEvent = 'https://schema.org/LiteraryEvent';
/**
 * LiveBlogPosting
 *
 * A [[LiveBlogPosting]] is a [[BlogPosting]] intended to provide a rolling textual coverage of an ongoing event through continuous updates.
 *
 * https://schema.org/LiveBlogPosting
 */
var LiveBlogPosting = 'https://schema.org/LiveBlogPosting';
/**
 * LoanOrCredit
 *
 * A financial product for the loaning of an amount of money, or line of credit, under agreed terms and charges.
 *
 * https://schema.org/LoanOrCredit
 */
var LoanOrCredit = 'https://schema.org/LoanOrCredit';
/**
 * LocalBusiness
 *
 * A particular physical business or branch of an organization. Examples of LocalBusiness include a restaurant, a particular branch of a restaurant chain, a branch of a bank, a medical practice, a club, a bowling alley, etc.
 *
 * https://schema.org/LocalBusiness
 */
var LocalBusiness = 'https://schema.org/LocalBusiness';
/**
 * LocationFeatureSpecification
 *
 * Specifies a location feature by providing a structured value representing a feature of an accommodation as a property-value pair of varying degrees of formality.
 *
 * https://schema.org/LocationFeatureSpecification
 */
var LocationFeatureSpecification = 'https://schema.org/LocationFeatureSpecification';
/**
 * Locksmith
 *
 * A locksmith.
 *
 * https://schema.org/Locksmith
 */
var Locksmith = 'https://schema.org/Locksmith';
/**
 * LodgingBusiness
 *
 * A lodging business, such as a motel, hotel, or inn.
 *
 * https://schema.org/LodgingBusiness
 */
var LodgingBusiness = 'https://schema.org/LodgingBusiness';
/**
 * LodgingReservation
 *
 * A reservation for lodging at a hotel, motel, inn, etc.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 *
 * https://schema.org/LodgingReservation
 */
var LodgingReservation = 'https://schema.org/LodgingReservation';
/**
 * LoseAction
 *
 * The act of being defeated in a competitive activity.
 *
 * https://schema.org/LoseAction
 */
var LoseAction = 'https://schema.org/LoseAction';
/**
 * LymphaticVessel
 *
 * A type of blood vessel that specifically carries lymph fluid unidirectionally toward the heart.
 *
 * https://schema.org/LymphaticVessel
 */
var LymphaticVessel = 'https://schema.org/LymphaticVessel';
/**
 * Manuscript
 *
 * A book, document, or piece of music written by hand rather than typed or printed.
 *
 * https://schema.org/Manuscript
 */
var Manuscript = 'https://schema.org/Manuscript';
/**
 * Map
 *
 * A map.
 * Note that `Map` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * https://schema.org/Map
 */
var Map__workaround = 'https://schema.org/Map';
/**
 * MapCategoryType
 *
 * An enumeration of several kinds of Map.
 *
 * https://schema.org/MapCategoryType
 */
var MapCategoryType = 'https://schema.org/MapCategoryType';
/**
 * MarryAction
 *
 * The act of marrying a person.
 *
 * https://schema.org/MarryAction
 */
var MarryAction = 'https://schema.org/MarryAction';
/**
 * Mass
 *
 * Properties that take Mass as values are of the form '&lt;Number&gt; &lt;Mass unit of measure&gt;'. E.g., '7 kg'.
 *
 * https://schema.org/Mass
 */
var Mass = 'https://schema.org/Mass';
/**
 * MathSolver
 *
 * A math solver which is capable of solving a subset of mathematical problems.
 *
 * https://schema.org/MathSolver
 */
var MathSolver = 'https://schema.org/MathSolver';
/**
 * MaximumDoseSchedule
 *
 * The maximum dosing schedule considered safe for a drug or supplement as recommended by an authority or by the drug/supplement's manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.
 *
 * https://schema.org/MaximumDoseSchedule
 */
var MaximumDoseSchedule = 'https://schema.org/MaximumDoseSchedule';
/**
 * MeasurementMethodEnum
 *
 * Enumeration(s) for use with [[measurementMethod]].
 *
 * https://schema.org/MeasurementMethodEnum
 */
var MeasurementMethodEnum = 'https://schema.org/MeasurementMethodEnum';
/**
 * MeasurementTypeEnumeration
 *
 * Enumeration of common measurement types (or dimensions), for example "chest" for a person, "inseam" for pants, "gauge" for screws, or "wheel" for bicycles.
 *
 * https://schema.org/MeasurementTypeEnumeration
 */
var MeasurementTypeEnumeration = 'https://schema.org/MeasurementTypeEnumeration';
/**
 * MediaEnumeration
 *
 * MediaEnumeration enumerations are lists of codes, labels etc. useful for describing media objects. They may be reflections of externally developed lists, or created at schema.org, or a combination.
 *
 * https://schema.org/MediaEnumeration
 */
var MediaEnumeration = 'https://schema.org/MediaEnumeration';
/**
 * MediaGallery
 *
 * Web page type: Media gallery page. A mixed-media page that can contain media such as images, videos, and other multimedia.
 *
 * https://schema.org/MediaGallery
 */
var MediaGallery = 'https://schema.org/MediaGallery';
/**
 * MediaManipulationRatingEnumeration
 *
 *  Codes for use with the [[mediaAuthenticityCategory]] property, indicating the authenticity of a media object (in the context of how it was published or shared). In general these codes are not mutually exclusive, although some combinations (such as 'original' versus 'transformed', 'edited' and 'staged') would be contradictory if applied in the same [[MediaReview]]. Note that the application of these codes is with regard to a piece of media shared or published in a particular context.
 *
 * https://schema.org/MediaManipulationRatingEnumeration
 */
var MediaManipulationRatingEnumeration = 'https://schema.org/MediaManipulationRatingEnumeration';
/**
 * MediaObject
 *
 * A media object, such as an image, video, audio, or text object embedded in a web page or a downloadable dataset i.e. DataDownload. Note that a creative work may have many media objects associated with it on the same web page. For example, a page about a single song (MusicRecording) may have a music video (VideoObject), and a high and low bandwidth audio stream (2 AudioObject's).
 *
 * https://schema.org/MediaObject
 */
var MediaObject = 'https://schema.org/MediaObject';
/**
 * MediaReview
 *
 * A [[MediaReview]] is a more specialized form of Review dedicated to the evaluation of media content online, typically in the context of fact-checking and misinformation.
 *     For more general reviews of media in the broader sense, use [[UserReview]], [[CriticReview]] or other [[Review]] types. This definition is
 *     a work in progress. While the [[MediaManipulationRatingEnumeration]] list reflects significant community review amongst fact-checkers and others working
 *     to combat misinformation, the specific structures for representing media objects, their versions and publication context, are still evolving. Similarly, best practices for the relationship between [[MediaReview]] and [[ClaimReview]] markup have not yet been finalized.
 *
 * https://schema.org/MediaReview
 */
var MediaReview = 'https://schema.org/MediaReview';
/**
 * MediaReviewItem
 *
 * Represents an item or group of closely related items treated as a unit for the sake of evaluation in a [[MediaReview]]. Authorship etc. apply to the items rather than to the curation/grouping or reviewing party.
 *
 * https://schema.org/MediaReviewItem
 */
var MediaReviewItem = 'https://schema.org/MediaReviewItem';
/**
 * MediaSubscription
 *
 * A subscription which allows a user to access media including audio, video, books, etc.
 *
 * https://schema.org/MediaSubscription
 */
var MediaSubscription = 'https://schema.org/MediaSubscription';
/**
 * MedicalAudience
 *
 * Target audiences for medical web pages.
 *
 * https://schema.org/MedicalAudience
 */
var MedicalAudience = 'https://schema.org/MedicalAudience';
/**
 * MedicalAudienceType
 *
 * Target audiences types for medical web pages. Enumerated type.
 *
 * https://schema.org/MedicalAudienceType
 */
var MedicalAudienceType = 'https://schema.org/MedicalAudienceType';
/**
 * MedicalBusiness
 *
 * A particular physical or virtual business of an organization for medical purposes. Examples of MedicalBusiness include different businesses run by health professionals.
 *
 * https://schema.org/MedicalBusiness
 */
var MedicalBusiness = 'https://schema.org/MedicalBusiness';
/**
 * MedicalCause
 *
 * The causative agent(s) that are responsible for the pathophysiologic process that eventually results in a medical condition, symptom or sign. In this schema, unless otherwise specified this is meant to be the proximate cause of the medical condition, symptom or sign. The proximate cause is defined as the causative agent that most directly results in the medical condition, symptom or sign. For example, the HIV virus could be considered a cause of AIDS. Or in a diagnostic context, if a patient fell and sustained a hip fracture and two days later sustained a pulmonary embolism which eventuated in a cardiac arrest, the cause of the cardiac arrest (the proximate cause) would be the pulmonary embolism and not the fall. Medical causes can include cardiovascular, chemical, dermatologic, endocrine, environmental, gastroenterologic, genetic, hematologic, gynecologic, iatrogenic, infectious, musculoskeletal, neurologic, nutritional, obstetric, oncologic, otolaryngologic, pharmacologic, psychiatric, pulmonary, renal, rheumatologic, toxic, traumatic, or urologic causes; medical conditions can be causes as well.
 *
 * https://schema.org/MedicalCause
 */
var MedicalCause = 'https://schema.org/MedicalCause';
/**
 * MedicalClinic
 *
 * A facility, often associated with a hospital or medical school, that is devoted to the specific diagnosis and/or healthcare. Previously limited to outpatients but with evolution it may be open to inpatients as well.
 *
 * https://schema.org/MedicalClinic
 */
var MedicalClinic = 'https://schema.org/MedicalClinic';
/**
 * MedicalCode
 *
 * A code for a medical entity.
 *
 * https://schema.org/MedicalCode
 */
var MedicalCode = 'https://schema.org/MedicalCode';
/**
 * MedicalCondition
 *
 * Any condition of the human body that affects the normal functioning of a person, whether physically or mentally. Includes diseases, injuries, disabilities, disorders, syndromes, etc.
 *
 * https://schema.org/MedicalCondition
 */
var MedicalCondition = 'https://schema.org/MedicalCondition';
/**
 * MedicalConditionStage
 *
 * A stage of a medical condition, such as 'Stage IIIa'.
 *
 * https://schema.org/MedicalConditionStage
 */
var MedicalConditionStage = 'https://schema.org/MedicalConditionStage';
/**
 * MedicalContraindication
 *
 * A condition or factor that serves as a reason to withhold a certain medical therapy. Contraindications can be absolute (there are no reasonable circumstances for undertaking a course of action) or relative (the patient is at higher risk of complications, but these risks may be outweighed by other considerations or mitigated by other measures).
 *
 * https://schema.org/MedicalContraindication
 */
var MedicalContraindication = 'https://schema.org/MedicalContraindication';
/**
 * MedicalDevice
 *
 * Any object used in a medical capacity, such as to diagnose or treat a patient.
 *
 * https://schema.org/MedicalDevice
 */
var MedicalDevice = 'https://schema.org/MedicalDevice';
/**
 * MedicalDevicePurpose
 *
 * Categories of medical devices, organized by the purpose or intended use of the device.
 *
 * https://schema.org/MedicalDevicePurpose
 */
var MedicalDevicePurpose = 'https://schema.org/MedicalDevicePurpose';
/**
 * MedicalEntity
 *
 * The most generic type of entity related to health and the practice of medicine.
 *
 * https://schema.org/MedicalEntity
 */
var MedicalEntity = 'https://schema.org/MedicalEntity';
/**
 * MedicalEnumeration
 *
 * Enumerations related to health and the practice of medicine: A concept that is used to attribute a quality to another concept, as a qualifier, a collection of items or a listing of all of the elements of a set in medicine practice.
 *
 * https://schema.org/MedicalEnumeration
 */
var MedicalEnumeration = 'https://schema.org/MedicalEnumeration';
/**
 * MedicalEvidenceLevel
 *
 * Level of evidence for a medical guideline. Enumerated type.
 *
 * https://schema.org/MedicalEvidenceLevel
 */
var MedicalEvidenceLevel = 'https://schema.org/MedicalEvidenceLevel';
/**
 * MedicalGuideline
 *
 * Any recommendation made by a standard society (e.g. ACC/AHA) or consensus statement that denotes how to diagnose and treat a particular condition. Note: this type should be used to tag the actual guideline recommendation; if the guideline recommendation occurs in a larger scholarly article, use MedicalScholarlyArticle to tag the overall article, not this type. Note also: the organization making the recommendation should be captured in the recognizingAuthority base property of MedicalEntity.
 *
 * https://schema.org/MedicalGuideline
 */
var MedicalGuideline = 'https://schema.org/MedicalGuideline';
/**
 * MedicalGuidelineContraindication
 *
 * A guideline contraindication that designates a process as harmful and where quality of the data supporting the contraindication is sound.
 *
 * https://schema.org/MedicalGuidelineContraindication
 */
var MedicalGuidelineContraindication = 'https://schema.org/MedicalGuidelineContraindication';
/**
 * MedicalGuidelineRecommendation
 *
 * A guideline recommendation that is regarded as efficacious and where quality of the data supporting the recommendation is sound.
 *
 * https://schema.org/MedicalGuidelineRecommendation
 */
var MedicalGuidelineRecommendation = 'https://schema.org/MedicalGuidelineRecommendation';
/**
 * MedicalImagingTechnique
 *
 * Any medical imaging modality typically used for diagnostic purposes. Enumerated type.
 *
 * https://schema.org/MedicalImagingTechnique
 */
var MedicalImagingTechnique = 'https://schema.org/MedicalImagingTechnique';
/**
 * MedicalIndication
 *
 * A condition or factor that indicates use of a medical therapy, including signs, symptoms, risk factors, anatomical states, etc.
 *
 * https://schema.org/MedicalIndication
 */
var MedicalIndication = 'https://schema.org/MedicalIndication';
/**
 * MedicalIntangible
 *
 * A utility class that serves as the umbrella for a number of 'intangible' things in the medical space.
 *
 * https://schema.org/MedicalIntangible
 */
var MedicalIntangible = 'https://schema.org/MedicalIntangible';
/**
 * MedicalObservationalStudy
 *
 * An observational study is a type of medical study that attempts to infer the possible effect of a treatment through observation of a cohort of subjects over a period of time. In an observational study, the assignment of subjects into treatment groups versus control groups is outside the control of the investigator. This is in contrast with controlled studies, such as the randomized controlled trials represented by MedicalTrial, where each subject is randomly assigned to a treatment group or a control group before the start of the treatment.
 *
 * https://schema.org/MedicalObservationalStudy
 */
var MedicalObservationalStudy = 'https://schema.org/MedicalObservationalStudy';
/**
 * MedicalObservationalStudyDesign
 *
 * Design models for observational medical studies. Enumerated type.
 *
 * https://schema.org/MedicalObservationalStudyDesign
 */
var MedicalObservationalStudyDesign = 'https://schema.org/MedicalObservationalStudyDesign';
/**
 * MedicalOrganization
 *
 * A medical organization (physical or not), such as hospital, institution or clinic.
 *
 * https://schema.org/MedicalOrganization
 */
var MedicalOrganization = 'https://schema.org/MedicalOrganization';
/**
 * MedicalProcedure
 *
 * A process of care used in either a diagnostic, therapeutic, preventive or palliative capacity that relies on invasive (surgical), non-invasive, or other techniques.
 *
 * https://schema.org/MedicalProcedure
 */
var MedicalProcedure = 'https://schema.org/MedicalProcedure';
/**
 * MedicalProcedureType
 *
 * An enumeration that describes different types of medical procedures.
 *
 * https://schema.org/MedicalProcedureType
 */
var MedicalProcedureType = 'https://schema.org/MedicalProcedureType';
/**
 * MedicalRiskCalculator
 *
 * A complex mathematical calculation requiring an online calculator, used to assess prognosis. Note: use the url property of Thing to record any URLs for online calculators.
 *
 * https://schema.org/MedicalRiskCalculator
 */
var MedicalRiskCalculator = 'https://schema.org/MedicalRiskCalculator';
/**
 * MedicalRiskEstimator
 *
 * Any rule set or interactive tool for estimating the risk of developing a complication or condition.
 *
 * https://schema.org/MedicalRiskEstimator
 */
var MedicalRiskEstimator = 'https://schema.org/MedicalRiskEstimator';
/**
 * MedicalRiskFactor
 *
 * A risk factor is anything that increases a person's likelihood of developing or contracting a disease, medical condition, or complication.
 *
 * https://schema.org/MedicalRiskFactor
 */
var MedicalRiskFactor = 'https://schema.org/MedicalRiskFactor';
/**
 * MedicalRiskScore
 *
 * A simple system that adds up the number of risk factors to yield a score that is associated with prognosis, e.g. CHAD score, TIMI risk score.
 *
 * https://schema.org/MedicalRiskScore
 */
var MedicalRiskScore = 'https://schema.org/MedicalRiskScore';
/**
 * MedicalScholarlyArticle
 *
 * A scholarly article in the medical domain.
 *
 * https://schema.org/MedicalScholarlyArticle
 */
var MedicalScholarlyArticle = 'https://schema.org/MedicalScholarlyArticle';
/**
 * MedicalSign
 *
 * Any physical manifestation of a person's medical condition discoverable by objective diagnostic tests or physical examination.
 *
 * https://schema.org/MedicalSign
 */
var MedicalSign = 'https://schema.org/MedicalSign';
/**
 * MedicalSignOrSymptom
 *
 * Any feature associated or not with a medical condition. In medicine a symptom is generally subjective while a sign is objective.
 *
 * https://schema.org/MedicalSignOrSymptom
 */
var MedicalSignOrSymptom = 'https://schema.org/MedicalSignOrSymptom';
/**
 * MedicalSpecialty
 *
 * Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.
 *
 * https://schema.org/MedicalSpecialty
 */
var MedicalSpecialty = 'https://schema.org/MedicalSpecialty';
/**
 * MedicalStudy
 *
 * A medical study is an umbrella type covering all kinds of research studies relating to human medicine or health, including observational studies and interventional trials and registries, randomized, controlled or not. When the specific type of study is known, use one of the extensions of this type, such as MedicalTrial or MedicalObservationalStudy. Also, note that this type should be used to mark up data that describes the study itself; to tag an article that publishes the results of a study, use MedicalScholarlyArticle. Note: use the code property of MedicalEntity to store study IDs, e.g. clinicaltrials.gov ID.
 *
 * https://schema.org/MedicalStudy
 */
var MedicalStudy = 'https://schema.org/MedicalStudy';
/**
 * MedicalStudyStatus
 *
 * The status of a medical study. Enumerated type.
 *
 * https://schema.org/MedicalStudyStatus
 */
var MedicalStudyStatus = 'https://schema.org/MedicalStudyStatus';
/**
 * MedicalSymptom
 *
 * Any complaint sensed and expressed by the patient (therefore defined as subjective)  like stomachache, lower-back pain, or fatigue.
 *
 * https://schema.org/MedicalSymptom
 */
var MedicalSymptom = 'https://schema.org/MedicalSymptom';
/**
 * MedicalTest
 *
 * Any medical test, typically performed for diagnostic purposes.
 *
 * https://schema.org/MedicalTest
 */
var MedicalTest = 'https://schema.org/MedicalTest';
/**
 * MedicalTestPanel
 *
 * Any collection of tests commonly ordered together.
 *
 * https://schema.org/MedicalTestPanel
 */
var MedicalTestPanel = 'https://schema.org/MedicalTestPanel';
/**
 * MedicalTherapy
 *
 * Any medical intervention designed to prevent, treat, and cure human diseases and medical conditions, including both curative and palliative therapies. Medical therapies are typically processes of care relying upon pharmacotherapy, behavioral therapy, supportive therapy (with fluid or nutrition for example), or detoxification (e.g. hemodialysis) aimed at improving or preventing a health condition.
 *
 * https://schema.org/MedicalTherapy
 */
var MedicalTherapy = 'https://schema.org/MedicalTherapy';
/**
 * MedicalTrial
 *
 * A medical trial is a type of medical study that uses a scientific process to compare the safety and efficacy of medical therapies or medical procedures. In general, medical trials are controlled and subjects are allocated at random to the different treatment and/or control groups.
 *
 * https://schema.org/MedicalTrial
 */
var MedicalTrial = 'https://schema.org/MedicalTrial';
/**
 * MedicalTrialDesign
 *
 * Design models for medical trials. Enumerated type.
 *
 * https://schema.org/MedicalTrialDesign
 */
var MedicalTrialDesign = 'https://schema.org/MedicalTrialDesign';
/**
 * MedicalWebPage
 *
 * A web page that provides medical information.
 *
 * https://schema.org/MedicalWebPage
 */
var MedicalWebPage = 'https://schema.org/MedicalWebPage';
/**
 * MedicineSystem
 *
 * Systems of medical practice.
 *
 * https://schema.org/MedicineSystem
 */
var MedicineSystem = 'https://schema.org/MedicineSystem';
/**
 * MeetingRoom
 *
 * A meeting room, conference room, or conference hall is a room provided for singular events such as business conferences and meetings (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Conference_hall">http://en.wikipedia.org/wiki/Conference_hall</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/MeetingRoom
 */
var MeetingRoom = 'https://schema.org/MeetingRoom';
/**
 * MemberProgram
 *
 * A MemberProgram defines a loyalty (or membership) program that provides its members with certain benefits, for example better pricing, free shipping or returns, or the ability to earn loyalty points. Member programs may have multiple tiers, for example silver and gold members, each with different benefits.
 *
 * https://schema.org/MemberProgram
 */
var MemberProgram = 'https://schema.org/MemberProgram';
/**
 * MemberProgramTier
 *
 * A MemberProgramTier specifies a tier under a loyalty (member) program, for example "gold".
 *
 * https://schema.org/MemberProgramTier
 */
var MemberProgramTier = 'https://schema.org/MemberProgramTier';
/**
 * MensClothingStore
 *
 * A men's clothing store.
 *
 * https://schema.org/MensClothingStore
 */
var MensClothingStore = 'https://schema.org/MensClothingStore';
/**
 * Menu
 *
 * A structured representation of food or drink items available from a FoodEstablishment.
 *
 * https://schema.org/Menu
 */
var Menu = 'https://schema.org/Menu';
/**
 * MenuItem
 *
 * A food or drink item listed in a menu or menu section.
 *
 * https://schema.org/MenuItem
 */
var MenuItem = 'https://schema.org/MenuItem';
/**
 * MenuSection
 *
 * A sub-grouping of food or drink items in a menu. E.g. courses (such as 'Dinner', 'Breakfast', etc.), specific type of dishes (such as 'Meat', 'Vegan', 'Drinks', etc.), or some other classification made by the menu provider.
 *
 * https://schema.org/MenuSection
 */
var MenuSection = 'https://schema.org/MenuSection';
/**
 * MerchantReturnEnumeration
 *
 * Enumerates several kinds of product return policies.
 *
 * https://schema.org/MerchantReturnEnumeration
 */
var MerchantReturnEnumeration = 'https://schema.org/MerchantReturnEnumeration';
/**
 * MerchantReturnPolicy
 *
 * A MerchantReturnPolicy provides information about product return policies associated with an [[Organization]], [[Product]], or [[Offer]].
 *
 * https://schema.org/MerchantReturnPolicy
 */
var MerchantReturnPolicy = 'https://schema.org/MerchantReturnPolicy';
/**
 * MerchantReturnPolicySeasonalOverride
 *
 * A seasonal override of a return policy, for example used for holidays.
 *
 * https://schema.org/MerchantReturnPolicySeasonalOverride
 */
var MerchantReturnPolicySeasonalOverride = 'https://schema.org/MerchantReturnPolicySeasonalOverride';
/**
 * Message
 *
 * A single message from a sender to one or more organizations or people.
 *
 * https://schema.org/Message
 */
var Message = 'https://schema.org/Message';
/**
 * MiddleSchool
 *
 * A middle school (typically for children aged around 11-14, although this varies somewhat).
 *
 * https://schema.org/MiddleSchool
 */
var MiddleSchool = 'https://schema.org/MiddleSchool';
/**
 * MobileApplication
 *
 * A software application designed specifically to work well on a mobile device such as a telephone.
 *
 * https://schema.org/MobileApplication
 */
var MobileApplication = 'https://schema.org/MobileApplication';
/**
 * MobilePhoneStore
 *
 * A store that sells mobile phones and related accessories.
 *
 * https://schema.org/MobilePhoneStore
 */
var MobilePhoneStore = 'https://schema.org/MobilePhoneStore';
/**
 * MolecularEntity
 *
 * Any constitutionally or isotopically distinct atom, molecule, ion, ion pair, radical, radical ion, complex, conformer etc., identifiable as a separately distinguishable entity.
 *
 * https://schema.org/MolecularEntity
 */
var MolecularEntity = 'https://schema.org/MolecularEntity';
/**
 * MonetaryAmount
 *
 * A monetary value or range. This type can be used to describe an amount of money such as $50 USD, or a range as in describing a bank account being suitable for a balance between £1,000 and £1,000,000 GBP, or the value of a salary, etc. It is recommended to use [[PriceSpecification]] Types to describe the price of an Offer, Invoice, etc.
 *
 * https://schema.org/MonetaryAmount
 */
var MonetaryAmount = 'https://schema.org/MonetaryAmount';
/**
 * MonetaryAmountDistribution
 *
 * A statistical distribution of monetary amounts.
 *
 * https://schema.org/MonetaryAmountDistribution
 */
var MonetaryAmountDistribution = 'https://schema.org/MonetaryAmountDistribution';
/**
 * MonetaryGrant
 *
 * A monetary grant.
 *
 * https://schema.org/MonetaryGrant
 */
var MonetaryGrant = 'https://schema.org/MonetaryGrant';
/**
 * MoneyTransfer
 *
 * The act of transferring money from one place to another place. This may occur electronically or physically.
 *
 * https://schema.org/MoneyTransfer
 */
var MoneyTransfer = 'https://schema.org/MoneyTransfer';
/**
 * MortgageLoan
 *
 * A loan in which property or real estate is used as collateral. (A loan securitized against some real estate.)
 *
 * https://schema.org/MortgageLoan
 */
var MortgageLoan = 'https://schema.org/MortgageLoan';
/**
 * Mosque
 *
 * A mosque.
 *
 * https://schema.org/Mosque
 */
var Mosque = 'https://schema.org/Mosque';
/**
 * Motel
 *
 * A motel.
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/Motel
 */
var Motel = 'https://schema.org/Motel';
/**
 * Motorcycle
 *
 * A motorcycle or motorbike is a single-track, two-wheeled motor vehicle.
 *
 * https://schema.org/Motorcycle
 */
var Motorcycle = 'https://schema.org/Motorcycle';
/**
 * MotorcycleDealer
 *
 * A motorcycle dealer.
 *
 * https://schema.org/MotorcycleDealer
 */
var MotorcycleDealer = 'https://schema.org/MotorcycleDealer';
/**
 * MotorcycleRepair
 *
 * A motorcycle repair shop.
 *
 * https://schema.org/MotorcycleRepair
 */
var MotorcycleRepair = 'https://schema.org/MotorcycleRepair';
/**
 * MotorizedBicycle
 *
 * A motorized bicycle is a bicycle with an attached motor used to power the vehicle, or to assist with pedaling.
 *
 * https://schema.org/MotorizedBicycle
 */
var MotorizedBicycle = 'https://schema.org/MotorizedBicycle';
/**
 * Mountain
 *
 * A mountain, like Mount Whitney or Mount Everest.
 *
 * https://schema.org/Mountain
 */
var Mountain = 'https://schema.org/Mountain';
/**
 * MoveAction
 *
 * The act of an agent relocating to a place.\n\nRelated actions:\n\n* [[TransferAction]]: Unlike TransferAction, the subject of the move is a living Person or Organization rather than an inanimate object.
 *
 * https://schema.org/MoveAction
 */
var MoveAction = 'https://schema.org/MoveAction';
/**
 * Movie
 *
 * A movie.
 *
 * https://schema.org/Movie
 */
var Movie = 'https://schema.org/Movie';
/**
 * MovieClip
 *
 * A short segment/part of a movie.
 *
 * https://schema.org/MovieClip
 */
var MovieClip = 'https://schema.org/MovieClip';
/**
 * MovieRentalStore
 *
 * A movie rental store.
 *
 * https://schema.org/MovieRentalStore
 */
var MovieRentalStore = 'https://schema.org/MovieRentalStore';
/**
 * MovieSeries
 *
 * A series of movies. Included movies can be indicated with the hasPart property.
 *
 * https://schema.org/MovieSeries
 */
var MovieSeries = 'https://schema.org/MovieSeries';
/**
 * MovieTheater
 *
 * A movie theater.
 *
 * https://schema.org/MovieTheater
 */
var MovieTheater = 'https://schema.org/MovieTheater';
/**
 * MovingCompany
 *
 * A moving company.
 *
 * https://schema.org/MovingCompany
 */
var MovingCompany = 'https://schema.org/MovingCompany';
/**
 * Muscle
 *
 * A muscle is an anatomical structure consisting of a contractile form of tissue that animals use to effect movement.
 *
 * https://schema.org/Muscle
 */
var Muscle = 'https://schema.org/Muscle';
/**
 * Museum
 *
 * A museum.
 *
 * https://schema.org/Museum
 */
var Museum = 'https://schema.org/Museum';
/**
 * MusicAlbum
 *
 * A collection of music tracks.
 *
 * https://schema.org/MusicAlbum
 */
var MusicAlbum = 'https://schema.org/MusicAlbum';
/**
 * MusicAlbumProductionType
 *
 * Classification of the album by its type of content: soundtrack, live album, studio album, etc.
 *
 * https://schema.org/MusicAlbumProductionType
 */
var MusicAlbumProductionType = 'https://schema.org/MusicAlbumProductionType';
/**
 * MusicAlbumReleaseType
 *
 * The kind of release which this album is: single, EP or album.
 *
 * https://schema.org/MusicAlbumReleaseType
 */
var MusicAlbumReleaseType = 'https://schema.org/MusicAlbumReleaseType';
/**
 * MusicComposition
 *
 * A musical composition.
 *
 * https://schema.org/MusicComposition
 */
var MusicComposition = 'https://schema.org/MusicComposition';
/**
 * MusicEvent
 *
 * Event type: Music event.
 *
 * https://schema.org/MusicEvent
 */
var MusicEvent = 'https://schema.org/MusicEvent';
/**
 * MusicGroup
 *
 * A musical group, such as a band, an orchestra, or a choir. Can also be a solo musician.
 *
 * https://schema.org/MusicGroup
 */
var MusicGroup = 'https://schema.org/MusicGroup';
/**
 * MusicPlaylist
 *
 * A collection of music tracks in playlist form.
 *
 * https://schema.org/MusicPlaylist
 */
var MusicPlaylist = 'https://schema.org/MusicPlaylist';
/**
 * MusicRecording
 *
 * A music recording (track), usually a single song.
 *
 * https://schema.org/MusicRecording
 */
var MusicRecording = 'https://schema.org/MusicRecording';
/**
 * MusicRelease
 *
 * A MusicRelease is a specific release of a music album.
 *
 * https://schema.org/MusicRelease
 */
var MusicRelease = 'https://schema.org/MusicRelease';
/**
 * MusicReleaseFormatType
 *
 * Format of this release (the type of recording media used, i.e. compact disc, digital media, LP, etc.).
 *
 * https://schema.org/MusicReleaseFormatType
 */
var MusicReleaseFormatType = 'https://schema.org/MusicReleaseFormatType';
/**
 * MusicStore
 *
 * A music store.
 *
 * https://schema.org/MusicStore
 */
var MusicStore = 'https://schema.org/MusicStore';
/**
 * MusicVenue
 *
 * A music venue.
 *
 * https://schema.org/MusicVenue
 */
var MusicVenue = 'https://schema.org/MusicVenue';
/**
 * MusicVideoObject
 *
 * A music video file.
 *
 * https://schema.org/MusicVideoObject
 */
var MusicVideoObject = 'https://schema.org/MusicVideoObject';
/**
 * NGO
 *
 * Organization: Non-governmental Organization.
 *
 * https://schema.org/NGO
 */
var NGO = 'https://schema.org/NGO';
/**
 * NLNonprofitType
 *
 * NLNonprofitType: Non-profit organization type originating from the Netherlands.
 *
 * https://schema.org/NLNonprofitType
 */
var NLNonprofitType = 'https://schema.org/NLNonprofitType';
/**
 * NailSalon
 *
 * A nail salon.
 *
 * https://schema.org/NailSalon
 */
var NailSalon = 'https://schema.org/NailSalon';
/**
 * Nerve
 *
 * A common pathway for the electrochemical nerve impulses that are transmitted along each of the axons.
 *
 * https://schema.org/Nerve
 */
var Nerve = 'https://schema.org/Nerve';
/**
 * NewsArticle
 *
 * A NewsArticle is an article whose content reports news, or provides background context and supporting materials for understanding the news.
 *
 * A more detailed overview of [schema.org News markup](/docs/news.html) is also available.
 *
 *
 * https://schema.org/NewsArticle
 */
var NewsArticle = 'https://schema.org/NewsArticle';
/**
 * NewsMediaOrganization
 *
 * A News/Media organization such as a newspaper or TV station.
 *
 * https://schema.org/NewsMediaOrganization
 */
var NewsMediaOrganization = 'https://schema.org/NewsMediaOrganization';
/**
 * Newspaper
 *
 * A publication containing information about varied topics that are pertinent to general information, a geographic area, or a specific subject matter (i.e. business, culture, education). Often published daily.
 *
 * https://schema.org/Newspaper
 */
var Newspaper = 'https://schema.org/Newspaper';
/**
 * NightClub
 *
 * A nightclub or discotheque.
 *
 * https://schema.org/NightClub
 */
var NightClub = 'https://schema.org/NightClub';
/**
 * NonprofitType
 *
 * NonprofitType enumerates several kinds of official non-profit types of which a non-profit organization can be.
 *
 * https://schema.org/NonprofitType
 */
var NonprofitType = 'https://schema.org/NonprofitType';
/**
 * Notary
 *
 * A notary.
 *
 * https://schema.org/Notary
 */
var Notary = 'https://schema.org/Notary';
/**
 * NoteDigitalDocument
 *
 * A file containing a note, primarily for the author.
 *
 * https://schema.org/NoteDigitalDocument
 */
var NoteDigitalDocument = 'https://schema.org/NoteDigitalDocument';
/**
 * Number
 *
 * Data type: Number.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 * Note that `Number` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * https://schema.org/Number
 */
var Number__workaround = 'https://schema.org/Number';
/**
 * NutritionInformation
 *
 * Nutritional information about the recipe.
 *
 * https://schema.org/NutritionInformation
 */
var NutritionInformation = 'https://schema.org/NutritionInformation';
/**
 * Observation
 *
 * Instances of the class [[Observation]] are used to specify observations about an entity at a particular time. The principal properties of an [[Observation]] are [[observationAbout]], [[measuredProperty]], [[statType]], [[value] and [[observationDate]]  and [[measuredProperty]]. Some but not all Observations represent a [[QuantitativeValue]]. Quantitative observations can be about a [[StatisticalVariable]], which is an abstract specification about which we can make observations that are grounded at a particular location and time.
 *
 * Observations can also encode a subset of simple RDF-like statements (its observationAbout, a StatisticalVariable, defining the measuredPoperty; its observationAbout property indicating the entity the statement is about, and [[value]] )
 *
 * In the context of a quantitative knowledge graph, typical properties could include [[measuredProperty]], [[observationAbout]], [[observationDate]], [[value]], [[unitCode]], [[unitText]], [[measurementMethod]].
 *
 *
 * https://schema.org/Observation
 */
var Observation = 'https://schema.org/Observation';
/**
 * Occupation
 *
 * A profession, may involve prolonged training and/or a formal qualification.
 *
 * https://schema.org/Occupation
 */
var Occupation = 'https://schema.org/Occupation';
/**
 * OccupationalExperienceRequirements
 *
 * Indicates employment-related experience requirements, e.g. [[monthsOfExperience]].
 *
 * https://schema.org/OccupationalExperienceRequirements
 */
var OccupationalExperienceRequirements = 'https://schema.org/OccupationalExperienceRequirements';
/**
 * OccupationalTherapy
 *
 * A treatment of people with physical, emotional, or social problems, using purposeful activity to help them overcome or learn to deal with their problems.
 *
 * https://schema.org/OccupationalTherapy
 */
var OccupationalTherapy = 'https://schema.org/OccupationalTherapy';
/**
 * OceanBodyOfWater
 *
 * An ocean (for example, the Pacific).
 *
 * https://schema.org/OceanBodyOfWater
 */
var OceanBodyOfWater = 'https://schema.org/OceanBodyOfWater';
/**
 * Offer
 *
 * An offer to transfer some rights to an item or to provide a service — for example, an offer to sell tickets to an event, to rent the DVD of a movie, to stream a TV show over the internet, to repair a motorcycle, or to loan a book.\n\nNote: As the [[businessFunction]] property, which identifies the form of offer (e.g. sell, lease, repair, dispose), defaults to http://purl.org/goodrelations/v1#Sell; an Offer without a defined businessFunction value can be assumed to be an offer to sell.\n\nFor [GTIN](http://www.gs1.org/barcodes/technical/idkeys/gtin)-related fields, see [Check Digit calculator](http://www.gs1.org/barcodes/support/check_digit_calculator) and [validation guide](http://www.gs1us.org/resources/standards/gtin-validation-guide) from [GS1](http://www.gs1.org/).
 *
 * https://schema.org/Offer
 */
var Offer = 'https://schema.org/Offer';
/**
 * OfferCatalog
 *
 * An OfferCatalog is an ItemList that contains related Offers and/or further OfferCatalogs that are offeredBy the same provider.
 *
 * https://schema.org/OfferCatalog
 */
var OfferCatalog = 'https://schema.org/OfferCatalog';
/**
 * OfferForLease
 *
 * An [[OfferForLease]] in Schema.org represents an [[Offer]] to lease out something, i.e. an [[Offer]] whose
 *   [[businessFunction]] is [lease out](http://purl.org/goodrelations/v1#LeaseOut.). See [Good Relations](https://en.wikipedia.org/wiki/GoodRelations) for
 *   background on the underlying concepts.
 *
 *
 * https://schema.org/OfferForLease
 */
var OfferForLease = 'https://schema.org/OfferForLease';
/**
 * OfferForPurchase
 *
 * An [[OfferForPurchase]] in Schema.org represents an [[Offer]] to sell something, i.e. an [[Offer]] whose
 *   [[businessFunction]] is [sell](http://purl.org/goodrelations/v1#Sell.). See [Good Relations](https://en.wikipedia.org/wiki/GoodRelations) for
 *   background on the underlying concepts.
 *
 *
 * https://schema.org/OfferForPurchase
 */
var OfferForPurchase = 'https://schema.org/OfferForPurchase';
/**
 * OfferItemCondition
 *
 * A list of possible conditions for the item.
 *
 * https://schema.org/OfferItemCondition
 */
var OfferItemCondition = 'https://schema.org/OfferItemCondition';
/**
 * OfferShippingDetails
 *
 * OfferShippingDetails represents information about shipping destinations.
 *
 * Multiple of these entities can be used to represent different shipping rates for different destinations:
 *
 * One entity for Alaska/Hawaii. A different one for continental US. A different one for all France.
 *
 * Multiple of these entities can be used to represent different shipping costs and delivery times.
 *
 * Two entities that are identical but differ in rate and time:
 *
 * E.g. Cheaper and slower: $5 in 5-7 days
 * or Fast and expensive: $15 in 1-2 days.
 *
 * https://schema.org/OfferShippingDetails
 */
var OfferShippingDetails = 'https://schema.org/OfferShippingDetails';
/**
 * OfficeEquipmentStore
 *
 * An office equipment store.
 *
 * https://schema.org/OfficeEquipmentStore
 */
var OfficeEquipmentStore = 'https://schema.org/OfficeEquipmentStore';
/**
 * OnDemandEvent
 *
 * A publication event, e.g. catch-up TV or radio podcast, during which a program is available on-demand.
 *
 * https://schema.org/OnDemandEvent
 */
var OnDemandEvent = 'https://schema.org/OnDemandEvent';
/**
 * OnlineBusiness
 *
 * A particular online business, either standalone or the online part of a broader organization. Examples include an eCommerce site, an online travel booking site, an online learning site, an online logistics and shipping provider, an online (virtual) doctor, etc.
 *
 * https://schema.org/OnlineBusiness
 */
var OnlineBusiness = 'https://schema.org/OnlineBusiness';
/**
 * OnlineStore
 *
 * An eCommerce site.
 *
 * https://schema.org/OnlineStore
 */
var OnlineStore = 'https://schema.org/OnlineStore';
/**
 * OpeningHoursSpecification
 *
 * A structured value providing information about the opening hours of a place or a certain service inside a place.\n\n
 * The place is __open__ if the [[opens]] property is specified, and __closed__ otherwise.\n\nIf the value for the [[closes]] property is less than the value for the [[opens]] property then the hour range is assumed to span over the next day.
 *
 *
 * https://schema.org/OpeningHoursSpecification
 */
var OpeningHoursSpecification = 'https://schema.org/OpeningHoursSpecification';
/**
 * OpinionNewsArticle
 *
 * An [[OpinionNewsArticle]] is a [[NewsArticle]] that primarily expresses opinions rather than journalistic reporting of news and events. For example, a [[NewsArticle]] consisting of a column or [[Blog]]/[[BlogPosting]] entry in the Opinions section of a news publication.
 *
 * https://schema.org/OpinionNewsArticle
 */
var OpinionNewsArticle = 'https://schema.org/OpinionNewsArticle';
/**
 * Optician
 *
 * A store that sells reading glasses and similar devices for improving vision.
 *
 * https://schema.org/Optician
 */
var Optician = 'https://schema.org/Optician';
/**
 * Order
 *
 * An order is a confirmation of a transaction (a receipt), which can contain multiple line items, each represented by an Offer that has been accepted by the customer.
 *
 * https://schema.org/Order
 */
var Order = 'https://schema.org/Order';
/**
 * OrderAction
 *
 * An agent orders an object/product/service to be delivered/sent.
 *
 * https://schema.org/OrderAction
 */
var OrderAction = 'https://schema.org/OrderAction';
/**
 * OrderItem
 *
 * An order item is a line of an order. It includes the quantity and shipping details of a bought offer.
 *
 * https://schema.org/OrderItem
 */
var OrderItem = 'https://schema.org/OrderItem';
/**
 * OrderStatus
 *
 * Enumerated status values for Order.
 *
 * https://schema.org/OrderStatus
 */
var OrderStatus = 'https://schema.org/OrderStatus';
/**
 * Organization
 *
 * An organization such as a school, NGO, corporation, club, etc.
 *
 * https://schema.org/Organization
 */
var Organization = 'https://schema.org/Organization';
/**
 * OrganizationRole
 *
 * A subclass of Role used to describe roles within organizations.
 *
 * https://schema.org/OrganizationRole
 */
var OrganizationRole = 'https://schema.org/OrganizationRole';
/**
 * OrganizeAction
 *
 * The act of manipulating/administering/supervising/controlling one or more objects.
 *
 * https://schema.org/OrganizeAction
 */
var OrganizeAction = 'https://schema.org/OrganizeAction';
/**
 * OutletStore
 *
 * An outlet store.
 *
 * https://schema.org/OutletStore
 */
var OutletStore = 'https://schema.org/OutletStore';
/**
 * OwnershipInfo
 *
 * A structured value providing information about when a certain organization or person owned a certain product.
 *
 * https://schema.org/OwnershipInfo
 */
var OwnershipInfo = 'https://schema.org/OwnershipInfo';
/**
 * PaintAction
 *
 * The act of producing a painting, typically with paint and canvas as instruments.
 *
 * https://schema.org/PaintAction
 */
var PaintAction = 'https://schema.org/PaintAction';
/**
 * Painting
 *
 * A painting.
 *
 * https://schema.org/Painting
 */
var Painting = 'https://schema.org/Painting';
/**
 * PalliativeProcedure
 *
 * A medical procedure intended primarily for palliative purposes, aimed at relieving the symptoms of an underlying health condition.
 *
 * https://schema.org/PalliativeProcedure
 */
var PalliativeProcedure = 'https://schema.org/PalliativeProcedure';
/**
 * ParcelDelivery
 *
 * The delivery of a parcel either via the postal service or a commercial service.
 *
 * https://schema.org/ParcelDelivery
 */
var ParcelDelivery = 'https://schema.org/ParcelDelivery';
/**
 * ParentAudience
 *
 * A set of characteristics describing parents, who can be interested in viewing some content.
 *
 * https://schema.org/ParentAudience
 */
var ParentAudience = 'https://schema.org/ParentAudience';
/**
 * Park
 *
 * A park.
 *
 * https://schema.org/Park
 */
var Park = 'https://schema.org/Park';
/**
 * ParkingFacility
 *
 * A parking lot or other parking facility.
 *
 * https://schema.org/ParkingFacility
 */
var ParkingFacility = 'https://schema.org/ParkingFacility';
/**
 * PathologyTest
 *
 * A medical test performed by a laboratory that typically involves examination of a tissue sample by a pathologist.
 *
 * https://schema.org/PathologyTest
 */
var PathologyTest = 'https://schema.org/PathologyTest';
/**
 * Patient
 *
 * A patient is any person recipient of health care services.
 *
 * https://schema.org/Patient
 */
var Patient = 'https://schema.org/Patient';
/**
 * PawnShop
 *
 * A shop that will buy, or lend money against the security of, personal possessions.
 *
 * https://schema.org/PawnShop
 */
var PawnShop = 'https://schema.org/PawnShop';
/**
 * PayAction
 *
 * An agent pays a price to a participant.
 *
 * https://schema.org/PayAction
 */
var PayAction = 'https://schema.org/PayAction';
/**
 * PaymentCard
 *
 * A payment method using a credit, debit, store or other card to associate the payment with an account.
 *
 * https://schema.org/PaymentCard
 */
var PaymentCard = 'https://schema.org/PaymentCard';
/**
 * PaymentChargeSpecification
 *
 * The costs of settling the payment using a particular payment method.
 *
 * https://schema.org/PaymentChargeSpecification
 */
var PaymentChargeSpecification = 'https://schema.org/PaymentChargeSpecification';
/**
 * PaymentMethod
 *
 * A payment method is a standardized procedure for transferring the monetary amount for a purchase. Payment methods are characterized by the legal and technical structures used, and by the organization or group carrying out the transaction. The following legacy values should be accepted:
 *     \n\n* http://purl.org/goodrelations/v1#ByBankTransferInAdvance\n* http://purl.org/goodrelations/v1#ByInvoice\n* http://purl.org/goodrelations/v1#Cash\n* http://purl.org/goodrelations/v1#CheckInAdvance\n* http://purl.org/goodrelations/v1#COD\n* http://purl.org/goodrelations/v1#DirectDebit\n* http://purl.org/goodrelations/v1#GoogleCheckout\n* http://purl.org/goodrelations/v1#PayPal\n* http://purl.org/goodrelations/v1#PaySwarm\n\nStructured values are recommended for newer payment methods.
 *
 * https://schema.org/PaymentMethod
 */
var PaymentMethod = 'https://schema.org/PaymentMethod';
/**
 * PaymentMethodType
 *
 * The type of payment method, only for generic payment types, specific forms of payments, like card payment should be expressed using subclasses of PaymentMethod.
 *
 * https://schema.org/PaymentMethodType
 */
var PaymentMethodType = 'https://schema.org/PaymentMethodType';
/**
 * PaymentService
 *
 * A Service to transfer funds from a person or organization to a beneficiary person or organization.
 *
 * https://schema.org/PaymentService
 */
var PaymentService = 'https://schema.org/PaymentService';
/**
 * PaymentStatusType
 *
 * A specific payment status. For example, PaymentDue, PaymentComplete, etc.
 *
 * https://schema.org/PaymentStatusType
 */
var PaymentStatusType = 'https://schema.org/PaymentStatusType';
/**
 * PeopleAudience
 *
 * A set of characteristics belonging to people, e.g. who compose an item's target audience.
 *
 * https://schema.org/PeopleAudience
 */
var PeopleAudience = 'https://schema.org/PeopleAudience';
/**
 * PerformAction
 *
 * The act of participating in performance arts.
 *
 * https://schema.org/PerformAction
 */
var PerformAction = 'https://schema.org/PerformAction';
/**
 * PerformanceRole
 *
 * A PerformanceRole is a Role that some entity places with regard to a theatrical performance, e.g. in a Movie, TVSeries etc.
 *
 * https://schema.org/PerformanceRole
 */
var PerformanceRole = 'https://schema.org/PerformanceRole';
/**
 * PerformingArtsTheater
 *
 * A theater or other performing art center.
 *
 * https://schema.org/PerformingArtsTheater
 */
var PerformingArtsTheater = 'https://schema.org/PerformingArtsTheater';
/**
 * PerformingGroup
 *
 * A performance group, such as a band, an orchestra, or a circus.
 *
 * https://schema.org/PerformingGroup
 */
var PerformingGroup = 'https://schema.org/PerformingGroup';
/**
 * Periodical
 *
 * A publication in any medium issued in successive parts bearing numerical or chronological designations and intended to continue indefinitely, such as a magazine, scholarly journal, or newspaper.\n\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).
 *
 * https://schema.org/Periodical
 */
var Periodical = 'https://schema.org/Periodical';
/**
 * Permit
 *
 * A permit issued by an organization, e.g. a parking pass.
 *
 * https://schema.org/Permit
 */
var Permit = 'https://schema.org/Permit';
/**
 * Person
 *
 * A person (alive, dead, undead, or fictional).
 *
 * https://schema.org/Person
 */
var Person = 'https://schema.org/Person';
/**
 * PetStore
 *
 * A pet store.
 *
 * https://schema.org/PetStore
 */
var PetStore = 'https://schema.org/PetStore';
/**
 * Pharmacy
 *
 * A pharmacy or drugstore.
 *
 * https://schema.org/Pharmacy
 */
var Pharmacy = 'https://schema.org/Pharmacy';
/**
 * Photograph
 *
 * A photograph.
 *
 * https://schema.org/Photograph
 */
var Photograph = 'https://schema.org/Photograph';
/**
 * PhotographAction
 *
 * The act of capturing still images of objects using a camera.
 *
 * https://schema.org/PhotographAction
 */
var PhotographAction = 'https://schema.org/PhotographAction';
/**
 * PhysicalActivity
 *
 * Any bodily activity that enhances or maintains physical fitness and overall health and wellness. Includes activity that is part of daily living and routine, structured exercise, and exercise prescribed as part of a medical treatment or recovery plan.
 *
 * https://schema.org/PhysicalActivity
 */
var PhysicalActivity = 'https://schema.org/PhysicalActivity';
/**
 * PhysicalActivityCategory
 *
 * Categories of physical activity, organized by physiologic classification.
 *
 * https://schema.org/PhysicalActivityCategory
 */
var PhysicalActivityCategory = 'https://schema.org/PhysicalActivityCategory';
/**
 * PhysicalExam
 *
 * A type of physical examination of a patient performed by a physician.
 *
 * https://schema.org/PhysicalExam
 */
var PhysicalExam = 'https://schema.org/PhysicalExam';
/**
 * PhysicalTherapy
 *
 * A process of progressive physical care and rehabilitation aimed at improving a health condition.
 *
 * https://schema.org/PhysicalTherapy
 */
var PhysicalTherapy = 'https://schema.org/PhysicalTherapy';
/**
 * Physician
 *
 * An individual physician or a physician's office considered as a [[MedicalOrganization]].
 *
 * https://schema.org/Physician
 */
var Physician = 'https://schema.org/Physician';
/**
 * PhysiciansOffice
 *
 * A doctor's office or clinic.
 *
 * https://schema.org/PhysiciansOffice
 */
var PhysiciansOffice = 'https://schema.org/PhysiciansOffice';
/**
 * Place
 *
 * Entities that have a somewhat fixed, physical extension.
 *
 * https://schema.org/Place
 */
var Place = 'https://schema.org/Place';
/**
 * PlaceOfWorship
 *
 * Place of worship, such as a church, synagogue, or mosque.
 *
 * https://schema.org/PlaceOfWorship
 */
var PlaceOfWorship = 'https://schema.org/PlaceOfWorship';
/**
 * PlanAction
 *
 * The act of planning the execution of an event/task/action/reservation/plan to a future date.
 *
 * https://schema.org/PlanAction
 */
var PlanAction = 'https://schema.org/PlanAction';
/**
 * Play
 *
 * A play is a form of literature, usually consisting of dialogue between characters, intended for theatrical performance rather than just reading. Note: A performance of a Play would be a [[TheaterEvent]] or [[BroadcastEvent]] - the *Play* being the [[workPerformed]].
 *
 * https://schema.org/Play
 */
var Play = 'https://schema.org/Play';
/**
 * PlayAction
 *
 * The act of playing/exercising/training/performing for enjoyment, leisure, recreation, competition or exercise.\n\nRelated actions:\n\n* [[ListenAction]]: Unlike ListenAction (which is under ConsumeAction), PlayAction refers to performing for an audience or at an event, rather than consuming music.\n* [[WatchAction]]: Unlike WatchAction (which is under ConsumeAction), PlayAction refers to showing/displaying for an audience or at an event, rather than consuming visual content.
 *
 * https://schema.org/PlayAction
 */
var PlayAction = 'https://schema.org/PlayAction';
/**
 * PlayGameAction
 *
 * The act of playing a video game.
 *
 * https://schema.org/PlayGameAction
 */
var PlayGameAction = 'https://schema.org/PlayGameAction';
/**
 * Playground
 *
 * A playground.
 *
 * https://schema.org/Playground
 */
var Playground = 'https://schema.org/Playground';
/**
 * Plumber
 *
 * A plumbing service.
 *
 * https://schema.org/Plumber
 */
var Plumber = 'https://schema.org/Plumber';
/**
 * PodcastEpisode
 *
 * A single episode of a podcast series.
 *
 * https://schema.org/PodcastEpisode
 */
var PodcastEpisode = 'https://schema.org/PodcastEpisode';
/**
 * PodcastSeason
 *
 * A single season of a podcast. Many podcasts do not break down into separate seasons. In that case, PodcastSeries should be used.
 *
 * https://schema.org/PodcastSeason
 */
var PodcastSeason = 'https://schema.org/PodcastSeason';
/**
 * PodcastSeries
 *
 * A podcast is an episodic series of digital audio or video files which a user can download and listen to.
 *
 * https://schema.org/PodcastSeries
 */
var PodcastSeries = 'https://schema.org/PodcastSeries';
/**
 * PoliceStation
 *
 * A police station.
 *
 * https://schema.org/PoliceStation
 */
var PoliceStation = 'https://schema.org/PoliceStation';
/**
 * PoliticalParty
 *
 * Organization: Political Party.
 *
 * https://schema.org/PoliticalParty
 */
var PoliticalParty = 'https://schema.org/PoliticalParty';
/**
 * Pond
 *
 * A pond.
 *
 * https://schema.org/Pond
 */
var Pond = 'https://schema.org/Pond';
/**
 * PostOffice
 *
 * A post office.
 *
 * https://schema.org/PostOffice
 */
var PostOffice = 'https://schema.org/PostOffice';
/**
 * PostalAddress
 *
 * The mailing address.
 *
 * https://schema.org/PostalAddress
 */
var PostalAddress = 'https://schema.org/PostalAddress';
/**
 * PostalCodeRangeSpecification
 *
 * Indicates a range of postal codes, usually defined as the set of valid codes between [[postalCodeBegin]] and [[postalCodeEnd]], inclusively.
 *
 * https://schema.org/PostalCodeRangeSpecification
 */
var PostalCodeRangeSpecification = 'https://schema.org/PostalCodeRangeSpecification';
/**
 * Poster
 *
 * A large, usually printed placard, bill, or announcement, often illustrated, that is posted to advertise or publicize something.
 *
 * https://schema.org/Poster
 */
var Poster = 'https://schema.org/Poster';
/**
 * PreOrderAction
 *
 * An agent orders a (not yet released) object/product/service to be delivered/sent.
 *
 * https://schema.org/PreOrderAction
 */
var PreOrderAction = 'https://schema.org/PreOrderAction';
/**
 * PrependAction
 *
 * The act of inserting at the beginning if an ordered collection.
 *
 * https://schema.org/PrependAction
 */
var PrependAction = 'https://schema.org/PrependAction';
/**
 * Preschool
 *
 * A preschool.
 *
 * https://schema.org/Preschool
 */
var Preschool = 'https://schema.org/Preschool';
/**
 * PresentationDigitalDocument
 *
 * A file containing slides or used for a presentation.
 *
 * https://schema.org/PresentationDigitalDocument
 */
var PresentationDigitalDocument = 'https://schema.org/PresentationDigitalDocument';
/**
 * PreventionIndication
 *
 * An indication for preventing an underlying condition, symptom, etc.
 *
 * https://schema.org/PreventionIndication
 */
var PreventionIndication = 'https://schema.org/PreventionIndication';
/**
 * PriceComponentTypeEnumeration
 *
 * Enumerates different price components that together make up the total price for an offered product.
 *
 * https://schema.org/PriceComponentTypeEnumeration
 */
var PriceComponentTypeEnumeration = 'https://schema.org/PriceComponentTypeEnumeration';
/**
 * PriceSpecification
 *
 * A structured value representing a price or price range. Typically, only the subclasses of this type are used for markup. It is recommended to use [[MonetaryAmount]] to describe independent amounts of money such as a salary, credit card limits, etc.
 *
 * https://schema.org/PriceSpecification
 */
var PriceSpecification = 'https://schema.org/PriceSpecification';
/**
 * PriceTypeEnumeration
 *
 * Enumerates different price types, for example list price, invoice price, and sale price.
 *
 * https://schema.org/PriceTypeEnumeration
 */
var PriceTypeEnumeration = 'https://schema.org/PriceTypeEnumeration';
/**
 * Product
 *
 * Any offered product or service. For example: a pair of shoes; a concert ticket; the rental of a car; a haircut; or an episode of a TV show streamed online.
 *
 * https://schema.org/Product
 */
var Product = 'https://schema.org/Product';
/**
 * ProductCollection
 *
 * A set of products (either [[ProductGroup]]s or specific variants) that are listed together e.g. in an [[Offer]].
 *
 * https://schema.org/ProductCollection
 */
var ProductCollection = 'https://schema.org/ProductCollection';
/**
 * ProductGroup
 *
 * A ProductGroup represents a group of [[Product]]s that vary only in certain well-described ways, such as by [[size]], [[color]], [[material]] etc.
 *
 * While a ProductGroup itself is not directly offered for sale, the various varying products that it represents can be. The ProductGroup serves as a prototype or template, standing in for all of the products who have an [[isVariantOf]] relationship to it. As such, properties (including additional types) can be applied to the ProductGroup to represent characteristics shared by each of the (possibly very many) variants. Properties that reference a ProductGroup are not included in this mechanism; neither are the following specific properties [[variesBy]], [[hasVariant]], [[url]].
 *
 * https://schema.org/ProductGroup
 */
var ProductGroup = 'https://schema.org/ProductGroup';
/**
 * ProductModel
 *
 * A datasheet or vendor specification of a product (in the sense of a prototypical description).
 *
 * https://schema.org/ProductModel
 */
var ProductModel = 'https://schema.org/ProductModel';
/**
 * ProductReturnEnumeration
 *
 * ProductReturnEnumeration enumerates several kinds of product return policy. Note that this structure may not capture all aspects of the policy.
 *
 * https://schema.org/ProductReturnEnumeration
 */
var ProductReturnEnumeration = 'https://schema.org/ProductReturnEnumeration';
/**
 * ProductReturnPolicy
 *
 * A ProductReturnPolicy provides information about product return policies associated with an [[Organization]] or [[Product]].
 *
 * https://schema.org/ProductReturnPolicy
 */
var ProductReturnPolicy = 'https://schema.org/ProductReturnPolicy';
/**
 * ProfessionalService
 *
 * Original definition: "provider of professional services."\n\nThe general [[ProfessionalService]] type for local businesses was deprecated due to confusion with [[Service]]. For reference, the types that it included were: [[Dentist]],
 *         [[AccountingService]], [[Attorney]], [[Notary]], as well as types for several kinds of [[HomeAndConstructionBusiness]]: [[Electrician]], [[GeneralContractor]],
 *         [[HousePainter]], [[Locksmith]], [[Plumber]], [[RoofingContractor]]. [[LegalService]] was introduced as a more inclusive supertype of [[Attorney]].
 *
 * https://schema.org/ProfessionalService
 */
var ProfessionalService = 'https://schema.org/ProfessionalService';
/**
 * ProfilePage
 *
 * Web page type: Profile page.
 *
 * https://schema.org/ProfilePage
 */
var ProfilePage = 'https://schema.org/ProfilePage';
/**
 * ProgramMembership
 *
 * Used to describe membership in a loyalty programs (e.g. "StarAliance"), traveler clubs (e.g. "AAA"), purchase clubs ("Safeway Club"), etc.
 *
 * https://schema.org/ProgramMembership
 */
var ProgramMembership = 'https://schema.org/ProgramMembership';
/**
 * Project
 *
 * An enterprise (potentially individual but typically collaborative), planned to achieve a particular aim.
 * Use properties from [[Organization]], [[subOrganization]]/[[parentOrganization]] to indicate project sub-structures.
 *
 *
 * https://schema.org/Project
 */
var Project = 'https://schema.org/Project';
/**
 * PronounceableText
 *
 * Data type: PronounceableText.
 *
 * https://schema.org/PronounceableText
 */
var PronounceableText = 'https://schema.org/PronounceableText';
/**
 * Property
 *
 * A property, used to indicate attributes and relationships of some Thing; equivalent to rdf:Property.
 *
 * https://schema.org/Property
 */
var Property = 'https://schema.org/Property';
/**
 * PropertyValue
 *
 * A property-value pair, e.g. representing a feature of a product or place. Use the 'name' property for the name of the property. If there is an additional human-readable version of the value, put that into the 'description' property.\n\n Always use specific schema.org properties when a) they exist and b) you can populate them. Using PropertyValue as a substitute will typically not trigger the same effect as using the original, specific property.
 *
 *
 * https://schema.org/PropertyValue
 */
var PropertyValue = 'https://schema.org/PropertyValue';
/**
 * PropertyValueSpecification
 *
 * A Property value specification.
 *
 * https://schema.org/PropertyValueSpecification
 */
var PropertyValueSpecification = 'https://schema.org/PropertyValueSpecification';
/**
 * Protein
 *
 * Protein is here used in its widest possible definition, as classes of amino acid based molecules. Amyloid-beta Protein in human (UniProt P05067), eukaryota (e.g. an OrthoDB group) or even a single molecule that one can point to are all of type :Protein. A protein can thus be a subclass of another protein, e.g. :Protein as a UniProt record can have multiple isoforms inside it which would also be :Protein. They can be imagined, synthetic, hypothetical or naturally occurring.
 *
 * https://schema.org/Protein
 */
var Protein = 'https://schema.org/Protein';
/**
 * PsychologicalTreatment
 *
 * A process of care relying upon counseling, dialogue and communication  aimed at improving a mental health condition without use of drugs.
 *
 * https://schema.org/PsychologicalTreatment
 */
var PsychologicalTreatment = 'https://schema.org/PsychologicalTreatment';
/**
 * PublicSwimmingPool
 *
 * A public swimming pool.
 *
 * https://schema.org/PublicSwimmingPool
 */
var PublicSwimmingPool = 'https://schema.org/PublicSwimmingPool';
/**
 * PublicToilet
 *
 * A public toilet is a room or small building containing one or more toilets (and possibly also urinals) which is available for use by the general public, or by customers or employees of certain businesses.
 *
 * https://schema.org/PublicToilet
 */
var PublicToilet = 'https://schema.org/PublicToilet';
/**
 * PublicationEvent
 *
 * A PublicationEvent corresponds indifferently to the event of publication for a CreativeWork of any type, e.g. a broadcast event, an on-demand event, a book/journal publication via a variety of delivery media.
 *
 * https://schema.org/PublicationEvent
 */
var PublicationEvent = 'https://schema.org/PublicationEvent';
/**
 * PublicationIssue
 *
 * A part of a successively published publication such as a periodical or publication volume, often numbered, usually containing a grouping of works such as articles.\n\nSee also [blog post](https://blog-schema.org/2014/09/02/schema-org-support-for-bibliographic-relationships-and-periodicals/).
 *
 * https://schema.org/PublicationIssue
 */
var PublicationIssue = 'https://schema.org/PublicationIssue';
/**
 * PublicationVolume
 *
 * A part of a successively published publication such as a periodical or multi-volume work, often numbered. It may represent a time span, such as a year.\n\nSee also [blog post](https://blog-schema.org/2014/09/02/schema-org-support-for-bibliographic-relationships-and-periodicals/).
 *
 * https://schema.org/PublicationVolume
 */
var PublicationVolume = 'https://schema.org/PublicationVolume';
/**
 * PurchaseType
 *
 * Enumerates a purchase type for an item.
 *
 * https://schema.org/PurchaseType
 */
var PurchaseType = 'https://schema.org/PurchaseType';
/**
 * QAPage
 *
 * A QAPage is a WebPage focussed on a specific Question and its Answer(s), e.g. in a question answering site or documenting Frequently Asked Questions (FAQs).
 *
 * https://schema.org/QAPage
 */
var QAPage = 'https://schema.org/QAPage';
/**
 * QualitativeValue
 *
 * A predefined value for a product characteristic, e.g. the power cord plug type 'US' or the garment sizes 'S', 'M', 'L', and 'XL'.
 *
 * https://schema.org/QualitativeValue
 */
var QualitativeValue = 'https://schema.org/QualitativeValue';
/**
 * QuantitativeValue
 *
 *  A point value or interval for product characteristics and other purposes.
 *
 * https://schema.org/QuantitativeValue
 */
var QuantitativeValue = 'https://schema.org/QuantitativeValue';
/**
 * QuantitativeValueDistribution
 *
 * A statistical distribution of values.
 *
 * https://schema.org/QuantitativeValueDistribution
 */
var QuantitativeValueDistribution = 'https://schema.org/QuantitativeValueDistribution';
/**
 * Quantity
 *
 * Quantities such as distance, time, mass, weight, etc. Particular instances of say Mass are entities like '3 kg' or '4 milligrams'.
 *
 * https://schema.org/Quantity
 */
var Quantity = 'https://schema.org/Quantity';
/**
 * Question
 *
 * A specific question - e.g. from a user seeking answers online, or collected in a Frequently Asked Questions (FAQ) document.
 *
 * https://schema.org/Question
 */
var Question = 'https://schema.org/Question';
/**
 * Quiz
 *
 * Quiz: A test of knowledge, skills and abilities.
 *
 * https://schema.org/Quiz
 */
var Quiz = 'https://schema.org/Quiz';
/**
 * Quotation
 *
 * A quotation. Often but not necessarily from some written work, attributable to a real world author and - if associated with a fictional character - to any fictional Person. Use [[isBasedOn]] to link to source/origin. The [[recordedIn]] property can be used to reference a Quotation from an [[Event]].
 *
 * https://schema.org/Quotation
 */
var Quotation = 'https://schema.org/Quotation';
/**
 * QuoteAction
 *
 * An agent quotes/estimates/appraises an object/product/service with a price at a location/store.
 *
 * https://schema.org/QuoteAction
 */
var QuoteAction = 'https://schema.org/QuoteAction';
/**
 * RVPark
 *
 * A place offering space for "Recreational Vehicles", Caravans, mobile homes and the like.
 *
 * https://schema.org/RVPark
 */
var RVPark = 'https://schema.org/RVPark';
/**
 * RadiationTherapy
 *
 * A process of care using radiation aimed at improving a health condition.
 *
 * https://schema.org/RadiationTherapy
 */
var RadiationTherapy = 'https://schema.org/RadiationTherapy';
/**
 * RadioBroadcastService
 *
 * A delivery service through which radio content is provided via broadcast over the air or online.
 *
 * https://schema.org/RadioBroadcastService
 */
var RadioBroadcastService = 'https://schema.org/RadioBroadcastService';
/**
 * RadioChannel
 *
 * A unique instance of a radio BroadcastService on a CableOrSatelliteService lineup.
 *
 * https://schema.org/RadioChannel
 */
var RadioChannel = 'https://schema.org/RadioChannel';
/**
 * RadioClip
 *
 * A short radio program or a segment/part of a radio program.
 *
 * https://schema.org/RadioClip
 */
var RadioClip = 'https://schema.org/RadioClip';
/**
 * RadioEpisode
 *
 * A radio episode which can be part of a series or season.
 *
 * https://schema.org/RadioEpisode
 */
var RadioEpisode = 'https://schema.org/RadioEpisode';
/**
 * RadioSeason
 *
 * Season dedicated to radio broadcast and associated online delivery.
 *
 * https://schema.org/RadioSeason
 */
var RadioSeason = 'https://schema.org/RadioSeason';
/**
 * RadioSeries
 *
 * CreativeWorkSeries dedicated to radio broadcast and associated online delivery.
 *
 * https://schema.org/RadioSeries
 */
var RadioSeries = 'https://schema.org/RadioSeries';
/**
 * RadioStation
 *
 * A radio station.
 *
 * https://schema.org/RadioStation
 */
var RadioStation = 'https://schema.org/RadioStation';
/**
 * Rating
 *
 * A rating is an evaluation on a numeric scale, such as 1 to 5 stars.
 *
 * https://schema.org/Rating
 */
var Rating = 'https://schema.org/Rating';
/**
 * ReactAction
 *
 * The act of responding instinctively and emotionally to an object, expressing a sentiment.
 *
 * https://schema.org/ReactAction
 */
var ReactAction = 'https://schema.org/ReactAction';
/**
 * ReadAction
 *
 * The act of consuming written content.
 *
 * https://schema.org/ReadAction
 */
var ReadAction = 'https://schema.org/ReadAction';
/**
 * RealEstateAgent
 *
 * A real-estate agent.
 *
 * https://schema.org/RealEstateAgent
 */
var RealEstateAgent = 'https://schema.org/RealEstateAgent';
/**
 * RealEstateListing
 *
 * A [[RealEstateListing]] is a listing that describes one or more real-estate [[Offer]]s (whose [[businessFunction]] is typically to lease out, or to sell).
 *   The [[RealEstateListing]] type itself represents the overall listing, as manifested in some [[WebPage]].
 *
 *
 * https://schema.org/RealEstateListing
 */
var RealEstateListing = 'https://schema.org/RealEstateListing';
/**
 * ReceiveAction
 *
 * The act of physically/electronically taking delivery of an object that has been transferred from an origin to a destination. Reciprocal of SendAction.\n\nRelated actions:\n\n* [[SendAction]]: The reciprocal of ReceiveAction.\n* [[TakeAction]]: Unlike TakeAction, ReceiveAction does not imply that the ownership has been transferred (e.g. I can receive a package, but it does not mean the package is now mine).
 *
 * https://schema.org/ReceiveAction
 */
var ReceiveAction = 'https://schema.org/ReceiveAction';
/**
 * Recipe
 *
 * A recipe. For dietary restrictions covered by the recipe, a few common restrictions are enumerated via [[suitableForDiet]]. The [[keywords]] property can also be used to add more detail.
 *
 * https://schema.org/Recipe
 */
var Recipe = 'https://schema.org/Recipe';
/**
 * Recommendation
 *
 * [[Recommendation]] is a type of [[Review]] that suggests or proposes something as the best option or best course of action. Recommendations may be for products or services, or other concrete things, as in the case of a ranked list or product guide. A [[Guide]] may list multiple recommendations for different categories. For example, in a [[Guide]] about which TVs to buy, the author may have several [[Recommendation]]s.
 *
 * https://schema.org/Recommendation
 */
var Recommendation = 'https://schema.org/Recommendation';
/**
 * RecommendedDoseSchedule
 *
 * A recommended dosing schedule for a drug or supplement as prescribed or recommended by an authority or by the drug/supplement's manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.
 *
 * https://schema.org/RecommendedDoseSchedule
 */
var RecommendedDoseSchedule = 'https://schema.org/RecommendedDoseSchedule';
/**
 * RecyclingCenter
 *
 * A recycling center.
 *
 * https://schema.org/RecyclingCenter
 */
var RecyclingCenter = 'https://schema.org/RecyclingCenter';
/**
 * RefundTypeEnumeration
 *
 * Enumerates several kinds of product return refund types.
 *
 * https://schema.org/RefundTypeEnumeration
 */
var RefundTypeEnumeration = 'https://schema.org/RefundTypeEnumeration';
/**
 * RegisterAction
 *
 * The act of registering to be a user of a service, product or web page.\n\nRelated actions:\n\n* [[JoinAction]]: Unlike JoinAction, RegisterAction implies you are registering to be a user of a service, *not* a group/team of people.\n* [[FollowAction]]: Unlike FollowAction, RegisterAction doesn't imply that the agent is expecting to poll for updates from the object.\n* [[SubscribeAction]]: Unlike SubscribeAction, RegisterAction doesn't imply that the agent is expecting updates from the object.
 *
 * https://schema.org/RegisterAction
 */
var RegisterAction = 'https://schema.org/RegisterAction';
/**
 * RejectAction
 *
 * The act of rejecting to/adopting an object.\n\nRelated actions:\n\n* [[AcceptAction]]: The antonym of RejectAction.
 *
 * https://schema.org/RejectAction
 */
var RejectAction = 'https://schema.org/RejectAction';
/**
 * RentAction
 *
 * The act of giving money in return for temporary use, but not ownership, of an object such as a vehicle or property. For example, an agent rents a property from a landlord in exchange for a periodic payment.
 *
 * https://schema.org/RentAction
 */
var RentAction = 'https://schema.org/RentAction';
/**
 * RentalCarReservation
 *
 * A reservation for a rental car.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.
 *
 * https://schema.org/RentalCarReservation
 */
var RentalCarReservation = 'https://schema.org/RentalCarReservation';
/**
 * RepaymentSpecification
 *
 * A structured value representing repayment.
 *
 * https://schema.org/RepaymentSpecification
 */
var RepaymentSpecification = 'https://schema.org/RepaymentSpecification';
/**
 * ReplaceAction
 *
 * The act of editing a recipient by replacing an old object with a new object.
 *
 * https://schema.org/ReplaceAction
 */
var ReplaceAction = 'https://schema.org/ReplaceAction';
/**
 * ReplyAction
 *
 * The act of responding to a question/message asked/sent by the object. Related to [[AskAction]].\n\nRelated actions:\n\n* [[AskAction]]: Appears generally as an origin of a ReplyAction.
 *
 * https://schema.org/ReplyAction
 */
var ReplyAction = 'https://schema.org/ReplyAction';
/**
 * Report
 *
 * A Report generated by governmental or non-governmental organization.
 *
 * https://schema.org/Report
 */
var Report = 'https://schema.org/Report';
/**
 * ReportageNewsArticle
 *
 * The [[ReportageNewsArticle]] type is a subtype of [[NewsArticle]] representing
 *  news articles which are the result of journalistic news reporting conventions.
 *
 * In practice many news publishers produce a wide variety of article types, many of which might be considered a [[NewsArticle]] but not a [[ReportageNewsArticle]]. For example, opinion pieces, reviews, analysis, sponsored or satirical articles, or articles that combine several of these elements.
 *
 * The [[ReportageNewsArticle]] type is based on a stricter ideal for "news" as a work of journalism, with articles based on factual information either observed or verified by the author, or reported and verified from knowledgeable sources.  This often includes perspectives from multiple viewpoints on a particular issue (distinguishing news reports from public relations or propaganda).  News reports in the [[ReportageNewsArticle]] sense de-emphasize the opinion of the author, with commentary and value judgements typically expressed elsewhere.
 *
 * A [[ReportageNewsArticle]] which goes deeper into analysis can also be marked with an additional type of [[AnalysisNewsArticle]].
 *
 *
 * https://schema.org/ReportageNewsArticle
 */
var ReportageNewsArticle = 'https://schema.org/ReportageNewsArticle';
/**
 * ReportedDoseSchedule
 *
 * A patient-reported or observed dosing schedule for a drug or supplement.
 *
 * https://schema.org/ReportedDoseSchedule
 */
var ReportedDoseSchedule = 'https://schema.org/ReportedDoseSchedule';
/**
 * ResearchOrganization
 *
 * A Research Organization (e.g. scientific institute, research company).
 *
 * https://schema.org/ResearchOrganization
 */
var ResearchOrganization = 'https://schema.org/ResearchOrganization';
/**
 * ResearchProject
 *
 * A Research project.
 *
 * https://schema.org/ResearchProject
 */
var ResearchProject = 'https://schema.org/ResearchProject';
/**
 * Researcher
 *
 * Researchers.
 *
 * https://schema.org/Researcher
 */
var Researcher = 'https://schema.org/Researcher';
/**
 * Reservation
 *
 * Describes a reservation for travel, dining or an event. Some reservations require tickets. \n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, restaurant reservations, flights, or rental cars, use [[Offer]].
 *
 * https://schema.org/Reservation
 */
var Reservation = 'https://schema.org/Reservation';
/**
 * ReservationPackage
 *
 * A group of multiple reservations with common values for all sub-reservations.
 *
 * https://schema.org/ReservationPackage
 */
var ReservationPackage = 'https://schema.org/ReservationPackage';
/**
 * ReservationStatusType
 *
 * Enumerated status values for Reservation.
 *
 * https://schema.org/ReservationStatusType
 */
var ReservationStatusType = 'https://schema.org/ReservationStatusType';
/**
 * ReserveAction
 *
 * Reserving a concrete object.\n\nRelated actions:\n\n* [[ScheduleAction]]: Unlike ScheduleAction, ReserveAction reserves concrete objects (e.g. a table, a hotel) towards a time slot / spatial allocation.
 *
 * https://schema.org/ReserveAction
 */
var ReserveAction = 'https://schema.org/ReserveAction';
/**
 * Reservoir
 *
 * A reservoir of water, typically an artificially created lake, like the Lake Kariba reservoir.
 *
 * https://schema.org/Reservoir
 */
var Reservoir = 'https://schema.org/Reservoir';
/**
 * Residence
 *
 * The place where a person lives.
 *
 * https://schema.org/Residence
 */
var Residence = 'https://schema.org/Residence';
/**
 * Resort
 *
 * A resort is a place used for relaxation or recreation, attracting visitors for holidays or vacations. Resorts are places, towns or sometimes commercial establishments operated by a single company (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Resort">http://en.wikipedia.org/wiki/Resort</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/Resort
 */
var Resort = 'https://schema.org/Resort';
/**
 * Restaurant
 *
 * A restaurant.
 *
 * https://schema.org/Restaurant
 */
var Restaurant = 'https://schema.org/Restaurant';
/**
 * RestrictedDiet
 *
 * A diet restricted to certain foods or preparations for cultural, religious, health or lifestyle reasons.
 *
 * https://schema.org/RestrictedDiet
 */
var RestrictedDiet = 'https://schema.org/RestrictedDiet';
/**
 * ResumeAction
 *
 * The act of resuming a device or application which was formerly paused (e.g. resume music playback or resume a timer).
 *
 * https://schema.org/ResumeAction
 */
var ResumeAction = 'https://schema.org/ResumeAction';
/**
 * ReturnAction
 *
 * The act of returning to the origin that which was previously received (concrete objects) or taken (ownership).
 *
 * https://schema.org/ReturnAction
 */
var ReturnAction = 'https://schema.org/ReturnAction';
/**
 * ReturnFeesEnumeration
 *
 * Enumerates several kinds of policies for product return fees.
 *
 * https://schema.org/ReturnFeesEnumeration
 */
var ReturnFeesEnumeration = 'https://schema.org/ReturnFeesEnumeration';
/**
 * ReturnLabelSourceEnumeration
 *
 * Enumerates several types of return labels for product returns.
 *
 * https://schema.org/ReturnLabelSourceEnumeration
 */
var ReturnLabelSourceEnumeration = 'https://schema.org/ReturnLabelSourceEnumeration';
/**
 * ReturnMethodEnumeration
 *
 * Enumerates several types of product return methods.
 *
 * https://schema.org/ReturnMethodEnumeration
 */
var ReturnMethodEnumeration = 'https://schema.org/ReturnMethodEnumeration';
/**
 * Review
 *
 * A review of an item - for example, of a restaurant, movie, or store.
 *
 * https://schema.org/Review
 */
var Review = 'https://schema.org/Review';
/**
 * ReviewAction
 *
 * The act of producing a balanced opinion about the object for an audience. An agent reviews an object with participants resulting in a review.
 *
 * https://schema.org/ReviewAction
 */
var ReviewAction = 'https://schema.org/ReviewAction';
/**
 * ReviewNewsArticle
 *
 * A [[NewsArticle]] and [[CriticReview]] providing a professional critic's assessment of a service, product, performance, or artistic or literary work.
 *
 * https://schema.org/ReviewNewsArticle
 */
var ReviewNewsArticle = 'https://schema.org/ReviewNewsArticle';
/**
 * RiverBodyOfWater
 *
 * A river (for example, the broad majestic Shannon).
 *
 * https://schema.org/RiverBodyOfWater
 */
var RiverBodyOfWater = 'https://schema.org/RiverBodyOfWater';
/**
 * Role
 *
 * Represents additional information about a relationship or property. For example a Role can be used to say that a 'member' role linking some SportsTeam to a player occurred during a particular time period. Or that a Person's 'actor' role in a Movie was for some particular characterName. Such properties can be attached to a Role entity, which is then associated with the main entities using ordinary properties like 'member' or 'actor'.\n\nSee also [blog post](http://blog.schema.org/2014/06/introducing-role.html).
 *
 * https://schema.org/Role
 */
var Role = 'https://schema.org/Role';
/**
 * RoofingContractor
 *
 * A roofing contractor.
 *
 * https://schema.org/RoofingContractor
 */
var RoofingContractor = 'https://schema.org/RoofingContractor';
/**
 * Room
 *
 * A room is a distinguishable space within a structure, usually separated from other spaces by interior walls (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Room">http://en.wikipedia.org/wiki/Room</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/Room
 */
var Room = 'https://schema.org/Room';
/**
 * RsvpAction
 *
 * The act of notifying an event organizer as to whether you expect to attend the event.
 *
 * https://schema.org/RsvpAction
 */
var RsvpAction = 'https://schema.org/RsvpAction';
/**
 * RsvpResponseType
 *
 * RsvpResponseType is an enumeration type whose instances represent responding to an RSVP request.
 *
 * https://schema.org/RsvpResponseType
 */
var RsvpResponseType = 'https://schema.org/RsvpResponseType';
/**
 * SaleEvent
 *
 * Event type: Sales event.
 *
 * https://schema.org/SaleEvent
 */
var SaleEvent = 'https://schema.org/SaleEvent';
/**
 * SatiricalArticle
 *
 * An [[Article]] whose content is primarily [[satirical]](https://en.wikipedia.org/wiki/Satire) in nature, i.e. unlikely to be literally true. A satirical article is sometimes but not necessarily also a [[NewsArticle]]. [[ScholarlyArticle]]s are also sometimes satirized.
 *
 * https://schema.org/SatiricalArticle
 */
var SatiricalArticle = 'https://schema.org/SatiricalArticle';
/**
 * Schedule
 *
 * A schedule defines a repeating time period used to describe a regularly occurring [[Event]]. At a minimum a schedule will specify [[repeatFrequency]] which describes the interval between occurrences of the event. Additional information can be provided to specify the schedule more precisely.
 *       This includes identifying the day(s) of the week or month when the recurring event will take place, in addition to its start and end time. Schedules may also
 *       have start and end dates to indicate when they are active, e.g. to define a limited calendar of events.
 *
 * https://schema.org/Schedule
 */
var Schedule = 'https://schema.org/Schedule';
/**
 * ScheduleAction
 *
 * Scheduling future actions, events, or tasks.\n\nRelated actions:\n\n* [[ReserveAction]]: Unlike ReserveAction, ScheduleAction allocates future actions (e.g. an event, a task, etc) towards a time slot / spatial allocation.
 *
 * https://schema.org/ScheduleAction
 */
var ScheduleAction = 'https://schema.org/ScheduleAction';
/**
 * ScholarlyArticle
 *
 * A scholarly article.
 *
 * https://schema.org/ScholarlyArticle
 */
var ScholarlyArticle = 'https://schema.org/ScholarlyArticle';
/**
 * School
 *
 * A school.
 *
 * https://schema.org/School
 */
var School = 'https://schema.org/School';
/**
 * SchoolDistrict
 *
 * A School District is an administrative area for the administration of schools.
 *
 * https://schema.org/SchoolDistrict
 */
var SchoolDistrict = 'https://schema.org/SchoolDistrict';
/**
 * ScreeningEvent
 *
 * A screening of a movie or other video.
 *
 * https://schema.org/ScreeningEvent
 */
var ScreeningEvent = 'https://schema.org/ScreeningEvent';
/**
 * Sculpture
 *
 * A piece of sculpture.
 *
 * https://schema.org/Sculpture
 */
var Sculpture = 'https://schema.org/Sculpture';
/**
 * SeaBodyOfWater
 *
 * A sea (for example, the Caspian sea).
 *
 * https://schema.org/SeaBodyOfWater
 */
var SeaBodyOfWater = 'https://schema.org/SeaBodyOfWater';
/**
 * SearchAction
 *
 * The act of searching for an object.\n\nRelated actions:\n\n* [[FindAction]]: SearchAction generally leads to a FindAction, but not necessarily.
 *
 * https://schema.org/SearchAction
 */
var SearchAction = 'https://schema.org/SearchAction';
/**
 * SearchRescueOrganization
 *
 * A Search and Rescue organization of some kind.
 *
 * https://schema.org/SearchRescueOrganization
 */
var SearchRescueOrganization = 'https://schema.org/SearchRescueOrganization';
/**
 * SearchResultsPage
 *
 * Web page type: Search results page.
 *
 * https://schema.org/SearchResultsPage
 */
var SearchResultsPage = 'https://schema.org/SearchResultsPage';
/**
 * Season
 *
 * A media season, e.g. TV, radio, video game etc.
 *
 * https://schema.org/Season
 */
var Season = 'https://schema.org/Season';
/**
 * Seat
 *
 * Used to describe a seat, such as a reserved seat in an event reservation.
 *
 * https://schema.org/Seat
 */
var Seat = 'https://schema.org/Seat';
/**
 * SeekToAction
 *
 * This is the [[Action]] of navigating to a specific [[startOffset]] timestamp within a [[VideoObject]], typically represented with a URL template structure.
 *
 * https://schema.org/SeekToAction
 */
var SeekToAction = 'https://schema.org/SeekToAction';
/**
 * SelfStorage
 *
 * A self-storage facility.
 *
 * https://schema.org/SelfStorage
 */
var SelfStorage = 'https://schema.org/SelfStorage';
/**
 * SellAction
 *
 * The act of taking money from a buyer in exchange for goods or services rendered. An agent sells an object, product, or service to a buyer for a price. Reciprocal of BuyAction.
 *
 * https://schema.org/SellAction
 */
var SellAction = 'https://schema.org/SellAction';
/**
 * SendAction
 *
 * The act of physically/electronically dispatching an object for transfer from an origin to a destination. Related actions:\n\n* [[ReceiveAction]]: The reciprocal of SendAction.\n* [[GiveAction]]: Unlike GiveAction, SendAction does not imply the transfer of ownership (e.g. I can send you my laptop, but I'm not necessarily giving it to you).
 *
 * https://schema.org/SendAction
 */
var SendAction = 'https://schema.org/SendAction';
/**
 * Series
 *
 * A Series in schema.org is a group of related items, typically but not necessarily of the same kind. See also [[CreativeWorkSeries]], [[EventSeries]].
 *
 * https://schema.org/Series
 */
var Series = 'https://schema.org/Series';
/**
 * Service
 *
 * A service provided by an organization, e.g. delivery service, print services, etc.
 *
 * https://schema.org/Service
 */
var Service = 'https://schema.org/Service';
/**
 * ServiceChannel
 *
 * A means for accessing a service, e.g. a government office location, web site, or phone number.
 *
 * https://schema.org/ServiceChannel
 */
var ServiceChannel = 'https://schema.org/ServiceChannel';
/**
 * ServicePeriod
 *
 * ServicePeriod represents a duration with some constraints about cutoff time and business days. This is used e.g. in shipping for handling times or transit time.
 *
 * https://schema.org/ServicePeriod
 */
var ServicePeriod = 'https://schema.org/ServicePeriod';
/**
 * ShareAction
 *
 * The act of distributing content to people for their amusement or edification.
 *
 * https://schema.org/ShareAction
 */
var ShareAction = 'https://schema.org/ShareAction';
/**
 * SheetMusic
 *
 * Printed music, as opposed to performed or recorded music.
 *
 * https://schema.org/SheetMusic
 */
var SheetMusic = 'https://schema.org/SheetMusic';
/**
 * ShippingConditions
 *
 * ShippingConditions represent a set of constraints and information about the conditions of shipping a product. Such conditions may apply to only a subset of the products being shipped, depending on aspects of the product like weight, size, price, destination, and others. All the specified conditions must be met for this ShippingConditions to apply.
 *
 * https://schema.org/ShippingConditions
 */
var ShippingConditions = 'https://schema.org/ShippingConditions';
/**
 * ShippingDeliveryTime
 *
 * ShippingDeliveryTime provides various pieces of information about delivery times for shipping.
 *
 * https://schema.org/ShippingDeliveryTime
 */
var ShippingDeliveryTime = 'https://schema.org/ShippingDeliveryTime';
/**
 * ShippingRateSettings
 *
 * A ShippingRateSettings represents re-usable pieces of shipping information. It is designed for publication on an URL that may be referenced via the [[shippingSettingsLink]] property of an [[OfferShippingDetails]]. Several occurrences can be published, distinguished and matched (i.e. identified/referenced) by their different values for [[shippingLabel]].
 *
 * https://schema.org/ShippingRateSettings
 */
var ShippingRateSettings = 'https://schema.org/ShippingRateSettings';
/**
 * ShippingService
 *
 * ShippingService represents the criteria used to determine if and how an offer could be shipped to a customer.
 *
 * https://schema.org/ShippingService
 */
var ShippingService = 'https://schema.org/ShippingService';
/**
 * ShoeStore
 *
 * A shoe store.
 *
 * https://schema.org/ShoeStore
 */
var ShoeStore = 'https://schema.org/ShoeStore';
/**
 * ShoppingCenter
 *
 * A shopping center or mall.
 *
 * https://schema.org/ShoppingCenter
 */
var ShoppingCenter = 'https://schema.org/ShoppingCenter';
/**
 * ShortStory
 *
 * Short story or tale. A brief work of literature, usually written in narrative prose.
 *
 * https://schema.org/ShortStory
 */
var ShortStory = 'https://schema.org/ShortStory';
/**
 * SingleFamilyResidence
 *
 * Residence type: Single-family home.
 *
 * https://schema.org/SingleFamilyResidence
 */
var SingleFamilyResidence = 'https://schema.org/SingleFamilyResidence';
/**
 * SiteNavigationElement
 *
 * A navigation element of the page.
 *
 * https://schema.org/SiteNavigationElement
 */
var SiteNavigationElement = 'https://schema.org/SiteNavigationElement';
/**
 * SizeGroupEnumeration
 *
 * Enumerates common size groups for various product categories.
 *
 * https://schema.org/SizeGroupEnumeration
 */
var SizeGroupEnumeration = 'https://schema.org/SizeGroupEnumeration';
/**
 * SizeSpecification
 *
 * Size related properties of a product, typically a size code ([[name]]) and optionally a [[sizeSystem]], [[sizeGroup]], and product measurements ([[hasMeasurement]]). In addition, the intended audience can be defined through [[suggestedAge]], [[suggestedGender]], and suggested body measurements ([[suggestedMeasurement]]).
 *
 * https://schema.org/SizeSpecification
 */
var SizeSpecification = 'https://schema.org/SizeSpecification';
/**
 * SizeSystemEnumeration
 *
 * Enumerates common size systems for different categories of products, for example "EN-13402" or "UK" for wearables or "Imperial" for screws.
 *
 * https://schema.org/SizeSystemEnumeration
 */
var SizeSystemEnumeration = 'https://schema.org/SizeSystemEnumeration';
/**
 * SkiResort
 *
 * A ski resort.
 *
 * https://schema.org/SkiResort
 */
var SkiResort = 'https://schema.org/SkiResort';
/**
 * SocialEvent
 *
 * Event type: Social event.
 *
 * https://schema.org/SocialEvent
 */
var SocialEvent = 'https://schema.org/SocialEvent';
/**
 * SocialMediaPosting
 *
 * A post to a social media platform, including blog posts, tweets, Facebook posts, etc.
 *
 * https://schema.org/SocialMediaPosting
 */
var SocialMediaPosting = 'https://schema.org/SocialMediaPosting';
/**
 * SoftwareApplication
 *
 * A software application.
 *
 * https://schema.org/SoftwareApplication
 */
var SoftwareApplication = 'https://schema.org/SoftwareApplication';
/**
 * SoftwareSourceCode
 *
 * Computer programming source code. Example: Full (compile ready) solutions, code snippet samples, scripts, templates.
 *
 * https://schema.org/SoftwareSourceCode
 */
var SoftwareSourceCode = 'https://schema.org/SoftwareSourceCode';
/**
 * SolveMathAction
 *
 * The action that takes in a math expression and directs users to a page potentially capable of solving/simplifying that expression.
 *
 * https://schema.org/SolveMathAction
 */
var SolveMathAction = 'https://schema.org/SolveMathAction';
/**
 * SomeProducts
 *
 * A placeholder for multiple similar products of the same kind.
 *
 * https://schema.org/SomeProducts
 */
var SomeProducts = 'https://schema.org/SomeProducts';
/**
 * SpeakableSpecification
 *
 * A SpeakableSpecification indicates (typically via [[xpath]] or [[cssSelector]]) sections of a document that are highlighted as particularly [[speakable]]. Instances of this type are expected to be used primarily as values of the [[speakable]] property.
 *
 * https://schema.org/SpeakableSpecification
 */
var SpeakableSpecification = 'https://schema.org/SpeakableSpecification';
/**
 * SpecialAnnouncement
 *
 * A SpecialAnnouncement combines a simple date-stamped textual information update
 *       with contextualized Web links and other structured data.  It represents an information update made by a
 *       locally-oriented organization, for example schools, pharmacies, healthcare providers,  community groups, police,
 *       local government.
 *
 * For work in progress guidelines on Coronavirus-related markup see [this doc](https://docs.google.com/document/d/14ikaGCKxo50rRM7nvKSlbUpjyIk2WMQd3IkB1lItlrM/edit#).
 *
 * The motivating scenario for SpecialAnnouncement is the [Coronavirus pandemic](https://en.wikipedia.org/wiki/2019%E2%80%9320_coronavirus_pandemic), and the initial vocabulary is oriented to this urgent situation. Schema.org
 * expect to improve the markup iteratively as it is deployed and as feedback emerges from use. In addition to our
 * usual [Github entry](https://github.com/schemaorg/schemaorg/issues/2490), feedback comments can also be provided in [this document](https://docs.google.com/document/d/1fpdFFxk8s87CWwACs53SGkYv3aafSxz_DTtOQxMrBJQ/edit#).
 *
 *
 * While this schema is designed to communicate urgent crisis-related information, it is not the same as an emergency warning technology like [CAP](https://en.wikipedia.org/wiki/Common_Alerting_Protocol), although there may be overlaps. The intent is to cover
 * the kinds of everyday practical information being posted to existing websites during an emergency situation.
 *
 * Several kinds of information can be provided:
 *
 * We encourage the provision of "name", "text", "datePosted", "expires" (if appropriate), "category" and
 * "url" as a simple baseline. It is important to provide a value for "category" where possible, most ideally as a well known
 * URL from Wikipedia or Wikidata. In the case of the 2019-2020 Coronavirus pandemic, this should be "https://en.wikipedia.org/w/index.php?title=2019-20\_coronavirus\_pandemic" or "https://www.wikidata.org/wiki/Q81068910".
 *
 * For many of the possible properties, values can either be simple links or an inline description, depending on whether a summary is available. For a link, provide just the URL of the appropriate page as the property's value. For an inline description, use a [[WebContent]] type, and provide the url as a property of that, alongside at least a simple "[[text]]" summary of the page. It is
 * unlikely that a single SpecialAnnouncement will need all of the possible properties simultaneously.
 *
 * We expect that in many cases the page referenced might contain more specialized structured data, e.g. contact info, [[openingHours]], [[Event]], [[FAQPage]] etc. By linking to those pages from a [[SpecialAnnouncement]] you can help make it clearer that the events are related to the situation (e.g. Coronavirus) indicated by the [[category]] property of the [[SpecialAnnouncement]].
 *
 * Many [[SpecialAnnouncement]]s will relate to particular regions and to identifiable local organizations. Use [[spatialCoverage]] for the region, and [[announcementLocation]] to indicate specific [[LocalBusiness]]es and [[CivicStructure]]s. If the announcement affects both a particular region and a specific location (for example, a library closure that serves an entire region), use both [[spatialCoverage]] and [[announcementLocation]].
 *
 * The [[about]] property can be used to indicate entities that are the focus of the announcement. We now recommend using [[about]] only
 * for representing non-location entities (e.g. a [[Course]] or a [[RadioStation]]). For places, use [[announcementLocation]] and [[spatialCoverage]]. Consumers of this markup should be aware that the initial design encouraged the use of [[about]] for locations too.
 *
 * The basic content of [[SpecialAnnouncement]] is similar to that of an [RSS](https://en.wikipedia.org/wiki/RSS) or [Atom](https://en.wikipedia.org/wiki/Atom_(Web_standard)) feed. For publishers without such feeds, basic feed-like information can be shared by posting
 * [[SpecialAnnouncement]] updates in a page, e.g. using JSON-LD. For sites with Atom/RSS functionality, you can point to a feed
 * with the [[webFeed]] property. This can be a simple URL, or an inline [[DataFeed]] object, with [[encodingFormat]] providing
 * media type information, e.g. "application/rss+xml" or "application/atom+xml".
 *
 *
 * https://schema.org/SpecialAnnouncement
 */
var SpecialAnnouncement = 'https://schema.org/SpecialAnnouncement';
/**
 * Specialty
 *
 * Any branch of a field in which people typically develop specific expertise, usually after significant study, time, and effort.
 *
 * https://schema.org/Specialty
 */
var Specialty = 'https://schema.org/Specialty';
/**
 * SportingGoodsStore
 *
 * A sporting goods store.
 *
 * https://schema.org/SportingGoodsStore
 */
var SportingGoodsStore = 'https://schema.org/SportingGoodsStore';
/**
 * SportsActivityLocation
 *
 * A sports location, such as a playing field.
 *
 * https://schema.org/SportsActivityLocation
 */
var SportsActivityLocation = 'https://schema.org/SportsActivityLocation';
/**
 * SportsClub
 *
 * A sports club.
 *
 * https://schema.org/SportsClub
 */
var SportsClub = 'https://schema.org/SportsClub';
/**
 * SportsEvent
 *
 * Event type: Sports event.
 *
 * https://schema.org/SportsEvent
 */
var SportsEvent = 'https://schema.org/SportsEvent';
/**
 * SportsOrganization
 *
 * Represents the collection of all sports organizations, including sports teams, governing bodies, and sports associations.
 *
 * https://schema.org/SportsOrganization
 */
var SportsOrganization = 'https://schema.org/SportsOrganization';
/**
 * SportsTeam
 *
 * Organization: Sports team.
 *
 * https://schema.org/SportsTeam
 */
var SportsTeam = 'https://schema.org/SportsTeam';
/**
 * SpreadsheetDigitalDocument
 *
 * A spreadsheet file.
 *
 * https://schema.org/SpreadsheetDigitalDocument
 */
var SpreadsheetDigitalDocument = 'https://schema.org/SpreadsheetDigitalDocument';
/**
 * StadiumOrArena
 *
 * A stadium.
 *
 * https://schema.org/StadiumOrArena
 */
var StadiumOrArena = 'https://schema.org/StadiumOrArena';
/**
 * State
 *
 * A state or province of a country.
 *
 * https://schema.org/State
 */
var State = 'https://schema.org/State';
/**
 * Statement
 *
 * A statement about something, for example a fun or interesting fact. If known, the main entity this statement is about can be indicated using mainEntity. For more formal claims (e.g. in Fact Checking), consider using [[Claim]] instead. Use the [[text]] property to capture the text of the statement.
 *
 * https://schema.org/Statement
 */
var Statement = 'https://schema.org/Statement';
/**
 * StatisticalPopulation
 *
 * A StatisticalPopulation is a set of instances of a certain given type that satisfy some set of constraints. The property [[populationType]] is used to specify the type. Any property that can be used on instances of that type can appear on the statistical population. For example, a [[StatisticalPopulation]] representing all [[Person]]s with a [[homeLocation]] of East Podunk California would be described by applying the appropriate [[homeLocation]] and [[populationType]] properties to a [[StatisticalPopulation]] item that stands for that set of people.
 * The properties [[numConstraints]] and [[constraintProperty]] are used to specify which of the populations properties are used to specify the population. Note that the sense of "population" used here is the general sense of a statistical
 * population, and does not imply that the population consists of people. For example, a [[populationType]] of [[Event]] or [[NewsArticle]] could be used. See also [[Observation]], where a [[populationType]] such as [[Person]] or [[Event]] can be indicated directly. In most cases it may be better to use [[StatisticalVariable]] instead of [[StatisticalPopulation]].
 *
 * https://schema.org/StatisticalPopulation
 */
var StatisticalPopulation = 'https://schema.org/StatisticalPopulation';
/**
 * StatisticalVariable
 *
 * [[StatisticalVariable]] represents any type of statistical metric that can be measured at a place and time. The usage pattern for [[StatisticalVariable]] is typically expressed using [[Observation]] with an explicit [[populationType]], which is a type, typically drawn from Schema.org. Each [[StatisticalVariable]] is marked as a [[ConstraintNode]], meaning that some properties (those listed using [[constraintProperty]]) serve in this setting solely to define the statistical variable rather than literally describe a specific person, place or thing. For example, a [[StatisticalVariable]] Median_Height_Person_Female representing the median height of women, could be written as follows: the population type is [[Person]]; the measuredProperty [[height]]; the [[statType]] [[median]]; the [[gender]] [[Female]]. It is important to note that there are many kinds of scientific quantitative observation which are not fully, perfectly or unambiguously described following this pattern, or with solely Schema.org terminology. The approach taken here is designed to allow partial, incremental or minimal description of [[StatisticalVariable]]s, and the use of detailed sets of entity and property IDs from external repositories. The [[measurementMethod]], [[unitCode]] and [[unitText]] properties can also be used to clarify the specific nature and notation of an observed measurement.
 *
 * https://schema.org/StatisticalVariable
 */
var StatisticalVariable = 'https://schema.org/StatisticalVariable';
/**
 * StatusEnumeration
 *
 * Lists or enumerations dealing with status types.
 *
 * https://schema.org/StatusEnumeration
 */
var StatusEnumeration = 'https://schema.org/StatusEnumeration';
/**
 * SteeringPositionValue
 *
 * A value indicating a steering position.
 *
 * https://schema.org/SteeringPositionValue
 */
var SteeringPositionValue = 'https://schema.org/SteeringPositionValue';
/**
 * Store
 *
 * A retail good store.
 *
 * https://schema.org/Store
 */
var Store = 'https://schema.org/Store';
/**
 * StructuredValue
 *
 * Structured values are used when the value of a property has a more complex structure than simply being a textual value or a reference to another thing.
 *
 * https://schema.org/StructuredValue
 */
var StructuredValue = 'https://schema.org/StructuredValue';
/**
 * StupidType
 *
 * A StupidType for testing.
 *
 * https://schema.org/StupidType
 */
var StupidType = 'https://schema.org/StupidType';
/**
 * SubscribeAction
 *
 * The act of forming a personal connection with someone/something (object) unidirectionally/asymmetrically to get updates pushed to.\n\nRelated actions:\n\n* [[FollowAction]]: Unlike FollowAction, SubscribeAction implies that the subscriber acts as a passive agent being constantly/actively pushed for updates.\n* [[RegisterAction]]: Unlike RegisterAction, SubscribeAction implies that the agent is interested in continuing receiving updates from the object.\n* [[JoinAction]]: Unlike JoinAction, SubscribeAction implies that the agent is interested in continuing receiving updates from the object.
 *
 * https://schema.org/SubscribeAction
 */
var SubscribeAction = 'https://schema.org/SubscribeAction';
/**
 * Substance
 *
 * Any matter of defined composition that has discrete existence, whose origin may be biological, mineral or chemical.
 *
 * https://schema.org/Substance
 */
var Substance = 'https://schema.org/Substance';
/**
 * SubwayStation
 *
 * A subway station.
 *
 * https://schema.org/SubwayStation
 */
var SubwayStation = 'https://schema.org/SubwayStation';
/**
 * Suite
 *
 * A suite in a hotel or other public accommodation, denotes a class of luxury accommodations, the key feature of which is multiple rooms (source: Wikipedia, the free encyclopedia, see <a href="http://en.wikipedia.org/wiki/Suite_(hotel)">http://en.wikipedia.org/wiki/Suite_(hotel)</a>).
 * <br /><br />
 * See also the <a href="/docs/hotels.html">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.
 *
 *
 * https://schema.org/Suite
 */
var Suite = 'https://schema.org/Suite';
/**
 * SuperficialAnatomy
 *
 * Anatomical features that can be observed by sight (without dissection), including the form and proportions of the human body as well as surface landmarks that correspond to deeper subcutaneous structures. Superficial anatomy plays an important role in sports medicine, phlebotomy, and other medical specialties as underlying anatomical structures can be identified through surface palpation. For example, during back surgery, superficial anatomy can be used to palpate and count vertebrae to find the site of incision. Or in phlebotomy, superficial anatomy can be used to locate an underlying vein; for example, the median cubital vein can be located by palpating the borders of the cubital fossa (such as the epicondyles of the humerus) and then looking for the superficial signs of the vein, such as size, prominence, ability to refill after depression, and feel of surrounding tissue support. As another example, in a subluxation (dislocation) of the glenohumeral joint, the bony structure becomes pronounced with the deltoid muscle failing to cover the glenohumeral joint allowing the edges of the scapula to be superficially visible. Here, the superficial anatomy is the visible edges of the scapula, implying the underlying dislocation of the joint (the related anatomical structure).
 *
 * https://schema.org/SuperficialAnatomy
 */
var SuperficialAnatomy = 'https://schema.org/SuperficialAnatomy';
/**
 * SurgicalProcedure
 *
 * A medical procedure involving an incision with instruments; performed for diagnose, or therapeutic purposes.
 *
 * https://schema.org/SurgicalProcedure
 */
var SurgicalProcedure = 'https://schema.org/SurgicalProcedure';
/**
 * SuspendAction
 *
 * The act of momentarily pausing a device or application (e.g. pause music playback or pause a timer).
 *
 * https://schema.org/SuspendAction
 */
var SuspendAction = 'https://schema.org/SuspendAction';
/**
 * Syllabus
 *
 * A syllabus that describes the material covered in a course, often with several such sections per [[Course]] so that a distinct [[timeRequired]] can be provided for that section of the [[Course]].
 *
 * https://schema.org/Syllabus
 */
var Syllabus = 'https://schema.org/Syllabus';
/**
 * Synagogue
 *
 * A synagogue.
 *
 * https://schema.org/Synagogue
 */
var Synagogue = 'https://schema.org/Synagogue';
/**
 * TVClip
 *
 * A short TV program or a segment/part of a TV program.
 *
 * https://schema.org/TVClip
 */
var TVClip = 'https://schema.org/TVClip';
/**
 * TVEpisode
 *
 * A TV episode which can be part of a series or season.
 *
 * https://schema.org/TVEpisode
 */
var TVEpisode = 'https://schema.org/TVEpisode';
/**
 * TVSeason
 *
 * Season dedicated to TV broadcast and associated online delivery.
 *
 * https://schema.org/TVSeason
 */
var TVSeason = 'https://schema.org/TVSeason';
/**
 * TVSeries
 *
 * CreativeWorkSeries dedicated to TV broadcast and associated online delivery.
 *
 * https://schema.org/TVSeries
 */
var TVSeries = 'https://schema.org/TVSeries';
/**
 * Table
 *
 * A table on a Web page.
 *
 * https://schema.org/Table
 */
var Table = 'https://schema.org/Table';
/**
 * TakeAction
 *
 * The act of gaining ownership of an object from an origin. Reciprocal of GiveAction.\n\nRelated actions:\n\n* [[GiveAction]]: The reciprocal of TakeAction.\n* [[ReceiveAction]]: Unlike ReceiveAction, TakeAction implies that ownership has been transferred.
 *
 * https://schema.org/TakeAction
 */
var TakeAction = 'https://schema.org/TakeAction';
/**
 * TattooParlor
 *
 * A tattoo parlor.
 *
 * https://schema.org/TattooParlor
 */
var TattooParlor = 'https://schema.org/TattooParlor';
/**
 * Taxi
 *
 * A taxi.
 *
 * https://schema.org/Taxi
 */
var Taxi = 'https://schema.org/Taxi';
/**
 * TaxiReservation
 *
 * A reservation for a taxi.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * https://schema.org/TaxiReservation
 */
var TaxiReservation = 'https://schema.org/TaxiReservation';
/**
 * TaxiService
 *
 * A service for a vehicle for hire with a driver for local travel. Fares are usually calculated based on distance traveled.
 *
 * https://schema.org/TaxiService
 */
var TaxiService = 'https://schema.org/TaxiService';
/**
 * TaxiStand
 *
 * A taxi stand.
 *
 * https://schema.org/TaxiStand
 */
var TaxiStand = 'https://schema.org/TaxiStand';
/**
 * Taxon
 *
 * A set of organisms asserted to represent a natural cohesive biological unit.
 *
 * https://schema.org/Taxon
 */
var Taxon = 'https://schema.org/Taxon';
/**
 * TechArticle
 *
 * A technical article - Example: How-to (task) topics, step-by-step, procedural troubleshooting, specifications, etc.
 *
 * https://schema.org/TechArticle
 */
var TechArticle = 'https://schema.org/TechArticle';
/**
 * TelevisionChannel
 *
 * A unique instance of a television BroadcastService on a CableOrSatelliteService lineup.
 *
 * https://schema.org/TelevisionChannel
 */
var TelevisionChannel = 'https://schema.org/TelevisionChannel';
/**
 * TelevisionStation
 *
 * A television station.
 *
 * https://schema.org/TelevisionStation
 */
var TelevisionStation = 'https://schema.org/TelevisionStation';
/**
 * TennisComplex
 *
 * A tennis complex.
 *
 * https://schema.org/TennisComplex
 */
var TennisComplex = 'https://schema.org/TennisComplex';
/**
 * Text
 *
 * Data type: Text.
 *
 * https://schema.org/Text
 */
var Text = 'https://schema.org/Text';
/**
 * TextDigitalDocument
 *
 * A file composed primarily of text.
 *
 * https://schema.org/TextDigitalDocument
 */
var TextDigitalDocument = 'https://schema.org/TextDigitalDocument';
/**
 * TextObject
 *
 * A text file. The text can be unformatted or contain markup, html, etc.
 *
 * https://schema.org/TextObject
 */
var TextObject = 'https://schema.org/TextObject';
/**
 * TheaterEvent
 *
 * Event type: Theater performance.
 *
 * https://schema.org/TheaterEvent
 */
var TheaterEvent = 'https://schema.org/TheaterEvent';
/**
 * TheaterGroup
 *
 * A theater group or company, for example, the Royal Shakespeare Company or Druid Theatre.
 *
 * https://schema.org/TheaterGroup
 */
var TheaterGroup = 'https://schema.org/TheaterGroup';
/**
 * TherapeuticProcedure
 *
 * A medical procedure intended primarily for therapeutic purposes, aimed at improving a health condition.
 *
 * https://schema.org/TherapeuticProcedure
 */
var TherapeuticProcedure = 'https://schema.org/TherapeuticProcedure';
/**
 * Thesis
 *
 * A thesis or dissertation document submitted in support of candidature for an academic degree or professional qualification.
 *
 * https://schema.org/Thesis
 */
var Thesis = 'https://schema.org/Thesis';
/**
 * Thing
 *
 * The most generic type of item.
 *
 * https://schema.org/Thing
 */
var Thing = 'https://schema.org/Thing';
/**
 * Ticket
 *
 * Used to describe a ticket to an event, a flight, a bus ride, etc.
 *
 * https://schema.org/Ticket
 */
var Ticket = 'https://schema.org/Ticket';
/**
 * TieAction
 *
 * The act of reaching a draw in a competitive activity.
 *
 * https://schema.org/TieAction
 */
var TieAction = 'https://schema.org/TieAction';
/**
 * TierBenefitEnumeration
 *
 * An enumeration of possible benefits as part of a loyalty (members) program.
 *
 * https://schema.org/TierBenefitEnumeration
 */
var TierBenefitEnumeration = 'https://schema.org/TierBenefitEnumeration';
/**
 * Time
 *
 * A point in time recurring on multiple days in the form hh:mm:ss[Z|(+|-)hh:mm] (see [XML schema for details](http://www.w3.org/TR/xmlschema-2/#time)).
 *
 * https://schema.org/Time
 */
var Time = 'https://schema.org/Time';
/**
 * TipAction
 *
 * The act of giving money voluntarily to a beneficiary in recognition of services rendered.
 *
 * https://schema.org/TipAction
 */
var TipAction = 'https://schema.org/TipAction';
/**
 * TireShop
 *
 * A tire shop.
 *
 * https://schema.org/TireShop
 */
var TireShop = 'https://schema.org/TireShop';
/**
 * TouristAttraction
 *
 * A tourist attraction.  In principle any Thing can be a [[TouristAttraction]], from a [[Mountain]] and [[LandmarksOrHistoricalBuildings]] to a [[LocalBusiness]].  This Type can be used on its own to describe a general [[TouristAttraction]], or be used as an [[additionalType]] to add tourist attraction properties to any other type.  (See examples below)
 *
 * https://schema.org/TouristAttraction
 */
var TouristAttraction = 'https://schema.org/TouristAttraction';
/**
 * TouristDestination
 *
 * A tourist destination. In principle any [[Place]] can be a [[TouristDestination]] from a [[City]], Region or [[Country]] to an [[AmusementPark]] or [[Hotel]]. This Type can be used on its own to describe a general [[TouristDestination]], or be used as an [[additionalType]] to add tourist relevant properties to any other [[Place]].  A [[TouristDestination]] is defined as a [[Place]] that contains, or is colocated with, one or more [[TouristAttraction]]s, often linked by a similar theme or interest to a particular [[touristType]]. The [UNWTO](http://www2.unwto.org/) defines Destination (main destination of a tourism trip) as the place visited that is central to the decision to take the trip.
 *   (See examples below.)
 *
 * https://schema.org/TouristDestination
 */
var TouristDestination = 'https://schema.org/TouristDestination';
/**
 * TouristInformationCenter
 *
 * A tourist information center.
 *
 * https://schema.org/TouristInformationCenter
 */
var TouristInformationCenter = 'https://schema.org/TouristInformationCenter';
/**
 * TouristTrip
 *
 * A tourist trip. A created itinerary of visits to one or more places of interest ([[TouristAttraction]]/[[TouristDestination]]) often linked by a similar theme, geographic area, or interest to a particular [[touristType]]. The [UNWTO](http://www2.unwto.org/) defines tourism trip as the Trip taken by visitors.
 *   (See examples below.)
 *
 * https://schema.org/TouristTrip
 */
var TouristTrip = 'https://schema.org/TouristTrip';
/**
 * ToyStore
 *
 * A toy store.
 *
 * https://schema.org/ToyStore
 */
var ToyStore = 'https://schema.org/ToyStore';
/**
 * TrackAction
 *
 * An agent tracks an object for updates.\n\nRelated actions:\n\n* [[FollowAction]]: Unlike FollowAction, TrackAction refers to the interest on the location of innanimates objects.\n* [[SubscribeAction]]: Unlike SubscribeAction, TrackAction refers to  the interest on the location of innanimate objects.
 *
 * https://schema.org/TrackAction
 */
var TrackAction = 'https://schema.org/TrackAction';
/**
 * TradeAction
 *
 * The act of participating in an exchange of goods and services for monetary compensation. An agent trades an object, product or service with a participant in exchange for a one time or periodic payment.
 *
 * https://schema.org/TradeAction
 */
var TradeAction = 'https://schema.org/TradeAction';
/**
 * TrainReservation
 *
 * A reservation for train travel.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].
 *
 * https://schema.org/TrainReservation
 */
var TrainReservation = 'https://schema.org/TrainReservation';
/**
 * TrainStation
 *
 * A train station.
 *
 * https://schema.org/TrainStation
 */
var TrainStation = 'https://schema.org/TrainStation';
/**
 * TrainTrip
 *
 * A trip on a commercial train line.
 *
 * https://schema.org/TrainTrip
 */
var TrainTrip = 'https://schema.org/TrainTrip';
/**
 * TransferAction
 *
 * The act of transferring/moving (abstract or concrete) animate or inanimate objects from one place to another.
 *
 * https://schema.org/TransferAction
 */
var TransferAction = 'https://schema.org/TransferAction';
/**
 * TravelAction
 *
 * The act of traveling from a fromLocation to a destination by a specified mode of transport, optionally with participants.
 *
 * https://schema.org/TravelAction
 */
var TravelAction = 'https://schema.org/TravelAction';
/**
 * TravelAgency
 *
 * A travel agency.
 *
 * https://schema.org/TravelAgency
 */
var TravelAgency = 'https://schema.org/TravelAgency';
/**
 * TreatmentIndication
 *
 * An indication for treating an underlying condition, symptom, etc.
 *
 * https://schema.org/TreatmentIndication
 */
var TreatmentIndication = 'https://schema.org/TreatmentIndication';
/**
 * Trip
 *
 * A trip or journey. An itinerary of visits to one or more places.
 *
 * https://schema.org/Trip
 */
var Trip = 'https://schema.org/Trip';
/**
 * TypeAndQuantityNode
 *
 * A structured value indicating the quantity, unit of measurement, and business function of goods included in a bundle offer.
 *
 * https://schema.org/TypeAndQuantityNode
 */
var TypeAndQuantityNode = 'https://schema.org/TypeAndQuantityNode';
/**
 * UKNonprofitType
 *
 * UKNonprofitType: Non-profit organization type originating from the United Kingdom.
 *
 * https://schema.org/UKNonprofitType
 */
var UKNonprofitType = 'https://schema.org/UKNonprofitType';
/**
 * URL
 *
 * Data type: URL.
 *
 * https://schema.org/URL
 */
var URL = 'https://schema.org/URL';
/**
 * USNonprofitType
 *
 * USNonprofitType: Non-profit organization type originating from the United States.
 *
 * https://schema.org/USNonprofitType
 */
var USNonprofitType = 'https://schema.org/USNonprofitType';
/**
 * UnRegisterAction
 *
 * The act of un-registering from a service.\n\nRelated actions:\n\n* [[RegisterAction]]: antonym of UnRegisterAction.\n* [[LeaveAction]]: Unlike LeaveAction, UnRegisterAction implies that you are unregistering from a service you were previously registered, rather than leaving a team/group of people.
 *
 * https://schema.org/UnRegisterAction
 */
var UnRegisterAction = 'https://schema.org/UnRegisterAction';
/**
 * UnitPriceSpecification
 *
 * The price asked for a given offer by the respective organization or person.
 *
 * https://schema.org/UnitPriceSpecification
 */
var UnitPriceSpecification = 'https://schema.org/UnitPriceSpecification';
/**
 * UpdateAction
 *
 * The act of managing by changing/editing the state of the object.
 *
 * https://schema.org/UpdateAction
 */
var UpdateAction = 'https://schema.org/UpdateAction';
/**
 * UseAction
 *
 * The act of applying an object to its intended purpose.
 *
 * https://schema.org/UseAction
 */
var UseAction = 'https://schema.org/UseAction';
/**
 * UserBlocks
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserBlocks
 */
var UserBlocks = 'https://schema.org/UserBlocks';
/**
 * UserCheckins
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserCheckins
 */
var UserCheckins = 'https://schema.org/UserCheckins';
/**
 * UserComments
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserComments
 */
var UserComments = 'https://schema.org/UserComments';
/**
 * UserDownloads
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserDownloads
 */
var UserDownloads = 'https://schema.org/UserDownloads';
/**
 * UserInteraction
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserInteraction
 */
var UserInteraction = 'https://schema.org/UserInteraction';
/**
 * UserLikes
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserLikes
 */
var UserLikes = 'https://schema.org/UserLikes';
/**
 * UserPageVisits
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserPageVisits
 */
var UserPageVisits = 'https://schema.org/UserPageVisits';
/**
 * UserPlays
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserPlays
 */
var UserPlays = 'https://schema.org/UserPlays';
/**
 * UserPlusOnes
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserPlusOnes
 */
var UserPlusOnes = 'https://schema.org/UserPlusOnes';
/**
 * UserReview
 *
 * A review created by an end-user (e.g. consumer, purchaser, attendee etc.), in contrast with [[CriticReview]].
 *
 * https://schema.org/UserReview
 */
var UserReview = 'https://schema.org/UserReview';
/**
 * UserTweets
 *
 * UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].
 *
 * https://schema.org/UserTweets
 */
var UserTweets = 'https://schema.org/UserTweets';
/**
 * VacationRental
 *
 * A kind of lodging business that focuses on renting single properties for limited time.
 *
 * https://schema.org/VacationRental
 */
var VacationRental = 'https://schema.org/VacationRental';
/**
 * Vehicle
 *
 * A vehicle is a device that is designed or used to transport people or cargo over land, water, air, or through space.
 *
 * https://schema.org/Vehicle
 */
var Vehicle = 'https://schema.org/Vehicle';
/**
 * Vein
 *
 * A type of blood vessel that specifically carries blood to the heart.
 *
 * https://schema.org/Vein
 */
var Vein = 'https://schema.org/Vein';
/**
 * Vessel
 *
 * A component of the human body circulatory system comprised of an intricate network of hollow tubes that transport blood throughout the entire body.
 *
 * https://schema.org/Vessel
 */
var Vessel = 'https://schema.org/Vessel';
/**
 * VeterinaryCare
 *
 * A vet's office.
 *
 * https://schema.org/VeterinaryCare
 */
var VeterinaryCare = 'https://schema.org/VeterinaryCare';
/**
 * VideoGallery
 *
 * Web page type: Video gallery page.
 *
 * https://schema.org/VideoGallery
 */
var VideoGallery = 'https://schema.org/VideoGallery';
/**
 * VideoGame
 *
 * A video game is an electronic game that involves human interaction with a user interface to generate visual feedback on a video device.
 *
 * https://schema.org/VideoGame
 */
var VideoGame = 'https://schema.org/VideoGame';
/**
 * VideoGameClip
 *
 * A short segment/part of a video game.
 *
 * https://schema.org/VideoGameClip
 */
var VideoGameClip = 'https://schema.org/VideoGameClip';
/**
 * VideoGameSeries
 *
 * A video game series.
 *
 * https://schema.org/VideoGameSeries
 */
var VideoGameSeries = 'https://schema.org/VideoGameSeries';
/**
 * VideoObject
 *
 * A video file.
 *
 * https://schema.org/VideoObject
 */
var VideoObject = 'https://schema.org/VideoObject';
/**
 * VideoObjectSnapshot
 *
 * A specific and exact (byte-for-byte) version of a [[VideoObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.
 *
 * https://schema.org/VideoObjectSnapshot
 */
var VideoObjectSnapshot = 'https://schema.org/VideoObjectSnapshot';
/**
 * ViewAction
 *
 * The act of consuming static visual content.
 *
 * https://schema.org/ViewAction
 */
var ViewAction = 'https://schema.org/ViewAction';
/**
 * VirtualLocation
 *
 * An online or virtual location for attending events. For example, one may attend an online seminar or educational event. While a virtual location may be used as the location of an event, virtual locations should not be confused with physical locations in the real world.
 *
 * https://schema.org/VirtualLocation
 */
var VirtualLocation = 'https://schema.org/VirtualLocation';
/**
 * VisualArtsEvent
 *
 * Event type: Visual arts event.
 *
 * https://schema.org/VisualArtsEvent
 */
var VisualArtsEvent = 'https://schema.org/VisualArtsEvent';
/**
 * VisualArtwork
 *
 * A work of art that is primarily visual in character.
 *
 * https://schema.org/VisualArtwork
 */
var VisualArtwork = 'https://schema.org/VisualArtwork';
/**
 * VitalSign
 *
 * Vital signs are measures of various physiological functions in order to assess the most basic body functions.
 *
 * https://schema.org/VitalSign
 */
var VitalSign = 'https://schema.org/VitalSign';
/**
 * Volcano
 *
 * A volcano, like Fujisan.
 *
 * https://schema.org/Volcano
 */
var Volcano = 'https://schema.org/Volcano';
/**
 * VoteAction
 *
 * The act of expressing a preference from a fixed/finite/structured set of choices/options.
 *
 * https://schema.org/VoteAction
 */
var VoteAction = 'https://schema.org/VoteAction';
/**
 * WPAdBlock
 *
 * An advertising section of the page.
 *
 * https://schema.org/WPAdBlock
 */
var WPAdBlock = 'https://schema.org/WPAdBlock';
/**
 * WPFooter
 *
 * The footer section of the page.
 *
 * https://schema.org/WPFooter
 */
var WPFooter = 'https://schema.org/WPFooter';
/**
 * WPHeader
 *
 * The header section of the page.
 *
 * https://schema.org/WPHeader
 */
var WPHeader = 'https://schema.org/WPHeader';
/**
 * WPSideBar
 *
 * A sidebar section of the page.
 *
 * https://schema.org/WPSideBar
 */
var WPSideBar = 'https://schema.org/WPSideBar';
/**
 * WantAction
 *
 * The act of expressing a desire about the object. An agent wants an object.
 *
 * https://schema.org/WantAction
 */
var WantAction = 'https://schema.org/WantAction';
/**
 * WarrantyPromise
 *
 * A structured value representing the duration and scope of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.
 *
 * https://schema.org/WarrantyPromise
 */
var WarrantyPromise = 'https://schema.org/WarrantyPromise';
/**
 * WarrantyScope
 *
 * A range of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.\n\nCommonly used values:\n\n* http://purl.org/goodrelations/v1#Labor-BringIn\n* http://purl.org/goodrelations/v1#PartsAndLabor-BringIn\n* http://purl.org/goodrelations/v1#PartsAndLabor-PickUp
 *
 *
 * https://schema.org/WarrantyScope
 */
var WarrantyScope = 'https://schema.org/WarrantyScope';
/**
 * WatchAction
 *
 * The act of consuming dynamic/moving visual content.
 *
 * https://schema.org/WatchAction
 */
var WatchAction = 'https://schema.org/WatchAction';
/**
 * Waterfall
 *
 * A waterfall, like Niagara.
 *
 * https://schema.org/Waterfall
 */
var Waterfall = 'https://schema.org/Waterfall';
/**
 * WearAction
 *
 * The act of dressing oneself in clothing.
 *
 * https://schema.org/WearAction
 */
var WearAction = 'https://schema.org/WearAction';
/**
 * WearableMeasurementTypeEnumeration
 *
 * Enumerates common types of measurement for wearables products.
 *
 * https://schema.org/WearableMeasurementTypeEnumeration
 */
var WearableMeasurementTypeEnumeration = 'https://schema.org/WearableMeasurementTypeEnumeration';
/**
 * WearableSizeGroupEnumeration
 *
 * Enumerates common size groups (also known as "size types") for wearable products.
 *
 * https://schema.org/WearableSizeGroupEnumeration
 */
var WearableSizeGroupEnumeration = 'https://schema.org/WearableSizeGroupEnumeration';
/**
 * WearableSizeSystemEnumeration
 *
 * Enumerates common size systems specific for wearable products.
 *
 * https://schema.org/WearableSizeSystemEnumeration
 */
var WearableSizeSystemEnumeration = 'https://schema.org/WearableSizeSystemEnumeration';
/**
 * WebAPI
 *
 * An application programming interface accessible over Web/Internet technologies.
 *
 * https://schema.org/WebAPI
 */
var WebAPI = 'https://schema.org/WebAPI';
/**
 * WebApplication
 *
 * Web applications.
 *
 * https://schema.org/WebApplication
 */
var WebApplication = 'https://schema.org/WebApplication';
/**
 * WebContent
 *
 * WebContent is a type representing all [[WebPage]], [[WebSite]] and [[WebPageElement]] content. It is sometimes the case that detailed distinctions between Web pages, sites and their parts are not always important or obvious. The  [[WebContent]] type makes it easier to describe Web-addressable content without requiring such distinctions to always be stated. (The intent is that the existing types [[WebPage]], [[WebSite]] and [[WebPageElement]] will eventually be declared as subtypes of [[WebContent]].)
 *
 * https://schema.org/WebContent
 */
var WebContent = 'https://schema.org/WebContent';
/**
 * WebPage
 *
 * A web page. Every web page is implicitly assumed to be declared to be of type WebPage, so the various properties about that webpage, such as <code>breadcrumb</code> may be used. We recommend explicit declaration if these properties are specified, but if they are found outside of an itemscope, they will be assumed to be about the page.
 *
 * https://schema.org/WebPage
 */
var WebPage = 'https://schema.org/WebPage';
/**
 * WebPageElement
 *
 * A web page element, like a table or an image.
 *
 * https://schema.org/WebPageElement
 */
var WebPageElement = 'https://schema.org/WebPageElement';
/**
 * WebSite
 *
 * A WebSite is a set of related web pages and other items typically served from a single web domain and accessible via URLs.
 *
 * https://schema.org/WebSite
 */
var WebSite = 'https://schema.org/WebSite';
/**
 * WholesaleStore
 *
 * A wholesale store.
 *
 * https://schema.org/WholesaleStore
 */
var WholesaleStore = 'https://schema.org/WholesaleStore';
/**
 * WinAction
 *
 * The act of achieving victory in a competitive activity.
 *
 * https://schema.org/WinAction
 */
var WinAction = 'https://schema.org/WinAction';
/**
 * Winery
 *
 * A winery.
 *
 * https://schema.org/Winery
 */
var Winery = 'https://schema.org/Winery';
/**
 * WorkBasedProgram
 *
 * A program with both an educational and employment component. Typically based at a workplace and structured around work-based learning, with the aim of instilling competencies related to an occupation. WorkBasedProgram is used to distinguish programs such as apprenticeships from school, college or other classroom based educational programs.
 *
 * https://schema.org/WorkBasedProgram
 */
var WorkBasedProgram = 'https://schema.org/WorkBasedProgram';
/**
 * WorkersUnion
 *
 * A Workers Union (also known as a Labor Union, Labour Union, or Trade Union) is an organization that promotes the interests of its worker members by collectively bargaining with management, organizing, and political lobbying.
 *
 * https://schema.org/WorkersUnion
 */
var WorkersUnion = 'https://schema.org/WorkersUnion';
/**
 * WriteAction
 *
 * The act of authoring written creative content.
 *
 * https://schema.org/WriteAction
 */
var WriteAction = 'https://schema.org/WriteAction';
/**
 * XPathType
 *
 * Text representing an XPath (typically but not necessarily version 1.0).
 *
 * https://schema.org/XPathType
 */
var XPathType = 'https://schema.org/XPathType';
/**
 * Zoo
 *
 * A zoo.
 *
 * https://schema.org/Zoo
 */
var Zoo = 'https://schema.org/Zoo';
/**
 * abridged
 *
 * Indicates whether the book is an abridged edition.
 *
 * https://schema.org/abridged
 */
var abridged = 'https://schema.org/abridged';
/**
 * abstract
 *
 * An abstract is a short description that summarizes a [[CreativeWork]].
 *
 * https://schema.org/abstract
 */
var abstract = 'https://schema.org/abstract';
/**
 * accelerationTime
 *
 * The time needed to accelerate the vehicle from a given start velocity to a given target velocity.\n\nTypical unit code(s): SEC for seconds\n\n* Note: There are unfortunately no standard unit codes for seconds/0..100 km/h or seconds/0..60 mph. Simply use "SEC" for seconds and indicate the velocities in the [[name]] of the [[QuantitativeValue]], or use [[valueReference]] with a [[QuantitativeValue]] of 0..60 mph or 0..100 km/h to specify the reference speeds.
 *
 * https://schema.org/accelerationTime
 */
var accelerationTime = 'https://schema.org/accelerationTime';
/**
 * acceptedAnswer
 *
 * The answer(s) that has been accepted as best, typically on a Question/Answer site. Sites vary in their selection mechanisms, e.g. drawing on community opinion and/or the view of the Question author.
 *
 * https://schema.org/acceptedAnswer
 */
var acceptedAnswer = 'https://schema.org/acceptedAnswer';
/**
 * acceptedOffer
 *
 * The offer(s) -- e.g., product, quantity and price combinations -- included in the order.
 *
 * https://schema.org/acceptedOffer
 */
var acceptedOffer = 'https://schema.org/acceptedOffer';
/**
 * acceptedPaymentMethod
 *
 * The payment method(s) that are accepted in general by an organization, or for some specific demand or offer.
 *
 * https://schema.org/acceptedPaymentMethod
 */
var acceptedPaymentMethod = 'https://schema.org/acceptedPaymentMethod';
/**
 * acceptsReservations
 *
 * Indicates whether a FoodEstablishment accepts reservations. Values can be Boolean, an URL at which reservations can be made or (for backwards compatibility) the strings ```Yes``` or ```No```.
 *
 * https://schema.org/acceptsReservations
 */
var acceptsReservations = 'https://schema.org/acceptsReservations';
/**
 * accessCode
 *
 * Password, PIN, or access code needed for delivery (e.g. from a locker).
 *
 * https://schema.org/accessCode
 */
var accessCode = 'https://schema.org/accessCode';
/**
 * accessMode
 *
 * The human sensory perceptual system or cognitive faculty through which a person may process or perceive information. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessMode-vocabulary).
 *
 * https://schema.org/accessMode
 */
var accessMode = 'https://schema.org/accessMode';
/**
 * accessModeSufficient
 *
 * A list of single or combined accessModes that are sufficient to understand all the intellectual content of a resource. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessModeSufficient-vocabulary).
 *
 * https://schema.org/accessModeSufficient
 */
var accessModeSufficient = 'https://schema.org/accessModeSufficient';
/**
 * accessibilityAPI
 *
 * Indicates that the resource is compatible with the referenced accessibility API. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityAPI-vocabulary).
 *
 * https://schema.org/accessibilityAPI
 */
var accessibilityAPI = 'https://schema.org/accessibilityAPI';
/**
 * accessibilityControl
 *
 * Identifies input methods that are sufficient to fully control the described resource. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityControl-vocabulary).
 *
 * https://schema.org/accessibilityControl
 */
var accessibilityControl = 'https://schema.org/accessibilityControl';
/**
 * accessibilityFeature
 *
 * Content features of the resource, such as accessible media, alternatives and supported enhancements for accessibility. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityFeature-vocabulary).
 *
 * https://schema.org/accessibilityFeature
 */
var accessibilityFeature = 'https://schema.org/accessibilityFeature';
/**
 * accessibilityHazard
 *
 * A characteristic of the described resource that is physiologically dangerous to some users. Related to WCAG 2.0 guideline 2.3. Values should be drawn from the [approved vocabulary](https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityHazard-vocabulary).
 *
 * https://schema.org/accessibilityHazard
 */
var accessibilityHazard = 'https://schema.org/accessibilityHazard';
/**
 * accessibilitySummary
 *
 * A human-readable summary of specific accessibility features or deficiencies, consistent with the other accessibility metadata but expressing subtleties such as "short descriptions are present but long descriptions will be needed for non-visual users" or "short descriptions are present and no long descriptions are needed".
 *
 * https://schema.org/accessibilitySummary
 */
var accessibilitySummary = 'https://schema.org/accessibilitySummary';
/**
 * accommodationCategory
 *
 * Category of an [[Accommodation]], following real estate conventions, e.g. RESO (see [PropertySubType](https://ddwiki.reso.org/display/DDW17/PropertySubType+Field), and [PropertyType](https://ddwiki.reso.org/display/DDW17/PropertyType+Field) fields  for suggested values).
 *
 * https://schema.org/accommodationCategory
 */
var accommodationCategory = 'https://schema.org/accommodationCategory';
/**
 * accommodationFloorPlan
 *
 * A floorplan of some [[Accommodation]].
 *
 * https://schema.org/accommodationFloorPlan
 */
var accommodationFloorPlan = 'https://schema.org/accommodationFloorPlan';
/**
 * accountId
 *
 * The identifier for the account the payment will be applied to.
 *
 * https://schema.org/accountId
 */
var accountId = 'https://schema.org/accountId';
/**
 * accountMinimumInflow
 *
 * A minimum amount that has to be paid in every month.
 *
 * https://schema.org/accountMinimumInflow
 */
var accountMinimumInflow = 'https://schema.org/accountMinimumInflow';
/**
 * accountOverdraftLimit
 *
 * An overdraft is an extension of credit from a lending institution when an account reaches zero. An overdraft allows the individual to continue withdrawing money even if the account has no funds in it. Basically the bank allows people to borrow a set amount of money.
 *
 * https://schema.org/accountOverdraftLimit
 */
var accountOverdraftLimit = 'https://schema.org/accountOverdraftLimit';
/**
 * accountablePerson
 *
 * Specifies the Person that is legally accountable for the CreativeWork.
 *
 * https://schema.org/accountablePerson
 */
var accountablePerson = 'https://schema.org/accountablePerson';
/**
 * acquireLicensePage
 *
 * Indicates a page documenting how licenses can be purchased or otherwise acquired, for the current item.
 *
 * https://schema.org/acquireLicensePage
 */
var acquireLicensePage = 'https://schema.org/acquireLicensePage';
/**
 * acquiredFrom
 *
 * The organization or person from which the product was acquired.
 *
 * https://schema.org/acquiredFrom
 */
var acquiredFrom = 'https://schema.org/acquiredFrom';
/**
 * acrissCode
 *
 * The ACRISS Car Classification Code is a code used by many car rental companies, for classifying vehicles. ACRISS stands for Association of Car Rental Industry Systems and Standards.
 *
 * https://schema.org/acrissCode
 */
var acrissCode = 'https://schema.org/acrissCode';
/**
 * actionAccessibilityRequirement
 *
 * A set of requirements that must be fulfilled in order to perform an Action. If more than one value is specified, fulfilling one set of requirements will allow the Action to be performed.
 *
 * https://schema.org/actionAccessibilityRequirement
 */
var actionAccessibilityRequirement = 'https://schema.org/actionAccessibilityRequirement';
/**
 * actionPlatform
 *
 * The high level platform(s) where the Action can be performed for the given URL. To specify a specific application or operating system instance, use actionApplication.
 *
 * https://schema.org/actionPlatform
 */
var actionPlatform = 'https://schema.org/actionPlatform';
/**
 * actionProcess
 *
 * Description of the process by which the action was performed.
 *
 * https://schema.org/actionProcess
 */
var actionProcess = 'https://schema.org/actionProcess';
/**
 * actionStatus
 *
 * Indicates the current disposition of the Action.
 *
 * https://schema.org/actionStatus
 */
var actionStatus = 'https://schema.org/actionStatus';
/**
 * actionableFeedbackPolicy
 *
 * For a [[NewsMediaOrganization]] or other news-related [[Organization]], a statement about public engagement activities (for news media, the newsroom’s), including involving the public - digitally or otherwise -- in coverage decisions, reporting and activities after publication.
 *
 * https://schema.org/actionableFeedbackPolicy
 */
var actionableFeedbackPolicy = 'https://schema.org/actionableFeedbackPolicy';
/**
 * activeIngredient
 *
 * An active ingredient, typically chemical compounds and/or biologic substances.
 *
 * https://schema.org/activeIngredient
 */
var activeIngredient = 'https://schema.org/activeIngredient';
/**
 * activityDuration
 *
 * Length of time to engage in the activity.
 *
 * https://schema.org/activityDuration
 */
var activityDuration = 'https://schema.org/activityDuration';
/**
 * activityFrequency
 *
 * How often one should engage in the activity.
 *
 * https://schema.org/activityFrequency
 */
var activityFrequency = 'https://schema.org/activityFrequency';
/**
 * actors
 *
 * An actor, e.g. in TV, radio, movie, video games etc. Actors can be associated with individual items or with a series, episode, clip.
 *
 * https://schema.org/actors
 */
var actors = 'https://schema.org/actors';
/**
 * addOn
 *
 * An additional offer that can only be obtained in combination with the first base offer (e.g. supplements and extensions that are available for a surcharge).
 *
 * https://schema.org/addOn
 */
var addOn = 'https://schema.org/addOn';
/**
 * additionalName
 *
 * An additional name for a Person, can be used for a middle name.
 *
 * https://schema.org/additionalName
 */
var additionalName = 'https://schema.org/additionalName';
/**
 * additionalNumberOfGuests
 *
 * If responding yes, the number of guests who will attend in addition to the invitee.
 *
 * https://schema.org/additionalNumberOfGuests
 */
var additionalNumberOfGuests = 'https://schema.org/additionalNumberOfGuests';
/**
 * additionalProperty
 *
 * A property-value pair representing an additional characteristic of the entity, e.g. a product feature or another characteristic for which there is no matching property in schema.org.\n\nNote: Publishers should be aware that applications designed to use specific schema.org properties (e.g. https://schema.org/width, https://schema.org/color, https://schema.org/gtin13, ...) will typically expect such data to be provided using those properties, rather than using the generic property/value mechanism.
 *
 *
 * https://schema.org/additionalProperty
 */
var additionalProperty = 'https://schema.org/additionalProperty';
/**
 * additionalType
 *
 * An additional type for the item, typically used for adding more specific types from external vocabularies in microdata syntax. This is a relationship between something and a class that the thing is in. Typically the value is a URI-identified RDF class, and in this case corresponds to the
 *     use of rdf:type in RDF. Text values can be used sparingly, for cases where useful information can be added without their being an appropriate schema to reference. In the case of text values, the class label should follow the schema.org <a href="https://schema.org/docs/styleguide.html">style guide</a>.
 *
 * https://schema.org/additionalType
 */
var additionalType = 'https://schema.org/additionalType';
/**
 * additionalVariable
 *
 * Any additional component of the exercise prescription that may need to be articulated to the patient. This may include the order of exercises, the number of repetitions of movement, quantitative distance, progressions over time, etc.
 *
 * https://schema.org/additionalVariable
 */
var additionalVariable = 'https://schema.org/additionalVariable';
/**
 * address
 *
 * Physical address of the item.
 *
 * https://schema.org/address
 */
var address = 'https://schema.org/address';
/**
 * addressCountry
 *
 * The country. Recommended to be in 2-letter [ISO 3166-1 alpha-2](http://en.wikipedia.org/wiki/ISO_3166-1) format, for example "US". For backward compatibility, a 3-letter [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code such as "SGP" or a full country name such as "Singapore" can also be used.
 *
 * https://schema.org/addressCountry
 */
var addressCountry = 'https://schema.org/addressCountry';
/**
 * addressLocality
 *
 * The locality in which the street address is, and which is in the region. For example, Mountain View.
 *
 * https://schema.org/addressLocality
 */
var addressLocality = 'https://schema.org/addressLocality';
/**
 * addressRegion
 *
 * The region in which the locality is, and which is in the country. For example, California or another appropriate first-level [Administrative division](https://en.wikipedia.org/wiki/List_of_administrative_divisions_by_country).
 *
 * https://schema.org/addressRegion
 */
var addressRegion = 'https://schema.org/addressRegion';
/**
 * administrationRoute
 *
 * A route by which this drug may be administered, e.g. 'oral'.
 *
 * https://schema.org/administrationRoute
 */
var administrationRoute = 'https://schema.org/administrationRoute';
/**
 * advanceBookingRequirement
 *
 * The amount of time that is required between accepting the offer and the actual usage of the resource or service.
 *
 * https://schema.org/advanceBookingRequirement
 */
var advanceBookingRequirement = 'https://schema.org/advanceBookingRequirement';
/**
 * adverseOutcome
 *
 * A possible complication and/or side effect of this therapy. If it is known that an adverse outcome is serious (resulting in death, disability, or permanent damage; requiring hospitalization; or otherwise life-threatening or requiring immediate medical attention), tag it as a seriousAdverseOutcome instead.
 *
 * https://schema.org/adverseOutcome
 */
var adverseOutcome = 'https://schema.org/adverseOutcome';
/**
 * affectedBy
 *
 * Drugs that affect the test's results.
 *
 * https://schema.org/affectedBy
 */
var affectedBy = 'https://schema.org/affectedBy';
/**
 * affiliation
 *
 * An organization that this person is affiliated with. For example, a school/university, a club, or a team.
 *
 * https://schema.org/affiliation
 */
var affiliation = 'https://schema.org/affiliation';
/**
 * afterMedia
 *
 * A media object representing the circumstances after performing this direction.
 *
 * https://schema.org/afterMedia
 */
var afterMedia = 'https://schema.org/afterMedia';
/**
 * agent
 *
 * The direct performer or driver of the action (animate or inanimate). E.g. *John* wrote a book.
 *
 * https://schema.org/agent
 */
var agent = 'https://schema.org/agent';
/**
 * agentInteractionStatistic
 *
 * The number of completed interactions for this entity, in a particular role (the 'agent'), in a particular action (indicated in the statistic), and in a particular context (i.e. interactionService).
 *
 * https://schema.org/agentInteractionStatistic
 */
var agentInteractionStatistic = 'https://schema.org/agentInteractionStatistic';
/**
 * aggregateElement
 *
 * Indicates a prototype of the elements in the list that is used to hold aggregate information (ratings, offers, etc.).
 *
 * https://schema.org/aggregateElement
 */
var aggregateElement = 'https://schema.org/aggregateElement';
/**
 * aggregateRating
 *
 * The overall rating, based on a collection of reviews or ratings, of the item.
 *
 * https://schema.org/aggregateRating
 */
var aggregateRating = 'https://schema.org/aggregateRating';
/**
 * aircraft
 *
 * The kind of aircraft (e.g., "Boeing 747").
 *
 * https://schema.org/aircraft
 */
var aircraft = 'https://schema.org/aircraft';
/**
 * albumProductionType
 *
 * Classification of the album by its type of content: soundtrack, live album, studio album, etc.
 *
 * https://schema.org/albumProductionType
 */
var albumProductionType = 'https://schema.org/albumProductionType';
/**
 * albumReleaseType
 *
 * The kind of release which this album is: single, EP or album.
 *
 * https://schema.org/albumReleaseType
 */
var albumReleaseType = 'https://schema.org/albumReleaseType';
/**
 * albums
 *
 * A collection of music albums.
 *
 * https://schema.org/albums
 */
var albums = 'https://schema.org/albums';
/**
 * alcoholWarning
 *
 * Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.
 *
 * https://schema.org/alcoholWarning
 */
var alcoholWarning = 'https://schema.org/alcoholWarning';
/**
 * algorithm
 *
 * The algorithm or rules to follow to compute the score.
 *
 * https://schema.org/algorithm
 */
var algorithm = 'https://schema.org/algorithm';
/**
 * alignmentType
 *
 * A category of alignment between the learning resource and the framework node. Recommended values include: 'requires', 'textComplexity', 'readingLevel', and 'educationalSubject'.
 *
 * https://schema.org/alignmentType
 */
var alignmentType = 'https://schema.org/alignmentType';
/**
 * alternativeHeadline
 *
 * A secondary title of the CreativeWork.
 *
 * https://schema.org/alternativeHeadline
 */
var alternativeHeadline = 'https://schema.org/alternativeHeadline';
/**
 * alternativeOf
 *
 * Another gene which is a variation of this one.
 *
 * https://schema.org/alternativeOf
 */
var alternativeOf = 'https://schema.org/alternativeOf';
/**
 * amenityFeature
 *
 * An amenity feature (e.g. a characteristic or service) of the Accommodation. This generic property does not make a statement about whether the feature is included in an offer for the main accommodation or available at extra costs.
 *
 * https://schema.org/amenityFeature
 */
var amenityFeature = 'https://schema.org/amenityFeature';
/**
 * amount
 *
 * The amount of money.
 *
 * https://schema.org/amount
 */
var amount = 'https://schema.org/amount';
/**
 * amountOfThisGood
 *
 * The quantity of the goods included in the offer.
 *
 * https://schema.org/amountOfThisGood
 */
var amountOfThisGood = 'https://schema.org/amountOfThisGood';
/**
 * announcementLocation
 *
 * Indicates a specific [[CivicStructure]] or [[LocalBusiness]] associated with the SpecialAnnouncement. For example, a specific testing facility or business with special opening hours. For a larger geographic region like a quarantine of an entire region, use [[spatialCoverage]].
 *
 * https://schema.org/announcementLocation
 */
var announcementLocation = 'https://schema.org/announcementLocation';
/**
 * annualPercentageRate
 *
 * The annual rate that is charged for borrowing (or made by investing), expressed as a single percentage number that represents the actual yearly cost of funds over the term of a loan. This includes any fees or additional costs associated with the transaction.
 *
 * https://schema.org/annualPercentageRate
 */
var annualPercentageRate = 'https://schema.org/annualPercentageRate';
/**
 * answerCount
 *
 * The number of answers this question has received.
 *
 * https://schema.org/answerCount
 */
var answerCount = 'https://schema.org/answerCount';
/**
 * answerExplanation
 *
 * A step-by-step or full explanation about Answer. Can outline how this Answer was achieved or contain more broad clarification or statement about it.
 *
 * https://schema.org/answerExplanation
 */
var answerExplanation = 'https://schema.org/answerExplanation';
/**
 * antagonist
 *
 * The muscle whose action counteracts the specified muscle.
 *
 * https://schema.org/antagonist
 */
var antagonist = 'https://schema.org/antagonist';
/**
 * appearance
 *
 * Indicates an occurrence of a [[Claim]] in some [[CreativeWork]].
 *
 * https://schema.org/appearance
 */
var appearance = 'https://schema.org/appearance';
/**
 * applicableCountry
 *
 * A country where a particular merchant return policy applies to, for example the two-letter ISO 3166-1 alpha-2 country code.
 *
 * https://schema.org/applicableCountry
 */
var applicableCountry = 'https://schema.org/applicableCountry';
/**
 * applicableLocation
 *
 * The location in which the status applies.
 *
 * https://schema.org/applicableLocation
 */
var applicableLocation = 'https://schema.org/applicableLocation';
/**
 * applicantLocationRequirements
 *
 * The location(s) applicants can apply from. This is usually used for telecommuting jobs where the applicant does not need to be in a physical office. Note: This should not be used for citizenship or work visa requirements.
 *
 * https://schema.org/applicantLocationRequirements
 */
var applicantLocationRequirements = 'https://schema.org/applicantLocationRequirements';
/**
 * application
 *
 * An application that can complete the request.
 *
 * https://schema.org/application
 */
var application = 'https://schema.org/application';
/**
 * applicationCategory
 *
 * Type of software application, e.g. 'Game, Multimedia'.
 *
 * https://schema.org/applicationCategory
 */
var applicationCategory = 'https://schema.org/applicationCategory';
/**
 * applicationContact
 *
 * Contact details for further information relevant to this job posting.
 *
 * https://schema.org/applicationContact
 */
var applicationContact = 'https://schema.org/applicationContact';
/**
 * applicationDeadline
 *
 * The date on which the program stops collecting applications for the next enrollment cycle. Flexible application deadlines (for example, a program with rolling admissions) can be described in a textual string, rather than as a DateTime.
 *
 * https://schema.org/applicationDeadline
 */
var applicationDeadline = 'https://schema.org/applicationDeadline';
/**
 * applicationStartDate
 *
 * The date at which the program begins collecting applications for the next enrollment cycle.
 *
 * https://schema.org/applicationStartDate
 */
var applicationStartDate = 'https://schema.org/applicationStartDate';
/**
 * applicationSubCategory
 *
 * Subcategory of the application, e.g. 'Arcade Game'.
 *
 * https://schema.org/applicationSubCategory
 */
var applicationSubCategory = 'https://schema.org/applicationSubCategory';
/**
 * applicationSuite
 *
 * The name of the application suite to which the application belongs (e.g. Excel belongs to Office).
 *
 * https://schema.org/applicationSuite
 */
var applicationSuite = 'https://schema.org/applicationSuite';
/**
 * appliesToDeliveryMethod
 *
 * The delivery method(s) to which the delivery charge or payment charge specification applies.
 *
 * https://schema.org/appliesToDeliveryMethod
 */
var appliesToDeliveryMethod = 'https://schema.org/appliesToDeliveryMethod';
/**
 * appliesToPaymentMethod
 *
 * The payment method(s) to which the payment charge specification applies.
 *
 * https://schema.org/appliesToPaymentMethod
 */
var appliesToPaymentMethod = 'https://schema.org/appliesToPaymentMethod';
/**
 * archivedAt
 *
 * Indicates a page or other link involved in archival of a [[CreativeWork]]. In the case of [[MediaReview]], the items in a [[MediaReviewItem]] may often become inaccessible, but be archived by archival, journalistic, activist, or law enforcement organizations. In such cases, the referenced page may not directly publish the content.
 *
 * https://schema.org/archivedAt
 */
var archivedAt = 'https://schema.org/archivedAt';
/**
 * area
 *
 * The area within which users can expect to reach the broadcast service.
 *
 * https://schema.org/area
 */
var area = 'https://schema.org/area';
/**
 * arrivalAirport
 *
 * The airport where the flight terminates.
 *
 * https://schema.org/arrivalAirport
 */
var arrivalAirport = 'https://schema.org/arrivalAirport';
/**
 * arrivalBoatTerminal
 *
 * The terminal or port from which the boat arrives.
 *
 * https://schema.org/arrivalBoatTerminal
 */
var arrivalBoatTerminal = 'https://schema.org/arrivalBoatTerminal';
/**
 * arrivalBusStop
 *
 * The stop or station from which the bus arrives.
 *
 * https://schema.org/arrivalBusStop
 */
var arrivalBusStop = 'https://schema.org/arrivalBusStop';
/**
 * arrivalGate
 *
 * Identifier of the flight's arrival gate.
 *
 * https://schema.org/arrivalGate
 */
var arrivalGate = 'https://schema.org/arrivalGate';
/**
 * arrivalPlatform
 *
 * The platform where the train arrives.
 *
 * https://schema.org/arrivalPlatform
 */
var arrivalPlatform = 'https://schema.org/arrivalPlatform';
/**
 * arrivalStation
 *
 * The station where the train trip ends.
 *
 * https://schema.org/arrivalStation
 */
var arrivalStation = 'https://schema.org/arrivalStation';
/**
 * arrivalTerminal
 *
 * Identifier of the flight's arrival terminal.
 *
 * https://schema.org/arrivalTerminal
 */
var arrivalTerminal = 'https://schema.org/arrivalTerminal';
/**
 * arrivalTime
 *
 * The expected arrival time.
 *
 * https://schema.org/arrivalTime
 */
var arrivalTime = 'https://schema.org/arrivalTime';
/**
 * artEdition
 *
 * The number of copies when multiple copies of a piece of artwork are produced - e.g. for a limited edition of 20 prints, 'artEdition' refers to the total number of copies (in this example "20").
 *
 * https://schema.org/artEdition
 */
var artEdition = 'https://schema.org/artEdition';
/**
 * artMedium
 *
 * The material used. (E.g. Oil, Watercolour, Acrylic, Linoprint, Marble, Cyanotype, Digital, Lithograph, DryPoint, Intaglio, Pastel, Woodcut, Pencil, Mixed Media, etc.)
 *
 * https://schema.org/artMedium
 */
var artMedium = 'https://schema.org/artMedium';
/**
 * artform
 *
 * e.g. Painting, Drawing, Sculpture, Print, Photograph, Assemblage, Collage, etc.
 *
 * https://schema.org/artform
 */
var artform = 'https://schema.org/artform';
/**
 * articleBody
 *
 * The actual body of the article.
 *
 * https://schema.org/articleBody
 */
var articleBody = 'https://schema.org/articleBody';
/**
 * articleSection
 *
 * Articles may belong to one or more 'sections' in a magazine or newspaper, such as Sports, Lifestyle, etc.
 *
 * https://schema.org/articleSection
 */
var articleSection = 'https://schema.org/articleSection';
/**
 * artist
 *
 * The primary artist for a work
 *     	in a medium other than pencils or digital line art--for example, if the
 *     	primary artwork is done in watercolors or digital paints.
 *
 * https://schema.org/artist
 */
var artist = 'https://schema.org/artist';
/**
 * asin
 *
 * An Amazon Standard Identification Number (ASIN) is a 10-character alphanumeric unique identifier assigned by Amazon.com and its partners for product identification within the Amazon organization (summary from [Wikipedia](https://en.wikipedia.org/wiki/Amazon_Standard_Identification_Number)'s article).
 *
 * Note also that this is a definition for how to include ASINs in Schema.org data, and not a definition of ASINs in general - see documentation from Amazon for authoritative details.
 * ASINs are most commonly encoded as text strings, but the [asin] property supports URL/URI as potential values too.
 *
 * https://schema.org/asin
 */
var asin = 'https://schema.org/asin';
/**
 * aspect
 *
 * An aspect of medical practice that is considered on the page, such as 'diagnosis', 'treatment', 'causes', 'prognosis', 'etiology', 'epidemiology', etc.
 *
 * https://schema.org/aspect
 */
var aspect = 'https://schema.org/aspect';
/**
 * assembly
 *
 * Library file name, e.g., mscorlib.dll, system.web.dll.
 *
 * https://schema.org/assembly
 */
var assembly = 'https://schema.org/assembly';
/**
 * assemblyVersion
 *
 * Associated product/technology version. E.g., .NET Framework 4.5.
 *
 * https://schema.org/assemblyVersion
 */
var assemblyVersion = 'https://schema.org/assemblyVersion';
/**
 * assesses
 *
 * The item being described is intended to assess the competency or learning outcome defined by the referenced term.
 *
 * https://schema.org/assesses
 */
var assesses = 'https://schema.org/assesses';
/**
 * associatedAnatomy
 *
 * The anatomy of the underlying organ system or structures associated with this entity.
 *
 * https://schema.org/associatedAnatomy
 */
var associatedAnatomy = 'https://schema.org/associatedAnatomy';
/**
 * associatedArticle
 *
 * A NewsArticle associated with the Media Object.
 *
 * https://schema.org/associatedArticle
 */
var associatedArticle = 'https://schema.org/associatedArticle';
/**
 * associatedClaimReview
 *
 * An associated [[ClaimReview]], related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case [[relatedMediaReview]] would commonly be used on a [[ClaimReview]], while [[relatedClaimReview]] would be used on [[MediaReview]].
 *
 * https://schema.org/associatedClaimReview
 */
var associatedClaimReview = 'https://schema.org/associatedClaimReview';
/**
 * associatedDisease
 *
 * Disease associated to this BioChemEntity. Such disease can be a MedicalCondition or a URL. If you want to add an evidence supporting the association, please use PropertyValue.
 *
 * https://schema.org/associatedDisease
 */
var associatedDisease = 'https://schema.org/associatedDisease';
/**
 * associatedMedia
 *
 * A media object that encodes this CreativeWork. This property is a synonym for encoding.
 *
 * https://schema.org/associatedMedia
 */
var associatedMedia = 'https://schema.org/associatedMedia';
/**
 * associatedMediaReview
 *
 * An associated [[MediaReview]], related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case [[relatedMediaReview]] would commonly be used on a [[ClaimReview]], while [[relatedClaimReview]] would be used on [[MediaReview]].
 *
 * https://schema.org/associatedMediaReview
 */
var associatedMediaReview = 'https://schema.org/associatedMediaReview';
/**
 * associatedPathophysiology
 *
 * If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.
 *
 * https://schema.org/associatedPathophysiology
 */
var associatedPathophysiology = 'https://schema.org/associatedPathophysiology';
/**
 * athlete
 *
 * A person that acts as performing member of a sports team; a player as opposed to a coach.
 *
 * https://schema.org/athlete
 */
var athlete = 'https://schema.org/athlete';
/**
 * attendees
 *
 * A person attending the event.
 *
 * https://schema.org/attendees
 */
var attendees = 'https://schema.org/attendees';
/**
 * audienceType
 *
 * The target group associated with a given audience (e.g. veterans, car owners, musicians, etc.).
 *
 * https://schema.org/audienceType
 */
var audienceType = 'https://schema.org/audienceType';
/**
 * audio
 *
 * An embedded audio object.
 *
 * https://schema.org/audio
 */
var audio = 'https://schema.org/audio';
/**
 * auditDate
 *
 * Date when a certification was last audited. See also  [gs1:certificationAuditDate](https://www.gs1.org/voc/certificationAuditDate).
 *
 * https://schema.org/auditDate
 */
var auditDate = 'https://schema.org/auditDate';
/**
 * authenticator
 *
 * The Organization responsible for authenticating the user's subscription. For example, many media apps require a cable/satellite provider to authenticate your subscription before playing media.
 *
 * https://schema.org/authenticator
 */
var authenticator = 'https://schema.org/authenticator';
/**
 * author
 *
 * The author of this content or rating. Please note that author is special in that HTML 5 provides a special mechanism for indicating authorship via the rel tag. That is equivalent to this and may be used interchangeably.
 *
 * https://schema.org/author
 */
var author = 'https://schema.org/author';
/**
 * availability
 *
 * The availability of this item&#x2014;for example In stock, Out of stock, Pre-order, etc.
 *
 * https://schema.org/availability
 */
var availability = 'https://schema.org/availability';
/**
 * availabilityEnds
 *
 * The end of the availability of the product or service included in the offer.
 *
 * https://schema.org/availabilityEnds
 */
var availabilityEnds = 'https://schema.org/availabilityEnds';
/**
 * availabilityStarts
 *
 * The beginning of the availability of the product or service included in the offer.
 *
 * https://schema.org/availabilityStarts
 */
var availabilityStarts = 'https://schema.org/availabilityStarts';
/**
 * availableAtOrFrom
 *
 * The place(s) from which the offer can be obtained (e.g. store locations).
 *
 * https://schema.org/availableAtOrFrom
 */
var availableAtOrFrom = 'https://schema.org/availableAtOrFrom';
/**
 * availableChannel
 *
 * A means of accessing the service (e.g. a phone bank, a web site, a location, etc.).
 *
 * https://schema.org/availableChannel
 */
var availableChannel = 'https://schema.org/availableChannel';
/**
 * availableDeliveryMethod
 *
 * The delivery method(s) available for this offer.
 *
 * https://schema.org/availableDeliveryMethod
 */
var availableDeliveryMethod = 'https://schema.org/availableDeliveryMethod';
/**
 * availableFrom
 *
 * When the item is available for pickup from the store, locker, etc.
 *
 * https://schema.org/availableFrom
 */
var availableFrom = 'https://schema.org/availableFrom';
/**
 * availableIn
 *
 * The location in which the strength is available.
 *
 * https://schema.org/availableIn
 */
var availableIn = 'https://schema.org/availableIn';
/**
 * availableLanguage
 *
 * A language someone may use with or at the item, service or place. Please use one of the language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47). See also [[inLanguage]].
 *
 * https://schema.org/availableLanguage
 */
var availableLanguage = 'https://schema.org/availableLanguage';
/**
 * availableService
 *
 * A medical service available from this provider.
 *
 * https://schema.org/availableService
 */
var availableService = 'https://schema.org/availableService';
/**
 * availableStrength
 *
 * An available dosage strength for the drug.
 *
 * https://schema.org/availableStrength
 */
var availableStrength = 'https://schema.org/availableStrength';
/**
 * availableTest
 *
 * A diagnostic test or procedure offered by this lab.
 *
 * https://schema.org/availableTest
 */
var availableTest = 'https://schema.org/availableTest';
/**
 * availableThrough
 *
 * After this date, the item will no longer be available for pickup.
 *
 * https://schema.org/availableThrough
 */
var availableThrough = 'https://schema.org/availableThrough';
/**
 * awards
 *
 * Awards won by or for this item.
 *
 * https://schema.org/awards
 */
var awards = 'https://schema.org/awards';
/**
 * awayTeam
 *
 * The away team in a sports event.
 *
 * https://schema.org/awayTeam
 */
var awayTeam = 'https://schema.org/awayTeam';
/**
 * backstory
 *
 * For an [[Article]], typically a [[NewsArticle]], the backstory property provides a textual summary giving a brief explanation of why and how an article was created. In a journalistic setting this could include information about reporting process, methods, interviews, data sources, etc.
 *
 * https://schema.org/backstory
 */
var backstory = 'https://schema.org/backstory';
/**
 * bankAccountType
 *
 * The type of a bank account.
 *
 * https://schema.org/bankAccountType
 */
var bankAccountType = 'https://schema.org/bankAccountType';
/**
 * baseSalary
 *
 * The base salary of the job or of an employee in an EmployeeRole.
 *
 * https://schema.org/baseSalary
 */
var baseSalary = 'https://schema.org/baseSalary';
/**
 * bccRecipient
 *
 * A sub property of recipient. The recipient blind copied on a message.
 *
 * https://schema.org/bccRecipient
 */
var bccRecipient = 'https://schema.org/bccRecipient';
/**
 * bed
 *
 * The type of bed or beds included in the accommodation. For the single case of just one bed of a certain type, you use bed directly with a text.
 *       If you want to indicate the quantity of a certain kind of bed, use an instance of BedDetails. For more detailed information, use the amenityFeature property.
 *
 * https://schema.org/bed
 */
var bed = 'https://schema.org/bed';
/**
 * beforeMedia
 *
 * A media object representing the circumstances before performing this direction.
 *
 * https://schema.org/beforeMedia
 */
var beforeMedia = 'https://schema.org/beforeMedia';
/**
 * beneficiaryBank
 *
 * A bank or bank’s branch, financial institution or international financial institution operating the beneficiary’s bank account or releasing funds for the beneficiary.
 *
 * https://schema.org/beneficiaryBank
 */
var beneficiaryBank = 'https://schema.org/beneficiaryBank';
/**
 * benefits
 *
 * Description of benefits associated with the job.
 *
 * https://schema.org/benefits
 */
var benefits = 'https://schema.org/benefits';
/**
 * benefitsSummaryUrl
 *
 * The URL that goes directly to the summary of benefits and coverage for the specific standard plan or plan variation.
 *
 * https://schema.org/benefitsSummaryUrl
 */
var benefitsSummaryUrl = 'https://schema.org/benefitsSummaryUrl';
/**
 * bestRating
 *
 * The highest value allowed in this rating system.
 *
 * https://schema.org/bestRating
 */
var bestRating = 'https://schema.org/bestRating';
/**
 * billingAddress
 *
 * The billing address for the order.
 *
 * https://schema.org/billingAddress
 */
var billingAddress = 'https://schema.org/billingAddress';
/**
 * billingDuration
 *
 * Specifies for how long this price (or price component) will be billed. Can be used, for example, to model the contractual duration of a subscription or payment plan. Type can be either a Duration or a Number (in which case the unit of measurement, for example month, is specified by the unitCode property).
 *
 * https://schema.org/billingDuration
 */
var billingDuration = 'https://schema.org/billingDuration';
/**
 * billingIncrement
 *
 * This property specifies the minimal quantity and rounding increment that will be the basis for the billing. The unit of measurement is specified by the unitCode property.
 *
 * https://schema.org/billingIncrement
 */
var billingIncrement = 'https://schema.org/billingIncrement';
/**
 * billingPeriod
 *
 * The time interval used to compute the invoice.
 *
 * https://schema.org/billingPeriod
 */
var billingPeriod = 'https://schema.org/billingPeriod';
/**
 * billingStart
 *
 * Specifies after how much time this price (or price component) becomes valid and billing starts. Can be used, for example, to model a price increase after the first year of a subscription. The unit of measurement is specified by the unitCode property.
 *
 * https://schema.org/billingStart
 */
var billingStart = 'https://schema.org/billingStart';
/**
 * bioChemInteraction
 *
 * A BioChemEntity that is known to interact with this item.
 *
 * https://schema.org/bioChemInteraction
 */
var bioChemInteraction = 'https://schema.org/bioChemInteraction';
/**
 * bioChemSimilarity
 *
 * A similar BioChemEntity, e.g., obtained by fingerprint similarity algorithms.
 *
 * https://schema.org/bioChemSimilarity
 */
var bioChemSimilarity = 'https://schema.org/bioChemSimilarity';
/**
 * biologicalRole
 *
 * A role played by the BioChemEntity within a biological context.
 *
 * https://schema.org/biologicalRole
 */
var biologicalRole = 'https://schema.org/biologicalRole';
/**
 * biomechnicalClass
 *
 * The biomechanical properties of the bone.
 *
 * https://schema.org/biomechnicalClass
 */
var biomechnicalClass = 'https://schema.org/biomechnicalClass';
/**
 * birthDate
 *
 * Date of birth.
 *
 * https://schema.org/birthDate
 */
var birthDate = 'https://schema.org/birthDate';
/**
 * birthPlace
 *
 * The place where the person was born.
 *
 * https://schema.org/birthPlace
 */
var birthPlace = 'https://schema.org/birthPlace';
/**
 * bitrate
 *
 * The bitrate of the media object.
 *
 * https://schema.org/bitrate
 */
var bitrate = 'https://schema.org/bitrate';
/**
 * blogPosts
 *
 * Indicates a post that is part of a [[Blog]]. Note that historically, what we term a "Blog" was once known as a "weblog", and that what we term a "BlogPosting" is now often colloquially referred to as a "blog".
 *
 * https://schema.org/blogPosts
 */
var blogPosts = 'https://schema.org/blogPosts';
/**
 * bloodSupply
 *
 * The blood vessel that carries blood from the heart to the muscle.
 *
 * https://schema.org/bloodSupply
 */
var bloodSupply = 'https://schema.org/bloodSupply';
/**
 * boardingGroup
 *
 * The airline-specific indicator of boarding order / preference.
 *
 * https://schema.org/boardingGroup
 */
var boardingGroup = 'https://schema.org/boardingGroup';
/**
 * boardingPolicy
 *
 * The type of boarding policy used by the airline (e.g. zone-based or group-based).
 *
 * https://schema.org/boardingPolicy
 */
var boardingPolicy = 'https://schema.org/boardingPolicy';
/**
 * bodyLocation
 *
 * Location in the body of the anatomical structure.
 *
 * https://schema.org/bodyLocation
 */
var bodyLocation = 'https://schema.org/bodyLocation';
/**
 * bodyType
 *
 * Indicates the design and body style of the vehicle (e.g. station wagon, hatchback, etc.).
 *
 * https://schema.org/bodyType
 */
var bodyType = 'https://schema.org/bodyType';
/**
 * bookEdition
 *
 * The edition of the book.
 *
 * https://schema.org/bookEdition
 */
var bookEdition = 'https://schema.org/bookEdition';
/**
 * bookFormat
 *
 * The format of the book.
 *
 * https://schema.org/bookFormat
 */
var bookFormat = 'https://schema.org/bookFormat';
/**
 * bookingAgent
 *
 * 'bookingAgent' is an out-dated term indicating a 'broker' that serves as a booking agent.
 *
 * https://schema.org/bookingAgent
 */
var bookingAgent = 'https://schema.org/bookingAgent';
/**
 * bookingTime
 *
 * The date and time the reservation was booked.
 *
 * https://schema.org/bookingTime
 */
var bookingTime = 'https://schema.org/bookingTime';
/**
 * borrower
 *
 * A sub property of participant. The person that borrows the object being lent.
 *
 * https://schema.org/borrower
 */
var borrower = 'https://schema.org/borrower';
/**
 * box
 *
 * A box is the area enclosed by the rectangle formed by two points. The first point is the lower corner, the second point is the upper corner. A box is expressed as two points separated by a space character.
 *
 * https://schema.org/box
 */
var box = 'https://schema.org/box';
/**
 * branch
 *
 * The branches that delineate from the nerve bundle. Not to be confused with [[branchOf]].
 *
 * https://schema.org/branch
 */
var branch = 'https://schema.org/branch';
/**
 * branchCode
 *
 * A short textual code (also called "store code") that uniquely identifies a place of business. The code is typically assigned by the parentOrganization and used in structured URLs.\n\nFor example, in the URL http://www.starbucks.co.uk/store-locator/etc/detail/3047 the code "3047" is a branchCode for a particular branch.
 *
 *
 * https://schema.org/branchCode
 */
var branchCode = 'https://schema.org/branchCode';
/**
 * branchOf
 *
 * The larger organization that this local business is a branch of, if any. Not to be confused with (anatomical) [[branch]].
 *
 * https://schema.org/branchOf
 */
var branchOf = 'https://schema.org/branchOf';
/**
 * brand
 *
 * The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.
 *
 * https://schema.org/brand
 */
var brand = 'https://schema.org/brand';
/**
 * breadcrumb
 *
 * A set of links that can help a user understand and navigate a website hierarchy.
 *
 * https://schema.org/breadcrumb
 */
var breadcrumb = 'https://schema.org/breadcrumb';
/**
 * breastfeedingWarning
 *
 * Any precaution, guidance, contraindication, etc. related to this drug's use by breastfeeding mothers.
 *
 * https://schema.org/breastfeedingWarning
 */
var breastfeedingWarning = 'https://schema.org/breastfeedingWarning';
/**
 * broadcastAffiliateOf
 *
 * The media network(s) whose content is broadcast on this station.
 *
 * https://schema.org/broadcastAffiliateOf
 */
var broadcastAffiliateOf = 'https://schema.org/broadcastAffiliateOf';
/**
 * broadcastChannelId
 *
 * The unique address by which the BroadcastService can be identified in a provider lineup. In US, this is typically a number.
 *
 * https://schema.org/broadcastChannelId
 */
var broadcastChannelId = 'https://schema.org/broadcastChannelId';
/**
 * broadcastDisplayName
 *
 * The name displayed in the channel guide. For many US affiliates, it is the network name.
 *
 * https://schema.org/broadcastDisplayName
 */
var broadcastDisplayName = 'https://schema.org/broadcastDisplayName';
/**
 * broadcastFrequency
 *
 * The frequency used for over-the-air broadcasts. Numeric values or simple ranges, e.g. 87-99. In addition a shortcut idiom is supported for frequencies of AM and FM radio channels, e.g. "87 FM".
 *
 * https://schema.org/broadcastFrequency
 */
var broadcastFrequency = 'https://schema.org/broadcastFrequency';
/**
 * broadcastFrequencyValue
 *
 * The frequency in MHz for a particular broadcast.
 *
 * https://schema.org/broadcastFrequencyValue
 */
var broadcastFrequencyValue = 'https://schema.org/broadcastFrequencyValue';
/**
 * broadcastOfEvent
 *
 * The event being broadcast such as a sporting event or awards ceremony.
 *
 * https://schema.org/broadcastOfEvent
 */
var broadcastOfEvent = 'https://schema.org/broadcastOfEvent';
/**
 * broadcastServiceTier
 *
 * The type of service required to have access to the channel (e.g. Standard or Premium).
 *
 * https://schema.org/broadcastServiceTier
 */
var broadcastServiceTier = 'https://schema.org/broadcastServiceTier';
/**
 * broadcastSignalModulation
 *
 * The modulation (e.g. FM, AM, etc) used by a particular broadcast service.
 *
 * https://schema.org/broadcastSignalModulation
 */
var broadcastSignalModulation = 'https://schema.org/broadcastSignalModulation';
/**
 * broadcastSubChannel
 *
 * The subchannel used for the broadcast.
 *
 * https://schema.org/broadcastSubChannel
 */
var broadcastSubChannel = 'https://schema.org/broadcastSubChannel';
/**
 * broadcastTimezone
 *
 * The timezone in [ISO 8601 format](http://en.wikipedia.org/wiki/ISO_8601) for which the service bases its broadcasts.
 *
 * https://schema.org/broadcastTimezone
 */
var broadcastTimezone = 'https://schema.org/broadcastTimezone';
/**
 * broadcaster
 *
 * The organization owning or operating the broadcast service.
 *
 * https://schema.org/broadcaster
 */
var broadcaster = 'https://schema.org/broadcaster';
/**
 * browserRequirements
 *
 * Specifies browser requirements in human-readable text. For example, 'requires HTML5 support'.
 *
 * https://schema.org/browserRequirements
 */
var browserRequirements = 'https://schema.org/browserRequirements';
/**
 * busName
 *
 * The name of the bus (e.g. Bolt Express).
 *
 * https://schema.org/busName
 */
var busName = 'https://schema.org/busName';
/**
 * busNumber
 *
 * The unique identifier for the bus.
 *
 * https://schema.org/busNumber
 */
var busNumber = 'https://schema.org/busNumber';
/**
 * businessDays
 *
 * Days of the week when the merchant typically operates, indicated via opening hours markup.
 *
 * https://schema.org/businessDays
 */
var businessDays = 'https://schema.org/businessDays';
/**
 * businessFunction
 *
 * The business function (e.g. sell, lease, repair, dispose) of the offer or component of a bundle (TypeAndQuantityNode). The default is http://purl.org/goodrelations/v1#Sell.
 *
 * https://schema.org/businessFunction
 */
var businessFunction = 'https://schema.org/businessFunction';
/**
 * buyer
 *
 * A sub property of participant. The participant/person/organization that bought the object.
 *
 * https://schema.org/buyer
 */
var buyer = 'https://schema.org/buyer';
/**
 * byArtist
 *
 * The artist that performed this album or recording.
 *
 * https://schema.org/byArtist
 */
var byArtist = 'https://schema.org/byArtist';
/**
 * byDay
 *
 * Defines the day(s) of the week on which a recurring [[Event]] takes place. May be specified using either [[DayOfWeek]], or alternatively [[Text]] conforming to iCal's syntax for byDay recurrence rules.
 *
 * https://schema.org/byDay
 */
var byDay = 'https://schema.org/byDay';
/**
 * byMonth
 *
 * Defines the month(s) of the year on which a recurring [[Event]] takes place. Specified as an [[Integer]] between 1-12. January is 1.
 *
 * https://schema.org/byMonth
 */
var byMonth = 'https://schema.org/byMonth';
/**
 * byMonthDay
 *
 * Defines the day(s) of the month on which a recurring [[Event]] takes place. Specified as an [[Integer]] between 1-31.
 *
 * https://schema.org/byMonthDay
 */
var byMonthDay = 'https://schema.org/byMonthDay';
/**
 * byMonthWeek
 *
 * Defines the week(s) of the month on which a recurring Event takes place. Specified as an Integer between 1-5. For clarity, byMonthWeek is best used in conjunction with byDay to indicate concepts like the first and third Mondays of a month.
 *
 * https://schema.org/byMonthWeek
 */
var byMonthWeek = 'https://schema.org/byMonthWeek';
/**
 * callSign
 *
 * A [callsign](https://en.wikipedia.org/wiki/Call_sign), as used in broadcasting and radio communications to identify people, radio and TV stations, or vehicles.
 *
 * https://schema.org/callSign
 */
var callSign = 'https://schema.org/callSign';
/**
 * calories
 *
 * The number of calories.
 *
 * https://schema.org/calories
 */
var calories = 'https://schema.org/calories';
/**
 * candidate
 *
 * A sub property of object. The candidate subject of this action.
 *
 * https://schema.org/candidate
 */
var candidate = 'https://schema.org/candidate';
/**
 * carbohydrateContent
 *
 * The number of grams of carbohydrates.
 *
 * https://schema.org/carbohydrateContent
 */
var carbohydrateContent = 'https://schema.org/carbohydrateContent';
/**
 * cargoVolume
 *
 * The available volume for cargo or luggage. For automobiles, this is usually the trunk volume.\n\nTypical unit code(s): LTR for liters, FTQ for cubic foot/feet\n\nNote: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/cargoVolume
 */
var cargoVolume = 'https://schema.org/cargoVolume';
/**
 * carrier
 *
 * 'carrier' is an out-dated term indicating the 'provider' for parcel delivery and flights.
 *
 * https://schema.org/carrier
 */
var carrier = 'https://schema.org/carrier';
/**
 * carrierRequirements
 *
 * Specifies specific carrier(s) requirements for the application (e.g. an application may only work on a specific carrier network).
 *
 * https://schema.org/carrierRequirements
 */
var carrierRequirements = 'https://schema.org/carrierRequirements';
/**
 * cashBack
 *
 * A cardholder benefit that pays the cardholder a small percentage of their net expenditures.
 *
 * https://schema.org/cashBack
 */
var cashBack = 'https://schema.org/cashBack';
/**
 * catalog
 *
 * A data catalog which contains this dataset.
 *
 * https://schema.org/catalog
 */
var catalog = 'https://schema.org/catalog';
/**
 * catalogNumber
 *
 * The catalog number for the release.
 *
 * https://schema.org/catalogNumber
 */
var catalogNumber = 'https://schema.org/catalogNumber';
/**
 * causeOf
 *
 * The condition, complication, symptom, sign, etc. caused.
 *
 * https://schema.org/causeOf
 */
var causeOf = 'https://schema.org/causeOf';
/**
 * ccRecipient
 *
 * A sub property of recipient. The recipient copied on a message.
 *
 * https://schema.org/ccRecipient
 */
var ccRecipient = 'https://schema.org/ccRecipient';
/**
 * certificationIdentification
 *
 * Identifier of a certification instance (as registered with an independent certification body). Typically this identifier can be used to consult and verify the certification instance. See also [gs1:certificationIdentification](https://www.gs1.org/voc/certificationIdentification).
 *
 * https://schema.org/certificationIdentification
 */
var certificationIdentification = 'https://schema.org/certificationIdentification';
/**
 * certificationRating
 *
 * Rating of a certification instance (as defined by an independent certification body). Typically this rating can be used to rate the level to which the requirements of the certification instance are fulfilled. See also [gs1:certificationValue](https://www.gs1.org/voc/certificationValue).
 *
 * https://schema.org/certificationRating
 */
var certificationRating = 'https://schema.org/certificationRating';
/**
 * certificationStatus
 *
 * Indicates the current status of a certification: active or inactive. See also  [gs1:certificationStatus](https://www.gs1.org/voc/certificationStatus).
 *
 * https://schema.org/certificationStatus
 */
var certificationStatus = 'https://schema.org/certificationStatus';
/**
 * character
 *
 * Fictional person connected with a creative work.
 *
 * https://schema.org/character
 */
var character = 'https://schema.org/character';
/**
 * characterAttribute
 *
 * A piece of data that represents a particular aspect of a fictional character (skill, power, character points, advantage, disadvantage).
 *
 * https://schema.org/characterAttribute
 */
var characterAttribute = 'https://schema.org/characterAttribute';
/**
 * characterName
 *
 * The name of a character played in some acting or performing role, i.e. in a PerformanceRole.
 *
 * https://schema.org/characterName
 */
var characterName = 'https://schema.org/characterName';
/**
 * cheatCode
 *
 * Cheat codes to the game.
 *
 * https://schema.org/cheatCode
 */
var cheatCode = 'https://schema.org/cheatCode';
/**
 * checkinTime
 *
 * The earliest someone may check into a lodging establishment.
 *
 * https://schema.org/checkinTime
 */
var checkinTime = 'https://schema.org/checkinTime';
/**
 * checkoutPageURLTemplate
 *
 * A URL template (RFC 6570) for a checkout page for an offer. This approach allows merchants to specify a URL for online checkout of the offered product, by interpolating parameters such as the logged in user ID, product ID, quantity, discount code etc. Parameter naming and standardization are not specified here.
 *
 * https://schema.org/checkoutPageURLTemplate
 */
var checkoutPageURLTemplate = 'https://schema.org/checkoutPageURLTemplate';
/**
 * checkoutTime
 *
 * The latest someone may check out of a lodging establishment.
 *
 * https://schema.org/checkoutTime
 */
var checkoutTime = 'https://schema.org/checkoutTime';
/**
 * chemicalComposition
 *
 * The chemical composition describes the identity and relative ratio of the chemical elements that make up the substance.
 *
 * https://schema.org/chemicalComposition
 */
var chemicalComposition = 'https://schema.org/chemicalComposition';
/**
 * chemicalRole
 *
 * A role played by the BioChemEntity within a chemical context.
 *
 * https://schema.org/chemicalRole
 */
var chemicalRole = 'https://schema.org/chemicalRole';
/**
 * childMaxAge
 *
 * Maximal age of the child.
 *
 * https://schema.org/childMaxAge
 */
var childMaxAge = 'https://schema.org/childMaxAge';
/**
 * childMinAge
 *
 * Minimal age of the child.
 *
 * https://schema.org/childMinAge
 */
var childMinAge = 'https://schema.org/childMinAge';
/**
 * children
 *
 * A child of the person.
 *
 * https://schema.org/children
 */
var children = 'https://schema.org/children';
/**
 * cholesterolContent
 *
 * The number of milligrams of cholesterol.
 *
 * https://schema.org/cholesterolContent
 */
var cholesterolContent = 'https://schema.org/cholesterolContent';
/**
 * circle
 *
 * A circle is the circular region of a specified radius centered at a specified latitude and longitude. A circle is expressed as a pair followed by a radius in meters.
 *
 * https://schema.org/circle
 */
var circle = 'https://schema.org/circle';
/**
 * citation
 *
 * A citation or reference to another creative work, such as another publication, web page, scholarly article, etc.
 *
 * https://schema.org/citation
 */
var citation = 'https://schema.org/citation';
/**
 * claimInterpreter
 *
 * For a [[Claim]] interpreted from [[MediaObject]] content, the [[interpretedAsClaim]] property can be used to indicate a claim contained, implied or refined from the content of a [[MediaObject]].
 *
 * https://schema.org/claimInterpreter
 */
var claimInterpreter = 'https://schema.org/claimInterpreter';
/**
 * claimReviewed
 *
 * A short summary of the specific claims reviewed in a ClaimReview.
 *
 * https://schema.org/claimReviewed
 */
var claimReviewed = 'https://schema.org/claimReviewed';
/**
 * clincalPharmacology
 *
 * Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).
 *
 * https://schema.org/clincalPharmacology
 */
var clincalPharmacology = 'https://schema.org/clincalPharmacology';
/**
 * clipNumber
 *
 * Position of the clip within an ordered group of clips.
 *
 * https://schema.org/clipNumber
 */
var clipNumber = 'https://schema.org/clipNumber';
/**
 * closes
 *
 * The closing hour of the place or service on the given day(s) of the week.
 *
 * https://schema.org/closes
 */
var closes = 'https://schema.org/closes';
/**
 * coach
 *
 * A person that acts in a coaching role for a sports team.
 *
 * https://schema.org/coach
 */
var coach = 'https://schema.org/coach';
/**
 * code
 *
 * A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.
 *
 * https://schema.org/code
 */
var code = 'https://schema.org/code';
/**
 * codeRepository
 *
 * Link to the repository where the un-compiled, human readable code and related code is located (SVN, GitHub, CodePlex).
 *
 * https://schema.org/codeRepository
 */
var codeRepository = 'https://schema.org/codeRepository';
/**
 * codeValue
 *
 * A short textual code that uniquely identifies the value.
 *
 * https://schema.org/codeValue
 */
var codeValue = 'https://schema.org/codeValue';
/**
 * codingSystem
 *
 * The coding system, e.g. 'ICD-10'.
 *
 * https://schema.org/codingSystem
 */
var codingSystem = 'https://schema.org/codingSystem';
/**
 * colleagues
 *
 * A colleague of the person.
 *
 * https://schema.org/colleagues
 */
var colleagues = 'https://schema.org/colleagues';
/**
 * collection
 *
 * A sub property of object. The collection target of the action.
 *
 * https://schema.org/collection
 */
var collection = 'https://schema.org/collection';
/**
 * https://schema.org/collectionSize
 */
var collectionSize = 'https://schema.org/collectionSize';
/**
 * color
 *
 * The color of the product.
 *
 * https://schema.org/color
 */
var color = 'https://schema.org/color';
/**
 * colorSwatch
 *
 * A color swatch image, visualizing the color of a [[Product]]. Should match the textual description specified in the [[color]] property. This can be a URL or a fully described ImageObject.
 *
 * https://schema.org/colorSwatch
 */
var colorSwatch = 'https://schema.org/colorSwatch';
/**
 * colorist
 *
 * The individual who adds color to inked drawings.
 *
 * https://schema.org/colorist
 */
var colorist = 'https://schema.org/colorist';
/**
 * comment
 *
 * Comments, typically from users.
 *
 * https://schema.org/comment
 */
var comment = 'https://schema.org/comment';
/**
 * commentCount
 *
 * The number of comments this CreativeWork (e.g. Article, Question or Answer) has received. This is most applicable to works published in Web sites with commenting system; additional comments may exist elsewhere.
 *
 * https://schema.org/commentCount
 */
var commentCount = 'https://schema.org/commentCount';
/**
 * commentText
 *
 * The text of the UserComment.
 *
 * https://schema.org/commentText
 */
var commentText = 'https://schema.org/commentText';
/**
 * commentTime
 *
 * The time at which the UserComment was made.
 *
 * https://schema.org/commentTime
 */
var commentTime = 'https://schema.org/commentTime';
/**
 * companyRegistration
 *
 * The official registration number of a business including the organization that issued it such as Company House or Chamber of Commerce.
 *
 * https://schema.org/companyRegistration
 */
var companyRegistration = 'https://schema.org/companyRegistration';
/**
 * competencyRequired
 *
 * Knowledge, skill, ability or personal attribute that must be demonstrated by a person or other entity in order to do something such as earn an Educational Occupational Credential or understand a LearningResource.
 *
 * https://schema.org/competencyRequired
 */
var competencyRequired = 'https://schema.org/competencyRequired';
/**
 * composer
 *
 * The person or organization who wrote a composition, or who is the composer of a work performed at some event.
 *
 * https://schema.org/composer
 */
var composer = 'https://schema.org/composer';
/**
 * comprisedOf
 *
 * Specifying something physically contained by something else. Typically used here for the underlying anatomical structures, such as organs, that comprise the anatomical system.
 *
 * https://schema.org/comprisedOf
 */
var comprisedOf = 'https://schema.org/comprisedOf';
/**
 * conditionsOfAccess
 *
 * Conditions that affect the availability of, or method(s) of access to, an item. Typically used for real world items such as an [[ArchiveComponent]] held by an [[ArchiveOrganization]]. This property is not suitable for use as a general Web access control mechanism. It is expressed only in natural language.\n\nFor example "Available by appointment from the Reading Room" or "Accessible only from logged-in accounts ".
 *
 * https://schema.org/conditionsOfAccess
 */
var conditionsOfAccess = 'https://schema.org/conditionsOfAccess';
/**
 * confirmationNumber
 *
 * A number that confirms the given order or payment has been received.
 *
 * https://schema.org/confirmationNumber
 */
var confirmationNumber = 'https://schema.org/confirmationNumber';
/**
 * connectedTo
 *
 * Other anatomical structures to which this structure is connected.
 *
 * https://schema.org/connectedTo
 */
var connectedTo = 'https://schema.org/connectedTo';
/**
 * constraintProperty
 *
 * Indicates a property used as a constraint. For example, in the definition of a [[StatisticalVariable]]. The value is a property, either from within Schema.org or from other compatible (e.g. RDF) systems such as DataCommons.org or Wikidata.org.
 *
 * https://schema.org/constraintProperty
 */
var constraintProperty = 'https://schema.org/constraintProperty';
/**
 * contactOption
 *
 * An option available on this contact point (e.g. a toll-free number or support for hearing-impaired callers).
 *
 * https://schema.org/contactOption
 */
var contactOption = 'https://schema.org/contactOption';
/**
 * contactPoints
 *
 * A contact point for a person or organization.
 *
 * https://schema.org/contactPoints
 */
var contactPoints = 'https://schema.org/contactPoints';
/**
 * contactType
 *
 * A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.
 *
 * https://schema.org/contactType
 */
var contactType = 'https://schema.org/contactType';
/**
 * contactlessPayment
 *
 * A secure method for consumers to purchase products or services via debit, credit or smartcards by using RFID or NFC technology.
 *
 * https://schema.org/contactlessPayment
 */
var contactlessPayment = 'https://schema.org/contactlessPayment';
/**
 * containedIn
 *
 * The basic containment relation between a place and one that contains it.
 *
 * https://schema.org/containedIn
 */
var containedIn = 'https://schema.org/containedIn';
/**
 * contentRating
 *
 * Official rating of a piece of content&#x2014;for example, 'MPAA PG-13'.
 *
 * https://schema.org/contentRating
 */
var contentRating = 'https://schema.org/contentRating';
/**
 * contentReferenceTime
 *
 * The specific time described by a creative work, for works (e.g. articles, video objects etc.) that emphasise a particular moment within an Event.
 *
 * https://schema.org/contentReferenceTime
 */
var contentReferenceTime = 'https://schema.org/contentReferenceTime';
/**
 * contentSize
 *
 * File size in (mega/kilo)bytes.
 *
 * https://schema.org/contentSize
 */
var contentSize = 'https://schema.org/contentSize';
/**
 * contentType
 *
 * The supported content type(s) for an EntryPoint response.
 *
 * https://schema.org/contentType
 */
var contentType = 'https://schema.org/contentType';
/**
 * contentUrl
 *
 * Actual bytes of the media object, for example the image file or video file.
 *
 * https://schema.org/contentUrl
 */
var contentUrl = 'https://schema.org/contentUrl';
/**
 * contraindication
 *
 * A contraindication for this therapy.
 *
 * https://schema.org/contraindication
 */
var contraindication = 'https://schema.org/contraindication';
/**
 * contributor
 *
 * A secondary contributor to the CreativeWork or Event.
 *
 * https://schema.org/contributor
 */
var contributor = 'https://schema.org/contributor';
/**
 * cookTime
 *
 * The time it takes to actually cook the dish, in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * https://schema.org/cookTime
 */
var cookTime = 'https://schema.org/cookTime';
/**
 * cookingMethod
 *
 * The method of cooking, such as Frying, Steaming, ...
 *
 * https://schema.org/cookingMethod
 */
var cookingMethod = 'https://schema.org/cookingMethod';
/**
 * copyrightHolder
 *
 * The party holding the legal copyright to the CreativeWork.
 *
 * https://schema.org/copyrightHolder
 */
var copyrightHolder = 'https://schema.org/copyrightHolder';
/**
 * copyrightNotice
 *
 * Text of a notice appropriate for describing the copyright aspects of this Creative Work, ideally indicating the owner of the copyright for the Work.
 *
 * https://schema.org/copyrightNotice
 */
var copyrightNotice = 'https://schema.org/copyrightNotice';
/**
 * copyrightYear
 *
 * The year during which the claimed copyright for the CreativeWork was first asserted.
 *
 * https://schema.org/copyrightYear
 */
var copyrightYear = 'https://schema.org/copyrightYear';
/**
 * correction
 *
 * Indicates a correction to a [[CreativeWork]], either via a [[CorrectionComment]], textually or in another document.
 *
 * https://schema.org/correction
 */
var correction = 'https://schema.org/correction';
/**
 * correctionsPolicy
 *
 * For an [[Organization]] (e.g. [[NewsMediaOrganization]]), a statement describing (in news media, the newsroom’s) disclosure and correction policy for errors.
 *
 * https://schema.org/correctionsPolicy
 */
var correctionsPolicy = 'https://schema.org/correctionsPolicy';
/**
 * costCategory
 *
 * The category of cost, such as wholesale, retail, reimbursement cap, etc.
 *
 * https://schema.org/costCategory
 */
var costCategory = 'https://schema.org/costCategory';
/**
 * costCurrency
 *
 * The currency (in 3-letter) of the drug cost. See: http://en.wikipedia.org/wiki/ISO_4217.
 *
 * https://schema.org/costCurrency
 */
var costCurrency = 'https://schema.org/costCurrency';
/**
 * costOrigin
 *
 * Additional details to capture the origin of the cost data. For example, 'Medicare Part B'.
 *
 * https://schema.org/costOrigin
 */
var costOrigin = 'https://schema.org/costOrigin';
/**
 * costPerUnit
 *
 * The cost per unit of the drug.
 *
 * https://schema.org/costPerUnit
 */
var costPerUnit = 'https://schema.org/costPerUnit';
/**
 * countriesNotSupported
 *
 * Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 * https://schema.org/countriesNotSupported
 */
var countriesNotSupported = 'https://schema.org/countriesNotSupported';
/**
 * countriesSupported
 *
 * Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 * https://schema.org/countriesSupported
 */
var countriesSupported = 'https://schema.org/countriesSupported';
/**
 * countryOfAssembly
 *
 * The place where the product was assembled.
 *
 * https://schema.org/countryOfAssembly
 */
var countryOfAssembly = 'https://schema.org/countryOfAssembly';
/**
 * countryOfLastProcessing
 *
 * The place where the item (typically [[Product]]) was last processed and tested before importation.
 *
 * https://schema.org/countryOfLastProcessing
 */
var countryOfLastProcessing = 'https://schema.org/countryOfLastProcessing';
/**
 * countryOfOrigin
 *
 * The country of origin of something, including products as well as creative  works such as movie and TV content.
 *
 * In the case of TV and movie, this would be the country of the principle offices of the production company or individual responsible for the movie. For other kinds of [[CreativeWork]] it is difficult to provide fully general guidance, and properties such as [[contentLocation]] and [[locationCreated]] may be more applicable.
 *
 * In the case of products, the country of origin of the product. The exact interpretation of this may vary by context and product type, and cannot be fully enumerated here.
 *
 * https://schema.org/countryOfOrigin
 */
var countryOfOrigin = 'https://schema.org/countryOfOrigin';
/**
 * course
 *
 * A sub property of location. The course where this action was taken.
 *
 * https://schema.org/course
 */
var course = 'https://schema.org/course';
/**
 * courseCode
 *
 * The identifier for the [[Course]] used by the course [[provider]] (e.g. CS101 or 6.001).
 *
 * https://schema.org/courseCode
 */
var courseCode = 'https://schema.org/courseCode';
/**
 * courseMode
 *
 * The medium or means of delivery of the course instance or the mode of study, either as a text label (e.g. "online", "onsite" or "blended"; "synchronous" or "asynchronous"; "full-time" or "part-time") or as a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous).
 *
 * https://schema.org/courseMode
 */
var courseMode = 'https://schema.org/courseMode';
/**
 * coursePrerequisites
 *
 * Requirements for taking the Course. May be completion of another [[Course]] or a textual description like "permission of instructor". Requirements may be a pre-requisite competency, referenced using [[AlignmentObject]].
 *
 * https://schema.org/coursePrerequisites
 */
var coursePrerequisites = 'https://schema.org/coursePrerequisites';
/**
 * courseSchedule
 *
 * Represents the length and pace of a course, expressed as a [[Schedule]].
 *
 * https://schema.org/courseSchedule
 */
var courseSchedule = 'https://schema.org/courseSchedule';
/**
 * courseWorkload
 *
 * The amount of work expected of students taking the course, often provided as a figure per week or per month, and may be broken down by type. For example, "2 hours of lectures, 1 hour of lab work and 3 hours of independent study per week".
 *
 * https://schema.org/courseWorkload
 */
var courseWorkload = 'https://schema.org/courseWorkload';
/**
 * coverageEndTime
 *
 * The time when the live blog will stop covering the Event. Note that coverage may continue after the Event concludes.
 *
 * https://schema.org/coverageEndTime
 */
var coverageEndTime = 'https://schema.org/coverageEndTime';
/**
 * coverageStartTime
 *
 * The time when the live blog will begin covering the Event. Note that coverage may begin before the Event's start time. The LiveBlogPosting may also be created before coverage begins.
 *
 * https://schema.org/coverageStartTime
 */
var coverageStartTime = 'https://schema.org/coverageStartTime';
/**
 * creativeWorkStatus
 *
 * The status of a creative work in terms of its stage in a lifecycle. Example terms include Incomplete, Draft, Published, Obsolete. Some organizations define a set of terms for the stages of their publication lifecycle.
 *
 * https://schema.org/creativeWorkStatus
 */
var creativeWorkStatus = 'https://schema.org/creativeWorkStatus';
/**
 * credentialCategory
 *
 * The category or type of credential being described, for example "degree”, “certificate”, “badge”, or more specific term.
 *
 * https://schema.org/credentialCategory
 */
var credentialCategory = 'https://schema.org/credentialCategory';
/**
 * creditText
 *
 * Text that can be used to credit person(s) and/or organization(s) associated with a published Creative Work.
 *
 * https://schema.org/creditText
 */
var creditText = 'https://schema.org/creditText';
/**
 * creditedTo
 *
 * The group the release is credited to if different than the byArtist. For example, Red and Blue is credited to "Stefani Germanotta Band", but by Lady Gaga.
 *
 * https://schema.org/creditedTo
 */
var creditedTo = 'https://schema.org/creditedTo';
/**
 * cssSelector
 *
 * A CSS selector, e.g. of a [[SpeakableSpecification]] or [[WebPageElement]]. In the latter case, multiple matches within a page can constitute a single conceptual "Web page element".
 *
 * https://schema.org/cssSelector
 */
var cssSelector = 'https://schema.org/cssSelector';
/**
 * currenciesAccepted
 *
 * The currency accepted.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * https://schema.org/currenciesAccepted
 */
var currenciesAccepted = 'https://schema.org/currenciesAccepted';
/**
 * currency
 *
 * The currency in which the monetary amount is expressed.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * https://schema.org/currency
 */
var currency = 'https://schema.org/currency';
/**
 * currentExchangeRate
 *
 * The current price of a currency.
 *
 * https://schema.org/currentExchangeRate
 */
var currentExchangeRate = 'https://schema.org/currentExchangeRate';
/**
 * customer
 *
 * Party placing the order or paying the invoice.
 *
 * https://schema.org/customer
 */
var customer = 'https://schema.org/customer';
/**
 * customerRemorseReturnFees
 *
 * The type of return fees if the product is returned due to customer remorse.
 *
 * https://schema.org/customerRemorseReturnFees
 */
var customerRemorseReturnFees = 'https://schema.org/customerRemorseReturnFees';
/**
 * customerRemorseReturnLabelSource
 *
 * The method (from an enumeration) by which the customer obtains a return shipping label for a product returned due to customer remorse.
 *
 * https://schema.org/customerRemorseReturnLabelSource
 */
var customerRemorseReturnLabelSource = 'https://schema.org/customerRemorseReturnLabelSource';
/**
 * customerRemorseReturnShippingFeesAmount
 *
 * The amount of shipping costs if a product is returned due to customer remorse. Applicable when property [[customerRemorseReturnFees]] equals [[ReturnShippingFees]].
 *
 * https://schema.org/customerRemorseReturnShippingFeesAmount
 */
var customerRemorseReturnShippingFeesAmount = 'https://schema.org/customerRemorseReturnShippingFeesAmount';
/**
 * cutoffTime
 *
 * Order cutoff time allows merchants to describe the time after which they will no longer process orders received on that day. For orders processed after cutoff time, one day gets added to the delivery time estimate. This property is expected to be most typically used via the [[ShippingRateSettings]] publication pattern. The time is indicated using the ISO-8601 Time format, e.g. "23:30:00-05:00" would represent 6:30 pm Eastern Standard Time (EST) which is 5 hours behind Coordinated Universal Time (UTC).
 *
 * https://schema.org/cutoffTime
 */
var cutoffTime = 'https://schema.org/cutoffTime';
/**
 * cvdCollectionDate
 *
 * collectiondate - Date for which patient counts are reported.
 *
 * https://schema.org/cvdCollectionDate
 */
var cvdCollectionDate = 'https://schema.org/cvdCollectionDate';
/**
 * cvdFacilityCounty
 *
 * Name of the County of the NHSN facility that this data record applies to. Use [[cvdFacilityId]] to identify the facility. To provide other details, [[healthcareReportingData]] can be used on a [[Hospital]] entry.
 *
 * https://schema.org/cvdFacilityCounty
 */
var cvdFacilityCounty = 'https://schema.org/cvdFacilityCounty';
/**
 * cvdFacilityId
 *
 * Identifier of the NHSN facility that this data record applies to. Use [[cvdFacilityCounty]] to indicate the county. To provide other details, [[healthcareReportingData]] can be used on a [[Hospital]] entry.
 *
 * https://schema.org/cvdFacilityId
 */
var cvdFacilityId = 'https://schema.org/cvdFacilityId';
/**
 * cvdNumBeds
 *
 * numbeds - HOSPITAL INPATIENT BEDS: Inpatient beds, including all staffed, licensed, and overflow (surge) beds used for inpatients.
 *
 * https://schema.org/cvdNumBeds
 */
var cvdNumBeds = 'https://schema.org/cvdNumBeds';
/**
 * cvdNumBedsOcc
 *
 * numbedsocc - HOSPITAL INPATIENT BED OCCUPANCY: Total number of staffed inpatient beds that are occupied.
 *
 * https://schema.org/cvdNumBedsOcc
 */
var cvdNumBedsOcc = 'https://schema.org/cvdNumBedsOcc';
/**
 * cvdNumC19Died
 *
 * numc19died - DEATHS: Patients with suspected or confirmed COVID-19 who died in the hospital, ED, or any overflow location.
 *
 * https://schema.org/cvdNumC19Died
 */
var cvdNumC19Died = 'https://schema.org/cvdNumC19Died';
/**
 * cvdNumC19HOPats
 *
 * numc19hopats - HOSPITAL ONSET: Patients hospitalized in an NHSN inpatient care location with onset of suspected or confirmed COVID-19 14 or more days after hospitalization.
 *
 * https://schema.org/cvdNumC19HOPats
 */
var cvdNumC19HOPats = 'https://schema.org/cvdNumC19HOPats';
/**
 * cvdNumC19HospPats
 *
 * numc19hosppats - HOSPITALIZED: Patients currently hospitalized in an inpatient care location who have suspected or confirmed COVID-19.
 *
 * https://schema.org/cvdNumC19HospPats
 */
var cvdNumC19HospPats = 'https://schema.org/cvdNumC19HospPats';
/**
 * cvdNumC19MechVentPats
 *
 * numc19mechventpats - HOSPITALIZED and VENTILATED: Patients hospitalized in an NHSN inpatient care location who have suspected or confirmed COVID-19 and are on a mechanical ventilator.
 *
 * https://schema.org/cvdNumC19MechVentPats
 */
var cvdNumC19MechVentPats = 'https://schema.org/cvdNumC19MechVentPats';
/**
 * cvdNumC19OFMechVentPats
 *
 * numc19ofmechventpats - ED/OVERFLOW and VENTILATED: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed and on a mechanical ventilator.
 *
 * https://schema.org/cvdNumC19OFMechVentPats
 */
var cvdNumC19OFMechVentPats = 'https://schema.org/cvdNumC19OFMechVentPats';
/**
 * cvdNumC19OverflowPats
 *
 * numc19overflowpats - ED/OVERFLOW: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed.
 *
 * https://schema.org/cvdNumC19OverflowPats
 */
var cvdNumC19OverflowPats = 'https://schema.org/cvdNumC19OverflowPats';
/**
 * cvdNumICUBeds
 *
 * numicubeds - ICU BEDS: Total number of staffed inpatient intensive care unit (ICU) beds.
 *
 * https://schema.org/cvdNumICUBeds
 */
var cvdNumICUBeds = 'https://schema.org/cvdNumICUBeds';
/**
 * cvdNumICUBedsOcc
 *
 * numicubedsocc - ICU BED OCCUPANCY: Total number of staffed inpatient ICU beds that are occupied.
 *
 * https://schema.org/cvdNumICUBedsOcc
 */
var cvdNumICUBedsOcc = 'https://schema.org/cvdNumICUBedsOcc';
/**
 * cvdNumTotBeds
 *
 * numtotbeds - ALL HOSPITAL BEDS: Total number of all inpatient and outpatient beds, including all staffed, ICU, licensed, and overflow (surge) beds used for inpatients or outpatients.
 *
 * https://schema.org/cvdNumTotBeds
 */
var cvdNumTotBeds = 'https://schema.org/cvdNumTotBeds';
/**
 * cvdNumVent
 *
 * numvent - MECHANICAL VENTILATORS: Total number of ventilators available.
 *
 * https://schema.org/cvdNumVent
 */
var cvdNumVent = 'https://schema.org/cvdNumVent';
/**
 * cvdNumVentUse
 *
 * numventuse - MECHANICAL VENTILATORS IN USE: Total number of ventilators in use.
 *
 * https://schema.org/cvdNumVentUse
 */
var cvdNumVentUse = 'https://schema.org/cvdNumVentUse';
/**
 * dataFeedElement
 *
 * An item within a data feed. Data feeds may have many elements.
 *
 * https://schema.org/dataFeedElement
 */
var dataFeedElement = 'https://schema.org/dataFeedElement';
/**
 * datasetTimeInterval
 *
 * The range of temporal applicability of a dataset, e.g. for a 2011 census dataset, the year 2011 (in ISO 8601 time interval format).
 *
 * https://schema.org/datasetTimeInterval
 */
var datasetTimeInterval = 'https://schema.org/datasetTimeInterval';
/**
 * dateDeleted
 *
 * The datetime the item was removed from the DataFeed.
 *
 * https://schema.org/dateDeleted
 */
var dateDeleted = 'https://schema.org/dateDeleted';
/**
 * dateIssued
 *
 * The date the ticket was issued.
 *
 * https://schema.org/dateIssued
 */
var dateIssued = 'https://schema.org/dateIssued';
/**
 * dateModified
 *
 * The date on which the CreativeWork was most recently modified or when the item's entry was modified within a DataFeed.
 *
 * https://schema.org/dateModified
 */
var dateModified = 'https://schema.org/dateModified';
/**
 * datePosted
 *
 * Publication date of an online listing.
 *
 * https://schema.org/datePosted
 */
var datePosted = 'https://schema.org/datePosted';
/**
 * datePublished
 *
 * Date of first publication or broadcast. For example the date a [[CreativeWork]] was broadcast or a [[Certification]] was issued.
 *
 * https://schema.org/datePublished
 */
var datePublished = 'https://schema.org/datePublished';
/**
 * dateRead
 *
 * The date/time at which the message has been read by the recipient if a single recipient exists.
 *
 * https://schema.org/dateRead
 */
var dateRead = 'https://schema.org/dateRead';
/**
 * dateReceived
 *
 * The date/time the message was received if a single recipient exists.
 *
 * https://schema.org/dateReceived
 */
var dateReceived = 'https://schema.org/dateReceived';
/**
 * dateSent
 *
 * The date/time at which the message was sent.
 *
 * https://schema.org/dateSent
 */
var dateSent = 'https://schema.org/dateSent';
/**
 * dateVehicleFirstRegistered
 *
 * The date of the first registration of the vehicle with the respective public authorities.
 *
 * https://schema.org/dateVehicleFirstRegistered
 */
var dateVehicleFirstRegistered = 'https://schema.org/dateVehicleFirstRegistered';
/**
 * dateline
 *
 * A [dateline](https://en.wikipedia.org/wiki/Dateline) is a brief piece of text included in news articles that describes where and when the story was written or filed though the date is often omitted. Sometimes only a placename is provided.
 *
 * Structured representations of dateline-related information can also be expressed more explicitly using [[locationCreated]] (which represents where a work was created, e.g. where a news report was written).  For location depicted or described in the content, use [[contentLocation]].
 *
 * Dateline summaries are oriented more towards human readers than towards automated processing, and can vary substantially. Some examples: "BEIRUT, Lebanon, June 2.", "Paris, France", "December 19, 2017 11:43AM Reporting from Washington", "Beijing/Moscow", "QUEZON CITY, Philippines".
 *
 *
 * https://schema.org/dateline
 */
var dateline = 'https://schema.org/dateline';
/**
 * dayOfWeek
 *
 * The day of the week for which these opening hours are valid.
 *
 * https://schema.org/dayOfWeek
 */
var dayOfWeek = 'https://schema.org/dayOfWeek';
/**
 * deathDate
 *
 * Date of death.
 *
 * https://schema.org/deathDate
 */
var deathDate = 'https://schema.org/deathDate';
/**
 * deathPlace
 *
 * The place where the person died.
 *
 * https://schema.org/deathPlace
 */
var deathPlace = 'https://schema.org/deathPlace';
/**
 * defaultValue
 *
 * The default value of the input.  For properties that expect a literal, the default is a literal value, for properties that expect an object, it's an ID reference to one of the current values.
 *
 * https://schema.org/defaultValue
 */
var defaultValue = 'https://schema.org/defaultValue';
/**
 * deliveryAddress
 *
 * Destination address.
 *
 * https://schema.org/deliveryAddress
 */
var deliveryAddress = 'https://schema.org/deliveryAddress';
/**
 * deliveryLeadTime
 *
 * The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup.
 *
 * https://schema.org/deliveryLeadTime
 */
var deliveryLeadTime = 'https://schema.org/deliveryLeadTime';
/**
 * deliveryMethod
 *
 * A sub property of instrument. The method of delivery.
 *
 * https://schema.org/deliveryMethod
 */
var deliveryMethod = 'https://schema.org/deliveryMethod';
/**
 * deliveryStatus
 *
 * New entry added as the package passes through each leg of its journey (from shipment to final delivery).
 *
 * https://schema.org/deliveryStatus
 */
var deliveryStatus = 'https://schema.org/deliveryStatus';
/**
 * deliveryTime
 *
 * The total delay between the receipt of the order and the goods reaching the final customer.
 *
 * https://schema.org/deliveryTime
 */
var deliveryTime = 'https://schema.org/deliveryTime';
/**
 * department
 *
 * A relationship between an organization and a department of that organization, also described as an organization (allowing different urls, logos, opening hours). For example: a store with a pharmacy, or a bakery with a cafe.
 *
 * https://schema.org/department
 */
var department = 'https://schema.org/department';
/**
 * departureAirport
 *
 * The airport where the flight originates.
 *
 * https://schema.org/departureAirport
 */
var departureAirport = 'https://schema.org/departureAirport';
/**
 * departureBoatTerminal
 *
 * The terminal or port from which the boat departs.
 *
 * https://schema.org/departureBoatTerminal
 */
var departureBoatTerminal = 'https://schema.org/departureBoatTerminal';
/**
 * departureBusStop
 *
 * The stop or station from which the bus departs.
 *
 * https://schema.org/departureBusStop
 */
var departureBusStop = 'https://schema.org/departureBusStop';
/**
 * departureGate
 *
 * Identifier of the flight's departure gate.
 *
 * https://schema.org/departureGate
 */
var departureGate = 'https://schema.org/departureGate';
/**
 * departurePlatform
 *
 * The platform from which the train departs.
 *
 * https://schema.org/departurePlatform
 */
var departurePlatform = 'https://schema.org/departurePlatform';
/**
 * departureStation
 *
 * The station from which the train departs.
 *
 * https://schema.org/departureStation
 */
var departureStation = 'https://schema.org/departureStation';
/**
 * departureTerminal
 *
 * Identifier of the flight's departure terminal.
 *
 * https://schema.org/departureTerminal
 */
var departureTerminal = 'https://schema.org/departureTerminal';
/**
 * departureTime
 *
 * The expected departure time.
 *
 * https://schema.org/departureTime
 */
var departureTime = 'https://schema.org/departureTime';
/**
 * dependencies
 *
 * Prerequisites needed to fulfill steps in article.
 *
 * https://schema.org/dependencies
 */
var dependencies = 'https://schema.org/dependencies';
/**
 * depth
 *
 * The depth of the item.
 *
 * https://schema.org/depth
 */
var depth = 'https://schema.org/depth';
/**
 * device
 *
 * Device required to run the application. Used in cases where a specific make/model is required to run the application.
 *
 * https://schema.org/device
 */
var device = 'https://schema.org/device';
/**
 * diagnosis
 *
 * One or more alternative conditions considered in the differential diagnosis process as output of a diagnosis process.
 *
 * https://schema.org/diagnosis
 */
var diagnosis = 'https://schema.org/diagnosis';
/**
 * diagram
 *
 * An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.
 *
 * https://schema.org/diagram
 */
var diagram = 'https://schema.org/diagram';
/**
 * diet
 *
 * A sub property of instrument. The diet used in this action.
 *
 * https://schema.org/diet
 */
var diet = 'https://schema.org/diet';
/**
 * dietFeatures
 *
 * Nutritional information specific to the dietary plan. May include dietary recommendations on what foods to avoid, what foods to consume, and specific alterations/deviations from the USDA or other regulatory body's approved dietary guidelines.
 *
 * https://schema.org/dietFeatures
 */
var dietFeatures = 'https://schema.org/dietFeatures';
/**
 * differentialDiagnosis
 *
 * One of a set of differential diagnoses for the condition. Specifically, a closely-related or competing diagnosis typically considered later in the cognitive process whereby this medical condition is distinguished from others most likely responsible for a similar collection of signs and symptoms to reach the most parsimonious diagnosis or diagnoses in a patient.
 *
 * https://schema.org/differentialDiagnosis
 */
var differentialDiagnosis = 'https://schema.org/differentialDiagnosis';
/**
 * digitalSourceType
 *
 * Indicates an IPTCDigitalSourceEnumeration code indicating the nature of the digital source(s) for some [[CreativeWork]].
 *
 * https://schema.org/digitalSourceType
 */
var digitalSourceType = 'https://schema.org/digitalSourceType';
/**
 * directApply
 *
 * Indicates whether an [[url]] that is associated with a [[JobPosting]] enables direct application for the job, via the posting website. A job posting is considered to have directApply of [[True]] if an application process for the specified job can be directly initiated via the url(s) given (noting that e.g. multiple internet domains might nevertheless be involved at an implementation level). A value of [[False]] is appropriate if there is no clear path to applying directly online for the specified job, navigating directly from the JobPosting url(s) supplied.
 *
 * https://schema.org/directApply
 */
var directApply = 'https://schema.org/directApply';
/**
 * directors
 *
 * A director of e.g. TV, radio, movie, video games etc. content. Directors can be associated with individual items or with a series, episode, clip.
 *
 * https://schema.org/directors
 */
var directors = 'https://schema.org/directors';
/**
 * disambiguatingDescription
 *
 * A sub property of description. A short description of the item used to disambiguate from other, similar items. Information from other properties (in particular, name) may be necessary for the description to be useful for disambiguation.
 *
 * https://schema.org/disambiguatingDescription
 */
var disambiguatingDescription = 'https://schema.org/disambiguatingDescription';
/**
 * discount
 *
 * Any discount applied (to an Order).
 *
 * https://schema.org/discount
 */
var discount = 'https://schema.org/discount';
/**
 * discountCode
 *
 * Code used to redeem a discount.
 *
 * https://schema.org/discountCode
 */
var discountCode = 'https://schema.org/discountCode';
/**
 * discountCurrency
 *
 * The currency of the discount.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * https://schema.org/discountCurrency
 */
var discountCurrency = 'https://schema.org/discountCurrency';
/**
 * discusses
 *
 * Specifies the CreativeWork associated with the UserComment.
 *
 * https://schema.org/discusses
 */
var discusses = 'https://schema.org/discusses';
/**
 * discussionUrl
 *
 * A link to the page containing the comments of the CreativeWork.
 *
 * https://schema.org/discussionUrl
 */
var discussionUrl = 'https://schema.org/discussionUrl';
/**
 * diseasePreventionInfo
 *
 * Information about disease prevention.
 *
 * https://schema.org/diseasePreventionInfo
 */
var diseasePreventionInfo = 'https://schema.org/diseasePreventionInfo';
/**
 * diseaseSpreadStatistics
 *
 * Statistical information about the spread of a disease, either as [[WebContent]], or
 *   described directly as a [[Dataset]], or the specific [[Observation]]s in the dataset. When a [[WebContent]] URL is
 *   provided, the page indicated might also contain more such markup.
 *
 * https://schema.org/diseaseSpreadStatistics
 */
var diseaseSpreadStatistics = 'https://schema.org/diseaseSpreadStatistics';
/**
 * dissolutionDate
 *
 * The date that this organization was dissolved.
 *
 * https://schema.org/dissolutionDate
 */
var dissolutionDate = 'https://schema.org/dissolutionDate';
/**
 * distance
 *
 * The distance travelled, e.g. exercising or travelling.
 *
 * https://schema.org/distance
 */
var distance = 'https://schema.org/distance';
/**
 * distinguishingSign
 *
 * One of a set of signs and symptoms that can be used to distinguish this diagnosis from others in the differential diagnosis.
 *
 * https://schema.org/distinguishingSign
 */
var distinguishingSign = 'https://schema.org/distinguishingSign';
/**
 * distribution
 *
 * A downloadable form of this dataset, at a specific location, in a specific format. This property can be repeated if different variations are available. There is no expectation that different downloadable distributions must contain exactly equivalent information (see also [DCAT](https://www.w3.org/TR/vocab-dcat-3/#Class:Distribution) on this point). Different distributions might include or exclude different subsets of the entire dataset, for example.
 *
 * https://schema.org/distribution
 */
var distribution = 'https://schema.org/distribution';
/**
 * diversityPolicy
 *
 * Statement on diversity policy by an [[Organization]] e.g. a [[NewsMediaOrganization]]. For a [[NewsMediaOrganization]], a statement describing the newsroom’s diversity policy on both staffing and sources, typically providing staffing data.
 *
 * https://schema.org/diversityPolicy
 */
var diversityPolicy = 'https://schema.org/diversityPolicy';
/**
 * diversityStaffingReport
 *
 * For an [[Organization]] (often but not necessarily a [[NewsMediaOrganization]]), a report on staffing diversity issues. In a news context this might be for example ASNE or RTDNA (US) reports, or self-reported.
 *
 * https://schema.org/diversityStaffingReport
 */
var diversityStaffingReport = 'https://schema.org/diversityStaffingReport';
/**
 * documentation
 *
 * Further documentation describing the Web API in more detail.
 *
 * https://schema.org/documentation
 */
var documentation = 'https://schema.org/documentation';
/**
 * doesNotShip
 *
 * Indicates when shipping to a particular [[shippingDestination]] is not available.
 *
 * https://schema.org/doesNotShip
 */
var doesNotShip = 'https://schema.org/doesNotShip';
/**
 * domainIncludes
 *
 * Relates a property to a class that is (one of) the type(s) the property is expected to be used on.
 *
 * https://schema.org/domainIncludes
 */
var domainIncludes = 'https://schema.org/domainIncludes';
/**
 * domiciledMortgage
 *
 * Whether borrower is a resident of the jurisdiction where the property is located.
 *
 * https://schema.org/domiciledMortgage
 */
var domiciledMortgage = 'https://schema.org/domiciledMortgage';
/**
 * doorTime
 *
 * The time admission will commence.
 *
 * https://schema.org/doorTime
 */
var doorTime = 'https://schema.org/doorTime';
/**
 * dosageForm
 *
 * A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.
 *
 * https://schema.org/dosageForm
 */
var dosageForm = 'https://schema.org/dosageForm';
/**
 * doseSchedule
 *
 * A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.
 *
 * https://schema.org/doseSchedule
 */
var doseSchedule = 'https://schema.org/doseSchedule';
/**
 * doseUnit
 *
 * The unit of the dose, e.g. 'mg'.
 *
 * https://schema.org/doseUnit
 */
var doseUnit = 'https://schema.org/doseUnit';
/**
 * doseValue
 *
 * The value of the dose, e.g. 500.
 *
 * https://schema.org/doseValue
 */
var doseValue = 'https://schema.org/doseValue';
/**
 * downPayment
 *
 * a type of payment made in cash during the onset of the purchase of an expensive good/service. The payment typically represents only a percentage of the full purchase price.
 *
 * https://schema.org/downPayment
 */
var downPayment = 'https://schema.org/downPayment';
/**
 * downloadUrl
 *
 * If the file can be downloaded, URL to download the binary.
 *
 * https://schema.org/downloadUrl
 */
var downloadUrl = 'https://schema.org/downloadUrl';
/**
 * downvoteCount
 *
 * The number of downvotes this question, answer or comment has received from the community.
 *
 * https://schema.org/downvoteCount
 */
var downvoteCount = 'https://schema.org/downvoteCount';
/**
 * drainsTo
 *
 * The vasculature that the vein drains into.
 *
 * https://schema.org/drainsTo
 */
var drainsTo = 'https://schema.org/drainsTo';
/**
 * driveWheelConfiguration
 *
 * The drive wheel configuration, i.e. which roadwheels will receive torque from the vehicle's engine via the drivetrain.
 *
 * https://schema.org/driveWheelConfiguration
 */
var driveWheelConfiguration = 'https://schema.org/driveWheelConfiguration';
/**
 * dropoffLocation
 *
 * Where a rental car can be dropped off.
 *
 * https://schema.org/dropoffLocation
 */
var dropoffLocation = 'https://schema.org/dropoffLocation';
/**
 * dropoffTime
 *
 * When a rental car can be dropped off.
 *
 * https://schema.org/dropoffTime
 */
var dropoffTime = 'https://schema.org/dropoffTime';
/**
 * drug
 *
 * Specifying a drug or medicine used in a medication procedure.
 *
 * https://schema.org/drug
 */
var drug = 'https://schema.org/drug';
/**
 * drugClass
 *
 * The class of drug this belongs to (e.g., statins).
 *
 * https://schema.org/drugClass
 */
var drugClass = 'https://schema.org/drugClass';
/**
 * drugUnit
 *
 * The unit in which the drug is measured, e.g. '5 mg tablet'.
 *
 * https://schema.org/drugUnit
 */
var drugUnit = 'https://schema.org/drugUnit';
/**
 * duns
 *
 * The Dun & Bradstreet DUNS number for identifying an organization or business person.
 *
 * https://schema.org/duns
 */
var duns = 'https://schema.org/duns';
/**
 * duplicateTherapy
 *
 * A therapy that duplicates or overlaps this one.
 *
 * https://schema.org/duplicateTherapy
 */
var duplicateTherapy = 'https://schema.org/duplicateTherapy';
/**
 * durationOfWarranty
 *
 * The duration of the warranty promise. Common unitCode values are ANN for year, MON for months, or DAY for days.
 *
 * https://schema.org/durationOfWarranty
 */
var durationOfWarranty = 'https://schema.org/durationOfWarranty';
/**
 * duringMedia
 *
 * A media object representing the circumstances while performing this direction.
 *
 * https://schema.org/duringMedia
 */
var duringMedia = 'https://schema.org/duringMedia';
/**
 * earlyPrepaymentPenalty
 *
 * The amount to be paid as a penalty in the event of early payment of the loan.
 *
 * https://schema.org/earlyPrepaymentPenalty
 */
var earlyPrepaymentPenalty = 'https://schema.org/earlyPrepaymentPenalty';
/**
 * editEIDR
 *
 * An [EIDR](https://eidr.org/) (Entertainment Identifier Registry) [[identifier]] representing a specific edit / edition for a work of film or television.
 *
 * For example, the motion picture known as "Ghostbusters" whose [[titleEIDR]] is "10.5240/7EC7-228A-510A-053E-CBB8-J" has several edits, e.g. "10.5240/1F2A-E1C5-680A-14C6-E76B-I" and "10.5240/8A35-3BEE-6497-5D12-9E4F-3".
 *
 * Since schema.org types like [[Movie]] and [[TVEpisode]] can be used for both works and their multiple expressions, it is possible to use [[titleEIDR]] alone (for a general description), or alongside [[editEIDR]] for a more edit-specific description.
 *
 *
 * https://schema.org/editEIDR
 */
var editEIDR = 'https://schema.org/editEIDR';
/**
 * editor
 *
 * Specifies the Person who edited the CreativeWork.
 *
 * https://schema.org/editor
 */
var editor = 'https://schema.org/editor';
/**
 * eduQuestionType
 *
 * For questions that are part of learning resources (e.g. Quiz), eduQuestionType indicates the format of question being given. Example: "Multiple choice", "Open ended", "Flashcard".
 *
 * https://schema.org/eduQuestionType
 */
var eduQuestionType = 'https://schema.org/eduQuestionType';
/**
 * educationRequirements
 *
 * Educational background needed for the position or Occupation.
 *
 * https://schema.org/educationRequirements
 */
var educationRequirements = 'https://schema.org/educationRequirements';
/**
 * educationalAlignment
 *
 * An alignment to an established educational framework.
 *
 * This property should not be used where the nature of the alignment can be described using a simple property, for example to express that a resource [[teaches]] or [[assesses]] a competency.
 *
 * https://schema.org/educationalAlignment
 */
var educationalAlignment = 'https://schema.org/educationalAlignment';
/**
 * educationalCredentialAwarded
 *
 * A description of the qualification, award, certificate, diploma or other educational credential awarded as a consequence of successful completion of this course or program.
 *
 * https://schema.org/educationalCredentialAwarded
 */
var educationalCredentialAwarded = 'https://schema.org/educationalCredentialAwarded';
/**
 * educationalFramework
 *
 * The framework to which the resource being described is aligned.
 *
 * https://schema.org/educationalFramework
 */
var educationalFramework = 'https://schema.org/educationalFramework';
/**
 * educationalLevel
 *
 * The level in terms of progression through an educational or training context. Examples of educational levels include 'beginner', 'intermediate' or 'advanced', and formal sets of level indicators.
 *
 * https://schema.org/educationalLevel
 */
var educationalLevel = 'https://schema.org/educationalLevel';
/**
 * educationalProgramMode
 *
 * Similar to courseMode, the medium or means of delivery of the program as a whole. The value may either be a text label (e.g. "online", "onsite" or "blended"; "synchronous" or "asynchronous"; "full-time" or "part-time") or a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous ).
 *
 * https://schema.org/educationalProgramMode
 */
var educationalProgramMode = 'https://schema.org/educationalProgramMode';
/**
 * educationalRole
 *
 * An educationalRole of an EducationalAudience.
 *
 * https://schema.org/educationalRole
 */
var educationalRole = 'https://schema.org/educationalRole';
/**
 * educationalUse
 *
 * The purpose of a work in the context of education; for example, 'assignment', 'group work'.
 *
 * https://schema.org/educationalUse
 */
var educationalUse = 'https://schema.org/educationalUse';
/**
 * elevation
 *
 * The elevation of a location ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)). Values may be of the form 'NUMBER UNIT\_OF\_MEASUREMENT' (e.g., '1,000 m', '3,200 ft') while numbers alone should be assumed to be a value in meters.
 *
 * https://schema.org/elevation
 */
var elevation = 'https://schema.org/elevation';
/**
 * eligibilityToWorkRequirement
 *
 * The legal requirements such as citizenship, visa and other documentation required for an applicant to this job.
 *
 * https://schema.org/eligibilityToWorkRequirement
 */
var eligibilityToWorkRequirement = 'https://schema.org/eligibilityToWorkRequirement';
/**
 * eligibleCustomerType
 *
 * The type(s) of customers for which the given offer is valid.
 *
 * https://schema.org/eligibleCustomerType
 */
var eligibleCustomerType = 'https://schema.org/eligibleCustomerType';
/**
 * eligibleDuration
 *
 * The duration for which the given offer is valid.
 *
 * https://schema.org/eligibleDuration
 */
var eligibleDuration = 'https://schema.org/eligibleDuration';
/**
 * eligibleQuantity
 *
 * The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.
 *
 * https://schema.org/eligibleQuantity
 */
var eligibleQuantity = 'https://schema.org/eligibleQuantity';
/**
 * eligibleRegion
 *
 * The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is valid.\n\nSee also [[ineligibleRegion]].
 *
 *
 * https://schema.org/eligibleRegion
 */
var eligibleRegion = 'https://schema.org/eligibleRegion';
/**
 * eligibleTransactionVolume
 *
 * The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.
 *
 * https://schema.org/eligibleTransactionVolume
 */
var eligibleTransactionVolume = 'https://schema.org/eligibleTransactionVolume';
/**
 * eligibleWithSupplier
 *
 * The supplier of the incentivized item/service for which the incentive is valid for such as a utility company, merchant, or contractor.
 *
 * https://schema.org/eligibleWithSupplier
 */
var eligibleWithSupplier = 'https://schema.org/eligibleWithSupplier';
/**
 * email
 *
 * Email address.
 *
 * https://schema.org/email
 */
var email = 'https://schema.org/email';
/**
 * embedUrl
 *
 * A URL pointing to a player for a specific video. In general, this is the information in the ```src``` element of an ```embed``` tag and should not be the same as the content of the ```loc``` tag.
 *
 * https://schema.org/embedUrl
 */
var embedUrl = 'https://schema.org/embedUrl';
/**
 * embeddedTextCaption
 *
 * Represents textual captioning from a [[MediaObject]], e.g. text of a 'meme'.
 *
 * https://schema.org/embeddedTextCaption
 */
var embeddedTextCaption = 'https://schema.org/embeddedTextCaption';
/**
 * emissionsCO2
 *
 * The CO2 emissions in g/km. When used in combination with a QuantitativeValue, put "g/km" into the unitText property of that value, since there is no UN/CEFACT Common Code for "g/km".
 *
 * https://schema.org/emissionsCO2
 */
var emissionsCO2 = 'https://schema.org/emissionsCO2';
/**
 * employees
 *
 * People working for this organization.
 *
 * https://schema.org/employees
 */
var employees = 'https://schema.org/employees';
/**
 * employerOverview
 *
 * A description of the employer, career opportunities and work environment for this position.
 *
 * https://schema.org/employerOverview
 */
var employerOverview = 'https://schema.org/employerOverview';
/**
 * employmentType
 *
 * Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).
 *
 * https://schema.org/employmentType
 */
var employmentType = 'https://schema.org/employmentType';
/**
 * employmentUnit
 *
 * Indicates the department, unit and/or facility where the employee reports and/or in which the job is to be performed.
 *
 * https://schema.org/employmentUnit
 */
var employmentUnit = 'https://schema.org/employmentUnit';
/**
 * encodingType
 *
 * The supported encoding type(s) for an EntryPoint request.
 *
 * https://schema.org/encodingType
 */
var encodingType = 'https://schema.org/encodingType';
/**
 * encodings
 *
 * A media object that encodes this CreativeWork.
 *
 * https://schema.org/encodings
 */
var encodings = 'https://schema.org/encodings';
/**
 * endDate
 *
 * The end date and time of the item (in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601)).
 *
 * https://schema.org/endDate
 */
var endDate = 'https://schema.org/endDate';
/**
 * endOffset
 *
 * The end time of the clip expressed as the number of seconds from the beginning of the work.
 *
 * https://schema.org/endOffset
 */
var endOffset = 'https://schema.org/endOffset';
/**
 * endTime
 *
 * The endTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to end. For actions that span a period of time, when the action was performed. E.g. John wrote a book from January to *December*. For media, including audio and video, it's the time offset of the end of a clip within a larger file.\n\nNote that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.
 *
 * https://schema.org/endTime
 */
var endTime = 'https://schema.org/endTime';
/**
 * endorsee
 *
 * A sub property of participant. The person/organization being supported.
 *
 * https://schema.org/endorsee
 */
var endorsee = 'https://schema.org/endorsee';
/**
 * endorsers
 *
 * People or organizations that endorse the plan.
 *
 * https://schema.org/endorsers
 */
var endorsers = 'https://schema.org/endorsers';
/**
 * energyEfficiencyScaleMax
 *
 * Specifies the most energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.
 *
 * https://schema.org/energyEfficiencyScaleMax
 */
var energyEfficiencyScaleMax = 'https://schema.org/energyEfficiencyScaleMax';
/**
 * energyEfficiencyScaleMin
 *
 * Specifies the least energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.
 *
 * https://schema.org/energyEfficiencyScaleMin
 */
var energyEfficiencyScaleMin = 'https://schema.org/energyEfficiencyScaleMin';
/**
 * engineDisplacement
 *
 * The volume swept by all of the pistons inside the cylinders of an internal combustion engine in a single movement. \n\nTypical unit code(s): CMQ for cubic centimeter, LTR for liters, INQ for cubic inches\n* Note 1: You can link to information about how the given value has been determined using the [[valueReference]] property.\n* Note 2: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/engineDisplacement
 */
var engineDisplacement = 'https://schema.org/engineDisplacement';
/**
 * enginePower
 *
 * The power of the vehicle's engine.
 *     Typical unit code(s): KWT for kilowatt, BHP for brake horsepower, N12 for metric horsepower (PS, with 1 PS = 735,49875 W)\n\n* Note 1: There are many different ways of measuring an engine's power. For an overview, see  [http://en.wikipedia.org/wiki/Horsepower#Engine\_power\_test\_codes](http://en.wikipedia.org/wiki/Horsepower#Engine_power_test_codes).\n* Note 2: You can link to information about how the given value has been determined using the [[valueReference]] property.\n* Note 3: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/enginePower
 */
var enginePower = 'https://schema.org/enginePower';
/**
 * engineType
 *
 * The type of engine or engines powering the vehicle.
 *
 * https://schema.org/engineType
 */
var engineType = 'https://schema.org/engineType';
/**
 * entertainmentBusiness
 *
 * A sub property of location. The entertainment business where the action occurred.
 *
 * https://schema.org/entertainmentBusiness
 */
var entertainmentBusiness = 'https://schema.org/entertainmentBusiness';
/**
 * epidemiology
 *
 * The characteristics of associated patients, such as age, gender, race etc.
 *
 * https://schema.org/epidemiology
 */
var epidemiology = 'https://schema.org/epidemiology';
/**
 * episodeNumber
 *
 * Position of the episode within an ordered group of episodes.
 *
 * https://schema.org/episodeNumber
 */
var episodeNumber = 'https://schema.org/episodeNumber';
/**
 * episodes
 *
 * An episode of a TV/radio series or season.
 *
 * https://schema.org/episodes
 */
var episodes = 'https://schema.org/episodes';
/**
 * equal
 *
 * This ordering relation for qualitative values indicates that the subject is equal to the object.
 *
 * https://schema.org/equal
 */
var equal = 'https://schema.org/equal';
/**
 * error
 *
 * For failed actions, more information on the cause of the failure.
 *
 * https://schema.org/error
 */
var error = 'https://schema.org/error';
/**
 * estimatedCost
 *
 * The estimated cost of the supply or supplies consumed when performing instructions.
 *
 * https://schema.org/estimatedCost
 */
var estimatedCost = 'https://schema.org/estimatedCost';
/**
 * estimatedFlightDuration
 *
 * The estimated time the flight will take.
 *
 * https://schema.org/estimatedFlightDuration
 */
var estimatedFlightDuration = 'https://schema.org/estimatedFlightDuration';
/**
 * estimatedSalary
 *
 * An estimated salary for a job posting or occupation, based on a variety of variables including, but not limited to industry, job title, and location. Estimated salaries  are often computed by outside organizations rather than the hiring organization, who may not have committed to the estimated value.
 *
 * https://schema.org/estimatedSalary
 */
var estimatedSalary = 'https://schema.org/estimatedSalary';
/**
 * estimatesRiskOf
 *
 * The condition, complication, or symptom whose risk is being estimated.
 *
 * https://schema.org/estimatesRiskOf
 */
var estimatesRiskOf = 'https://schema.org/estimatesRiskOf';
/**
 * ethicsPolicy
 *
 * Statement about ethics policy, e.g. of a [[NewsMediaOrganization]] regarding journalistic and publishing practices, or of a [[Restaurant]], a page describing food source policies. In the case of a [[NewsMediaOrganization]], an ethicsPolicy is typically a statement describing the personal, organizational, and corporate standards of behavior expected by the organization.
 *
 * https://schema.org/ethicsPolicy
 */
var ethicsPolicy = 'https://schema.org/ethicsPolicy';
/**
 * eventAttendanceMode
 *
 * The eventAttendanceMode of an event indicates whether it occurs online, offline, or a mix.
 *
 * https://schema.org/eventAttendanceMode
 */
var eventAttendanceMode = 'https://schema.org/eventAttendanceMode';
/**
 * eventSchedule
 *
 * Associates an [[Event]] with a [[Schedule]]. There are circumstances where it is preferable to share a schedule for a series of
 *       repeating events rather than data on the individual events themselves. For example, a website or application might prefer to publish a schedule for a weekly
 *       gym class rather than provide data on every event. A schedule could be processed by applications to add forthcoming events to a calendar. An [[Event]] that
 *       is associated with a [[Schedule]] using this property should not have [[startDate]] or [[endDate]] properties. These are instead defined within the associated
 *       [[Schedule]], this avoids any ambiguity for clients using the data. The property might have repeated values to specify different schedules, e.g. for different months
 *       or seasons.
 *
 * https://schema.org/eventSchedule
 */
var eventSchedule = 'https://schema.org/eventSchedule';
/**
 * eventStatus
 *
 * An eventStatus of an event represents its status; particularly useful when an event is cancelled or rescheduled.
 *
 * https://schema.org/eventStatus
 */
var eventStatus = 'https://schema.org/eventStatus';
/**
 * events
 *
 * Upcoming or past events associated with this place or organization.
 *
 * https://schema.org/events
 */
var events = 'https://schema.org/events';
/**
 * evidenceLevel
 *
 * Strength of evidence of the data used to formulate the guideline (enumerated).
 *
 * https://schema.org/evidenceLevel
 */
var evidenceLevel = 'https://schema.org/evidenceLevel';
/**
 * evidenceOrigin
 *
 * Source of the data used to formulate the guidance, e.g. RCT, consensus opinion, etc.
 *
 * https://schema.org/evidenceOrigin
 */
var evidenceOrigin = 'https://schema.org/evidenceOrigin';
/**
 * exceptDate
 *
 * Defines a [[Date]] or [[DateTime]] during which a scheduled [[Event]] will not take place. The property allows exceptions to
 *       a [[Schedule]] to be specified. If an exception is specified as a [[DateTime]] then only the event that would have started at that specific date and time
 *       should be excluded from the schedule. If an exception is specified as a [[Date]] then any event that is scheduled for that 24 hour period should be
 *       excluded from the schedule. This allows a whole day to be excluded from the schedule without having to itemise every scheduled event.
 *
 * https://schema.org/exceptDate
 */
var exceptDate = 'https://schema.org/exceptDate';
/**
 * exchangeRateSpread
 *
 * The difference between the price at which a broker or other intermediary buys and sells foreign currency.
 *
 * https://schema.org/exchangeRateSpread
 */
var exchangeRateSpread = 'https://schema.org/exchangeRateSpread';
/**
 * exercisePlan
 *
 * A sub property of instrument. The exercise plan used on this action.
 *
 * https://schema.org/exercisePlan
 */
var exercisePlan = 'https://schema.org/exercisePlan';
/**
 * exerciseRelatedDiet
 *
 * A sub property of instrument. The diet used in this action.
 *
 * https://schema.org/exerciseRelatedDiet
 */
var exerciseRelatedDiet = 'https://schema.org/exerciseRelatedDiet';
/**
 * exerciseType
 *
 * Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.
 *
 * https://schema.org/exerciseType
 */
var exerciseType = 'https://schema.org/exerciseType';
/**
 * exifData
 *
 * exif data for this object.
 *
 * https://schema.org/exifData
 */
var exifData = 'https://schema.org/exifData';
/**
 * expectedArrivalFrom
 *
 * The earliest date the package may arrive.
 *
 * https://schema.org/expectedArrivalFrom
 */
var expectedArrivalFrom = 'https://schema.org/expectedArrivalFrom';
/**
 * expectedArrivalUntil
 *
 * The latest date the package may arrive.
 *
 * https://schema.org/expectedArrivalUntil
 */
var expectedArrivalUntil = 'https://schema.org/expectedArrivalUntil';
/**
 * expectedPrognosis
 *
 * The likely outcome in either the short term or long term of the medical condition.
 *
 * https://schema.org/expectedPrognosis
 */
var expectedPrognosis = 'https://schema.org/expectedPrognosis';
/**
 * expectsAcceptanceOf
 *
 * An Offer which must be accepted before the user can perform the Action. For example, the user may need to buy a movie before being able to watch it.
 *
 * https://schema.org/expectsAcceptanceOf
 */
var expectsAcceptanceOf = 'https://schema.org/expectsAcceptanceOf';
/**
 * experienceInPlaceOfEducation
 *
 * Indicates whether a [[JobPosting]] will accept experience (as indicated by [[OccupationalExperienceRequirements]]) in place of its formal educational qualifications (as indicated by [[educationRequirements]]). If true, indicates that satisfying one of these requirements is sufficient.
 *
 * https://schema.org/experienceInPlaceOfEducation
 */
var experienceInPlaceOfEducation = 'https://schema.org/experienceInPlaceOfEducation';
/**
 * experienceRequirements
 *
 * Description of skills and experience needed for the position or Occupation.
 *
 * https://schema.org/experienceRequirements
 */
var experienceRequirements = 'https://schema.org/experienceRequirements';
/**
 * expertConsiderations
 *
 * Medical expert advice related to the plan.
 *
 * https://schema.org/expertConsiderations
 */
var expertConsiderations = 'https://schema.org/expertConsiderations';
/**
 * expires
 *
 * Date the content expires and is no longer useful or available. For example a [[VideoObject]] or [[NewsArticle]] whose availability or relevance is time-limited, a [[ClaimReview]] fact check whose publisher wants to indicate that it may no longer be relevant (or helpful to highlight) after some date, or a [[Certification]] the validity has expired.
 *
 * https://schema.org/expires
 */
var expires = 'https://schema.org/expires';
/**
 * expressedIn
 *
 * Tissue, organ, biological sample, etc in which activity of this gene has been observed experimentally. For example brain, digestive system.
 *
 * https://schema.org/expressedIn
 */
var expressedIn = 'https://schema.org/expressedIn';
/**
 * extendedAddress
 *
 * An address extension such as an apartment number, C/O or alternative name.
 *
 * https://schema.org/extendedAddress
 */
var extendedAddress = 'https://schema.org/extendedAddress';
/**
 * familyName
 *
 * Family name. In the U.S., the last name of a Person.
 *
 * https://schema.org/familyName
 */
var familyName = 'https://schema.org/familyName';
/**
 * fatContent
 *
 * The number of grams of fat.
 *
 * https://schema.org/fatContent
 */
var fatContent = 'https://schema.org/fatContent';
/**
 * faxNumber
 *
 * The fax number.
 *
 * https://schema.org/faxNumber
 */
var faxNumber = 'https://schema.org/faxNumber';
/**
 * featureList
 *
 * Features or modules provided by this application (and possibly required by other applications).
 *
 * https://schema.org/featureList
 */
var featureList = 'https://schema.org/featureList';
/**
 * feesAndCommissionsSpecification
 *
 * Description of fees, commissions, and other terms applied either to a class of financial product, or by a financial service organization.
 *
 * https://schema.org/feesAndCommissionsSpecification
 */
var feesAndCommissionsSpecification = 'https://schema.org/feesAndCommissionsSpecification';
/**
 * fiberContent
 *
 * The number of grams of fiber.
 *
 * https://schema.org/fiberContent
 */
var fiberContent = 'https://schema.org/fiberContent';
/**
 * fileFormat
 *
 * Media type, typically MIME format (see [IANA site](http://www.iana.org/assignments/media-types/media-types.xhtml)) of the content, e.g. application/zip of a SoftwareApplication binary. In cases where a CreativeWork has several media type representations, 'encoding' can be used to indicate each MediaObject alongside particular fileFormat information. Unregistered or niche file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia entry.
 *
 * https://schema.org/fileFormat
 */
var fileFormat = 'https://schema.org/fileFormat';
/**
 * fileSize
 *
 * Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.
 *
 * https://schema.org/fileSize
 */
var fileSize = 'https://schema.org/fileSize';
/**
 * financialAidEligible
 *
 * A financial aid type or program which students may use to pay for tuition or fees associated with the program.
 *
 * https://schema.org/financialAidEligible
 */
var financialAidEligible = 'https://schema.org/financialAidEligible';
/**
 * firstAppearance
 *
 * Indicates the first known occurrence of a [[Claim]] in some [[CreativeWork]].
 *
 * https://schema.org/firstAppearance
 */
var firstAppearance = 'https://schema.org/firstAppearance';
/**
 * firstPerformance
 *
 * The date and place the work was first performed.
 *
 * https://schema.org/firstPerformance
 */
var firstPerformance = 'https://schema.org/firstPerformance';
/**
 * flightDistance
 *
 * The distance of the flight.
 *
 * https://schema.org/flightDistance
 */
var flightDistance = 'https://schema.org/flightDistance';
/**
 * flightNumber
 *
 * The unique identifier for a flight including the airline IATA code. For example, if describing United flight 110, where the IATA code for United is 'UA', the flightNumber is 'UA110'.
 *
 * https://schema.org/flightNumber
 */
var flightNumber = 'https://schema.org/flightNumber';
/**
 * floorLevel
 *
 * The floor level for an [[Accommodation]] in a multi-storey building. Since counting
 *   systems [vary internationally](https://en.wikipedia.org/wiki/Storey#Consecutive_number_floor_designations), the local system should be used where possible.
 *
 * https://schema.org/floorLevel
 */
var floorLevel = 'https://schema.org/floorLevel';
/**
 * floorLimit
 *
 * A floor limit is the amount of money above which credit card transactions must be authorized.
 *
 * https://schema.org/floorLimit
 */
var floorLimit = 'https://schema.org/floorLimit';
/**
 * floorSize
 *
 * The size of the accommodation, e.g. in square meter or squarefoot.
 * Typical unit code(s): MTK for square meter, FTK for square foot, or YDK for square yard.
 *
 * https://schema.org/floorSize
 */
var floorSize = 'https://schema.org/floorSize';
/**
 * followee
 *
 * A sub property of object. The person or organization being followed.
 *
 * https://schema.org/followee
 */
var followee = 'https://schema.org/followee';
/**
 * follows
 *
 * The most generic uni-directional social relation.
 *
 * https://schema.org/follows
 */
var follows = 'https://schema.org/follows';
/**
 * followup
 *
 * Typical or recommended followup care after the procedure is performed.
 *
 * https://schema.org/followup
 */
var followup = 'https://schema.org/followup';
/**
 * foodEstablishment
 *
 * A sub property of location. The specific food establishment where the action occurred.
 *
 * https://schema.org/foodEstablishment
 */
var foodEstablishment = 'https://schema.org/foodEstablishment';
/**
 * foodEvent
 *
 * A sub property of location. The specific food event where the action occurred.
 *
 * https://schema.org/foodEvent
 */
var foodEvent = 'https://schema.org/foodEvent';
/**
 * foodWarning
 *
 * Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.
 *
 * https://schema.org/foodWarning
 */
var foodWarning = 'https://schema.org/foodWarning';
/**
 * founders
 *
 * A person who founded this organization.
 *
 * https://schema.org/founders
 */
var founders = 'https://schema.org/founders';
/**
 * foundingDate
 *
 * The date that this organization was founded.
 *
 * https://schema.org/foundingDate
 */
var foundingDate = 'https://schema.org/foundingDate';
/**
 * foundingLocation
 *
 * The place where the Organization was founded.
 *
 * https://schema.org/foundingLocation
 */
var foundingLocation = 'https://schema.org/foundingLocation';
/**
 * free
 *
 * A flag to signal that the item, event, or place is accessible for free.
 *
 * https://schema.org/free
 */
var free = 'https://schema.org/free';
/**
 * freeShippingThreshold
 *
 * A monetary value above (or at) which the shipping rate becomes free. Intended to be used via an [[OfferShippingDetails]] with [[shippingSettingsLink]] matching this [[ShippingRateSettings]].
 *
 * https://schema.org/freeShippingThreshold
 */
var freeShippingThreshold = 'https://schema.org/freeShippingThreshold';
/**
 * fromLocation
 *
 * A sub property of location. The original location of the object or the agent before the action.
 *
 * https://schema.org/fromLocation
 */
var fromLocation = 'https://schema.org/fromLocation';
/**
 * fuelCapacity
 *
 * The capacity of the fuel tank or in the case of electric cars, the battery. If there are multiple components for storage, this should indicate the total of all storage of the same type.\n\nTypical unit code(s): LTR for liters, GLL of US gallons, GLI for UK / imperial gallons, AMH for ampere-hours (for electrical vehicles).
 *
 * https://schema.org/fuelCapacity
 */
var fuelCapacity = 'https://schema.org/fuelCapacity';
/**
 * fuelConsumption
 *
 * The amount of fuel consumed for traveling a particular distance or temporal duration with the given vehicle (e.g. liters per 100 km).\n\n* Note 1: There are unfortunately no standard unit codes for liters per 100 km.  Use [[unitText]] to indicate the unit of measurement, e.g. L/100 km.\n* Note 2: There are two ways of indicating the fuel consumption, [[fuelConsumption]] (e.g. 8 liters per 100 km) and [[fuelEfficiency]] (e.g. 30 miles per gallon). They are reciprocal.\n* Note 3: Often, the absolute value is useful only when related to driving speed ("at 80 km/h") or usage pattern ("city traffic"). You can use [[valueReference]] to link the value for the fuel consumption to another value.
 *
 * https://schema.org/fuelConsumption
 */
var fuelConsumption = 'https://schema.org/fuelConsumption';
/**
 * fuelEfficiency
 *
 * The distance traveled per unit of fuel used; most commonly miles per gallon (mpg) or kilometers per liter (km/L).\n\n* Note 1: There are unfortunately no standard unit codes for miles per gallon or kilometers per liter. Use [[unitText]] to indicate the unit of measurement, e.g. mpg or km/L.\n* Note 2: There are two ways of indicating the fuel consumption, [[fuelConsumption]] (e.g. 8 liters per 100 km) and [[fuelEfficiency]] (e.g. 30 miles per gallon). They are reciprocal.\n* Note 3: Often, the absolute value is useful only when related to driving speed ("at 80 km/h") or usage pattern ("city traffic"). You can use [[valueReference]] to link the value for the fuel economy to another value.
 *
 * https://schema.org/fuelEfficiency
 */
var fuelEfficiency = 'https://schema.org/fuelEfficiency';
/**
 * fuelType
 *
 * The type of fuel suitable for the engine or engines of the vehicle. If the vehicle has only one engine, this property can be attached directly to the vehicle.
 *
 * https://schema.org/fuelType
 */
var fuelType = 'https://schema.org/fuelType';
/**
 * fulfillmentType
 *
 * Type of fulfillment applicable to the [[ShippingService]].
 *
 * https://schema.org/fulfillmentType
 */
var fulfillmentType = 'https://schema.org/fulfillmentType';
/**
 * functionalClass
 *
 * The degree of mobility the joint allows.
 *
 * https://schema.org/functionalClass
 */
var functionalClass = 'https://schema.org/functionalClass';
/**
 * funder
 *
 * A person or organization that supports (sponsors) something through some kind of financial contribution.
 *
 * https://schema.org/funder
 */
var funder = 'https://schema.org/funder';
/**
 * gameAvailabilityType
 *
 * Indicates the availability type of the game content associated with this action, such as whether it is a full version or a demo.
 *
 * https://schema.org/gameAvailabilityType
 */
var gameAvailabilityType = 'https://schema.org/gameAvailabilityType';
/**
 * gameEdition
 *
 * The edition of a video game.
 *
 * https://schema.org/gameEdition
 */
var gameEdition = 'https://schema.org/gameEdition';
/**
 * gameItem
 *
 * An item is an object within the game world that can be collected by a player or, occasionally, a non-player character.
 *
 * https://schema.org/gameItem
 */
var gameItem = 'https://schema.org/gameItem';
/**
 * gameLocation
 *
 * Real or fictional location of the game (or part of game).
 *
 * https://schema.org/gameLocation
 */
var gameLocation = 'https://schema.org/gameLocation';
/**
 * gamePlatform
 *
 * The electronic systems used to play <a href="http://en.wikipedia.org/wiki/Category:Video_game_platforms">video games</a>.
 *
 * https://schema.org/gamePlatform
 */
var gamePlatform = 'https://schema.org/gamePlatform';
/**
 * gameTip
 *
 * Links to tips, tactics, etc.
 *
 * https://schema.org/gameTip
 */
var gameTip = 'https://schema.org/gameTip';
/**
 * gender
 *
 * Gender of something, typically a [[Person]], but possibly also fictional characters, animals, etc. While https://schema.org/Male and https://schema.org/Female may be used, text strings are also acceptable for people who are not a binary gender. The [[gender]] property can also be used in an extended sense to cover e.g. the gender of sports teams. As with the gender of individuals, we do not try to enumerate all possibilities. A mixed-gender [[SportsTeam]] can be indicated with a text value of "Mixed".
 *
 * https://schema.org/gender
 */
var gender = 'https://schema.org/gender';
/**
 * geo
 *
 * The geo coordinates of the place.
 *
 * https://schema.org/geo
 */
var geo = 'https://schema.org/geo';
/**
 * geoContains
 *
 * Represents a relationship between two geometries (or the places they represent), relating a containing geometry to a contained geometry. "a contains b iff no points of b lie in the exterior of a, and at least one point of the interior of b lies in the interior of a". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * https://schema.org/geoContains
 */
var geoContains = 'https://schema.org/geoContains';
/**
 * geoCoveredBy
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to another that covers it. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * https://schema.org/geoCoveredBy
 */
var geoCoveredBy = 'https://schema.org/geoCoveredBy';
/**
 * geoCovers
 *
 * Represents a relationship between two geometries (or the places they represent), relating a covering geometry to a covered geometry. "Every point of b is a point of (the interior or boundary of) a". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * https://schema.org/geoCovers
 */
var geoCovers = 'https://schema.org/geoCovers';
/**
 * geoCrosses
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to another that crosses it: "a crosses b: they have some but not all interior points in common, and the dimension of the intersection is less than that of at least one of them". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * https://schema.org/geoCrosses
 */
var geoCrosses = 'https://schema.org/geoCrosses';
/**
 * geoDisjoint
 *
 * Represents spatial relations in which two geometries (or the places they represent) are topologically disjoint: "they have no point in common. They form a set of disconnected geometries." (A symmetric relationship, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).)
 *
 * https://schema.org/geoDisjoint
 */
var geoDisjoint = 'https://schema.org/geoDisjoint';
/**
 * geoEquals
 *
 * Represents spatial relations in which two geometries (or the places they represent) are topologically equal, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM). "Two geometries are topologically equal if their interiors intersect and no part of the interior or boundary of one geometry intersects the exterior of the other" (a symmetric relationship).
 *
 * https://schema.org/geoEquals
 */
var geoEquals = 'https://schema.org/geoEquals';
/**
 * geoIntersects
 *
 * Represents spatial relations in which two geometries (or the places they represent) have at least one point in common. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * https://schema.org/geoIntersects
 */
var geoIntersects = 'https://schema.org/geoIntersects';
/**
 * geoMidpoint
 *
 * Indicates the GeoCoordinates at the centre of a GeoShape, e.g. GeoCircle.
 *
 * https://schema.org/geoMidpoint
 */
var geoMidpoint = 'https://schema.org/geoMidpoint';
/**
 * geoOverlaps
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to another that geospatially overlaps it, i.e. they have some but not all points in common. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * https://schema.org/geoOverlaps
 */
var geoOverlaps = 'https://schema.org/geoOverlaps';
/**
 * geoRadius
 *
 * Indicates the approximate radius of a GeoCircle (metres unless indicated otherwise via Distance notation).
 *
 * https://schema.org/geoRadius
 */
var geoRadius = 'https://schema.org/geoRadius';
/**
 * geoTouches
 *
 * Represents spatial relations in which two geometries (or the places they represent) touch: "they have at least one boundary point in common, but no interior points." (A symmetric relationship, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).)
 *
 * https://schema.org/geoTouches
 */
var geoTouches = 'https://schema.org/geoTouches';
/**
 * geoWithin
 *
 * Represents a relationship between two geometries (or the places they represent), relating a geometry to one that contains it, i.e. it is inside (i.e. within) its interior. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).
 *
 * https://schema.org/geoWithin
 */
var geoWithin = 'https://schema.org/geoWithin';
/**
 * geographicArea
 *
 * The geographic area associated with the audience.
 *
 * https://schema.org/geographicArea
 */
var geographicArea = 'https://schema.org/geographicArea';
/**
 * gettingTestedInfo
 *
 * Information about getting tested (for a [[MedicalCondition]]), e.g. in the context of a pandemic.
 *
 * https://schema.org/gettingTestedInfo
 */
var gettingTestedInfo = 'https://schema.org/gettingTestedInfo';
/**
 * givenName
 *
 * Given name. In the U.S., the first name of a Person.
 *
 * https://schema.org/givenName
 */
var givenName = 'https://schema.org/givenName';
/**
 * globalLocationNumber
 *
 * The [Global Location Number](http://www.gs1.org/gln) (GLN, sometimes also referred to as International Location Number or ILN) of the respective organization, person, or place. The GLN is a 13-digit number used to identify parties and physical locations.
 *
 * https://schema.org/globalLocationNumber
 */
var globalLocationNumber = 'https://schema.org/globalLocationNumber';
/**
 * governmentBenefitsInfo
 *
 * governmentBenefitsInfo provides information about government benefits associated with a SpecialAnnouncement.
 *
 * https://schema.org/governmentBenefitsInfo
 */
var governmentBenefitsInfo = 'https://schema.org/governmentBenefitsInfo';
/**
 * gracePeriod
 *
 * The period of time after any due date that the borrower has to fulfil its obligations before a default (failure to pay) is deemed to have occurred.
 *
 * https://schema.org/gracePeriod
 */
var gracePeriod = 'https://schema.org/gracePeriod';
/**
 * grantee
 *
 * The person, organization, contact point, or audience that has been granted this permission.
 *
 * https://schema.org/grantee
 */
var grantee = 'https://schema.org/grantee';
/**
 * greater
 *
 * This ordering relation for qualitative values indicates that the subject is greater than the object.
 *
 * https://schema.org/greater
 */
var greater = 'https://schema.org/greater';
/**
 * greaterOrEqual
 *
 * This ordering relation for qualitative values indicates that the subject is greater than or equal to the object.
 *
 * https://schema.org/greaterOrEqual
 */
var greaterOrEqual = 'https://schema.org/greaterOrEqual';
/**
 * gtin12
 *
 * The GTIN-12 code of the product, or the product to which the offer refers. The GTIN-12 is the 12-digit GS1 Identification Key composed of a U.P.C. Company Prefix, Item Reference, and Check Digit used to identify trade items. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * https://schema.org/gtin12
 */
var gtin12 = 'https://schema.org/gtin12';
/**
 * gtin13
 *
 * The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceding zero. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * https://schema.org/gtin13
 */
var gtin13 = 'https://schema.org/gtin13';
/**
 * gtin14
 *
 * The GTIN-14 code of the product, or the product to which the offer refers. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * https://schema.org/gtin14
 */
var gtin14 = 'https://schema.org/gtin14';
/**
 * gtin8
 *
 * The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.
 *
 * https://schema.org/gtin8
 */
var gtin8 = 'https://schema.org/gtin8';
/**
 * guideline
 *
 * A medical guideline related to this entity.
 *
 * https://schema.org/guideline
 */
var guideline = 'https://schema.org/guideline';
/**
 * guidelineDate
 *
 * Date on which this guideline's recommendation was made.
 *
 * https://schema.org/guidelineDate
 */
var guidelineDate = 'https://schema.org/guidelineDate';
/**
 * guidelineSubject
 *
 * The medical conditions, treatments, etc. that are the subject of the guideline.
 *
 * https://schema.org/guidelineSubject
 */
var guidelineSubject = 'https://schema.org/guidelineSubject';
/**
 * handlingTime
 *
 * The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup.
 *
 * In the context of [[ShippingDeliveryTime]], Typical properties: minValue, maxValue, unitCode (d for DAY).  This is by common convention assumed to mean business days (if a unitCode is used, coded as "d"), i.e. only counting days when the business normally operates.
 *
 * In the context of [[ShippingService]], use the [[ServicePeriod]] format, that contains the same information in a structured form, with cut-off time, business days and duration.
 *
 * https://schema.org/handlingTime
 */
var handlingTime = 'https://schema.org/handlingTime';
/**
 * hasAdultConsideration
 *
 * Used to tag an item to be intended or suitable for consumption or use by adults only.
 *
 * https://schema.org/hasAdultConsideration
 */
var hasAdultConsideration = 'https://schema.org/hasAdultConsideration';
/**
 * hasBioPolymerSequence
 *
 * A symbolic representation of a BioChemEntity. For example, a nucleotide sequence of a Gene or an amino acid sequence of a Protein.
 *
 * https://schema.org/hasBioPolymerSequence
 */
var hasBioPolymerSequence = 'https://schema.org/hasBioPolymerSequence';
/**
 * hasCategoryCode
 *
 * A Category code contained in this code set.
 *
 * https://schema.org/hasCategoryCode
 */
var hasCategoryCode = 'https://schema.org/hasCategoryCode';
/**
 * hasCertification
 *
 * Certification information about a product, organization, service, place, or person.
 *
 * https://schema.org/hasCertification
 */
var hasCertification = 'https://schema.org/hasCertification';
/**
 * hasCourse
 *
 * A course or class that is one of the learning opportunities that constitute an educational / occupational program. No information is implied about whether the course is mandatory or optional; no guarantee is implied about whether the course will be available to everyone on the program.
 *
 * https://schema.org/hasCourse
 */
var hasCourse = 'https://schema.org/hasCourse';
/**
 * hasCourseInstance
 *
 * An offering of the course at a specific time and place or through specific media or mode of study or to a specific section of students.
 *
 * https://schema.org/hasCourseInstance
 */
var hasCourseInstance = 'https://schema.org/hasCourseInstance';
/**
 * hasCredential
 *
 * A credential awarded to the Person or Organization.
 *
 * https://schema.org/hasCredential
 */
var hasCredential = 'https://schema.org/hasCredential';
/**
 * hasDeliveryMethod
 *
 * Method used for delivery or shipping.
 *
 * https://schema.org/hasDeliveryMethod
 */
var hasDeliveryMethod = 'https://schema.org/hasDeliveryMethod';
/**
 * hasDigitalDocumentPermission
 *
 * A permission related to the access to this document (e.g. permission to read or write an electronic document). For a public document, specify a grantee with an Audience with audienceType equal to "public".
 *
 * https://schema.org/hasDigitalDocumentPermission
 */
var hasDigitalDocumentPermission = 'https://schema.org/hasDigitalDocumentPermission';
/**
 * hasDriveThroughService
 *
 * Indicates whether some facility (e.g. [[FoodEstablishment]], [[CovidTestingFacility]]) offers a service that can be used by driving through in a car. In the case of [[CovidTestingFacility]] such facilities could potentially help with social distancing from other potentially-infected users.
 *
 * https://schema.org/hasDriveThroughService
 */
var hasDriveThroughService = 'https://schema.org/hasDriveThroughService';
/**
 * hasEnergyConsumptionDetails
 *
 * Defines the energy efficiency Category (also known as "class" or "rating") for a product according to an international energy efficiency standard.
 *
 * https://schema.org/hasEnergyConsumptionDetails
 */
var hasEnergyConsumptionDetails = 'https://schema.org/hasEnergyConsumptionDetails';
/**
 * hasEnergyEfficiencyCategory
 *
 * Defines the energy efficiency Category (which could be either a rating out of range of values or a yes/no certification) for a product according to an international energy efficiency standard.
 *
 * https://schema.org/hasEnergyEfficiencyCategory
 */
var hasEnergyEfficiencyCategory = 'https://schema.org/hasEnergyEfficiencyCategory';
/**
 * hasGS1DigitalLink
 *
 * The <a href="https://www.gs1.org/standards/gs1-digital-link">GS1 digital link</a> associated with the object. This URL should conform to the particular requirements of digital links. The link should only contain the Application Identifiers (AIs) that are relevant for the entity being annotated, for instance a [[Product]] or an [[Organization]], and for the correct granularity. In particular, for products:<ul><li>A Digital Link that contains a serial number (AI <code>21</code>) should only be present on instances of [[IndividualProduct]]</li><li>A Digital Link that contains a lot number (AI <code>10</code>) should be annotated as [[SomeProduct]] if only products from that lot are sold, or [[IndividualProduct]] if there is only a specific product.</li><li>A Digital Link that contains a global model number (AI <code>8013</code>)  should be attached to a [[Product]] or a [[ProductModel]].</li></ul> Other item types should be adapted similarly.
 *
 * https://schema.org/hasGS1DigitalLink
 */
var hasGS1DigitalLink = 'https://schema.org/hasGS1DigitalLink';
/**
 * hasHealthAspect
 *
 * Indicates the aspect or aspects specifically addressed in some [[HealthTopicContent]]. For example, that the content is an overview, or that it talks about treatment, self-care, treatments or their side-effects.
 *
 * https://schema.org/hasHealthAspect
 */
var hasHealthAspect = 'https://schema.org/hasHealthAspect';
/**
 * hasMeasurement
 *
 * A measurement of an item, For example, the inseam of pants, the wheel size of a bicycle, the gauge of a screw, or the carbon footprint measured for certification by an authority. Usually an exact measurement, but can also be a range of measurements for adjustable products, for example belts and ski bindings.
 *
 * https://schema.org/hasMeasurement
 */
var hasMeasurement = 'https://schema.org/hasMeasurement';
/**
 * hasMemberProgram
 *
 * MemberProgram offered by an Organization, for example an eCommerce merchant or an airline.
 *
 * https://schema.org/hasMemberProgram
 */
var hasMemberProgram = 'https://schema.org/hasMemberProgram';
/**
 * hasMenuItem
 *
 * A food or drink item contained in a menu or menu section.
 *
 * https://schema.org/hasMenuItem
 */
var hasMenuItem = 'https://schema.org/hasMenuItem';
/**
 * hasMenuSection
 *
 * A subgrouping of the menu (by dishes, course, serving time period, etc.).
 *
 * https://schema.org/hasMenuSection
 */
var hasMenuSection = 'https://schema.org/hasMenuSection';
/**
 * hasMolecularFunction
 *
 * Molecular function performed by this BioChemEntity; please use PropertyValue if you want to include any evidence.
 *
 * https://schema.org/hasMolecularFunction
 */
var hasMolecularFunction = 'https://schema.org/hasMolecularFunction';
/**
 * hasOccupation
 *
 * The Person's occupation. For past professions, use Role for expressing dates.
 *
 * https://schema.org/hasOccupation
 */
var hasOccupation = 'https://schema.org/hasOccupation';
/**
 * hasOfferCatalog
 *
 * Indicates an OfferCatalog listing for this Organization, Person, or Service.
 *
 * https://schema.org/hasOfferCatalog
 */
var hasOfferCatalog = 'https://schema.org/hasOfferCatalog';
/**
 * hasPOS
 *
 * Points-of-Sales operated by the organization or person.
 *
 * https://schema.org/hasPOS
 */
var hasPOS = 'https://schema.org/hasPOS';
/**
 * hasProductReturnPolicy
 *
 * Indicates a ProductReturnPolicy that may be applicable.
 *
 * https://schema.org/hasProductReturnPolicy
 */
var hasProductReturnPolicy = 'https://schema.org/hasProductReturnPolicy';
/**
 * hasShippingService
 *
 * Specification of a shipping service offered by the organization.
 *
 * https://schema.org/hasShippingService
 */
var hasShippingService = 'https://schema.org/hasShippingService';
/**
 * hasTierBenefit
 *
 * A member benefit for a particular tier of a loyalty program.
 *
 * https://schema.org/hasTierBenefit
 */
var hasTierBenefit = 'https://schema.org/hasTierBenefit';
/**
 * hasTierRequirement
 *
 * A requirement for a user to join a membership tier, for example: a CreditCard if the tier requires sign up for a credit card, A UnitPriceSpecification if the user is required to pay a (periodic) fee, or a MonetaryAmount if the user needs to spend a minimum amount to join the tier. If a tier is free to join then this property does not need to be specified.
 *
 * https://schema.org/hasTierRequirement
 */
var hasTierRequirement = 'https://schema.org/hasTierRequirement';
/**
 * headline
 *
 * Headline of the article.
 *
 * https://schema.org/headline
 */
var headline = 'https://schema.org/headline';
/**
 * healthCondition
 *
 * Specifying the health condition(s) of a patient, medical study, or other target audience.
 *
 * https://schema.org/healthCondition
 */
var healthCondition = 'https://schema.org/healthCondition';
/**
 * healthPlanCoinsuranceOption
 *
 * Whether the coinsurance applies before or after deductible, etc. TODO: Is this a closed set?
 *
 * https://schema.org/healthPlanCoinsuranceOption
 */
var healthPlanCoinsuranceOption = 'https://schema.org/healthPlanCoinsuranceOption';
/**
 * healthPlanCoinsuranceRate
 *
 * The rate of coinsurance expressed as a number between 0.0 and 1.0.
 *
 * https://schema.org/healthPlanCoinsuranceRate
 */
var healthPlanCoinsuranceRate = 'https://schema.org/healthPlanCoinsuranceRate';
/**
 * healthPlanCopay
 *
 * The copay amount.
 *
 * https://schema.org/healthPlanCopay
 */
var healthPlanCopay = 'https://schema.org/healthPlanCopay';
/**
 * healthPlanCopayOption
 *
 * Whether the copay is before or after deductible, etc. TODO: Is this a closed set?
 *
 * https://schema.org/healthPlanCopayOption
 */
var healthPlanCopayOption = 'https://schema.org/healthPlanCopayOption';
/**
 * healthPlanCostSharing
 *
 * The costs to the patient for services under this network or formulary.
 *
 * https://schema.org/healthPlanCostSharing
 */
var healthPlanCostSharing = 'https://schema.org/healthPlanCostSharing';
/**
 * healthPlanDrugOption
 *
 * TODO.
 *
 * https://schema.org/healthPlanDrugOption
 */
var healthPlanDrugOption = 'https://schema.org/healthPlanDrugOption';
/**
 * healthPlanDrugTier
 *
 * The tier(s) of drugs offered by this formulary or insurance plan.
 *
 * https://schema.org/healthPlanDrugTier
 */
var healthPlanDrugTier = 'https://schema.org/healthPlanDrugTier';
/**
 * healthPlanId
 *
 * The 14-character, HIOS-generated Plan ID number. (Plan IDs must be unique, even across different markets.)
 *
 * https://schema.org/healthPlanId
 */
var healthPlanId = 'https://schema.org/healthPlanId';
/**
 * healthPlanMarketingUrl
 *
 * The URL that goes directly to the plan brochure for the specific standard plan or plan variation.
 *
 * https://schema.org/healthPlanMarketingUrl
 */
var healthPlanMarketingUrl = 'https://schema.org/healthPlanMarketingUrl';
/**
 * healthPlanNetworkId
 *
 * Name or unique ID of network. (Networks are often reused across different insurance plans.)
 *
 * https://schema.org/healthPlanNetworkId
 */
var healthPlanNetworkId = 'https://schema.org/healthPlanNetworkId';
/**
 * healthPlanNetworkTier
 *
 * The tier(s) for this network.
 *
 * https://schema.org/healthPlanNetworkTier
 */
var healthPlanNetworkTier = 'https://schema.org/healthPlanNetworkTier';
/**
 * healthPlanPharmacyCategory
 *
 * The category or type of pharmacy associated with this cost sharing.
 *
 * https://schema.org/healthPlanPharmacyCategory
 */
var healthPlanPharmacyCategory = 'https://schema.org/healthPlanPharmacyCategory';
/**
 * healthcareReportingData
 *
 * Indicates data describing a hospital, e.g. a CDC [[CDCPMDRecord]] or as some kind of [[Dataset]].
 *
 * https://schema.org/healthcareReportingData
 */
var healthcareReportingData = 'https://schema.org/healthcareReportingData';
/**
 * height
 *
 * The height of the item.
 *
 * https://schema.org/height
 */
var height = 'https://schema.org/height';
/**
 * highPrice
 *
 * The highest price of all offers available.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * https://schema.org/highPrice
 */
var highPrice = 'https://schema.org/highPrice';
/**
 * hiringOrganization
 *
 * Organization or Person offering the job position.
 *
 * https://schema.org/hiringOrganization
 */
var hiringOrganization = 'https://schema.org/hiringOrganization';
/**
 * homeLocation
 *
 * A contact location for a person's residence.
 *
 * https://schema.org/homeLocation
 */
var homeLocation = 'https://schema.org/homeLocation';
/**
 * homeTeam
 *
 * The home team in a sports event.
 *
 * https://schema.org/homeTeam
 */
var homeTeam = 'https://schema.org/homeTeam';
/**
 * honorificPrefix
 *
 * An honorific prefix preceding a Person's name such as Dr/Mrs/Mr.
 *
 * https://schema.org/honorificPrefix
 */
var honorificPrefix = 'https://schema.org/honorificPrefix';
/**
 * honorificSuffix
 *
 * An honorific suffix following a Person's name such as M.D./PhD/MSCSW.
 *
 * https://schema.org/honorificSuffix
 */
var honorificSuffix = 'https://schema.org/honorificSuffix';
/**
 * hospitalAffiliation
 *
 * A hospital with which the physician or office is affiliated.
 *
 * https://schema.org/hospitalAffiliation
 */
var hospitalAffiliation = 'https://schema.org/hospitalAffiliation';
/**
 * hostingOrganization
 *
 * The Organization (airline, travelers' club, retailer, etc.) the membership is made with or which offers the  MemberProgram.
 *
 * https://schema.org/hostingOrganization
 */
var hostingOrganization = 'https://schema.org/hostingOrganization';
/**
 * hoursAvailable
 *
 * The hours during which this service or contact is available.
 *
 * https://schema.org/hoursAvailable
 */
var hoursAvailable = 'https://schema.org/hoursAvailable';
/**
 * howPerformed
 *
 * How the procedure is performed.
 *
 * https://schema.org/howPerformed
 */
var howPerformed = 'https://schema.org/howPerformed';
/**
 * httpMethod
 *
 * An HTTP method that specifies the appropriate HTTP method for a request to an HTTP EntryPoint. Values are capitalized strings as used in HTTP.
 *
 * https://schema.org/httpMethod
 */
var httpMethod = 'https://schema.org/httpMethod';
/**
 * iataCode
 *
 * IATA identifier for an airline or airport.
 *
 * https://schema.org/iataCode
 */
var iataCode = 'https://schema.org/iataCode';
/**
 * icaoCode
 *
 * ICAO identifier for an airport.
 *
 * https://schema.org/icaoCode
 */
var icaoCode = 'https://schema.org/icaoCode';
/**
 * identifyingExam
 *
 * A physical examination that can identify this sign.
 *
 * https://schema.org/identifyingExam
 */
var identifyingExam = 'https://schema.org/identifyingExam';
/**
 * identifyingTest
 *
 * A diagnostic test that can identify this sign.
 *
 * https://schema.org/identifyingTest
 */
var identifyingTest = 'https://schema.org/identifyingTest';
/**
 * illustrator
 *
 * The illustrator of the book.
 *
 * https://schema.org/illustrator
 */
var illustrator = 'https://schema.org/illustrator';
/**
 * imagingTechnique
 *
 * Imaging technique used.
 *
 * https://schema.org/imagingTechnique
 */
var imagingTechnique = 'https://schema.org/imagingTechnique';
/**
 * inAlbum
 *
 * The album to which this recording belongs.
 *
 * https://schema.org/inAlbum
 */
var inAlbum = 'https://schema.org/inAlbum';
/**
 * inBroadcastLineup
 *
 * The CableOrSatelliteService offering the channel.
 *
 * https://schema.org/inBroadcastLineup
 */
var inBroadcastLineup = 'https://schema.org/inBroadcastLineup';
/**
 * inChI
 *
 * Non-proprietary identifier for molecular entity that can be used in printed and electronic data sources thus enabling easier linking of diverse data compilations.
 *
 * https://schema.org/inChI
 */
var inChI = 'https://schema.org/inChI';
/**
 * inChIKey
 *
 * InChIKey is a hashed version of the full InChI (using the SHA-256 algorithm).
 *
 * https://schema.org/inChIKey
 */
var inChIKey = 'https://schema.org/inChIKey';
/**
 * inCodeSet
 *
 * A [[CategoryCodeSet]] that contains this category code.
 *
 * https://schema.org/inCodeSet
 */
var inCodeSet = 'https://schema.org/inCodeSet';
/**
 * inPlaylist
 *
 * The playlist to which this recording belongs.
 *
 * https://schema.org/inPlaylist
 */
var inPlaylist = 'https://schema.org/inPlaylist';
/**
 * inProductGroupWithID
 *
 * Indicates the [[productGroupID]] for a [[ProductGroup]] that this product [[isVariantOf]].
 *
 * https://schema.org/inProductGroupWithID
 */
var inProductGroupWithID = 'https://schema.org/inProductGroupWithID';
/**
 * inStoreReturnsOffered
 *
 * Are in-store returns offered? (For more advanced return methods use the [[returnMethod]] property.)
 *
 * https://schema.org/inStoreReturnsOffered
 */
var inStoreReturnsOffered = 'https://schema.org/inStoreReturnsOffered';
/**
 * inSupportOf
 *
 * Qualification, candidature, degree, application that Thesis supports.
 *
 * https://schema.org/inSupportOf
 */
var inSupportOf = 'https://schema.org/inSupportOf';
/**
 * incentiveAmount
 *
 * Describes the amount that can be redeemed from this incentive.
 *
 * <p>[[QuantitativeValue]]: Use this for incentives based on price (either raw amount or percentage-based). For a raw amount example, "You can claim $2,500 - $7,500 from the total cost of installation" would be represented as the following:</p>
 *     {
 *         "@type": "QuantitativeValue",
 *         “minValue”: 2500,
 *         “maxValue”: 7500,
 *         "unitCode": "USD"
 *     }
 * <p>[[QuantitivateValue]] can also be used for percentage amounts. In such cases, value is used to represent the incentive’s percentage, while maxValue represents a limit (if one exists) to that incentive. The unitCode should be 'P1' and the unitText should be '%', while valueReference should be used for holding the currency type. For example, "You can claim up to 30% of the total cost of installation, up to a maximum of $7,500" would be:</p>
 *     {
 *         "@type": "QuantitativeValue",
 *         "value": 30,
 *         "unitCode": "P1",
 *         "unitText": "%",
 *         “maxValue”: 7500,
 *         “valueReference”: “USD”
 *     }
 * <p>[[UnitPriceSpecification]]: Use this for incentives that are based on amounts rather than price. For example, a net metering rebate that pays $10/kWh, up to $1,000:</p>
 *     {
 *         "@type": "UnitPriceSpecification",
 *         "price": 10,
 *         "priceCurrency": "USD",
 *         "referenceQuantity": 1,
 *         "unitCode": "DO3",
 *         "unitText": "kw/h",
 *         "maxPrice": 1000,
 *         "description": "$10 / kwh up to $1000"
 *     }
 * <p>[[LoanOrCredit]]: Use for incentives that are loan based. For example, a loan of $4,000 - $50,000 with a repayment term of 10 years, interest free would look like:</p>
 *     {
 *         "@type": "LoanOrCredit",
 *         "loanTerm": {
 *                 "@type":"QuantitativeValue",
 *                 "value":"10",
 *                 "unitCode": "ANN"
 *             },
 *         "amount":[
 *             {
 *                 "@type": "QuantitativeValue",
 *                 "Name":"fixed interest rate",
 *                 "value":"0",
 *             },
 *         ],
 *         "amount":[
 *             {
 *                 "@type": "MonetaryAmount",
 *                 "Name":"min loan amount",
 *                 "value":"4000",
 *                 "currency":"CAD"
 *             },
 *             {
 *                 "@type": "MonetaryAmount",
 *                 "Name":"max loan amount",
 *                 "value":"50000",
 *                 "currency":"CAD"
 *             }
 *         ],
 *     }
 *
 * In summary: <ul><li>Use [[QuantitativeValue]] for absolute/percentage-based incentives applied on the price of a good/service.</li>
 * <li>Use [[UnitPriceSpecification]] for incentives based on a per-unit basis (e.g. net metering).</li>
 * <li>Use [[LoanOrCredit]] for loans/credits.</li>
 * </ul>.
 *
 * https://schema.org/incentiveAmount
 */
var incentiveAmount = 'https://schema.org/incentiveAmount';
/**
 * incentiveStatus
 *
 * The status of the incentive (active, on hold, retired, etc.).
 *
 * https://schema.org/incentiveStatus
 */
var incentiveStatus = 'https://schema.org/incentiveStatus';
/**
 * incentiveType
 *
 * The type of incentive offered (tax credit/rebate, tax deduction, tax waiver, subsidies, etc.).
 *
 * https://schema.org/incentiveType
 */
var incentiveType = 'https://schema.org/incentiveType';
/**
 * incentives
 *
 * Description of bonus and commission compensation aspects of the job.
 *
 * https://schema.org/incentives
 */
var incentives = 'https://schema.org/incentives';
/**
 * incentivizedItem
 *
 * The type or specific product(s) and/or service(s) being incentivized.
 * <p>DefinedTermSets are used for product and service categories such as the United Nations Standard Products and Services Code:</p>
 *     {
 *         "@type": "DefinedTerm",
 *         "inDefinedTermSet": "https://www.unspsc.org/",
 *         "termCode": "261315XX",
 *         "name": "Photovoltaic module"
 *     }
 *
 * <p>For a specific product or service, use the Product type:</p>
 *     {
 *         "@type": "Product",
 *         "name": "Kenmore White 17" Microwave",
 *     }
 * For multiple different incentivized items, use multiple [[DefinedTerm]] or [[Product]].
 *
 * https://schema.org/incentivizedItem
 */
var incentivizedItem = 'https://schema.org/incentivizedItem';
/**
 * includedComposition
 *
 * Smaller compositions included in this work (e.g. a movement in a symphony).
 *
 * https://schema.org/includedComposition
 */
var includedComposition = 'https://schema.org/includedComposition';
/**
 * includedDataCatalog
 *
 * A data catalog which contains this dataset (this property was previously 'catalog', preferred name is now 'includedInDataCatalog').
 *
 * https://schema.org/includedDataCatalog
 */
var includedDataCatalog = 'https://schema.org/includedDataCatalog';
/**
 * includedInHealthInsurancePlan
 *
 * The insurance plans that cover this drug.
 *
 * https://schema.org/includedInHealthInsurancePlan
 */
var includedInHealthInsurancePlan = 'https://schema.org/includedInHealthInsurancePlan';
/**
 * includedRiskFactor
 *
 * A modifiable or non-modifiable risk factor included in the calculation, e.g. age, coexisting condition.
 *
 * https://schema.org/includedRiskFactor
 */
var includedRiskFactor = 'https://schema.org/includedRiskFactor';
/**
 * includesAttraction
 *
 * Attraction located at destination.
 *
 * https://schema.org/includesAttraction
 */
var includesAttraction = 'https://schema.org/includesAttraction';
/**
 * includesHealthPlanFormulary
 *
 * Formularies covered by this plan.
 *
 * https://schema.org/includesHealthPlanFormulary
 */
var includesHealthPlanFormulary = 'https://schema.org/includesHealthPlanFormulary';
/**
 * includesHealthPlanNetwork
 *
 * Networks covered by this plan.
 *
 * https://schema.org/includesHealthPlanNetwork
 */
var includesHealthPlanNetwork = 'https://schema.org/includesHealthPlanNetwork';
/**
 * includesObject
 *
 * This links to a node or nodes indicating the exact quantity of the products included in  an [[Offer]] or [[ProductCollection]].
 *
 * https://schema.org/includesObject
 */
var includesObject = 'https://schema.org/includesObject';
/**
 * incomeLimit
 *
 * Optional. Income limit for which the incentive is applicable for.
 *
 * <p>If MonetaryAmount is specified, this should be based on annualized income (e.g. if an incentive is limited to those making <$114,000 annually):</p>
 *     {
 *         "@type": "MonetaryAmount",
 *         "maxValue": 114000,
 *         "currency": "USD",
 *     }
 *
 * Use Text for incentives that are limited based on other criteria, for example if an incentive is only available to recipients making 120% of the median poverty income in their area.
 *
 * https://schema.org/incomeLimit
 */
var incomeLimit = 'https://schema.org/incomeLimit';
/**
 * increasesRiskOf
 *
 * The condition, complication, etc. influenced by this factor.
 *
 * https://schema.org/increasesRiskOf
 */
var increasesRiskOf = 'https://schema.org/increasesRiskOf';
/**
 * industry
 *
 * The industry associated with the job position.
 *
 * https://schema.org/industry
 */
var industry = 'https://schema.org/industry';
/**
 * ineligibleRegion
 *
 * The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is not valid, e.g. a region where the transaction is not allowed.\n\nSee also [[eligibleRegion]].
 *
 *
 * https://schema.org/ineligibleRegion
 */
var ineligibleRegion = 'https://schema.org/ineligibleRegion';
/**
 * infectiousAgent
 *
 * The actual infectious agent, such as a specific bacterium.
 *
 * https://schema.org/infectiousAgent
 */
var infectiousAgent = 'https://schema.org/infectiousAgent';
/**
 * infectiousAgentClass
 *
 * The class of infectious agent (bacteria, prion, etc.) that causes the disease.
 *
 * https://schema.org/infectiousAgentClass
 */
var infectiousAgentClass = 'https://schema.org/infectiousAgentClass';
/**
 * ingredients
 *
 * A single ingredient used in the recipe, e.g. sugar, flour or garlic.
 *
 * https://schema.org/ingredients
 */
var ingredients = 'https://schema.org/ingredients';
/**
 * inker
 *
 * The individual who traces over the pencil drawings in ink after pencils are complete.
 *
 * https://schema.org/inker
 */
var inker = 'https://schema.org/inker';
/**
 * insertion
 *
 * The place of attachment of a muscle, or what the muscle moves.
 *
 * https://schema.org/insertion
 */
var insertion = 'https://schema.org/insertion';
/**
 * installUrl
 *
 * URL at which the app may be installed, if different from the URL of the item.
 *
 * https://schema.org/installUrl
 */
var installUrl = 'https://schema.org/installUrl';
/**
 * instructor
 *
 * A person assigned to instruct or provide instructional assistance for the [[CourseInstance]].
 *
 * https://schema.org/instructor
 */
var instructor = 'https://schema.org/instructor';
/**
 * intensity
 *
 * Quantitative measure gauging the degree of force involved in the exercise, for example, heartbeats per minute. May include the velocity of the movement.
 *
 * https://schema.org/intensity
 */
var intensity = 'https://schema.org/intensity';
/**
 * interactingDrug
 *
 * Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.
 *
 * https://schema.org/interactingDrug
 */
var interactingDrug = 'https://schema.org/interactingDrug';
/**
 * interactionCount
 *
 * This property is deprecated, alongside the UserInteraction types on which it depended.
 *
 * https://schema.org/interactionCount
 */
var interactionCount = 'https://schema.org/interactionCount';
/**
 * interactionService
 *
 * The WebSite or SoftwareApplication where the interactions took place.
 *
 * https://schema.org/interactionService
 */
var interactionService = 'https://schema.org/interactionService';
/**
 * interactionType
 *
 * The Action representing the type of interaction. For up votes, +1s, etc. use [[LikeAction]]. For down votes use [[DislikeAction]]. Otherwise, use the most specific Action.
 *
 * https://schema.org/interactionType
 */
var interactionType = 'https://schema.org/interactionType';
/**
 * interactivityType
 *
 * The predominant mode of learning supported by the learning resource. Acceptable values are 'active', 'expositive', or 'mixed'.
 *
 * https://schema.org/interactivityType
 */
var interactivityType = 'https://schema.org/interactivityType';
/**
 * interestRate
 *
 * The interest rate, charged or paid, applicable to the financial product. Note: This is different from the calculated annualPercentageRate.
 *
 * https://schema.org/interestRate
 */
var interestRate = 'https://schema.org/interestRate';
/**
 * interpretedAsClaim
 *
 * Used to indicate a specific claim contained, implied, translated or refined from the content of a [[MediaObject]] or other [[CreativeWork]]. The interpreting party can be indicated using [[claimInterpreter]].
 *
 * https://schema.org/interpretedAsClaim
 */
var interpretedAsClaim = 'https://schema.org/interpretedAsClaim';
/**
 * inventoryLevel
 *
 * The current approximate inventory level for the item or items.
 *
 * https://schema.org/inventoryLevel
 */
var inventoryLevel = 'https://schema.org/inventoryLevel';
/**
 * inverseOf
 *
 * Relates a property to a property that is its inverse. Inverse properties relate the same pairs of items to each other, but in reversed direction. For example, the 'alumni' and 'alumniOf' properties are inverseOf each other. Some properties don't have explicit inverses; in these situations RDFa and JSON-LD syntax for reverse properties can be used.
 *
 * https://schema.org/inverseOf
 */
var inverseOf = 'https://schema.org/inverseOf';
/**
 * isAcceptingNewPatients
 *
 * Whether the provider is accepting new patients.
 *
 * https://schema.org/isAcceptingNewPatients
 */
var isAcceptingNewPatients = 'https://schema.org/isAcceptingNewPatients';
/**
 * isAccessoryOrSparePartFor
 *
 * A pointer to another product (or multiple products) for which this product is an accessory or spare part.
 *
 * https://schema.org/isAccessoryOrSparePartFor
 */
var isAccessoryOrSparePartFor = 'https://schema.org/isAccessoryOrSparePartFor';
/**
 * isAvailableGenerically
 *
 * True if the drug is available in a generic form (regardless of name).
 *
 * https://schema.org/isAvailableGenerically
 */
var isAvailableGenerically = 'https://schema.org/isAvailableGenerically';
/**
 * isBasedOnUrl
 *
 * A resource that was used in the creation of this resource. This term can be repeated for multiple sources. For example, http://example.com/great-multiplication-intro.html.
 *
 * https://schema.org/isBasedOnUrl
 */
var isBasedOnUrl = 'https://schema.org/isBasedOnUrl';
/**
 * isConsumableFor
 *
 * A pointer to another product (or multiple products) for which this product is a consumable.
 *
 * https://schema.org/isConsumableFor
 */
var isConsumableFor = 'https://schema.org/isConsumableFor';
/**
 * isFamilyFriendly
 *
 * Indicates whether this content is family friendly.
 *
 * https://schema.org/isFamilyFriendly
 */
var isFamilyFriendly = 'https://schema.org/isFamilyFriendly';
/**
 * isGift
 *
 * Indicates whether the offer was accepted as a gift for someone other than the buyer.
 *
 * https://schema.org/isGift
 */
var isGift = 'https://schema.org/isGift';
/**
 * isInvolvedInBiologicalProcess
 *
 * Biological process this BioChemEntity is involved in; please use PropertyValue if you want to include any evidence.
 *
 * https://schema.org/isInvolvedInBiologicalProcess
 */
var isInvolvedInBiologicalProcess = 'https://schema.org/isInvolvedInBiologicalProcess';
/**
 * isLiveBroadcast
 *
 * True if the broadcast is of a live event.
 *
 * https://schema.org/isLiveBroadcast
 */
var isLiveBroadcast = 'https://schema.org/isLiveBroadcast';
/**
 * isLocatedInSubcellularLocation
 *
 * Subcellular location where this BioChemEntity is located; please use PropertyValue if you want to include any evidence.
 *
 * https://schema.org/isLocatedInSubcellularLocation
 */
var isLocatedInSubcellularLocation = 'https://schema.org/isLocatedInSubcellularLocation';
/**
 * isPlanForApartment
 *
 * Indicates some accommodation that this floor plan describes.
 *
 * https://schema.org/isPlanForApartment
 */
var isPlanForApartment = 'https://schema.org/isPlanForApartment';
/**
 * isProprietary
 *
 * True if this item's name is a proprietary/brand name (vs. generic name).
 *
 * https://schema.org/isProprietary
 */
var isProprietary = 'https://schema.org/isProprietary';
/**
 * isRelatedTo
 *
 * A pointer to another, somehow related product (or multiple products).
 *
 * https://schema.org/isRelatedTo
 */
var isRelatedTo = 'https://schema.org/isRelatedTo';
/**
 * isResizable
 *
 * Whether the 3DModel allows resizing. For example, room layout applications often do not allow 3DModel elements to be resized to reflect reality.
 *
 * https://schema.org/isResizable
 */
var isResizable = 'https://schema.org/isResizable';
/**
 * isSimilarTo
 *
 * A pointer to another, functionally similar product (or multiple products).
 *
 * https://schema.org/isSimilarTo
 */
var isSimilarTo = 'https://schema.org/isSimilarTo';
/**
 * isUnlabelledFallback
 *
 * This can be marked 'true' to indicate that some published [[DeliveryTimeSettings]] or [[ShippingRateSettings]] are intended to apply to all [[OfferShippingDetails]] published by the same merchant, when referenced by a [[shippingSettingsLink]] in those settings. It is not meaningful to use a 'true' value for this property alongside a transitTimeLabel (for [[DeliveryTimeSettings]]) or shippingLabel (for [[ShippingRateSettings]]), since this property is for use with unlabelled settings.
 *
 * https://schema.org/isUnlabelledFallback
 */
var isUnlabelledFallback = 'https://schema.org/isUnlabelledFallback';
/**
 * isbn
 *
 * The ISBN of the book.
 *
 * https://schema.org/isbn
 */
var isbn = 'https://schema.org/isbn';
/**
 * isicV4
 *
 * The International Standard of Industrial Classification of All Economic Activities (ISIC), Revision 4 code for a particular organization, business person, or place.
 *
 * https://schema.org/isicV4
 */
var isicV4 = 'https://schema.org/isicV4';
/**
 * iso6523Code
 *
 * An organization identifier as defined in [ISO 6523(-1)](https://en.wikipedia.org/wiki/ISO/IEC_6523). The identifier should be in the `XXXX:YYYYYY:ZZZ` or `XXXX:YYYYYY`format. Where `XXXX` is a 4 digit _ICD_ (International Code Designator), `YYYYYY` is an _OID_ (Organization Identifier) with all formatting characters (dots, dashes, spaces) removed with a maximal length of 35 characters, and `ZZZ` is an optional OPI (Organization Part Identifier) with a maximum length of 35 characters. The various components (ICD, OID, OPI) are joined with a colon character (ASCII `0x3a`). Note that many existing organization identifiers defined as attributes like [leiCode](https://schema.org/leiCode) (`0199`), [duns](https://schema.org/duns) (`0060`) or [GLN](https://schema.org/globalLocationNumber) (`0088`) can be expressed using ISO-6523. If possible, ISO-6523 codes should be preferred to populating [vatID](https://schema.org/vatID) or [taxID](https://schema.org/taxID), as ISO identifiers are less ambiguous.
 *
 * https://schema.org/iso6523Code
 */
var iso6523Code = 'https://schema.org/iso6523Code';
/**
 * isrcCode
 *
 * The International Standard Recording Code for the recording.
 *
 * https://schema.org/isrcCode
 */
var isrcCode = 'https://schema.org/isrcCode';
/**
 * issn
 *
 * The International Standard Serial Number (ISSN) that identifies this serial publication. You can repeat this property to identify different formats of, or the linking ISSN (ISSN-L) for, this serial publication.
 *
 * https://schema.org/issn
 */
var issn = 'https://schema.org/issn';
/**
 * issueNumber
 *
 * Identifies the issue of publication; for example, "iii" or "2".
 *
 * https://schema.org/issueNumber
 */
var issueNumber = 'https://schema.org/issueNumber';
/**
 * issuedBy
 *
 * The organization issuing the item, for example a [[Permit]], [[Ticket]], or [[Certification]].
 *
 * https://schema.org/issuedBy
 */
var issuedBy = 'https://schema.org/issuedBy';
/**
 * issuedThrough
 *
 * The service through which the permit was granted.
 *
 * https://schema.org/issuedThrough
 */
var issuedThrough = 'https://schema.org/issuedThrough';
/**
 * iswcCode
 *
 * The International Standard Musical Work Code for the composition.
 *
 * https://schema.org/iswcCode
 */
var iswcCode = 'https://schema.org/iswcCode';
/**
 * item
 *
 * An entity represented by an entry in a list or data feed (e.g. an 'artist' in a list of 'artists').
 *
 * https://schema.org/item
 */
var item = 'https://schema.org/item';
/**
 * itemCondition
 *
 * A predefined value from OfferItemCondition specifying the condition of the product or service, or the products or services included in the offer. Also used for product return policies to specify the condition of products accepted for returns.
 *
 * https://schema.org/itemCondition
 */
var itemCondition = 'https://schema.org/itemCondition';
/**
 * itemDefectReturnFees
 *
 * The type of return fees for returns of defect products.
 *
 * https://schema.org/itemDefectReturnFees
 */
var itemDefectReturnFees = 'https://schema.org/itemDefectReturnFees';
/**
 * itemDefectReturnLabelSource
 *
 * The method (from an enumeration) by which the customer obtains a return shipping label for a defect product.
 *
 * https://schema.org/itemDefectReturnLabelSource
 */
var itemDefectReturnLabelSource = 'https://schema.org/itemDefectReturnLabelSource';
/**
 * itemDefectReturnShippingFeesAmount
 *
 * Amount of shipping costs for defect product returns. Applicable when property [[itemDefectReturnFees]] equals [[ReturnShippingFees]].
 *
 * https://schema.org/itemDefectReturnShippingFeesAmount
 */
var itemDefectReturnShippingFeesAmount = 'https://schema.org/itemDefectReturnShippingFeesAmount';
/**
 * itemListElement
 *
 * For itemListElement values, you can use simple strings (e.g. "Peter", "Paul", "Mary"), existing entities, or use ListItem.\n\nText values are best if the elements in the list are plain strings. Existing entities are best for a simple, unordered list of existing things in your data. ListItem is used with ordered lists when you want to provide additional context about the element in that list or when the same item might be in different places in different lists.\n\nNote: The order of elements in your mark-up is not sufficient for indicating the order or elements.  Use ListItem with a 'position' property in such cases.
 *
 * https://schema.org/itemListElement
 */
var itemListElement = 'https://schema.org/itemListElement';
/**
 * itemListOrder
 *
 * Type of ordering (e.g. Ascending, Descending, Unordered).
 *
 * https://schema.org/itemListOrder
 */
var itemListOrder = 'https://schema.org/itemListOrder';
/**
 * https://schema.org/itemLocation
 */
var itemLocation = 'https://schema.org/itemLocation';
/**
 * itemReviewed
 *
 * The item that is being reviewed/rated.
 *
 * https://schema.org/itemReviewed
 */
var itemReviewed = 'https://schema.org/itemReviewed';
/**
 * itemShipped
 *
 * Item(s) being shipped.
 *
 * https://schema.org/itemShipped
 */
var itemShipped = 'https://schema.org/itemShipped';
/**
 * itinerary
 *
 * Destination(s) ( [[Place]] ) that make up a trip. For a trip where destination order is important use [[ItemList]] to specify that order (see examples).
 *
 * https://schema.org/itinerary
 */
var itinerary = 'https://schema.org/itinerary';
/**
 * iupacName
 *
 * Systematic method of naming chemical compounds as recommended by the International Union of Pure and Applied Chemistry (IUPAC).
 *
 * https://schema.org/iupacName
 */
var iupacName = 'https://schema.org/iupacName';
/**
 * jobImmediateStart
 *
 * An indicator as to whether a position is available for an immediate start.
 *
 * https://schema.org/jobImmediateStart
 */
var jobImmediateStart = 'https://schema.org/jobImmediateStart';
/**
 * jobLocation
 *
 * A (typically single) geographic location associated with the job position.
 *
 * https://schema.org/jobLocation
 */
var jobLocation = 'https://schema.org/jobLocation';
/**
 * jobLocationType
 *
 * A description of the job location (e.g. TELECOMMUTE for telecommute jobs).
 *
 * https://schema.org/jobLocationType
 */
var jobLocationType = 'https://schema.org/jobLocationType';
/**
 * jobStartDate
 *
 * The date on which a successful applicant for this job would be expected to start work. Choose a specific date in the future or use the jobImmediateStart property to indicate the position is to be filled as soon as possible.
 *
 * https://schema.org/jobStartDate
 */
var jobStartDate = 'https://schema.org/jobStartDate';
/**
 * jobTitle
 *
 * The job title of the person (for example, Financial Manager).
 *
 * https://schema.org/jobTitle
 */
var jobTitle = 'https://schema.org/jobTitle';
/**
 * keywords
 *
 * Keywords or tags used to describe some item. Multiple textual entries in a keywords list are typically delimited by commas, or by repeating the property.
 *
 * https://schema.org/keywords
 */
var keywords = 'https://schema.org/keywords';
/**
 * knownVehicleDamages
 *
 * A textual description of known damages, both repaired and unrepaired.
 *
 * https://schema.org/knownVehicleDamages
 */
var knownVehicleDamages = 'https://schema.org/knownVehicleDamages';
/**
 * knows
 *
 * The most generic bi-directional social/work relation.
 *
 * https://schema.org/knows
 */
var knows = 'https://schema.org/knows';
/**
 * knowsAbout
 *
 * Of a [[Person]], and less typically of an [[Organization]], to indicate a topic that is known about - suggesting possible expertise but not implying it. We do not distinguish skill levels here, or relate this to educational content, events, objectives or [[JobPosting]] descriptions.
 *
 * https://schema.org/knowsAbout
 */
var knowsAbout = 'https://schema.org/knowsAbout';
/**
 * knowsLanguage
 *
 * Of a [[Person]], and less typically of an [[Organization]], to indicate a known language. We do not distinguish skill levels or reading/writing/speaking/signing here. Use language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47).
 *
 * https://schema.org/knowsLanguage
 */
var knowsLanguage = 'https://schema.org/knowsLanguage';
/**
 * labelDetails
 *
 * Link to the drug's label details.
 *
 * https://schema.org/labelDetails
 */
var labelDetails = 'https://schema.org/labelDetails';
/**
 * landlord
 *
 * A sub property of participant. The owner of the real estate property.
 *
 * https://schema.org/landlord
 */
var landlord = 'https://schema.org/landlord';
/**
 * language
 *
 * A sub property of instrument. The language used on this action.
 *
 * https://schema.org/language
 */
var language = 'https://schema.org/language';
/**
 * lastReviewed
 *
 * Date on which the content on this web page was last reviewed for accuracy and/or completeness.
 *
 * https://schema.org/lastReviewed
 */
var lastReviewed = 'https://schema.org/lastReviewed';
/**
 * latitude
 *
 * The latitude of a location. For example ```37.42242``` ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)).
 *
 * https://schema.org/latitude
 */
var latitude = 'https://schema.org/latitude';
/**
 * layoutImage
 *
 * A schematic image showing the floorplan layout.
 *
 * https://schema.org/layoutImage
 */
var layoutImage = 'https://schema.org/layoutImage';
/**
 * learningResourceType
 *
 * The predominant type or kind characterizing the learning resource. For example, 'presentation', 'handout'.
 *
 * https://schema.org/learningResourceType
 */
var learningResourceType = 'https://schema.org/learningResourceType';
/**
 * leaseLength
 *
 * Length of the lease for some [[Accommodation]], either particular to some [[Offer]] or in some cases intrinsic to the property.
 *
 * https://schema.org/leaseLength
 */
var leaseLength = 'https://schema.org/leaseLength';
/**
 * legalAddress
 *
 * The legal address of an organization which acts as the officially registered address used for legal and tax purposes. The legal address can be different from the place of operations of a business and other addresses can be part of an organization.
 *
 * https://schema.org/legalAddress
 */
var legalAddress = 'https://schema.org/legalAddress';
/**
 * legalName
 *
 * The official name of the organization, e.g. the registered company name.
 *
 * https://schema.org/legalName
 */
var legalName = 'https://schema.org/legalName';
/**
 * legalRepresentative
 *
 * One or multiple persons who represent this organization legally such as CEO or sole administrator.
 *
 * https://schema.org/legalRepresentative
 */
var legalRepresentative = 'https://schema.org/legalRepresentative';
/**
 * legalStatus
 *
 * The drug or supplement's legal status, including any controlled substance schedules that apply.
 *
 * https://schema.org/legalStatus
 */
var legalStatus = 'https://schema.org/legalStatus';
/**
 * legislationAmends
 *
 * Another legislation that this legislation amends, introducing legal changes.
 *
 * https://schema.org/legislationAmends
 */
var legislationAmends = 'https://schema.org/legislationAmends';
/**
 * legislationCommences
 *
 * Another legislation that this one sets into force.
 *
 * https://schema.org/legislationCommences
 */
var legislationCommences = 'https://schema.org/legislationCommences';
/**
 * legislationConsolidates
 *
 * Indicates another legislation taken into account in this consolidated legislation (which is usually the product of an editorial process that revises the legislation). This property should be used multiple times to refer to both the original version or the previous consolidated version, and to the legislations making the change.
 *
 * https://schema.org/legislationConsolidates
 */
var legislationConsolidates = 'https://schema.org/legislationConsolidates';
/**
 * legislationCorrects
 *
 * Another legislation in which this one introduces textual changes, like correction of spelling mistakes, with no legal impact (for modifications that have legal impact, use <a href="/legislationAmends">legislationAmends</a>).
 *
 * https://schema.org/legislationCorrects
 */
var legislationCorrects = 'https://schema.org/legislationCorrects';
/**
 * legislationCountersignedBy
 *
 * The person or organization that countersigned the legislation. Depending on the legal context, a countersignature can indicate that the signed authority undertakes to assume responsibility for texts emanating from a person who is inviolable and irresponsible, (for example a King, Grand Duc or President), or that the authority is in charge of the implementation of the text.
 *
 * https://schema.org/legislationCountersignedBy
 */
var legislationCountersignedBy = 'https://schema.org/legislationCountersignedBy';
/**
 * legislationDate
 *
 * The date of adoption or signature of the legislation. This is the date at which the text is officially aknowledged to be a legislation, even though it might not even be published or in force.
 *
 * https://schema.org/legislationDate
 */
var legislationDate = 'https://schema.org/legislationDate';
/**
 * legislationDateOfApplicability
 *
 * The date at which the Legislation becomes applicable. This can sometimes be distinct from the date of entry into force : a text may come in force today, and state it will become applicable in 3 months.
 *
 * https://schema.org/legislationDateOfApplicability
 */
var legislationDateOfApplicability = 'https://schema.org/legislationDateOfApplicability';
/**
 * legislationDateVersion
 *
 * The point-in-time at which the provided description of the legislation is valid (e.g.: when looking at the law on the 2016-04-07 (= dateVersion), I get the consolidation of 2015-04-12 of the "National Insurance Contributions Act 2015")
 *
 * https://schema.org/legislationDateVersion
 */
var legislationDateVersion = 'https://schema.org/legislationDateVersion';
/**
 * legislationEnsuresImplementationOf
 *
 * Indicates that this Legislation ensures the implementation of another Legislation, for example by modifying national legislations so that they do not contradict to an EU regulation or decision. This implies a legal meaning. Transpositions of EU Directive should be captured with <a href="/legislationTransposes">legislationTransposes</a>.
 *
 * https://schema.org/legislationEnsuresImplementationOf
 */
var legislationEnsuresImplementationOf = 'https://schema.org/legislationEnsuresImplementationOf';
/**
 * legislationIdentifier
 *
 * An identifier for the legislation. This can be either a string-based identifier, like the CELEX at EU level or the NOR in France, or a web-based, URL/URI identifier, like an ELI (European Legislation Identifier) or an URN-Lex.
 *
 * https://schema.org/legislationIdentifier
 */
var legislationIdentifier = 'https://schema.org/legislationIdentifier';
/**
 * legislationJurisdiction
 *
 * The jurisdiction from which the legislation originates.
 *
 * https://schema.org/legislationJurisdiction
 */
var legislationJurisdiction = 'https://schema.org/legislationJurisdiction';
/**
 * legislationLegalForce
 *
 * Whether the legislation is currently in force, not in force, or partially in force.
 *
 * https://schema.org/legislationLegalForce
 */
var legislationLegalForce = 'https://schema.org/legislationLegalForce';
/**
 * legislationLegalValue
 *
 * The legal value of this legislation file. The same legislation can be written in multiple files with different legal values. Typically a digitally signed PDF have a "stronger" legal value than the HTML file of the same act.
 *
 * https://schema.org/legislationLegalValue
 */
var legislationLegalValue = 'https://schema.org/legislationLegalValue';
/**
 * legislationPassedBy
 *
 * The person or organization that originally passed or made the law: typically parliament (for primary legislation) or government (for secondary legislation). This indicates the "legal author" of the law, as opposed to its physical author.
 *
 * https://schema.org/legislationPassedBy
 */
var legislationPassedBy = 'https://schema.org/legislationPassedBy';
/**
 * legislationRepeals
 *
 * Another legislation that this legislation repeals (cancels, abrogates).
 *
 * https://schema.org/legislationRepeals
 */
var legislationRepeals = 'https://schema.org/legislationRepeals';
/**
 * legislationResponsible
 *
 * An individual or organization that has some kind of responsibility for the legislation. Typically the ministry who is/was in charge of elaborating the legislation, or the adressee for potential questions about the legislation once it is published.
 *
 * https://schema.org/legislationResponsible
 */
var legislationResponsible = 'https://schema.org/legislationResponsible';
/**
 * legislationTransposes
 *
 * Indicates that this legislation (or part of legislation) fulfills the objectives set by another legislation, by passing appropriate implementation measures. Typically, some legislations of European Union's member states or regions transpose European Directives. This indicates a legally binding link between the 2 legislations.
 *
 * https://schema.org/legislationTransposes
 */
var legislationTransposes = 'https://schema.org/legislationTransposes';
/**
 * legislationType
 *
 * The type of the legislation. Examples of values are "law", "act", "directive", "decree", "regulation", "statutory instrument", "loi organique", "règlement grand-ducal", etc., depending on the country.
 *
 * https://schema.org/legislationType
 */
var legislationType = 'https://schema.org/legislationType';
/**
 * leiCode
 *
 * An organization identifier that uniquely identifies a legal entity as defined in ISO 17442.
 *
 * https://schema.org/leiCode
 */
var leiCode = 'https://schema.org/leiCode';
/**
 * lender
 *
 * A sub property of participant. The person that lends the object being borrowed.
 *
 * https://schema.org/lender
 */
var lender = 'https://schema.org/lender';
/**
 * lesser
 *
 * This ordering relation for qualitative values indicates that the subject is lesser than the object.
 *
 * https://schema.org/lesser
 */
var lesser = 'https://schema.org/lesser';
/**
 * lesserOrEqual
 *
 * This ordering relation for qualitative values indicates that the subject is lesser than or equal to the object.
 *
 * https://schema.org/lesserOrEqual
 */
var lesserOrEqual = 'https://schema.org/lesserOrEqual';
/**
 * letterer
 *
 * The individual who adds lettering, including speech balloons and sound effects, to artwork.
 *
 * https://schema.org/letterer
 */
var letterer = 'https://schema.org/letterer';
/**
 * license
 *
 * A license document that applies to this content, typically indicated by URL.
 *
 * https://schema.org/license
 */
var license = 'https://schema.org/license';
/**
 * line
 *
 * A line is a point-to-point path consisting of two or more points. A line is expressed as a series of two or more point objects separated by space.
 *
 * https://schema.org/line
 */
var line = 'https://schema.org/line';
/**
 * linkRelationship
 *
 * Indicates the relationship type of a Web link.
 *
 * https://schema.org/linkRelationship
 */
var linkRelationship = 'https://schema.org/linkRelationship';
/**
 * liveBlogUpdate
 *
 * An update to the LiveBlog.
 *
 * https://schema.org/liveBlogUpdate
 */
var liveBlogUpdate = 'https://schema.org/liveBlogUpdate';
/**
 * loanMortgageMandateAmount
 *
 * Amount of mortgage mandate that can be converted into a proper mortgage at a later stage.
 *
 * https://schema.org/loanMortgageMandateAmount
 */
var loanMortgageMandateAmount = 'https://schema.org/loanMortgageMandateAmount';
/**
 * loanPaymentAmount
 *
 * The amount of money to pay in a single payment.
 *
 * https://schema.org/loanPaymentAmount
 */
var loanPaymentAmount = 'https://schema.org/loanPaymentAmount';
/**
 * loanPaymentFrequency
 *
 * Frequency of payments due, i.e. number of months between payments. This is defined as a frequency, i.e. the reciprocal of a period of time.
 *
 * https://schema.org/loanPaymentFrequency
 */
var loanPaymentFrequency = 'https://schema.org/loanPaymentFrequency';
/**
 * loanRepaymentForm
 *
 * A form of paying back money previously borrowed from a lender. Repayment usually takes the form of periodic payments that normally include part principal plus interest in each payment.
 *
 * https://schema.org/loanRepaymentForm
 */
var loanRepaymentForm = 'https://schema.org/loanRepaymentForm';
/**
 * loanTerm
 *
 * The duration of the loan or credit agreement.
 *
 * https://schema.org/loanTerm
 */
var loanTerm = 'https://schema.org/loanTerm';
/**
 * loanType
 *
 * The type of a loan or credit.
 *
 * https://schema.org/loanType
 */
var loanType = 'https://schema.org/loanType';
/**
 * locationCreated
 *
 * The location where the CreativeWork was created, which may not be the same as the location depicted in the CreativeWork.
 *
 * https://schema.org/locationCreated
 */
var locationCreated = 'https://schema.org/locationCreated';
/**
 * lodgingUnitDescription
 *
 * A full description of the lodging unit.
 *
 * https://schema.org/lodgingUnitDescription
 */
var lodgingUnitDescription = 'https://schema.org/lodgingUnitDescription';
/**
 * lodgingUnitType
 *
 * Textual description of the unit type (including suite vs. room, size of bed, etc.).
 *
 * https://schema.org/lodgingUnitType
 */
var lodgingUnitType = 'https://schema.org/lodgingUnitType';
/**
 * logo
 *
 * An associated logo.
 *
 * https://schema.org/logo
 */
var logo = 'https://schema.org/logo';
/**
 * longitude
 *
 * The longitude of a location. For example ```-122.08585``` ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)).
 *
 * https://schema.org/longitude
 */
var longitude = 'https://schema.org/longitude';
/**
 * loser
 *
 * A sub property of participant. The loser of the action.
 *
 * https://schema.org/loser
 */
var loser = 'https://schema.org/loser';
/**
 * lowPrice
 *
 * The lowest price of all offers available.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * https://schema.org/lowPrice
 */
var lowPrice = 'https://schema.org/lowPrice';
/**
 * lyricist
 *
 * The person who wrote the words.
 *
 * https://schema.org/lyricist
 */
var lyricist = 'https://schema.org/lyricist';
/**
 * lyrics
 *
 * The words in the song.
 *
 * https://schema.org/lyrics
 */
var lyrics = 'https://schema.org/lyrics';
/**
 * maintainer
 *
 * A maintainer of a [[Dataset]], software package ([[SoftwareApplication]]), or other [[Project]]. A maintainer is a [[Person]] or [[Organization]] that manages contributions to, and/or publication of, some (typically complex) artifact. It is common for distributions of software and data to be based on "upstream" sources. When [[maintainer]] is applied to a specific version of something e.g. a particular version or packaging of a [[Dataset]], it is always  possible that the upstream source has a different maintainer. The [[isBasedOn]] property can be used to indicate such relationships between datasets to make the different maintenance roles clear. Similarly in the case of software, a package may have dedicated maintainers working on integration into software distributions such as Ubuntu, as well as upstream maintainers of the underlying work.
 *
 *
 * https://schema.org/maintainer
 */
var maintainer = 'https://schema.org/maintainer';
/**
 * manufacturer
 *
 * The manufacturer of the product.
 *
 * https://schema.org/manufacturer
 */
var manufacturer = 'https://schema.org/manufacturer';
/**
 * map
 *
 * A URL to a map of the place.
 *
 * https://schema.org/map
 */
var map = 'https://schema.org/map';
/**
 * mapType
 *
 * Indicates the kind of Map, from the MapCategoryType Enumeration.
 *
 * https://schema.org/mapType
 */
var mapType = 'https://schema.org/mapType';
/**
 * maps
 *
 * A URL to a map of the place.
 *
 * https://schema.org/maps
 */
var maps = 'https://schema.org/maps';
/**
 * marginOfError
 *
 * A [[marginOfError]] for an [[Observation]].
 *
 * https://schema.org/marginOfError
 */
var marginOfError = 'https://schema.org/marginOfError';
/**
 * masthead
 *
 * For a [[NewsMediaOrganization]], a link to the masthead page or a page listing top editorial management.
 *
 * https://schema.org/masthead
 */
var masthead = 'https://schema.org/masthead';
/**
 * https://schema.org/materialExtent
 */
var materialExtent = 'https://schema.org/materialExtent';
/**
 * mathExpression
 *
 * A mathematical expression (e.g. 'x^2-3x=0') that may be solved for a specific variable, simplified, or transformed. This can take many formats, e.g. LaTeX, Ascii-Math, or math as you would write with a keyboard.
 *
 * https://schema.org/mathExpression
 */
var mathExpression = 'https://schema.org/mathExpression';
/**
 * maxPrice
 *
 * The highest price if the price is a range.
 *
 * https://schema.org/maxPrice
 */
var maxPrice = 'https://schema.org/maxPrice';
/**
 * maxValue
 *
 * The upper value of some characteristic or property.
 *
 * https://schema.org/maxValue
 */
var maxValue = 'https://schema.org/maxValue';
/**
 * maximumAttendeeCapacity
 *
 * The total number of individuals that may attend an event or venue.
 *
 * https://schema.org/maximumAttendeeCapacity
 */
var maximumAttendeeCapacity = 'https://schema.org/maximumAttendeeCapacity';
/**
 * maximumEnrollment
 *
 * The maximum number of students who may be enrolled in the program.
 *
 * https://schema.org/maximumEnrollment
 */
var maximumEnrollment = 'https://schema.org/maximumEnrollment';
/**
 * maximumIntake
 *
 * Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 * https://schema.org/maximumIntake
 */
var maximumIntake = 'https://schema.org/maximumIntake';
/**
 * maximumPhysicalAttendeeCapacity
 *
 * The maximum physical attendee capacity of an [[Event]] whose [[eventAttendanceMode]] is [[OfflineEventAttendanceMode]] (or the offline aspects, in the case of a [[MixedEventAttendanceMode]]).
 *
 * https://schema.org/maximumPhysicalAttendeeCapacity
 */
var maximumPhysicalAttendeeCapacity = 'https://schema.org/maximumPhysicalAttendeeCapacity';
/**
 * maximumVirtualAttendeeCapacity
 *
 * The maximum virtual attendee capacity of an [[Event]] whose [[eventAttendanceMode]] is [[OnlineEventAttendanceMode]] (or the online aspects, in the case of a [[MixedEventAttendanceMode]]).
 *
 * https://schema.org/maximumVirtualAttendeeCapacity
 */
var maximumVirtualAttendeeCapacity = 'https://schema.org/maximumVirtualAttendeeCapacity';
/**
 * mealService
 *
 * Description of the meals that will be provided or available for purchase.
 *
 * https://schema.org/mealService
 */
var mealService = 'https://schema.org/mealService';
/**
 * measuredProperty
 *
 * The measuredProperty of an [[Observation]], typically via its [[StatisticalVariable]]. There are various kinds of applicable [[Property]]: a schema.org property, a property from other RDF-compatible systems, e.g. W3C RDF Data Cube, Data Commons, Wikidata, or schema.org extensions such as [GS1's](https://www.gs1.org/voc/?show=properties).
 *
 * https://schema.org/measuredProperty
 */
var measuredProperty = 'https://schema.org/measuredProperty';
/**
 * measurementDenominator
 *
 * Identifies the denominator variable when an observation represents a ratio or percentage.
 *
 * https://schema.org/measurementDenominator
 */
var measurementDenominator = 'https://schema.org/measurementDenominator';
/**
 * measurementMethod
 *
 * A subproperty of [[measurementTechnique]] that can be used for specifying specific methods, in particular via [[MeasurementMethodEnum]].
 *
 * https://schema.org/measurementMethod
 */
var measurementMethod = 'https://schema.org/measurementMethod';
/**
 * measurementQualifier
 *
 * Provides additional qualification to an observation. For example, a GDP observation measures the Nominal value.
 *
 * https://schema.org/measurementQualifier
 */
var measurementQualifier = 'https://schema.org/measurementQualifier';
/**
 * mechanismOfAction
 *
 * The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.
 *
 * https://schema.org/mechanismOfAction
 */
var mechanismOfAction = 'https://schema.org/mechanismOfAction';
/**
 * mediaAuthenticityCategory
 *
 * Indicates a MediaManipulationRatingEnumeration classification of a media object (in the context of how it was published or shared).
 *
 * https://schema.org/mediaAuthenticityCategory
 */
var mediaAuthenticityCategory = 'https://schema.org/mediaAuthenticityCategory';
/**
 * mediaItemAppearance
 *
 * In the context of a [[MediaReview]], indicates specific media item(s) that are grouped using a [[MediaReviewItem]].
 *
 * https://schema.org/mediaItemAppearance
 */
var mediaItemAppearance = 'https://schema.org/mediaItemAppearance';
/**
 * median
 *
 * The median value.
 *
 * https://schema.org/median
 */
var median = 'https://schema.org/median';
/**
 * medicalAudience
 *
 * Medical audience for page.
 *
 * https://schema.org/medicalAudience
 */
var medicalAudience = 'https://schema.org/medicalAudience';
/**
 * medicalSpecialty
 *
 * A medical specialty of the provider.
 *
 * https://schema.org/medicalSpecialty
 */
var medicalSpecialty = 'https://schema.org/medicalSpecialty';
/**
 * medicineSystem
 *
 * The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.
 *
 * https://schema.org/medicineSystem
 */
var medicineSystem = 'https://schema.org/medicineSystem';
/**
 * meetsEmissionStandard
 *
 * Indicates that the vehicle meets the respective emission standard.
 *
 * https://schema.org/meetsEmissionStandard
 */
var meetsEmissionStandard = 'https://schema.org/meetsEmissionStandard';
/**
 * members
 *
 * A member of this organization.
 *
 * https://schema.org/members
 */
var members = 'https://schema.org/members';
/**
 * membershipNumber
 *
 * A unique identifier for the membership.
 *
 * https://schema.org/membershipNumber
 */
var membershipNumber = 'https://schema.org/membershipNumber';
/**
 * membershipPointsEarned
 *
 * The number of membership points earned by the member. If necessary, the unitText can be used to express the units the points are issued in. (E.g. stars, miles, etc.)
 *
 * https://schema.org/membershipPointsEarned
 */
var membershipPointsEarned = 'https://schema.org/membershipPointsEarned';
/**
 * memoryRequirements
 *
 * Minimum memory requirements.
 *
 * https://schema.org/memoryRequirements
 */
var memoryRequirements = 'https://schema.org/memoryRequirements';
/**
 * mentions
 *
 * Indicates that the CreativeWork contains a reference to, but is not necessarily about a concept.
 *
 * https://schema.org/mentions
 */
var mentions = 'https://schema.org/mentions';
/**
 * menu
 *
 * Either the actual menu as a structured representation, as text, or a URL of the menu.
 *
 * https://schema.org/menu
 */
var menu = 'https://schema.org/menu';
/**
 * menuAddOn
 *
 * Additional menu item(s) such as a side dish of salad or side order of fries that can be added to this menu item. Additionally it can be a menu section containing allowed add-on menu items for this menu item.
 *
 * https://schema.org/menuAddOn
 */
var menuAddOn = 'https://schema.org/menuAddOn';
/**
 * merchant
 *
 * 'merchant' is an out-dated term for 'seller'.
 *
 * https://schema.org/merchant
 */
var merchant = 'https://schema.org/merchant';
/**
 * messageAttachment
 *
 * A CreativeWork attached to the message.
 *
 * https://schema.org/messageAttachment
 */
var messageAttachment = 'https://schema.org/messageAttachment';
/**
 * mileageFromOdometer
 *
 * The total distance travelled by the particular vehicle since its initial production, as read from its odometer.\n\nTypical unit code(s): KMT for kilometers, SMI for statute miles.
 *
 * https://schema.org/mileageFromOdometer
 */
var mileageFromOdometer = 'https://schema.org/mileageFromOdometer';
/**
 * minPrice
 *
 * The lowest price if the price is a range.
 *
 * https://schema.org/minPrice
 */
var minPrice = 'https://schema.org/minPrice';
/**
 * minValue
 *
 * The lower value of some characteristic or property.
 *
 * https://schema.org/minValue
 */
var minValue = 'https://schema.org/minValue';
/**
 * minimumPaymentDue
 *
 * The minimum payment required at this time.
 *
 * https://schema.org/minimumPaymentDue
 */
var minimumPaymentDue = 'https://schema.org/minimumPaymentDue';
/**
 * missionCoveragePrioritiesPolicy
 *
 * For a [[NewsMediaOrganization]], a statement on coverage priorities, including any public agenda or stance on issues.
 *
 * https://schema.org/missionCoveragePrioritiesPolicy
 */
var missionCoveragePrioritiesPolicy = 'https://schema.org/missionCoveragePrioritiesPolicy';
/**
 * mobileUrl
 *
 * The [[mobileUrl]] property is provided for specific situations in which data consumers need to determine whether one of several provided URLs is a dedicated 'mobile site'.
 *
 * To discourage over-use, and reflecting intial usecases, the property is expected only on [[Product]] and [[Offer]], rather than [[Thing]]. The general trend in web technology is towards [responsive design](https://en.wikipedia.org/wiki/Responsive_web_design) in which content can be flexibly adapted to a wide range of browsing environments. Pages and sites referenced with the long-established [[url]] property should ideally also be usable on a wide variety of devices, including mobile phones. In most cases, it would be pointless and counter productive to attempt to update all [[url]] markup to use [[mobileUrl]] for more mobile-oriented pages. The property is intended for the case when items (primarily [[Product]] and [[Offer]]) have extra URLs hosted on an additional "mobile site" alongside the main one. It should not be taken as an endorsement of this publication style.
 *
 *
 * https://schema.org/mobileUrl
 */
var mobileUrl = 'https://schema.org/mobileUrl';
/**
 * model
 *
 * The model of the product. Use with the URL of a ProductModel or a textual representation of the model identifier. The URL of the ProductModel can be from an external source. It is recommended to additionally provide strong product identifiers via the gtin8/gtin13/gtin14 and mpn properties.
 *
 * https://schema.org/model
 */
var model = 'https://schema.org/model';
/**
 * modelDate
 *
 * The release date of a vehicle model (often used to differentiate versions of the same make and model).
 *
 * https://schema.org/modelDate
 */
var modelDate = 'https://schema.org/modelDate';
/**
 * modifiedTime
 *
 * The date and time the reservation was modified.
 *
 * https://schema.org/modifiedTime
 */
var modifiedTime = 'https://schema.org/modifiedTime';
/**
 * molecularFormula
 *
 * The empirical formula is the simplest whole number ratio of all the atoms in a molecule.
 *
 * https://schema.org/molecularFormula
 */
var molecularFormula = 'https://schema.org/molecularFormula';
/**
 * molecularWeight
 *
 * This is the molecular weight of the entity being described, not of the parent. Units should be included in the form '&lt;Number&gt; &lt;unit&gt;', for example '12 amu' or as '&lt;QuantitativeValue&gt;.
 *
 * https://schema.org/molecularWeight
 */
var molecularWeight = 'https://schema.org/molecularWeight';
/**
 * monoisotopicMolecularWeight
 *
 * The monoisotopic mass is the sum of the masses of the atoms in a molecule using the unbound, ground-state, rest mass of the principal (most abundant) isotope for each element instead of the isotopic average mass. Please include the units in the form '&lt;Number&gt; &lt;unit&gt;', for example '770.230488 g/mol' or as '&lt;QuantitativeValue&gt;.
 *
 * https://schema.org/monoisotopicMolecularWeight
 */
var monoisotopicMolecularWeight = 'https://schema.org/monoisotopicMolecularWeight';
/**
 * monthlyMinimumRepaymentAmount
 *
 * The minimum payment is the lowest amount of money that one is required to pay on a credit card statement each month.
 *
 * https://schema.org/monthlyMinimumRepaymentAmount
 */
var monthlyMinimumRepaymentAmount = 'https://schema.org/monthlyMinimumRepaymentAmount';
/**
 * monthsOfExperience
 *
 * Indicates the minimal number of months of experience required for a position.
 *
 * https://schema.org/monthsOfExperience
 */
var monthsOfExperience = 'https://schema.org/monthsOfExperience';
/**
 * mpn
 *
 * The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.
 *
 * https://schema.org/mpn
 */
var mpn = 'https://schema.org/mpn';
/**
 * multipleValues
 *
 * Whether multiple values are allowed for the property.  Default is false.
 *
 * https://schema.org/multipleValues
 */
var multipleValues = 'https://schema.org/multipleValues';
/**
 * muscleAction
 *
 * The movement the muscle generates.
 *
 * https://schema.org/muscleAction
 */
var muscleAction = 'https://schema.org/muscleAction';
/**
 * musicArrangement
 *
 * An arrangement derived from the composition.
 *
 * https://schema.org/musicArrangement
 */
var musicArrangement = 'https://schema.org/musicArrangement';
/**
 * musicBy
 *
 * The composer of the soundtrack.
 *
 * https://schema.org/musicBy
 */
var musicBy = 'https://schema.org/musicBy';
/**
 * musicCompositionForm
 *
 * The type of composition (e.g. overture, sonata, symphony, etc.).
 *
 * https://schema.org/musicCompositionForm
 */
var musicCompositionForm = 'https://schema.org/musicCompositionForm';
/**
 * musicGroupMember
 *
 * A member of a music group&#x2014;for example, John, Paul, George, or Ringo.
 *
 * https://schema.org/musicGroupMember
 */
var musicGroupMember = 'https://schema.org/musicGroupMember';
/**
 * musicReleaseFormat
 *
 * Format of this release (the type of recording media used, i.e. compact disc, digital media, LP, etc.).
 *
 * https://schema.org/musicReleaseFormat
 */
var musicReleaseFormat = 'https://schema.org/musicReleaseFormat';
/**
 * musicalKey
 *
 * The key, mode, or scale this composition uses.
 *
 * https://schema.org/musicalKey
 */
var musicalKey = 'https://schema.org/musicalKey';
/**
 * naics
 *
 * The North American Industry Classification System (NAICS) code for a particular organization or business person.
 *
 * https://schema.org/naics
 */
var naics = 'https://schema.org/naics';
/**
 * name
 *
 * The name of the item.
 *
 * https://schema.org/name
 */
var name = 'https://schema.org/name';
/**
 * namedPosition
 *
 * A position played, performed or filled by a person or organization, as part of an organization. For example, an athlete in a SportsTeam might play in the position named 'Quarterback'.
 *
 * https://schema.org/namedPosition
 */
var namedPosition = 'https://schema.org/namedPosition';
/**
 * nationality
 *
 * Nationality of the person.
 *
 * https://schema.org/nationality
 */
var nationality = 'https://schema.org/nationality';
/**
 * naturalProgression
 *
 * The expected progression of the condition if it is not treated and allowed to progress naturally.
 *
 * https://schema.org/naturalProgression
 */
var naturalProgression = 'https://schema.org/naturalProgression';
/**
 * negativeNotes
 *
 * Provides negative considerations regarding something, most typically in pro/con lists for reviews (alongside [[positiveNotes]]). For symmetry
 *
 * In the case of a [[Review]], the property describes the [[itemReviewed]] from the perspective of the review; in the case of a [[Product]], the product itself is being described. Since product descriptions
 * tend to emphasise positive claims, it may be relatively unusual to find [[negativeNotes]] used in this way. Nevertheless for the sake of symmetry, [[negativeNotes]] can be used on [[Product]].
 *
 * The property values can be expressed either as unstructured text (repeated as necessary), or if ordered, as a list (in which case the most negative is at the beginning of the list).
 *
 * https://schema.org/negativeNotes
 */
var negativeNotes = 'https://schema.org/negativeNotes';
/**
 * nerve
 *
 * The underlying innervation associated with the muscle.
 *
 * https://schema.org/nerve
 */
var nerve = 'https://schema.org/nerve';
/**
 * nerveMotor
 *
 * The neurological pathway extension that involves muscle control.
 *
 * https://schema.org/nerveMotor
 */
var nerveMotor = 'https://schema.org/nerveMotor';
/**
 * netWorth
 *
 * The total financial value of the person as calculated by subtracting the total value of liabilities from the total value of assets.
 *
 * https://schema.org/netWorth
 */
var netWorth = 'https://schema.org/netWorth';
/**
 * newsUpdatesAndGuidelines
 *
 * Indicates a page with news updates and guidelines. This could often be (but is not required to be) the main page containing [[SpecialAnnouncement]] markup on a site.
 *
 * https://schema.org/newsUpdatesAndGuidelines
 */
var newsUpdatesAndGuidelines = 'https://schema.org/newsUpdatesAndGuidelines';
/**
 * nextItem
 *
 * A link to the ListItem that follows the current one.
 *
 * https://schema.org/nextItem
 */
var nextItem = 'https://schema.org/nextItem';
/**
 * noBylinesPolicy
 *
 * For a [[NewsMediaOrganization]] or other news-related [[Organization]], a statement explaining when authors of articles are not named in bylines.
 *
 * https://schema.org/noBylinesPolicy
 */
var noBylinesPolicy = 'https://schema.org/noBylinesPolicy';
/**
 * nonEqual
 *
 * This ordering relation for qualitative values indicates that the subject is not equal to the object.
 *
 * https://schema.org/nonEqual
 */
var nonEqual = 'https://schema.org/nonEqual';
/**
 * nonProprietaryName
 *
 * The generic name of this drug or supplement.
 *
 * https://schema.org/nonProprietaryName
 */
var nonProprietaryName = 'https://schema.org/nonProprietaryName';
/**
 * nonprofitStatus
 *
 * nonprofitStatus indicates the legal status of a non-profit organization in its primary place of business.
 *
 * https://schema.org/nonprofitStatus
 */
var nonprofitStatus = 'https://schema.org/nonprofitStatus';
/**
 * normalRange
 *
 * Range of acceptable values for a typical patient, when applicable.
 *
 * https://schema.org/normalRange
 */
var normalRange = 'https://schema.org/normalRange';
/**
 * nsn
 *
 * Indicates the [NATO stock number](https://en.wikipedia.org/wiki/NATO_Stock_Number) (nsn) of a [[Product]].
 *
 * https://schema.org/nsn
 */
var nsn = 'https://schema.org/nsn';
/**
 * numAdults
 *
 * The number of adults staying in the unit.
 *
 * https://schema.org/numAdults
 */
var numAdults = 'https://schema.org/numAdults';
/**
 * numChildren
 *
 * The number of children staying in the unit.
 *
 * https://schema.org/numChildren
 */
var numChildren = 'https://schema.org/numChildren';
/**
 * numConstraints
 *
 * Indicates the number of constraints property values defined for a particular [[ConstraintNode]] such as [[StatisticalVariable]]. This helps applications understand if they have access to a sufficiently complete description of a [[StatisticalVariable]] or other construct that is defined using properties on template-style nodes.
 *
 * https://schema.org/numConstraints
 */
var numConstraints = 'https://schema.org/numConstraints';
/**
 * numItems
 *
 * Limits the number of items being shipped for which these conditions apply.
 *
 * https://schema.org/numItems
 */
var numItems = 'https://schema.org/numItems';
/**
 * numTracks
 *
 * The number of tracks in this album or playlist.
 *
 * https://schema.org/numTracks
 */
var numTracks = 'https://schema.org/numTracks';
/**
 * numberOfAccommodationUnits
 *
 * Indicates the total (available plus unavailable) number of accommodation units in an [[ApartmentComplex]], or the number of accommodation units for a specific [[FloorPlan]] (within its specific [[ApartmentComplex]]). See also [[numberOfAvailableAccommodationUnits]].
 *
 * https://schema.org/numberOfAccommodationUnits
 */
var numberOfAccommodationUnits = 'https://schema.org/numberOfAccommodationUnits';
/**
 * numberOfAirbags
 *
 * The number or type of airbags in the vehicle.
 *
 * https://schema.org/numberOfAirbags
 */
var numberOfAirbags = 'https://schema.org/numberOfAirbags';
/**
 * numberOfAvailableAccommodationUnits
 *
 * Indicates the number of available accommodation units in an [[ApartmentComplex]], or the number of accommodation units for a specific [[FloorPlan]] (within its specific [[ApartmentComplex]]). See also [[numberOfAccommodationUnits]].
 *
 * https://schema.org/numberOfAvailableAccommodationUnits
 */
var numberOfAvailableAccommodationUnits = 'https://schema.org/numberOfAvailableAccommodationUnits';
/**
 * numberOfAxles
 *
 * The number of axles.\n\nTypical unit code(s): C62.
 *
 * https://schema.org/numberOfAxles
 */
var numberOfAxles = 'https://schema.org/numberOfAxles';
/**
 * numberOfBathroomsTotal
 *
 * The total integer number of bathrooms in some [[Accommodation]], following real estate conventions as [documented in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsTotalInteger+Field): "The simple sum of the number of bathrooms. For example for a property with two Full Bathrooms and one Half Bathroom, the Bathrooms Total Integer will be 3.". See also [[numberOfRooms]].
 *
 * https://schema.org/numberOfBathroomsTotal
 */
var numberOfBathroomsTotal = 'https://schema.org/numberOfBathroomsTotal';
/**
 * numberOfBedrooms
 *
 * The total integer number of bedrooms in a some [[Accommodation]], [[ApartmentComplex]] or [[FloorPlan]].
 *
 * https://schema.org/numberOfBedrooms
 */
var numberOfBedrooms = 'https://schema.org/numberOfBedrooms';
/**
 * numberOfBeds
 *
 * The quantity of the given bed type available in the HotelRoom, Suite, House, or Apartment.
 *
 * https://schema.org/numberOfBeds
 */
var numberOfBeds = 'https://schema.org/numberOfBeds';
/**
 * numberOfCredits
 *
 * The number of credits or units awarded by a Course or required to complete an EducationalOccupationalProgram.
 *
 * https://schema.org/numberOfCredits
 */
var numberOfCredits = 'https://schema.org/numberOfCredits';
/**
 * numberOfDoors
 *
 * The number of doors.\n\nTypical unit code(s): C62.
 *
 * https://schema.org/numberOfDoors
 */
var numberOfDoors = 'https://schema.org/numberOfDoors';
/**
 * numberOfEmployees
 *
 * The number of employees in an organization, e.g. business.
 *
 * https://schema.org/numberOfEmployees
 */
var numberOfEmployees = 'https://schema.org/numberOfEmployees';
/**
 * numberOfEpisodes
 *
 * The number of episodes in this season or series.
 *
 * https://schema.org/numberOfEpisodes
 */
var numberOfEpisodes = 'https://schema.org/numberOfEpisodes';
/**
 * numberOfForwardGears
 *
 * The total number of forward gears available for the transmission system of the vehicle.\n\nTypical unit code(s): C62.
 *
 * https://schema.org/numberOfForwardGears
 */
var numberOfForwardGears = 'https://schema.org/numberOfForwardGears';
/**
 * numberOfFullBathrooms
 *
 * Number of full bathrooms - The total number of full and ¾ bathrooms in an [[Accommodation]]. This corresponds to the [BathroomsFull field in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsFull+Field).
 *
 * https://schema.org/numberOfFullBathrooms
 */
var numberOfFullBathrooms = 'https://schema.org/numberOfFullBathrooms';
/**
 * numberOfItems
 *
 * The number of items in an ItemList. Note that some descriptions might not fully describe all items in a list (e.g., multi-page pagination); in such cases, the numberOfItems would be for the entire list.
 *
 * https://schema.org/numberOfItems
 */
var numberOfItems = 'https://schema.org/numberOfItems';
/**
 * numberOfLoanPayments
 *
 * The number of payments contractually required at origination to repay the loan. For monthly paying loans this is the number of months from the contractual first payment date to the maturity date.
 *
 * https://schema.org/numberOfLoanPayments
 */
var numberOfLoanPayments = 'https://schema.org/numberOfLoanPayments';
/**
 * numberOfPages
 *
 * The number of pages in the book.
 *
 * https://schema.org/numberOfPages
 */
var numberOfPages = 'https://schema.org/numberOfPages';
/**
 * numberOfPartialBathrooms
 *
 * Number of partial bathrooms - The total number of half and ¼ bathrooms in an [[Accommodation]]. This corresponds to the [BathroomsPartial field in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsPartial+Field).
 *
 * https://schema.org/numberOfPartialBathrooms
 */
var numberOfPartialBathrooms = 'https://schema.org/numberOfPartialBathrooms';
/**
 * numberOfPlayers
 *
 * Indicate how many people can play this game (minimum, maximum, or range).
 *
 * https://schema.org/numberOfPlayers
 */
var numberOfPlayers = 'https://schema.org/numberOfPlayers';
/**
 * numberOfPreviousOwners
 *
 * The number of owners of the vehicle, including the current one.\n\nTypical unit code(s): C62.
 *
 * https://schema.org/numberOfPreviousOwners
 */
var numberOfPreviousOwners = 'https://schema.org/numberOfPreviousOwners';
/**
 * numberOfRooms
 *
 * The number of rooms (excluding bathrooms and closets) of the accommodation or lodging business.
 * Typical unit code(s): ROM for room or C62 for no unit. The type of room can be put in the unitText property of the QuantitativeValue.
 *
 * https://schema.org/numberOfRooms
 */
var numberOfRooms = 'https://schema.org/numberOfRooms';
/**
 * numberOfSeasons
 *
 * The number of seasons in this series.
 *
 * https://schema.org/numberOfSeasons
 */
var numberOfSeasons = 'https://schema.org/numberOfSeasons';
/**
 * numberedPosition
 *
 * A number associated with a role in an organization, for example, the number on an athlete's jersey.
 *
 * https://schema.org/numberedPosition
 */
var numberedPosition = 'https://schema.org/numberedPosition';
/**
 * nutrition
 *
 * Nutrition information about the recipe or menu item.
 *
 * https://schema.org/nutrition
 */
var nutrition = 'https://schema.org/nutrition';
/**
 * observationAbout
 *
 * The [[observationAbout]] property identifies an entity, often a [[Place]], associated with an [[Observation]].
 *
 * https://schema.org/observationAbout
 */
var observationAbout = 'https://schema.org/observationAbout';
/**
 * observationDate
 *
 * The observationDate of an [[Observation]].
 *
 * https://schema.org/observationDate
 */
var observationDate = 'https://schema.org/observationDate';
/**
 * observationPeriod
 *
 * The length of time an Observation took place over. The format follows `P[0-9]*[Y|M|D|h|m|s]`. For example, P1Y is Period 1 Year, P3M is Period 3 Months, P3h is Period 3 hours.
 *
 * https://schema.org/observationPeriod
 */
var observationPeriod = 'https://schema.org/observationPeriod';
/**
 * occupancy
 *
 * The allowed total occupancy for the accommodation in persons (including infants etc). For individual accommodations, this is not necessarily the legal maximum but defines the permitted usage as per the contractual agreement (e.g. a double room used by a single person).
 * Typical unit code(s): C62 for person.
 *
 * https://schema.org/occupancy
 */
var occupancy = 'https://schema.org/occupancy';
/**
 * occupationLocation
 *
 *  The region/country for which this occupational description is appropriate. Note that educational requirements and qualifications can vary between jurisdictions.
 *
 * https://schema.org/occupationLocation
 */
var occupationLocation = 'https://schema.org/occupationLocation';
/**
 * occupationalCategory
 *
 * A category describing the job, preferably using a term from a taxonomy such as [BLS O*NET-SOC](http://www.onetcenter.org/taxonomy.html), [ISCO-08](https://www.ilo.org/public/english/bureau/stat/isco/isco08/) or similar, with the property repeated for each applicable value. Ideally the taxonomy should be identified, and both the textual label and formal code for the category should be provided.\n
 * Note: for historical reasons, any textual label and formal code provided as a literal may be assumed to be from O*NET-SOC.
 *
 * https://schema.org/occupationalCategory
 */
var occupationalCategory = 'https://schema.org/occupationalCategory';
/**
 * occupationalCredentialAwarded
 *
 * A description of the qualification, award, certificate, diploma or other occupational credential awarded as a consequence of successful completion of this course or program.
 *
 * https://schema.org/occupationalCredentialAwarded
 */
var occupationalCredentialAwarded = 'https://schema.org/occupationalCredentialAwarded';
/**
 * offerCount
 *
 * The number of offers for the product.
 *
 * https://schema.org/offerCount
 */
var offerCount = 'https://schema.org/offerCount';
/**
 * offersPrescriptionByMail
 *
 * Whether prescriptions can be delivered by mail.
 *
 * https://schema.org/offersPrescriptionByMail
 */
var offersPrescriptionByMail = 'https://schema.org/offersPrescriptionByMail';
/**
 * openingHours
 *
 * The general opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas ',' separating each day. Day or time ranges are specified using a hyphen '-'.\n\n* Days are specified using the following two-letter combinations: ```Mo```, ```Tu```, ```We```, ```Th```, ```Fr```, ```Sa```, ```Su```.\n* Times are specified using 24:00 format. For example, 3pm is specified as ```15:00```, 10am as ```10:00```. \n* Here is an example: <code>&lt;time itemprop="openingHours" datetime=&quot;Tu,Th 16:00-20:00&quot;&gt;Tuesdays and Thursdays 4-8pm&lt;/time&gt;</code>.\n* If a business is open 7 days a week, then it can be specified as <code>&lt;time itemprop=&quot;openingHours&quot; datetime=&quot;Mo-Su&quot;&gt;Monday through Sunday, all day&lt;/time&gt;</code>.
 *
 * https://schema.org/openingHours
 */
var openingHours = 'https://schema.org/openingHours';
/**
 * openingHoursSpecification
 *
 * The opening hours of a certain place.
 *
 * https://schema.org/openingHoursSpecification
 */
var openingHoursSpecification = 'https://schema.org/openingHoursSpecification';
/**
 * opens
 *
 * The opening hour of the place or service on the given day(s) of the week.
 *
 * https://schema.org/opens
 */
var opens = 'https://schema.org/opens';
/**
 * operatingSystem
 *
 * Operating systems supported (Windows 7, OS X 10.6, Android 1.6).
 *
 * https://schema.org/operatingSystem
 */
var operatingSystem = 'https://schema.org/operatingSystem';
/**
 * opponent
 *
 * A sub property of participant. The opponent on this action.
 *
 * https://schema.org/opponent
 */
var opponent = 'https://schema.org/opponent';
/**
 * option
 *
 * A sub property of object. The options subject to this action.
 *
 * https://schema.org/option
 */
var option = 'https://schema.org/option';
/**
 * orderDate
 *
 * Date order was placed.
 *
 * https://schema.org/orderDate
 */
var orderDate = 'https://schema.org/orderDate';
/**
 * orderDelivery
 *
 * The delivery of the parcel related to this order or order item.
 *
 * https://schema.org/orderDelivery
 */
var orderDelivery = 'https://schema.org/orderDelivery';
/**
 * orderItemNumber
 *
 * The identifier of the order item.
 *
 * https://schema.org/orderItemNumber
 */
var orderItemNumber = 'https://schema.org/orderItemNumber';
/**
 * orderItemStatus
 *
 * The current status of the order item.
 *
 * https://schema.org/orderItemStatus
 */
var orderItemStatus = 'https://schema.org/orderItemStatus';
/**
 * orderNumber
 *
 * The identifier of the transaction.
 *
 * https://schema.org/orderNumber
 */
var orderNumber = 'https://schema.org/orderNumber';
/**
 * orderPercentage
 *
 * Fraction of the value of the order that is charged as shipping cost.
 *
 * https://schema.org/orderPercentage
 */
var orderPercentage = 'https://schema.org/orderPercentage';
/**
 * orderQuantity
 *
 * The number of the item ordered. If the property is not set, assume the quantity is one.
 *
 * https://schema.org/orderQuantity
 */
var orderQuantity = 'https://schema.org/orderQuantity';
/**
 * orderStatus
 *
 * The current status of the order.
 *
 * https://schema.org/orderStatus
 */
var orderStatus = 'https://schema.org/orderStatus';
/**
 * orderValue
 *
 * Minimum and maximum order value for which these shipping conditions are valid.
 *
 * https://schema.org/orderValue
 */
var orderValue = 'https://schema.org/orderValue';
/**
 * orderedItem
 *
 * The item ordered.
 *
 * https://schema.org/orderedItem
 */
var orderedItem = 'https://schema.org/orderedItem';
/**
 * organizer
 *
 * An organizer of an Event.
 *
 * https://schema.org/organizer
 */
var organizer = 'https://schema.org/organizer';
/**
 * originAddress
 *
 * Shipper's address.
 *
 * https://schema.org/originAddress
 */
var originAddress = 'https://schema.org/originAddress';
/**
 * originalMediaContextDescription
 *
 * Describes, in a [[MediaReview]] when dealing with [[DecontextualizedContent]], background information that can contribute to better interpretation of the [[MediaObject]].
 *
 * https://schema.org/originalMediaContextDescription
 */
var originalMediaContextDescription = 'https://schema.org/originalMediaContextDescription';
/**
 * originalMediaLink
 *
 * Link to the page containing an original version of the content, or directly to an online copy of the original [[MediaObject]] content, e.g. video file.
 *
 * https://schema.org/originalMediaLink
 */
var originalMediaLink = 'https://schema.org/originalMediaLink';
/**
 * originatesFrom
 *
 * The vasculature the lymphatic structure originates, or afferents, from.
 *
 * https://schema.org/originatesFrom
 */
var originatesFrom = 'https://schema.org/originatesFrom';
/**
 * overdosage
 *
 * Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.
 *
 * https://schema.org/overdosage
 */
var overdosage = 'https://schema.org/overdosage';
/**
 * ownedFrom
 *
 * The date and time of obtaining the product.
 *
 * https://schema.org/ownedFrom
 */
var ownedFrom = 'https://schema.org/ownedFrom';
/**
 * ownedThrough
 *
 * The date and time of giving up ownership on the product.
 *
 * https://schema.org/ownedThrough
 */
var ownedThrough = 'https://schema.org/ownedThrough';
/**
 * ownershipFundingInfo
 *
 * For an [[Organization]] (often but not necessarily a [[NewsMediaOrganization]]), a description of organizational ownership structure; funding and grants. In a news/media setting, this is with particular reference to editorial independence.   Note that the [[funder]] is also available and can be used to make basic funder information machine-readable.
 *
 * https://schema.org/ownershipFundingInfo
 */
var ownershipFundingInfo = 'https://schema.org/ownershipFundingInfo';
/**
 * owns
 *
 * Products owned by the organization or person.
 *
 * https://schema.org/owns
 */
var owns = 'https://schema.org/owns';
/**
 * pageEnd
 *
 * The page on which the work ends; for example "138" or "xvi".
 *
 * https://schema.org/pageEnd
 */
var pageEnd = 'https://schema.org/pageEnd';
/**
 * pageStart
 *
 * The page on which the work starts; for example "135" or "xiii".
 *
 * https://schema.org/pageStart
 */
var pageStart = 'https://schema.org/pageStart';
/**
 * pagination
 *
 * Any description of pages that is not separated into pageStart and pageEnd; for example, "1-6, 9, 55" or "10-12, 46-49".
 *
 * https://schema.org/pagination
 */
var pagination = 'https://schema.org/pagination';
/**
 * parentItem
 *
 * The parent of a question, answer or item in general. Typically used for Q/A discussion threads e.g. a chain of comments with the first comment being an [[Article]] or other [[CreativeWork]]. See also [[comment]] which points from something to a comment about it.
 *
 * https://schema.org/parentItem
 */
var parentItem = 'https://schema.org/parentItem';
/**
 * parentService
 *
 * A broadcast service to which the broadcast service may belong to such as regional variations of a national channel.
 *
 * https://schema.org/parentService
 */
var parentService = 'https://schema.org/parentService';
/**
 * parents
 *
 * A parents of the person.
 *
 * https://schema.org/parents
 */
var parents = 'https://schema.org/parents';
/**
 * partOfEpisode
 *
 * The episode to which this clip belongs.
 *
 * https://schema.org/partOfEpisode
 */
var partOfEpisode = 'https://schema.org/partOfEpisode';
/**
 * partOfInvoice
 *
 * The order is being paid as part of the referenced Invoice.
 *
 * https://schema.org/partOfInvoice
 */
var partOfInvoice = 'https://schema.org/partOfInvoice';
/**
 * partOfOrder
 *
 * The overall order the items in this delivery were included in.
 *
 * https://schema.org/partOfOrder
 */
var partOfOrder = 'https://schema.org/partOfOrder';
/**
 * partOfSeason
 *
 * The season to which this episode belongs.
 *
 * https://schema.org/partOfSeason
 */
var partOfSeason = 'https://schema.org/partOfSeason';
/**
 * partOfSystem
 *
 * The anatomical or organ system that this structure is part of.
 *
 * https://schema.org/partOfSystem
 */
var partOfSystem = 'https://schema.org/partOfSystem';
/**
 * partOfTVSeries
 *
 * The TV series to which this episode or season belongs.
 *
 * https://schema.org/partOfTVSeries
 */
var partOfTVSeries = 'https://schema.org/partOfTVSeries';
/**
 * partySize
 *
 * Number of people the reservation should accommodate.
 *
 * https://schema.org/partySize
 */
var partySize = 'https://schema.org/partySize';
/**
 * passengerPriorityStatus
 *
 * The priority status assigned to a passenger for security or boarding (e.g. FastTrack or Priority).
 *
 * https://schema.org/passengerPriorityStatus
 */
var passengerPriorityStatus = 'https://schema.org/passengerPriorityStatus';
/**
 * passengerSequenceNumber
 *
 * The passenger's sequence number as assigned by the airline.
 *
 * https://schema.org/passengerSequenceNumber
 */
var passengerSequenceNumber = 'https://schema.org/passengerSequenceNumber';
/**
 * pathophysiology
 *
 * Changes in the normal mechanical, physical, and biochemical functions that are associated with this activity or condition.
 *
 * https://schema.org/pathophysiology
 */
var pathophysiology = 'https://schema.org/pathophysiology';
/**
 * pattern
 *
 * A pattern that something has, for example 'polka dot', 'striped', 'Canadian flag'. Values are typically expressed as text, although links to controlled value schemes are also supported.
 *
 * https://schema.org/pattern
 */
var pattern = 'https://schema.org/pattern';
/**
 * payload
 *
 * The permitted weight of passengers and cargo, EXCLUDING the weight of the empty vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: Many databases specify the permitted TOTAL weight instead, which is the sum of [[weight]] and [[payload]]\n* Note 2: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 3: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 4: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/payload
 */
var payload = 'https://schema.org/payload';
/**
 * paymentAccepted
 *
 * Cash, Credit Card, Cryptocurrency, Local Exchange Tradings System, etc.
 *
 * https://schema.org/paymentAccepted
 */
var paymentAccepted = 'https://schema.org/paymentAccepted';
/**
 * paymentDue
 *
 * The date that payment is due.
 *
 * https://schema.org/paymentDue
 */
var paymentDue = 'https://schema.org/paymentDue';
/**
 * paymentMethod
 *
 * The name of the credit card or other method of payment for the order.
 *
 * https://schema.org/paymentMethod
 */
var paymentMethod = 'https://schema.org/paymentMethod';
/**
 * paymentMethodId
 *
 * An identifier for the method of payment used (e.g. the last 4 digits of the credit card).
 *
 * https://schema.org/paymentMethodId
 */
var paymentMethodId = 'https://schema.org/paymentMethodId';
/**
 * paymentMethodType
 *
 * The type of a payment method.
 *
 * https://schema.org/paymentMethodType
 */
var paymentMethodType = 'https://schema.org/paymentMethodType';
/**
 * paymentStatus
 *
 * The status of payment; whether the invoice has been paid or not.
 *
 * https://schema.org/paymentStatus
 */
var paymentStatus = 'https://schema.org/paymentStatus';
/**
 * paymentUrl
 *
 * The URL for sending a payment.
 *
 * https://schema.org/paymentUrl
 */
var paymentUrl = 'https://schema.org/paymentUrl';
/**
 * penciler
 *
 * The individual who draws the primary narrative artwork.
 *
 * https://schema.org/penciler
 */
var penciler = 'https://schema.org/penciler';
/**
 * percentile10
 *
 * The 10th percentile value.
 *
 * https://schema.org/percentile10
 */
var percentile10 = 'https://schema.org/percentile10';
/**
 * percentile25
 *
 * The 25th percentile value.
 *
 * https://schema.org/percentile25
 */
var percentile25 = 'https://schema.org/percentile25';
/**
 * percentile75
 *
 * The 75th percentile value.
 *
 * https://schema.org/percentile75
 */
var percentile75 = 'https://schema.org/percentile75';
/**
 * percentile90
 *
 * The 90th percentile value.
 *
 * https://schema.org/percentile90
 */
var percentile90 = 'https://schema.org/percentile90';
/**
 * performerIn
 *
 * Event that this person is a performer or participant in.
 *
 * https://schema.org/performerIn
 */
var performerIn = 'https://schema.org/performerIn';
/**
 * performers
 *
 * The main performer or performers of the event&#x2014;for example, a presenter, musician, or actor.
 *
 * https://schema.org/performers
 */
var performers = 'https://schema.org/performers';
/**
 * permissionType
 *
 * The type of permission granted the person, organization, or audience.
 *
 * https://schema.org/permissionType
 */
var permissionType = 'https://schema.org/permissionType';
/**
 * permissions
 *
 * Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).
 *
 * https://schema.org/permissions
 */
var permissions = 'https://schema.org/permissions';
/**
 * permitAudience
 *
 * The target audience for this permit.
 *
 * https://schema.org/permitAudience
 */
var permitAudience = 'https://schema.org/permitAudience';
/**
 * permittedUsage
 *
 * Indications regarding the permitted usage of the accommodation.
 *
 * https://schema.org/permittedUsage
 */
var permittedUsage = 'https://schema.org/permittedUsage';
/**
 * petsAllowed
 *
 * Indicates whether pets are allowed to enter the accommodation or lodging business. More detailed information can be put in a text value.
 *
 * https://schema.org/petsAllowed
 */
var petsAllowed = 'https://schema.org/petsAllowed';
/**
 * phoneticText
 *
 * Representation of a text [[textValue]] using the specified [[speechToTextMarkup]]. For example the city name of Houston in IPA: /ˈhjuːstən/.
 *
 * https://schema.org/phoneticText
 */
var phoneticText = 'https://schema.org/phoneticText';
/**
 * photos
 *
 * Photographs of this place.
 *
 * https://schema.org/photos
 */
var photos = 'https://schema.org/photos';
/**
 * physicalRequirement
 *
 * A description of the types of physical activity associated with the job. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.
 *
 * https://schema.org/physicalRequirement
 */
var physicalRequirement = 'https://schema.org/physicalRequirement';
/**
 * physiologicalBenefits
 *
 * Specific physiologic benefits associated to the plan.
 *
 * https://schema.org/physiologicalBenefits
 */
var physiologicalBenefits = 'https://schema.org/physiologicalBenefits';
/**
 * pickupLocation
 *
 * Where a taxi will pick up a passenger or a rental car can be picked up.
 *
 * https://schema.org/pickupLocation
 */
var pickupLocation = 'https://schema.org/pickupLocation';
/**
 * pickupTime
 *
 * When a taxi will pick up a passenger or a rental car can be picked up.
 *
 * https://schema.org/pickupTime
 */
var pickupTime = 'https://schema.org/pickupTime';
/**
 * playMode
 *
 * Indicates whether this game is multi-player, co-op or single-player.  The game can be marked as multi-player, co-op and single-player at the same time.
 *
 * https://schema.org/playMode
 */
var playMode = 'https://schema.org/playMode';
/**
 * playerType
 *
 * Player type required&#x2014;for example, Flash or Silverlight.
 *
 * https://schema.org/playerType
 */
var playerType = 'https://schema.org/playerType';
/**
 * playersOnline
 *
 * Number of players on the server.
 *
 * https://schema.org/playersOnline
 */
var playersOnline = 'https://schema.org/playersOnline';
/**
 * polygon
 *
 * A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more space delimited points where the first and final points are identical.
 *
 * https://schema.org/polygon
 */
var polygon = 'https://schema.org/polygon';
/**
 * populationType
 *
 * Indicates the populationType common to all members of a [[StatisticalPopulation]] or all cases within the scope of a [[StatisticalVariable]].
 *
 * https://schema.org/populationType
 */
var populationType = 'https://schema.org/populationType';
/**
 * positiveNotes
 *
 * Provides positive considerations regarding something, for example product highlights or (alongside [[negativeNotes]]) pro/con lists for reviews.
 *
 * In the case of a [[Review]], the property describes the [[itemReviewed]] from the perspective of the review; in the case of a [[Product]], the product itself is being described.
 *
 * The property values can be expressed either as unstructured text (repeated as necessary), or if ordered, as a list (in which case the most positive is at the beginning of the list).
 *
 * https://schema.org/positiveNotes
 */
var positiveNotes = 'https://schema.org/positiveNotes';
/**
 * possibleComplication
 *
 * A possible unexpected and unfavorable evolution of a medical condition. Complications may include worsening of the signs or symptoms of the disease, extension of the condition to other organ systems, etc.
 *
 * https://schema.org/possibleComplication
 */
var possibleComplication = 'https://schema.org/possibleComplication';
/**
 * possibleTreatment
 *
 * A possible treatment to address this condition, sign or symptom.
 *
 * https://schema.org/possibleTreatment
 */
var possibleTreatment = 'https://schema.org/possibleTreatment';
/**
 * postOfficeBoxNumber
 *
 * The post office box number for PO box addresses.
 *
 * https://schema.org/postOfficeBoxNumber
 */
var postOfficeBoxNumber = 'https://schema.org/postOfficeBoxNumber';
/**
 * postOp
 *
 * A description of the postoperative procedures, care, and/or followups for this device.
 *
 * https://schema.org/postOp
 */
var postOp = 'https://schema.org/postOp';
/**
 * postalCode
 *
 * The postal code. For example, 94043.
 *
 * https://schema.org/postalCode
 */
var postalCode = 'https://schema.org/postalCode';
/**
 * postalCodeBegin
 *
 * First postal code in a range (included).
 *
 * https://schema.org/postalCodeBegin
 */
var postalCodeBegin = 'https://schema.org/postalCodeBegin';
/**
 * postalCodeEnd
 *
 * Last postal code in the range (included). Needs to be after [[postalCodeBegin]].
 *
 * https://schema.org/postalCodeEnd
 */
var postalCodeEnd = 'https://schema.org/postalCodeEnd';
/**
 * postalCodePrefix
 *
 * A defined range of postal codes indicated by a common textual prefix. Used for non-numeric systems such as UK.
 *
 * https://schema.org/postalCodePrefix
 */
var postalCodePrefix = 'https://schema.org/postalCodePrefix';
/**
 * postalCodeRange
 *
 * A defined range of postal codes.
 *
 * https://schema.org/postalCodeRange
 */
var postalCodeRange = 'https://schema.org/postalCodeRange';
/**
 * potentialAction
 *
 * Indicates a potential Action, which describes an idealized action in which this thing would play an 'object' role.
 *
 * https://schema.org/potentialAction
 */
var potentialAction = 'https://schema.org/potentialAction';
/**
 * potentialUse
 *
 * Intended use of the BioChemEntity by humans.
 *
 * https://schema.org/potentialUse
 */
var potentialUse = 'https://schema.org/potentialUse';
/**
 * practicesAt
 *
 * A [[MedicalOrganization]] where the [[IndividualPhysician]] practices.
 *
 * https://schema.org/practicesAt
 */
var practicesAt = 'https://schema.org/practicesAt';
/**
 * preOp
 *
 * A description of the workup, testing, and other preparations required before implanting this device.
 *
 * https://schema.org/preOp
 */
var preOp = 'https://schema.org/preOp';
/**
 * predecessorOf
 *
 * A pointer from a previous, often discontinued variant of the product to its newer variant.
 *
 * https://schema.org/predecessorOf
 */
var predecessorOf = 'https://schema.org/predecessorOf';
/**
 * pregnancyCategory
 *
 * Pregnancy category of this drug.
 *
 * https://schema.org/pregnancyCategory
 */
var pregnancyCategory = 'https://schema.org/pregnancyCategory';
/**
 * pregnancyWarning
 *
 * Any precaution, guidance, contraindication, etc. related to this drug's use during pregnancy.
 *
 * https://schema.org/pregnancyWarning
 */
var pregnancyWarning = 'https://schema.org/pregnancyWarning';
/**
 * prepTime
 *
 * The length of time it takes to prepare the items to be used in instructions or a direction, in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * https://schema.org/prepTime
 */
var prepTime = 'https://schema.org/prepTime';
/**
 * preparation
 *
 * Typical preparation that a patient must undergo before having the procedure performed.
 *
 * https://schema.org/preparation
 */
var preparation = 'https://schema.org/preparation';
/**
 * prescribingInfo
 *
 * Link to prescribing information for the drug.
 *
 * https://schema.org/prescribingInfo
 */
var prescribingInfo = 'https://schema.org/prescribingInfo';
/**
 * prescriptionStatus
 *
 * Indicates the status of drug prescription, e.g. local catalogs classifications or whether the drug is available by prescription or over-the-counter, etc.
 *
 * https://schema.org/prescriptionStatus
 */
var prescriptionStatus = 'https://schema.org/prescriptionStatus';
/**
 * previousItem
 *
 * A link to the ListItem that precedes the current one.
 *
 * https://schema.org/previousItem
 */
var previousItem = 'https://schema.org/previousItem';
/**
 * previousStartDate
 *
 * Used in conjunction with eventStatus for rescheduled or cancelled events. This property contains the previously scheduled start date. For rescheduled events, the startDate property should be used for the newly scheduled start date. In the (rare) case of an event that has been postponed and rescheduled multiple times, this field may be repeated.
 *
 * https://schema.org/previousStartDate
 */
var previousStartDate = 'https://schema.org/previousStartDate';
/**
 * price
 *
 * The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.\n\nUsage guidelines:\n\n* Use the [[priceCurrency]] property (with standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR") instead of including [ambiguous symbols](http://en.wikipedia.org/wiki/Dollar_sign#Currencies_that_use_the_dollar_or_peso_sign) such as '$' in the value.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.\n* Note that both [RDFa](http://www.w3.org/TR/xhtml-rdfa-primer/#using-the-content-attribute) and Microdata syntax allow the use of a "content=" attribute for publishing simple machine-readable values alongside more human-friendly formatting.\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.
 *
 *
 * https://schema.org/price
 */
var price = 'https://schema.org/price';
/**
 * priceComponent
 *
 * This property links to all [[UnitPriceSpecification]] nodes that apply in parallel for the [[CompoundPriceSpecification]] node.
 *
 * https://schema.org/priceComponent
 */
var priceComponent = 'https://schema.org/priceComponent';
/**
 * priceComponentType
 *
 * Identifies a price component (for example, a line item on an invoice), part of the total price for an offer.
 *
 * https://schema.org/priceComponentType
 */
var priceComponentType = 'https://schema.org/priceComponentType';
/**
 * priceCurrency
 *
 * The currency of the price, or a price component when attached to [[PriceSpecification]] and its subtypes.\n\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217), e.g. "USD"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies, e.g. "BTC"; well known names for [Local Exchange Trading Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types, e.g. "Ithaca HOUR".
 *
 * https://schema.org/priceCurrency
 */
var priceCurrency = 'https://schema.org/priceCurrency';
/**
 * priceRange
 *
 * The price range of the business, for example ```$$$```.
 *
 * https://schema.org/priceRange
 */
var priceRange = 'https://schema.org/priceRange';
/**
 * priceSpecification
 *
 * One or more detailed price specifications, indicating the unit price and delivery or payment charges.
 *
 * https://schema.org/priceSpecification
 */
var priceSpecification = 'https://schema.org/priceSpecification';
/**
 * priceType
 *
 * Defines the type of a price specified for an offered product, for example a list price, a (temporary) sale price or a manufacturer suggested retail price. If multiple prices are specified for an offer the [[priceType]] property can be used to identify the type of each such specified price. The value of priceType can be specified as a value from enumeration PriceTypeEnumeration or as a free form text string for price types that are not already predefined in PriceTypeEnumeration.
 *
 * https://schema.org/priceType
 */
var priceType = 'https://schema.org/priceType';
/**
 * priceValidUntil
 *
 * The date after which the price is no longer available.
 *
 * https://schema.org/priceValidUntil
 */
var priceValidUntil = 'https://schema.org/priceValidUntil';
/**
 * primaryImageOfPage
 *
 * Indicates the main image on the page.
 *
 * https://schema.org/primaryImageOfPage
 */
var primaryImageOfPage = 'https://schema.org/primaryImageOfPage';
/**
 * primaryPrevention
 *
 * A preventative therapy used to prevent an initial occurrence of the medical condition, such as vaccination.
 *
 * https://schema.org/primaryPrevention
 */
var primaryPrevention = 'https://schema.org/primaryPrevention';
/**
 * printColumn
 *
 * The number of the column in which the NewsArticle appears in the print edition.
 *
 * https://schema.org/printColumn
 */
var printColumn = 'https://schema.org/printColumn';
/**
 * printEdition
 *
 * The edition of the print product in which the NewsArticle appears.
 *
 * https://schema.org/printEdition
 */
var printEdition = 'https://schema.org/printEdition';
/**
 * printPage
 *
 * If this NewsArticle appears in print, this field indicates the name of the page on which the article is found. Please note that this field is intended for the exact page name (e.g. A5, B18).
 *
 * https://schema.org/printPage
 */
var printPage = 'https://schema.org/printPage';
/**
 * printSection
 *
 * If this NewsArticle appears in print, this field indicates the print section in which the article appeared.
 *
 * https://schema.org/printSection
 */
var printSection = 'https://schema.org/printSection';
/**
 * procedure
 *
 * A description of the procedure involved in setting up, using, and/or installing the device.
 *
 * https://schema.org/procedure
 */
var procedure = 'https://schema.org/procedure';
/**
 * procedureType
 *
 * The type of procedure, for example Surgical, Noninvasive, or Percutaneous.
 *
 * https://schema.org/procedureType
 */
var procedureType = 'https://schema.org/procedureType';
/**
 * processingTime
 *
 * Estimated processing time for the service using this channel.
 *
 * https://schema.org/processingTime
 */
var processingTime = 'https://schema.org/processingTime';
/**
 * processorRequirements
 *
 * Processor architecture required to run the application (e.g. IA64).
 *
 * https://schema.org/processorRequirements
 */
var processorRequirements = 'https://schema.org/processorRequirements';
/**
 * producer
 *
 * The person or organization who produced the work (e.g. music album, movie, TV/radio series etc.).
 *
 * https://schema.org/producer
 */
var producer = 'https://schema.org/producer';
/**
 * produces
 *
 * The tangible thing generated by the service, e.g. a passport, permit, etc.
 *
 * https://schema.org/produces
 */
var produces = 'https://schema.org/produces';
/**
 * productGroupID
 *
 * Indicates a textual identifier for a ProductGroup.
 *
 * https://schema.org/productGroupID
 */
var productGroupID = 'https://schema.org/productGroupID';
/**
 * productID
 *
 * The product identifier, such as ISBN. For example: ``` meta itemprop="productID" content="isbn:123-456-789" ```.
 *
 * https://schema.org/productID
 */
var productID = 'https://schema.org/productID';
/**
 * productReturnDays
 *
 * The productReturnDays property indicates the number of days (from purchase) within which relevant product return policy is applicable.
 *
 * https://schema.org/productReturnDays
 */
var productReturnDays = 'https://schema.org/productReturnDays';
/**
 * productReturnLink
 *
 * Indicates a Web page or service by URL, for product return.
 *
 * https://schema.org/productReturnLink
 */
var productReturnLink = 'https://schema.org/productReturnLink';
/**
 * productSupported
 *
 * The product or service this support contact point is related to (such as product support for a particular product line). This can be a specific product or product line (e.g. "iPhone") or a general category of products or services (e.g. "smartphones").
 *
 * https://schema.org/productSupported
 */
var productSupported = 'https://schema.org/productSupported';
/**
 * productionCompany
 *
 * The production company or studio responsible for the item, e.g. series, video game, episode etc.
 *
 * https://schema.org/productionCompany
 */
var productionCompany = 'https://schema.org/productionCompany';
/**
 * productionDate
 *
 * The date of production of the item, e.g. vehicle.
 *
 * https://schema.org/productionDate
 */
var productionDate = 'https://schema.org/productionDate';
/**
 * proficiencyLevel
 *
 * Proficiency needed for this content; expected values: 'Beginner', 'Expert'.
 *
 * https://schema.org/proficiencyLevel
 */
var proficiencyLevel = 'https://schema.org/proficiencyLevel';
/**
 * program
 *
 * The [MemberProgram](https://schema.org/MemberProgram) associated with a [ProgramMembership](https://schema.org/ProgramMembership).
 *
 * https://schema.org/program
 */
var program = 'https://schema.org/program';
/**
 * programMembershipUsed
 *
 * Any membership in a frequent flyer, hotel loyalty program, etc. being applied to the reservation.
 *
 * https://schema.org/programMembershipUsed
 */
var programMembershipUsed = 'https://schema.org/programMembershipUsed';
/**
 * programName
 *
 * The program providing the membership. It is preferable to use [:program](https://schema.org/program) instead.
 *
 * https://schema.org/programName
 */
var programName = 'https://schema.org/programName';
/**
 * programPrerequisites
 *
 * Prerequisites for enrolling in the program.
 *
 * https://schema.org/programPrerequisites
 */
var programPrerequisites = 'https://schema.org/programPrerequisites';
/**
 * programType
 *
 * The type of educational or occupational program. For example, classroom, internship, alternance, etc.
 *
 * https://schema.org/programType
 */
var programType = 'https://schema.org/programType';
/**
 * programmingLanguage
 *
 * The computer programming language.
 *
 * https://schema.org/programmingLanguage
 */
var programmingLanguage = 'https://schema.org/programmingLanguage';
/**
 * programmingModel
 *
 * Indicates whether API is managed or unmanaged.
 *
 * https://schema.org/programmingModel
 */
var programmingModel = 'https://schema.org/programmingModel';
/**
 * pronouns
 *
 * A short string listing or describing pronouns for a person. Typically the person concerned is the best authority as pronouns are a critical part of personal identity and expression. Publishers and consumers of this information are reminded to treat this data responsibly, take country-specific laws related to gender expression into account, and be wary of out-of-date data and drawing unwarranted inferences about the person being described.
 *
 * In English, formulations such as "they/them", "she/her", and "he/him" are commonly used online and can also be used here. We do not intend to enumerate all possible micro-syntaxes in all languages. More structured and well-defined external values for pronouns can be referenced using the [[StructuredValue]] or [[DefinedTerm]] values.
 *
 *
 * https://schema.org/pronouns
 */
var pronouns = 'https://schema.org/pronouns';
/**
 * propertyID
 *
 * A commonly used identifier for the characteristic represented by the property, e.g. a manufacturer or a standard code for a property. propertyID can be
 * (1) a prefixed string, mainly meant to be used with standards for product properties; (2) a site-specific, non-prefixed string (e.g. the primary key of the property or the vendor-specific ID of the property), or (3)
 * a URL indicating the type of the property, either pointing to an external vocabulary, or a Web resource that describes the property (e.g. a glossary entry).
 * Standards bodies should promote a standard prefix for the identifiers of properties from their standards.
 *
 * https://schema.org/propertyID
 */
var propertyID = 'https://schema.org/propertyID';
/**
 * proprietaryName
 *
 * Proprietary name given to the diet plan, typically by its originator or creator.
 *
 * https://schema.org/proprietaryName
 */
var proprietaryName = 'https://schema.org/proprietaryName';
/**
 * proteinContent
 *
 * The number of grams of protein.
 *
 * https://schema.org/proteinContent
 */
var proteinContent = 'https://schema.org/proteinContent';
/**
 * providerMobility
 *
 * Indicates the mobility of a provided service (e.g. 'static', 'dynamic').
 *
 * https://schema.org/providerMobility
 */
var providerMobility = 'https://schema.org/providerMobility';
/**
 * providesService
 *
 * The service provided by this channel.
 *
 * https://schema.org/providesService
 */
var providesService = 'https://schema.org/providesService';
/**
 * publicAccess
 *
 * A flag to signal that the [[Place]] is open to public visitors.  If this property is omitted there is no assumed default boolean value.
 *
 * https://schema.org/publicAccess
 */
var publicAccess = 'https://schema.org/publicAccess';
/**
 * publicTransportClosuresInfo
 *
 * Information about public transport closures.
 *
 * https://schema.org/publicTransportClosuresInfo
 */
var publicTransportClosuresInfo = 'https://schema.org/publicTransportClosuresInfo';
/**
 * publication
 *
 * A publication event associated with the item.
 *
 * https://schema.org/publication
 */
var publication = 'https://schema.org/publication';
/**
 * publicationType
 *
 * The type of the medical article, taken from the US NLM MeSH publication type catalog. See also [MeSH documentation](http://www.nlm.nih.gov/mesh/pubtypes.html).
 *
 * https://schema.org/publicationType
 */
var publicationType = 'https://schema.org/publicationType';
/**
 * publishedBy
 *
 * An agent associated with the publication event.
 *
 * https://schema.org/publishedBy
 */
var publishedBy = 'https://schema.org/publishedBy';
/**
 * publishedOn
 *
 * A broadcast service associated with the publication event.
 *
 * https://schema.org/publishedOn
 */
var publishedOn = 'https://schema.org/publishedOn';
/**
 * publisher
 *
 * The publisher of the article in question.
 *
 * https://schema.org/publisher
 */
var publisher = 'https://schema.org/publisher';
/**
 * publisherImprint
 *
 * The publishing division which published the comic.
 *
 * https://schema.org/publisherImprint
 */
var publisherImprint = 'https://schema.org/publisherImprint';
/**
 * purchaseDate
 *
 * The date the item, e.g. vehicle, was purchased by the current owner.
 *
 * https://schema.org/purchaseDate
 */
var purchaseDate = 'https://schema.org/purchaseDate';
/**
 * purchasePriceLimit
 *
 * Optional. The maximum price the item can have and still qualify for this offer.
 *
 * https://schema.org/purchasePriceLimit
 */
var purchasePriceLimit = 'https://schema.org/purchasePriceLimit';
/**
 * purchaseType
 *
 * Optional. The type of purchase the consumer must make in order to qualify for this incentive.
 *
 * https://schema.org/purchaseType
 */
var purchaseType = 'https://schema.org/purchaseType';
/**
 * qualifications
 *
 * Specific qualifications required for this role or Occupation.
 *
 * https://schema.org/qualifications
 */
var qualifications = 'https://schema.org/qualifications';
/**
 * qualifiedExpense
 *
 * Optional. The types of expenses that are covered by the incentive. For example some incentives are only for the goods (tangible items) but the services (labor) are excluded.
 *
 * https://schema.org/qualifiedExpense
 */
var qualifiedExpense = 'https://schema.org/qualifiedExpense';
/**
 * quarantineGuidelines
 *
 * Guidelines about quarantine rules, e.g. in the context of a pandemic.
 *
 * https://schema.org/quarantineGuidelines
 */
var quarantineGuidelines = 'https://schema.org/quarantineGuidelines';
/**
 * query
 *
 * A sub property of instrument. The query used on this action.
 *
 * https://schema.org/query
 */
var query = 'https://schema.org/query';
/**
 * quest
 *
 * The task that a player-controlled character, or group of characters may complete in order to gain a reward.
 *
 * https://schema.org/quest
 */
var quest = 'https://schema.org/quest';
/**
 * question
 *
 * A sub property of object. A question.
 *
 * https://schema.org/question
 */
var question = 'https://schema.org/question';
/**
 * rangeIncludes
 *
 * Relates a property to a class that constitutes (one of) the expected type(s) for values of the property.
 *
 * https://schema.org/rangeIncludes
 */
var rangeIncludes = 'https://schema.org/rangeIncludes';
/**
 * ratingCount
 *
 * The count of total number of ratings.
 *
 * https://schema.org/ratingCount
 */
var ratingCount = 'https://schema.org/ratingCount';
/**
 * ratingExplanation
 *
 * A short explanation (e.g. one to two sentences) providing background context and other information that led to the conclusion expressed in the rating. This is particularly applicable to ratings associated with "fact check" markup using [[ClaimReview]].
 *
 * https://schema.org/ratingExplanation
 */
var ratingExplanation = 'https://schema.org/ratingExplanation';
/**
 * ratingValue
 *
 * The rating for the content.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * https://schema.org/ratingValue
 */
var ratingValue = 'https://schema.org/ratingValue';
/**
 * readBy
 *
 * A person who reads (performs) the audiobook.
 *
 * https://schema.org/readBy
 */
var readBy = 'https://schema.org/readBy';
/**
 * readonlyValue
 *
 * Whether or not a property is mutable.  Default is false. Specifying this for a property that also has a value makes it act similar to a "hidden" input in an HTML form.
 *
 * https://schema.org/readonlyValue
 */
var readonlyValue = 'https://schema.org/readonlyValue';
/**
 * realEstateAgent
 *
 * A sub property of participant. The real estate agent involved in the action.
 *
 * https://schema.org/realEstateAgent
 */
var realEstateAgent = 'https://schema.org/realEstateAgent';
/**
 * recipe
 *
 * A sub property of instrument. The recipe/instructions used to perform the action.
 *
 * https://schema.org/recipe
 */
var recipe = 'https://schema.org/recipe';
/**
 * recipeCategory
 *
 * The category of the recipe—for example, appetizer, entree, etc.
 *
 * https://schema.org/recipeCategory
 */
var recipeCategory = 'https://schema.org/recipeCategory';
/**
 * recipeCuisine
 *
 * The cuisine of the recipe (for example, French or Ethiopian).
 *
 * https://schema.org/recipeCuisine
 */
var recipeCuisine = 'https://schema.org/recipeCuisine';
/**
 * recipeInstructions
 *
 * A step in making the recipe, in the form of a single item (document, video, etc.) or an ordered list with HowToStep and/or HowToSection items.
 *
 * https://schema.org/recipeInstructions
 */
var recipeInstructions = 'https://schema.org/recipeInstructions';
/**
 * recipeYield
 *
 * The quantity produced by the recipe (for example, number of people served, number of servings, etc).
 *
 * https://schema.org/recipeYield
 */
var recipeYield = 'https://schema.org/recipeYield';
/**
 * recognizedBy
 *
 * An organization that acknowledges the validity, value or utility of a credential. Note: recognition may include a process of quality assurance or accreditation.
 *
 * https://schema.org/recognizedBy
 */
var recognizedBy = 'https://schema.org/recognizedBy';
/**
 * recognizingAuthority
 *
 * If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.
 *
 * https://schema.org/recognizingAuthority
 */
var recognizingAuthority = 'https://schema.org/recognizingAuthority';
/**
 * recommendationStrength
 *
 * Strength of the guideline's recommendation (e.g. 'class I').
 *
 * https://schema.org/recommendationStrength
 */
var recommendationStrength = 'https://schema.org/recommendationStrength';
/**
 * recommendedIntake
 *
 * Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 * https://schema.org/recommendedIntake
 */
var recommendedIntake = 'https://schema.org/recommendedIntake';
/**
 * recordLabel
 *
 * The label that issued the release.
 *
 * https://schema.org/recordLabel
 */
var recordLabel = 'https://schema.org/recordLabel';
/**
 * recourseLoan
 *
 * The only way you get the money back in the event of default is the security. Recourse is where you still have the opportunity to go back to the borrower for the rest of the money.
 *
 * https://schema.org/recourseLoan
 */
var recourseLoan = 'https://schema.org/recourseLoan';
/**
 * referee
 *
 * An official who watches a game or match closely to enforce the rules and arbitrate on matters arising from the play such as referees, umpires or judges. The name of the effective function can vary according to the sport.
 *
 * https://schema.org/referee
 */
var referee = 'https://schema.org/referee';
/**
 * referenceQuantity
 *
 * The reference quantity for which a certain price applies, e.g. 1 EUR per 4 kWh of electricity. This property is a replacement for unitOfMeasurement for the advanced cases where the price does not relate to a standard unit.
 *
 * https://schema.org/referenceQuantity
 */
var referenceQuantity = 'https://schema.org/referenceQuantity';
/**
 * referencesOrder
 *
 * The Order(s) related to this Invoice. One or more Orders may be combined into a single Invoice.
 *
 * https://schema.org/referencesOrder
 */
var referencesOrder = 'https://schema.org/referencesOrder';
/**
 * refundType
 *
 * A refund type, from an enumerated list.
 *
 * https://schema.org/refundType
 */
var refundType = 'https://schema.org/refundType';
/**
 * regionDrained
 *
 * The anatomical or organ system drained by this vessel; generally refers to a specific part of an organ.
 *
 * https://schema.org/regionDrained
 */
var regionDrained = 'https://schema.org/regionDrained';
/**
 * regionsAllowed
 *
 * The regions where the media is allowed. If not specified, then it's assumed to be allowed everywhere. Specify the countries in [ISO 3166 format](http://en.wikipedia.org/wiki/ISO_3166).
 *
 * https://schema.org/regionsAllowed
 */
var regionsAllowed = 'https://schema.org/regionsAllowed';
/**
 * relatedAnatomy
 *
 * Anatomical systems or structures that relate to the superficial anatomy.
 *
 * https://schema.org/relatedAnatomy
 */
var relatedAnatomy = 'https://schema.org/relatedAnatomy';
/**
 * relatedCondition
 *
 * A medical condition associated with this anatomy.
 *
 * https://schema.org/relatedCondition
 */
var relatedCondition = 'https://schema.org/relatedCondition';
/**
 * relatedDrug
 *
 * Any other drug related to this one, for example commonly-prescribed alternatives.
 *
 * https://schema.org/relatedDrug
 */
var relatedDrug = 'https://schema.org/relatedDrug';
/**
 * relatedLink
 *
 * A link related to this web page, for example to other related web pages.
 *
 * https://schema.org/relatedLink
 */
var relatedLink = 'https://schema.org/relatedLink';
/**
 * relatedStructure
 *
 * Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.
 *
 * https://schema.org/relatedStructure
 */
var relatedStructure = 'https://schema.org/relatedStructure';
/**
 * relatedTherapy
 *
 * A medical therapy related to this anatomy.
 *
 * https://schema.org/relatedTherapy
 */
var relatedTherapy = 'https://schema.org/relatedTherapy';
/**
 * relatedTo
 *
 * The most generic familial relation.
 *
 * https://schema.org/relatedTo
 */
var relatedTo = 'https://schema.org/relatedTo';
/**
 * releaseDate
 *
 * The release date of a product or product model. This can be used to distinguish the exact variant of a product.
 *
 * https://schema.org/releaseDate
 */
var releaseDate = 'https://schema.org/releaseDate';
/**
 * releaseNotes
 *
 * Description of what changed in this version.
 *
 * https://schema.org/releaseNotes
 */
var releaseNotes = 'https://schema.org/releaseNotes';
/**
 * releasedEvent
 *
 * The place and time the release was issued, expressed as a PublicationEvent.
 *
 * https://schema.org/releasedEvent
 */
var releasedEvent = 'https://schema.org/releasedEvent';
/**
 * relevantOccupation
 *
 * The Occupation for the JobPosting.
 *
 * https://schema.org/relevantOccupation
 */
var relevantOccupation = 'https://schema.org/relevantOccupation';
/**
 * relevantSpecialty
 *
 * If applicable, a medical specialty in which this entity is relevant.
 *
 * https://schema.org/relevantSpecialty
 */
var relevantSpecialty = 'https://schema.org/relevantSpecialty';
/**
 * remainingAttendeeCapacity
 *
 * The number of attendee places for an event that remain unallocated.
 *
 * https://schema.org/remainingAttendeeCapacity
 */
var remainingAttendeeCapacity = 'https://schema.org/remainingAttendeeCapacity';
/**
 * renegotiableLoan
 *
 * Whether the terms for payment of interest can be renegotiated during the life of the loan.
 *
 * https://schema.org/renegotiableLoan
 */
var renegotiableLoan = 'https://schema.org/renegotiableLoan';
/**
 * repeatCount
 *
 * Defines the number of times a recurring [[Event]] will take place.
 *
 * https://schema.org/repeatCount
 */
var repeatCount = 'https://schema.org/repeatCount';
/**
 * repeatFrequency
 *
 * Defines the frequency at which [[Event]]s will occur according to a schedule [[Schedule]]. The intervals between
 *       events should be defined as a [[Duration]] of time.
 *
 * https://schema.org/repeatFrequency
 */
var repeatFrequency = 'https://schema.org/repeatFrequency';
/**
 * repetitions
 *
 * Number of times one should repeat the activity.
 *
 * https://schema.org/repetitions
 */
var repetitions = 'https://schema.org/repetitions';
/**
 * replacee
 *
 * A sub property of object. The object that is being replaced.
 *
 * https://schema.org/replacee
 */
var replacee = 'https://schema.org/replacee';
/**
 * replacer
 *
 * A sub property of object. The object that replaces.
 *
 * https://schema.org/replacer
 */
var replacer = 'https://schema.org/replacer';
/**
 * replyToUrl
 *
 * The URL at which a reply may be posted to the specified UserComment.
 *
 * https://schema.org/replyToUrl
 */
var replyToUrl = 'https://schema.org/replyToUrl';
/**
 * reportNumber
 *
 * The number or other unique designator assigned to a Report by the publishing organization.
 *
 * https://schema.org/reportNumber
 */
var reportNumber = 'https://schema.org/reportNumber';
/**
 * representativeOfPage
 *
 * Indicates whether this image is representative of the content of the page.
 *
 * https://schema.org/representativeOfPage
 */
var representativeOfPage = 'https://schema.org/representativeOfPage';
/**
 * requiredCollateral
 *
 * Assets required to secure loan or credit repayments. It may take form of third party pledge, goods, financial instruments (cash, securities, etc.)
 *
 * https://schema.org/requiredCollateral
 */
var requiredCollateral = 'https://schema.org/requiredCollateral';
/**
 * requiredGender
 *
 * Audiences defined by a person's gender.
 *
 * https://schema.org/requiredGender
 */
var requiredGender = 'https://schema.org/requiredGender';
/**
 * requiredMaxAge
 *
 * Audiences defined by a person's maximum age.
 *
 * https://schema.org/requiredMaxAge
 */
var requiredMaxAge = 'https://schema.org/requiredMaxAge';
/**
 * requiredMinAge
 *
 * Audiences defined by a person's minimum age.
 *
 * https://schema.org/requiredMinAge
 */
var requiredMinAge = 'https://schema.org/requiredMinAge';
/**
 * requiredQuantity
 *
 * The required quantity of the item(s).
 *
 * https://schema.org/requiredQuantity
 */
var requiredQuantity = 'https://schema.org/requiredQuantity';
/**
 * requirements
 *
 * Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (examples: DirectX, Java or .NET runtime).
 *
 * https://schema.org/requirements
 */
var requirements = 'https://schema.org/requirements';
/**
 * requiresSubscription
 *
 * Indicates if use of the media require a subscription  (either paid or free). Allowed values are ```true``` or ```false``` (note that an earlier version had 'yes', 'no').
 *
 * https://schema.org/requiresSubscription
 */
var requiresSubscription = 'https://schema.org/requiresSubscription';
/**
 * reservationFor
 *
 * The thing -- flight, event, restaurant, etc. being reserved.
 *
 * https://schema.org/reservationFor
 */
var reservationFor = 'https://schema.org/reservationFor';
/**
 * reservationId
 *
 * A unique identifier for the reservation.
 *
 * https://schema.org/reservationId
 */
var reservationId = 'https://schema.org/reservationId';
/**
 * reservationStatus
 *
 * The current status of the reservation.
 *
 * https://schema.org/reservationStatus
 */
var reservationStatus = 'https://schema.org/reservationStatus';
/**
 * reservedTicket
 *
 * A ticket associated with the reservation.
 *
 * https://schema.org/reservedTicket
 */
var reservedTicket = 'https://schema.org/reservedTicket';
/**
 * responsibilities
 *
 * Responsibilities associated with this role or Occupation.
 *
 * https://schema.org/responsibilities
 */
var responsibilities = 'https://schema.org/responsibilities';
/**
 * restPeriods
 *
 * How often one should break from the activity.
 *
 * https://schema.org/restPeriods
 */
var restPeriods = 'https://schema.org/restPeriods';
/**
 * restockingFee
 *
 * Use [[MonetaryAmount]] to specify a fixed restocking fee for product returns, or use [[Number]] to specify a percentage of the product price paid by the customer.
 *
 * https://schema.org/restockingFee
 */
var restockingFee = 'https://schema.org/restockingFee';
/**
 * resultComment
 *
 * A sub property of result. The Comment created or sent as a result of this action.
 *
 * https://schema.org/resultComment
 */
var resultComment = 'https://schema.org/resultComment';
/**
 * resultReview
 *
 * A sub property of result. The review that resulted in the performing of the action.
 *
 * https://schema.org/resultReview
 */
var resultReview = 'https://schema.org/resultReview';
/**
 * returnFees
 *
 * The type of return fees for purchased products (for any return reason).
 *
 * https://schema.org/returnFees
 */
var returnFees = 'https://schema.org/returnFees';
/**
 * returnLabelSource
 *
 * The method (from an enumeration) by which the customer obtains a return shipping label for a product returned for any reason.
 *
 * https://schema.org/returnLabelSource
 */
var returnLabelSource = 'https://schema.org/returnLabelSource';
/**
 * returnMethod
 *
 * The type of return method offered, specified from an enumeration.
 *
 * https://schema.org/returnMethod
 */
var returnMethod = 'https://schema.org/returnMethod';
/**
 * returnPolicyCategory
 *
 * Specifies an applicable return policy (from an enumeration).
 *
 * https://schema.org/returnPolicyCategory
 */
var returnPolicyCategory = 'https://schema.org/returnPolicyCategory';
/**
 * returnPolicyCountry
 *
 * The country where the product has to be sent to for returns, for example "Ireland" using the [[name]] property of [[Country]]. You can also provide the two-letter [ISO 3166-1 alpha-2 country code](http://en.wikipedia.org/wiki/ISO_3166-1). Note that this can be different from the country where the product was originally shipped from or sent to.
 *
 * https://schema.org/returnPolicyCountry
 */
var returnPolicyCountry = 'https://schema.org/returnPolicyCountry';
/**
 * returnPolicySeasonalOverride
 *
 * Seasonal override of a return policy.
 *
 * https://schema.org/returnPolicySeasonalOverride
 */
var returnPolicySeasonalOverride = 'https://schema.org/returnPolicySeasonalOverride';
/**
 * returnShippingFeesAmount
 *
 * Amount of shipping costs for product returns (for any reason). Applicable when property [[returnFees]] equals [[ReturnShippingFees]].
 *
 * https://schema.org/returnShippingFeesAmount
 */
var returnShippingFeesAmount = 'https://schema.org/returnShippingFeesAmount';
/**
 * reviewAspect
 *
 * This Review or Rating is relevant to this part or facet of the itemReviewed.
 *
 * https://schema.org/reviewAspect
 */
var reviewAspect = 'https://schema.org/reviewAspect';
/**
 * reviewBody
 *
 * The actual body of the review.
 *
 * https://schema.org/reviewBody
 */
var reviewBody = 'https://schema.org/reviewBody';
/**
 * reviewCount
 *
 * The count of total number of reviews.
 *
 * https://schema.org/reviewCount
 */
var reviewCount = 'https://schema.org/reviewCount';
/**
 * reviewRating
 *
 * The rating given in this review. Note that reviews can themselves be rated. The ```reviewRating``` applies to rating given by the review. The [[aggregateRating]] property applies to the review itself, as a creative work.
 *
 * https://schema.org/reviewRating
 */
var reviewRating = 'https://schema.org/reviewRating';
/**
 * reviewedBy
 *
 * People or organizations that have reviewed the content on this web page for accuracy and/or completeness.
 *
 * https://schema.org/reviewedBy
 */
var reviewedBy = 'https://schema.org/reviewedBy';
/**
 * reviews
 *
 * Review of the item.
 *
 * https://schema.org/reviews
 */
var reviews = 'https://schema.org/reviews';
/**
 * riskFactor
 *
 * A modifiable or non-modifiable factor that increases the risk of a patient contracting this condition, e.g. age,  coexisting condition.
 *
 * https://schema.org/riskFactor
 */
var riskFactor = 'https://schema.org/riskFactor';
/**
 * risks
 *
 * Specific physiologic risks associated to the diet plan.
 *
 * https://schema.org/risks
 */
var risks = 'https://schema.org/risks';
/**
 * roofLoad
 *
 * The permitted total weight of cargo and installations (e.g. a roof rack) on top of the vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]]\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/roofLoad
 */
var roofLoad = 'https://schema.org/roofLoad';
/**
 * rsvpResponse
 *
 * The response (yes, no, maybe) to the RSVP.
 *
 * https://schema.org/rsvpResponse
 */
var rsvpResponse = 'https://schema.org/rsvpResponse';
/**
 * runsTo
 *
 * The vasculature the lymphatic structure runs, or efferents, to.
 *
 * https://schema.org/runsTo
 */
var runsTo = 'https://schema.org/runsTo';
/**
 * runtime
 *
 * Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .NET Framework 3.0).
 *
 * https://schema.org/runtime
 */
var runtime = 'https://schema.org/runtime';
/**
 * rxcui
 *
 * The RxCUI drug identifier from RXNORM.
 *
 * https://schema.org/rxcui
 */
var rxcui = 'https://schema.org/rxcui';
/**
 * safetyConsideration
 *
 * Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.
 *
 * https://schema.org/safetyConsideration
 */
var safetyConsideration = 'https://schema.org/safetyConsideration';
/**
 * salaryCurrency
 *
 * The currency (coded using [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217)) used for the main salary information in this job posting or for this employee.
 *
 * https://schema.org/salaryCurrency
 */
var salaryCurrency = 'https://schema.org/salaryCurrency';
/**
 * salaryUponCompletion
 *
 * The expected salary upon completing the training.
 *
 * https://schema.org/salaryUponCompletion
 */
var salaryUponCompletion = 'https://schema.org/salaryUponCompletion';
/**
 * sameAs
 *
 * URL of a reference Web page that unambiguously indicates the item's identity. E.g. the URL of the item's Wikipedia page, Wikidata entry, or official website.
 *
 * https://schema.org/sameAs
 */
var sameAs = 'https://schema.org/sameAs';
/**
 * sampleType
 *
 * What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.
 *
 * https://schema.org/sampleType
 */
var sampleType = 'https://schema.org/sampleType';
/**
 * saturatedFatContent
 *
 * The number of grams of saturated fat.
 *
 * https://schema.org/saturatedFatContent
 */
var saturatedFatContent = 'https://schema.org/saturatedFatContent';
/**
 * scheduleTimezone
 *
 * Indicates the timezone for which the time(s) indicated in the [[Schedule]] are given. The value provided should be among those listed in the IANA Time Zone Database.
 *
 * https://schema.org/scheduleTimezone
 */
var scheduleTimezone = 'https://schema.org/scheduleTimezone';
/**
 * scheduledPaymentDate
 *
 * The date the invoice is scheduled to be paid.
 *
 * https://schema.org/scheduledPaymentDate
 */
var scheduledPaymentDate = 'https://schema.org/scheduledPaymentDate';
/**
 * scheduledTime
 *
 * The time the object is scheduled to.
 *
 * https://schema.org/scheduledTime
 */
var scheduledTime = 'https://schema.org/scheduledTime';
/**
 * schemaVersion
 *
 * Indicates (by URL or string) a particular version of a schema used in some CreativeWork. This property was created primarily to
 *     indicate the use of a specific schema.org release, e.g. ```10.0``` as a simple string, or more explicitly via URL, ```https://schema.org/docs/releases.html#v10.0```. There may be situations in which other schemas might usefully be referenced this way, e.g. ```http://dublincore.org/specifications/dublin-core/dces/1999-07-02/``` but this has not been carefully explored in the community.
 *
 * https://schema.org/schemaVersion
 */
var schemaVersion = 'https://schema.org/schemaVersion';
/**
 * schoolClosuresInfo
 *
 * Information about school closures.
 *
 * https://schema.org/schoolClosuresInfo
 */
var schoolClosuresInfo = 'https://schema.org/schoolClosuresInfo';
/**
 * screenCount
 *
 * The number of screens in the movie theater.
 *
 * https://schema.org/screenCount
 */
var screenCount = 'https://schema.org/screenCount';
/**
 * screenshot
 *
 * A link to a screenshot image of the app.
 *
 * https://schema.org/screenshot
 */
var screenshot = 'https://schema.org/screenshot';
/**
 * sdDatePublished
 *
 * Indicates the date on which the current structured data was generated / published. Typically used alongside [[sdPublisher]].
 *
 * https://schema.org/sdDatePublished
 */
var sdDatePublished = 'https://schema.org/sdDatePublished';
/**
 * sdLicense
 *
 * A license document that applies to this structured data, typically indicated by URL.
 *
 * https://schema.org/sdLicense
 */
var sdLicense = 'https://schema.org/sdLicense';
/**
 * sdPublisher
 *
 * Indicates the party responsible for generating and publishing the current structured data markup, typically in cases where the structured data is derived automatically from existing published content but published on a different site. For example, student projects and open data initiatives often re-publish existing content with more explicitly structured metadata. The
 * [[sdPublisher]] property helps make such practices more explicit.
 *
 * https://schema.org/sdPublisher
 */
var sdPublisher = 'https://schema.org/sdPublisher';
/**
 * seasonNumber
 *
 * Position of the season within an ordered group of seasons.
 *
 * https://schema.org/seasonNumber
 */
var seasonNumber = 'https://schema.org/seasonNumber';
/**
 * seasonalOverride
 *
 * Limited period during which these shipping conditions apply.
 *
 * https://schema.org/seasonalOverride
 */
var seasonalOverride = 'https://schema.org/seasonalOverride';
/**
 * seasons
 *
 * A season in a media series.
 *
 * https://schema.org/seasons
 */
var seasons = 'https://schema.org/seasons';
/**
 * seatNumber
 *
 * The location of the reserved seat (e.g., 27).
 *
 * https://schema.org/seatNumber
 */
var seatNumber = 'https://schema.org/seatNumber';
/**
 * seatRow
 *
 * The row location of the reserved seat (e.g., B).
 *
 * https://schema.org/seatRow
 */
var seatRow = 'https://schema.org/seatRow';
/**
 * seatSection
 *
 * The section location of the reserved seat (e.g. Orchestra).
 *
 * https://schema.org/seatSection
 */
var seatSection = 'https://schema.org/seatSection';
/**
 * seatingCapacity
 *
 * The number of persons that can be seated (e.g. in a vehicle), both in terms of the physical space available, and in terms of limitations set by law.\n\nTypical unit code(s): C62 for persons.
 *
 * https://schema.org/seatingCapacity
 */
var seatingCapacity = 'https://schema.org/seatingCapacity';
/**
 * seatingType
 *
 * The type/class of the seat.
 *
 * https://schema.org/seatingType
 */
var seatingType = 'https://schema.org/seatingType';
/**
 * secondaryPrevention
 *
 * A preventative therapy used to prevent reoccurrence of the medical condition after an initial episode of the condition.
 *
 * https://schema.org/secondaryPrevention
 */
var secondaryPrevention = 'https://schema.org/secondaryPrevention';
/**
 * securityClearanceRequirement
 *
 * A description of any security clearance requirements of the job.
 *
 * https://schema.org/securityClearanceRequirement
 */
var securityClearanceRequirement = 'https://schema.org/securityClearanceRequirement';
/**
 * securityScreening
 *
 * The type of security screening the passenger is subject to.
 *
 * https://schema.org/securityScreening
 */
var securityScreening = 'https://schema.org/securityScreening';
/**
 * seeks
 *
 * A pointer to products or services sought by the organization or person (demand).
 *
 * https://schema.org/seeks
 */
var seeks = 'https://schema.org/seeks';
/**
 * sender
 *
 * A sub property of participant. The participant who is at the sending end of the action.
 *
 * https://schema.org/sender
 */
var sender = 'https://schema.org/sender';
/**
 * sensoryRequirement
 *
 * A description of any sensory requirements and levels necessary to function on the job, including hearing and vision. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.
 *
 * https://schema.org/sensoryRequirement
 */
var sensoryRequirement = 'https://schema.org/sensoryRequirement';
/**
 * sensoryUnit
 *
 * The neurological pathway extension that inputs and sends information to the brain or spinal cord.
 *
 * https://schema.org/sensoryUnit
 */
var sensoryUnit = 'https://schema.org/sensoryUnit';
/**
 * seriousAdverseOutcome
 *
 * A possible serious complication and/or serious side effect of this therapy. Serious adverse outcomes include those that are life-threatening; result in death, disability, or permanent damage; require hospitalization or prolong existing hospitalization; cause congenital anomalies or birth defects; or jeopardize the patient and may require medical or surgical intervention to prevent one of the outcomes in this definition.
 *
 * https://schema.org/seriousAdverseOutcome
 */
var seriousAdverseOutcome = 'https://schema.org/seriousAdverseOutcome';
/**
 * serverStatus
 *
 * Status of a game server.
 *
 * https://schema.org/serverStatus
 */
var serverStatus = 'https://schema.org/serverStatus';
/**
 * servesCuisine
 *
 * The cuisine of the restaurant.
 *
 * https://schema.org/servesCuisine
 */
var servesCuisine = 'https://schema.org/servesCuisine';
/**
 * serviceAudience
 *
 * The audience eligible for this service.
 *
 * https://schema.org/serviceAudience
 */
var serviceAudience = 'https://schema.org/serviceAudience';
/**
 * serviceLocation
 *
 * The location (e.g. civic structure, local business, etc.) where a person can go to access the service.
 *
 * https://schema.org/serviceLocation
 */
var serviceLocation = 'https://schema.org/serviceLocation';
/**
 * serviceOperator
 *
 * The operating organization, if different from the provider.  This enables the representation of services that are provided by an organization, but operated by another organization like a subcontractor.
 *
 * https://schema.org/serviceOperator
 */
var serviceOperator = 'https://schema.org/serviceOperator';
/**
 * servicePhone
 *
 * The phone number to use to access the service.
 *
 * https://schema.org/servicePhone
 */
var servicePhone = 'https://schema.org/servicePhone';
/**
 * servicePostalAddress
 *
 * The address for accessing the service by mail.
 *
 * https://schema.org/servicePostalAddress
 */
var servicePostalAddress = 'https://schema.org/servicePostalAddress';
/**
 * serviceSmsNumber
 *
 * The number to access the service by text message.
 *
 * https://schema.org/serviceSmsNumber
 */
var serviceSmsNumber = 'https://schema.org/serviceSmsNumber';
/**
 * serviceType
 *
 * The type of service being offered, e.g. veterans' benefits, emergency relief, etc.
 *
 * https://schema.org/serviceType
 */
var serviceType = 'https://schema.org/serviceType';
/**
 * serviceUrl
 *
 * The website to access the service.
 *
 * https://schema.org/serviceUrl
 */
var serviceUrl = 'https://schema.org/serviceUrl';
/**
 * servingSize
 *
 * The serving size, in terms of the number of volume or mass.
 *
 * https://schema.org/servingSize
 */
var servingSize = 'https://schema.org/servingSize';
/**
 * sha256
 *
 * The [SHA-2](https://en.wikipedia.org/wiki/SHA-2) SHA256 hash of the content of the item. For example, a zero-length input has value 'e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855'.
 *
 * https://schema.org/sha256
 */
var sha256 = 'https://schema.org/sha256';
/**
 * sharedContent
 *
 * A CreativeWork such as an image, video, or audio clip shared as part of this posting.
 *
 * https://schema.org/sharedContent
 */
var sharedContent = 'https://schema.org/sharedContent';
/**
 * shippingConditions
 *
 * The conditions (constraints, price) applicable to the [[ShippingService]].
 *
 * https://schema.org/shippingConditions
 */
var shippingConditions = 'https://schema.org/shippingConditions';
/**
 * shippingDestination
 *
 * indicates (possibly multiple) shipping destinations. These can be defined in several ways, e.g. postalCode ranges.
 *
 * https://schema.org/shippingDestination
 */
var shippingDestination = 'https://schema.org/shippingDestination';
/**
 * shippingDetails
 *
 * Indicates information about the shipping policies and options associated with an [[Offer]].
 *
 * https://schema.org/shippingDetails
 */
var shippingDetails = 'https://schema.org/shippingDetails';
/**
 * shippingLabel
 *
 * Label to match an [[OfferShippingDetails]] with a [[ShippingRateSettings]] (within the context of a [[shippingSettingsLink]] cross-reference).
 *
 * https://schema.org/shippingLabel
 */
var shippingLabel = 'https://schema.org/shippingLabel';
/**
 * shippingOrigin
 *
 * Indicates the origin of a shipment, i.e. where it should be coming from.
 *
 * https://schema.org/shippingOrigin
 */
var shippingOrigin = 'https://schema.org/shippingOrigin';
/**
 * shippingRate
 *
 * The shipping rate is the cost of shipping to the specified destination. Typically, the maxValue and currency values (of the [[MonetaryAmount]]) are most appropriate.
 *
 * https://schema.org/shippingRate
 */
var shippingRate = 'https://schema.org/shippingRate';
/**
 * shippingSettingsLink
 *
 * Link to a page containing [[ShippingRateSettings]] and [[DeliveryTimeSettings]] details.
 *
 * https://schema.org/shippingSettingsLink
 */
var shippingSettingsLink = 'https://schema.org/shippingSettingsLink';
/**
 * siblings
 *
 * A sibling of the person.
 *
 * https://schema.org/siblings
 */
var siblings = 'https://schema.org/siblings';
/**
 * signDetected
 *
 * A sign detected by the test.
 *
 * https://schema.org/signDetected
 */
var signDetected = 'https://schema.org/signDetected';
/**
 * signOrSymptom
 *
 * A sign or symptom of this condition. Signs are objective or physically observable manifestations of the medical condition while symptoms are the subjective experience of the medical condition.
 *
 * https://schema.org/signOrSymptom
 */
var signOrSymptom = 'https://schema.org/signOrSymptom';
/**
 * significance
 *
 * The significance associated with the superficial anatomy; as an example, how characteristics of the superficial anatomy can suggest underlying medical conditions or courses of treatment.
 *
 * https://schema.org/significance
 */
var significance = 'https://schema.org/significance';
/**
 * significantLinks
 *
 * The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.
 *
 * https://schema.org/significantLinks
 */
var significantLinks = 'https://schema.org/significantLinks';
/**
 * size
 *
 * A standardized size of a product or creative work, specified either through a simple textual string (for example 'XL', '32Wx34L'), a  QuantitativeValue with a unitCode, or a comprehensive and structured [[SizeSpecification]]; in other cases, the [[width]], [[height]], [[depth]] and [[weight]] properties may be more applicable.
 *
 * https://schema.org/size
 */
var size = 'https://schema.org/size';
/**
 * sizeGroup
 *
 * The size group (also known as "size type") for a product's size. Size groups are common in the fashion industry to define size segments and suggested audiences for wearable products. Multiple values can be combined, for example "men's big and tall", "petite maternity" or "regular".
 *
 * https://schema.org/sizeGroup
 */
var sizeGroup = 'https://schema.org/sizeGroup';
/**
 * sizeSystem
 *
 * The size system used to identify a product's size. Typically either a standard (for example, "GS1" or "ISO-EN13402"), country code (for example "US" or "JP"), or a measuring system (for example "Metric" or "Imperial").
 *
 * https://schema.org/sizeSystem
 */
var sizeSystem = 'https://schema.org/sizeSystem';
/**
 * skills
 *
 * A statement of knowledge, skill, ability, task or any other assertion expressing a competency that is either claimed by a person, an organization or desired or required to fulfill a role or to work in an occupation.
 *
 * https://schema.org/skills
 */
var skills = 'https://schema.org/skills';
/**
 * sku
 *
 * The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.
 *
 * https://schema.org/sku
 */
var sku = 'https://schema.org/sku';
/**
 * slogan
 *
 * A slogan or motto associated with the item.
 *
 * https://schema.org/slogan
 */
var slogan = 'https://schema.org/slogan';
/**
 * smiles
 *
 * A specification in form of a line notation for describing the structure of chemical species using short ASCII strings.  Double bond stereochemistry \ indicators may need to be escaped in the string in formats where the backslash is an escape character.
 *
 * https://schema.org/smiles
 */
var smiles = 'https://schema.org/smiles';
/**
 * smokingAllowed
 *
 * Indicates whether it is allowed to smoke in the place, e.g. in the restaurant, hotel or hotel room.
 *
 * https://schema.org/smokingAllowed
 */
var smokingAllowed = 'https://schema.org/smokingAllowed';
/**
 * sodiumContent
 *
 * The number of milligrams of sodium.
 *
 * https://schema.org/sodiumContent
 */
var sodiumContent = 'https://schema.org/sodiumContent';
/**
 * softwareAddOn
 *
 * Additional content for a software application.
 *
 * https://schema.org/softwareAddOn
 */
var softwareAddOn = 'https://schema.org/softwareAddOn';
/**
 * softwareHelp
 *
 * Software application help.
 *
 * https://schema.org/softwareHelp
 */
var softwareHelp = 'https://schema.org/softwareHelp';
/**
 * softwareVersion
 *
 * Version of the software instance.
 *
 * https://schema.org/softwareVersion
 */
var softwareVersion = 'https://schema.org/softwareVersion';
/**
 * sourceOrganization
 *
 * The Organization on whose behalf the creator was working.
 *
 * https://schema.org/sourceOrganization
 */
var sourceOrganization = 'https://schema.org/sourceOrganization';
/**
 * sourcedFrom
 *
 * The neurological pathway that originates the neurons.
 *
 * https://schema.org/sourcedFrom
 */
var sourcedFrom = 'https://schema.org/sourcedFrom';
/**
 * spatial
 *
 * The "spatial" property can be used in cases when more specific properties
 * (e.g. [[locationCreated]], [[spatialCoverage]], [[contentLocation]]) are not known to be appropriate.
 *
 * https://schema.org/spatial
 */
var spatial = 'https://schema.org/spatial';
/**
 * speakable
 *
 * Indicates sections of a Web page that are particularly 'speakable' in the sense of being highlighted as being especially appropriate for text-to-speech conversion. Other sections of a page may also be usefully spoken in particular circumstances; the 'speakable' property serves to indicate the parts most likely to be generally useful for speech.
 *
 * The *speakable* property can be repeated an arbitrary number of times, with three kinds of possible 'content-locator' values:
 *
 * 1.) *id-value* URL references - uses *id-value* of an element in the page being annotated. The simplest use of *speakable* has (potentially relative) URL values, referencing identified sections of the document concerned.
 *
 * 2.) CSS Selectors - addresses content in the annotated page, e.g. via class attribute. Use the [[cssSelector]] property.
 *
 * 3.)  XPaths - addresses content via XPaths (assuming an XML view of the content). Use the [[xpath]] property.
 *
 *
 * For more sophisticated markup of speakable sections beyond simple ID references, either CSS selectors or XPath expressions to pick out document section(s) as speakable. For this
 * we define a supporting type, [[SpeakableSpecification]]  which is defined to be a possible value of the *speakable* property.
 *
 *
 * https://schema.org/speakable
 */
var speakable = 'https://schema.org/speakable';
/**
 * specialCommitments
 *
 * Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.
 *
 * https://schema.org/specialCommitments
 */
var specialCommitments = 'https://schema.org/specialCommitments';
/**
 * specialOpeningHoursSpecification
 *
 * The special opening hours of a certain place.\n\nUse this to explicitly override general opening hours brought in scope by [[openingHoursSpecification]] or [[openingHours]].
 *
 *
 * https://schema.org/specialOpeningHoursSpecification
 */
var specialOpeningHoursSpecification = 'https://schema.org/specialOpeningHoursSpecification';
/**
 * specialty
 *
 * One of the domain specialities to which this web page's content applies.
 *
 * https://schema.org/specialty
 */
var specialty = 'https://schema.org/specialty';
/**
 * speechToTextMarkup
 *
 * Form of markup used. eg. [SSML](https://www.w3.org/TR/speech-synthesis11) or [IPA](https://www.wikidata.org/wiki/Property:P898).
 *
 * https://schema.org/speechToTextMarkup
 */
var speechToTextMarkup = 'https://schema.org/speechToTextMarkup';
/**
 * speed
 *
 * The speed range of the vehicle. If the vehicle is powered by an engine, the upper limit of the speed range (indicated by [[maxValue]]) should be the maximum speed achievable under regular conditions.\n\nTypical unit code(s): KMH for km/h, HM for mile per hour (0.447 04 m/s), KNT for knot\n\n*Note 1: Use [[minValue]] and [[maxValue]] to indicate the range. Typically, the minimal value is zero.\n* Note 2: There are many different ways of measuring the speed range. You can link to information about how the given value has been determined using the [[valueReference]] property.
 *
 * https://schema.org/speed
 */
var speed = 'https://schema.org/speed';
/**
 * spokenByCharacter
 *
 * The (e.g. fictional) character, Person or Organization to whom the quotation is attributed within the containing CreativeWork.
 *
 * https://schema.org/spokenByCharacter
 */
var spokenByCharacter = 'https://schema.org/spokenByCharacter';
/**
 * sport
 *
 * A type of sport (e.g. Baseball).
 *
 * https://schema.org/sport
 */
var sport = 'https://schema.org/sport';
/**
 * sportsActivityLocation
 *
 * A sub property of location. The sports activity location where this action occurred.
 *
 * https://schema.org/sportsActivityLocation
 */
var sportsActivityLocation = 'https://schema.org/sportsActivityLocation';
/**
 * sportsEvent
 *
 * A sub property of location. The sports event where this action occurred.
 *
 * https://schema.org/sportsEvent
 */
var sportsEvent = 'https://schema.org/sportsEvent';
/**
 * sportsTeam
 *
 * A sub property of participant. The sports team that participated on this action.
 *
 * https://schema.org/sportsTeam
 */
var sportsTeam = 'https://schema.org/sportsTeam';
/**
 * spouse
 *
 * The person's spouse.
 *
 * https://schema.org/spouse
 */
var spouse = 'https://schema.org/spouse';
/**
 * stage
 *
 * The stage of the condition, if applicable.
 *
 * https://schema.org/stage
 */
var stage = 'https://schema.org/stage';
/**
 * stageAsNumber
 *
 * The stage represented as a number, e.g. 3.
 *
 * https://schema.org/stageAsNumber
 */
var stageAsNumber = 'https://schema.org/stageAsNumber';
/**
 * starRating
 *
 * An official rating for a lodging business or food establishment, e.g. from national associations or standards bodies. Use the author property to indicate the rating organization, e.g. as an Organization with name such as (e.g. HOTREC, DEHOGA, WHR, or Hotelstars).
 *
 * https://schema.org/starRating
 */
var starRating = 'https://schema.org/starRating';
/**
 * startDate
 *
 * The start date and time of the item (in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601)).
 *
 * https://schema.org/startDate
 */
var startDate = 'https://schema.org/startDate';
/**
 * startOffset
 *
 * The start time of the clip expressed as the number of seconds from the beginning of the work.
 *
 * https://schema.org/startOffset
 */
var startOffset = 'https://schema.org/startOffset';
/**
 * startTime
 *
 * The startTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to start. For actions that span a period of time, when the action was performed. E.g. John wrote a book from *January* to December. For media, including audio and video, it's the time offset of the start of a clip within a larger file.\n\nNote that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.
 *
 * https://schema.org/startTime
 */
var startTime = 'https://schema.org/startTime';
/**
 * statType
 *
 * Indicates the kind of statistic represented by a [[StatisticalVariable]], e.g. mean, count etc. The value of statType is a property, either from within Schema.org (e.g. [[median]], [[marginOfError]], [[maxValue]], [[minValue]]) or from other compatible (e.g. RDF) systems such as DataCommons.org or Wikidata.org.
 *
 * https://schema.org/statType
 */
var statType = 'https://schema.org/statType';
/**
 * status
 *
 * The status of the study (enumerated).
 *
 * https://schema.org/status
 */
var status = 'https://schema.org/status';
/**
 * steeringPosition
 *
 * The position of the steering wheel or similar device (mostly for cars).
 *
 * https://schema.org/steeringPosition
 */
var steeringPosition = 'https://schema.org/steeringPosition';
/**
 * stepValue
 *
 * The stepValue attribute indicates the granularity that is expected (and required) of the value in a PropertyValueSpecification.
 *
 * https://schema.org/stepValue
 */
var stepValue = 'https://schema.org/stepValue';
/**
 * steps
 *
 * A single step item (as HowToStep, text, document, video, etc.) or a HowToSection (originally misnamed 'steps'; 'step' is preferred).
 *
 * https://schema.org/steps
 */
var steps = 'https://schema.org/steps';
/**
 * storageRequirements
 *
 * Storage requirements (free space required).
 *
 * https://schema.org/storageRequirements
 */
var storageRequirements = 'https://schema.org/storageRequirements';
/**
 * streetAddress
 *
 * The street address. For example, 1600 Amphitheatre Pkwy.
 *
 * https://schema.org/streetAddress
 */
var streetAddress = 'https://schema.org/streetAddress';
/**
 * strengthUnit
 *
 * The units of an active ingredient's strength, e.g. mg.
 *
 * https://schema.org/strengthUnit
 */
var strengthUnit = 'https://schema.org/strengthUnit';
/**
 * strengthValue
 *
 * The value of an active ingredient's strength, e.g. 325.
 *
 * https://schema.org/strengthValue
 */
var strengthValue = 'https://schema.org/strengthValue';
/**
 * structuralClass
 *
 * The name given to how bone physically connects to each other.
 *
 * https://schema.org/structuralClass
 */
var structuralClass = 'https://schema.org/structuralClass';
/**
 * study
 *
 * A medical study or trial related to this entity.
 *
 * https://schema.org/study
 */
var study = 'https://schema.org/study';
/**
 * studyDesign
 *
 * Specifics about the observational study design (enumerated).
 *
 * https://schema.org/studyDesign
 */
var studyDesign = 'https://schema.org/studyDesign';
/**
 * studyLocation
 *
 * The location in which the study is taking/took place.
 *
 * https://schema.org/studyLocation
 */
var studyLocation = 'https://schema.org/studyLocation';
/**
 * studySubject
 *
 * A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.
 *
 * https://schema.org/studySubject
 */
var studySubject = 'https://schema.org/studySubject';
/**
 * stupidProperty
 *
 * This is a StupidProperty! - for testing only.
 *
 * https://schema.org/stupidProperty
 */
var stupidProperty = 'https://schema.org/stupidProperty';
/**
 * subEvents
 *
 * Events that are a part of this event. For example, a conference event includes many presentations, each subEvents of the conference.
 *
 * https://schema.org/subEvents
 */
var subEvents = 'https://schema.org/subEvents';
/**
 * subReservation
 *
 * The individual reservations included in the package. Typically a repeated property.
 *
 * https://schema.org/subReservation
 */
var subReservation = 'https://schema.org/subReservation';
/**
 * subStageSuffix
 *
 * The substage, e.g. 'a' for Stage IIIa.
 *
 * https://schema.org/subStageSuffix
 */
var subStageSuffix = 'https://schema.org/subStageSuffix';
/**
 * subStructure
 *
 * Component (sub-)structure(s) that comprise this anatomical structure.
 *
 * https://schema.org/subStructure
 */
var subStructure = 'https://schema.org/subStructure';
/**
 * subTest
 *
 * A component test of the panel.
 *
 * https://schema.org/subTest
 */
var subTest = 'https://schema.org/subTest';
/**
 * subtitleLanguage
 *
 * Languages in which subtitles/captions are available, in [IETF BCP 47 standard format](http://tools.ietf.org/html/bcp47).
 *
 * https://schema.org/subtitleLanguage
 */
var subtitleLanguage = 'https://schema.org/subtitleLanguage';
/**
 * successorOf
 *
 * A pointer from a newer variant of a product  to its previous, often discontinued predecessor.
 *
 * https://schema.org/successorOf
 */
var successorOf = 'https://schema.org/successorOf';
/**
 * sugarContent
 *
 * The number of grams of sugar.
 *
 * https://schema.org/sugarContent
 */
var sugarContent = 'https://schema.org/sugarContent';
/**
 * suggestedAge
 *
 * The age or age range for the intended audience or person, for example 3-12 months for infants, 1-5 years for toddlers.
 *
 * https://schema.org/suggestedAge
 */
var suggestedAge = 'https://schema.org/suggestedAge';
/**
 * suggestedGender
 *
 * The suggested gender of the intended person or audience, for example "male", "female", or "unisex".
 *
 * https://schema.org/suggestedGender
 */
var suggestedGender = 'https://schema.org/suggestedGender';
/**
 * suggestedMaxAge
 *
 * Maximum recommended age in years for the audience or user.
 *
 * https://schema.org/suggestedMaxAge
 */
var suggestedMaxAge = 'https://schema.org/suggestedMaxAge';
/**
 * suggestedMeasurement
 *
 * A suggested range of body measurements for the intended audience or person, for example inseam between 32 and 34 inches or height between 170 and 190 cm. Typically found on a size chart for wearable products.
 *
 * https://schema.org/suggestedMeasurement
 */
var suggestedMeasurement = 'https://schema.org/suggestedMeasurement';
/**
 * suggestedMinAge
 *
 * Minimum recommended age in years for the audience or user.
 *
 * https://schema.org/suggestedMinAge
 */
var suggestedMinAge = 'https://schema.org/suggestedMinAge';
/**
 * suitableForDiet
 *
 * Indicates a dietary restriction or guideline for which this recipe or menu item is suitable, e.g. diabetic, halal etc.
 *
 * https://schema.org/suitableForDiet
 */
var suitableForDiet = 'https://schema.org/suitableForDiet';
/**
 * supersededBy
 *
 * Relates a term (i.e. a property, class or enumeration) to one that supersedes it.
 *
 * https://schema.org/supersededBy
 */
var supersededBy = 'https://schema.org/supersededBy';
/**
 * supplyTo
 *
 * The area to which the artery supplies blood.
 *
 * https://schema.org/supplyTo
 */
var supplyTo = 'https://schema.org/supplyTo';
/**
 * supportingData
 *
 * Supporting data for a SoftwareApplication.
 *
 * https://schema.org/supportingData
 */
var supportingData = 'https://schema.org/supportingData';
/**
 * surface
 *
 * A material used as a surface in some artwork, e.g. Canvas, Paper, Wood, Board, etc.
 *
 * https://schema.org/surface
 */
var surface = 'https://schema.org/surface';
/**
 * syllabusSections
 *
 * Indicates (typically several) Syllabus entities that lay out what each section of the overall course will cover.
 *
 * https://schema.org/syllabusSections
 */
var syllabusSections = 'https://schema.org/syllabusSections';
/**
 * target
 *
 * Indicates a target EntryPoint, or url, for an Action.
 *
 * https://schema.org/target
 */
var target = 'https://schema.org/target';
/**
 * targetDescription
 *
 * The description of a node in an established educational framework.
 *
 * https://schema.org/targetDescription
 */
var targetDescription = 'https://schema.org/targetDescription';
/**
 * targetName
 *
 * The name of a node in an established educational framework.
 *
 * https://schema.org/targetName
 */
var targetName = 'https://schema.org/targetName';
/**
 * targetPlatform
 *
 * Type of app development: phone, Metro style, desktop, XBox, etc.
 *
 * https://schema.org/targetPlatform
 */
var targetPlatform = 'https://schema.org/targetPlatform';
/**
 * targetPopulation
 *
 * Characteristics of the population for which this is intended, or which typically uses it, e.g. 'adults'.
 *
 * https://schema.org/targetPopulation
 */
var targetPopulation = 'https://schema.org/targetPopulation';
/**
 * targetProduct
 *
 * Target Operating System / Product to which the code applies.  If applies to several versions, just the product name can be used.
 *
 * https://schema.org/targetProduct
 */
var targetProduct = 'https://schema.org/targetProduct';
/**
 * targetUrl
 *
 * The URL of a node in an established educational framework.
 *
 * https://schema.org/targetUrl
 */
var targetUrl = 'https://schema.org/targetUrl';
/**
 * taxID
 *
 * The Tax / Fiscal ID of the organization or person, e.g. the TIN in the US or the CIF/NIF in Spain.
 *
 * https://schema.org/taxID
 */
var taxID = 'https://schema.org/taxID';
/**
 * taxonRank
 *
 * The taxonomic rank of this taxon given preferably as a URI from a controlled vocabulary – typically the ranks from TDWG TaxonRank ontology or equivalent Wikidata URIs.
 *
 * https://schema.org/taxonRank
 */
var taxonRank = 'https://schema.org/taxonRank';
/**
 * taxonomicRange
 *
 * The taxonomic grouping of the organism that expresses, encodes, or in some way related to the BioChemEntity.
 *
 * https://schema.org/taxonomicRange
 */
var taxonomicRange = 'https://schema.org/taxonomicRange';
/**
 * teaches
 *
 * The item being described is intended to help a person learn the competency or learning outcome defined by the referenced term.
 *
 * https://schema.org/teaches
 */
var teaches = 'https://schema.org/teaches';
/**
 * telephone
 *
 * The telephone number.
 *
 * https://schema.org/telephone
 */
var telephone = 'https://schema.org/telephone';
/**
 * temporal
 *
 * The "temporal" property can be used in cases where more specific properties
 * (e.g. [[temporalCoverage]], [[dateCreated]], [[dateModified]], [[datePublished]]) are not known to be appropriate.
 *
 * https://schema.org/temporal
 */
var temporal = 'https://schema.org/temporal';
/**
 * termDuration
 *
 * The amount of time in a term as defined by the institution. A term is a length of time where students take one or more classes. Semesters and quarters are common units for term.
 *
 * https://schema.org/termDuration
 */
var termDuration = 'https://schema.org/termDuration';
/**
 * termsOfService
 *
 * Human-readable terms of service documentation.
 *
 * https://schema.org/termsOfService
 */
var termsOfService = 'https://schema.org/termsOfService';
/**
 * termsPerYear
 *
 * The number of times terms of study are offered per year. Semesters and quarters are common units for term. For example, if the student can only take 2 semesters for the program in one year, then termsPerYear should be 2.
 *
 * https://schema.org/termsPerYear
 */
var termsPerYear = 'https://schema.org/termsPerYear';
/**
 * text
 *
 * The textual content of this CreativeWork.
 *
 * https://schema.org/text
 */
var text = 'https://schema.org/text';
/**
 * textValue
 *
 * Text value being annotated.
 *
 * https://schema.org/textValue
 */
var textValue = 'https://schema.org/textValue';
/**
 * thumbnail
 *
 * Thumbnail image for an image or video.
 *
 * https://schema.org/thumbnail
 */
var thumbnail = 'https://schema.org/thumbnail';
/**
 * thumbnailUrl
 *
 * A thumbnail image relevant to the Thing.
 *
 * https://schema.org/thumbnailUrl
 */
var thumbnailUrl = 'https://schema.org/thumbnailUrl';
/**
 * tickerSymbol
 *
 * The exchange traded instrument associated with a Corporation object. The tickerSymbol is expressed as an exchange and an instrument name separated by a space character. For the exchange component of the tickerSymbol attribute, we recommend using the controlled vocabulary of Market Identifier Codes (MIC) specified in ISO 15022.
 *
 * https://schema.org/tickerSymbol
 */
var tickerSymbol = 'https://schema.org/tickerSymbol';
/**
 * ticketNumber
 *
 * The unique identifier for the ticket.
 *
 * https://schema.org/ticketNumber
 */
var ticketNumber = 'https://schema.org/ticketNumber';
/**
 * ticketToken
 *
 * Reference to an asset (e.g., Barcode, QR code image or PDF) usable for entrance.
 *
 * https://schema.org/ticketToken
 */
var ticketToken = 'https://schema.org/ticketToken';
/**
 * ticketedSeat
 *
 * The seat associated with the ticket.
 *
 * https://schema.org/ticketedSeat
 */
var ticketedSeat = 'https://schema.org/ticketedSeat';
/**
 * timeOfDay
 *
 * The time of day the program normally runs. For example, "evenings".
 *
 * https://schema.org/timeOfDay
 */
var timeOfDay = 'https://schema.org/timeOfDay';
/**
 * timeRequired
 *
 * Approximate or typical time it usually takes to work with or through the content of this work for the typical or target audience.
 *
 * https://schema.org/timeRequired
 */
var timeRequired = 'https://schema.org/timeRequired';
/**
 * timeToComplete
 *
 * The expected length of time to complete the program if attending full-time.
 *
 * https://schema.org/timeToComplete
 */
var timeToComplete = 'https://schema.org/timeToComplete';
/**
 * tissueSample
 *
 * The type of tissue sample required for the test.
 *
 * https://schema.org/tissueSample
 */
var tissueSample = 'https://schema.org/tissueSample';
/**
 * title
 *
 * The title of the job.
 *
 * https://schema.org/title
 */
var title = 'https://schema.org/title';
/**
 * titleEIDR
 *
 * An [EIDR](https://eidr.org/) (Entertainment Identifier Registry) [[identifier]] representing at the most general/abstract level, a work of film or television.
 *
 * For example, the motion picture known as "Ghostbusters" has a titleEIDR of  "10.5240/7EC7-228A-510A-053E-CBB8-J". This title (or work) may have several variants, which EIDR calls "edits". See [[editEIDR]].
 *
 * Since schema.org types like [[Movie]], [[TVEpisode]], [[TVSeason]], and [[TVSeries]] can be used for both works and their multiple expressions, it is possible to use [[titleEIDR]] alone (for a general description), or alongside [[editEIDR]] for a more edit-specific description.
 *
 *
 * https://schema.org/titleEIDR
 */
var titleEIDR = 'https://schema.org/titleEIDR';
/**
 * toLocation
 *
 * A sub property of location. The final location of the object or the agent after the action.
 *
 * https://schema.org/toLocation
 */
var toLocation = 'https://schema.org/toLocation';
/**
 * toRecipient
 *
 * A sub property of recipient. The recipient who was directly sent the message.
 *
 * https://schema.org/toRecipient
 */
var toRecipient = 'https://schema.org/toRecipient';
/**
 * tocContinuation
 *
 * A [[HyperTocEntry]] can have a [[tocContinuation]] indicated, which is another [[HyperTocEntry]] that would be the default next item to play or render.
 *
 * https://schema.org/tocContinuation
 */
var tocContinuation = 'https://schema.org/tocContinuation';
/**
 * tocEntry
 *
 * Indicates a [[HyperTocEntry]] in a [[HyperToc]].
 *
 * https://schema.org/tocEntry
 */
var tocEntry = 'https://schema.org/tocEntry';
/**
 * tongueWeight
 *
 * The permitted vertical load (TWR) of a trailer attached to the vehicle. Also referred to as Tongue Load Rating (TLR) or Vertical Load Rating (VLR).\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/tongueWeight
 */
var tongueWeight = 'https://schema.org/tongueWeight';
/**
 * tool
 *
 * A sub property of instrument. An object used (but not consumed) when performing instructions or a direction.
 *
 * https://schema.org/tool
 */
var tool = 'https://schema.org/tool';
/**
 * torque
 *
 * The torque (turning force) of the vehicle's engine.\n\nTypical unit code(s): NU for newton metre (N m), F17 for pound-force per foot, or F48 for pound-force per inch\n\n* Note 1: You can link to information about how the given value has been determined (e.g. reference RPM) using the [[valueReference]] property.\n* Note 2: You can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/torque
 */
var torque = 'https://schema.org/torque';
/**
 * totalHistoricalEnrollment
 *
 * The total number of students that have enrolled in the history of the course.
 *
 * https://schema.org/totalHistoricalEnrollment
 */
var totalHistoricalEnrollment = 'https://schema.org/totalHistoricalEnrollment';
/**
 * totalJobOpenings
 *
 * The number of positions open for this job posting. Use a positive integer. Do not use if the number of positions is unclear or not known.
 *
 * https://schema.org/totalJobOpenings
 */
var totalJobOpenings = 'https://schema.org/totalJobOpenings';
/**
 * totalPaymentDue
 *
 * The total amount due.
 *
 * https://schema.org/totalPaymentDue
 */
var totalPaymentDue = 'https://schema.org/totalPaymentDue';
/**
 * totalPrice
 *
 * The total price for the reservation or ticket, including applicable taxes, shipping, etc.\n\nUsage guidelines:\n\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * https://schema.org/totalPrice
 */
var totalPrice = 'https://schema.org/totalPrice';
/**
 * totalTime
 *
 * The total time required to perform instructions or a direction (including time to prepare the supplies), in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * https://schema.org/totalTime
 */
var totalTime = 'https://schema.org/totalTime';
/**
 * tourBookingPage
 *
 * A page providing information on how to book a tour of some [[Place]], such as an [[Accommodation]] or [[ApartmentComplex]] in a real estate setting, as well as other kinds of tours as appropriate.
 *
 * https://schema.org/tourBookingPage
 */
var tourBookingPage = 'https://schema.org/tourBookingPage';
/**
 * touristType
 *
 * Attraction suitable for type(s) of tourist. E.g. children, visitors from a particular country, etc.
 *
 * https://schema.org/touristType
 */
var touristType = 'https://schema.org/touristType';
/**
 * trackingNumber
 *
 * Shipper tracking number.
 *
 * https://schema.org/trackingNumber
 */
var trackingNumber = 'https://schema.org/trackingNumber';
/**
 * trackingUrl
 *
 * Tracking url for the parcel delivery.
 *
 * https://schema.org/trackingUrl
 */
var trackingUrl = 'https://schema.org/trackingUrl';
/**
 * tracks
 *
 * A music recording (track)&#x2014;usually a single song.
 *
 * https://schema.org/tracks
 */
var tracks = 'https://schema.org/tracks';
/**
 * trailer
 *
 * The trailer of a movie or TV/radio series, season, episode, etc.
 *
 * https://schema.org/trailer
 */
var trailer = 'https://schema.org/trailer';
/**
 * trailerWeight
 *
 * The permitted weight of a trailer attached to the vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/trailerWeight
 */
var trailerWeight = 'https://schema.org/trailerWeight';
/**
 * trainName
 *
 * The name of the train (e.g. The Orient Express).
 *
 * https://schema.org/trainName
 */
var trainName = 'https://schema.org/trainName';
/**
 * trainNumber
 *
 * The unique identifier for the train.
 *
 * https://schema.org/trainNumber
 */
var trainNumber = 'https://schema.org/trainNumber';
/**
 * trainingSalary
 *
 * The estimated salary earned while in the program.
 *
 * https://schema.org/trainingSalary
 */
var trainingSalary = 'https://schema.org/trainingSalary';
/**
 * transFatContent
 *
 * The number of grams of trans fat.
 *
 * https://schema.org/transFatContent
 */
var transFatContent = 'https://schema.org/transFatContent';
/**
 * transcript
 *
 * If this MediaObject is an AudioObject or VideoObject, the transcript of that object.
 *
 * https://schema.org/transcript
 */
var transcript = 'https://schema.org/transcript';
/**
 * transitTime
 *
 * The typical delay the order has been sent for delivery and the goods reach the final customer.
 *
 *   In the context of [[ShippingDeliveryTime]], use the [[QuantitativeValue]]. Typical properties: minValue, maxValue, unitCode (d for DAY).
 *
 *   In the context of [[ShippingConditions]], use the [[ServicePeriod]]. It has a duration (as a [[QuantitativeValue]]) and also business days and a cut-off time.
 *
 *
 * https://schema.org/transitTime
 */
var transitTime = 'https://schema.org/transitTime';
/**
 * transitTimeLabel
 *
 * Label to match an [[OfferShippingDetails]] with a [[DeliveryTimeSettings]] (within the context of a [[shippingSettingsLink]] cross-reference).
 *
 * https://schema.org/transitTimeLabel
 */
var transitTimeLabel = 'https://schema.org/transitTimeLabel';
/**
 * translator
 *
 * Organization or person who adapts a creative work to different languages, regional differences and technical requirements of a target market, or that translates during some event.
 *
 * https://schema.org/translator
 */
var translator = 'https://schema.org/translator';
/**
 * transmissionMethod
 *
 * How the disease spreads, either as a route or vector, for example 'direct contact', 'Aedes aegypti', etc.
 *
 * https://schema.org/transmissionMethod
 */
var transmissionMethod = 'https://schema.org/transmissionMethod';
/**
 * travelBans
 *
 * Information about travel bans, e.g. in the context of a pandemic.
 *
 * https://schema.org/travelBans
 */
var travelBans = 'https://schema.org/travelBans';
/**
 * trialDesign
 *
 * Specifics about the trial design (enumerated).
 *
 * https://schema.org/trialDesign
 */
var trialDesign = 'https://schema.org/trialDesign';
/**
 * tributary
 *
 * The anatomical or organ system that the vein flows into; a larger structure that the vein connects to.
 *
 * https://schema.org/tributary
 */
var tributary = 'https://schema.org/tributary';
/**
 * tripOrigin
 *
 * The location of origin of the trip, prior to any destination(s).
 *
 * https://schema.org/tripOrigin
 */
var tripOrigin = 'https://schema.org/tripOrigin';
/**
 * typeOfBed
 *
 * The type of bed to which the BedDetail refers, i.e. the type of bed available in the quantity indicated by quantity.
 *
 * https://schema.org/typeOfBed
 */
var typeOfBed = 'https://schema.org/typeOfBed';
/**
 * typeOfGood
 *
 * The product that this structured value is referring to.
 *
 * https://schema.org/typeOfGood
 */
var typeOfGood = 'https://schema.org/typeOfGood';
/**
 * typicalAgeRange
 *
 * The typical expected age range, e.g. '7-9', '11-'.
 *
 * https://schema.org/typicalAgeRange
 */
var typicalAgeRange = 'https://schema.org/typicalAgeRange';
/**
 * typicalCreditsPerTerm
 *
 * The number of credits or units a full-time student would be expected to take in 1 term however 'term' is defined by the institution.
 *
 * https://schema.org/typicalCreditsPerTerm
 */
var typicalCreditsPerTerm = 'https://schema.org/typicalCreditsPerTerm';
/**
 * typicalTest
 *
 * A medical test typically performed given this condition.
 *
 * https://schema.org/typicalTest
 */
var typicalTest = 'https://schema.org/typicalTest';
/**
 * underName
 *
 * The person or organization the reservation or ticket is for.
 *
 * https://schema.org/underName
 */
var underName = 'https://schema.org/underName';
/**
 * unitCode
 *
 * The unit of measurement given using the UN/CEFACT Common Code (3 characters) or a URL. Other codes than the UN/CEFACT Common Code may be used with a prefix followed by a colon.
 *
 * https://schema.org/unitCode
 */
var unitCode = 'https://schema.org/unitCode';
/**
 * unitText
 *
 * A string or text indicating the unit of measurement. Useful if you cannot provide a standard unit code for
 * <a href='unitCode'>unitCode</a>.
 *
 * https://schema.org/unitText
 */
var unitText = 'https://schema.org/unitText';
/**
 * unnamedSourcesPolicy
 *
 * For an [[Organization]] (typically a [[NewsMediaOrganization]]), a statement about policy on use of unnamed sources and the decision process required.
 *
 * https://schema.org/unnamedSourcesPolicy
 */
var unnamedSourcesPolicy = 'https://schema.org/unnamedSourcesPolicy';
/**
 * unsaturatedFatContent
 *
 * The number of grams of unsaturated fat.
 *
 * https://schema.org/unsaturatedFatContent
 */
var unsaturatedFatContent = 'https://schema.org/unsaturatedFatContent';
/**
 * uploadDate
 *
 * Date (including time if available) when this media object was uploaded to this site.
 *
 * https://schema.org/uploadDate
 */
var uploadDate = 'https://schema.org/uploadDate';
/**
 * upvoteCount
 *
 * The number of upvotes this question, answer or comment has received from the community.
 *
 * https://schema.org/upvoteCount
 */
var upvoteCount = 'https://schema.org/upvoteCount';
/**
 * url
 *
 * URL of the item.
 *
 * https://schema.org/url
 */
var url = 'https://schema.org/url';
/**
 * urlTemplate
 *
 * An url template (RFC6570) that will be used to construct the target of the execution of the action.
 *
 * https://schema.org/urlTemplate
 */
var urlTemplate = 'https://schema.org/urlTemplate';
/**
 * usNPI
 *
 * A <a href="https://en.wikipedia.org/wiki/National_Provider_Identifier">National Provider Identifier</a> (NPI)
 *     is a unique 10-digit identification number issued to health care providers in the United States by the Centers for Medicare and Medicaid Services.
 *
 * https://schema.org/usNPI
 */
var usNPI = 'https://schema.org/usNPI';
/**
 * usedToDiagnose
 *
 * A condition the test is used to diagnose.
 *
 * https://schema.org/usedToDiagnose
 */
var usedToDiagnose = 'https://schema.org/usedToDiagnose';
/**
 * userInteractionCount
 *
 * The number of interactions for the CreativeWork using the WebSite or SoftwareApplication.
 *
 * https://schema.org/userInteractionCount
 */
var userInteractionCount = 'https://schema.org/userInteractionCount';
/**
 * usesDevice
 *
 * Device used to perform the test.
 *
 * https://schema.org/usesDevice
 */
var usesDevice = 'https://schema.org/usesDevice';
/**
 * usesHealthPlanIdStandard
 *
 * The standard for interpreting the Plan ID. The preferred is "HIOS". See the Centers for Medicare & Medicaid Services for more details.
 *
 * https://schema.org/usesHealthPlanIdStandard
 */
var usesHealthPlanIdStandard = 'https://schema.org/usesHealthPlanIdStandard';
/**
 * utterances
 *
 * Text of an utterances (spoken words, lyrics etc.) that occurs at a certain section of a media object, represented as a [[HyperTocEntry]].
 *
 * https://schema.org/utterances
 */
var utterances = 'https://schema.org/utterances';
/**
 * validFor
 *
 * The duration of validity of a permit or similar thing.
 *
 * https://schema.org/validFor
 */
var validFor = 'https://schema.org/validFor';
/**
 * validForMemberTier
 *
 * The membership program tier an Offer (or a PriceSpecification, OfferShippingDetails, or MerchantReturnPolicy under an Offer) is valid for.
 *
 * https://schema.org/validForMemberTier
 */
var validForMemberTier = 'https://schema.org/validForMemberTier';
/**
 * validFrom
 *
 * The date when the item becomes valid.
 *
 * https://schema.org/validFrom
 */
var validFrom = 'https://schema.org/validFrom';
/**
 * validIn
 *
 * The geographic area where the item is valid. Applies for example to a [[Permit]], a [[Certification]], or an [[EducationalOccupationalCredential]].
 *
 * https://schema.org/validIn
 */
var validIn = 'https://schema.org/validIn';
/**
 * validThrough
 *
 * The date after when the item is not valid. For example the end of an offer, salary period, or a period of opening hours.
 *
 * https://schema.org/validThrough
 */
var validThrough = 'https://schema.org/validThrough';
/**
 * validUntil
 *
 * The date when the item is no longer valid.
 *
 * https://schema.org/validUntil
 */
var validUntil = 'https://schema.org/validUntil';
/**
 * value
 *
 * The value of a [[QuantitativeValue]] (including [[Observation]]) or property value node.\n\n* For [[QuantitativeValue]] and [[MonetaryAmount]], the recommended type for values is 'Number'.\n* For [[PropertyValue]], it can be 'Text', 'Number', 'Boolean', or 'StructuredValue'.\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.
 *
 * https://schema.org/value
 */
var value = 'https://schema.org/value';
/**
 * valueAddedTaxIncluded
 *
 * Specifies whether the applicable value-added tax (VAT) is included in the price specification or not.
 *
 * https://schema.org/valueAddedTaxIncluded
 */
var valueAddedTaxIncluded = 'https://schema.org/valueAddedTaxIncluded';
/**
 * valueMaxLength
 *
 * Specifies the allowed range for number of characters in a literal value.
 *
 * https://schema.org/valueMaxLength
 */
var valueMaxLength = 'https://schema.org/valueMaxLength';
/**
 * valueMinLength
 *
 * Specifies the minimum allowed range for number of characters in a literal value.
 *
 * https://schema.org/valueMinLength
 */
var valueMinLength = 'https://schema.org/valueMinLength';
/**
 * valueName
 *
 * Indicates the name of the PropertyValueSpecification to be used in URL templates and form encoding in a manner analogous to HTML's input@name.
 *
 * https://schema.org/valueName
 */
var valueName = 'https://schema.org/valueName';
/**
 * valuePattern
 *
 * Specifies a regular expression for testing literal values according to the HTML spec.
 *
 * https://schema.org/valuePattern
 */
var valuePattern = 'https://schema.org/valuePattern';
/**
 * valueReference
 *
 * A secondary value that provides additional information on the original value, e.g. a reference temperature or a type of measurement.
 *
 * https://schema.org/valueReference
 */
var valueReference = 'https://schema.org/valueReference';
/**
 * valueRequired
 *
 * Whether the property must be filled in to complete the action.  Default is false.
 *
 * https://schema.org/valueRequired
 */
var valueRequired = 'https://schema.org/valueRequired';
/**
 * variableMeasured
 *
 * The variableMeasured property can indicate (repeated as necessary) the  variables that are measured in some dataset, either described as text or as pairs of identifier and description using PropertyValue, or more explicitly as a [[StatisticalVariable]].
 *
 * https://schema.org/variableMeasured
 */
var variableMeasured = 'https://schema.org/variableMeasured';
/**
 * variablesMeasured
 *
 * Originally named [[variablesMeasured]], the [[variableMeasured]] property can indicate (repeated as necessary) the  variables that are measured in some dataset, either described as text or as pairs of identifier and description using PropertyValue.
 *
 * https://schema.org/variablesMeasured
 */
var variablesMeasured = 'https://schema.org/variablesMeasured';
/**
 * variantCover
 *
 * A description of the variant cover
 *     	for the issue, if the issue is a variant printing. For example, "Bryan Hitch
 *     	Variant Cover" or "2nd Printing Variant".
 *
 * https://schema.org/variantCover
 */
var variantCover = 'https://schema.org/variantCover';
/**
 * variesBy
 *
 * Indicates the property or properties by which the variants in a [[ProductGroup]] vary, e.g. their size, color etc. Schema.org properties can be referenced by their short name e.g. "color"; terms defined elsewhere can be referenced with their URIs.
 *
 * https://schema.org/variesBy
 */
var variesBy = 'https://schema.org/variesBy';
/**
 * vatID
 *
 * The Value-added Tax ID of the organization or person.
 *
 * https://schema.org/vatID
 */
var vatID = 'https://schema.org/vatID';
/**
 * vehicleConfiguration
 *
 * A short text indicating the configuration of the vehicle, e.g. '5dr hatchback ST 2.5 MT 225 hp' or 'limited edition'.
 *
 * https://schema.org/vehicleConfiguration
 */
var vehicleConfiguration = 'https://schema.org/vehicleConfiguration';
/**
 * vehicleEngine
 *
 * Information about the engine or engines of the vehicle.
 *
 * https://schema.org/vehicleEngine
 */
var vehicleEngine = 'https://schema.org/vehicleEngine';
/**
 * vehicleIdentificationNumber
 *
 * The Vehicle Identification Number (VIN) is a unique serial number used by the automotive industry to identify individual motor vehicles.
 *
 * https://schema.org/vehicleIdentificationNumber
 */
var vehicleIdentificationNumber = 'https://schema.org/vehicleIdentificationNumber';
/**
 * vehicleInteriorColor
 *
 * The color or color combination of the interior of the vehicle.
 *
 * https://schema.org/vehicleInteriorColor
 */
var vehicleInteriorColor = 'https://schema.org/vehicleInteriorColor';
/**
 * vehicleInteriorType
 *
 * The type or material of the interior of the vehicle (e.g. synthetic fabric, leather, wood, etc.). While most interior types are characterized by the material used, an interior type can also be based on vehicle usage or target audience.
 *
 * https://schema.org/vehicleInteriorType
 */
var vehicleInteriorType = 'https://schema.org/vehicleInteriorType';
/**
 * vehicleModelDate
 *
 * The release date of a vehicle model (often used to differentiate versions of the same make and model).
 *
 * https://schema.org/vehicleModelDate
 */
var vehicleModelDate = 'https://schema.org/vehicleModelDate';
/**
 * vehicleSeatingCapacity
 *
 * The number of passengers that can be seated in the vehicle, both in terms of the physical space available, and in terms of limitations set by law.\n\nTypical unit code(s): C62 for persons.
 *
 * https://schema.org/vehicleSeatingCapacity
 */
var vehicleSeatingCapacity = 'https://schema.org/vehicleSeatingCapacity';
/**
 * vehicleSpecialUsage
 *
 * Indicates whether the vehicle has been used for special purposes, like commercial rental, driving school, or as a taxi. The legislation in many countries requires this information to be revealed when offering a car for sale.
 *
 * https://schema.org/vehicleSpecialUsage
 */
var vehicleSpecialUsage = 'https://schema.org/vehicleSpecialUsage';
/**
 * vehicleTransmission
 *
 * The type of component used for transmitting the power from a rotating power source to the wheels or other relevant component(s) ("gearbox" for cars).
 *
 * https://schema.org/vehicleTransmission
 */
var vehicleTransmission = 'https://schema.org/vehicleTransmission';
/**
 * vendor
 *
 * 'vendor' is an earlier term for 'seller'.
 *
 * https://schema.org/vendor
 */
var vendor = 'https://schema.org/vendor';
/**
 * verificationFactCheckingPolicy
 *
 * Disclosure about verification and fact-checking processes for a [[NewsMediaOrganization]] or other fact-checking [[Organization]].
 *
 * https://schema.org/verificationFactCheckingPolicy
 */
var verificationFactCheckingPolicy = 'https://schema.org/verificationFactCheckingPolicy';
/**
 * version
 *
 * The version of the CreativeWork embodied by a specified resource.
 *
 * https://schema.org/version
 */
var version = 'https://schema.org/version';
/**
 * video
 *
 * An embedded video object.
 *
 * https://schema.org/video
 */
var video = 'https://schema.org/video';
/**
 * videoFormat
 *
 * The type of screening or video broadcast used (e.g. IMAX, 3D, SD, HD, etc.).
 *
 * https://schema.org/videoFormat
 */
var videoFormat = 'https://schema.org/videoFormat';
/**
 * videoFrameSize
 *
 * The frame size of the video.
 *
 * https://schema.org/videoFrameSize
 */
var videoFrameSize = 'https://schema.org/videoFrameSize';
/**
 * videoQuality
 *
 * The quality of the video.
 *
 * https://schema.org/videoQuality
 */
var videoQuality = 'https://schema.org/videoQuality';
/**
 * volumeNumber
 *
 * Identifies the volume of publication or multi-part work; for example, "iii" or "2".
 *
 * https://schema.org/volumeNumber
 */
var volumeNumber = 'https://schema.org/volumeNumber';
/**
 * warning
 *
 * Any FDA or other warnings about the drug (text or URL).
 *
 * https://schema.org/warning
 */
var warning = 'https://schema.org/warning';
/**
 * warrantyPromise
 *
 * The warranty promise(s) included in the offer.
 *
 * https://schema.org/warrantyPromise
 */
var warrantyPromise = 'https://schema.org/warrantyPromise';
/**
 * warrantyScope
 *
 * The scope of the warranty promise.
 *
 * https://schema.org/warrantyScope
 */
var warrantyScope = 'https://schema.org/warrantyScope';
/**
 * webCheckinTime
 *
 * The time when a passenger can check into the flight online.
 *
 * https://schema.org/webCheckinTime
 */
var webCheckinTime = 'https://schema.org/webCheckinTime';
/**
 * webFeed
 *
 * The URL for a feed, e.g. associated with a podcast series, blog, or series of date-stamped updates. This is usually RSS or Atom.
 *
 * https://schema.org/webFeed
 */
var webFeed = 'https://schema.org/webFeed';
/**
 * weight
 *
 * The weight of the product or person.
 *
 * https://schema.org/weight
 */
var weight = 'https://schema.org/weight';
/**
 * weightPercentage
 *
 * Fraction of the weight that is used to compute the shipping price.
 *
 * https://schema.org/weightPercentage
 */
var weightPercentage = 'https://schema.org/weightPercentage';
/**
 * weightTotal
 *
 * The permitted total weight of the loaded vehicle, including passengers and cargo and the weight of the empty vehicle.\n\nTypical unit code(s): KGM for kilogram, LBR for pound\n\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.
 *
 * https://schema.org/weightTotal
 */
var weightTotal = 'https://schema.org/weightTotal';
/**
 * wheelbase
 *
 * The distance between the centers of the front and rear wheels.\n\nTypical unit code(s): CMT for centimeters, MTR for meters, INH for inches, FOT for foot/feet.
 *
 * https://schema.org/wheelbase
 */
var wheelbase = 'https://schema.org/wheelbase';
/**
 * width
 *
 * The width of the item.
 *
 * https://schema.org/width
 */
var width = 'https://schema.org/width';
/**
 * winner
 *
 * A sub property of participant. The winner of the action.
 *
 * https://schema.org/winner
 */
var winner = 'https://schema.org/winner';
/**
 * wordCount
 *
 * The number of words in the text of the CreativeWork such as an Article, Book, etc.
 *
 * https://schema.org/wordCount
 */
var wordCount = 'https://schema.org/wordCount';
/**
 * workHours
 *
 * The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).
 *
 * https://schema.org/workHours
 */
var workHours = 'https://schema.org/workHours';
/**
 * workLocation
 *
 * A contact location for a person's place of work.
 *
 * https://schema.org/workLocation
 */
var workLocation = 'https://schema.org/workLocation';
/**
 * workPerformed
 *
 * A work performed in some event, for example a play performed in a TheaterEvent.
 *
 * https://schema.org/workPerformed
 */
var workPerformed = 'https://schema.org/workPerformed';
/**
 * workPresented
 *
 * The movie presented during this event.
 *
 * https://schema.org/workPresented
 */
var workPresented = 'https://schema.org/workPresented';
/**
 * workload
 *
 * Quantitative measure of the physiologic output of the exercise; also referred to as energy expenditure.
 *
 * https://schema.org/workload
 */
var workload = 'https://schema.org/workload';
/**
 * worksFor
 *
 * Organizations that the person works for.
 *
 * https://schema.org/worksFor
 */
var worksFor = 'https://schema.org/worksFor';
/**
 * worstRating
 *
 * The lowest value allowed in this rating system.
 *
 * https://schema.org/worstRating
 */
var worstRating = 'https://schema.org/worstRating';
/**
 * xpath
 *
 * An XPath, e.g. of a [[SpeakableSpecification]] or [[WebPageElement]]. In the latter case, multiple matches within a page can constitute a single conceptual "Web page element".
 *
 * https://schema.org/xpath
 */
var xpath = 'https://schema.org/xpath';
/**
 * yearBuilt
 *
 * The year an [[Accommodation]] was constructed. This corresponds to the [YearBuilt field in RESO](https://ddwiki.reso.org/display/DDW17/YearBuilt+Field).
 *
 * https://schema.org/yearBuilt
 */
var yearBuilt = 'https://schema.org/yearBuilt';
/**
 * yearlyRevenue
 *
 * The size of the business in annual revenue.
 *
 * https://schema.org/yearlyRevenue
 */
var yearlyRevenue = 'https://schema.org/yearlyRevenue';
/**
 * yearsInOperation
 *
 * The age of the business.
 *
 * https://schema.org/yearsInOperation
 */
var yearsInOperation = 'https://schema.org/yearsInOperation';
/**
 * actionApplication
 *
 * An application that can complete the request.
 *
 * https://schema.org/actionApplication
 */
var actionApplication = 'https://schema.org/actionApplication';
/**
 * actionOption
 *
 * A sub property of object. The options subject to this action.
 *
 * https://schema.org/actionOption
 */
var actionOption = 'https://schema.org/actionOption';
/**
 * album
 *
 * A music album.
 *
 * https://schema.org/album
 */
var album = 'https://schema.org/album';
/**
 * albumRelease
 *
 * A release of this album.
 *
 * https://schema.org/albumRelease
 */
var albumRelease = 'https://schema.org/albumRelease';
/**
 * alternateName
 *
 * An alias for the item.
 *
 * https://schema.org/alternateName
 */
var alternateName = 'https://schema.org/alternateName';
/**
 * alumni
 *
 * Alumni of an organization.
 *
 * https://schema.org/alumni
 */
var alumni = 'https://schema.org/alumni';
/**
 * alumniOf
 *
 * An organization that the person is an alumni of.
 *
 * https://schema.org/alumniOf
 */
var alumniOf = 'https://schema.org/alumniOf';
/**
 * https://schema.org/archiveHeld
 */
var archiveHeld = 'https://schema.org/archiveHeld';
/**
 * arterialBranch
 *
 * The branches that comprise the arterial structure.
 *
 * https://schema.org/arterialBranch
 */
var arterialBranch = 'https://schema.org/arterialBranch';
/**
 * artworkSurface
 *
 * The supporting materials for the artwork, e.g. Canvas, Paper, Wood, Board, etc.
 *
 * https://schema.org/artworkSurface
 */
var artworkSurface = 'https://schema.org/artworkSurface';
/**
 * attendee
 *
 * A person or organization attending the event.
 *
 * https://schema.org/attendee
 */
var attendee = 'https://schema.org/attendee';
/**
 * audience
 *
 * An intended audience, i.e. a group for whom something was created.
 *
 * https://schema.org/audience
 */
var audience = 'https://schema.org/audience';
/**
 * availableOnDevice
 *
 * Device required to run the application. Used in cases where a specific make/model is required to run the application.
 *
 * https://schema.org/availableOnDevice
 */
var availableOnDevice = 'https://schema.org/availableOnDevice';
/**
 * award
 *
 * An award won by or for this item.
 *
 * https://schema.org/award
 */
var award = 'https://schema.org/award';
/**
 * blogPost
 *
 * A posting that is part of this blog.
 *
 * https://schema.org/blogPost
 */
var blogPost = 'https://schema.org/blogPost';
/**
 * broker
 *
 * An entity that arranges for an exchange between a buyer and a seller.  In most cases a broker never acquires or releases ownership of a product or service involved in an exchange.  If it is not clear whether an entity is a broker, seller, or buyer, the latter two terms are preferred.
 *
 * https://schema.org/broker
 */
var broker = 'https://schema.org/broker';
/**
 * caption
 *
 * The caption for this object. For downloadable machine formats (closed caption, subtitles etc.) use MediaObject and indicate the [[encodingFormat]].
 *
 * https://schema.org/caption
 */
var caption = 'https://schema.org/caption';
/**
 * category
 *
 * A category for the item. Greater signs or slashes can be used to informally indicate a category hierarchy.
 *
 * https://schema.org/category
 */
var category = 'https://schema.org/category';
/**
 * childTaxon
 *
 * Closest child taxa of the taxon in question.
 *
 * https://schema.org/childTaxon
 */
var childTaxon = 'https://schema.org/childTaxon';
/**
 * clinicalPharmacology
 *
 * Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).
 *
 * https://schema.org/clinicalPharmacology
 */
var clinicalPharmacology = 'https://schema.org/clinicalPharmacology';
/**
 * codeSampleType
 *
 * What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.
 *
 * https://schema.org/codeSampleType
 */
var codeSampleType = 'https://schema.org/codeSampleType';
/**
 * colleague
 *
 * A colleague of the person.
 *
 * https://schema.org/colleague
 */
var colleague = 'https://schema.org/colleague';
/**
 * contactPoint
 *
 * A contact point for a person or organization.
 *
 * https://schema.org/contactPoint
 */
var contactPoint = 'https://schema.org/contactPoint';
/**
 * containsPlace
 *
 * The basic containment relation between a place and another that it contains.
 *
 * https://schema.org/containsPlace
 */
var containsPlace = 'https://schema.org/containsPlace';
/**
 * containsSeason
 *
 * A season that is part of the media series.
 *
 * https://schema.org/containsSeason
 */
var containsSeason = 'https://schema.org/containsSeason';
/**
 * contentLocation
 *
 * The location depicted or described in the content. For example, the location in a photograph or painting.
 *
 * https://schema.org/contentLocation
 */
var contentLocation = 'https://schema.org/contentLocation';
/**
 * creator
 *
 * The creator/author of this CreativeWork. This is the same as the Author property for CreativeWork.
 *
 * https://schema.org/creator
 */
var creator = 'https://schema.org/creator';
/**
 * dataset
 *
 * A dataset contained in this catalog.
 *
 * https://schema.org/dataset
 */
var dataset = 'https://schema.org/dataset';
/**
 * dateCreated
 *
 * The date on which the CreativeWork was created or the item was added to a DataFeed.
 *
 * https://schema.org/dateCreated
 */
var dateCreated = 'https://schema.org/dateCreated';
/**
 * director
 *
 * A director of e.g. TV, radio, movie, video gaming etc. content, or of an event. Directors can be associated with individual items or with a series, episode, clip.
 *
 * https://schema.org/director
 */
var director = 'https://schema.org/director';
/**
 * duration
 *
 * The duration of the item (movie, audio recording, event, etc.) in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * https://schema.org/duration
 */
var duration = 'https://schema.org/duration';
/**
 * employee
 *
 * Someone working for this organization.
 *
 * https://schema.org/employee
 */
var employee = 'https://schema.org/employee';
/**
 * encodesBioChemEntity
 *
 * Another BioChemEntity encoded by this one.
 *
 * https://schema.org/encodesBioChemEntity
 */
var encodesBioChemEntity = 'https://schema.org/encodesBioChemEntity';
/**
 * encodesCreativeWork
 *
 * The CreativeWork encoded by this media object.
 *
 * https://schema.org/encodesCreativeWork
 */
var encodesCreativeWork = 'https://schema.org/encodesCreativeWork';
/**
 * encodingFormat
 *
 * Media type typically expressed using a MIME format (see [IANA site](http://www.iana.org/assignments/media-types/media-types.xhtml) and [MDN reference](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types)), e.g. application/zip for a SoftwareApplication binary, audio/mpeg for .mp3 etc.
 *
 * In cases where a [[CreativeWork]] has several media type representations, [[encoding]] can be used to indicate each [[MediaObject]] alongside particular [[encodingFormat]] information.
 *
 * Unregistered or niche encoding and file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia/Wikidata entry.
 *
 * https://schema.org/encodingFormat
 */
var encodingFormat = 'https://schema.org/encodingFormat';
/**
 * episode
 *
 * An episode of a TV, radio or game media within a series or season.
 *
 * https://schema.org/episode
 */
var episode = 'https://schema.org/episode';
/**
 * event
 *
 * Upcoming or past event associated with this place, organization, or action.
 *
 * https://schema.org/event
 */
var event = 'https://schema.org/event';
/**
 * exampleOfWork
 *
 * A creative work that this work is an example/instance/realization/derivation of.
 *
 * https://schema.org/exampleOfWork
 */
var exampleOfWork = 'https://schema.org/exampleOfWork';
/**
 * executableLibraryName
 *
 * Library file name, e.g., mscorlib.dll, system.web.dll.
 *
 * https://schema.org/executableLibraryName
 */
var executableLibraryName = 'https://schema.org/executableLibraryName';
/**
 * exerciseCourse
 *
 * A sub property of location. The course where this action was taken.
 *
 * https://schema.org/exerciseCourse
 */
var exerciseCourse = 'https://schema.org/exerciseCourse';
/**
 * founder
 *
 * A person or organization who founded this organization.
 *
 * https://schema.org/founder
 */
var founder = 'https://schema.org/founder';
/**
 * frequency
 *
 * How often the dose is taken, e.g. 'daily'.
 *
 * https://schema.org/frequency
 */
var frequency = 'https://schema.org/frequency';
/**
 * fundedItem
 *
 * Indicates something directly or indirectly funded or sponsored through a [[Grant]]. See also [[ownershipFundingInfo]].
 *
 * https://schema.org/fundedItem
 */
var fundedItem = 'https://schema.org/fundedItem';
/**
 * funding
 *
 * A [[Grant]] that directly or indirectly provide funding or sponsorship for this item. See also [[ownershipFundingInfo]].
 *
 * https://schema.org/funding
 */
var funding = 'https://schema.org/funding';
/**
 * game
 *
 * Video game which is played on this server.
 *
 * https://schema.org/game
 */
var game = 'https://schema.org/game';
/**
 * gameServer
 *
 * The server on which  it is possible to play the game.
 *
 * https://schema.org/gameServer
 */
var gameServer = 'https://schema.org/gameServer';
/**
 * genre
 *
 * Genre of the creative work, broadcast channel or group.
 *
 * https://schema.org/genre
 */
var genre = 'https://schema.org/genre';
/**
 * hasBioChemEntityPart
 *
 * Indicates a BioChemEntity that (in some sense) has this BioChemEntity as a part.
 *
 * https://schema.org/hasBioChemEntityPart
 */
var hasBioChemEntityPart = 'https://schema.org/hasBioChemEntityPart';
/**
 * hasBroadcastChannel
 *
 * A broadcast channel of a broadcast service.
 *
 * https://schema.org/hasBroadcastChannel
 */
var hasBroadcastChannel = 'https://schema.org/hasBroadcastChannel';
/**
 * hasDefinedTerm
 *
 * A Defined Term contained in this term set.
 *
 * https://schema.org/hasDefinedTerm
 */
var hasDefinedTerm = 'https://schema.org/hasDefinedTerm';
/**
 * hasMenu
 *
 * Either the actual menu as a structured representation, as text, or a URL of the menu.
 *
 * https://schema.org/hasMenu
 */
var hasMenu = 'https://schema.org/hasMenu';
/**
 * hasMerchantReturnPolicy
 *
 * Specifies a MerchantReturnPolicy that may be applicable.
 *
 * https://schema.org/hasMerchantReturnPolicy
 */
var hasMerchantReturnPolicy = 'https://schema.org/hasMerchantReturnPolicy';
/**
 * hasTiers
 *
 * The tiers of a member program.
 *
 * https://schema.org/hasTiers
 */
var hasTiers = 'https://schema.org/hasTiers';
/**
 * hasVariant
 *
 * Indicates a [[Product]] that is a member of this [[ProductGroup]] (or [[ProductModel]]).
 *
 * https://schema.org/hasVariant
 */
var hasVariant = 'https://schema.org/hasVariant';
/**
 * https://schema.org/holdingArchive
 */
var holdingArchive = 'https://schema.org/holdingArchive';
/**
 * inDefinedTermSet
 *
 * A [[DefinedTermSet]] that contains this term.
 *
 * https://schema.org/inDefinedTermSet
 */
var inDefinedTermSet = 'https://schema.org/inDefinedTermSet';
/**
 * inLanguage
 *
 * The language of the content or performance or used in an action. Please use one of the language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47). See also [[availableLanguage]].
 *
 * https://schema.org/inLanguage
 */
var inLanguage = 'https://schema.org/inLanguage';
/**
 * incentiveCompensation
 *
 * Description of bonus and commission compensation aspects of the job.
 *
 * https://schema.org/incentiveCompensation
 */
var incentiveCompensation = 'https://schema.org/incentiveCompensation';
/**
 * interactionStatistic
 *
 * The number of interactions for the CreativeWork using the WebSite or SoftwareApplication. The most specific child type of InteractionCounter should be used.
 *
 * https://schema.org/interactionStatistic
 */
var interactionStatistic = 'https://schema.org/interactionStatistic';
/**
 * isAccessibleForFree
 *
 * A flag to signal that the item, event, or place is accessible for free.
 *
 * https://schema.org/isAccessibleForFree
 */
var isAccessibleForFree = 'https://schema.org/isAccessibleForFree';
/**
 * isBasedOn
 *
 * A resource from which this work is derived or from which it is a modification or adaptation.
 *
 * https://schema.org/isBasedOn
 */
var isBasedOn = 'https://schema.org/isBasedOn';
/**
 * isEncodedByBioChemEntity
 *
 * Another BioChemEntity encoding by this one.
 *
 * https://schema.org/isEncodedByBioChemEntity
 */
var isEncodedByBioChemEntity = 'https://schema.org/isEncodedByBioChemEntity';
/**
 * isPartOfBioChemEntity
 *
 * Indicates a BioChemEntity that is (in some sense) a part of this BioChemEntity.
 *
 * https://schema.org/isPartOfBioChemEntity
 */
var isPartOfBioChemEntity = 'https://schema.org/isPartOfBioChemEntity';
/**
 * isTierOf
 *
 * The member program this tier is a part of.
 *
 * https://schema.org/isTierOf
 */
var isTierOf = 'https://schema.org/isTierOf';
/**
 * isVariantOf
 *
 * Indicates the kind of product that this is a variant of. In the case of [[ProductModel]], this is a pointer (from a ProductModel) to a base product from which this product is a variant. It is safe to infer that the variant inherits all product features from the base model, unless defined locally. This is not transitive. In the case of a [[ProductGroup]], the group description also serves as a template, representing a set of Products that vary on explicitly defined, specific dimensions only (so it defines both a set of variants, as well as which values distinguish amongst those variants). When used with [[ProductGroup]], this property can apply to any [[Product]] included in the group.
 *
 * https://schema.org/isVariantOf
 */
var isVariantOf = 'https://schema.org/isVariantOf';
/**
 * itemOffered
 *
 * An item being offered (or demanded). The transactional nature of the offer or demand is documented using [[businessFunction]], e.g. sell, lease etc. While several common expected types are listed explicitly in this definition, others can be used. Using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.
 *
 * https://schema.org/itemOffered
 */
var itemOffered = 'https://schema.org/itemOffered';
/**
 * jobBenefits
 *
 * Description of benefits associated with the job.
 *
 * https://schema.org/jobBenefits
 */
var jobBenefits = 'https://schema.org/jobBenefits';
/**
 * jurisdiction
 *
 * Indicates a legal jurisdiction, e.g. of some legislation, or where some government service is based.
 *
 * https://schema.org/jurisdiction
 */
var jurisdiction = 'https://schema.org/jurisdiction';
/**
 * mainContentOfPage
 *
 * Indicates if this web page element is the main subject of the page.
 *
 * https://schema.org/mainContentOfPage
 */
var mainContentOfPage = 'https://schema.org/mainContentOfPage';
/**
 * mainEntity
 *
 * Indicates the primary entity described in some page or other CreativeWork.
 *
 * https://schema.org/mainEntity
 */
var mainEntity = 'https://schema.org/mainEntity';
/**
 * mainEntityOfPage
 *
 * Indicates a page (or other CreativeWork) for which this thing is the main entity being described. See [background notes](/docs/datamodel.html#mainEntityBackground) for details.
 *
 * https://schema.org/mainEntityOfPage
 */
var mainEntityOfPage = 'https://schema.org/mainEntityOfPage';
/**
 * makesOffer
 *
 * A pointer to products or services offered by the organization or person.
 *
 * https://schema.org/makesOffer
 */
var makesOffer = 'https://schema.org/makesOffer';
/**
 * measurementTechnique
 *
 * A technique, method or technology used in an [[Observation]], [[StatisticalVariable]] or [[Dataset]] (or [[DataDownload]], [[DataCatalog]]), corresponding to the method used for measuring the corresponding variable(s) (for datasets, described using [[variableMeasured]]; for [[Observation]], a [[StatisticalVariable]]). Often but not necessarily each [[variableMeasured]] will have an explicit representation as (or mapping to) an property such as those defined in Schema.org, or other RDF vocabularies and "knowledge graphs". In that case the subproperty of [[variableMeasured]] called [[measuredProperty]] is applicable.
 *
 * The [[measurementTechnique]] property helps when extra clarification is needed about how a [[measuredProperty]] was measured. This is oriented towards scientific and scholarly dataset publication but may have broader applicability; it is not intended as a full representation of measurement, but can often serve as a high level summary for dataset discovery.
 *
 * For example, if [[variableMeasured]] is: molecule concentration, [[measurementTechnique]] could be: "mass spectrometry" or "nmr spectroscopy" or "colorimetry" or "immunofluorescence". If the [[variableMeasured]] is "depression rating", the [[measurementTechnique]] could be "Zung Scale" or "HAM-D" or "Beck Depression Inventory".
 *
 * If there are several [[variableMeasured]] properties recorded for some given data object, use a [[PropertyValue]] for each [[variableMeasured]] and attach the corresponding [[measurementTechnique]]. The value can also be from an enumeration, organized as a [[MeasurementMetholdEnumeration]].
 *
 * https://schema.org/measurementTechnique
 */
var measurementTechnique = 'https://schema.org/measurementTechnique';
/**
 * merchantReturnDays
 *
 * Specifies either a fixed return date or the number of days (from the delivery date) that a product can be returned. Used when the [[returnPolicyCategory]] property is specified as [[MerchantReturnFiniteReturnWindow]].
 *
 * https://schema.org/merchantReturnDays
 */
var merchantReturnDays = 'https://schema.org/merchantReturnDays';
/**
 * merchantReturnLink
 *
 * Specifies a Web page or service by URL, for product returns.
 *
 * https://schema.org/merchantReturnLink
 */
var merchantReturnLink = 'https://schema.org/merchantReturnLink';
/**
 * offeredBy
 *
 * A pointer to the organization or person making the offer.
 *
 * https://schema.org/offeredBy
 */
var offeredBy = 'https://schema.org/offeredBy';
/**
 * offers
 *
 * An offer to provide this item&#x2014;for example, an offer to sell a product, rent the DVD of a movie, perform a service, or give away tickets to an event. Use [[businessFunction]] to indicate the kind of transaction offered, i.e. sell, lease, etc. This property can also be used to describe a [[Demand]]. While this property is listed as expected on a number of common types, it can be used in others. In that case, using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.
 *
 *
 * https://schema.org/offers
 */
var offers = 'https://schema.org/offers';
/**
 * parent
 *
 * A parent of this person.
 *
 * https://schema.org/parent
 */
var parent = 'https://schema.org/parent';
/**
 * parentTaxon
 *
 * Closest parent taxon of the taxon in question.
 *
 * https://schema.org/parentTaxon
 */
var parentTaxon = 'https://schema.org/parentTaxon';
/**
 * partOfSeries
 *
 * The series to which this episode or season belongs.
 *
 * https://schema.org/partOfSeries
 */
var partOfSeries = 'https://schema.org/partOfSeries';
/**
 * partOfTrip
 *
 * Identifies that this [[Trip]] is a subTrip of another Trip.  For example Day 1, Day 2, etc. of a multi-day trip.
 *
 * https://schema.org/partOfTrip
 */
var partOfTrip = 'https://schema.org/partOfTrip';
/**
 * paymentDueDate
 *
 * The date that payment is due.
 *
 * https://schema.org/paymentDueDate
 */
var paymentDueDate = 'https://schema.org/paymentDueDate';
/**
 * performTime
 *
 * The length of time it takes to perform instructions or a direction (not including time to prepare the supplies), in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).
 *
 * https://schema.org/performTime
 */
var performTime = 'https://schema.org/performTime';
/**
 * performer
 *
 * A performer at the event&#x2014;for example, a presenter, musician, musical group or actor.
 *
 * https://schema.org/performer
 */
var performer = 'https://schema.org/performer';
/**
 * photo
 *
 * A photograph of this place.
 *
 * https://schema.org/photo
 */
var photo = 'https://schema.org/photo';
/**
 * provider
 *
 * The service provider, service operator, or service performer; the goods producer. Another party (a seller) may offer those services or goods on behalf of the provider. A provider may also serve as the seller.
 *
 * https://schema.org/provider
 */
var provider = 'https://schema.org/provider';
/**
 * providesBroadcastService
 *
 * The BroadcastService offered on this channel.
 *
 * https://schema.org/providesBroadcastService
 */
var providesBroadcastService = 'https://schema.org/providesBroadcastService';
/**
 * recipeIngredient
 *
 * A single ingredient used in the recipe, e.g. sugar, flour or garlic.
 *
 * https://schema.org/recipeIngredient
 */
var recipeIngredient = 'https://schema.org/recipeIngredient';
/**
 * recordedAs
 *
 * An audio recording of the work.
 *
 * https://schema.org/recordedAs
 */
var recordedAs = 'https://schema.org/recordedAs';
/**
 * recordedAt
 *
 * The Event where the CreativeWork was recorded. The CreativeWork may capture all or part of the event.
 *
 * https://schema.org/recordedAt
 */
var recordedAt = 'https://schema.org/recordedAt';
/**
 * recordedIn
 *
 * The CreativeWork that captured all or part of this Event.
 *
 * https://schema.org/recordedIn
 */
var recordedIn = 'https://schema.org/recordedIn';
/**
 * recordingOf
 *
 * The composition this track is a recording of.
 *
 * https://schema.org/recordingOf
 */
var recordingOf = 'https://schema.org/recordingOf';
/**
 * releaseOf
 *
 * The album this is a release of.
 *
 * https://schema.org/releaseOf
 */
var releaseOf = 'https://schema.org/releaseOf';
/**
 * review
 *
 * A review of the item.
 *
 * https://schema.org/review
 */
var review = 'https://schema.org/review';
/**
 * roleName
 *
 * A role played, performed or filled by a person or organization. For example, the team of creators for a comic book might fill the roles named 'inker', 'penciller', and 'letterer'; or an athlete in a SportsTeam might play in the position named 'Quarterback'.
 *
 * https://schema.org/roleName
 */
var roleName = 'https://schema.org/roleName';
/**
 * runtimePlatform
 *
 * Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .NET Framework 3.0).
 *
 * https://schema.org/runtimePlatform
 */
var runtimePlatform = 'https://schema.org/runtimePlatform';
/**
 * season
 *
 * A season in a media series.
 *
 * https://schema.org/season
 */
var season = 'https://schema.org/season';
/**
 * serialNumber
 *
 * The serial number or any alphanumeric identifier of a particular product. When attached to an offer, it is a shortcut for the serial number of the product included in the offer.
 *
 * https://schema.org/serialNumber
 */
var serialNumber = 'https://schema.org/serialNumber';
/**
 * serviceArea
 *
 * The geographic area where the service is provided.
 *
 * https://schema.org/serviceArea
 */
var serviceArea = 'https://schema.org/serviceArea';
/**
 * serviceOutput
 *
 * The tangible thing generated by the service, e.g. a passport, permit, etc.
 *
 * https://schema.org/serviceOutput
 */
var serviceOutput = 'https://schema.org/serviceOutput';
/**
 * sibling
 *
 * A sibling of the person.
 *
 * https://schema.org/sibling
 */
var sibling = 'https://schema.org/sibling';
/**
 * significantLink
 *
 * One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.
 *
 * https://schema.org/significantLink
 */
var significantLink = 'https://schema.org/significantLink';
/**
 * softwareRequirements
 *
 * Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (examples: DirectX, Java or .NET runtime).
 *
 * https://schema.org/softwareRequirements
 */
var softwareRequirements = 'https://schema.org/softwareRequirements';
/**
 * sponsor
 *
 * A person or organization that supports a thing through a pledge, promise, or financial contribution. E.g. a sponsor of a Medical Study or a corporate sponsor of an event.
 *
 * https://schema.org/sponsor
 */
var sponsor = 'https://schema.org/sponsor';
/**
 * subOrganization
 *
 * A relationship between two organizations where the first includes the second, e.g., as a subsidiary. See also: the more specific 'department' property.
 *
 * https://schema.org/subOrganization
 */
var subOrganization = 'https://schema.org/subOrganization';
/**
 * subTrip
 *
 * Identifies a [[Trip]] that is a subTrip of this Trip.  For example Day 1, Day 2, etc. of a multi-day trip.
 *
 * https://schema.org/subTrip
 */
var subTrip = 'https://schema.org/subTrip';
/**
 * subjectOf
 *
 * A CreativeWork or Event about this Thing.
 *
 * https://schema.org/subjectOf
 */
var subjectOf = 'https://schema.org/subjectOf';
/**
 * suggestedAnswer
 *
 * An answer (possibly one of several, possibly incorrect) to a Question, e.g. on a Question/Answer site.
 *
 * https://schema.org/suggestedAnswer
 */
var suggestedAnswer = 'https://schema.org/suggestedAnswer';
/**
 * superEvent
 *
 * An event that this event is a part of. For example, a collection of individual music performances might each have a music festival as their superEvent.
 *
 * https://schema.org/superEvent
 */
var superEvent = 'https://schema.org/superEvent';
/**
 * targetCollection
 *
 * A sub property of object. The collection target of the action.
 *
 * https://schema.org/targetCollection
 */
var targetCollection = 'https://schema.org/targetCollection';
/**
 * temporalCoverage
 *
 * The temporalCoverage of a CreativeWork indicates the period that the content applies to, i.e. that it describes, either as a DateTime or as a textual string indicating a time period in [ISO 8601 time interval format](https://en.wikipedia.org/wiki/ISO_8601#Time_intervals). In
 *       the case of a Dataset it will typically indicate the relevant time period in a precise notation (e.g. for a 2011 census dataset, the year 2011 would be written "2011/2012"). Other forms of content, e.g. ScholarlyArticle, Book, TVSeries or TVEpisode, may indicate their temporalCoverage in broader terms - textually or via well-known URL.
 *       Written works such as books may sometimes have precise temporal coverage too, e.g. a work set in 1939 - 1945 can be indicated in ISO 8601 interval format format via "1939/1945".
 *
 * Open-ended date ranges can be written with ".." in place of the end date. For example, "2015-11/.." indicates a range beginning in November 2015 and with no specified final date. This is tentative and might be updated in future when ISO 8601 is officially updated.
 *
 * https://schema.org/temporalCoverage
 */
var temporalCoverage = 'https://schema.org/temporalCoverage';
/**
 * termCode
 *
 * A code that identifies this [[DefinedTerm]] within a [[DefinedTermSet]].
 *
 * https://schema.org/termCode
 */
var termCode = 'https://schema.org/termCode';
/**
 * track
 *
 * A music recording (track)&#x2014;usually a single song. If an ItemList is given, the list should contain items of type MusicRecording.
 *
 * https://schema.org/track
 */
var track = 'https://schema.org/track';
/**
 * translationOfWork
 *
 * The work that this work has been translated from. E.g. 物种起源 is a translationOf “On the Origin of Species”.
 *
 * https://schema.org/translationOfWork
 */
var translationOfWork = 'https://schema.org/translationOfWork';
/**
 * usageInfo
 *
 * The schema.org [[usageInfo]] property indicates further information about a [[CreativeWork]]. This property is applicable both to works that are freely available and to those that require payment or other transactions. It can reference additional information, e.g. community expectations on preferred linking and citation conventions, as well as purchasing details. For something that can be commercially licensed, usageInfo can provide detailed, resource-specific information about licensing options.
 *
 * This property can be used alongside the license property which indicates license(s) applicable to some piece of content. The usageInfo property can provide information about other licensing options, e.g. acquiring commercial usage rights for an image that is also available under non-commercial creative commons licenses.
 *
 * https://schema.org/usageInfo
 */
var usageInfo = 'https://schema.org/usageInfo';
/**
 * warranty
 *
 * The warranty promise(s) included in the offer.
 *
 * https://schema.org/warranty
 */
var warranty = 'https://schema.org/warranty';
/**
 * workTranslation
 *
 * A work that is a translation of the content of this work. E.g. 西遊記 has an English workTranslation “Journey to the West”, a German workTranslation “Monkeys Pilgerfahrt” and a Vietnamese  translation Tây du ký bình khảo.
 *
 * https://schema.org/workTranslation
 */
var workTranslation = 'https://schema.org/workTranslation';
/**
 * yield
 *
 * The quantity that results by performing instructions. For example, a paper airplane, 10 personalized candles.
 * Note that `yield` is a reserved Javascript keyword, and is therefore suffixed by `__workaround`.
 * For a list of reserved keywords, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Keywords.
 *
 * https://schema.org/yield
 */
var yield__workaround = 'https://schema.org/yield';
/**
 * about
 *
 * The subject matter of the content.
 *
 * https://schema.org/about
 */
var about = 'https://schema.org/about';
/**
 * actor
 *
 * An actor (individual or a group), e.g. in TV, radio, movie, video games etc., or in an event. Actors can be associated with individual items or with a series, episode, clip.
 *
 * https://schema.org/actor
 */
var actor = 'https://schema.org/actor';
/**
 * associatedReview
 *
 * An associated [[Review]].
 *
 * https://schema.org/associatedReview
 */
var associatedReview = 'https://schema.org/associatedReview';
/**
 * competitor
 *
 * A competitor in a sports event.
 *
 * https://schema.org/competitor
 */
var competitor = 'https://schema.org/competitor';
/**
 * containedInPlace
 *
 * The basic containment relation between a place and one that contains it.
 *
 * https://schema.org/containedInPlace
 */
var containedInPlace = 'https://schema.org/containedInPlace';
/**
 * encoding
 *
 * A media object that encodes this CreativeWork. This property is a synonym for associatedMedia.
 *
 * https://schema.org/encoding
 */
var encoding = 'https://schema.org/encoding';
/**
 * hasMap
 *
 * A URL to a map of the place.
 *
 * https://schema.org/hasMap
 */
var hasMap = 'https://schema.org/hasMap';
/**
 * legislationApplies
 *
 * Indicates that this legislation (or part of a legislation) somehow transfers another legislation in a different legislative context. This is an informative link, and it has no legal value. For legally-binding links of transposition, use the <a href="/legislationTransposes">legislationTransposes</a> property. For example an informative consolidated law of a European Union's member state "applies" the consolidated version of the European Directive implemented in it.
 *
 * https://schema.org/legislationApplies
 */
var legislationApplies = 'https://schema.org/legislationApplies';
/**
 * material
 *
 * A material that something is made from, e.g. leather, wool, cotton, paper.
 *
 * https://schema.org/material
 */
var material = 'https://schema.org/material';
/**
 * memberOf
 *
 * An Organization (or ProgramMembership) to which this Person or Organization belongs.
 *
 * https://schema.org/memberOf
 */
var memberOf = 'https://schema.org/memberOf';
/**
 * parentOrganization
 *
 * The larger organization that this organization is a [[subOrganization]] of, if any.
 *
 * https://schema.org/parentOrganization
 */
var parentOrganization = 'https://schema.org/parentOrganization';
/**
 * result
 *
 * The result produced in the action. E.g. John wrote *a book*.
 *
 * https://schema.org/result
 */
var result = 'https://schema.org/result';
/**
 * seller
 *
 * An entity which offers (sells / leases / lends / loans) the services / goods.  A seller may also be a provider.
 *
 * https://schema.org/seller
 */
var seller = 'https://schema.org/seller';
/**
 * spatialCoverage
 *
 * The spatialCoverage of a CreativeWork indicates the place(s) which are the focus of the content. It is a subproperty of
 *       contentLocation intended primarily for more technical and detailed materials. For example with a Dataset, it indicates
 *       areas that the dataset describes: a dataset of New York weather would have spatialCoverage which was the place: the state of New York.
 *
 * https://schema.org/spatialCoverage
 */
var spatialCoverage = 'https://schema.org/spatialCoverage';
/**
 * step
 *
 * A single step item (as HowToStep, text, document, video, etc.) or a HowToSection.
 *
 * https://schema.org/step
 */
var step = 'https://schema.org/step';
/**
 * subEvent
 *
 * An Event that is part of this event. For example, a conference event includes many presentations, each of which is a subEvent of the conference.
 *
 * https://schema.org/subEvent
 */
var subEvent = 'https://schema.org/subEvent';
/**
 * supply
 *
 * A sub-property of instrument. A supply consumed when performing instructions or a direction.
 *
 * https://schema.org/supply
 */
var supply = 'https://schema.org/supply';
/**
 * workFeatured
 *
 * A work featured in some event, e.g. exhibited in an ExhibitionEvent.
 *        Specific subproperties are available for workPerformed (e.g. a play), or a workPresented (a Movie at a ScreeningEvent).
 *
 * https://schema.org/workFeatured
 */
var workFeatured = 'https://schema.org/workFeatured';
/**
 * areaServed
 *
 * The geographic area where a service or offered item is provided.
 *
 * https://schema.org/areaServed
 */
var areaServed = 'https://schema.org/areaServed';
/**
 * includedInDataCatalog
 *
 * A data catalog which contains this dataset.
 *
 * https://schema.org/includedInDataCatalog
 */
var includedInDataCatalog = 'https://schema.org/includedInDataCatalog';
/**
 * legislationChanges
 *
 * Another legislation that this legislation changes. This encompasses the notions of amendment, replacement, correction, repeal, or other types of change. This may be a direct change (textual or non-textual amendment) or a consequential or indirect change. The property is to be used to express the existence of a change relationship between two acts rather than the existence of a consolidated version of the text that shows the result of the change. For consolidation relationships, use the <a href="/legislationConsolidates">legislationConsolidates</a> property.
 *
 * https://schema.org/legislationChanges
 */
var legislationChanges = 'https://schema.org/legislationChanges';
/**
 * member
 *
 * A member of an Organization or a ProgramMembership. Organizations can be members of organizations; ProgramMembership is typically for individuals.
 *
 * https://schema.org/member
 */
var member = 'https://schema.org/member';
/**
 * recipient
 *
 * A sub property of participant. The participant who is at the receiving end of the action.
 *
 * https://schema.org/recipient
 */
var recipient = 'https://schema.org/recipient';
/**
 * workExample
 *
 * Example/instance/realization/derivation of the concept of this creative work. E.g. the paperback edition, first edition, or e-book.
 *
 * https://schema.org/workExample
 */
var workExample = 'https://schema.org/workExample';
/**
 * description
 *
 * A description of the item.
 *
 * https://schema.org/description
 */
var description = 'https://schema.org/description';
/**
 * gtin
 *
 * A Global Trade Item Number ([GTIN](https://www.gs1.org/standards/id-keys/gtin)). GTINs identify trade items, including products and services, using numeric identification codes.
 *
 * A correct [[gtin]] value should be a valid GTIN, which means that it should be an all-numeric string of either 8, 12, 13 or 14 digits, or a "GS1 Digital Link" URL based on such a string. The numeric component should also have a [valid GS1 check digit](https://www.gs1.org/services/check-digit-calculator) and meet the other rules for valid GTINs. See also [GS1's GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) and [Wikipedia](https://en.wikipedia.org/wiki/Global_Trade_Item_Number) for more details. Left-padding of the gtin values is not required or encouraged. The [[gtin]] property generalizes the earlier [[gtin8]], [[gtin12]], [[gtin13]], and [[gtin14]] properties.
 *
 * The GS1 [digital link specifications](https://www.gs1.org/standards/Digital-Link/) expresses GTINs as URLs (URIs, IRIs, etc.).
 * Digital Links should be populated into the [[hasGS1DigitalLink]] attribute.
 *
 * Note also that this is a definition for how to include GTINs in Schema.org data, and not a definition of GTINs in general - see the GS1 documentation for authoritative details.
 *
 * https://schema.org/gtin
 */
var gtin = 'https://schema.org/gtin';
/**
 * hasRepresentation
 *
 * A common representation such as a protein sequence or chemical structure for this entity. For images use schema.org/image.
 *
 * https://schema.org/hasRepresentation
 */
var hasRepresentation = 'https://schema.org/hasRepresentation';
/**
 * image
 *
 * An image of the item. This can be a [[URL]] or a fully described [[ImageObject]].
 *
 * https://schema.org/image
 */
var image = 'https://schema.org/image';
/**
 * hasPart
 *
 * Indicates an item or CreativeWork that is part of this item, or CreativeWork (in some sense).
 *
 * https://schema.org/hasPart
 */
var hasPart = 'https://schema.org/hasPart';
/**
 * position
 *
 * The position of an item in a series or sequence of items.
 *
 * https://schema.org/position
 */
var position = 'https://schema.org/position';
/**
 * isPartOf
 *
 * Indicates an item or CreativeWork that this item, or CreativeWork (in some sense), is part of.
 *
 * https://schema.org/isPartOf
 */
var isPartOf = 'https://schema.org/isPartOf';
/**
 * instrument
 *
 * The object that helped the agent perform the action. E.g. John wrote a book with *a pen*.
 *
 * https://schema.org/instrument
 */
var instrument = 'https://schema.org/instrument';
/**
 * object
 *
 * The object upon which the action is carried out, whose state is kept intact or changed. Also known as the semantic roles patient, affected or undergoer (which change their state) or theme (which doesn't). E.g. John read *a book*.
 *
 * https://schema.org/object
 */
var object = 'https://schema.org/object';
/**
 * publishingPrinciples
 *
 * The publishingPrinciples property indicates (typically via [[URL]]) a document describing the editorial principles of an [[Organization]] (or individual, e.g. a [[Person]] writing a blog) that relate to their activities as a publisher, e.g. ethics or diversity policies. When applied to a [[CreativeWork]] (e.g. [[NewsArticle]]) the principles are those of the party primarily responsible for the creation of the [[CreativeWork]].
 *
 * While such policies are most typically expressed in natural language, sometimes related information (e.g. indicating a [[funder]]) can be expressed using schema.org terminology.
 *
 *
 * https://schema.org/publishingPrinciples
 */
var publishingPrinciples = 'https://schema.org/publishingPrinciples';
/**
 * location
 *
 * The location of, for example, where an event is happening, where an organization is located, or where an action takes place.
 *
 * https://schema.org/location
 */
var location = 'https://schema.org/location';
/**
 * participant
 *
 * Other co-agents that participated in the action indirectly. E.g. John wrote a book with *Steve*.
 *
 * https://schema.org/participant
 */
var participant = 'https://schema.org/participant';
/**
 * identifier
 *
 * The identifier property represents any kind of identifier for any kind of [[Thing]], such as ISBNs, GTIN codes, UUIDs etc. Schema.org provides dedicated properties for representing many of these, either as textual strings or as URL (URI) links. See [background notes](/docs/datamodel.html#identifierBg) for more details.
 *
 *
 * https://schema.org/identifier
 */
var identifier = 'https://schema.org/identifier';

var schema_httpsImport = /*#__PURE__*/Object.freeze({
	AMRadioChannel: AMRadioChannel,
	APIReference: APIReference,
	AboutPage: AboutPage,
	AcceptAction: AcceptAction,
	Accommodation: Accommodation,
	AccountingService: AccountingService,
	AchieveAction: AchieveAction,
	Action: Action,
	ActionAccessSpecification: ActionAccessSpecification,
	ActionStatusType: ActionStatusType,
	ActivateAction: ActivateAction,
	AddAction: AddAction,
	AdministrativeArea: AdministrativeArea,
	AdultEntertainment: AdultEntertainment,
	AdultOrientedEnumeration: AdultOrientedEnumeration,
	AdvertiserContentArticle: AdvertiserContentArticle,
	AggregateOffer: AggregateOffer,
	AggregateRating: AggregateRating,
	AgreeAction: AgreeAction,
	Airline: Airline,
	Airport: Airport,
	AlignmentObject: AlignmentObject,
	AllocateAction: AllocateAction,
	AmpStory: AmpStory,
	AmusementPark: AmusementPark,
	AnalysisNewsArticle: AnalysisNewsArticle,
	AnatomicalStructure: AnatomicalStructure,
	AnatomicalSystem: AnatomicalSystem,
	AnimalShelter: AnimalShelter,
	Answer: Answer,
	Apartment: Apartment,
	ApartmentComplex: ApartmentComplex,
	AppendAction: AppendAction,
	ApplyAction: ApplyAction,
	ApprovedIndication: ApprovedIndication,
	Aquarium: Aquarium,
	ArchiveComponent: ArchiveComponent,
	ArchiveOrganization: ArchiveOrganization,
	ArriveAction: ArriveAction,
	ArtGallery: ArtGallery,
	Artery: Artery,
	Article: Article,
	AskAction: AskAction,
	AskPublicNewsArticle: AskPublicNewsArticle,
	AssessAction: AssessAction,
	AssignAction: AssignAction,
	Atlas: Atlas,
	Attorney: Attorney,
	Audience: Audience,
	AudioObject: AudioObject,
	AudioObjectSnapshot: AudioObjectSnapshot,
	Audiobook: Audiobook,
	AuthorizeAction: AuthorizeAction,
	AutoBodyShop: AutoBodyShop,
	AutoDealer: AutoDealer,
	AutoPartsStore: AutoPartsStore,
	AutoRental: AutoRental,
	AutoRepair: AutoRepair,
	AutoWash: AutoWash,
	AutomatedTeller: AutomatedTeller,
	AutomotiveBusiness: AutomotiveBusiness,
	BackgroundNewsArticle: BackgroundNewsArticle,
	Bakery: Bakery,
	BankAccount: BankAccount,
	BankOrCreditUnion: BankOrCreditUnion,
	BarOrPub: BarOrPub,
	Barcode: Barcode,
	Beach: Beach,
	BeautySalon: BeautySalon,
	BedAndBreakfast: BedAndBreakfast,
	BedDetails: BedDetails,
	BedType: BedType,
	BefriendAction: BefriendAction,
	BikeStore: BikeStore,
	BioChemEntity: BioChemEntity,
	Blog: Blog,
	BlogPosting: BlogPosting,
	BloodTest: BloodTest,
	BoardingPolicyType: BoardingPolicyType,
	BoatReservation: BoatReservation,
	BoatTerminal: BoatTerminal,
	BoatTrip: BoatTrip,
	BodyMeasurementTypeEnumeration: BodyMeasurementTypeEnumeration,
	BodyOfWater: BodyOfWater,
	Bone: Bone,
	Book: Book,
	BookFormatType: BookFormatType,
	BookSeries: BookSeries,
	BookStore: BookStore,
	BookmarkAction: BookmarkAction,
	Boolean__workaround: Boolean__workaround,
	BorrowAction: BorrowAction,
	BowlingAlley: BowlingAlley,
	BrainStructure: BrainStructure,
	Brand: Brand,
	BreadcrumbList: BreadcrumbList,
	Brewery: Brewery,
	Bridge: Bridge,
	BroadcastChannel: BroadcastChannel,
	BroadcastEvent: BroadcastEvent,
	BroadcastFrequencySpecification: BroadcastFrequencySpecification,
	BroadcastService: BroadcastService,
	BrokerageAccount: BrokerageAccount,
	BuddhistTemple: BuddhistTemple,
	BusOrCoach: BusOrCoach,
	BusReservation: BusReservation,
	BusStation: BusStation,
	BusStop: BusStop,
	BusTrip: BusTrip,
	BusinessAudience: BusinessAudience,
	BusinessEntityType: BusinessEntityType,
	BusinessEvent: BusinessEvent,
	BusinessFunction: BusinessFunction,
	BuyAction: BuyAction,
	CDCPMDRecord: CDCPMDRecord,
	CableOrSatelliteService: CableOrSatelliteService,
	CafeOrCoffeeShop: CafeOrCoffeeShop,
	Campground: Campground,
	CampingPitch: CampingPitch,
	Canal: Canal,
	CancelAction: CancelAction,
	Car: Car,
	CarUsageType: CarUsageType,
	Casino: Casino,
	CategoryCode: CategoryCode,
	CategoryCodeSet: CategoryCodeSet,
	CatholicChurch: CatholicChurch,
	Cemetery: Cemetery,
	Certification: Certification,
	CertificationStatusEnumeration: CertificationStatusEnumeration,
	Chapter: Chapter,
	CheckAction: CheckAction,
	CheckInAction: CheckInAction,
	CheckOutAction: CheckOutAction,
	CheckoutPage: CheckoutPage,
	ChemicalSubstance: ChemicalSubstance,
	ChildCare: ChildCare,
	ChildrensEvent: ChildrensEvent,
	ChooseAction: ChooseAction,
	Church: Church,
	City: City,
	CityHall: CityHall,
	CivicStructure: CivicStructure,
	Claim: Claim,
	ClaimReview: ClaimReview,
	Class: Class,
	Clip: Clip,
	ClothingStore: ClothingStore,
	Code: Code,
	Collection: Collection,
	CollectionPage: CollectionPage,
	CollegeOrUniversity: CollegeOrUniversity,
	ComedyClub: ComedyClub,
	ComedyEvent: ComedyEvent,
	ComicCoverArt: ComicCoverArt,
	ComicIssue: ComicIssue,
	ComicSeries: ComicSeries,
	ComicStory: ComicStory,
	Comment: Comment,
	CommentAction: CommentAction,
	CommunicateAction: CommunicateAction,
	CompleteDataFeed: CompleteDataFeed,
	CompoundPriceSpecification: CompoundPriceSpecification,
	ComputerLanguage: ComputerLanguage,
	ComputerStore: ComputerStore,
	ConfirmAction: ConfirmAction,
	Consortium: Consortium,
	ConstraintNode: ConstraintNode,
	ConsumeAction: ConsumeAction,
	ContactPage: ContactPage,
	ContactPoint: ContactPoint,
	ContactPointOption: ContactPointOption,
	Continent: Continent,
	ControlAction: ControlAction,
	ConvenienceStore: ConvenienceStore,
	Conversation: Conversation,
	CookAction: CookAction,
	Cooperative: Cooperative,
	Corporation: Corporation,
	CorrectionComment: CorrectionComment,
	Country: Country,
	Course: Course,
	CourseInstance: CourseInstance,
	Courthouse: Courthouse,
	CoverArt: CoverArt,
	CovidTestingFacility: CovidTestingFacility,
	CreateAction: CreateAction,
	CreativeWork: CreativeWork,
	CreativeWorkSeason: CreativeWorkSeason,
	CreativeWorkSeries: CreativeWorkSeries,
	CreditCard: CreditCard,
	Crematorium: Crematorium,
	CriticReview: CriticReview,
	CssSelectorType: CssSelectorType,
	CurrencyConversionService: CurrencyConversionService,
	DDxElement: DDxElement,
	DanceEvent: DanceEvent,
	DanceGroup: DanceGroup,
	DataCatalog: DataCatalog,
	DataDownload: DataDownload,
	DataFeed: DataFeed,
	DataFeedItem: DataFeedItem,
	DataType: DataType,
	Dataset: Dataset,
	Date__workaround: Date__workaround,
	DateTime: DateTime,
	DatedMoneySpecification: DatedMoneySpecification,
	DayOfWeek: DayOfWeek,
	DaySpa: DaySpa,
	DeactivateAction: DeactivateAction,
	DefenceEstablishment: DefenceEstablishment,
	DefinedRegion: DefinedRegion,
	DefinedTerm: DefinedTerm,
	DefinedTermSet: DefinedTermSet,
	DeleteAction: DeleteAction,
	DeliveryChargeSpecification: DeliveryChargeSpecification,
	DeliveryEvent: DeliveryEvent,
	DeliveryMethod: DeliveryMethod,
	DeliveryTimeSettings: DeliveryTimeSettings,
	Demand: Demand,
	Dentist: Dentist,
	DepartAction: DepartAction,
	DepartmentStore: DepartmentStore,
	DepositAccount: DepositAccount,
	DiagnosticLab: DiagnosticLab,
	DiagnosticProcedure: DiagnosticProcedure,
	Diet: Diet,
	DietarySupplement: DietarySupplement,
	DigitalDocument: DigitalDocument,
	DigitalDocumentPermission: DigitalDocumentPermission,
	DigitalDocumentPermissionType: DigitalDocumentPermissionType,
	DigitalPlatformEnumeration: DigitalPlatformEnumeration,
	DisagreeAction: DisagreeAction,
	DiscoverAction: DiscoverAction,
	DiscussionForumPosting: DiscussionForumPosting,
	DislikeAction: DislikeAction,
	Distance: Distance,
	Distillery: Distillery,
	DonateAction: DonateAction,
	DoseSchedule: DoseSchedule,
	DownloadAction: DownloadAction,
	DrawAction: DrawAction,
	Drawing: Drawing,
	DrinkAction: DrinkAction,
	DriveWheelConfigurationValue: DriveWheelConfigurationValue,
	Drug: Drug,
	DrugClass: DrugClass,
	DrugCost: DrugCost,
	DrugCostCategory: DrugCostCategory,
	DrugLegalStatus: DrugLegalStatus,
	DrugPregnancyCategory: DrugPregnancyCategory,
	DrugPrescriptionStatus: DrugPrescriptionStatus,
	DrugStrength: DrugStrength,
	DryCleaningOrLaundry: DryCleaningOrLaundry,
	Duration: Duration,
	EUEnergyEfficiencyEnumeration: EUEnergyEfficiencyEnumeration,
	EatAction: EatAction,
	EducationEvent: EducationEvent,
	EducationalAudience: EducationalAudience,
	EducationalOccupationalCredential: EducationalOccupationalCredential,
	EducationalOccupationalProgram: EducationalOccupationalProgram,
	EducationalOrganization: EducationalOrganization,
	Electrician: Electrician,
	ElectronicsStore: ElectronicsStore,
	ElementarySchool: ElementarySchool,
	EmailMessage: EmailMessage,
	Embassy: Embassy,
	EmergencyService: EmergencyService,
	EmployeeRole: EmployeeRole,
	EmployerAggregateRating: EmployerAggregateRating,
	EmployerReview: EmployerReview,
	EmploymentAgency: EmploymentAgency,
	EndorseAction: EndorseAction,
	EndorsementRating: EndorsementRating,
	Energy: Energy,
	EnergyConsumptionDetails: EnergyConsumptionDetails,
	EnergyEfficiencyEnumeration: EnergyEfficiencyEnumeration,
	EnergyStarEnergyEfficiencyEnumeration: EnergyStarEnergyEfficiencyEnumeration,
	EngineSpecification: EngineSpecification,
	EntertainmentBusiness: EntertainmentBusiness,
	EntryPoint: EntryPoint,
	Enumeration: Enumeration,
	Episode: Episode,
	Event: Event,
	EventAttendanceModeEnumeration: EventAttendanceModeEnumeration,
	EventReservation: EventReservation,
	EventSeries: EventSeries,
	EventStatusType: EventStatusType,
	EventVenue: EventVenue,
	ExchangeRateSpecification: ExchangeRateSpecification,
	ExerciseAction: ExerciseAction,
	ExerciseGym: ExerciseGym,
	ExercisePlan: ExercisePlan,
	ExhibitionEvent: ExhibitionEvent,
	FAQPage: FAQPage,
	FMRadioChannel: FMRadioChannel,
	FastFoodRestaurant: FastFoodRestaurant,
	Festival: Festival,
	FilmAction: FilmAction,
	FinancialIncentive: FinancialIncentive,
	FinancialProduct: FinancialProduct,
	FinancialService: FinancialService,
	FindAction: FindAction,
	FireStation: FireStation,
	Flight: Flight,
	FlightReservation: FlightReservation,
	Float: Float,
	FloorPlan: FloorPlan,
	Florist: Florist,
	FollowAction: FollowAction,
	FoodEstablishment: FoodEstablishment,
	FoodEstablishmentReservation: FoodEstablishmentReservation,
	FoodEvent: FoodEvent,
	FoodService: FoodService,
	FulfillmentTypeEnumeration: FulfillmentTypeEnumeration,
	FundingAgency: FundingAgency,
	FundingScheme: FundingScheme,
	FurnitureStore: FurnitureStore,
	Game: Game,
	GameAvailabilityEnumeration: GameAvailabilityEnumeration,
	GamePlayMode: GamePlayMode,
	GameServer: GameServer,
	GameServerStatus: GameServerStatus,
	GardenStore: GardenStore,
	GasStation: GasStation,
	GatedResidenceCommunity: GatedResidenceCommunity,
	GenderType: GenderType,
	Gene: Gene,
	GeneralContractor: GeneralContractor,
	GeoCircle: GeoCircle,
	GeoCoordinates: GeoCoordinates,
	GeoShape: GeoShape,
	GeospatialGeometry: GeospatialGeometry,
	GiveAction: GiveAction,
	GolfCourse: GolfCourse,
	GovernmentBenefitsType: GovernmentBenefitsType,
	GovernmentBuilding: GovernmentBuilding,
	GovernmentOffice: GovernmentOffice,
	GovernmentOrganization: GovernmentOrganization,
	GovernmentPermit: GovernmentPermit,
	GovernmentService: GovernmentService,
	Grant: Grant,
	GroceryStore: GroceryStore,
	Guide: Guide,
	HVACBusiness: HVACBusiness,
	Hackathon: Hackathon,
	HairSalon: HairSalon,
	HardwareStore: HardwareStore,
	HealthAndBeautyBusiness: HealthAndBeautyBusiness,
	HealthAspectEnumeration: HealthAspectEnumeration,
	HealthClub: HealthClub,
	HealthInsurancePlan: HealthInsurancePlan,
	HealthPlanCostSharingSpecification: HealthPlanCostSharingSpecification,
	HealthPlanFormulary: HealthPlanFormulary,
	HealthPlanNetwork: HealthPlanNetwork,
	HealthTopicContent: HealthTopicContent,
	HighSchool: HighSchool,
	HinduTemple: HinduTemple,
	HobbyShop: HobbyShop,
	HomeAndConstructionBusiness: HomeAndConstructionBusiness,
	HomeGoodsStore: HomeGoodsStore,
	Hospital: Hospital,
	Hostel: Hostel,
	Hotel: Hotel,
	HotelRoom: HotelRoom,
	House: House,
	HousePainter: HousePainter,
	HowTo: HowTo,
	HowToDirection: HowToDirection,
	HowToItem: HowToItem,
	HowToSection: HowToSection,
	HowToStep: HowToStep,
	HowToSupply: HowToSupply,
	HowToTip: HowToTip,
	HowToTool: HowToTool,
	HyperToc: HyperToc,
	HyperTocEntry: HyperTocEntry,
	IPTCDigitalSourceEnumeration: IPTCDigitalSourceEnumeration,
	IceCreamShop: IceCreamShop,
	IgnoreAction: IgnoreAction,
	ImageGallery: ImageGallery,
	ImageObject: ImageObject,
	ImageObjectSnapshot: ImageObjectSnapshot,
	ImagingTest: ImagingTest,
	IncentiveQualifiedExpenseType: IncentiveQualifiedExpenseType,
	IncentiveStatus: IncentiveStatus,
	IncentiveType: IncentiveType,
	IndividualPhysician: IndividualPhysician,
	IndividualProduct: IndividualProduct,
	InfectiousAgentClass: InfectiousAgentClass,
	InfectiousDisease: InfectiousDisease,
	InformAction: InformAction,
	InsertAction: InsertAction,
	InstallAction: InstallAction,
	InsuranceAgency: InsuranceAgency,
	Intangible: Intangible,
	Integer: Integer,
	InteractAction: InteractAction,
	InteractionCounter: InteractionCounter,
	InternetCafe: InternetCafe,
	InvestmentFund: InvestmentFund,
	InvestmentOrDeposit: InvestmentOrDeposit,
	InviteAction: InviteAction,
	Invoice: Invoice,
	ItemAvailability: ItemAvailability,
	ItemList: ItemList,
	ItemListOrderType: ItemListOrderType,
	ItemPage: ItemPage,
	JewelryStore: JewelryStore,
	JobPosting: JobPosting,
	JoinAction: JoinAction,
	Joint: Joint,
	LakeBodyOfWater: LakeBodyOfWater,
	Landform: Landform,
	LandmarksOrHistoricalBuildings: LandmarksOrHistoricalBuildings,
	Language: Language,
	LearningResource: LearningResource,
	LeaveAction: LeaveAction,
	LegalForceStatus: LegalForceStatus,
	LegalService: LegalService,
	LegalValueLevel: LegalValueLevel,
	Legislation: Legislation,
	LegislationObject: LegislationObject,
	LegislativeBuilding: LegislativeBuilding,
	LendAction: LendAction,
	Library: Library,
	LibrarySystem: LibrarySystem,
	LifestyleModification: LifestyleModification,
	Ligament: Ligament,
	LikeAction: LikeAction,
	LinkRole: LinkRole,
	LiquorStore: LiquorStore,
	ListItem: ListItem,
	ListenAction: ListenAction,
	LiteraryEvent: LiteraryEvent,
	LiveBlogPosting: LiveBlogPosting,
	LoanOrCredit: LoanOrCredit,
	LocalBusiness: LocalBusiness,
	LocationFeatureSpecification: LocationFeatureSpecification,
	Locksmith: Locksmith,
	LodgingBusiness: LodgingBusiness,
	LodgingReservation: LodgingReservation,
	LoseAction: LoseAction,
	LymphaticVessel: LymphaticVessel,
	Manuscript: Manuscript,
	Map__workaround: Map__workaround,
	MapCategoryType: MapCategoryType,
	MarryAction: MarryAction,
	Mass: Mass,
	MathSolver: MathSolver,
	MaximumDoseSchedule: MaximumDoseSchedule,
	MeasurementMethodEnum: MeasurementMethodEnum,
	MeasurementTypeEnumeration: MeasurementTypeEnumeration,
	MediaEnumeration: MediaEnumeration,
	MediaGallery: MediaGallery,
	MediaManipulationRatingEnumeration: MediaManipulationRatingEnumeration,
	MediaObject: MediaObject,
	MediaReview: MediaReview,
	MediaReviewItem: MediaReviewItem,
	MediaSubscription: MediaSubscription,
	MedicalAudience: MedicalAudience,
	MedicalAudienceType: MedicalAudienceType,
	MedicalBusiness: MedicalBusiness,
	MedicalCause: MedicalCause,
	MedicalClinic: MedicalClinic,
	MedicalCode: MedicalCode,
	MedicalCondition: MedicalCondition,
	MedicalConditionStage: MedicalConditionStage,
	MedicalContraindication: MedicalContraindication,
	MedicalDevice: MedicalDevice,
	MedicalDevicePurpose: MedicalDevicePurpose,
	MedicalEntity: MedicalEntity,
	MedicalEnumeration: MedicalEnumeration,
	MedicalEvidenceLevel: MedicalEvidenceLevel,
	MedicalGuideline: MedicalGuideline,
	MedicalGuidelineContraindication: MedicalGuidelineContraindication,
	MedicalGuidelineRecommendation: MedicalGuidelineRecommendation,
	MedicalImagingTechnique: MedicalImagingTechnique,
	MedicalIndication: MedicalIndication,
	MedicalIntangible: MedicalIntangible,
	MedicalObservationalStudy: MedicalObservationalStudy,
	MedicalObservationalStudyDesign: MedicalObservationalStudyDesign,
	MedicalOrganization: MedicalOrganization,
	MedicalProcedure: MedicalProcedure,
	MedicalProcedureType: MedicalProcedureType,
	MedicalRiskCalculator: MedicalRiskCalculator,
	MedicalRiskEstimator: MedicalRiskEstimator,
	MedicalRiskFactor: MedicalRiskFactor,
	MedicalRiskScore: MedicalRiskScore,
	MedicalScholarlyArticle: MedicalScholarlyArticle,
	MedicalSign: MedicalSign,
	MedicalSignOrSymptom: MedicalSignOrSymptom,
	MedicalSpecialty: MedicalSpecialty,
	MedicalStudy: MedicalStudy,
	MedicalStudyStatus: MedicalStudyStatus,
	MedicalSymptom: MedicalSymptom,
	MedicalTest: MedicalTest,
	MedicalTestPanel: MedicalTestPanel,
	MedicalTherapy: MedicalTherapy,
	MedicalTrial: MedicalTrial,
	MedicalTrialDesign: MedicalTrialDesign,
	MedicalWebPage: MedicalWebPage,
	MedicineSystem: MedicineSystem,
	MeetingRoom: MeetingRoom,
	MemberProgram: MemberProgram,
	MemberProgramTier: MemberProgramTier,
	MensClothingStore: MensClothingStore,
	Menu: Menu,
	MenuItem: MenuItem,
	MenuSection: MenuSection,
	MerchantReturnEnumeration: MerchantReturnEnumeration,
	MerchantReturnPolicy: MerchantReturnPolicy,
	MerchantReturnPolicySeasonalOverride: MerchantReturnPolicySeasonalOverride,
	Message: Message,
	MiddleSchool: MiddleSchool,
	MobileApplication: MobileApplication,
	MobilePhoneStore: MobilePhoneStore,
	MolecularEntity: MolecularEntity,
	MonetaryAmount: MonetaryAmount,
	MonetaryAmountDistribution: MonetaryAmountDistribution,
	MonetaryGrant: MonetaryGrant,
	MoneyTransfer: MoneyTransfer,
	MortgageLoan: MortgageLoan,
	Mosque: Mosque,
	Motel: Motel,
	Motorcycle: Motorcycle,
	MotorcycleDealer: MotorcycleDealer,
	MotorcycleRepair: MotorcycleRepair,
	MotorizedBicycle: MotorizedBicycle,
	Mountain: Mountain,
	MoveAction: MoveAction,
	Movie: Movie,
	MovieClip: MovieClip,
	MovieRentalStore: MovieRentalStore,
	MovieSeries: MovieSeries,
	MovieTheater: MovieTheater,
	MovingCompany: MovingCompany,
	Muscle: Muscle,
	Museum: Museum,
	MusicAlbum: MusicAlbum,
	MusicAlbumProductionType: MusicAlbumProductionType,
	MusicAlbumReleaseType: MusicAlbumReleaseType,
	MusicComposition: MusicComposition,
	MusicEvent: MusicEvent,
	MusicGroup: MusicGroup,
	MusicPlaylist: MusicPlaylist,
	MusicRecording: MusicRecording,
	MusicRelease: MusicRelease,
	MusicReleaseFormatType: MusicReleaseFormatType,
	MusicStore: MusicStore,
	MusicVenue: MusicVenue,
	MusicVideoObject: MusicVideoObject,
	NGO: NGO,
	NLNonprofitType: NLNonprofitType,
	NailSalon: NailSalon,
	Nerve: Nerve,
	NewsArticle: NewsArticle,
	NewsMediaOrganization: NewsMediaOrganization,
	Newspaper: Newspaper,
	NightClub: NightClub,
	NonprofitType: NonprofitType,
	Notary: Notary,
	NoteDigitalDocument: NoteDigitalDocument,
	Number__workaround: Number__workaround,
	NutritionInformation: NutritionInformation,
	Observation: Observation,
	Occupation: Occupation,
	OccupationalExperienceRequirements: OccupationalExperienceRequirements,
	OccupationalTherapy: OccupationalTherapy,
	OceanBodyOfWater: OceanBodyOfWater,
	Offer: Offer,
	OfferCatalog: OfferCatalog,
	OfferForLease: OfferForLease,
	OfferForPurchase: OfferForPurchase,
	OfferItemCondition: OfferItemCondition,
	OfferShippingDetails: OfferShippingDetails,
	OfficeEquipmentStore: OfficeEquipmentStore,
	OnDemandEvent: OnDemandEvent,
	OnlineBusiness: OnlineBusiness,
	OnlineStore: OnlineStore,
	OpeningHoursSpecification: OpeningHoursSpecification,
	OpinionNewsArticle: OpinionNewsArticle,
	Optician: Optician,
	Order: Order,
	OrderAction: OrderAction,
	OrderItem: OrderItem,
	OrderStatus: OrderStatus,
	Organization: Organization,
	OrganizationRole: OrganizationRole,
	OrganizeAction: OrganizeAction,
	OutletStore: OutletStore,
	OwnershipInfo: OwnershipInfo,
	PaintAction: PaintAction,
	Painting: Painting,
	PalliativeProcedure: PalliativeProcedure,
	ParcelDelivery: ParcelDelivery,
	ParentAudience: ParentAudience,
	Park: Park,
	ParkingFacility: ParkingFacility,
	PathologyTest: PathologyTest,
	Patient: Patient,
	PawnShop: PawnShop,
	PayAction: PayAction,
	PaymentCard: PaymentCard,
	PaymentChargeSpecification: PaymentChargeSpecification,
	PaymentMethod: PaymentMethod,
	PaymentMethodType: PaymentMethodType,
	PaymentService: PaymentService,
	PaymentStatusType: PaymentStatusType,
	PeopleAudience: PeopleAudience,
	PerformAction: PerformAction,
	PerformanceRole: PerformanceRole,
	PerformingArtsTheater: PerformingArtsTheater,
	PerformingGroup: PerformingGroup,
	Periodical: Periodical,
	Permit: Permit,
	Person: Person,
	PetStore: PetStore,
	Pharmacy: Pharmacy,
	Photograph: Photograph,
	PhotographAction: PhotographAction,
	PhysicalActivity: PhysicalActivity,
	PhysicalActivityCategory: PhysicalActivityCategory,
	PhysicalExam: PhysicalExam,
	PhysicalTherapy: PhysicalTherapy,
	Physician: Physician,
	PhysiciansOffice: PhysiciansOffice,
	Place: Place,
	PlaceOfWorship: PlaceOfWorship,
	PlanAction: PlanAction,
	Play: Play,
	PlayAction: PlayAction,
	PlayGameAction: PlayGameAction,
	Playground: Playground,
	Plumber: Plumber,
	PodcastEpisode: PodcastEpisode,
	PodcastSeason: PodcastSeason,
	PodcastSeries: PodcastSeries,
	PoliceStation: PoliceStation,
	PoliticalParty: PoliticalParty,
	Pond: Pond,
	PostOffice: PostOffice,
	PostalAddress: PostalAddress,
	PostalCodeRangeSpecification: PostalCodeRangeSpecification,
	Poster: Poster,
	PreOrderAction: PreOrderAction,
	PrependAction: PrependAction,
	Preschool: Preschool,
	PresentationDigitalDocument: PresentationDigitalDocument,
	PreventionIndication: PreventionIndication,
	PriceComponentTypeEnumeration: PriceComponentTypeEnumeration,
	PriceSpecification: PriceSpecification,
	PriceTypeEnumeration: PriceTypeEnumeration,
	Product: Product,
	ProductCollection: ProductCollection,
	ProductGroup: ProductGroup,
	ProductModel: ProductModel,
	ProductReturnEnumeration: ProductReturnEnumeration,
	ProductReturnPolicy: ProductReturnPolicy,
	ProfessionalService: ProfessionalService,
	ProfilePage: ProfilePage,
	ProgramMembership: ProgramMembership,
	Project: Project,
	PronounceableText: PronounceableText,
	Property: Property,
	PropertyValue: PropertyValue,
	PropertyValueSpecification: PropertyValueSpecification,
	Protein: Protein,
	PsychologicalTreatment: PsychologicalTreatment,
	PublicSwimmingPool: PublicSwimmingPool,
	PublicToilet: PublicToilet,
	PublicationEvent: PublicationEvent,
	PublicationIssue: PublicationIssue,
	PublicationVolume: PublicationVolume,
	PurchaseType: PurchaseType,
	QAPage: QAPage,
	QualitativeValue: QualitativeValue,
	QuantitativeValue: QuantitativeValue,
	QuantitativeValueDistribution: QuantitativeValueDistribution,
	Quantity: Quantity,
	Question: Question,
	Quiz: Quiz,
	Quotation: Quotation,
	QuoteAction: QuoteAction,
	RVPark: RVPark,
	RadiationTherapy: RadiationTherapy,
	RadioBroadcastService: RadioBroadcastService,
	RadioChannel: RadioChannel,
	RadioClip: RadioClip,
	RadioEpisode: RadioEpisode,
	RadioSeason: RadioSeason,
	RadioSeries: RadioSeries,
	RadioStation: RadioStation,
	Rating: Rating,
	ReactAction: ReactAction,
	ReadAction: ReadAction,
	RealEstateAgent: RealEstateAgent,
	RealEstateListing: RealEstateListing,
	ReceiveAction: ReceiveAction,
	Recipe: Recipe,
	Recommendation: Recommendation,
	RecommendedDoseSchedule: RecommendedDoseSchedule,
	RecyclingCenter: RecyclingCenter,
	RefundTypeEnumeration: RefundTypeEnumeration,
	RegisterAction: RegisterAction,
	RejectAction: RejectAction,
	RentAction: RentAction,
	RentalCarReservation: RentalCarReservation,
	RepaymentSpecification: RepaymentSpecification,
	ReplaceAction: ReplaceAction,
	ReplyAction: ReplyAction,
	Report: Report,
	ReportageNewsArticle: ReportageNewsArticle,
	ReportedDoseSchedule: ReportedDoseSchedule,
	ResearchOrganization: ResearchOrganization,
	ResearchProject: ResearchProject,
	Researcher: Researcher,
	Reservation: Reservation,
	ReservationPackage: ReservationPackage,
	ReservationStatusType: ReservationStatusType,
	ReserveAction: ReserveAction,
	Reservoir: Reservoir,
	Residence: Residence,
	Resort: Resort,
	Restaurant: Restaurant,
	RestrictedDiet: RestrictedDiet,
	ResumeAction: ResumeAction,
	ReturnAction: ReturnAction,
	ReturnFeesEnumeration: ReturnFeesEnumeration,
	ReturnLabelSourceEnumeration: ReturnLabelSourceEnumeration,
	ReturnMethodEnumeration: ReturnMethodEnumeration,
	Review: Review,
	ReviewAction: ReviewAction,
	ReviewNewsArticle: ReviewNewsArticle,
	RiverBodyOfWater: RiverBodyOfWater,
	Role: Role,
	RoofingContractor: RoofingContractor,
	Room: Room,
	RsvpAction: RsvpAction,
	RsvpResponseType: RsvpResponseType,
	SaleEvent: SaleEvent,
	SatiricalArticle: SatiricalArticle,
	Schedule: Schedule,
	ScheduleAction: ScheduleAction,
	ScholarlyArticle: ScholarlyArticle,
	School: School,
	SchoolDistrict: SchoolDistrict,
	ScreeningEvent: ScreeningEvent,
	Sculpture: Sculpture,
	SeaBodyOfWater: SeaBodyOfWater,
	SearchAction: SearchAction,
	SearchRescueOrganization: SearchRescueOrganization,
	SearchResultsPage: SearchResultsPage,
	Season: Season,
	Seat: Seat,
	SeekToAction: SeekToAction,
	SelfStorage: SelfStorage,
	SellAction: SellAction,
	SendAction: SendAction,
	Series: Series,
	Service: Service,
	ServiceChannel: ServiceChannel,
	ServicePeriod: ServicePeriod,
	ShareAction: ShareAction,
	SheetMusic: SheetMusic,
	ShippingConditions: ShippingConditions,
	ShippingDeliveryTime: ShippingDeliveryTime,
	ShippingRateSettings: ShippingRateSettings,
	ShippingService: ShippingService,
	ShoeStore: ShoeStore,
	ShoppingCenter: ShoppingCenter,
	ShortStory: ShortStory,
	SingleFamilyResidence: SingleFamilyResidence,
	SiteNavigationElement: SiteNavigationElement,
	SizeGroupEnumeration: SizeGroupEnumeration,
	SizeSpecification: SizeSpecification,
	SizeSystemEnumeration: SizeSystemEnumeration,
	SkiResort: SkiResort,
	SocialEvent: SocialEvent,
	SocialMediaPosting: SocialMediaPosting,
	SoftwareApplication: SoftwareApplication,
	SoftwareSourceCode: SoftwareSourceCode,
	SolveMathAction: SolveMathAction,
	SomeProducts: SomeProducts,
	SpeakableSpecification: SpeakableSpecification,
	SpecialAnnouncement: SpecialAnnouncement,
	Specialty: Specialty,
	SportingGoodsStore: SportingGoodsStore,
	SportsActivityLocation: SportsActivityLocation,
	SportsClub: SportsClub,
	SportsEvent: SportsEvent,
	SportsOrganization: SportsOrganization,
	SportsTeam: SportsTeam,
	SpreadsheetDigitalDocument: SpreadsheetDigitalDocument,
	StadiumOrArena: StadiumOrArena,
	State: State,
	Statement: Statement,
	StatisticalPopulation: StatisticalPopulation,
	StatisticalVariable: StatisticalVariable,
	StatusEnumeration: StatusEnumeration,
	SteeringPositionValue: SteeringPositionValue,
	Store: Store,
	StructuredValue: StructuredValue,
	StupidType: StupidType,
	SubscribeAction: SubscribeAction,
	Substance: Substance,
	SubwayStation: SubwayStation,
	Suite: Suite,
	SuperficialAnatomy: SuperficialAnatomy,
	SurgicalProcedure: SurgicalProcedure,
	SuspendAction: SuspendAction,
	Syllabus: Syllabus,
	Synagogue: Synagogue,
	TVClip: TVClip,
	TVEpisode: TVEpisode,
	TVSeason: TVSeason,
	TVSeries: TVSeries,
	Table: Table,
	TakeAction: TakeAction,
	TattooParlor: TattooParlor,
	Taxi: Taxi,
	TaxiReservation: TaxiReservation,
	TaxiService: TaxiService,
	TaxiStand: TaxiStand,
	Taxon: Taxon,
	TechArticle: TechArticle,
	TelevisionChannel: TelevisionChannel,
	TelevisionStation: TelevisionStation,
	TennisComplex: TennisComplex,
	Text: Text,
	TextDigitalDocument: TextDigitalDocument,
	TextObject: TextObject,
	TheaterEvent: TheaterEvent,
	TheaterGroup: TheaterGroup,
	TherapeuticProcedure: TherapeuticProcedure,
	Thesis: Thesis,
	Thing: Thing,
	Ticket: Ticket,
	TieAction: TieAction,
	TierBenefitEnumeration: TierBenefitEnumeration,
	Time: Time,
	TipAction: TipAction,
	TireShop: TireShop,
	TouristAttraction: TouristAttraction,
	TouristDestination: TouristDestination,
	TouristInformationCenter: TouristInformationCenter,
	TouristTrip: TouristTrip,
	ToyStore: ToyStore,
	TrackAction: TrackAction,
	TradeAction: TradeAction,
	TrainReservation: TrainReservation,
	TrainStation: TrainStation,
	TrainTrip: TrainTrip,
	TransferAction: TransferAction,
	TravelAction: TravelAction,
	TravelAgency: TravelAgency,
	TreatmentIndication: TreatmentIndication,
	Trip: Trip,
	TypeAndQuantityNode: TypeAndQuantityNode,
	UKNonprofitType: UKNonprofitType,
	URL: URL,
	USNonprofitType: USNonprofitType,
	UnRegisterAction: UnRegisterAction,
	UnitPriceSpecification: UnitPriceSpecification,
	UpdateAction: UpdateAction,
	UseAction: UseAction,
	UserBlocks: UserBlocks,
	UserCheckins: UserCheckins,
	UserComments: UserComments,
	UserDownloads: UserDownloads,
	UserInteraction: UserInteraction,
	UserLikes: UserLikes,
	UserPageVisits: UserPageVisits,
	UserPlays: UserPlays,
	UserPlusOnes: UserPlusOnes,
	UserReview: UserReview,
	UserTweets: UserTweets,
	VacationRental: VacationRental,
	Vehicle: Vehicle,
	Vein: Vein,
	Vessel: Vessel,
	VeterinaryCare: VeterinaryCare,
	VideoGallery: VideoGallery,
	VideoGame: VideoGame,
	VideoGameClip: VideoGameClip,
	VideoGameSeries: VideoGameSeries,
	VideoObject: VideoObject,
	VideoObjectSnapshot: VideoObjectSnapshot,
	ViewAction: ViewAction,
	VirtualLocation: VirtualLocation,
	VisualArtsEvent: VisualArtsEvent,
	VisualArtwork: VisualArtwork,
	VitalSign: VitalSign,
	Volcano: Volcano,
	VoteAction: VoteAction,
	WPAdBlock: WPAdBlock,
	WPFooter: WPFooter,
	WPHeader: WPHeader,
	WPSideBar: WPSideBar,
	WantAction: WantAction,
	WarrantyPromise: WarrantyPromise,
	WarrantyScope: WarrantyScope,
	WatchAction: WatchAction,
	Waterfall: Waterfall,
	WearAction: WearAction,
	WearableMeasurementTypeEnumeration: WearableMeasurementTypeEnumeration,
	WearableSizeGroupEnumeration: WearableSizeGroupEnumeration,
	WearableSizeSystemEnumeration: WearableSizeSystemEnumeration,
	WebAPI: WebAPI,
	WebApplication: WebApplication,
	WebContent: WebContent,
	WebPage: WebPage,
	WebPageElement: WebPageElement,
	WebSite: WebSite,
	WholesaleStore: WholesaleStore,
	WinAction: WinAction,
	Winery: Winery,
	WorkBasedProgram: WorkBasedProgram,
	WorkersUnion: WorkersUnion,
	WriteAction: WriteAction,
	XPathType: XPathType,
	Zoo: Zoo,
	abridged: abridged,
	abstract: abstract,
	accelerationTime: accelerationTime,
	acceptedAnswer: acceptedAnswer,
	acceptedOffer: acceptedOffer,
	acceptedPaymentMethod: acceptedPaymentMethod,
	acceptsReservations: acceptsReservations,
	accessCode: accessCode,
	accessMode: accessMode,
	accessModeSufficient: accessModeSufficient,
	accessibilityAPI: accessibilityAPI,
	accessibilityControl: accessibilityControl,
	accessibilityFeature: accessibilityFeature,
	accessibilityHazard: accessibilityHazard,
	accessibilitySummary: accessibilitySummary,
	accommodationCategory: accommodationCategory,
	accommodationFloorPlan: accommodationFloorPlan,
	accountId: accountId,
	accountMinimumInflow: accountMinimumInflow,
	accountOverdraftLimit: accountOverdraftLimit,
	accountablePerson: accountablePerson,
	acquireLicensePage: acquireLicensePage,
	acquiredFrom: acquiredFrom,
	acrissCode: acrissCode,
	actionAccessibilityRequirement: actionAccessibilityRequirement,
	actionPlatform: actionPlatform,
	actionProcess: actionProcess,
	actionStatus: actionStatus,
	actionableFeedbackPolicy: actionableFeedbackPolicy,
	activeIngredient: activeIngredient,
	activityDuration: activityDuration,
	activityFrequency: activityFrequency,
	actors: actors,
	addOn: addOn,
	additionalName: additionalName,
	additionalNumberOfGuests: additionalNumberOfGuests,
	additionalProperty: additionalProperty,
	additionalType: additionalType,
	additionalVariable: additionalVariable,
	address: address,
	addressCountry: addressCountry,
	addressLocality: addressLocality,
	addressRegion: addressRegion,
	administrationRoute: administrationRoute,
	advanceBookingRequirement: advanceBookingRequirement,
	adverseOutcome: adverseOutcome,
	affectedBy: affectedBy,
	affiliation: affiliation,
	afterMedia: afterMedia,
	agent: agent,
	agentInteractionStatistic: agentInteractionStatistic,
	aggregateElement: aggregateElement,
	aggregateRating: aggregateRating,
	aircraft: aircraft,
	albumProductionType: albumProductionType,
	albumReleaseType: albumReleaseType,
	albums: albums,
	alcoholWarning: alcoholWarning,
	algorithm: algorithm,
	alignmentType: alignmentType,
	alternativeHeadline: alternativeHeadline,
	alternativeOf: alternativeOf,
	amenityFeature: amenityFeature,
	amount: amount,
	amountOfThisGood: amountOfThisGood,
	announcementLocation: announcementLocation,
	annualPercentageRate: annualPercentageRate,
	answerCount: answerCount,
	answerExplanation: answerExplanation,
	antagonist: antagonist,
	appearance: appearance,
	applicableCountry: applicableCountry,
	applicableLocation: applicableLocation,
	applicantLocationRequirements: applicantLocationRequirements,
	application: application,
	applicationCategory: applicationCategory,
	applicationContact: applicationContact,
	applicationDeadline: applicationDeadline,
	applicationStartDate: applicationStartDate,
	applicationSubCategory: applicationSubCategory,
	applicationSuite: applicationSuite,
	appliesToDeliveryMethod: appliesToDeliveryMethod,
	appliesToPaymentMethod: appliesToPaymentMethod,
	archivedAt: archivedAt,
	area: area,
	arrivalAirport: arrivalAirport,
	arrivalBoatTerminal: arrivalBoatTerminal,
	arrivalBusStop: arrivalBusStop,
	arrivalGate: arrivalGate,
	arrivalPlatform: arrivalPlatform,
	arrivalStation: arrivalStation,
	arrivalTerminal: arrivalTerminal,
	arrivalTime: arrivalTime,
	artEdition: artEdition,
	artMedium: artMedium,
	artform: artform,
	articleBody: articleBody,
	articleSection: articleSection,
	artist: artist,
	asin: asin,
	aspect: aspect,
	assembly: assembly,
	assemblyVersion: assemblyVersion,
	assesses: assesses,
	associatedAnatomy: associatedAnatomy,
	associatedArticle: associatedArticle,
	associatedClaimReview: associatedClaimReview,
	associatedDisease: associatedDisease,
	associatedMedia: associatedMedia,
	associatedMediaReview: associatedMediaReview,
	associatedPathophysiology: associatedPathophysiology,
	athlete: athlete,
	attendees: attendees,
	audienceType: audienceType,
	audio: audio,
	auditDate: auditDate,
	authenticator: authenticator,
	author: author,
	availability: availability,
	availabilityEnds: availabilityEnds,
	availabilityStarts: availabilityStarts,
	availableAtOrFrom: availableAtOrFrom,
	availableChannel: availableChannel,
	availableDeliveryMethod: availableDeliveryMethod,
	availableFrom: availableFrom,
	availableIn: availableIn,
	availableLanguage: availableLanguage,
	availableService: availableService,
	availableStrength: availableStrength,
	availableTest: availableTest,
	availableThrough: availableThrough,
	awards: awards,
	awayTeam: awayTeam,
	backstory: backstory,
	bankAccountType: bankAccountType,
	baseSalary: baseSalary,
	bccRecipient: bccRecipient,
	bed: bed,
	beforeMedia: beforeMedia,
	beneficiaryBank: beneficiaryBank,
	benefits: benefits,
	benefitsSummaryUrl: benefitsSummaryUrl,
	bestRating: bestRating,
	billingAddress: billingAddress,
	billingDuration: billingDuration,
	billingIncrement: billingIncrement,
	billingPeriod: billingPeriod,
	billingStart: billingStart,
	bioChemInteraction: bioChemInteraction,
	bioChemSimilarity: bioChemSimilarity,
	biologicalRole: biologicalRole,
	biomechnicalClass: biomechnicalClass,
	birthDate: birthDate,
	birthPlace: birthPlace,
	bitrate: bitrate,
	blogPosts: blogPosts,
	bloodSupply: bloodSupply,
	boardingGroup: boardingGroup,
	boardingPolicy: boardingPolicy,
	bodyLocation: bodyLocation,
	bodyType: bodyType,
	bookEdition: bookEdition,
	bookFormat: bookFormat,
	bookingAgent: bookingAgent,
	bookingTime: bookingTime,
	borrower: borrower,
	box: box,
	branch: branch,
	branchCode: branchCode,
	branchOf: branchOf,
	brand: brand,
	breadcrumb: breadcrumb,
	breastfeedingWarning: breastfeedingWarning,
	broadcastAffiliateOf: broadcastAffiliateOf,
	broadcastChannelId: broadcastChannelId,
	broadcastDisplayName: broadcastDisplayName,
	broadcastFrequency: broadcastFrequency,
	broadcastFrequencyValue: broadcastFrequencyValue,
	broadcastOfEvent: broadcastOfEvent,
	broadcastServiceTier: broadcastServiceTier,
	broadcastSignalModulation: broadcastSignalModulation,
	broadcastSubChannel: broadcastSubChannel,
	broadcastTimezone: broadcastTimezone,
	broadcaster: broadcaster,
	browserRequirements: browserRequirements,
	busName: busName,
	busNumber: busNumber,
	businessDays: businessDays,
	businessFunction: businessFunction,
	buyer: buyer,
	byArtist: byArtist,
	byDay: byDay,
	byMonth: byMonth,
	byMonthDay: byMonthDay,
	byMonthWeek: byMonthWeek,
	callSign: callSign,
	calories: calories,
	candidate: candidate,
	carbohydrateContent: carbohydrateContent,
	cargoVolume: cargoVolume,
	carrier: carrier,
	carrierRequirements: carrierRequirements,
	cashBack: cashBack,
	catalog: catalog,
	catalogNumber: catalogNumber,
	causeOf: causeOf,
	ccRecipient: ccRecipient,
	certificationIdentification: certificationIdentification,
	certificationRating: certificationRating,
	certificationStatus: certificationStatus,
	character: character,
	characterAttribute: characterAttribute,
	characterName: characterName,
	cheatCode: cheatCode,
	checkinTime: checkinTime,
	checkoutPageURLTemplate: checkoutPageURLTemplate,
	checkoutTime: checkoutTime,
	chemicalComposition: chemicalComposition,
	chemicalRole: chemicalRole,
	childMaxAge: childMaxAge,
	childMinAge: childMinAge,
	children: children,
	cholesterolContent: cholesterolContent,
	circle: circle,
	citation: citation,
	claimInterpreter: claimInterpreter,
	claimReviewed: claimReviewed,
	clincalPharmacology: clincalPharmacology,
	clipNumber: clipNumber,
	closes: closes,
	coach: coach,
	code: code,
	codeRepository: codeRepository,
	codeValue: codeValue,
	codingSystem: codingSystem,
	colleagues: colleagues,
	collection: collection,
	collectionSize: collectionSize,
	color: color,
	colorSwatch: colorSwatch,
	colorist: colorist,
	comment: comment,
	commentCount: commentCount,
	commentText: commentText,
	commentTime: commentTime,
	companyRegistration: companyRegistration,
	competencyRequired: competencyRequired,
	composer: composer,
	comprisedOf: comprisedOf,
	conditionsOfAccess: conditionsOfAccess,
	confirmationNumber: confirmationNumber,
	connectedTo: connectedTo,
	constraintProperty: constraintProperty,
	contactOption: contactOption,
	contactPoints: contactPoints,
	contactType: contactType,
	contactlessPayment: contactlessPayment,
	containedIn: containedIn,
	contentRating: contentRating,
	contentReferenceTime: contentReferenceTime,
	contentSize: contentSize,
	contentType: contentType,
	contentUrl: contentUrl,
	contraindication: contraindication,
	contributor: contributor,
	cookTime: cookTime,
	cookingMethod: cookingMethod,
	copyrightHolder: copyrightHolder,
	copyrightNotice: copyrightNotice,
	copyrightYear: copyrightYear,
	correction: correction,
	correctionsPolicy: correctionsPolicy,
	costCategory: costCategory,
	costCurrency: costCurrency,
	costOrigin: costOrigin,
	costPerUnit: costPerUnit,
	countriesNotSupported: countriesNotSupported,
	countriesSupported: countriesSupported,
	countryOfAssembly: countryOfAssembly,
	countryOfLastProcessing: countryOfLastProcessing,
	countryOfOrigin: countryOfOrigin,
	course: course,
	courseCode: courseCode,
	courseMode: courseMode,
	coursePrerequisites: coursePrerequisites,
	courseSchedule: courseSchedule,
	courseWorkload: courseWorkload,
	coverageEndTime: coverageEndTime,
	coverageStartTime: coverageStartTime,
	creativeWorkStatus: creativeWorkStatus,
	credentialCategory: credentialCategory,
	creditText: creditText,
	creditedTo: creditedTo,
	cssSelector: cssSelector,
	currenciesAccepted: currenciesAccepted,
	currency: currency,
	currentExchangeRate: currentExchangeRate,
	customer: customer,
	customerRemorseReturnFees: customerRemorseReturnFees,
	customerRemorseReturnLabelSource: customerRemorseReturnLabelSource,
	customerRemorseReturnShippingFeesAmount: customerRemorseReturnShippingFeesAmount,
	cutoffTime: cutoffTime,
	cvdCollectionDate: cvdCollectionDate,
	cvdFacilityCounty: cvdFacilityCounty,
	cvdFacilityId: cvdFacilityId,
	cvdNumBeds: cvdNumBeds,
	cvdNumBedsOcc: cvdNumBedsOcc,
	cvdNumC19Died: cvdNumC19Died,
	cvdNumC19HOPats: cvdNumC19HOPats,
	cvdNumC19HospPats: cvdNumC19HospPats,
	cvdNumC19MechVentPats: cvdNumC19MechVentPats,
	cvdNumC19OFMechVentPats: cvdNumC19OFMechVentPats,
	cvdNumC19OverflowPats: cvdNumC19OverflowPats,
	cvdNumICUBeds: cvdNumICUBeds,
	cvdNumICUBedsOcc: cvdNumICUBedsOcc,
	cvdNumTotBeds: cvdNumTotBeds,
	cvdNumVent: cvdNumVent,
	cvdNumVentUse: cvdNumVentUse,
	dataFeedElement: dataFeedElement,
	datasetTimeInterval: datasetTimeInterval,
	dateDeleted: dateDeleted,
	dateIssued: dateIssued,
	dateModified: dateModified,
	datePosted: datePosted,
	datePublished: datePublished,
	dateRead: dateRead,
	dateReceived: dateReceived,
	dateSent: dateSent,
	dateVehicleFirstRegistered: dateVehicleFirstRegistered,
	dateline: dateline,
	dayOfWeek: dayOfWeek,
	deathDate: deathDate,
	deathPlace: deathPlace,
	defaultValue: defaultValue,
	deliveryAddress: deliveryAddress,
	deliveryLeadTime: deliveryLeadTime,
	deliveryMethod: deliveryMethod,
	deliveryStatus: deliveryStatus,
	deliveryTime: deliveryTime,
	department: department,
	departureAirport: departureAirport,
	departureBoatTerminal: departureBoatTerminal,
	departureBusStop: departureBusStop,
	departureGate: departureGate,
	departurePlatform: departurePlatform,
	departureStation: departureStation,
	departureTerminal: departureTerminal,
	departureTime: departureTime,
	dependencies: dependencies,
	depth: depth,
	device: device,
	diagnosis: diagnosis,
	diagram: diagram,
	diet: diet,
	dietFeatures: dietFeatures,
	differentialDiagnosis: differentialDiagnosis,
	digitalSourceType: digitalSourceType,
	directApply: directApply,
	directors: directors,
	disambiguatingDescription: disambiguatingDescription,
	discount: discount,
	discountCode: discountCode,
	discountCurrency: discountCurrency,
	discusses: discusses,
	discussionUrl: discussionUrl,
	diseasePreventionInfo: diseasePreventionInfo,
	diseaseSpreadStatistics: diseaseSpreadStatistics,
	dissolutionDate: dissolutionDate,
	distance: distance,
	distinguishingSign: distinguishingSign,
	distribution: distribution,
	diversityPolicy: diversityPolicy,
	diversityStaffingReport: diversityStaffingReport,
	documentation: documentation,
	doesNotShip: doesNotShip,
	domainIncludes: domainIncludes,
	domiciledMortgage: domiciledMortgage,
	doorTime: doorTime,
	dosageForm: dosageForm,
	doseSchedule: doseSchedule,
	doseUnit: doseUnit,
	doseValue: doseValue,
	downPayment: downPayment,
	downloadUrl: downloadUrl,
	downvoteCount: downvoteCount,
	drainsTo: drainsTo,
	driveWheelConfiguration: driveWheelConfiguration,
	dropoffLocation: dropoffLocation,
	dropoffTime: dropoffTime,
	drug: drug,
	drugClass: drugClass,
	drugUnit: drugUnit,
	duns: duns,
	duplicateTherapy: duplicateTherapy,
	durationOfWarranty: durationOfWarranty,
	duringMedia: duringMedia,
	earlyPrepaymentPenalty: earlyPrepaymentPenalty,
	editEIDR: editEIDR,
	editor: editor,
	eduQuestionType: eduQuestionType,
	educationRequirements: educationRequirements,
	educationalAlignment: educationalAlignment,
	educationalCredentialAwarded: educationalCredentialAwarded,
	educationalFramework: educationalFramework,
	educationalLevel: educationalLevel,
	educationalProgramMode: educationalProgramMode,
	educationalRole: educationalRole,
	educationalUse: educationalUse,
	elevation: elevation,
	eligibilityToWorkRequirement: eligibilityToWorkRequirement,
	eligibleCustomerType: eligibleCustomerType,
	eligibleDuration: eligibleDuration,
	eligibleQuantity: eligibleQuantity,
	eligibleRegion: eligibleRegion,
	eligibleTransactionVolume: eligibleTransactionVolume,
	eligibleWithSupplier: eligibleWithSupplier,
	email: email,
	embedUrl: embedUrl,
	embeddedTextCaption: embeddedTextCaption,
	emissionsCO2: emissionsCO2,
	employees: employees,
	employerOverview: employerOverview,
	employmentType: employmentType,
	employmentUnit: employmentUnit,
	encodingType: encodingType,
	encodings: encodings,
	endDate: endDate,
	endOffset: endOffset,
	endTime: endTime,
	endorsee: endorsee,
	endorsers: endorsers,
	energyEfficiencyScaleMax: energyEfficiencyScaleMax,
	energyEfficiencyScaleMin: energyEfficiencyScaleMin,
	engineDisplacement: engineDisplacement,
	enginePower: enginePower,
	engineType: engineType,
	entertainmentBusiness: entertainmentBusiness,
	epidemiology: epidemiology,
	episodeNumber: episodeNumber,
	episodes: episodes,
	equal: equal,
	error: error,
	estimatedCost: estimatedCost,
	estimatedFlightDuration: estimatedFlightDuration,
	estimatedSalary: estimatedSalary,
	estimatesRiskOf: estimatesRiskOf,
	ethicsPolicy: ethicsPolicy,
	eventAttendanceMode: eventAttendanceMode,
	eventSchedule: eventSchedule,
	eventStatus: eventStatus,
	events: events,
	evidenceLevel: evidenceLevel,
	evidenceOrigin: evidenceOrigin,
	exceptDate: exceptDate,
	exchangeRateSpread: exchangeRateSpread,
	exercisePlan: exercisePlan,
	exerciseRelatedDiet: exerciseRelatedDiet,
	exerciseType: exerciseType,
	exifData: exifData,
	expectedArrivalFrom: expectedArrivalFrom,
	expectedArrivalUntil: expectedArrivalUntil,
	expectedPrognosis: expectedPrognosis,
	expectsAcceptanceOf: expectsAcceptanceOf,
	experienceInPlaceOfEducation: experienceInPlaceOfEducation,
	experienceRequirements: experienceRequirements,
	expertConsiderations: expertConsiderations,
	expires: expires,
	expressedIn: expressedIn,
	extendedAddress: extendedAddress,
	familyName: familyName,
	fatContent: fatContent,
	faxNumber: faxNumber,
	featureList: featureList,
	feesAndCommissionsSpecification: feesAndCommissionsSpecification,
	fiberContent: fiberContent,
	fileFormat: fileFormat,
	fileSize: fileSize,
	financialAidEligible: financialAidEligible,
	firstAppearance: firstAppearance,
	firstPerformance: firstPerformance,
	flightDistance: flightDistance,
	flightNumber: flightNumber,
	floorLevel: floorLevel,
	floorLimit: floorLimit,
	floorSize: floorSize,
	followee: followee,
	follows: follows,
	followup: followup,
	foodEstablishment: foodEstablishment,
	foodEvent: foodEvent,
	foodWarning: foodWarning,
	founders: founders,
	foundingDate: foundingDate,
	foundingLocation: foundingLocation,
	free: free,
	freeShippingThreshold: freeShippingThreshold,
	fromLocation: fromLocation,
	fuelCapacity: fuelCapacity,
	fuelConsumption: fuelConsumption,
	fuelEfficiency: fuelEfficiency,
	fuelType: fuelType,
	fulfillmentType: fulfillmentType,
	functionalClass: functionalClass,
	funder: funder,
	gameAvailabilityType: gameAvailabilityType,
	gameEdition: gameEdition,
	gameItem: gameItem,
	gameLocation: gameLocation,
	gamePlatform: gamePlatform,
	gameTip: gameTip,
	gender: gender,
	geo: geo,
	geoContains: geoContains,
	geoCoveredBy: geoCoveredBy,
	geoCovers: geoCovers,
	geoCrosses: geoCrosses,
	geoDisjoint: geoDisjoint,
	geoEquals: geoEquals,
	geoIntersects: geoIntersects,
	geoMidpoint: geoMidpoint,
	geoOverlaps: geoOverlaps,
	geoRadius: geoRadius,
	geoTouches: geoTouches,
	geoWithin: geoWithin,
	geographicArea: geographicArea,
	gettingTestedInfo: gettingTestedInfo,
	givenName: givenName,
	globalLocationNumber: globalLocationNumber,
	governmentBenefitsInfo: governmentBenefitsInfo,
	gracePeriod: gracePeriod,
	grantee: grantee,
	greater: greater,
	greaterOrEqual: greaterOrEqual,
	gtin12: gtin12,
	gtin13: gtin13,
	gtin14: gtin14,
	gtin8: gtin8,
	guideline: guideline,
	guidelineDate: guidelineDate,
	guidelineSubject: guidelineSubject,
	handlingTime: handlingTime,
	hasAdultConsideration: hasAdultConsideration,
	hasBioPolymerSequence: hasBioPolymerSequence,
	hasCategoryCode: hasCategoryCode,
	hasCertification: hasCertification,
	hasCourse: hasCourse,
	hasCourseInstance: hasCourseInstance,
	hasCredential: hasCredential,
	hasDeliveryMethod: hasDeliveryMethod,
	hasDigitalDocumentPermission: hasDigitalDocumentPermission,
	hasDriveThroughService: hasDriveThroughService,
	hasEnergyConsumptionDetails: hasEnergyConsumptionDetails,
	hasEnergyEfficiencyCategory: hasEnergyEfficiencyCategory,
	hasGS1DigitalLink: hasGS1DigitalLink,
	hasHealthAspect: hasHealthAspect,
	hasMeasurement: hasMeasurement,
	hasMemberProgram: hasMemberProgram,
	hasMenuItem: hasMenuItem,
	hasMenuSection: hasMenuSection,
	hasMolecularFunction: hasMolecularFunction,
	hasOccupation: hasOccupation,
	hasOfferCatalog: hasOfferCatalog,
	hasPOS: hasPOS,
	hasProductReturnPolicy: hasProductReturnPolicy,
	hasShippingService: hasShippingService,
	hasTierBenefit: hasTierBenefit,
	hasTierRequirement: hasTierRequirement,
	headline: headline,
	healthCondition: healthCondition,
	healthPlanCoinsuranceOption: healthPlanCoinsuranceOption,
	healthPlanCoinsuranceRate: healthPlanCoinsuranceRate,
	healthPlanCopay: healthPlanCopay,
	healthPlanCopayOption: healthPlanCopayOption,
	healthPlanCostSharing: healthPlanCostSharing,
	healthPlanDrugOption: healthPlanDrugOption,
	healthPlanDrugTier: healthPlanDrugTier,
	healthPlanId: healthPlanId,
	healthPlanMarketingUrl: healthPlanMarketingUrl,
	healthPlanNetworkId: healthPlanNetworkId,
	healthPlanNetworkTier: healthPlanNetworkTier,
	healthPlanPharmacyCategory: healthPlanPharmacyCategory,
	healthcareReportingData: healthcareReportingData,
	height: height,
	highPrice: highPrice,
	hiringOrganization: hiringOrganization,
	homeLocation: homeLocation,
	homeTeam: homeTeam,
	honorificPrefix: honorificPrefix,
	honorificSuffix: honorificSuffix,
	hospitalAffiliation: hospitalAffiliation,
	hostingOrganization: hostingOrganization,
	hoursAvailable: hoursAvailable,
	howPerformed: howPerformed,
	httpMethod: httpMethod,
	iataCode: iataCode,
	icaoCode: icaoCode,
	identifyingExam: identifyingExam,
	identifyingTest: identifyingTest,
	illustrator: illustrator,
	imagingTechnique: imagingTechnique,
	inAlbum: inAlbum,
	inBroadcastLineup: inBroadcastLineup,
	inChI: inChI,
	inChIKey: inChIKey,
	inCodeSet: inCodeSet,
	inPlaylist: inPlaylist,
	inProductGroupWithID: inProductGroupWithID,
	inStoreReturnsOffered: inStoreReturnsOffered,
	inSupportOf: inSupportOf,
	incentiveAmount: incentiveAmount,
	incentiveStatus: incentiveStatus,
	incentiveType: incentiveType,
	incentives: incentives,
	incentivizedItem: incentivizedItem,
	includedComposition: includedComposition,
	includedDataCatalog: includedDataCatalog,
	includedInHealthInsurancePlan: includedInHealthInsurancePlan,
	includedRiskFactor: includedRiskFactor,
	includesAttraction: includesAttraction,
	includesHealthPlanFormulary: includesHealthPlanFormulary,
	includesHealthPlanNetwork: includesHealthPlanNetwork,
	includesObject: includesObject,
	incomeLimit: incomeLimit,
	increasesRiskOf: increasesRiskOf,
	industry: industry,
	ineligibleRegion: ineligibleRegion,
	infectiousAgent: infectiousAgent,
	infectiousAgentClass: infectiousAgentClass,
	ingredients: ingredients,
	inker: inker,
	insertion: insertion,
	installUrl: installUrl,
	instructor: instructor,
	intensity: intensity,
	interactingDrug: interactingDrug,
	interactionCount: interactionCount,
	interactionService: interactionService,
	interactionType: interactionType,
	interactivityType: interactivityType,
	interestRate: interestRate,
	interpretedAsClaim: interpretedAsClaim,
	inventoryLevel: inventoryLevel,
	inverseOf: inverseOf,
	isAcceptingNewPatients: isAcceptingNewPatients,
	isAccessoryOrSparePartFor: isAccessoryOrSparePartFor,
	isAvailableGenerically: isAvailableGenerically,
	isBasedOnUrl: isBasedOnUrl,
	isConsumableFor: isConsumableFor,
	isFamilyFriendly: isFamilyFriendly,
	isGift: isGift,
	isInvolvedInBiologicalProcess: isInvolvedInBiologicalProcess,
	isLiveBroadcast: isLiveBroadcast,
	isLocatedInSubcellularLocation: isLocatedInSubcellularLocation,
	isPlanForApartment: isPlanForApartment,
	isProprietary: isProprietary,
	isRelatedTo: isRelatedTo,
	isResizable: isResizable,
	isSimilarTo: isSimilarTo,
	isUnlabelledFallback: isUnlabelledFallback,
	isbn: isbn,
	isicV4: isicV4,
	iso6523Code: iso6523Code,
	isrcCode: isrcCode,
	issn: issn,
	issueNumber: issueNumber,
	issuedBy: issuedBy,
	issuedThrough: issuedThrough,
	iswcCode: iswcCode,
	item: item,
	itemCondition: itemCondition,
	itemDefectReturnFees: itemDefectReturnFees,
	itemDefectReturnLabelSource: itemDefectReturnLabelSource,
	itemDefectReturnShippingFeesAmount: itemDefectReturnShippingFeesAmount,
	itemListElement: itemListElement,
	itemListOrder: itemListOrder,
	itemLocation: itemLocation,
	itemReviewed: itemReviewed,
	itemShipped: itemShipped,
	itinerary: itinerary,
	iupacName: iupacName,
	jobImmediateStart: jobImmediateStart,
	jobLocation: jobLocation,
	jobLocationType: jobLocationType,
	jobStartDate: jobStartDate,
	jobTitle: jobTitle,
	keywords: keywords,
	knownVehicleDamages: knownVehicleDamages,
	knows: knows,
	knowsAbout: knowsAbout,
	knowsLanguage: knowsLanguage,
	labelDetails: labelDetails,
	landlord: landlord,
	language: language,
	lastReviewed: lastReviewed,
	latitude: latitude,
	layoutImage: layoutImage,
	learningResourceType: learningResourceType,
	leaseLength: leaseLength,
	legalAddress: legalAddress,
	legalName: legalName,
	legalRepresentative: legalRepresentative,
	legalStatus: legalStatus,
	legislationAmends: legislationAmends,
	legislationCommences: legislationCommences,
	legislationConsolidates: legislationConsolidates,
	legislationCorrects: legislationCorrects,
	legislationCountersignedBy: legislationCountersignedBy,
	legislationDate: legislationDate,
	legislationDateOfApplicability: legislationDateOfApplicability,
	legislationDateVersion: legislationDateVersion,
	legislationEnsuresImplementationOf: legislationEnsuresImplementationOf,
	legislationIdentifier: legislationIdentifier,
	legislationJurisdiction: legislationJurisdiction,
	legislationLegalForce: legislationLegalForce,
	legislationLegalValue: legislationLegalValue,
	legislationPassedBy: legislationPassedBy,
	legislationRepeals: legislationRepeals,
	legislationResponsible: legislationResponsible,
	legislationTransposes: legislationTransposes,
	legislationType: legislationType,
	leiCode: leiCode,
	lender: lender,
	lesser: lesser,
	lesserOrEqual: lesserOrEqual,
	letterer: letterer,
	license: license,
	line: line,
	linkRelationship: linkRelationship,
	liveBlogUpdate: liveBlogUpdate,
	loanMortgageMandateAmount: loanMortgageMandateAmount,
	loanPaymentAmount: loanPaymentAmount,
	loanPaymentFrequency: loanPaymentFrequency,
	loanRepaymentForm: loanRepaymentForm,
	loanTerm: loanTerm,
	loanType: loanType,
	locationCreated: locationCreated,
	lodgingUnitDescription: lodgingUnitDescription,
	lodgingUnitType: lodgingUnitType,
	logo: logo,
	longitude: longitude,
	loser: loser,
	lowPrice: lowPrice,
	lyricist: lyricist,
	lyrics: lyrics,
	maintainer: maintainer,
	manufacturer: manufacturer,
	map: map,
	mapType: mapType,
	maps: maps,
	marginOfError: marginOfError,
	masthead: masthead,
	materialExtent: materialExtent,
	mathExpression: mathExpression,
	maxPrice: maxPrice,
	maxValue: maxValue,
	maximumAttendeeCapacity: maximumAttendeeCapacity,
	maximumEnrollment: maximumEnrollment,
	maximumIntake: maximumIntake,
	maximumPhysicalAttendeeCapacity: maximumPhysicalAttendeeCapacity,
	maximumVirtualAttendeeCapacity: maximumVirtualAttendeeCapacity,
	mealService: mealService,
	measuredProperty: measuredProperty,
	measurementDenominator: measurementDenominator,
	measurementMethod: measurementMethod,
	measurementQualifier: measurementQualifier,
	mechanismOfAction: mechanismOfAction,
	mediaAuthenticityCategory: mediaAuthenticityCategory,
	mediaItemAppearance: mediaItemAppearance,
	median: median,
	medicalAudience: medicalAudience,
	medicalSpecialty: medicalSpecialty,
	medicineSystem: medicineSystem,
	meetsEmissionStandard: meetsEmissionStandard,
	members: members,
	membershipNumber: membershipNumber,
	membershipPointsEarned: membershipPointsEarned,
	memoryRequirements: memoryRequirements,
	mentions: mentions,
	menu: menu,
	menuAddOn: menuAddOn,
	merchant: merchant,
	messageAttachment: messageAttachment,
	mileageFromOdometer: mileageFromOdometer,
	minPrice: minPrice,
	minValue: minValue,
	minimumPaymentDue: minimumPaymentDue,
	missionCoveragePrioritiesPolicy: missionCoveragePrioritiesPolicy,
	mobileUrl: mobileUrl,
	model: model,
	modelDate: modelDate,
	modifiedTime: modifiedTime,
	molecularFormula: molecularFormula,
	molecularWeight: molecularWeight,
	monoisotopicMolecularWeight: monoisotopicMolecularWeight,
	monthlyMinimumRepaymentAmount: monthlyMinimumRepaymentAmount,
	monthsOfExperience: monthsOfExperience,
	mpn: mpn,
	multipleValues: multipleValues,
	muscleAction: muscleAction,
	musicArrangement: musicArrangement,
	musicBy: musicBy,
	musicCompositionForm: musicCompositionForm,
	musicGroupMember: musicGroupMember,
	musicReleaseFormat: musicReleaseFormat,
	musicalKey: musicalKey,
	naics: naics,
	name: name,
	namedPosition: namedPosition,
	nationality: nationality,
	naturalProgression: naturalProgression,
	negativeNotes: negativeNotes,
	nerve: nerve,
	nerveMotor: nerveMotor,
	netWorth: netWorth,
	newsUpdatesAndGuidelines: newsUpdatesAndGuidelines,
	nextItem: nextItem,
	noBylinesPolicy: noBylinesPolicy,
	nonEqual: nonEqual,
	nonProprietaryName: nonProprietaryName,
	nonprofitStatus: nonprofitStatus,
	normalRange: normalRange,
	nsn: nsn,
	numAdults: numAdults,
	numChildren: numChildren,
	numConstraints: numConstraints,
	numItems: numItems,
	numTracks: numTracks,
	numberOfAccommodationUnits: numberOfAccommodationUnits,
	numberOfAirbags: numberOfAirbags,
	numberOfAvailableAccommodationUnits: numberOfAvailableAccommodationUnits,
	numberOfAxles: numberOfAxles,
	numberOfBathroomsTotal: numberOfBathroomsTotal,
	numberOfBedrooms: numberOfBedrooms,
	numberOfBeds: numberOfBeds,
	numberOfCredits: numberOfCredits,
	numberOfDoors: numberOfDoors,
	numberOfEmployees: numberOfEmployees,
	numberOfEpisodes: numberOfEpisodes,
	numberOfForwardGears: numberOfForwardGears,
	numberOfFullBathrooms: numberOfFullBathrooms,
	numberOfItems: numberOfItems,
	numberOfLoanPayments: numberOfLoanPayments,
	numberOfPages: numberOfPages,
	numberOfPartialBathrooms: numberOfPartialBathrooms,
	numberOfPlayers: numberOfPlayers,
	numberOfPreviousOwners: numberOfPreviousOwners,
	numberOfRooms: numberOfRooms,
	numberOfSeasons: numberOfSeasons,
	numberedPosition: numberedPosition,
	nutrition: nutrition,
	observationAbout: observationAbout,
	observationDate: observationDate,
	observationPeriod: observationPeriod,
	occupancy: occupancy,
	occupationLocation: occupationLocation,
	occupationalCategory: occupationalCategory,
	occupationalCredentialAwarded: occupationalCredentialAwarded,
	offerCount: offerCount,
	offersPrescriptionByMail: offersPrescriptionByMail,
	openingHours: openingHours,
	openingHoursSpecification: openingHoursSpecification,
	opens: opens,
	operatingSystem: operatingSystem,
	opponent: opponent,
	option: option,
	orderDate: orderDate,
	orderDelivery: orderDelivery,
	orderItemNumber: orderItemNumber,
	orderItemStatus: orderItemStatus,
	orderNumber: orderNumber,
	orderPercentage: orderPercentage,
	orderQuantity: orderQuantity,
	orderStatus: orderStatus,
	orderValue: orderValue,
	orderedItem: orderedItem,
	organizer: organizer,
	originAddress: originAddress,
	originalMediaContextDescription: originalMediaContextDescription,
	originalMediaLink: originalMediaLink,
	originatesFrom: originatesFrom,
	overdosage: overdosage,
	ownedFrom: ownedFrom,
	ownedThrough: ownedThrough,
	ownershipFundingInfo: ownershipFundingInfo,
	owns: owns,
	pageEnd: pageEnd,
	pageStart: pageStart,
	pagination: pagination,
	parentItem: parentItem,
	parentService: parentService,
	parents: parents,
	partOfEpisode: partOfEpisode,
	partOfInvoice: partOfInvoice,
	partOfOrder: partOfOrder,
	partOfSeason: partOfSeason,
	partOfSystem: partOfSystem,
	partOfTVSeries: partOfTVSeries,
	partySize: partySize,
	passengerPriorityStatus: passengerPriorityStatus,
	passengerSequenceNumber: passengerSequenceNumber,
	pathophysiology: pathophysiology,
	pattern: pattern,
	payload: payload,
	paymentAccepted: paymentAccepted,
	paymentDue: paymentDue,
	paymentMethod: paymentMethod,
	paymentMethodId: paymentMethodId,
	paymentMethodType: paymentMethodType,
	paymentStatus: paymentStatus,
	paymentUrl: paymentUrl,
	penciler: penciler,
	percentile10: percentile10,
	percentile25: percentile25,
	percentile75: percentile75,
	percentile90: percentile90,
	performerIn: performerIn,
	performers: performers,
	permissionType: permissionType,
	permissions: permissions,
	permitAudience: permitAudience,
	permittedUsage: permittedUsage,
	petsAllowed: petsAllowed,
	phoneticText: phoneticText,
	photos: photos,
	physicalRequirement: physicalRequirement,
	physiologicalBenefits: physiologicalBenefits,
	pickupLocation: pickupLocation,
	pickupTime: pickupTime,
	playMode: playMode,
	playerType: playerType,
	playersOnline: playersOnline,
	polygon: polygon,
	populationType: populationType,
	positiveNotes: positiveNotes,
	possibleComplication: possibleComplication,
	possibleTreatment: possibleTreatment,
	postOfficeBoxNumber: postOfficeBoxNumber,
	postOp: postOp,
	postalCode: postalCode,
	postalCodeBegin: postalCodeBegin,
	postalCodeEnd: postalCodeEnd,
	postalCodePrefix: postalCodePrefix,
	postalCodeRange: postalCodeRange,
	potentialAction: potentialAction,
	potentialUse: potentialUse,
	practicesAt: practicesAt,
	preOp: preOp,
	predecessorOf: predecessorOf,
	pregnancyCategory: pregnancyCategory,
	pregnancyWarning: pregnancyWarning,
	prepTime: prepTime,
	preparation: preparation,
	prescribingInfo: prescribingInfo,
	prescriptionStatus: prescriptionStatus,
	previousItem: previousItem,
	previousStartDate: previousStartDate,
	price: price,
	priceComponent: priceComponent,
	priceComponentType: priceComponentType,
	priceCurrency: priceCurrency,
	priceRange: priceRange,
	priceSpecification: priceSpecification,
	priceType: priceType,
	priceValidUntil: priceValidUntil,
	primaryImageOfPage: primaryImageOfPage,
	primaryPrevention: primaryPrevention,
	printColumn: printColumn,
	printEdition: printEdition,
	printPage: printPage,
	printSection: printSection,
	procedure: procedure,
	procedureType: procedureType,
	processingTime: processingTime,
	processorRequirements: processorRequirements,
	producer: producer,
	produces: produces,
	productGroupID: productGroupID,
	productID: productID,
	productReturnDays: productReturnDays,
	productReturnLink: productReturnLink,
	productSupported: productSupported,
	productionCompany: productionCompany,
	productionDate: productionDate,
	proficiencyLevel: proficiencyLevel,
	program: program,
	programMembershipUsed: programMembershipUsed,
	programName: programName,
	programPrerequisites: programPrerequisites,
	programType: programType,
	programmingLanguage: programmingLanguage,
	programmingModel: programmingModel,
	pronouns: pronouns,
	propertyID: propertyID,
	proprietaryName: proprietaryName,
	proteinContent: proteinContent,
	providerMobility: providerMobility,
	providesService: providesService,
	publicAccess: publicAccess,
	publicTransportClosuresInfo: publicTransportClosuresInfo,
	publication: publication,
	publicationType: publicationType,
	publishedBy: publishedBy,
	publishedOn: publishedOn,
	publisher: publisher,
	publisherImprint: publisherImprint,
	purchaseDate: purchaseDate,
	purchasePriceLimit: purchasePriceLimit,
	purchaseType: purchaseType,
	qualifications: qualifications,
	qualifiedExpense: qualifiedExpense,
	quarantineGuidelines: quarantineGuidelines,
	query: query,
	quest: quest,
	question: question,
	rangeIncludes: rangeIncludes,
	ratingCount: ratingCount,
	ratingExplanation: ratingExplanation,
	ratingValue: ratingValue,
	readBy: readBy,
	readonlyValue: readonlyValue,
	realEstateAgent: realEstateAgent,
	recipe: recipe,
	recipeCategory: recipeCategory,
	recipeCuisine: recipeCuisine,
	recipeInstructions: recipeInstructions,
	recipeYield: recipeYield,
	recognizedBy: recognizedBy,
	recognizingAuthority: recognizingAuthority,
	recommendationStrength: recommendationStrength,
	recommendedIntake: recommendedIntake,
	recordLabel: recordLabel,
	recourseLoan: recourseLoan,
	referee: referee,
	referenceQuantity: referenceQuantity,
	referencesOrder: referencesOrder,
	refundType: refundType,
	regionDrained: regionDrained,
	regionsAllowed: regionsAllowed,
	relatedAnatomy: relatedAnatomy,
	relatedCondition: relatedCondition,
	relatedDrug: relatedDrug,
	relatedLink: relatedLink,
	relatedStructure: relatedStructure,
	relatedTherapy: relatedTherapy,
	relatedTo: relatedTo,
	releaseDate: releaseDate,
	releaseNotes: releaseNotes,
	releasedEvent: releasedEvent,
	relevantOccupation: relevantOccupation,
	relevantSpecialty: relevantSpecialty,
	remainingAttendeeCapacity: remainingAttendeeCapacity,
	renegotiableLoan: renegotiableLoan,
	repeatCount: repeatCount,
	repeatFrequency: repeatFrequency,
	repetitions: repetitions,
	replacee: replacee,
	replacer: replacer,
	replyToUrl: replyToUrl,
	reportNumber: reportNumber,
	representativeOfPage: representativeOfPage,
	requiredCollateral: requiredCollateral,
	requiredGender: requiredGender,
	requiredMaxAge: requiredMaxAge,
	requiredMinAge: requiredMinAge,
	requiredQuantity: requiredQuantity,
	requirements: requirements,
	requiresSubscription: requiresSubscription,
	reservationFor: reservationFor,
	reservationId: reservationId,
	reservationStatus: reservationStatus,
	reservedTicket: reservedTicket,
	responsibilities: responsibilities,
	restPeriods: restPeriods,
	restockingFee: restockingFee,
	resultComment: resultComment,
	resultReview: resultReview,
	returnFees: returnFees,
	returnLabelSource: returnLabelSource,
	returnMethod: returnMethod,
	returnPolicyCategory: returnPolicyCategory,
	returnPolicyCountry: returnPolicyCountry,
	returnPolicySeasonalOverride: returnPolicySeasonalOverride,
	returnShippingFeesAmount: returnShippingFeesAmount,
	reviewAspect: reviewAspect,
	reviewBody: reviewBody,
	reviewCount: reviewCount,
	reviewRating: reviewRating,
	reviewedBy: reviewedBy,
	reviews: reviews,
	riskFactor: riskFactor,
	risks: risks,
	roofLoad: roofLoad,
	rsvpResponse: rsvpResponse,
	runsTo: runsTo,
	runtime: runtime,
	rxcui: rxcui,
	safetyConsideration: safetyConsideration,
	salaryCurrency: salaryCurrency,
	salaryUponCompletion: salaryUponCompletion,
	sameAs: sameAs,
	sampleType: sampleType,
	saturatedFatContent: saturatedFatContent,
	scheduleTimezone: scheduleTimezone,
	scheduledPaymentDate: scheduledPaymentDate,
	scheduledTime: scheduledTime,
	schemaVersion: schemaVersion,
	schoolClosuresInfo: schoolClosuresInfo,
	screenCount: screenCount,
	screenshot: screenshot,
	sdDatePublished: sdDatePublished,
	sdLicense: sdLicense,
	sdPublisher: sdPublisher,
	seasonNumber: seasonNumber,
	seasonalOverride: seasonalOverride,
	seasons: seasons,
	seatNumber: seatNumber,
	seatRow: seatRow,
	seatSection: seatSection,
	seatingCapacity: seatingCapacity,
	seatingType: seatingType,
	secondaryPrevention: secondaryPrevention,
	securityClearanceRequirement: securityClearanceRequirement,
	securityScreening: securityScreening,
	seeks: seeks,
	sender: sender,
	sensoryRequirement: sensoryRequirement,
	sensoryUnit: sensoryUnit,
	seriousAdverseOutcome: seriousAdverseOutcome,
	serverStatus: serverStatus,
	servesCuisine: servesCuisine,
	serviceAudience: serviceAudience,
	serviceLocation: serviceLocation,
	serviceOperator: serviceOperator,
	servicePhone: servicePhone,
	servicePostalAddress: servicePostalAddress,
	serviceSmsNumber: serviceSmsNumber,
	serviceType: serviceType,
	serviceUrl: serviceUrl,
	servingSize: servingSize,
	sha256: sha256,
	sharedContent: sharedContent,
	shippingConditions: shippingConditions,
	shippingDestination: shippingDestination,
	shippingDetails: shippingDetails,
	shippingLabel: shippingLabel,
	shippingOrigin: shippingOrigin,
	shippingRate: shippingRate,
	shippingSettingsLink: shippingSettingsLink,
	siblings: siblings,
	signDetected: signDetected,
	signOrSymptom: signOrSymptom,
	significance: significance,
	significantLinks: significantLinks,
	size: size,
	sizeGroup: sizeGroup,
	sizeSystem: sizeSystem,
	skills: skills,
	sku: sku,
	slogan: slogan,
	smiles: smiles,
	smokingAllowed: smokingAllowed,
	sodiumContent: sodiumContent,
	softwareAddOn: softwareAddOn,
	softwareHelp: softwareHelp,
	softwareVersion: softwareVersion,
	sourceOrganization: sourceOrganization,
	sourcedFrom: sourcedFrom,
	spatial: spatial,
	speakable: speakable,
	specialCommitments: specialCommitments,
	specialOpeningHoursSpecification: specialOpeningHoursSpecification,
	specialty: specialty,
	speechToTextMarkup: speechToTextMarkup,
	speed: speed,
	spokenByCharacter: spokenByCharacter,
	sport: sport,
	sportsActivityLocation: sportsActivityLocation,
	sportsEvent: sportsEvent,
	sportsTeam: sportsTeam,
	spouse: spouse,
	stage: stage,
	stageAsNumber: stageAsNumber,
	starRating: starRating,
	startDate: startDate,
	startOffset: startOffset,
	startTime: startTime,
	statType: statType,
	status: status,
	steeringPosition: steeringPosition,
	stepValue: stepValue,
	steps: steps,
	storageRequirements: storageRequirements,
	streetAddress: streetAddress,
	strengthUnit: strengthUnit,
	strengthValue: strengthValue,
	structuralClass: structuralClass,
	study: study,
	studyDesign: studyDesign,
	studyLocation: studyLocation,
	studySubject: studySubject,
	stupidProperty: stupidProperty,
	subEvents: subEvents,
	subReservation: subReservation,
	subStageSuffix: subStageSuffix,
	subStructure: subStructure,
	subTest: subTest,
	subtitleLanguage: subtitleLanguage,
	successorOf: successorOf,
	sugarContent: sugarContent,
	suggestedAge: suggestedAge,
	suggestedGender: suggestedGender,
	suggestedMaxAge: suggestedMaxAge,
	suggestedMeasurement: suggestedMeasurement,
	suggestedMinAge: suggestedMinAge,
	suitableForDiet: suitableForDiet,
	supersededBy: supersededBy,
	supplyTo: supplyTo,
	supportingData: supportingData,
	surface: surface,
	syllabusSections: syllabusSections,
	target: target,
	targetDescription: targetDescription,
	targetName: targetName,
	targetPlatform: targetPlatform,
	targetPopulation: targetPopulation,
	targetProduct: targetProduct,
	targetUrl: targetUrl,
	taxID: taxID,
	taxonRank: taxonRank,
	taxonomicRange: taxonomicRange,
	teaches: teaches,
	telephone: telephone,
	temporal: temporal,
	termDuration: termDuration,
	termsOfService: termsOfService,
	termsPerYear: termsPerYear,
	text: text,
	textValue: textValue,
	thumbnail: thumbnail,
	thumbnailUrl: thumbnailUrl,
	tickerSymbol: tickerSymbol,
	ticketNumber: ticketNumber,
	ticketToken: ticketToken,
	ticketedSeat: ticketedSeat,
	timeOfDay: timeOfDay,
	timeRequired: timeRequired,
	timeToComplete: timeToComplete,
	tissueSample: tissueSample,
	title: title,
	titleEIDR: titleEIDR,
	toLocation: toLocation,
	toRecipient: toRecipient,
	tocContinuation: tocContinuation,
	tocEntry: tocEntry,
	tongueWeight: tongueWeight,
	tool: tool,
	torque: torque,
	totalHistoricalEnrollment: totalHistoricalEnrollment,
	totalJobOpenings: totalJobOpenings,
	totalPaymentDue: totalPaymentDue,
	totalPrice: totalPrice,
	totalTime: totalTime,
	tourBookingPage: tourBookingPage,
	touristType: touristType,
	trackingNumber: trackingNumber,
	trackingUrl: trackingUrl,
	tracks: tracks,
	trailer: trailer,
	trailerWeight: trailerWeight,
	trainName: trainName,
	trainNumber: trainNumber,
	trainingSalary: trainingSalary,
	transFatContent: transFatContent,
	transcript: transcript,
	transitTime: transitTime,
	transitTimeLabel: transitTimeLabel,
	translator: translator,
	transmissionMethod: transmissionMethod,
	travelBans: travelBans,
	trialDesign: trialDesign,
	tributary: tributary,
	tripOrigin: tripOrigin,
	typeOfBed: typeOfBed,
	typeOfGood: typeOfGood,
	typicalAgeRange: typicalAgeRange,
	typicalCreditsPerTerm: typicalCreditsPerTerm,
	typicalTest: typicalTest,
	underName: underName,
	unitCode: unitCode,
	unitText: unitText,
	unnamedSourcesPolicy: unnamedSourcesPolicy,
	unsaturatedFatContent: unsaturatedFatContent,
	uploadDate: uploadDate,
	upvoteCount: upvoteCount,
	url: url,
	urlTemplate: urlTemplate,
	usNPI: usNPI,
	usedToDiagnose: usedToDiagnose,
	userInteractionCount: userInteractionCount,
	usesDevice: usesDevice,
	usesHealthPlanIdStandard: usesHealthPlanIdStandard,
	utterances: utterances,
	validFor: validFor,
	validForMemberTier: validForMemberTier,
	validFrom: validFrom,
	validIn: validIn,
	validThrough: validThrough,
	validUntil: validUntil,
	value: value,
	valueAddedTaxIncluded: valueAddedTaxIncluded,
	valueMaxLength: valueMaxLength,
	valueMinLength: valueMinLength,
	valueName: valueName,
	valuePattern: valuePattern,
	valueReference: valueReference,
	valueRequired: valueRequired,
	variableMeasured: variableMeasured,
	variablesMeasured: variablesMeasured,
	variantCover: variantCover,
	variesBy: variesBy,
	vatID: vatID,
	vehicleConfiguration: vehicleConfiguration,
	vehicleEngine: vehicleEngine,
	vehicleIdentificationNumber: vehicleIdentificationNumber,
	vehicleInteriorColor: vehicleInteriorColor,
	vehicleInteriorType: vehicleInteriorType,
	vehicleModelDate: vehicleModelDate,
	vehicleSeatingCapacity: vehicleSeatingCapacity,
	vehicleSpecialUsage: vehicleSpecialUsage,
	vehicleTransmission: vehicleTransmission,
	vendor: vendor,
	verificationFactCheckingPolicy: verificationFactCheckingPolicy,
	version: version,
	video: video,
	videoFormat: videoFormat,
	videoFrameSize: videoFrameSize,
	videoQuality: videoQuality,
	volumeNumber: volumeNumber,
	warning: warning,
	warrantyPromise: warrantyPromise,
	warrantyScope: warrantyScope,
	webCheckinTime: webCheckinTime,
	webFeed: webFeed,
	weight: weight,
	weightPercentage: weightPercentage,
	weightTotal: weightTotal,
	wheelbase: wheelbase,
	width: width,
	winner: winner,
	wordCount: wordCount,
	workHours: workHours,
	workLocation: workLocation,
	workPerformed: workPerformed,
	workPresented: workPresented,
	workload: workload,
	worksFor: worksFor,
	worstRating: worstRating,
	xpath: xpath,
	yearBuilt: yearBuilt,
	yearlyRevenue: yearlyRevenue,
	yearsInOperation: yearsInOperation,
	actionApplication: actionApplication,
	actionOption: actionOption,
	album: album,
	albumRelease: albumRelease,
	alternateName: alternateName,
	alumni: alumni,
	alumniOf: alumniOf,
	archiveHeld: archiveHeld,
	arterialBranch: arterialBranch,
	artworkSurface: artworkSurface,
	attendee: attendee,
	audience: audience,
	availableOnDevice: availableOnDevice,
	award: award,
	blogPost: blogPost,
	broker: broker,
	caption: caption,
	category: category,
	childTaxon: childTaxon,
	clinicalPharmacology: clinicalPharmacology,
	codeSampleType: codeSampleType,
	colleague: colleague,
	contactPoint: contactPoint,
	containsPlace: containsPlace,
	containsSeason: containsSeason,
	contentLocation: contentLocation,
	creator: creator,
	dataset: dataset,
	dateCreated: dateCreated,
	director: director,
	duration: duration,
	employee: employee,
	encodesBioChemEntity: encodesBioChemEntity,
	encodesCreativeWork: encodesCreativeWork,
	encodingFormat: encodingFormat,
	episode: episode,
	event: event,
	exampleOfWork: exampleOfWork,
	executableLibraryName: executableLibraryName,
	exerciseCourse: exerciseCourse,
	founder: founder,
	frequency: frequency,
	fundedItem: fundedItem,
	funding: funding,
	game: game,
	gameServer: gameServer,
	genre: genre,
	hasBioChemEntityPart: hasBioChemEntityPart,
	hasBroadcastChannel: hasBroadcastChannel,
	hasDefinedTerm: hasDefinedTerm,
	hasMenu: hasMenu,
	hasMerchantReturnPolicy: hasMerchantReturnPolicy,
	hasTiers: hasTiers,
	hasVariant: hasVariant,
	holdingArchive: holdingArchive,
	inDefinedTermSet: inDefinedTermSet,
	inLanguage: inLanguage,
	incentiveCompensation: incentiveCompensation,
	interactionStatistic: interactionStatistic,
	isAccessibleForFree: isAccessibleForFree,
	isBasedOn: isBasedOn,
	isEncodedByBioChemEntity: isEncodedByBioChemEntity,
	isPartOfBioChemEntity: isPartOfBioChemEntity,
	isTierOf: isTierOf,
	isVariantOf: isVariantOf,
	itemOffered: itemOffered,
	jobBenefits: jobBenefits,
	jurisdiction: jurisdiction,
	mainContentOfPage: mainContentOfPage,
	mainEntity: mainEntity,
	mainEntityOfPage: mainEntityOfPage,
	makesOffer: makesOffer,
	measurementTechnique: measurementTechnique,
	merchantReturnDays: merchantReturnDays,
	merchantReturnLink: merchantReturnLink,
	offeredBy: offeredBy,
	offers: offers,
	parent: parent,
	parentTaxon: parentTaxon,
	partOfSeries: partOfSeries,
	partOfTrip: partOfTrip,
	paymentDueDate: paymentDueDate,
	performTime: performTime,
	performer: performer,
	photo: photo,
	provider: provider,
	providesBroadcastService: providesBroadcastService,
	recipeIngredient: recipeIngredient,
	recordedAs: recordedAs,
	recordedAt: recordedAt,
	recordedIn: recordedIn,
	recordingOf: recordingOf,
	releaseOf: releaseOf,
	review: review,
	roleName: roleName,
	runtimePlatform: runtimePlatform,
	season: season,
	serialNumber: serialNumber,
	serviceArea: serviceArea,
	serviceOutput: serviceOutput,
	sibling: sibling,
	significantLink: significantLink,
	softwareRequirements: softwareRequirements,
	sponsor: sponsor,
	subOrganization: subOrganization,
	subTrip: subTrip,
	subjectOf: subjectOf,
	suggestedAnswer: suggestedAnswer,
	superEvent: superEvent,
	targetCollection: targetCollection,
	temporalCoverage: temporalCoverage,
	termCode: termCode,
	track: track,
	translationOfWork: translationOfWork,
	usageInfo: usageInfo,
	warranty: warranty,
	workTranslation: workTranslation,
	yield__workaround: yield__workaround,
	about: about,
	actor: actor,
	associatedReview: associatedReview,
	competitor: competitor,
	containedInPlace: containedInPlace,
	encoding: encoding,
	hasMap: hasMap,
	legislationApplies: legislationApplies,
	material: material,
	memberOf: memberOf,
	parentOrganization: parentOrganization,
	result: result,
	seller: seller,
	spatialCoverage: spatialCoverage,
	step: step,
	subEvent: subEvent,
	supply: supply,
	workFeatured: workFeatured,
	areaServed: areaServed,
	includedInDataCatalog: includedInDataCatalog,
	legislationChanges: legislationChanges,
	member: member,
	recipient: recipient,
	workExample: workExample,
	description: description,
	gtin: gtin,
	hasRepresentation: hasRepresentation,
	image: image,
	hasPart: hasPart,
	position: position,
	isPartOf: isPartOf,
	instrument: instrument,
	object: object,
	publishingPrinciples: publishingPrinciples,
	location: location,
	participant: participant,
	identifier: identifier
});

export { AutoBodyShop as $, AMRadioChannel as A, occupationalCredentialAwarded as A$, monoisotopicMolecularWeight as A0, monthlyMinimumRepaymentAmount as A1, monthsOfExperience as A2, mpn as A3, multipleValues as A4, muscleAction as A5, musicArrangement as A6, musicBy as A7, musicCompositionForm as A8, musicGroupMember as A9, numberOfAvailableAccommodationUnits as AA, numberOfAxles as AB, numberOfBathroomsTotal as AC, numberOfBedrooms as AD, numberOfBeds as AE, numberOfCredits as AF, numberOfDoors as AG, numberOfEmployees as AH, numberOfEpisodes as AI, numberOfForwardGears as AJ, numberOfFullBathrooms as AK, numberOfItems as AL, numberOfLoanPayments as AM, numberOfPages as AN, numberOfPartialBathrooms as AO, numberOfPlayers as AP, numberOfPreviousOwners as AQ, numberOfRooms as AR, numberOfSeasons as AS, numberedPosition as AT, nutrition as AU, observationAbout as AV, observationDate as AW, observationPeriod as AX, occupancy as AY, occupationLocation as AZ, occupationalCategory as A_, musicReleaseFormat as Aa, musicalKey as Ab, naics as Ac, name as Ad, namedPosition as Ae, nationality as Af, naturalProgression as Ag, negativeNotes as Ah, nerve as Ai, nerveMotor as Aj, netWorth as Ak, newsUpdatesAndGuidelines as Al, nextItem as Am, noBylinesPolicy as An, nonEqual as Ao, nonProprietaryName as Ap, nonprofitStatus as Aq, normalRange as Ar, nsn as As, numAdults as At, numChildren as Au, numConstraints as Av, numItems as Aw, numTracks as Ax, numberOfAccommodationUnits as Ay, numberOfAirbags as Az, AnatomicalSystem as B, permittedUsage as B$, offerCount as B0, offersPrescriptionByMail as B1, openingHours as B2, openingHoursSpecification as B3, opens as B4, operatingSystem as B5, opponent as B6, option as B7, orderDate as B8, orderDelivery as B9, partOfOrder as BA, partOfSeason as BB, partOfSystem as BC, partOfTVSeries as BD, partySize as BE, passengerPriorityStatus as BF, passengerSequenceNumber as BG, pathophysiology as BH, pattern as BI, payload as BJ, paymentAccepted as BK, paymentDue as BL, paymentMethod as BM, paymentMethodId as BN, paymentMethodType as BO, paymentStatus as BP, paymentUrl as BQ, penciler as BR, percentile10 as BS, percentile25 as BT, percentile75 as BU, percentile90 as BV, performerIn as BW, performers as BX, permissionType as BY, permissions as BZ, permitAudience as B_, orderItemNumber as Ba, orderItemStatus as Bb, orderNumber as Bc, orderPercentage as Bd, orderQuantity as Be, orderStatus as Bf, orderValue as Bg, orderedItem as Bh, organizer as Bi, originAddress as Bj, originalMediaContextDescription as Bk, originalMediaLink as Bl, originatesFrom as Bm, overdosage as Bn, ownedFrom as Bo, ownedThrough as Bp, ownershipFundingInfo as Bq, owns as Br, pageEnd as Bs, pageStart as Bt, pagination as Bu, parentItem as Bv, parentService as Bw, parents as Bx, partOfEpisode as By, partOfInvoice as Bz, AnimalShelter as C, program as C$, petsAllowed as C0, phoneticText as C1, photos as C2, physicalRequirement as C3, physiologicalBenefits as C4, pickupLocation as C5, pickupTime as C6, playMode as C7, playerType as C8, playersOnline as C9, priceComponent as CA, priceComponentType as CB, priceCurrency as CC, priceRange as CD, priceSpecification as CE, priceType as CF, priceValidUntil as CG, primaryImageOfPage as CH, primaryPrevention as CI, printColumn as CJ, printEdition as CK, printPage as CL, printSection as CM, procedure as CN, procedureType as CO, processingTime as CP, processorRequirements as CQ, producer as CR, produces as CS, productGroupID as CT, productID as CU, productReturnDays as CV, productReturnLink as CW, productSupported as CX, productionCompany as CY, productionDate as CZ, proficiencyLevel as C_, polygon as Ca, populationType as Cb, positiveNotes as Cc, possibleComplication as Cd, possibleTreatment as Ce, postOfficeBoxNumber as Cf, postOp as Cg, postalCode as Ch, postalCodeBegin as Ci, postalCodeEnd as Cj, postalCodePrefix as Ck, postalCodeRange as Cl, potentialAction as Cm, potentialUse as Cn, practicesAt as Co, preOp as Cp, predecessorOf as Cq, pregnancyCategory as Cr, pregnancyWarning as Cs, prepTime as Ct, preparation as Cu, prescribingInfo as Cv, prescriptionStatus as Cw, previousItem as Cx, previousStartDate as Cy, price as Cz, Answer as D, relevantOccupation as D$, programMembershipUsed as D0, programName as D1, programPrerequisites as D2, programType as D3, programmingLanguage as D4, programmingModel as D5, pronouns as D6, propertyID as D7, proprietaryName as D8, proteinContent as D9, recipe as DA, recipeCategory as DB, recipeCuisine as DC, recipeInstructions as DD, recipeYield as DE, recognizedBy as DF, recognizingAuthority as DG, recommendationStrength as DH, recommendedIntake as DI, recordLabel as DJ, recourseLoan as DK, referee as DL, referenceQuantity as DM, referencesOrder as DN, refundType as DO, regionDrained as DP, regionsAllowed as DQ, relatedAnatomy as DR, relatedCondition as DS, relatedDrug as DT, relatedLink as DU, relatedStructure as DV, relatedTherapy as DW, relatedTo as DX, releaseDate as DY, releaseNotes as DZ, releasedEvent as D_, providerMobility as Da, providesService as Db, publicAccess as Dc, publicTransportClosuresInfo as Dd, publication as De, publicationType as Df, publishedBy as Dg, publishedOn as Dh, publisher as Di, publisherImprint as Dj, purchaseDate as Dk, purchasePriceLimit as Dl, purchaseType as Dm, qualifications as Dn, qualifiedExpense as Do, quarantineGuidelines as Dp, query as Dq, quest as Dr, question as Ds, rangeIncludes as Dt, ratingCount as Du, ratingExplanation as Dv, ratingValue as Dw, readBy as Dx, readonlyValue as Dy, realEstateAgent as Dz, Apartment as E, seasonNumber as E$, relevantSpecialty as E0, remainingAttendeeCapacity as E1, renegotiableLoan as E2, repeatCount as E3, repeatFrequency as E4, repetitions as E5, replacee as E6, replacer as E7, replyToUrl as E8, reportNumber as E9, reviewCount as EA, reviewRating as EB, reviewedBy as EC, reviews as ED, riskFactor as EE, risks as EF, roofLoad as EG, rsvpResponse as EH, runsTo as EI, runtime as EJ, rxcui as EK, safetyConsideration as EL, salaryCurrency as EM, salaryUponCompletion as EN, sameAs as EO, sampleType as EP, saturatedFatContent as EQ, scheduleTimezone as ER, scheduledPaymentDate as ES, scheduledTime as ET, schemaVersion as EU, schoolClosuresInfo as EV, screenCount as EW, screenshot as EX, sdDatePublished as EY, sdLicense as EZ, sdPublisher as E_, representativeOfPage as Ea, requiredCollateral as Eb, requiredGender as Ec, requiredMaxAge as Ed, requiredMinAge as Ee, requiredQuantity as Ef, requirements as Eg, requiresSubscription as Eh, reservationFor as Ei, reservationId as Ej, reservationStatus as Ek, reservedTicket as El, responsibilities as Em, restPeriods as En, restockingFee as Eo, resultComment as Ep, resultReview as Eq, returnFees as Er, returnLabelSource as Es, returnMethod as Et, returnPolicyCategory as Eu, returnPolicyCountry as Ev, returnPolicySeasonalOverride as Ew, returnShippingFeesAmount as Ex, reviewAspect as Ey, reviewBody as Ez, ApartmentComplex as F, sportsActivityLocation as F$, seasonalOverride as F0, seasons as F1, seatNumber as F2, seatRow as F3, seatSection as F4, seatingCapacity as F5, seatingType as F6, secondaryPrevention as F7, securityClearanceRequirement as F8, securityScreening as F9, signDetected as FA, signOrSymptom as FB, significance as FC, significantLinks as FD, size as FE, sizeGroup as FF, sizeSystem as FG, skills as FH, sku as FI, slogan as FJ, smiles as FK, smokingAllowed as FL, sodiumContent as FM, softwareAddOn as FN, softwareHelp as FO, softwareVersion as FP, sourceOrganization as FQ, sourcedFrom as FR, spatial as FS, speakable as FT, specialCommitments as FU, specialOpeningHoursSpecification as FV, specialty as FW, speechToTextMarkup as FX, speed as FY, spokenByCharacter as FZ, sport as F_, seeks as Fa, sender as Fb, sensoryRequirement as Fc, sensoryUnit as Fd, seriousAdverseOutcome as Fe, serverStatus as Ff, servesCuisine as Fg, serviceAudience as Fh, serviceLocation as Fi, serviceOperator as Fj, servicePhone as Fk, servicePostalAddress as Fl, serviceSmsNumber as Fm, serviceType as Fn, serviceUrl as Fo, servingSize as Fp, sha256 as Fq, sharedContent as Fr, shippingConditions as Fs, shippingDestination as Ft, shippingDetails as Fu, shippingLabel as Fv, shippingOrigin as Fw, shippingRate as Fx, shippingSettingsLink as Fy, siblings as Fz, AppendAction as G, tickerSymbol as G$, sportsEvent as G0, sportsTeam as G1, spouse as G2, stage as G3, stageAsNumber as G4, starRating as G5, startDate as G6, startOffset as G7, startTime as G8, statType as G9, suggestedMinAge as GA, suitableForDiet as GB, supersededBy as GC, supplyTo as GD, supportingData as GE, surface as GF, syllabusSections as GG, target as GH, targetDescription as GI, targetName as GJ, targetPlatform as GK, targetPopulation as GL, targetProduct as GM, targetUrl as GN, taxID as GO, taxonRank as GP, taxonomicRange as GQ, teaches as GR, telephone as GS, temporal as GT, termDuration as GU, termsOfService as GV, termsPerYear as GW, text as GX, textValue as GY, thumbnail as GZ, thumbnailUrl as G_, status as Ga, steeringPosition as Gb, stepValue as Gc, steps as Gd, storageRequirements as Ge, streetAddress as Gf, strengthUnit as Gg, strengthValue as Gh, structuralClass as Gi, study as Gj, studyDesign as Gk, studyLocation as Gl, studySubject as Gm, stupidProperty as Gn, subEvents as Go, subReservation as Gp, subStageSuffix as Gq, subStructure as Gr, subTest as Gs, subtitleLanguage as Gt, successorOf as Gu, sugarContent as Gv, suggestedAge as Gw, suggestedGender as Gx, suggestedMaxAge as Gy, suggestedMeasurement as Gz, ApplyAction as H, validFrom as H$, ticketNumber as H0, ticketToken as H1, ticketedSeat as H2, timeOfDay as H3, timeRequired as H4, timeToComplete as H5, tissueSample as H6, title as H7, titleEIDR as H8, toLocation as H9, transmissionMethod as HA, travelBans as HB, trialDesign as HC, tributary as HD, tripOrigin as HE, typeOfBed as HF, typeOfGood as HG, typicalAgeRange as HH, typicalCreditsPerTerm as HI, typicalTest as HJ, underName as HK, unitCode as HL, unitText as HM, unnamedSourcesPolicy as HN, unsaturatedFatContent as HO, uploadDate as HP, upvoteCount as HQ, url as HR, urlTemplate as HS, usNPI as HT, usedToDiagnose as HU, userInteractionCount as HV, usesDevice as HW, usesHealthPlanIdStandard as HX, utterances as HY, validFor as HZ, validForMemberTier as H_, toRecipient as Ha, tocContinuation as Hb, tocEntry as Hc, tongueWeight as Hd, tool as He, torque as Hf, totalHistoricalEnrollment as Hg, totalJobOpenings as Hh, totalPaymentDue as Hi, totalPrice as Hj, totalTime as Hk, tourBookingPage as Hl, touristType as Hm, trackingNumber as Hn, trackingUrl as Ho, tracks as Hp, trailer as Hq, trailerWeight as Hr, trainName as Hs, trainNumber as Ht, trainingSalary as Hu, transFatContent as Hv, transcript as Hw, transitTime as Hx, transitTimeLabel as Hy, translator as Hz, ApprovedIndication as I, archiveHeld as I$, validIn as I0, validThrough as I1, validUntil as I2, value as I3, valueAddedTaxIncluded as I4, valueMaxLength as I5, valueMinLength as I6, valueName as I7, valuePattern as I8, valueReference as I9, webCheckinTime as IA, webFeed as IB, weight as IC, weightPercentage as ID, weightTotal as IE, wheelbase as IF, width as IG, winner as IH, wordCount as II, workHours as IJ, workLocation as IK, workPerformed as IL, workPresented as IM, workload as IN, worksFor as IO, worstRating as IP, xpath as IQ, yearBuilt as IR, yearlyRevenue as IS, yearsInOperation as IT, actionApplication as IU, actionOption as IV, album as IW, albumRelease as IX, alternateName as IY, alumni as IZ, alumniOf as I_, valueRequired as Ia, variableMeasured as Ib, variablesMeasured as Ic, variantCover as Id, variesBy as Ie, vatID as If, vehicleConfiguration as Ig, vehicleEngine as Ih, vehicleIdentificationNumber as Ii, vehicleInteriorColor as Ij, vehicleInteriorType as Ik, vehicleModelDate as Il, vehicleSeatingCapacity as Im, vehicleSpecialUsage as In, vehicleTransmission as Io, vendor as Ip, verificationFactCheckingPolicy as Iq, version as Ir, video as Is, videoFormat as It, videoFrameSize as Iu, videoQuality as Iv, volumeNumber as Iw, warning as Ix, warrantyPromise as Iy, warrantyScope as Iz, Aquarium as J, makesOffer as J$, arterialBranch as J0, artworkSurface as J1, attendee as J2, audience as J3, availableOnDevice as J4, award as J5, blogPost as J6, broker as J7, caption as J8, category as J9, game as JA, gameServer as JB, genre as JC, hasBioChemEntityPart as JD, hasBroadcastChannel as JE, hasDefinedTerm as JF, hasMenu as JG, hasMerchantReturnPolicy as JH, hasTiers as JI, hasVariant as JJ, holdingArchive as JK, inDefinedTermSet as JL, inLanguage as JM, incentiveCompensation as JN, interactionStatistic as JO, isAccessibleForFree as JP, isBasedOn as JQ, isEncodedByBioChemEntity as JR, isPartOfBioChemEntity as JS, isTierOf as JT, isVariantOf as JU, itemOffered as JV, jobBenefits as JW, jurisdiction as JX, mainContentOfPage as JY, mainEntity as JZ, mainEntityOfPage as J_, childTaxon as Ja, clinicalPharmacology as Jb, codeSampleType as Jc, colleague as Jd, contactPoint as Je, containsPlace as Jf, containsSeason as Jg, contentLocation as Jh, creator as Ji, dataset as Jj, dateCreated as Jk, director as Jl, duration as Jm, employee as Jn, encodesBioChemEntity as Jo, encodesCreativeWork as Jp, encodingFormat as Jq, episode as Jr, event as Js, exampleOfWork as Jt, executableLibraryName as Ju, exerciseCourse as Jv, founder as Jw, frequency as Jx, fundedItem as Jy, funding as Jz, ArchiveComponent as K, workFeatured as K$, measurementTechnique as K0, merchantReturnDays as K1, merchantReturnLink as K2, offeredBy as K3, offers as K4, parent as K5, parentTaxon as K6, partOfSeries as K7, partOfTrip as K8, paymentDueDate as K9, superEvent as KA, targetCollection as KB, temporalCoverage as KC, termCode as KD, track as KE, translationOfWork as KF, usageInfo as KG, warranty as KH, workTranslation as KI, yield__workaround as KJ, about as KK, actor as KL, associatedReview as KM, competitor as KN, containedInPlace as KO, encoding as KP, hasMap as KQ, legislationApplies as KR, material as KS, memberOf as KT, parentOrganization as KU, result as KV, seller as KW, spatialCoverage as KX, step as KY, subEvent as KZ, supply as K_, performTime as Ka, performer as Kb, photo as Kc, provider as Kd, providesBroadcastService as Ke, recipeIngredient as Kf, recordedAs as Kg, recordedAt as Kh, recordedIn as Ki, recordingOf as Kj, releaseOf as Kk, review as Kl, roleName as Km, runtimePlatform as Kn, season as Ko, serialNumber as Kp, serviceArea as Kq, serviceOutput as Kr, sibling as Ks, significantLink as Kt, softwareRequirements as Ku, sponsor as Kv, subOrganization as Kw, subTrip as Kx, subjectOf as Ky, suggestedAnswer as Kz, ArchiveOrganization as L, areaServed as L0, includedInDataCatalog as L1, legislationChanges as L2, member as L3, recipient as L4, workExample as L5, description as L6, gtin as L7, hasRepresentation as L8, image as L9, hasPart as La, position as Lb, isPartOf as Lc, instrument as Ld, object as Le, publishingPrinciples as Lf, location as Lg, participant as Lh, identifier as Li, schema_httpsImport as Lj, ArriveAction as M, ArtGallery as N, Artery as O, Article as P, AskAction as Q, AskPublicNewsArticle as R, AssessAction as S, AssignAction as T, Atlas as U, Attorney as V, Audience as W, AudioObject as X, AudioObjectSnapshot as Y, Audiobook as Z, AuthorizeAction as _, APIReference as a, Campground as a$, AutoDealer as a0, AutoPartsStore as a1, AutoRental as a2, AutoRepair as a3, AutoWash as a4, AutomatedTeller as a5, AutomotiveBusiness as a6, BackgroundNewsArticle as a7, Bakery as a8, BankAccount as a9, Boolean__workaround as aA, BorrowAction as aB, BowlingAlley as aC, BrainStructure as aD, Brand as aE, BreadcrumbList as aF, Brewery as aG, Bridge as aH, BroadcastChannel as aI, BroadcastEvent as aJ, BroadcastFrequencySpecification as aK, BroadcastService as aL, BrokerageAccount as aM, BuddhistTemple as aN, BusOrCoach as aO, BusReservation as aP, BusStation as aQ, BusStop as aR, BusTrip as aS, BusinessAudience as aT, BusinessEntityType as aU, BusinessEvent as aV, BusinessFunction as aW, BuyAction as aX, CDCPMDRecord as aY, CableOrSatelliteService as aZ, CafeOrCoffeeShop as a_, BankOrCreditUnion as aa, BarOrPub as ab, Barcode as ac, Beach as ad, BeautySalon as ae, BedAndBreakfast as af, BedDetails as ag, BedType as ah, BefriendAction as ai, BikeStore as aj, BioChemEntity as ak, Blog as al, BlogPosting as am, BloodTest as an, BoardingPolicyType as ao, BoatReservation as ap, BoatTerminal as aq, BoatTrip as ar, BodyMeasurementTypeEnumeration as as, BodyOfWater as at, Bone as au, Book as av, BookFormatType as aw, BookSeries as ax, BookStore as ay, BookmarkAction as az, AboutPage as b, Course as b$, CampingPitch as b0, Canal as b1, CancelAction as b2, Car as b3, CarUsageType as b4, Casino as b5, CategoryCode as b6, CategoryCodeSet as b7, CatholicChurch as b8, Cemetery as b9, ComicCoverArt as bA, ComicIssue as bB, ComicSeries as bC, ComicStory as bD, Comment as bE, CommentAction as bF, CommunicateAction as bG, CompleteDataFeed as bH, CompoundPriceSpecification as bI, ComputerLanguage as bJ, ComputerStore as bK, ConfirmAction as bL, Consortium as bM, ConstraintNode as bN, ConsumeAction as bO, ContactPage as bP, ContactPoint as bQ, ContactPointOption as bR, Continent as bS, ControlAction as bT, ConvenienceStore as bU, Conversation as bV, CookAction as bW, Cooperative as bX, Corporation as bY, CorrectionComment as bZ, Country as b_, Certification as ba, CertificationStatusEnumeration as bb, Chapter as bc, CheckAction as bd, CheckInAction as be, CheckOutAction as bf, CheckoutPage as bg, ChemicalSubstance as bh, ChildCare as bi, ChildrensEvent as bj, ChooseAction as bk, Church as bl, City as bm, CityHall as bn, CivicStructure as bo, Claim as bp, ClaimReview as bq, Class as br, Clip as bs, ClothingStore as bt, Code as bu, Collection as bv, CollectionPage as bw, CollegeOrUniversity as bx, ComedyClub as by, ComedyEvent as bz, AcceptAction as c, Drug as c$, CourseInstance as c0, Courthouse as c1, CoverArt as c2, CovidTestingFacility as c3, CreateAction as c4, CreativeWork as c5, CreativeWorkSeason as c6, CreativeWorkSeries as c7, CreditCard as c8, Crematorium as c9, DeliveryTimeSettings as cA, Demand as cB, Dentist as cC, DepartAction as cD, DepartmentStore as cE, DepositAccount as cF, DiagnosticLab as cG, DiagnosticProcedure as cH, Diet as cI, DietarySupplement as cJ, DigitalDocument as cK, DigitalDocumentPermission as cL, DigitalDocumentPermissionType as cM, DigitalPlatformEnumeration as cN, DisagreeAction as cO, DiscoverAction as cP, DiscussionForumPosting as cQ, DislikeAction as cR, Distance as cS, Distillery as cT, DonateAction as cU, DoseSchedule as cV, DownloadAction as cW, DrawAction as cX, Drawing as cY, DrinkAction as cZ, DriveWheelConfigurationValue as c_, CriticReview as ca, CssSelectorType as cb, CurrencyConversionService as cc, DDxElement as cd, DanceEvent as ce, DanceGroup as cf, DataCatalog as cg, DataDownload as ch, DataFeed as ci, DataFeedItem as cj, DataType as ck, Dataset as cl, Date__workaround as cm, DateTime as cn, DatedMoneySpecification as co, DayOfWeek as cp, DaySpa as cq, DeactivateAction as cr, DefenceEstablishment as cs, DefinedRegion as ct, DefinedTerm as cu, DefinedTermSet as cv, DeleteAction as cw, DeliveryChargeSpecification as cx, DeliveryEvent as cy, DeliveryMethod as cz, Accommodation as d, Florist as d$, DrugClass as d0, DrugCost as d1, DrugCostCategory as d2, DrugLegalStatus as d3, DrugPregnancyCategory as d4, DrugPrescriptionStatus as d5, DrugStrength as d6, DryCleaningOrLaundry as d7, Duration as d8, EUEnergyEfficiencyEnumeration as d9, Enumeration as dA, Episode as dB, Event as dC, EventAttendanceModeEnumeration as dD, EventReservation as dE, EventSeries as dF, EventStatusType as dG, EventVenue as dH, ExchangeRateSpecification as dI, ExerciseAction as dJ, ExerciseGym as dK, ExercisePlan as dL, ExhibitionEvent as dM, FAQPage as dN, FMRadioChannel as dO, FastFoodRestaurant as dP, Festival as dQ, FilmAction as dR, FinancialIncentive as dS, FinancialProduct as dT, FinancialService as dU, FindAction as dV, FireStation as dW, Flight as dX, FlightReservation as dY, Float as dZ, FloorPlan as d_, EatAction as da, EducationEvent as db, EducationalAudience as dc, EducationalOccupationalCredential as dd, EducationalOccupationalProgram as de, EducationalOrganization as df, Electrician as dg, ElectronicsStore as dh, ElementarySchool as di, EmailMessage as dj, Embassy as dk, EmergencyService as dl, EmployeeRole as dm, EmployerAggregateRating as dn, EmployerReview as dp, EmploymentAgency as dq, EndorseAction as dr, EndorsementRating as ds, Energy as dt, EnergyConsumptionDetails as du, EnergyEfficiencyEnumeration as dv, EnergyStarEnergyEfficiencyEnumeration as dw, EngineSpecification as dx, EntertainmentBusiness as dy, EntryPoint as dz, AccountingService as e, HowToSupply as e$, FollowAction as e0, FoodEstablishment as e1, FoodEstablishmentReservation as e2, FoodEvent as e3, FoodService as e4, FulfillmentTypeEnumeration as e5, FundingAgency as e6, FundingScheme as e7, FurnitureStore as e8, Game as e9, Hackathon as eA, HairSalon as eB, HardwareStore as eC, HealthAndBeautyBusiness as eD, HealthAspectEnumeration as eE, HealthClub as eF, HealthInsurancePlan as eG, HealthPlanCostSharingSpecification as eH, HealthPlanFormulary as eI, HealthPlanNetwork as eJ, HealthTopicContent as eK, HighSchool as eL, HinduTemple as eM, HobbyShop as eN, HomeAndConstructionBusiness as eO, HomeGoodsStore as eP, Hospital as eQ, Hostel as eR, Hotel as eS, HotelRoom as eT, House as eU, HousePainter as eV, HowTo as eW, HowToDirection as eX, HowToItem as eY, HowToSection as eZ, HowToStep as e_, GameAvailabilityEnumeration as ea, GamePlayMode as eb, GameServer as ec, GameServerStatus as ed, GardenStore as ee, GasStation as ef, GatedResidenceCommunity as eg, GenderType as eh, Gene as ei, GeneralContractor as ej, GeoCircle as ek, GeoCoordinates as el, GeoShape as em, GeospatialGeometry as en, GiveAction as eo, GolfCourse as ep, GovernmentBenefitsType as eq, GovernmentBuilding as er, GovernmentOffice as es, GovernmentOrganization as et, GovernmentPermit as eu, GovernmentService as ev, Grant as ew, GroceryStore as ex, Guide as ey, HVACBusiness as ez, AchieveAction as f, LoanOrCredit as f$, HowToTip as f0, HowToTool as f1, HyperToc as f2, HyperTocEntry as f3, IPTCDigitalSourceEnumeration as f4, IceCreamShop as f5, IgnoreAction as f6, ImageGallery as f7, ImageObject as f8, ImageObjectSnapshot as f9, JobPosting as fA, JoinAction as fB, Joint as fC, LakeBodyOfWater as fD, Landform as fE, LandmarksOrHistoricalBuildings as fF, Language as fG, LearningResource as fH, LeaveAction as fI, LegalForceStatus as fJ, LegalService as fK, LegalValueLevel as fL, Legislation as fM, LegislationObject as fN, LegislativeBuilding as fO, LendAction as fP, Library as fQ, LibrarySystem as fR, LifestyleModification as fS, Ligament as fT, LikeAction as fU, LinkRole as fV, LiquorStore as fW, ListItem as fX, ListenAction as fY, LiteraryEvent as fZ, LiveBlogPosting as f_, ImagingTest as fa, IncentiveQualifiedExpenseType as fb, IncentiveStatus as fc, IncentiveType as fd, IndividualPhysician as fe, IndividualProduct as ff, InfectiousAgentClass as fg, InfectiousDisease as fh, InformAction as fi, InsertAction as fj, InstallAction as fk, InsuranceAgency as fl, Intangible as fm, Integer as fn, InteractAction as fo, InteractionCounter as fp, InternetCafe as fq, InvestmentFund as fr, InvestmentOrDeposit as fs, InviteAction as ft, Invoice as fu, ItemAvailability as fv, ItemList as fw, ItemListOrderType as fx, ItemPage as fy, JewelryStore as fz, Action as g, MedicalTrialDesign as g$, LocalBusiness as g0, LocationFeatureSpecification as g1, Locksmith as g2, LodgingBusiness as g3, LodgingReservation as g4, LoseAction as g5, LymphaticVessel as g6, Manuscript as g7, Map__workaround as g8, MapCategoryType as g9, MedicalEvidenceLevel as gA, MedicalGuideline as gB, MedicalGuidelineContraindication as gC, MedicalGuidelineRecommendation as gD, MedicalImagingTechnique as gE, MedicalIndication as gF, MedicalIntangible as gG, MedicalObservationalStudy as gH, MedicalObservationalStudyDesign as gI, MedicalOrganization as gJ, MedicalProcedure as gK, MedicalProcedureType as gL, MedicalRiskCalculator as gM, MedicalRiskEstimator as gN, MedicalRiskFactor as gO, MedicalRiskScore as gP, MedicalScholarlyArticle as gQ, MedicalSign as gR, MedicalSignOrSymptom as gS, MedicalSpecialty as gT, MedicalStudy as gU, MedicalStudyStatus as gV, MedicalSymptom as gW, MedicalTest as gX, MedicalTestPanel as gY, MedicalTherapy as gZ, MedicalTrial as g_, MarryAction as ga, Mass as gb, MathSolver as gc, MaximumDoseSchedule as gd, MeasurementMethodEnum as ge, MeasurementTypeEnumeration as gf, MediaEnumeration as gg, MediaGallery as gh, MediaManipulationRatingEnumeration as gi, MediaObject as gj, MediaReview as gk, MediaReviewItem as gl, MediaSubscription as gm, MedicalAudience as gn, MedicalAudienceType as go, MedicalBusiness as gp, MedicalCause as gq, MedicalClinic as gr, MedicalCode as gs, MedicalCondition as gt, MedicalConditionStage as gu, MedicalContraindication as gv, MedicalDevice as gw, MedicalDevicePurpose as gx, MedicalEntity as gy, MedicalEnumeration as gz, ActionAccessSpecification as h, NutritionInformation as h$, MedicalWebPage as h0, MedicineSystem as h1, MeetingRoom as h2, MemberProgram as h3, MemberProgramTier as h4, MensClothingStore as h5, Menu as h6, MenuItem as h7, MenuSection as h8, MerchantReturnEnumeration as h9, Muscle as hA, Museum as hB, MusicAlbum as hC, MusicAlbumProductionType as hD, MusicAlbumReleaseType as hE, MusicComposition as hF, MusicEvent as hG, MusicGroup as hH, MusicPlaylist as hI, MusicRecording as hJ, MusicRelease as hK, MusicReleaseFormatType as hL, MusicStore as hM, MusicVenue as hN, MusicVideoObject as hO, NGO as hP, NLNonprofitType as hQ, NailSalon as hR, Nerve as hS, NewsArticle as hT, NewsMediaOrganization as hU, Newspaper as hV, NightClub as hW, NonprofitType as hX, Notary as hY, NoteDigitalDocument as hZ, Number__workaround as h_, MerchantReturnPolicy as ha, MerchantReturnPolicySeasonalOverride as hb, Message as hc, MiddleSchool as hd, MobileApplication as he, MobilePhoneStore as hf, MolecularEntity as hg, MonetaryAmount as hh, MonetaryAmountDistribution as hi, MonetaryGrant as hj, MoneyTransfer as hk, MortgageLoan as hl, Mosque as hm, Motel as hn, Motorcycle as ho, MotorcycleDealer as hp, MotorcycleRepair as hq, MotorizedBicycle as hr, Mountain as hs, MoveAction as ht, Movie as hu, MovieClip as hv, MovieRentalStore as hw, MovieSeries as hx, MovieTheater as hy, MovingCompany as hz, ActionStatusType as i, PhysiciansOffice as i$, Observation as i0, Occupation as i1, OccupationalExperienceRequirements as i2, OccupationalTherapy as i3, OceanBodyOfWater as i4, Offer as i5, OfferCatalog as i6, OfferForLease as i7, OfferForPurchase as i8, OfferItemCondition as i9, PathologyTest as iA, Patient as iB, PawnShop as iC, PayAction as iD, PaymentCard as iE, PaymentChargeSpecification as iF, PaymentMethod as iG, PaymentMethodType as iH, PaymentService as iI, PaymentStatusType as iJ, PeopleAudience as iK, PerformAction as iL, PerformanceRole as iM, PerformingArtsTheater as iN, PerformingGroup as iO, Periodical as iP, Permit as iQ, Person as iR, PetStore as iS, Pharmacy as iT, Photograph as iU, PhotographAction as iV, PhysicalActivity as iW, PhysicalActivityCategory as iX, PhysicalExam as iY, PhysicalTherapy as iZ, Physician as i_, OfferShippingDetails as ia, OfficeEquipmentStore as ib, OnDemandEvent as ic, OnlineBusiness as id, OnlineStore as ie, OpeningHoursSpecification as ig, OpinionNewsArticle as ih, Optician as ii, Order as ij, OrderAction as ik, OrderItem as il, OrderStatus as im, Organization as io, OrganizationRole as ip, OrganizeAction as iq, OutletStore as ir, OwnershipInfo as is, PaintAction as it, Painting as iu, PalliativeProcedure as iv, ParcelDelivery as iw, ParentAudience as ix, Park as iy, ParkingFacility as iz, ActivateAction as j, RadioSeason as j$, Place as j0, PlaceOfWorship as j1, PlanAction as j2, Play as j3, PlayAction as j4, PlayGameAction as j5, Playground as j6, Plumber as j7, PodcastEpisode as j8, PodcastSeason as j9, PronounceableText as jA, Property as jB, PropertyValue as jC, PropertyValueSpecification as jD, Protein as jE, PsychologicalTreatment as jF, PublicSwimmingPool as jG, PublicToilet as jH, PublicationEvent as jI, PublicationIssue as jJ, PublicationVolume as jK, PurchaseType as jL, QAPage as jM, QualitativeValue as jN, QuantitativeValue as jO, QuantitativeValueDistribution as jP, Quantity as jQ, Question as jR, Quiz as jS, Quotation as jT, QuoteAction as jU, RVPark as jV, RadiationTherapy as jW, RadioBroadcastService as jX, RadioChannel as jY, RadioClip as jZ, RadioEpisode as j_, PodcastSeries as ja, PoliceStation as jb, PoliticalParty as jc, Pond as jd, PostOffice as je, PostalAddress as jf, PostalCodeRangeSpecification as jg, Poster as jh, PreOrderAction as ji, PrependAction as jj, Preschool as jk, PresentationDigitalDocument as jl, PreventionIndication as jm, PriceComponentTypeEnumeration as jn, PriceSpecification as jo, PriceTypeEnumeration as jp, Product as jq, ProductCollection as jr, ProductGroup as js, ProductModel as jt, ProductReturnEnumeration as ju, ProductReturnPolicy as jv, ProfessionalService as jw, ProfilePage as jx, ProgramMembership as jy, Project as jz, AddAction as k, Seat as k$, RadioSeries as k0, RadioStation as k1, Rating as k2, ReactAction as k3, ReadAction as k4, RealEstateAgent as k5, RealEstateListing as k6, ReceiveAction as k7, Recipe as k8, Recommendation as k9, ReturnAction as kA, ReturnFeesEnumeration as kB, ReturnLabelSourceEnumeration as kC, ReturnMethodEnumeration as kD, Review as kE, ReviewAction as kF, ReviewNewsArticle as kG, RiverBodyOfWater as kH, Role as kI, RoofingContractor as kJ, Room as kK, RsvpAction as kL, RsvpResponseType as kM, SaleEvent as kN, SatiricalArticle as kO, Schedule as kP, ScheduleAction as kQ, ScholarlyArticle as kR, School as kS, SchoolDistrict as kT, ScreeningEvent as kU, Sculpture as kV, SeaBodyOfWater as kW, SearchAction as kX, SearchRescueOrganization as kY, SearchResultsPage as kZ, Season as k_, RecommendedDoseSchedule as ka, RecyclingCenter as kb, RefundTypeEnumeration as kc, RegisterAction as kd, RejectAction as ke, RentAction as kf, RentalCarReservation as kg, RepaymentSpecification as kh, ReplaceAction as ki, ReplyAction as kj, Report as kk, ReportageNewsArticle as kl, ReportedDoseSchedule as km, ResearchOrganization as kn, ResearchProject as ko, Researcher as kp, Reservation as kq, ReservationPackage as kr, ReservationStatusType as ks, ReserveAction as kt, Reservoir as ku, Residence as kv, Resort as kw, Restaurant as kx, RestrictedDiet as ky, ResumeAction as kz, AdministrativeArea as l, TakeAction as l$, SeekToAction as l0, SelfStorage as l1, SellAction as l2, SendAction as l3, Series as l4, Service as l5, ServiceChannel as l6, ServicePeriod as l7, ShareAction as l8, SheetMusic as l9, SportsOrganization as lA, SportsTeam as lB, SpreadsheetDigitalDocument as lC, StadiumOrArena as lD, State as lE, Statement as lF, StatisticalPopulation as lG, StatisticalVariable as lH, StatusEnumeration as lI, SteeringPositionValue as lJ, Store as lK, StructuredValue as lL, StupidType as lM, SubscribeAction as lN, Substance as lO, SubwayStation as lP, Suite as lQ, SuperficialAnatomy as lR, SurgicalProcedure as lS, SuspendAction as lT, Syllabus as lU, Synagogue as lV, TVClip as lW, TVEpisode as lX, TVSeason as lY, TVSeries as lZ, Table as l_, ShippingConditions as la, ShippingDeliveryTime as lb, ShippingRateSettings as lc, ShippingService as ld, ShoeStore as le, ShoppingCenter as lf, ShortStory as lg, SingleFamilyResidence as lh, SiteNavigationElement as li, SizeGroupEnumeration as lj, SizeSpecification as lk, SizeSystemEnumeration as ll, SkiResort as lm, SocialEvent as ln, SocialMediaPosting as lo, SoftwareApplication as lp, SoftwareSourceCode as lq, SolveMathAction as lr, SomeProducts as ls, SpeakableSpecification as lt, SpecialAnnouncement as lu, Specialty as lv, SportingGoodsStore as lw, SportsActivityLocation as lx, SportsClub as ly, SportsEvent as lz, AdultEntertainment as m, VideoGallery as m$, TattooParlor as m0, Taxi as m1, TaxiReservation as m2, TaxiService as m3, TaxiStand as m4, Taxon as m5, TechArticle as m6, TelevisionChannel as m7, TelevisionStation as m8, TennisComplex as m9, TravelAgency as mA, TreatmentIndication as mB, Trip as mC, TypeAndQuantityNode as mD, UKNonprofitType as mE, URL as mF, USNonprofitType as mG, UnRegisterAction as mH, UnitPriceSpecification as mI, UpdateAction as mJ, UseAction as mK, UserBlocks as mL, UserCheckins as mM, UserComments as mN, UserDownloads as mO, UserInteraction as mP, UserLikes as mQ, UserPageVisits as mR, UserPlays as mS, UserPlusOnes as mT, UserReview as mU, UserTweets as mV, VacationRental as mW, Vehicle as mX, Vein as mY, Vessel as mZ, VeterinaryCare as m_, Text as ma, TextDigitalDocument as mb, TextObject as mc, TheaterEvent as md, TheaterGroup as me, TherapeuticProcedure as mf, Thesis as mg, Thing as mh, Ticket as mi, TieAction as mj, TierBenefitEnumeration as mk, Time as ml, TipAction as mm, TireShop as mn, TouristAttraction as mo, TouristDestination as mp, TouristInformationCenter as mq, TouristTrip as mr, ToyStore as ms, TrackAction as mt, TradeAction as mu, TrainReservation as mv, TrainStation as mw, TrainTrip as mx, TransferAction as my, TravelAction as mz, AdultOrientedEnumeration as n, actionAccessibilityRequirement as n$, VideoGame as n0, VideoGameClip as n1, VideoGameSeries as n2, VideoObject as n3, VideoObjectSnapshot as n4, ViewAction as n5, VirtualLocation as n6, VisualArtsEvent as n7, VisualArtwork as n8, VitalSign as n9, WriteAction as nA, XPathType as nB, Zoo as nC, abridged as nD, abstract as nE, accelerationTime as nF, acceptedAnswer as nG, acceptedOffer as nH, acceptedPaymentMethod as nI, acceptsReservations as nJ, accessCode as nK, accessMode as nL, accessModeSufficient as nM, accessibilityAPI as nN, accessibilityControl as nO, accessibilityFeature as nP, accessibilityHazard as nQ, accessibilitySummary as nR, accommodationCategory as nS, accommodationFloorPlan as nT, accountId as nU, accountMinimumInflow as nV, accountOverdraftLimit as nW, accountablePerson as nX, acquireLicensePage as nY, acquiredFrom as nZ, acrissCode as n_, Volcano as na, VoteAction as nb, WPAdBlock as nc, WPFooter as nd, WPHeader as ne, WPSideBar as nf, WantAction as ng, WarrantyPromise as nh, WarrantyScope as ni, WatchAction as nj, Waterfall as nk, WearAction as nl, WearableMeasurementTypeEnumeration as nm, WearableSizeGroupEnumeration as nn, WearableSizeSystemEnumeration as no, WebAPI as np, WebApplication as nq, WebContent as nr, WebPage as ns, WebPageElement as nt, WebSite as nu, WholesaleStore as nv, WinAction as nw, Winery as nx, WorkBasedProgram as ny, WorkersUnion as nz, AdvertiserContentArticle as o, arrivalGate as o$, actionPlatform as o0, actionProcess as o1, actionStatus as o2, actionableFeedbackPolicy as o3, activeIngredient as o4, activityDuration as o5, activityFrequency as o6, actors as o7, addOn as o8, additionalName as o9, alternativeOf as oA, amenityFeature as oB, amount as oC, amountOfThisGood as oD, announcementLocation as oE, annualPercentageRate as oF, answerCount as oG, answerExplanation as oH, antagonist as oI, appearance as oJ, applicableCountry as oK, applicableLocation as oL, applicantLocationRequirements as oM, application as oN, applicationCategory as oO, applicationContact as oP, applicationDeadline as oQ, applicationStartDate as oR, applicationSubCategory as oS, applicationSuite as oT, appliesToDeliveryMethod as oU, appliesToPaymentMethod as oV, archivedAt as oW, area as oX, arrivalAirport as oY, arrivalBoatTerminal as oZ, arrivalBusStop as o_, additionalNumberOfGuests as oa, additionalProperty as ob, additionalType as oc, additionalVariable as od, address as oe, addressCountry as of, addressLocality as og, addressRegion as oh, administrationRoute as oi, advanceBookingRequirement as oj, adverseOutcome as ok, affectedBy as ol, affiliation as om, afterMedia as on, agent as oo, agentInteractionStatistic as op, aggregateElement as oq, aggregateRating as or, aircraft as os, albumProductionType as ot, albumReleaseType as ou, albums as ov, alcoholWarning as ow, algorithm as ox, alignmentType as oy, alternativeHeadline as oz, AggregateOffer as p, birthDate as p$, arrivalPlatform as p0, arrivalStation as p1, arrivalTerminal as p2, arrivalTime as p3, artEdition as p4, artMedium as p5, artform as p6, articleBody as p7, articleSection as p8, artist as p9, availableIn as pA, availableLanguage as pB, availableService as pC, availableStrength as pD, availableTest as pE, availableThrough as pF, awards as pG, awayTeam as pH, backstory as pI, bankAccountType as pJ, baseSalary as pK, bccRecipient as pL, bed as pM, beforeMedia as pN, beneficiaryBank as pO, benefits as pP, benefitsSummaryUrl as pQ, bestRating as pR, billingAddress as pS, billingDuration as pT, billingIncrement as pU, billingPeriod as pV, billingStart as pW, bioChemInteraction as pX, bioChemSimilarity as pY, biologicalRole as pZ, biomechnicalClass as p_, asin as pa, aspect as pb, assembly as pc, assemblyVersion as pd, assesses as pe, associatedAnatomy as pf, associatedArticle as pg, associatedClaimReview as ph, associatedDisease as pi, associatedMedia as pj, associatedMediaReview as pk, associatedPathophysiology as pl, athlete as pm, attendees as pn, audienceType as po, audio as pp, auditDate as pq, authenticator as pr, author as ps, availability as pt, availabilityEnds as pu, availabilityStarts as pv, availableAtOrFrom as pw, availableChannel as px, availableDeliveryMethod as py, availableFrom as pz, AggregateRating as q, checkoutTime as q$, birthPlace as q0, bitrate as q1, blogPosts as q2, bloodSupply as q3, boardingGroup as q4, boardingPolicy as q5, bodyLocation as q6, bodyType as q7, bookEdition as q8, bookFormat as q9, buyer as qA, byArtist as qB, byDay as qC, byMonth as qD, byMonthDay as qE, byMonthWeek as qF, callSign as qG, calories as qH, candidate as qI, carbohydrateContent as qJ, cargoVolume as qK, carrier as qL, carrierRequirements as qM, cashBack as qN, catalog as qO, catalogNumber as qP, causeOf as qQ, ccRecipient as qR, certificationIdentification as qS, certificationRating as qT, certificationStatus as qU, character as qV, characterAttribute as qW, characterName as qX, cheatCode as qY, checkinTime as qZ, checkoutPageURLTemplate as q_, bookingAgent as qa, bookingTime as qb, borrower as qc, box as qd, branch as qe, branchCode as qf, branchOf as qg, brand as qh, breadcrumb as qi, breastfeedingWarning as qj, broadcastAffiliateOf as qk, broadcastChannelId as ql, broadcastDisplayName as qm, broadcastFrequency as qn, broadcastFrequencyValue as qo, broadcastOfEvent as qp, broadcastServiceTier as qq, broadcastSignalModulation as qr, broadcastSubChannel as qs, broadcastTimezone as qt, broadcaster as qu, browserRequirements as qv, busName as qw, busNumber as qx, businessDays as qy, businessFunction as qz, AgreeAction as r, countryOfOrigin as r$, chemicalComposition as r0, chemicalRole as r1, childMaxAge as r2, childMinAge as r3, children as r4, cholesterolContent as r5, circle as r6, citation as r7, claimInterpreter as r8, claimReviewed as r9, contactOption as rA, contactPoints as rB, contactType as rC, contactlessPayment as rD, containedIn as rE, contentRating as rF, contentReferenceTime as rG, contentSize as rH, contentType as rI, contentUrl as rJ, contraindication as rK, contributor as rL, cookTime as rM, cookingMethod as rN, copyrightHolder as rO, copyrightNotice as rP, copyrightYear as rQ, correction as rR, correctionsPolicy as rS, costCategory as rT, costCurrency as rU, costOrigin as rV, costPerUnit as rW, countriesNotSupported as rX, countriesSupported as rY, countryOfAssembly as rZ, countryOfLastProcessing as r_, clincalPharmacology as ra, clipNumber as rb, closes as rc, coach as rd, code as re, codeRepository as rf, codeValue as rg, codingSystem as rh, colleagues as ri, collection as rj, collectionSize as rk, color as rl, colorSwatch as rm, colorist as rn, comment as ro, commentCount as rp, commentText as rq, commentTime as rr, companyRegistration as rs, competencyRequired as rt, composer as ru, comprisedOf as rv, conditionsOfAccess as rw, confirmationNumber as rx, connectedTo as ry, constraintProperty as rz, Airline as s, departurePlatform as s$, course as s0, courseCode as s1, courseMode as s2, coursePrerequisites as s3, courseSchedule as s4, courseWorkload as s5, coverageEndTime as s6, coverageStartTime as s7, creativeWorkStatus as s8, credentialCategory as s9, cvdNumVentUse as sA, dataFeedElement as sB, datasetTimeInterval as sC, dateDeleted as sD, dateIssued as sE, dateModified as sF, datePosted as sG, datePublished as sH, dateRead as sI, dateReceived as sJ, dateSent as sK, dateVehicleFirstRegistered as sL, dateline as sM, dayOfWeek as sN, deathDate as sO, deathPlace as sP, defaultValue as sQ, deliveryAddress as sR, deliveryLeadTime as sS, deliveryMethod as sT, deliveryStatus as sU, deliveryTime as sV, department as sW, departureAirport as sX, departureBoatTerminal as sY, departureBusStop as sZ, departureGate as s_, creditText as sa, creditedTo as sb, cssSelector as sc, currenciesAccepted as sd, currency as se, currentExchangeRate as sf, customer as sg, customerRemorseReturnFees as sh, customerRemorseReturnLabelSource as si, customerRemorseReturnShippingFeesAmount as sj, cutoffTime as sk, cvdCollectionDate as sl, cvdFacilityCounty as sm, cvdFacilityId as sn, cvdNumBeds as so, cvdNumBedsOcc as sp, cvdNumC19Died as sq, cvdNumC19HOPats as sr, cvdNumC19HospPats as ss, cvdNumC19MechVentPats as st, cvdNumC19OFMechVentPats as su, cvdNumC19OverflowPats as sv, cvdNumICUBeds as sw, cvdNumICUBedsOcc as sx, cvdNumTotBeds as sy, cvdNumVent as sz, Airport as t, elevation as t$, departureStation as t0, departureTerminal as t1, departureTime as t2, dependencies as t3, depth as t4, device as t5, diagnosis as t6, diagram as t7, diet as t8, dietFeatures as t9, doseValue as tA, downPayment as tB, downloadUrl as tC, downvoteCount as tD, drainsTo as tE, driveWheelConfiguration as tF, dropoffLocation as tG, dropoffTime as tH, drug as tI, drugClass as tJ, drugUnit as tK, duns as tL, duplicateTherapy as tM, durationOfWarranty as tN, duringMedia as tO, earlyPrepaymentPenalty as tP, editEIDR as tQ, editor as tR, eduQuestionType as tS, educationRequirements as tT, educationalAlignment as tU, educationalCredentialAwarded as tV, educationalFramework as tW, educationalLevel as tX, educationalProgramMode as tY, educationalRole as tZ, educationalUse as t_, differentialDiagnosis as ta, digitalSourceType as tb, directApply as tc, directors as td, disambiguatingDescription as te, discount as tf, discountCode as tg, discountCurrency as th, discusses as ti, discussionUrl as tj, diseasePreventionInfo as tk, diseaseSpreadStatistics as tl, dissolutionDate as tm, distance as tn, distinguishingSign as to, distribution as tp, diversityPolicy as tq, diversityStaffingReport as tr, documentation as ts, doesNotShip as tt, domainIncludes as tu, domiciledMortgage as tv, doorTime as tw, dosageForm as tx, doseSchedule as ty, doseUnit as tz, AlignmentObject as u, featureList as u$, eligibilityToWorkRequirement as u0, eligibleCustomerType as u1, eligibleDuration as u2, eligibleQuantity as u3, eligibleRegion as u4, eligibleTransactionVolume as u5, eligibleWithSupplier as u6, email as u7, embedUrl as u8, embeddedTextCaption as u9, estimatesRiskOf as uA, ethicsPolicy as uB, eventAttendanceMode as uC, eventSchedule as uD, eventStatus as uE, events as uF, evidenceLevel as uG, evidenceOrigin as uH, exceptDate as uI, exchangeRateSpread as uJ, exercisePlan as uK, exerciseRelatedDiet as uL, exerciseType as uM, exifData as uN, expectedArrivalFrom as uO, expectedArrivalUntil as uP, expectedPrognosis as uQ, expectsAcceptanceOf as uR, experienceInPlaceOfEducation as uS, experienceRequirements as uT, expertConsiderations as uU, expires as uV, expressedIn as uW, extendedAddress as uX, familyName as uY, fatContent as uZ, faxNumber as u_, emissionsCO2 as ua, employees as ub, employerOverview as uc, employmentType as ud, employmentUnit as ue, encodingType as uf, encodings as ug, endDate as uh, endOffset as ui, endTime as uj, endorsee as uk, endorsers as ul, energyEfficiencyScaleMax as um, energyEfficiencyScaleMin as un, engineDisplacement as uo, enginePower as up, engineType as uq, entertainmentBusiness as ur, epidemiology as us, episodeNumber as ut, episodes as uu, equal as uv, error as uw, estimatedCost as ux, estimatedFlightDuration as uy, estimatedSalary as uz, AllocateAction as v, gtin8 as v$, feesAndCommissionsSpecification as v0, fiberContent as v1, fileFormat as v2, fileSize as v3, financialAidEligible as v4, firstAppearance as v5, firstPerformance as v6, flightDistance as v7, flightNumber as v8, floorLevel as v9, gameTip as vA, gender as vB, geo as vC, geoContains as vD, geoCoveredBy as vE, geoCovers as vF, geoCrosses as vG, geoDisjoint as vH, geoEquals as vI, geoIntersects as vJ, geoMidpoint as vK, geoOverlaps as vL, geoRadius as vM, geoTouches as vN, geoWithin as vO, geographicArea as vP, gettingTestedInfo as vQ, givenName as vR, globalLocationNumber as vS, governmentBenefitsInfo as vT, gracePeriod as vU, grantee as vV, greater as vW, greaterOrEqual as vX, gtin12 as vY, gtin13 as vZ, gtin14 as v_, floorLimit as va, floorSize as vb, followee as vc, follows as vd, followup as ve, foodEstablishment as vf, foodEvent as vg, foodWarning as vh, founders as vi, foundingDate as vj, foundingLocation as vk, free as vl, freeShippingThreshold as vm, fromLocation as vn, fuelCapacity as vo, fuelConsumption as vp, fuelEfficiency as vq, fuelType as vr, fulfillmentType as vs, functionalClass as vt, funder as vu, gameAvailabilityType as vv, gameEdition as vw, gameItem as vx, gameLocation as vy, gamePlatform as vz, AmpStory as w, inAlbum as w$, guideline as w0, guidelineDate as w1, guidelineSubject as w2, handlingTime as w3, hasAdultConsideration as w4, hasBioPolymerSequence as w5, hasCategoryCode as w6, hasCertification as w7, hasCourse as w8, hasCourseInstance as w9, healthPlanCostSharing as wA, healthPlanDrugOption as wB, healthPlanDrugTier as wC, healthPlanId as wD, healthPlanMarketingUrl as wE, healthPlanNetworkId as wF, healthPlanNetworkTier as wG, healthPlanPharmacyCategory as wH, healthcareReportingData as wI, height as wJ, highPrice as wK, hiringOrganization as wL, homeLocation as wM, homeTeam as wN, honorificPrefix as wO, honorificSuffix as wP, hospitalAffiliation as wQ, hostingOrganization as wR, hoursAvailable as wS, howPerformed as wT, httpMethod as wU, iataCode as wV, icaoCode as wW, identifyingExam as wX, identifyingTest as wY, illustrator as wZ, imagingTechnique as w_, hasCredential as wa, hasDeliveryMethod as wb, hasDigitalDocumentPermission as wc, hasDriveThroughService as wd, hasEnergyConsumptionDetails as we, hasEnergyEfficiencyCategory as wf, hasGS1DigitalLink as wg, hasHealthAspect as wh, hasMeasurement as wi, hasMemberProgram as wj, hasMenuItem as wk, hasMenuSection as wl, hasMolecularFunction as wm, hasOccupation as wn, hasOfferCatalog as wo, hasPOS as wp, hasProductReturnPolicy as wq, hasShippingService as wr, hasTierBenefit as ws, hasTierRequirement as wt, headline as wu, healthCondition as wv, healthPlanCoinsuranceOption as ww, healthPlanCoinsuranceRate as wx, healthPlanCopay as wy, healthPlanCopayOption as wz, AmusementPark as x, issueNumber as x$, inBroadcastLineup as x0, inChI as x1, inChIKey as x2, inCodeSet as x3, inPlaylist as x4, inProductGroupWithID as x5, inStoreReturnsOffered as x6, inSupportOf as x7, incentiveAmount as x8, incentiveStatus as x9, interactionType as xA, interactivityType as xB, interestRate as xC, interpretedAsClaim as xD, inventoryLevel as xE, inverseOf as xF, isAcceptingNewPatients as xG, isAccessoryOrSparePartFor as xH, isAvailableGenerically as xI, isBasedOnUrl as xJ, isConsumableFor as xK, isFamilyFriendly as xL, isGift as xM, isInvolvedInBiologicalProcess as xN, isLiveBroadcast as xO, isLocatedInSubcellularLocation as xP, isPlanForApartment as xQ, isProprietary as xR, isRelatedTo as xS, isResizable as xT, isSimilarTo as xU, isUnlabelledFallback as xV, isbn as xW, isicV4 as xX, iso6523Code as xY, isrcCode as xZ, issn as x_, incentiveType as xa, incentives as xb, incentivizedItem as xc, includedComposition as xd, includedDataCatalog as xe, includedInHealthInsurancePlan as xf, includedRiskFactor as xg, includesAttraction as xh, includesHealthPlanFormulary as xi, includesHealthPlanNetwork as xj, includesObject as xk, incomeLimit as xl, increasesRiskOf as xm, industry as xn, ineligibleRegion as xo, infectiousAgent as xp, infectiousAgentClass as xq, ingredients as xr, inker as xs, insertion as xt, installUrl as xu, instructor as xv, intensity as xw, interactingDrug as xx, interactionCount as xy, interactionService as xz, AnalysisNewsArticle as y, liveBlogUpdate as y$, issuedBy as y0, issuedThrough as y1, iswcCode as y2, item as y3, itemCondition as y4, itemDefectReturnFees as y5, itemDefectReturnLabelSource as y6, itemDefectReturnShippingFeesAmount as y7, itemListElement as y8, itemListOrder as y9, legalStatus as yA, legislationAmends as yB, legislationCommences as yC, legislationConsolidates as yD, legislationCorrects as yE, legislationCountersignedBy as yF, legislationDate as yG, legislationDateOfApplicability as yH, legislationDateVersion as yI, legislationEnsuresImplementationOf as yJ, legislationIdentifier as yK, legislationJurisdiction as yL, legislationLegalForce as yM, legislationLegalValue as yN, legislationPassedBy as yO, legislationRepeals as yP, legislationResponsible as yQ, legislationTransposes as yR, legislationType as yS, leiCode as yT, lender as yU, lesser as yV, lesserOrEqual as yW, letterer as yX, license as yY, line as yZ, linkRelationship as y_, itemLocation as ya, itemReviewed as yb, itemShipped as yc, itinerary as yd, iupacName as ye, jobImmediateStart as yf, jobLocation as yg, jobLocationType as yh, jobStartDate as yi, jobTitle as yj, keywords as yk, knownVehicleDamages as yl, knows as ym, knowsAbout as yn, knowsLanguage as yo, labelDetails as yp, landlord as yq, language as yr, lastReviewed as ys, latitude as yt, layoutImage as yu, learningResourceType as yv, leaseLength as yw, legalAddress as yx, legalName as yy, legalRepresentative as yz, AnatomicalStructure as z, molecularWeight as z$, loanMortgageMandateAmount as z0, loanPaymentAmount as z1, loanPaymentFrequency as z2, loanRepaymentForm as z3, loanTerm as z4, loanType as z5, locationCreated as z6, lodgingUnitDescription as z7, lodgingUnitType as z8, logo as z9, mechanismOfAction as zA, mediaAuthenticityCategory as zB, mediaItemAppearance as zC, median as zD, medicalAudience as zE, medicalSpecialty as zF, medicineSystem as zG, meetsEmissionStandard as zH, members as zI, membershipNumber as zJ, membershipPointsEarned as zK, memoryRequirements as zL, mentions as zM, menu as zN, menuAddOn as zO, merchant as zP, messageAttachment as zQ, mileageFromOdometer as zR, minPrice as zS, minValue as zT, minimumPaymentDue as zU, missionCoveragePrioritiesPolicy as zV, mobileUrl as zW, model as zX, modelDate as zY, modifiedTime as zZ, molecularFormula as z_, longitude as za, loser as zb, lowPrice as zc, lyricist as zd, lyrics as ze, maintainer as zf, manufacturer as zg, map as zh, mapType as zi, maps as zj, marginOfError as zk, masthead as zl, materialExtent as zm, mathExpression as zn, maxPrice as zo, maxValue as zp, maximumAttendeeCapacity as zq, maximumEnrollment as zr, maximumIntake as zs, maximumPhysicalAttendeeCapacity as zt, maximumVirtualAttendeeCapacity as zu, mealService as zv, measuredProperty as zw, measurementDenominator as zx, measurementMethod as zy, measurementQualifier as zz };
